<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript vervollständigt die Tabelle pictures mit der Angabe zum MIME-Type des Objektes
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*
 * Project: pic2base
 * File: check_mime_type.php
 *
 * Copyright (c) 2006 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
$exiftool = buildExiftoolCommand($sr);
$result1 = mysqli_query($conn,"SELECT pic_id FROM $table2 WHERE MIMEType IS NULL");
$result2 = mysqli_query($conn,"SELECT pic_id, MIMEType FROM $table2 WHERE MIMEType LIKE 'video/%'");
//echo mysqli_error($conn);
$num1 = mysqli_num_rows($result1);
$num2 = mysqli_num_rows($result2);
echo $num1." Datensätze sind ohne Angabe des Mime-Typs.<br />";
echo $num2." Datensätze sind als Video gekennzeichnet.<br />";
FOR($i1 = 0; $i1<$num1; $i1++)
{
    $row1 = mysqli_fetch_assoc($result1);
    $pic_id = $row1['pic_id'];
    $FileName = restoreOriFilename($pic_id, $sr); echo $FileName." - - - ";
    $mime_type = shell_exec($exiftool." -MimeType -s3 ".$pic_path."/".$FileName);
    //echo "lfd-Nr.: ".$i1." - Objekt-ID: ".$pic_id.", Datei-Name: ".$FileName." - MIME-TYPE: ".$mime_type."<br />";
    $result2 = mysqli_query($conn, "UPDATE $table2 SET MIMEType = '$mime_type' WHERE pic_id = '$pic_id'");
    echo mysqli_error($conn);
    echo "... bearbeite Datensatz ".$i1."<br />";
}
FOR($i2 = 0; $i2<$num2; $i2++)
{
    $row2 = mysqli_fetch_assoc($result2);
    $pic_id2 = $row2['pic_id'];
    $mime_type = $row2['MIMEType'];
    $FileName = restoreOriFilename($pic_id2, $sr); //echo $FileName." - - - ";
    echo "lfd-Nr.: ".$i2." - Datei-Name: ".$FileName." - MIME-TYPE: ".$mime_type."<br />";
    echo mysqli_error($conn);
}
?>