<!DOCTYPE HTML>
<HTML>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - DB-Export</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<body>
<div class="klein">
<?php

/*
 * Project: pic2base
 * File: db_export1.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

include '../../share/global_config.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/db_connect1.php';

echo "
<div class='body_grid'>

    <div class='header'>
        pic2base :: Admin-Bereich - Datenbank-Export
    </div>

    <div class='navigation'>
        <div class='menucontainer'>";
//		echo $navigation;
         include '../../html/admin/adminnavigation.php';
        echo "</div>
    </div>

    <div class='content'>
        <div class='content_grid_filmstripe'>

            <div class='filmstripe_content_left' id='spalte1'>
                <fieldset class='normal' style='height:400px;'>
                <legend class='normal'>pic2base - Export (SQL-Export)</legend>
                    <p class='klein' style='margin-top:30px;'>F&uuml;r den Datenbank-Export der pic2base-Datenbank<br />
                    tragen Sie hier bitte den Benutzernamen und das Passwort<br />
                    eines <b>vorhandenen</b> MySQL-Benutzers<br />mit <b>Administrator-Rechten</b> ein:
                    </p>
                    <FORM name = 'db_export' method='post' action='db_export_action.php'>
                    <center>
                        <table border = '0' style='margin-top:20px;'>
                            <tr>
                                <td align='right'>
                                    <p class='klein'>Benutzer-Name (DB-Admin!):</p>
                                </td>
                                
                                <td>
                                    <input type='text' class='Textfeld' name='db_user'>
                                </td>
                            </tr>
        
                            <tr>
                                <td align='right'>
                                    <p class='klein'>Passwort:</p>
                                </td>
                                
                                <td>
                                    <input type='password' class='Textfeld' name='PWD'>
                                </td>
                            </tr>
        
                            <tr>
                                <td><br /></td>
                            </tr>
        
                            <tr>
                                <td colspan='2' align='center'>
                                    <input type='submit' class='button' value='DB als SQL exportieren'>
                                </td>
                            </tr>
                        </table>
                    </center>
                    <input type='hidden' name='method' value='sql'>
                    </FORM>
                </fieldset>

                <!--
                <fieldset style='background-color:none; margin-top:10px;'>
                <legend style='color:blue; font-weight:bold;'>XML-Export</legend>
                    <FORM name = 'db_export' method='post' action='db_export_action.php'>
                    <center>
                    <TABLE border = '0' style='margin-top:20px;'>
                    <TR>
                    <td colspan='2' align='center'><INPUT type='submit' class='button' value='DB als XML exportieren'></td>
                    </TR>
                    </TABLE>
                    </center>
                    <input type='hidden' name='method' value='xml'>
                    </FORM>
                </fieldset>
                -->
                <!--
                <fieldset style='background-color:lightyellow; margin-top:10px;'>
                <legend style='color:blue; font-weight:bold;'>CSV-Export</legend>
                    <FORM name = 'db_export' method='post' action='db_export_action.php'>
                    <center>
                    <TABLE border = '0' style='margin-top:20px;'>
                    <TR>
                    <td colspan='2' align='center'><INPUT type='submit' class='button' value='DB als CSV exportieren'></td>
                    </TR>
                    </TABLE>
                    </center>
                    <input type='hidden' name='method' value='csv'>
                    </FORM>
                </fieldset>
                -->
            </div>

            <div class='filmstripe_content_right' id='spalte2'>
                <fieldset class='normal' style='height:400px;'>
                <legend class='normal'>Hinweis</legend>
                    <p class='klein' style='margin-top:30px;text-align:left;'>Hier haben Sie die M&ouml;glichkeit, den gesamten Datenbank-Inhalt als SQL-Statement zu exportieren.<br />
                    F&uuml;r einen Umzug auf ein anderes Datenbanksystem m&uuml;ssen Sie ggf. auch alle erforderlichen Objekte mit &uuml;bertragen.<br />
                    Diese finden Sie in dem Ordner \"images\" unterhalb des pic2base-Stammverzeichnisses.<br /><br />Die erzeugte Export-Datei wird in Ihrem pers&ouml;nlichen FTP-Bereich im Ordner \"kml_files\" abgelegt und kann mit einem FTP-Client heruntergeladen werden.<br /><br />
                    Alternativ kann die Export-Datei auch &uuml;ber den entsprechenden Link auf der folgenden Seite heruntergeladen werden.</p>
                </fieldset>
            </div>

            <div class='filmstripe_content_bottom'>
            </div>

        </div>
    </div>

    <div class='footer'>
        <A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
    </div>

</div>
</center>
</body>
</html>";
?>