<!DOCTYPE HTML>
<html>
<head>
    <meta HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <title>pic2base - DB-Wartung</title>
    <meta NAME="GENERATOR" CONTENT="eclipse">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<body onLoad = 'getMissingFiles(); document.getElementById("blend").style.display = "block";'>
<div class="klein">

<?php
error_reporting(E_ALL);
/*
 * Project: pic2base
 * File: db_wartung1.php
 *
 * Copyright (c) 2003 - 2022 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

//memory_limit dynamisch anpassen, falls der berechnete Wert groesser als der vorhandene Wert ist.
$result1 = mysqli_query($conn, "SELECT COUNT(*) FROM $table2");
echo mysqli_error($conn);
//Anzahl der Datensaetze in der pictures-Tabelle:
$row1 = mysqli_fetch_row($result1);
$pic_records = $row1[0]; //echo $pic_records;
//bei 50000 Datensaetzen waren 250M erforderlich, daher wird hier vorsorglich dynamisch angepasst:
$steps = ceil($pic_records / 50000);
// echo "<font color='white'>".$steps." - </font>";
$memory_avail = ini_get('memory_limit');
$memory_value = $steps * 250;

$user_id = $uid;

echo "
<div class='body_grid'>

    <div class='header'>
        pic2base :: Admin-Bereich - Datenbank-Wartung
    </div>

    <div class='navigation'>
        <div class='menucontainer'>";
        //echo $navigation."
        include $sr . '/bin/html/admin/adminnavigation.php';
        echo "</div>
    </div>

    <div class='content'>
        <div class='content_grid_filmstripe'>

            <div class='filmstripe_content_left' id='spalte1'>
                <fieldset class='normal' style='margin-top:10px; height:95%; overflow-y:scroll;'>
                <legend class='normal'>Status der Wartungsarbeiten</legend>";
        //########################################################################################################
                if ($memory_value > $memory_avail)
                {
                    $memory = $memory_value . "M";
                    ini_set('memory_limit', $memory);
                    //echo "<p style='margin-top:20px;'><font color='green'>Die Speichergrenze wird vor&uuml;bergehend von " . $memory_avail . " auf " . ini_get('memory_limit') . " angehoben.</font></p>";
                }
                echo "<p class='klein' style='margin-top:20px;'><u>Test 1: Kontrolle auf mehrfache Kategoriezuweisungen</u></p>";
        
                // Zum entfernen von Doubletten (unter der Annahme, dass die Spalte lfdnr nirgends im Programmcode verwendet wird):
                // Alle Mehrfacheinträge von pic_id und kat_id zusammen mit der kleinsten lfdnr in die Tabelle ICE_V_pic_kat_dubls eintragen
                $result20 = mysqli_query($conn, "INSERT ICE_V_pic_kat_dubls(lfdnr, pic_id, kat_id, anzahl) SELECT MIN(lfdnr) as lfdnr, pic_id, kat_id, count(*) as anzahl FROM pic_kat GROUP BY pic_id, kat_id HAVING COUNT(*) > 1");
                echo mysqli_error($conn);
                // Auf der Basis dieser Steuertabelle löschen wir alle korrespondierende Datensätze aus pic_kat
                $result21 = mysqli_query($conn, "DELETE pk FROM `pic_kat` as pk, `ICE_V_pic_kat_dubls` as pkd WHERE pk.pic_id = pkd.pic_id AND pk.kat_id = pkd.kat_id AND NOT(pk.lfdnr = pkd.lfdnr)");
                echo mysqli_error($conn);
                $num21 = mysqli_affected_rows($conn);
                if ($num21 == '0') 
                {
                    $meldung_2 = "<p style='color:var(--color_g);'>Es gab keine mehrfachen Kategoriezuweisungen.</p>";
                } 
                else 
                {
                    $meldung_2 = "<p style='color:var(--color_r);'>Anzahl der korrigierten Mehrfachzuweisungen: " . $num21 . "</p>";
                }
                echo $meldung_2;
        //########################################################################################################
                $X = "";
                $meldung_0 = "";
                $meldung_1 = "";
                echo "	
                <p class='klein' style='margin-top: 20px; margin-bottom:20px;'><u>Test 2: Kontrolle, ob alle Vorschaubilder vorhanden sind</u></p>
                <center>
                    <p class='klein'>Status der &Uuml;berpr&uuml;fung</p>
                    <div id='prog_bar' class='progress_bar' style='width:300px; margin-top:20px;'>
                        <img src='../../share/images/green.gif' name='bar' /><br />
                        <center>
                        <p id = 'record_nr'>" . $X . "</p>
                        </center>
                    </div>
                </center>
        
                <p id='ori' style='color:var(--color_g); margin-top:20px;'></p>
                <p id='hq' style='color:var(--color_g); margin-top:0px;'></p>
                <p id='thumbs' style='color:var(--color_g); margin-top:0px;'></p>
                <p id='mono_hist' style='color:var(--color_g); margin-top:0px;'></p>
        
                <p id='meldung' style='color:var(--color_g); margin-top:20px;'>Bitte warten Sie einen Moment.<br />Die Ermittlung der fehlenden Dateien kann eine Weile dauern.</p>
                <p id='meldung_0' style='color:var(--color_g); margin-top:20px;'>" . $meldung_0 . "</p>
                <p id='meldung_1' style='color:var(--color_g); margin-top:20px;'>" . $meldung_1 . "</p>";
                // Ermittlung, wieviel mp4-Vorschauvideos fehlen:
                $x = countMissingPreviewVideoFiles($sr); //$x - Anzahl der fehlenden Video-Vorschau-Dateien
                if($x > 0)
                {
                    echo "<p style='color:var(--color_r)';>Es fehlen ".$x." Vorschau-Video-Dateien.<br />
                        Sollen diese nun erzeugt werden?</p>
                        <p id='status'><input type='button' class='button' value='Ja' onClick='location.href=\"generate_preview_video_action.php?item=dbwartung\"'></p>";
                }
                
        //########################################################################################################
                echo "
                <p class='klein' style='margin-top: 20px; margin-bottom:20px;'><u>Test 3: Kontrolle der Datenbank-Struktur</u></p>
                <center>";
                $err_count = 0;
                //echo $sr;
                // Beim Update einer laufenden Version 1.47.2 zur Version 1.47.3 werden einige Feld-Eigenschaften der Tabelle pictures angepaßt:
                /*
                ExposureProgram int(11) YES      ->    varchar(39) YES 
                ImageStabilization int(11) YES   ->    varchar(11) YES 
                GPSVersionID int(11) YES         ->    varchar(11) YES 
                GPSAltitude double YES           ->    varchar(15) YES 
                GPSAltitudeRef                   ->    varchar(25) YES 
                SQL-Statement: ALTER TABLE `pictures` CHANGE `ExposureProgram` `ExposureProgram` VARCHAR(39) NULL DEFAULT NULL; 
                */
                
                if($version == "1.47.3")
                {
                    // Hier werden die Felder definiert, deren Eigenschaften geändert werden sollen. 
                    // Die Auflistung muß je nach Bedarf angepaßt werde!
                    $needles = array(
                        0 => array(
                            'fieldname' => 'ExposureProgram',
                            'type' => 'varchar(39)'
                        ),
                        1 => array(
                            'fieldname' => 'ImageStabilization',
                            'type' => 'varchar(11)'
                        ),
                        2 => array(
                            'fieldname' => 'GPSVersionID',
                            'type' => 'varchar(11)'
                        ),
                        3 => array(
                            'fieldname' => 'GPSAltitude',
                            'type' => 'varchar(15)'
                        ),
                        4 => array(
                            'fieldname' => 'GPSAltitudeRef',
                            'type' => 'varchar(25)'
                        ),
                    );
                    //print_r($needles);

                    for($j=0; $j<count($needles); $j++)
                    {
                        $fieldname = trim($needles[$j]['fieldname']);
                        $type = trim($needles[$j]['type']);
                        $meldung = changeColumnProperty($sr, $fieldname, $type);
                        echo $meldung;
                    }
                }
                
        
                //###################   Fehler-Behandlung  ################################################################      
                if($err_count !== 0)
                {
                    echo "<p style='color:var(--color_r); margin-top:10px;'>Es traten die oben genannten ".$err_count." Fehler bei der Datenbank-Anpassung auf.<br />
                    Bitte informieren Sie den Systembetreuer.</p>";
                }
                else if($err_count == 0)
                {
                    echo "<p style='color:var(--color_g); margin-top:20px;'>Die Datenbank-Struktur ist aktuell.</p>";
                    echo "<a class='std' style='cursor:pointer; margin-top:10px;' onClick='location.href=\"show_db_structure.php\"'>Details der Datenbank-Struktur</a>";
                    $res34 = mysqli_query($conn, "UPDATE $table16 SET p2b_version = '$version';");
                    if(mysqli_error($conn) !== '')
                    {
                        echo "Fehler bei der Aktualisierung der Tabelle \"pfade\" (Vermerk der p2b-Version)<br />";
                        echo mysqli_error($conn)."<br /><br />";
                    }
        
                    //###################   gelegentliche Bereinigung des /images/originals/tmp/-Ordners   ####################
                    $folder = opendir($pic_path."/tmp");
                    $n = 0;	
                    while($datei_name=readdir($folder))
                    {
                        if($datei_name != "." && $datei_name != ".." && $datei_name != "index.html")
                        {
                            $datei_name = $pic_path."/tmp/".$datei_name;    //echo $datei_name."<br />";
                            if(!@unlink($datei_name))
                            {
                                echo "<p class='klein_red'>Konnte die Datei $datei_name nicht l&ouml;schen!</p>";
                                $n++;
                            }
                        }
                    }
                    if($n == 0)
                    {
                        echo "<p style='color:var(--color_g); margin-top:10px;'>Der tmp-Ordner wurde bereinigt.</p>";
                    }
                    //#################   Bereinigung abgeschlossen   #########################################################
                }
        
                echo "</center>";
                
                echo "</fieldset>
            </div>

            <div class='filmstripe_content_right' id='spalte2'>
                <fieldset class='normal' style='margin-top:10px; height:95%; overflow-y:scroll;'>
                <legend class='normal'>Hinweis</legend>
                    <p class='klein' style='text-align:left;'>Auf der linken Seite sehen Sie das Ergebnis der &Uuml;berpr&uuml;fung.<br /><br />
                    Bevor Sie weitere Schritte unternehmen, sollten Sie abschlie&szlig;end die Doublettenpr&uuml;fung vornehmen.<br /><br />
                    Dies dauert nur einen Moment, stellt aber sicher, da&szlig; Sie keine Datens&auml;tze doppelt erfa&szlig;t haben.</p>
                    <p align='center' id='button' style='margin-top:50px;'><input type='button' class='button' value='Zur Doublettenpr&uuml;fung' disabled></p>
                </fieldset>
            </div>

            <div class='filmstripe_content_bottom'>
            </div>

        </div>
    </div>



    <div class='footer'>
        <A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
    </div>

</div>

<div id='blend' style='display:none; z-index:9999;'>
	<img src='../../share/images/grey.png' style='z-index:10000; position:absolute; top:0px; left:0px; width:100%; height:100%;' />
	<img src=\"../../share/images/loading.gif\" style='position:absolute; top:30%; left:50%; width:20px; z-index:10001;' />
</div>

</body>";
//Speichergrenze wieder auf Standard setzen:
//echo $memory_value.", ".$memory_avail."<br />";
if ($memory_value > $memory_avail) 
{
    //echo "vorh. Speicher: ".ini_get('memory_limit');    
    $memory = $memory_avail . "M";
    ini_set('memory_limit', $memory);
}
?>

<script type = text/javascript>

    var missingFiles = null;
    var gesamtzahl;
    var anzahl_ori;
    var anzahl_v;
    var anzahl_hq;
    var anzahl_hist_mono;
    var soll;
    var arrayToEdit = null;
    document.bar.width = '0';

    function missingFilesReceived(responseText)
    {
	    // alert("Response Text aus get_missing_files.php" + responseText);
        // Ausgabe einer Fehlermeldung, wenn ein solcher vorliegt:
        if (responseText.indexOf("error") != -1)
        {
            alert(responseText + " \n\nEs liegt ein schwerwiegender Fehler vor!\n\nBitte informieren Sie Ihren Administrator!");
        }

        missingFiles = JSON.parse(responseText, null);
        if (missingFiles.anzahl > 0)
        {
        	//document.getElementById("blend").style.display = "block";
            gesamtzahl = missingFiles.anzahl;
            anzahl_v = missingFiles.v_files_array.length;
            anzahl_hq = missingFiles.hq_files_array.length;
            anzahl_ori = missingFiles.ori_files_array.length;
            anzahl_hist_mono = missingFiles.hist_mono_files_array.length;

            if(anzahl_ori > 0)
            {
                var message_ori = "Originale: " + anzahl_ori + "\nbetroffene Objekte: " + missingFiles.ori_files_array + "\n\n";
            }
            else
            {
                var message_ori = "\n";
            }

            if(anzahl_hq > 0)
            {
                var message_hq = "HQ-Vorschau: " + anzahl_hq + "\nbetroffene Objekte: " + missingFiles.hq_files_array + "\n\n";
            }
            else
            {
                var message_hq = "\n";
            }

            if(anzahl_v > 0)
            {
                var message_v = "Vorschau: " + anzahl_v + "\nbetroffene Objekte: " + missingFiles.v_files_array + "\n\n";
            }
            else
            {
                var message_v = "\n";
            }

            if(anzahl_hist_mono > 0)
            {
                var message_hist_mono = "Histogramme / Monochrome: " + anzahl_hist_mono + "\nbetroffene Objekte: " + missingFiles.hist_mono_files_array + "\n\n";
            }
            else
            {
                var message_hist_mono = "\n";
            }

            var message = "Es sind noch " + gesamtzahl + " Dateien neu zu erzeugen.\nDavon\n" + message_ori + message_hq + message_v + message_hist_mono;
		    alert(message);
            
            if (anzahl_ori > 0)
            {
//		        alert("erzeuge fehlende Original-Dateien...");
                processFile(missingFiles, "ori");
            }
            else if (anzahl_hq > 0)
            {
//		        alert("erzeuge fehlende hq-Dateien...");
                processFile(missingFiles, "hq");
            }
            else if (anzahl_v > 0)
            {
//		        alert("erzeuge fehlende v-Dateien...");
                processFile(missingFiles, "v");
            }
            else if (anzahl_hist_mono > 0)
            {
//    	        alert("erzeuge fehlende hist/mono-Dateien...");
                processFile(missingFiles, "hist_mono");
            }
            
        }
        else
        {
        	document.getElementById("blend").style.display = "none";
            document.getElementById("meldung").innerHTML = "Die Bearbeitung ist abgeschlossen.";
            document.getElementById("button").innerHTML = "<input type='button' class='button' id='goon_btn' value='Zur Doublettenpr&uuml;fung' onClick='location.href=\"../../html/erfassung/doublettenliste1.php?method=all&user_id=<?php echo $user_id; ?>\"'>";
            setFocus();
            document.bar.src = '../../share/images/green.gif';
            document.bar.width = '300';
            document.bar.height = '12';
        }
    }

    function processFile(missingFiles, filetype)
    {
        var client = new XMLHttpRequest();

        if (filetype == "ori")
        {
            arrayToEdit = missingFiles.ori_files_array;
        }
        else if (filetype == "hq")
        {
            arrayToEdit = missingFiles.hq_files_array;
        }
        else if (filetype == "v")
        {
            arrayToEdit = missingFiles.v_files_array;
        }
        else if (filetype == "hist_mono")
        {
            arrayToEdit = missingFiles.hist_mono_files_array;
        }
        //alert("db_wartung.php, Z. 388: PIC-ID: " + arrayToEdit[0] + " " + filetype);
        client.open("GET", "../../share/restore_missing_files.php?pic_id=" + arrayToEdit[0] + "&filetype=" + filetype, true);

        arrayToEdit.splice(0, 1);

        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
//				alert("db_wartung1.php, processFile: " + client.responseText);
                var result = JSON.parse(client.responseText);

                if (result.errorCode != 0)
                {
//                  alert( "Fehler: Datei wurde nicht korrekt erzeugt." );
//                  Wenn der Datensatz entfernt werden musste, muss die Seite neu geladen werden, da die Berechnung der fehlenden Objekte aktualisiert werden muss!:
                    if (result.errorCode == 99)
                    {
                        alert("Es musste ein Objekt aus der Datenbank entfernt werden.\n\nWeitere Informationen entnehmen Sie bitte der Log-Datei.");
                        location.href = 'db_wartung1.php';
                    }
                }

                if (arrayToEdit.length > 0)
                {
                    if (filetype == "ori")
                    {
                        document.getElementById("ori").innerHTML = "Es werden die fehlenden Original-Objekte erstellt...";
                        document.getElementById("button").innerHTML = "<input type='button' class='button' value='Zur Doublettenpr&uuml;fung' onClick='location.href=\"#\"' style='color:lightgrey;'>";
                        soll = anzahl_ori;
                    }
                    else if (filetype == "hq")
                    {
                        document.getElementById("hq").innerHTML = "Es werden die fehlenden HQ-Vorschaubilder erstellt...";
                        document.getElementById("button").innerHTML = "<input type='button' class='button' value='Zur Doublettenpr&uuml;fung' onClick='location.href=\"#\"' style='color:lightgrey;'>";
                        soll = anzahl_hq;
                    }
                    else if (filetype == "v")
                    {
                        document.getElementById("thumbs").innerHTML = "Es werden die fehlenden Thumbs erzeugt...";
                        document.getElementById("button").innerHTML = "<input type='button' class='button' value='Zur Doublettenpr&uuml;fung' onClick='location.href=\"#\"' style='color:lightgrey;'>";
                        soll = anzahl_v;
                    }
                    else if (filetype == "hist_mono")
                    {
                        document.getElementById("mono_hist").innerHTML = "Histogramme und monochrome Objekte werden erstellt...";
                        document.getElementById("button").innerHTML = "<input type='button' class='button' value='Zur Doublettenpr&uuml;fung' onClick='location.href=\"#\"' style='color:lightgrey;'>";
                        soll = anzahl_hist_mono;
                    }

                    if (arrayToEdit.length > 1)
                    {
                        document.getElementById("meldung").innerHTML = "...es verbleiben noch " + arrayToEdit.length + " Objekte...";
                    }
                    else
                    {
                        document.getElementById("meldung").innerHTML = "...es verbleibt noch " + arrayToEdit.length + " Objekt...";
                    }
                    var laenge = ((soll - arrayToEdit.length) / soll) * 300;
                    document.bar.src = '../../share/images/green.gif';
                    document.bar.width = laenge;
                    document.bar.height = '12';
                    processFile(missingFiles, filetype);
                }
                else
                {
                    if (filetype == "ori")
                    {
                        document.getElementById("ori").innerHTML = "Die fehlenden Original-Objekte wurden erstellt...";
                        getMissingFiles();
                    }
                    else if (filetype == "hq")
                    {
                        document.getElementById("hq").innerHTML = "Die fehlenden HQ-Vorschaubilder wurden erstellt...";
                        getMissingFiles();
                    }
                    else if (filetype == "v")
                    {
                        document.getElementById("thumbs").innerHTML = "Die fehlenden Thumbs wurden erstellt...";
                        getMissingFiles();
                    }
                    else if (filetype == "hist_mono")
                    {
                        document.getElementById("mono_hist").innerHTML = "Fehlende Histogramme und monochrome Objekte wurden erstellt...";
                    }
                    //Aktualisierung des Fortschrittsbalkens auf 100%:
                    var laenge = (gesamtzahl - arrayToEdit.length) / gesamtzahl * 300;
                    document.bar.src = '../../share/images/green.gif';
                    document.bar.width = laenge;
                    document.bar.height = '12';
                    document.getElementById("meldung").innerHTML = "Alle fehlenden Objekte wurden erzeugt.<br />Gehen Sie nun bitte zur Doublettenpr&uuml;fung.";
                    document.getElementById("button").innerHTML = "<input type='button' class='button' id='goon_btn' value='Zur Doublettenpr&uuml;fung' onClick='location.href=\"../../html/erfassung/doublettenliste1.php?method=all&user_id=<?php echo $user_id; ?>\"'>";
                    setFocus();
                }
            }
            else
            {
				//alert("Start");
            	document.getElementById("blend").style.display = "block";
            }
        };
        client.send(null);
    }

    function setFocus()
    {
        var element = document.getElementById("goon_btn");
        element.focus();
        element.style.borderStyle = 'solid';
        element.style.borderWidth = '1px';
        element.style.borderColor = 'red';
        document.getElementById("blend").style.display = "none";
    }

</script>
</html>