<!DOCTYPE HTML>
<html>

<head>
  <title>pic2base - Vorgemerkte Objekte l&ouml;schen</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type="text/css" href="../../css/format1.css">
  <link rel=stylesheet type="text/css" href="../../css/main.css">
  <link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
  <!--<script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
  <script type="text/javascript" src="../../share/functions/resize_elements.js"></script>-->
  <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
  
  <script type="text/javascript">
    jQuery.noConflict();
    jQuery(document).ready( function()
    {
        document.getElementById("content").onmousemove = function(e)
        {
            jQuery("#tooltip2 p:hover span").css({"left":(e.pageX + 100) +  "px"});
            if ( e.pageY > (jQuery(window).height() - 150 ))
            { 
                jQuery("#tooltip2 p:hover span").css({"top":(e.pageY - 200) + "px"});
            }
            else
            {
                jQuery("#tooltip2 p:hover span").css({"top":(e.pageY - 100) + "px"});
            }
        };
    }); 
  </script>

</head>

<body onLoad='disableDelButton()'>
<div class="klein">

<?php
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript wird verwendet, wenn von einer berechtigten Person zum Löschen vorgemerkte
// Objekte einzeln oder en bloc gelöscht werden sollen.
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*
 * Project: pic2base
 * File: del_pics1.php
 *
 * Copyright (c) 2005 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */
 

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

echo "
<div class='body_grid'>

    <div class='header'>
        pic2base :: vorgemerkte Objekte l&ouml;schen <span class='klein'>(Benutzer: $username)</span>
    </div>

    <div class='navigation'>
        <div class='menucontainer'>";
        include '../../html/admin/adminnavigation.php';
        echo "</div>
    </div>

    <div class='content' style='overflow-y: scroll;'>
    
        <center>
        <table class='liste1' style='margin-top:50px;>";

            //Ermittlung der Anzahl der Datensaetze, die zur Loeschung vorgesehen sind (aktiv = 0):
            $result1 = mysqli_query($conn, "SELECT COUNT(*) FROM $table2 
            WHERE aktiv = '0' 
            ORDER BY pic_id, owner DESC");
            echo mysqli_error($conn);
            $row1 = mysqli_fetch_row($result1);
            $num1 = $row1[0];
            //$num1 = mysqli_num_rows($result1);
            if($num1 > 0)
            {
                if($num1 == 1)
                {
                    $text = "Derzeit liegt ein Objekt zum L&ouml;schen vor.";
                }
                else
                {
                    $text = "Derzeit liegen ".$num1." Objekte zum L&ouml;schen vor.";
                }
            }
            else
            {
                $text = "Derzeit liegt kein Objekt zum L&ouml;schen vor.";
            }

            echo "
            <TR style='height:3px;'>
            <td colspan='6'></td>
            </TR>

            <TR>
            <td align='left' colspan='6'>
                <p class='klein'>".$text;
            if($num1 > 0)
            {
                echo "<br />Wenn Sie die Eintr&auml;ge in einer Zeile mit dem Mauszeiger &uuml;berfahren, erhalten Sie zus&auml;tzliche Informationen zu dem Datensatz.</p></td>
                </TR>

                <TR style='height:3px;'>
                    <td colspan='6' style='background-color: var(--color3)'></td>
                </TR>

                <TR>
                    <td align='center'><p class='klein'>Objekt-ID</p></td>
                    <td align='center'><p class='klein_green'>behalten</p></td>
                    <td align='center'><p class='klein_red'>l&ouml;schen</p></td>
                    <td align='center'><p class='klein'>Kategorie</p></td>
                    <td align='center'><p class='klein'>Beschreibung</p></td>
                    <td align='center'><p class='klein'>Eigent&uuml;mer</p></td>
                </TR>

                <TR style='height:3px;'>
                    <td colspan='6'></td>
                </TR>";
                
                $result11 = mysqli_query($conn, "SELECT * FROM $table2 
                WHERE aktiv = '0' 
                ORDER BY pic_id, owner DESC");

                for($i1=0; $i1<$num1; $i1++)
                {
                    $row11 = mysqli_fetch_assoc($result11);
                    $pic_id = $row11['pic_id'];
                    $caption_abstract = $row11['Caption_Abstract'];
                    @$keywords = $row11['keywords'];
                    if($keywords == "")
                    {
                        $keywords = "ohne";
                        $hint = "Dem Objekt wurde noch keine Kategorie zugewiesen.";
                    }
                    else
                    {
                        $hint = $keywords;
                    }
                    $owner = $row11['Owner'];
                    $FileNameHQ = $row11['FileNameHQ'];
                    $FileNameV = $row11['FileNameV'];

                    $result2 = mysqli_query($conn, "SELECT username, vorname, name FROM $table1 WHERE id = '$owner'");
                    $row2 = mysqli_fetch_assoc($result2);
                    $ownername = $row2['username'];
                    $vorname = $row2['vorname'];
                    $name = $row2['name'];

                    $image = "../../../images/vorschau/hq-preview/".$FileNameHQ; 
                    //echo $image;
                    echo "
                    <TR id = 'picture$pic_id'>
                        <td style='width=30px; text-align: center;'>
                            <div id='tooltip2'>
                                <p class='klein'>".$pic_id."<span style='text-align:left;'>
                                <img src='$image' width='300px' />
                                </span>
                                </p>
                            </div>
                        </td>

                        <td style='width=30px; text-align: center;'>
                            <!--<SPAN style='cursor:pointer;' onClick=\"manage_picture('$pic_id', 'save')\">-->
                            <SPAN style='cursor:pointer;' onClick=savePic('$pic_id')>
                            <img src='../../share/images/ok.svg' style='width:18px;' title='Objekt $pic_id in der Datenbank belassen' />
                            </span>
                        </td>

                        <td style='width=30px; text-align: center;'>
                            <SPAN style='cursor:pointer;' onClick=delPic('$pic_id')>
                            <img src='../../share/images/delete.svg' style='width:18px;' title='Objekt $pic_id aus der Datenbank l&ouml;schen' /></span>
                        </td>

                        <td style='width=265px; text-align: center;'>
                            <SPAN style='cursor:pointer; color:var(--color1);' title='".$hint."'>".substr($keywords,0,35)."</span>
                        </td>

                        <td style='width=265px; text-align: center;'>
                            <SPAN style='cursor:pointer; color:var(--color1);' title='".$caption_abstract."'>".substr($caption_abstract,0,35)."</span>
                        </td>

                        <td style='width=50px; text-align: center;'>
                            <SPAN style='cursor:pointer; color:var(--color1);' title='".$vorname." ".$name."'>".$ownername."</span>
                        </td>
                    </TR>";
                }
                echo "

                <TR style='height:10px;'>
                    <td colspan='6' align='center'></td>
                </TR>

                <TR style='height:3px;'>
                    <td colspan='6' align='center'></td>
                </TR>";
            }
            else
            {
                echo "</p>
                </td>
                </TR>";
            }
            if($num1 > 0)
            {
                $btn1 = "<INPUT TYPE='button' class='button_green' VALUE='Alle behalten' onClick=\"location.href='unmark_files1.php'\">";
                $btn2 = "<INPUT TYPE='button' class='button_red' VALUE='Alle löschen' onClick=delAllPics()>";
            }
            else
            {
                $btn1 = '';
                $btn2 = '';
            }
            echo "
            <TR style='height:10px;'>
                <td colspan='1' align='center'></td>
                <td colspan='1' align='center'>".$btn1."</td>
                <td colspan='1' align='center'>".$btn2."</td>
                <td colspan='2' align='center'></td>
                <td colspan='1' align='center'>
                    <INPUT TYPE='button' class='button' VALUE='Zur&uuml;ck' onClick=\"location.href='../../html/admin/adminframe.php'\">
                </td>
            </TR>

            <TR style='height:3px;'>
                <td colspan='6' align='center'></td>
            </TR>

            <TR style='height:70px;'>
                <td colspan='6'></td>
            </TR>

            <TR style='height:3px;'>
                <td colspan='6' align='center'></td>
            </TR>

            <TR style='height:10px;'>
                <td colspan='3' align='left' style='border-style: solid none solid solid;border-width: 1px;0px;1px;1px; border-color:var(--color_y);'>
                <p class='klein_red'><b>VORSICHT!</b><br /> Hier können Sie gezielt ein einzelnes Objekt anhand seiner Objekt-ID löschen:</p>
                </td>

                <td colspan='1' align='center' style='border-style: solid none solid none;border-width: 1px;0px;1px;0px; border-color:var(--color_y);'>
                    <input type='text' id='pic_id' class='Textfeld'; style='width:60px; margin-left:0px;' onClick='changeStatus()'>
                </td>
                <td colspan='2' align='center' style='border-style: solid solid solid none;border-width: 1px;1px;1px;0px; border-color:var(--color_y);'>
                    <INPUT TYPE='button' id='del_btn' class='button_red' style='margin-left:0px;' VALUE='Objekt löschen' title='Tragen Sie links bitte erst eine Objekt-ID ein!' onClick='delPic()'>
                </td>
            </TR>

            <TR style='height:3px;'>
                <td colspan='6' align='center'></td>
            </TR>
        </table>
    </center>
    </div>

    <div class='footer'>
        <A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
    </div>
</div>
</div>";
?>
<script type="text/javascript">
function disableDelButton()
{
	document.getElementById('pic_id').value = '';
	document.getElementById('del_btn').setAttribute('disabled', 'disabled');
}

function changeStatus()
{
	document.getElementById('del_btn').removeAttribute('disabled');
	document.getElementById('del_btn').setAttribute('title', '');
}

function delPic(pic_id)
{
	let answer = confirm("Soll das Objekt wirklich gelöscht werden?");
	if(answer == true)
	{
		//alert("Objekt " + pic_id + " würde gelöscht werden...");
		Fenster = window.open('../../share/delete_picture.php?pic_id=' + pic_id, 'Objekt wird gelöscht', 'width=600px, height=450px');
		Fenster.focus();
	}
}

function savePic(pic_id)
{
	let answer = confirm("Das Objekt soll in der Datenbank verbleiben?");
	if(answer == true)
	{
		//alert("Objekt " + pic_id + " würde gelöscht werden...");
		Fenster = window.open('../../share/unmark_picture.php?pic_id=' + pic_id, 'Objekt bleibt in der Datenbank.', 'width=600px, height=450px');
		Fenster.focus();
	}
}

function delAllPics()
{
	let answer = confirm("Sollen wirklich ALLE OBJEKTE gelöscht werden?");
	if(answer == true)
	{
		//alert("Es würden alle Objekte gelöscht werden...");
		location.href='del_pics_exec1.php';
	}
}
</script>
</body>
</html>
