<!DOCTYPE HTML>
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Vorgemerkte Objekte l&ouml;schen</TITLE>
	<meta name="generator" content="eclipse" >
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format2.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/resize_elements.js"></script>
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict()
		jQuery(document).ready(checkWindowSize);
		jQuery(window).resize(checkWindowSize); 
	</script>
</HEAD>

<body onLoad='getDeleteFilesList()'>
<CENTER>
<div class="klein">

<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript wird verwendet, wenn von einer berechtigten Person zum Löschen vorgemerkte
// Objekte einzeln oder en bloc gelöscht werden sollen.
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


/*
 * Project: pic2base
 * File: del_pics_exec1.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'"); //echo mysqli_error($conn);
$row1 = mysqli_fetch_assoc($result1);
$username = $row1['username'];
$user_id = $uid;
// ##################################   Berechtigungsprüfung!!   ########################################
$start_time = date('d.m.Y, H:i:s');

echo "
<div class='page' id='page'>
	
	<div class='head' id='head'>
		pic2base :: Ausgewählte Objekte löschen <span class='klein'>(User: ".$username.")</span>
	</div>
		
	<div class='navi' id='navi'>
		<div class='menucontainer'>
		</div>
	</div>
		
	<div class='content' id='content'>
		<span style='font-size:12px;'>
		<p style='margin:120px 0px; text-align:center'>
		
		<center>
			<p id = 'headline'>Status der Objekt-Bearbeitung</p>
			<p id='zaehler'></p>
			<div id='prog_bar' class='progress_bar' style='width:300px; margin-top:30px; margin-bottom:30px;'>
				<img src='../../share/images/green.gif' name='bar' />
			</div>
			<p id='meldung'>Bitte haben Sie ein wenig Geduld...</p>
			<p id='counter'></p>
		</center>
		
		</p>
		</span>
	</div>
	
	<div class='foot' id='foot'>
		<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
	</div>
</div>

</DIV>
</CENTER>";
?>

<script type = text/javascript>
var timeout = 1;
var fileList = null;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
document.bar.width = '0';

function fileListReceived( responseText )
{
//	alert("Response Text in del_pics_exec1.php, Z. 112 (Dateiliste): " + responseText);
	fileList = JSON.parse( responseText, null );
	if(fileList.anzahl > 0)
	{
		gesamtanzahl = fileList.pic_id_array.length;
		document.getElementById("zaehler").innerHTML = "Anzahl der zu löschenden Objekte: " + gesamtanzahl;
		processFile( fileList );
	}
	else
	{
		alert( "Es sind keine Objekte zu bearbeiten." );
		window.location="del_pics1.php";
	}	
}

function showReady(avgTime)
{
	//Erfassungsfenster leeren:
	document.getElementById("headline").innerHTML = "";
	document.getElementById("zaehler").innerHTML = "";
	document.getElementById("meldung").innerHTML = "";
	document.getElementById( "prog_bar" ).style.border = "none";
	document.bar.width = '0';
	document.bar.height = '0';
	//Fertigmeldung ausgeben:
	//alert( "Die Erfassung ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
	countDown();
}

function processFile( fileList )
{
	var client = new XMLHttpRequest();
    var actual_file = fileList.pic_id_array[0];
//	alert("Dateiname in del_pics_exec1.php, Z. 145 (Fkt. processFile; zu bearbeitende Datei): " + fileList.pic_id_array[0]);
	client.open("GET", "del_pics_exec_action1.php?pic_id=" + fileList.pic_id_array[0], true);
	fileList.pic_id_array.splice( 0, 1 );
	
	client.onload = function()
	{
		console.log("onload:", client.responseText);
	}
	client.onerror = function(e)
	{
		console.log("error:", e);
	}
	
	client.onreadystatechange = function()
	{
		if( client.readyState == 4 )
		{
			//alert("Client Response-Text in del_pics_exec1.php, Z. 162: " + client.resposeText);
			result = JSON.parse( client.responseText );
			//alert("Fehler-Code (del_pics_exec1.php, Z. 164): " + result.errorCode);
			if( result.errorCode == 1 )
			{
				alert( "Fehler: ES EXISTIERT KEIN oder MEHR ALS EIN DATENSATZ FÜR DAS GEWÄHLTE Objekt!!" );
			}
			else if(result.errorCode == 2)
			{
				alert( "Fehler: Vorschau-Video-Datei konnte NICHT gelöscht werden!" );
			}
             else if(result.errorCode == 3)
             {
                alert( "Fehler: Sie haben keine ausreichenden Rechte, um diese Aktion auszuführen!" );
             }
             else if(result.errorCode == 0)
			{
//				alert( "Kein Fehler bei der Erfassung der Datei " + actual_file + " (In stapel2, Z. 180)");
			}
					
			if( fileList.pic_id_array.length > 0 )
			{
				if( fileList.pic_id_array.length > 1)
				{
					document.getElementById("meldung").innerHTML = "...es verbleiben noch " + fileList.pic_id_array.length + " Objekte...";
				}
				else
				{
					document.getElementById("meldung").innerHTML = "...es verbleibt noch " + fileList.pic_id_array.length + " Objekt...";
				}
				var laenge = (gesamtanzahl - fileList.pic_id_array.length) / gesamtanzahl * 300;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				processFile( fileList );
			}
			else
			{
				//Bearbeitung ist abgeschlossen
				//Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
//				var endtime = new Date();
//				var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
//				avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
				document.getElementById("meldung").innerHTML = "Alle Objekte wurden entfernt.";
				//Aktualisierung des Fortschrittsbalkens auf 100%:
				var laenge = (gesamtanzahl - fileList.pic_id_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				setTimeout("showReady(avgTime)", 1000);
			}
		}
		else
		{
//			alert("Fertigmeldung fehlt! (" + client.readyState + "));
		}
	};
	client.send( null );
}

function countDown()
{
	if( timeout < 0 )
	{
		window.location='del_pics1.php';
	}
	else
	{
		if( timeout > 0 )
		{
			document.getElementById( "counter" ).innerHTML = "Sie werden sofort zur vorhergehenden Seite geleitet...";
		}
		setTimeout( "countDown()", 500 );	
	}
	timeout --;
}
</script>
</BODY>
</HTML>