<?php
header('Content-Type: text/html; charset=utf-8');

include '../../share/global_config.php';
include $sr . '/bin/share/db_connect1.php';
include $sr . '/bin/share/read_session_prefs.php';
include $sr . '/bin/share/functions/main_functions.php';

/*
 * Project: pic2base
 * File: generate_preview_video.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

if (array_key_exists('file_id',$_GET))
{
    $file_id = $_GET['file_id'];
}
else
{
    $file_id = 0;
}

$ff = buildFfmpegCommand($sr);

// Ab hier werden die fehlenden Video-Vorschau-Dateien erzeugt:
// Bestimmung der Source-File:
$source = $pic_path."/".restoreOriFilename($file_id,$sr);
// Erzeugung des Namens für die Dest-File:
$result1 = mysqli_query($conn, "SELECT FileName, ExifImageWidth, ExifImageHeight FROM $table2 WHERE pic_id = '$file_id'");
$row1 = mysqli_fetch_assoc($result1);
$FileName = $row1['FileName'];
$ratio = number_format(round($row1['ExifImageWidth']/$row1['ExifImageHeight'],3),3);

$FileInfo = pathinfo($FileName);
// Variante für webm-Vorschau-Dateien ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$dest = $pic_hq_path."/".strtolower($FileInfo['filename']).".webm";
// Konstruktion des vollst. Konvertierungs-Befehls
// ================================================================================
// + + ! Die LIBRARY-PFADE sind auf das aktuelle Echt-Daten-System abgestimmt ! + +
// ================================================================================
$result2 = mysqli_query($conn, "SELECT ffmpeg_path FROM $table16");
$row2 = mysqli_fetch_assoc($result2);
// Erzeugung der Vorschau-Datei aus dem Original:
$dest_width = 800;
$dest_height = round($dest_width / $ratio);
$ffmpeg_path = 'export LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/:$LD_LIBRARY_PATH && export LD_LIBRARY_PATH=/lib/x86_64-linux-gnu/:$LD_LIBRARY_PATH &&' .trim($row2['ffmpeg_path']);
//$command = $ffmpeg_path." -threads 4 -i ".$source." -q:v 10 -s ".$dest_width."x".$dest_height." -c:a libvorbis -b:v 1000k -c:v libvpx -crf 25 -strict -2 ".$dest . " 2>&1";
$command = $ffmpeg_path." -i ".$source." -c:v libvpx -cpu-used 4 -threads 4 -crf 30 -b:v 1M -s ".$dest_width."x".$dest_height." -c:a libvorbis ".$dest . " 2>&1"; // 2>&1 : stderr nach stdout umleiten

$out = shell_exec($command) or die ("FFMPEG arbeitet nicht korrekt! Stimmen die LIBRARY-Pfade?");
// Ende der webm-Variante ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
if (is_readable($dest))
{
    $error_code = 0;
}
else 
{
    $error_code = 1;
}

$obj1 = new stdClass();
//$obj1->command = $command;
//$obj1->ratio = $ratio;
$obj1->FileId = $file_id;
$obj1->errorCode = $error_code;
$obj1->Userid = $uid;
$output = json_encode($obj1);
echo $output;

?>
