<!DOCTYPE HTML>
<html>
    <head>
        <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
        <TITLE>pic2base - Vorschauvideos erzeugen</TITLE>
        <META NAME="GENERATOR" CONTENT="eclipse">
        <meta http-equiv="Content-Style-Type" content="text/css">
        <link rel=stylesheet type="text/css" href='../../css/format1.css'>
        <link rel=stylesheet type="text/css" href='../../css/main.css'>
        <link rel="shortcut icon" href="../../share/images/favicon.ico">
        <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
        <script type="text/javascript">
            jQuery.noConflict();
        </script>
    </head>
    
<?php    
include '../../share/global_config.php';
include $sr . '/bin/share/db_connect1.php';
include $sr . '/bin/share/read_session_prefs.php';
include $sr . '/bin/share/functions/main_functions.php';
include $sr . '/bin/share/functions/ajax_functions.php';

/*
 * Project: pic2base
 * File: generate_preview_video_action.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

// Ermittlung, wieviel mp4-Vorschauvideos fehlen:
// 1) Wieviel Videos sind in der DB?
$result30 = mysqli_query($conn, "SELECT FileName, pic_id FROM $table2 WHERE MediaType = 'v'");
echo mysqli_error($conn);
$num30 = mysqli_num_rows($result30);
// Wieviel Vorschauvideos fehlen?
$X = 0;
$video_files = array();
for ($i30=0; $i30<$num30; $i30++)
{
    $row30 = mysqli_fetch_assoc($result30);
    $pic_id = $row30['pic_id'];
    $FileName = $row30['FileName'];
    $FileInfo = pathinfo($FileName);
    //$video_file = $pic_hq_path."/".strtolower($FileInfo['filename']).".mp4"; //echo $video_file;
    $video_file = $pic_hq_path."/".strtolower($FileInfo['filename']).".webm";
    IF(!is_readable($video_file))
    {
        //die zu erzeugenden Video-Dateien werden über die Bild-IDs identifiziert:
        $video_files[] = $pic_id; 
        $X++;
    }
}

//echo $X;
$obj = new stdClass();
$obj->anzahl = $X;
$obj->file_array = $video_files;
$output = json_encode($obj);
//echo $output;
?>

<body lang="de-DE" onLoad='prevVideoList(<?php echo json_encode($obj); ?>)'>
<center>
<div class="klein">

<?php

$user_id = $uid;

echo "
<div class='body_grid'>

    <div class='header'>
        pic2base :: Admin-Bereich - Vorschau-Videos erzeugen
    </div>

    <div class='navigation'>
        <div class='menucontainer'>";
        // Hier wird keine Navigationsmöglichkeit angeboten, damit während der Erzeugung der Vorschau-Videos
        // nicht versehentlich abgebrochen wird:
        //include $sr . '/bin/html/admin/adminnavigation.php';
        echo "</div>
    </div>

    <div class='content'>
        <div class='content_grid_filmstripe'>
	
            <div class='filmstripe_content_left' id='spalte1' style='overflow: hidden;'>
                <fieldset class='normal' style=' height: 95%;overflow: hidden;'>
                <legend class='normal'>Status der Wartungsarbeiten</legend>";
                $X = "";
                echo "	
                <p class='klein' style='margin-top: 50px; margin-bottom:30px;'><u>Vorschau-Videos werden erzeugt...</u></p>
                <center>
                    <p class='klein' id = 'headline'>Status der Bearbeitung</p>
                    <p class='klein' id='zaehler'></p>
                    <div id='prog_bar' class='progress_bar' style='width:300px; margin-top:20px;'>
                        <img src='../../share/images/green.gif' name='bar' /><br />
                        <center>
                        <p class='klein' id = 'record_nr'>" . $X . "</p>
                        </center>
                    </div>
                </center>

                <p class='klein_green' id='meldung' style='margin-top:30px;'>Bitte warten Sie einen Moment.<br />
                Die Erzeugung der fehlenden Dateien kann je nach Anzahl und Größe<br />
                der Videos und der Leistungsfähigkeit des Servers<br />
                durchaus längere Zeit in Anspruch nehmen.<br /><br />       
                Der Abschluß des Vorgangs wird Ihnen hier angezeigt.</p>
                </fieldset>
            </div>

		
            <div class='filmstripe_content_right' id='spalte2' style='overflow: hidden;'>
                <fieldset class='normal' style=' height:95%; overflow-y:scroll;'>
                <legend class='normal'>Hinweis</legend>
                    <p class='klein' style='text-align:left;'>
                    Die Erzeugung der Vorschau-Videos kann in Abhängigkeit der Rechenleistung des Servers
                    und der Anzahl der zu erzeugenden Dateien einige Zeit in Anspruch nehmen.<br /><br />
                    (Mitunter ist mit mehreren Stunden zu rechnen!)</p>
                    <p align='center' id='button' style='margin-top:50px;'>
                        <input type='button' class='button' value='Zur Startseite' disabled>
                    </p>
                </fieldset>
            </div>

            <div class='filmstripe_content_bottom'>
            </div>

        </div>

    </div>

    <div class='footer'>
        <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
    </div>

</div>
</center>

<div id='blend' style='display:none; z-index:9999;'>
	<img src='../../share/images/grey.png' style='z-index:10000; position:absolute; top:0px; left:0px; width:100%; height:100%;' />
	<img src=\"../../share/images/loading.gif\" style='position:absolute; top:30%; left:50%; width:20px; z-index:10001;' />
</div>

</body>";
?>
        
<script type = text/javascript>
var timeout = 10000;
var anzahl;
var file_array;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
document.bar.width = '0';

function prevVideoList( params )
{
    if(params.anzahl > 0)
    {
        gesamtanzahl = params.file_array.length;
//        alert("Gesamtzahl: " + anzahl + ", Dateinamen: " + file_array + " / " + gesamtanzahl);
        document.getElementById("zaehler").innerHTML = "Anzahl der zu erzeugenden Objekte: " + gesamtanzahl;
        document.getElementById("blend").style.display = "block";
        processFile( params.file_array );
    }
    else
    {
        alert( "Es sind keine Dateien zu bearbeiten." );
        window.location='db_wartung1.php?item=dbwartung';
    }	
}

function showReady( avgTime,mod )
{
    //Erfassungsfenster leeren:
    document.getElementById("headline").innerHTML = "";
    document.getElementById("zaehler").innerHTML = "";
    document.getElementById("meldung").innerHTML = "";
    document.getElementById( "prog_bar" ).style.border = "none";
    document.bar.width = '0';
    document.bar.height = '0';
    //Fertigmeldung ausgeben:
    //alert( "Die Bearbeitung ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
    window.location='db_wartung1.php?item=dbwartung';
}

function processFile( file_array )
{
    //Objekt fuer Objekt wird das Vorschauvideo erzeugt und das Objekt-Array nach jeder Bearbeitung gekuerzt
    //nach jedem bearbeiteten Objekt wird der Fortschrittsbalken aktualisiert
//    alert("zu bearbeitende Datei: " + file_array[0]);
    var client = new XMLHttpRequest();
    client.open("GET", "generate_preview_video.php?file_id=" + file_array[0], true);
    file_array.splice( 0, 1 );
    client.onreadystatechange = function()
    {
        if( client.readyState == 4 )
        {
//          alert("Response-Text: " + client.responseText);
//          alert("Array-Laenge: " + file_array.length);
            var result = JSON.parse( client.responseText );
            if( result.errorCode == 1 )
            {
                alert( "Es trat ein Fehler auf! (Error-Code 1; Erzeugte HQ-Vorschau-Video-Datei " + result.FileId + ".webm kann nicht gelesen werden.)" );
            }
            else if( result.errorCode == 2 )
            {
                alert("Fehler!");
            }
            else if( result.errorCode == 3 )
            {
                alert("Das neue Vorschau-Video wurde nicht korrekt erzeugt.");
            }

            if( file_array.length > 0 )
            {
                if( file_array.length > 1)
                {
                    document.getElementById("meldung").innerHTML = "...es verbleiben noch " + file_array.length + " Objekte...";
                }
                else
                {
                    document.getElementById("meldung").innerHTML = "...es verbleibt noch " + file_array.length + " Objekt...";
                }
                var laenge = (gesamtanzahl - file_array.length) / gesamtanzahl * 300;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                processFile( file_array );
            }
            else
            {
                //Bearbeitung ist abgeschlossen
                //Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
                var endtime = new Date();
                var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
                avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
                document.getElementById("meldung").innerHTML = "Alle Objekte wurden aktualisiert.";
                //Aktualisierung des Fortschrittsbalkens auf 100%:
                var laenge = (gesamtanzahl - file_array.length) / gesamtanzahl * 300;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                setTimeout("showReady(avgTime)", 500);
                //showReady(avgTime,mod)
            }
        }
    };
    client.send( null );
}
</script>
        
</html>