<?php

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript ermittelt die Anzahl der zu aktualisierenden Objekte, wenn 
// Kategorien aus dem Kategoriebaum entfernt werden
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*
 * Project: pic2base
 * File: kat_delete_action2.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

$result1 = mysqli_query($conn, "SELECT username FROM $table1 WHERE id = '$uid'");
$row1 = mysqli_fetch_assoc($result1);
$username = $row1['username'];
// Ausgehend von der gewaehlten Kategorie muessen alle Unterkategorien bestimmt werden. Dann muessen aus der Tabelle 10 (pic_kat) alle Eintraege geloescht werden,
// welche auf die gewaehlte Kategorie bzw. deren Unterkategorie verweisen.
// fuer register_globals = off
// $ID -> die zu löschende Kategorie(-ID)
$ID = $_GET['ID'];

// für den sauberen Rücksprung-Link:
$res0 = mysqli_query($conn, "SELECT parent FROM $table4 WHERE kat_id = '$ID'");
$row0 = mysqli_fetch_assoc($res0);
$parent_kat = $row0['parent'];

$res1 = mysqli_query($conn, "SELECT max(level) FROM $table4");
$row1 = mysqli_fetch_assoc($res1);
$max_level = $row1['max(level)'];
//echo "max. Level: ".$max_level."<br />";
$result2 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent = '$ID'");
$num2 = mysqli_num_rows($result2);
$child_arr[] = $ID;
IF($num2 > '0')
{
	$row2 = mysqli_fetch_assoc($result2);
    $curr_level = $row2['level'];
	while($curr_level <= $max_level)
	{
		foreach($child_arr AS $child)
		{
			$result3 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent = '$child' AND level = '$curr_level'");
			$num3 = mysqli_num_rows($result3);
			if($num3 > '0')
			{
				for($i3='0'; $i3<$num3; $i3++)
				{
					$row3 = mysqli_fetch_assoc($result3);
				    $child_arr[] = $row3['kat_id'];	
				}
			}
		}
		$curr_level++;
	}
}

$pic_arr = array();
foreach($child_arr AS $child)
{
	$res3 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id = '$child'");
	if(!isset($u_kategorie))
	{
		$u_kategorie = '';
	}
	$row3 = mysqli_fetch_assoc($res3);
	$u_kategorie .= $row3['kategorie']."<br />";
	//echo $child."<br />";			//$child - Nummer der zu loeschenden Kategorie
	//Loeschvorgang der Kategorie in der Kategorie-Tabelle ($table4):
	$result4 = mysqli_query($conn, "DELETE FROM $table4 WHERE kat_id = '$child'");
	//Eintrag aus der kat_lex loeschen:
	$result6 = mysqli_query($conn, "DELETE FROM $table11 WHERE kat_id = '$child'");
	
	$res4 = mysqli_query($conn, "SELECT * FROM $table10 WHERE kat_id = '$child'");
	$num4 = mysqli_num_rows($res4); 
	for($i4='0'; $i4<$num4; $i4++)
	{
		$row4 = mysqli_fetch_assoc($res4);
	    $pic_id = $row4['pic_id'];
		if(!in_array($pic_id, $pic_arr))
		{
			$pic_arr[] = $pic_id;
		}
	}
	$result5 = mysqli_query($conn, "DELETE FROM $table10 WHERE kat_id = '$child'");
	//log-file im Klartext schreiben:
	$fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
	flock($fh, LOCK_EX);
	fwrite($fh,"##########\n".date('d.m.Y H:i:s').": Kategorie Kat.-ID: ".$child." (".strip_tags(mb_convert_encoding($u_kategorie, "UTF-8")).") wurde von ".mb_convert_encoding($username, "UTF-8")." geloescht. Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n##########\n");
	flock($fh, LOCK_UN);
	fclose($fh);
}
$anzahl = count($pic_arr);
//  Bis hierher: Die betreffende Kategorie nebst deren Unterkategorien wurden gelöscht und die betroffenen Objekt-IDs ermittelt ($pic_arr)

mysqli_close($conn);

$obj = new stdClass();
$obj->anzahl = $anzahl;
$obj->pic_array = $pic_arr;
$obj->parent_kat = $parent_kat;
$output = json_encode($obj);
echo $output;
?>