<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Kategorie hinzuf&uuml;gen</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict();
		function countChars () 
		{
		  document.kat_neu.Kontrolle.value = document.kat_neu.kategorie.value.length + 1;
		  if(document.kat_neu.Kontrolle.value > 50)
			  alert("50 Zeichen sind erlaubt!\nWeitere Zeichen werden ignoriert.");
		  return true;
		} 
	</script>
</head>

<body lang="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: kat_add.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';

if(hasPermission($uid, 'editkattree', $sr))
{
	$navigation = "
			<a class='navi' href='kat_sort1.php'>Sortierung</a>
			<a class='navi' href='../../html/admin/adminframe.php'>Zur&uuml;ck</a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi_blind'></a>
			<a class='navi' href='../../html/start.php'>zur Startseite</a>
			<a class='navi' href='../../html/help/help1.php?page=5'>Hilfe</a>
			<a class='navi' href='$inst_path/pic2base/index.php'>Abmelden</a>";
}
else
{
	header('Location: ../../../index.php');
}

$level = $_GET['level']; 
$level_neu = $level + 1;

$ID = $_GET['ID']; 
$kat_id = $_GET['kat_id']; 

function setFontColor($ID, $kat_id)
{
	IF ($ID == $kat_id)
	{
		$f_color = "#de4040";
	}
	ELSE
	{
		$f_color = "#dedede";
	}
	return $f_color;
}

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Admin-Bereich - Unterkategorie anlegen
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>".$navigation."</div>
	</div>

    <div class='content'>
        <div class='content_grid_filmstripe'>

            <div class='filmstripe_content_left' style='overflow-y: hidden;' id='spalte1'>
                <fieldset class='normal' style='height:95%; overflow-y:scroll;'>
                <legend class='normal'>Kategorie-Auswahl</legend>
                    <div id='scrollbox0' style='overflow-y:hidden;'>
                    <center>";
            
                    //Erzeugung der Baumstruktur:
                    //Beim ersten Aufruf der Seite wird nur das Wurzel-Element angezeigt.
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    $KAT_ID = $kat_id;
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    //Ermittlung aller 'Knoten-Elemente' (Elemente, an denen in die Tiefe verzweigt wird)
                    $knoten_arr[]=$kat_id;
                    
                    while ($kat_id > '1')
                    {
                        include '../../share/db_connect1.php';
                        include '../../share/global_config.php';
                        $res0 = mysqli_query($conn, "SELECT parent FROM $table4 WHERE kat_id='$kat_id'");
                        echo mysqli_error($conn);
                        $row0 = mysqli_fetch_assoc($res0);
                        $kat_id = $row0['parent'];
                        //echo "Kat-ID in der Funktion: ".$kat_id."<br />";
                        $knoten_arr[]=$kat_id;
                    }
                    $knoten_arr = array_reverse($knoten_arr);
                    
                    echo "<table class='kat'>";
                    
                    function getElements($kat_id, $knoten_arr, $KAT_ID, $ID)
                    {
                        include '../../share/db_connect1.php';
                        include '../../share/global_config.php';
                        $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent='$kat_id' ORDER BY kategorie");
                        //echo "Fehler in Zeile 149: ".mysqli_error($conn);
                        $num10 = mysqli_num_rows($result10);
                        for ($i10=0; $i10<$num10; $i10++)
                        {
                            $row10 = mysqli_fetch_assoc($result10);			    
                            $kategorie = $row10['kategorie'];
                            $parent = $row10['parent'];
                            $level = $row10['level'];
                            $kat_id = $row10['kat_id'];
                            $space='';
                            for ($N=0; $N<$level; $N++)
                            {
                                $space .="&#160;&#160;&#160;";
                            }
                            
                            $kat_id_pos = array_search($kat_id, $knoten_arr);
                            if ($kat_id_pos > 0)
                            {
                                $kat_id_back = $knoten_arr[$kat_id_pos - 1];
                            }
                
                            //echo "Kat-ID: ".$kat_id.", ID: ".$ID.", Font_Color: ".setFontColor($ID, $kat_id)."<br />";
                            if (in_array($kat_id, $knoten_arr))
                            {
                                $img = "<img src='../../share/images/minus.svg' class='icon2' title='Klicken, um nach oben zu gelangen'>";
                                echo 	"<tr class='kat'><td class='kat1'>
                                    ".$space."<a href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font>
                                    </td>
            
                                    <td class='kat2'>
                                        <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                            <img src='../../share/images/edit.svg' style='border:none;' width='14' height='14' hspace='0' vspace='0' border='0' alt='Edit-Icon'>
                                        </a>
                                    </td>
                                    </tr>";
                                getElements($kat_id, $knoten_arr, $KAT_ID, $ID);
                            }
                            else
                            {
                                $img = "<img src='../../share/images/plus.svg' class='icon2' title='Klicken, um Unterkategorien anzuzeigen'>";
                                echo 	"<tr class='kat'><td class='kat1'>
                                    ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font>
                                    </td>
            
                                    <td class='kat2'>
                                        <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                            <img src='../../share/images/edit.svg' style='border:none;' width='14' height='14' hspace='0' vspace='0' border='0' alt='Edit-Icon'>
                                        </a>
                                    </td>
                                    </tr>";
                            }
                        }
                    }
                
                    $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='1'");
                    //echo "Fehler in Zeile 192: ".mysqli_error($conn);
                    $num10 = mysqli_num_rows($result10);
                    for ($i10=0; $i10<$num10; $i10++)
                    {
                        $row10 = mysqli_fetch_assoc($result10);
                        $kategorie = $row10['kategorie'];
                        $parent = $row10['parent'];
                        $level = $row10['level'];
                        $kat_id = $row10['kat_id'];
                        $space='';
                        FOR ($N=0; $N<$level; $N++)
                        {
                            $space .="&#160;&#160;&#160;";
                        }
                        
                        //Link fuer den Ruecksprung erzeugen, d.h. naechst hoeheren Knoten aufrufen:
                        $kat_id_back = array_search($kat_id, $knoten_arr);
                        
                        if (in_array($kat_id, $knoten_arr))
                        {
                            //echo $kat_id_back;
                            $img = "<img src='../../share/images/minus.svg' class='icon2' title='Klicken, um nach oben zu gelangen'>";
                            echo 	"<tr class='kat'><td class='kat1'>
                                ".$space."<a href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font><br />
                                </td>
            
                                <td class='kat2'>
                                    <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                        <img src='../../share/images/edit.svg' style='border:none;' width='14' height='14' hspace='0' vspace='0' border='0' alt='Edit-Icon'>
                                    </a>
                                </td>
                                </tr>";
                            getElements($kat_id, $knoten_arr, $KAT_ID, $ID);
                        }
                        else
                        {
                            $img = "<img src='../../share/images/plus.svg' class='icon2' title='Klicken, um Unterkategorien anzuzeigen'>";
                            echo 	"<tr class='kat'><td class='kat1'>
                                ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font><br />
                                </td>
            
                                <td class='kat2'>
                                    <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                        <img src='../../share/images/edit.svg' style='border:none;' width='14' height='14' hspace='0' vspace='0' border='0' alt='Edit-Icon'>
                                    </a>
                                </td>
                                </tr>";
                        }
                    }
                echo "</table>
                </center>
                </div>
                </fieldset>
            </div>

            <div class='filmstripe_content_right' id='spalte2'>
                <fieldset class='normal' style='height:95%; overflow-y:scroll;'>
                <legend class='normal'>Name der neuen Unterkategorie</legend>
                    <div id='scrollbox1' style='overflow-y:hidden;'>
                        <center>";
                        //das eigentliche Bearbeitungs-Formular:
                        $result2 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='$ID'");
                        $row2 = mysqli_fetch_assoc($result2);
                        $kategorie_alt = $row2['kategorie'];
                        echo "<p class='klein' id='elf' style='padding: 5px; width: 400px; margin-top: 40px;'>
                        Tragen Sie hier bitte den Namen<br />der neuen Unter-Kategorie ein:<br /><br />
                        Diese wird unterhalb der Kategorie <br /><br /><font style='color:var(--color_r);'>\"".$kategorie_alt."\"</font><br /><br />angelegt und darf	max. 50 Zeichen lang sein.<br /><br /></P>";
                        
                        echo "<FORM name='kat_neu' action='kat_add_action1.php?kat_id=$KAT_ID&level=$level&ID=$ID' method='POST'>
                            <INPUT type='hidden' name='parent' value='$ID'>
                            <INPUT type='hidden' name='level' value='$level_neu'>
                            <INPUT type='text' class='Textfeld' style='width:300px;' name='kategorie' placeholder='Neuer Kategorie-Name (max. 50 Zeichen)' size='50' maxlength='50' onkeydown='countChars(this.value)'>&#160;<br /><br />
                            <input type='hidden' value='0' readonly='readonly' size='3' name='Kontrolle'>
                            <INPUT TYPE = 'button' class='button' VALUE = 'Abbrechen' OnClick='location.href=\"kategorie0.php?kat_id=0\"'>
                            <INPUT type='submit' class='button' style='margin-left:10px;' value='Speichern'>
                        </FORM>
                        </center>
                    </div>
                </fieldset>
            </div>

            <div class='filmstripe_content_bottom'>
            </div>

        </div>
    </div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>

</div>";

mysqli_close($conn);
?>

<script type="text/javascript">
document.kat_neu.kategorie.focus();
</script>

</div>
</body>
</html>
