<!DOCTYPE HTML>
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 1.0.2  (Linux)">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
</HEAD>

<body lang="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: kat_delete.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */
 
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

if (array_key_exists('kat_id',$_GET))
{
    $kat_id = $_GET['kat_id'];
    $KAT_ID = $kat_id;
}

if (array_key_exists('ID', $_GET))
{
    $ID = $_GET['ID'];
}

if (hasPermission($uid, 'editkattree', $sr))
{
	$navigation = "
        <a class='navi' href='kat_sort1.php'>Sortierung</a>
        <a class='navi' href='../../html/admin/adminframe.php'>Zur&uuml;ck</a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi' href='../../html/start.php'>zur Startseite</a>
        <a class='navi' href='../../html/help/help1.php?page=5'>Hilfe</a>
        <a class='navi' href='$inst_path/pic2base/index.php'>Abmelden</a>";
}

function setFontColor($ID, $kat_id)
{
	if ($ID == $kat_id)
	{
		$f_color = "#de4040";
	}
	else
	{
		$f_color = "#dedede";
	}
	return $f_color;
}

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Admin-Bereich - Kategorie-Bearbeitung
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>".$navigation."</div>
	</div>

    <div class='content'>
        <div class='content_grid_filmstripe'>

            <div class='filmstripe_content_left' id='spalte1'style='overflow: hidden;'>
                <fieldset class='normal' style='height: 95%; overflow: hidden;'>
                <legend class='normal'>Die rot hinterlegte Kategorie wollen Sie l&ouml;schen?</legend>
                    <div id='scrollbox0' style='height: 98%; overflow-y: scroll;'>";
                    //Erzeugung der Baumstruktur:
                    //Beim ersten Aufruf der Seite wird nur das Wurzel-Element angezeigt.
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    //			$kat_id = $_GET['kat_id'];
                    //			$ID = $_GET['ID'];
                    //			$KAT_ID = $kat_id;
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    //Ermittlung aller 'Knoten-Elemente' (Elemente, an denen in die Tiefe verzweigt wird)
                    $knoten_arr[]=$kat_id;
                    
                    while ($kat_id > '1')
                    {
                        $res0 = mysqli_query($conn, "SELECT parent FROM $table4 WHERE kat_id='$kat_id'");
                        echo mysqli_error($conn);
                        $row0 = mysqli_fetch_assoc($res0);
                        $kat_id = $row0['parent'];
                        //echo "Kat-ID in der Funktion: ".$kat_id."<br />";
                        $knoten_arr[]=$kat_id;
                    }
                    $knoten_arr = array_reverse($knoten_arr);
                    
                    echo "
                        <center>
                        <table class='kat'>";
                        
                        function getElements($kat_id, $knoten_arr, $KAT_ID, $ID)
                        {
                            include '../../share/db_connect1.php';
                            include '../../share/global_config.php';
                            $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent='$kat_id' ORDER BY kategorie");
                            $num10 = mysqli_num_rows($result10);
                            for ($i10=0; $i10<$num10; $i10++)
                            {
                                $row10 = mysqli_fetch_assoc($result10);
                                $kategorie = $row10['kategorie'];
                                $parent = $row10['parent'];
                                $level = $row10['level'];
                                $kat_id = $row10['kat_id'];
                                $space='';
                                for ($N=0; $N<$level; $N++)
                                {
                                    $space .="&#160;&#160;&#160;";
                                }
                                
                                $kat_id_pos = array_search($kat_id, $knoten_arr);
                                if($kat_id_pos > 0)
                                {
                                    $kat_id_back = $knoten_arr[$kat_id_pos - 1];
                                }
                                //echo "Kat-ID: ".$kat_id.", ID: ".$ID.", Font_Color: ".setFontColor($ID, $kat_id)."<br />";
                                if (in_array($kat_id, $knoten_arr))
                                {
                                    //echo $kat_id_back;
                                    $img = "<img src='../../share/images/minus.svg' class='icon2'>";
                                    echo "<tr class='kat'>
                                            <td class='kat1'>
                                                ".$space."<a href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font>
                                            </td>
                                            <td class='kat2'></td>
                                        </tr>";
                                    getElements($kat_id, $knoten_arr, $KAT_ID, $ID);
                                }
                                else
                                {
                                    $img = "<img src='../../share/images/plus.svg' class='icon2'>";
                                    echo "<tr class='kat'>
                                            <td class='kat1'>
                                                ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font>
                                            </td>
                                            <td class='kat2'>
                                            </td>
                                        </tr>";
                                }
                            }
                        }
                    
                        $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='1'");
                        $num10 = mysqli_num_rows($result10);
                        for ($i10=0; $i10<$num10; $i10++)
                        {
                            $row10 = mysqli_fetch_assoc($result10);
                            $kategorie = $row10['kategorie'];
                            $parent = $row10['parent'];
                            $level = $row10['level'];
                            $kat_id = $row10['kat_id'];
                            $space='';
                            for ($N=0; $N<$level; $N++)
                            {
                                $space .="&#160;&#160;&#160;";
                            }
                            
                            //Link fuer den Ruecksprung erzeugen, d.h. naechst hoeheren Knoten aufrufen:
                            $kat_id_back = array_search($kat_id, $knoten_arr);
                            
                            if (in_array($kat_id, $knoten_arr))
                            {
                                //echo $kat_id_back;
                                $img = "<img src='../../share/images/minus.svg' class='icon2'>";
                                echo 	"<tr class='kat'><td class='kat1'>
                                    ".$space."<a href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font><br />
                                    </td>
                                    <td class='kat2'>
                                    </td>
                                    </tr>";
                                getElements($kat_id, $knoten_arr, $KAT_ID, $ID);
                            }
                            else
                            {
                                $img = "<img src='../../share/images/plus.svg' class='icon2'>";
                                echo 	"<tr class='kat'><td class='kat1'>
                                    ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font><br />
                                    </td>
                                    <td class='kat2'>
                                    </td>
                                    </tr>";
                            }
                        }
                        echo "</table>
                        </center>
                    </div>
                </fieldset>
            </div>

            <div class='filmstripe_content_right' id='spalte2' style='overflow: hidden;'>
                <fieldset class='normal' style='height: 95%; overflow: hidden;'>
                <legend class='normal'>L&ouml;schen best&auml;tigen</legend>
                    <div id='scrollbox1' style='overflow-y: scroll; height: 98%;'>
                        <center>";
                        //das eigentliche Bearbeitungs-Formular:
                        $result2 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='$ID'");
                        $row2 = mysqli_fetch_assoc($result2);
                        $kategorie_alt = $row2['kategorie'];
                        echo "<p class='klein' style='width: 400px; margin-top: 10px;'>Wollen Sie wirklich die Kategorie</p>
                        <p class='klein_red'>\"".$kategorie_alt."\"</p>
                        <p class='klein' style='width: 400px; margin-top: 10px;'>l&ouml;schen?</p>
                        <p class='klein' style='width: 400px; margin-top: 10px;'>Es werden dann auch ALLE Unterkategorien zu</p>
                        <p class='klein_red'>\"".$kategorie_alt."\"</p>
                        <p class='klein' style='width: 400px; margin-top: 10px; margin-bottom:20px;'>gel&ouml;scht!</p>";
                        
                        echo "<table>
                                <tr>
                                    <td align='center'>
                                        <input type = 'button' class='button' style='margin-right:20px;' VALUE = 'Abbrechen' OnClick='location.href=\"kategorie0.php\"'>
                                        <input type = 'button' class='button_red' value='L&ouml;schen' onClick='getAffectedKatRecords($ID)'>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td align='center'>
                                        <p class='klein' id='zaehler'>&nbsp;</p>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td align='center'>
                                        <div id='prog_bar' class='progress_bar' style='margin-top:30px; margin-bottom:30px; vertical-align:middle;'>
                                            <img src='../../share/images/green.gif' name='bar' />
                                        </div>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td align='center'>
                                        <p class='klein' id='meldung'>&nbsp;</p>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td align='center'>
                                        <p class='klein' id='counter'>&nbsp;</p>
                                    </td>
                                </tr>
                                
                            </table>
                        </center>
                    </div>
                </fieldset>
            </div>

            <div class='filmstripe_content_bottom'>
            </div>

        </div>
    </div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>


</div>
</center>
</body>";
mysqli_close($conn);
?>

<script type = text/javascript>
var timeout = 1;
var fileList = null;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
document.bar.width = '0';

function recordListReceived( responseText )
{
	//alert("kat_delete.php, Z. 323: An kat_delete.php zurueckgeliefertes Objekt: " + responseText);
	recordList = JSON.parse( responseText, null );
	//alert("kat_delete.php, Z. 325: Anz. betroffener Objekte: " + recordList.pic_array.length);
	if(recordList.anzahl > 0)
	{
		gesamtanzahl = recordList.pic_array.length;
		document.getElementById("zaehler").innerHTML = "Anzahl der zu ändernden Objekte: " + gesamtanzahl;
		processFile( recordList );
	}
	else
	{
		alert( "Es müssen keine Objekte bearbeitet werden." );
		window.location="kategorie0.php";
	}	
}

function showReady(avgTime)
{
	//Erfassungsfenster leeren:
	document.getElementById("zaehler").innerHTML = "&nbsp;";
	document.getElementById("meldung").innerHTML = "&nbsp;";
	document.getElementById( "prog_bar" ).style.border = "none";
	document.bar.width = '0';
	document.bar.height = '0';
	window.location='kategorie0.php';
}

function processFile( recordList )
{
	var client = new XMLHttpRequest();
	client.open("GET", "kat_delete_action2.php?pic_id=" + recordList.pic_array[0], true);
	//alert( "kat_delete.php, Z. 359: Es wird Datensatz " + recordList.pic_array[0] + " bearbeitet.");
	recordList.pic_array.splice( 0, 1 );
	
	client.onreadystatechange = function()
	{
		if( client.readyState == 4 )
		{
			
			var result = JSON.parse( client.responseText );
			//alert("kat_delete.php, Z. 368: Fehler-Code: " + result.errorCode);
							
			if( result.errorCode != 0 )
			{
				//alert( "Es trat ein Fehler auf!" );
				if( result.errorCode == 2 && recordList.pic_array.length < 1)
				{
					alert ("kat_delete.php, Z. 375: Es ist ein Fehler aufgetreten. Der Vorgang wird abgebrochen.");
				}
			}
					
			if( recordList.pic_array.length > 0 )
			{
				if( recordList.pic_array.length > 1)
				{
					document.getElementById("meldung").innerHTML = "...es verbleiben noch " + recordList.pic_array.length + " Objekte...";
				}
				else
				{
					document.getElementById("meldung").innerHTML = "...es verbleibt noch " + recordList.pic_array.length + " Objekt...";
				}
				var laenge = (gesamtanzahl - recordList.pic_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				processFile( recordList );
			}
			else
			{
				//Bearbeitung ist abgeschlossen
				document.getElementById("meldung").innerHTML = "Alle Objekte wurden bearbeitet.";
				//Aktualisierung des Fortschrittsbalkens auf 100%:
				var laenge = (gesamtanzahl - recordList.pic_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				setTimeout("showReady(avgTime)", 500);
			}
		}
	};
	client.send( null );
}
</script>

</html>