<!DOCTYPE HTML>
<HTML>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Kategorie-Sortierung</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict(); 
	</script>
</head>

<body lang="de-DE" scroll = "auto">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: kat_sort1.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';

if(hasPermission($uid, 'editkattree', $sr))
{
    $navigation = "
    <span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='../../html/admin/adminframe.php'\">Zur&uuml;ck</a>
	</span>
	
    <a class='navi_blind'></a>";
    for($i=0; $i<14; $i++)
    {
        $navigation .= "<a class='navi_blind'></a>";
    }
    $navigation .= "<span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='../../html/start.php'\">zur Startseite</a>
	</span>

    <span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='../../html/help/help1.php?page=5'\">Hilfe</a>
	</span>

    <span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='$inst_path/pic2base/index.php'\">Abmelden</a>
	</span>";
}
else
{
    header('Location: ../../../index.php');
}

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Admin-Bereich - Kategorie-Sortierung
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>";
		echo $navigation;
		echo "
		</div>
	</div>

	<div class='content'>
		<div class='content_grid_filmstripe'>
	
			<div class='filmstripe_content_left' id='spalte1' style='overflow: hidden;'>
				<fieldset class='normal' style=' height: 95%;overflow: hidden;'>
				<legend class='normal'>Kategorie-Umsortierung</legend>
					<div id='scrollbox0' style='overflow-y:scroll;'>
					</div>
				</fieldset>
			</div>
	
			<div class='filmstripe_content_right' id='spalte2' style='overflow: hidden;'>
                <fieldset class='normal' style=' height:95%; overflow-y:scroll;'>
				<legend class='normal'>Hinweis</legend>
					<div id='scrollbox1' style='overflow:hidden;text-align:left;'>
					
						<p class='klein'>
						Die Kategorie-Sortierung dient dem Zweck, Objekte, die bisher in der Kategorie A einsortiert waren nun einer neuen (oder bereits vorhandenen) Kategorie B zuzuordnen.<br /><br />
						Anschlie&szlig;end wird die alte Kategorie A gel&ouml;scht.<br /><br />
						Dies kann man nutzen, um eine Kategorie innerhalb des Kategoriebaumes \"umziehen\" zu lassen.<br /><br />
						Dazu wird zun&auml;chst eine neue Kategorie B mit dem gleichen Namen der bisherigen Kategorie A an einer neuen Stelle im Kategoriebaum angelegt. Nun l&auml;&szlig;t man einfach die gew&uuml;nschte Kategorie von A nach B umziehen, womit die betroffenen Objekte zwar unter dem gleichen Kategorienamen, aber an einer anderen Stelle zu finden sind.<br /><br />
						<b><u>Schritt 1:</u></b><br />
						Pr&uuml;fen Sie in der linken Spalte, ob die gew&uuml;nschte Zielkategorie vorhanden ist. Wenn nicht, gehen Sie noch einmal zurück und legen Sie sie in der Kategorieverwaltung an.<br /><br />
						<b><u>Schritt 2:</u></b><br />
						Klicken Sie hier, um zum Auswahlfenster f&uuml;r die Quell- und Zielkaterogie zu gelangen:<br /><br />
						</p>

						<center>
						<INPUT type='button' class='button' value='Weiter zum Kategorie-Auswahlfenster' onClick='location.href=\"kat_ausw1.php\"'>
						</center>

					</div>
				</fieldset>
			</div>

			<div class='filmstripe_content_bottom'>
			</div>

		</div>
	</div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>
</div>";

mysqli_close($conn);
?>
</DIV></CENTER>
</BODY>
</HTML>