<!DOCTYPE HTML>
<html>

<head>
  <title>pic2base - vorgemerkte Objekte wieder herstellen</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type="text/css" href="../../css/format2.css">
  <link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
  <script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
  <script type="text/javascript" src="../../share/functions/resize_elements.js"></script>
  <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
  
  <script type="text/javascript">
    jQuery.noConflict();
    jQuery(document).ready( function()
    {
        checkWindowSize();
    });

    jQuery(window).resize(checkWindowSize); 
		
  </script>
</head>

<body>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: unmark_files1.php
 *
 * Copyright (c) 2005 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

$result1 = mysqli_query($conn, "UPDATE $table2 SET aktiv = '1' WHERE aktiv = '0'");
$error = mysqli_error($conn);
IF($error == '')
{
    $hinweis = "<p class='klein_green'>Alle markierten Objekte wurden wieder in die Datenbank aufgenommen.</p>";
}
ELSE
{
    $hinweis = "<p class='klein_red'>Es ist ein Fehler aufgetreten:</p>".$error;
}

echo "
<div class='page' id='page'>

    <div class='head' id='head'>
        pic2base :: vorgemerkte Objekte wieder herstellen <span class='klein'>(User: $username)</span>
    </div>

    <div class='navi' id='navi'>
        <div class='menucontainer'>";
        include '../../html/admin/adminnavigation.php';
        echo "</div>
    </div>

    <div class='content' id='content'>
        <center>
        <table class='liste1' style='margin-top:50px;'>
        <tbody>
            <tr style='height:3px;'>
                <td colspan='6' style='text-align:center; background-color:var(--color3);'></td>
            </tr>

            <tr style='height:50px; background: none;'>
                <td colspan='6' align='center'>
                    <p class='klein'>".$hinweis."</p>
                </td>
            </tr>

            <tr style='height:50px; background: none;'>
                <td colspan='6' align='center' bgcolor=''>
                    <input type='button' class='button' value = 'Zurück' onClick='location.href=\"del_pics1.php\"'>
                </td>
            </tr>

            <tr style='height:3px;'>
                <td colspan='6' style='text-align:center; background-color:var(--color3);'></td>
            </tr>
        </tbody>
    </table>
    </center>
    </div>

    <div class='foot' id='foot'>
            <A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
    </div>
</div>
</div>
</body>
</html>";
?>


