<!DOCTYPE HTML>
<html>
<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <TITLE>pic2base - Datensatz-Bearbeitung</TITLE>
    <META NAME="GENERATOR" CONTENT="eclipse">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
    <script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
    <script type="text/javascript" type="text/javascript" src="../../share/functions/ShowPicture.js"></script>
    <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
        jQuery.noConflict();   
    </script>
</head>

<?php
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

/*
 * Project: pic2base
 * File: edit_beschreibung.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 */

if(array_key_exists('kat_id',$_GET))
{
	$kat_id = $_GET['kat_id'];
	if($kat_id !== '')
	{
		$_SESSION['kat_treeview_pos'] = $kat_id;
	}
	else 
	{
		$kat_id = $kat_treeview_pos;
	}
}
else
{
    $kat_id = '';
}

if($katTreeViewModus == 'compact')
{
    $view = 'Kompakter Kategoriebaum';
}
else
{
    $view = 'Vollständiger Kategoriebaum';
}

if($katTreeSortOrder == 'alphabetical')
{
    $view2 = 'Alphabetische Sortierung';
}
else
{
    $view2 = 'Dezimale Sortierung';
}

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];
//Tabelle der temp. Beschreibungen wird von allen Eintraegen des angemeldeten Users geleert:
$result1 = mysqli_query($conn, "DELETE FROM $table32 WHERE user_id = '$uid'");

//var_dump($_REQUEST);
if(array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}

if(array_key_exists('mod',$_GET))
{
    $mod = $_GET['mod'];
}

if(array_key_exists('art',$_GET))
{
    $art = $_GET['art'];
}
else
{
    if(!isset($art))
    {
        $art = '';
    }
}

if(array_key_exists('ID',$_REQUEST))
{
    $ID = $_REQUEST['ID'];
}
else
{
    if(!isset($ID))
    {
        $ID = '';
    }
}

$base_file = 'edit_beschreibung';
echo "<body onLoad=\"getKatTreeview('$kat_id','0','kat','0','edit','$katTreeViewModus','edit_beschreibung')\">
<center>
<div class='klein'>

    <div class='body_grid'>
   
        <div class='header'>
            pic2base :: Datensatz-Bearbeitung (Beschreibung bearbeiten) <span class='klein'>(User: $username)</span>
        </div>

        <div class='navigation'>
            <div class='menucontainer'>";
                createNavi3_1($uid); //echo $kat_id;
                echo "
            </div>
        </div>

        <form id='content' class='content' name='desc_zuweisung' method='post' action='edit_desc_daten_action2.php?ID=$ID&art=$art'>
            <div class='content_grid_filmstripe'>

                <div class='filmstripe_content_left' id='spalte1F' style='overflow: hidden;'>
                    <fieldset class='normal' style='height: 95%;overflow: hidden;'>
                    <legend class='normal'>Objektsuche nach Kategorien<span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Ansicht umzuschalten' onClick='alterKatTreeviewModus(\"$katTreeViewModus\",\"$base_file\");'>|".$view."|</span>
                        <span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Sortierung umzuschalten\n(alphabetische / dezimale Sortierung)' onClick='alterKatSortOrder(\"$katTreeSortOrder\",\"$base_file\");'>|".$view2."|</span></legend>
                        <div id='scrollbox0' style='height: 98%; overflow-y:scroll;'>";
                            $ziel = '../../html/edit/edit_beschreibung.php';
                            $modus='edit';
                            $mod='kat';
                            $base_file = 'edit_beschreibung';
                        echo "
                        </div>
                    </fieldset>
                </div>
               
                <div class='filmstripe_content_right' id='spalte2F' style='overflow: hidden;'>
                    <fieldset class='normal' id='fieldset_spalte2'  style=' height:95%; overflow-y:scroll;'>
                        <legend class='normal'>F&uuml;ge Beschreibungstext den ausgew&auml;hlten Objekten zu</legend>
                        <div id='scrollbox2' style='height:98%; overflow:hidden; text-align:left; justify-content:center;'>
                            <p class='klein'><u>Hinweis:</u><br /></p>
                            <p class='klein'>Der hier eingetragene Text wird den vorhandenen Beschreibungen der ausgew&auml;hlten Objekten hinzugef&uuml;gt.<br />
                            Die Verwendung doppelter Anf&uuml;hrungszeichen oder spitzer Klammern <u>ist nicht m&ouml;glich</u>!</p><br />
                            <textarea name='description' id='desc_textarea2' class='textarea' wordwrap placeholder='Tragen Sie hier bitte Ihren Beschreibungstext für die selektierten Objekte ein.'></textarea>
                            <div style='margin-top:20px; width:99%; text-align:center;'>
                                <input type='button' class='button' style='margin-right:20px;' id='button3a' value='Abbrechen' OnClick='location.href=\"edit_start.php\"'>
                                <input type='submit' class='button' style='margin-leftt:20px;' id='button3' value='Speichern' onClick=javascript:encodeURIComponent(desc_zuweisung.description.value);>
                            </div>
                        </div>
                    </fieldset>
                </div>
                
                <div id='filmstreifen' class='filmstripe_content_bottom'>";
                    $modus='edit';
                    $mod='kat';
                echo "
                </div>
            </div>
        </form>

        <div class='footer'>
            <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
        </div>

    </div>
    
    <div id='blend' style='display:none; z-index:99;'>
        <IMG src='../../share/images/grey.png' style='z-index:100; position:absolute; top:0px; left:0px; width:100%; height:99%;' />
        <img src=\"../../share/images/loading.gif\" style='position:absolute; top:200px; width:20px; z-index:101;' />
    </div>";

mysqli_close($conn);
?>
</div>
</div>
</body>
</html>