<!DOCTYPE HTML>
<html>
<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <TITLE>pic2base - Datensatz-Bearbeitung</TITLE>
    <META NAME="GENERATOR" CONTENT="eclipse">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
    <script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
    <script type="text/javascript" type="text/javascript" src="../../share/functions/ShowPicture.js"></script>
    <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
        jQuery.noConflict();
//        alert(document.copyright_zuweisung.Kontrolle.value);

        function showKatInfo(kat_id)
		{
			Fenster1 = window.open('../../share/edit_kat_info.php?kat_id='+kat_id, 'Kategorie-Informationen', "width=675,height=768,scrollbars,resizable=no,");
			Fenster1.focus();
		}

        function countChars () 
		{
		  document.copyright_zuweisung.Kontrolle.value = document.copyright_zuweisung.copyright.value.length + 1;
		  if(document.copyright_zuweisung.Kontrolle.value > 128)
			  alert("maximal 128 Zeichen sind erlaubt!\nWeitere Zeichen werden ignoriert.");
		  return true;
		}

        function replaceChars ()
        {
            if(document.copyright_zuweisung.copyright.value.substr(-1) === '"')
            {
                //alert("Das doppelte Anführungszeichen wurde durch ein einfaches ersetzt.");
                document.copyright_zuweisung.copyright.value = document.copyright_zuweisung.copyright.value.replace('"',"'");
            }
            else if(document.copyright_zuweisung.copyright.value.substr(-1) === '<')
            {
                //alert("Die spitze Klammer wurde durch eine eckige ersetzt.");
                document.copyright_zuweisung.copyright.value = document.copyright_zuweisung.copyright.value.replace('<',"[");
            }
            else if(document.copyright_zuweisung.copyright.value.substr(-1) === '>')
            {
                //alert("Die spitze Klammer wurde durch eine eckige ersetzt.");
                document.copyright_zuweisung.copyright.value = document.copyright_zuweisung.copyright.value.replace('>',"]");
            }
        }
        
    </script>
</head>

<?php
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

/*
 * Project: pic2base
 * File: edit_copyright.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 */

if(array_key_exists('kat_id',$_GET))
{
	$kat_id = $_GET['kat_id'];
	if($kat_id !== '')
	{
		$_SESSION['kat_treeview_pos'] = $kat_id;
	}
	else 
	{
		$kat_id = $kat_treeview_pos;
	}
}

if($katTreeViewModus == 'compact')
{
    $view = 'Kompakter Kategoriebaum';
}
else
{
    $view = 'Vollständiger Kategoriebaum';
}

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];
//Tabelle der temp. Beschreibungen wird von allen Eintraegen des angemeldeten Users geleert:
$result1 = mysqli_query($conn, "DELETE FROM $table14 WHERE user_id = '$uid'");

//var_dump($_REQUEST);
if(array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}

if(array_key_exists('mod',$_GET))
{
    $mod = $_GET['mod'];
}

if(array_key_exists('art',$_GET)) // copyright anfügen oder ersetzen
{
    $art = $_GET['art'];
}
else
{
    if(!isset($art))
    {
        $art = '';
    }
}

if(array_key_exists('ID',$_REQUEST))
{
    $ID = $_REQUEST['ID'];
}
else
{
    if(!isset($ID))
    {
        $ID = '';
    }
}

$ziel = '../../html/edit/edit_copyright.php';
$modus='edit';
$mod='kat';
$base_file = 'edit_copyright';

echo "<body onLoad=\"getKatTreeview('','0','kat','0','edit','$katTreeViewModus','edit_copyright')\">
<center>
<div class='klein'>
    <div class='body_grid'>
        
        <div class='header'>
            pic2base :: Datensatz-Bearbeitung (Copyright bearbeiten) <span class='klein'>(User: $username)</span>
        </div>

        <div class='navigation'>
            <div class='menucontainer'>";
                createNavi3_1($uid);
                echo "
            </div>
        </div>

        <FORM id='content' class='content' name='copyright_zuweisung', method='post' action='edit_copyright_vermerk_action2.php?ID=$ID&art=$art'>
            <div class='content_grid_filmstripe'>

                <div class='filmstripe_content_left' id='spalte1F' style='overflow: hidden;'>";
                    //echo "edit_copyright.php, Z. 140: UID: ".$uid.", KatTreeViewModus: ".$katTreeViewModus.", KatTreeSortOrder: ".$katTreeSortOrder.", Kat-ID: ".$kat_id; 
                    echo "
                        <fieldset id='kat_tree_fieldset' class='normal' style='height:95%;overflow:hidden;'>
                        <legend class='normal'>Objektauswahl nach Kategorien<span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Ansicht umzuschalten' onClick='alterKatTreeviewModus(\"$katTreeViewModus\",\"$base_file\");'>(".$view.")</span></legend>
                            <div id='scrollbox0' style='height: 98%; overflow-y:scroll;'>
                            </div>
                        </fieldset>
                </div>
        
                <div class='filmstripe_content_right' id='spalte2F' style='overflow: hidden;'>
                    <fieldset id='fieldset_spalte2' class='normal' style=' height:95%; overflow-y:scroll;'>
                        <legend class='normal'>F&uuml;ge Copyright-Vermerk den ausgew&auml;hlten Objekten zu</legend>
                        <p class='klein' style='text-align:left;'><u>Hinweis:</u></p>
                        <p class='klein' style='text-align:left;'>Der hier eingetragene Text wird den vorhandenen Copyright-Vermerken der ausgew&auml;hlten Objekten hinzugef&uuml;gt.<br />
                        Die Verwendung doppelter Anf&uuml;hrungszeichen oder spitzer Klammern <u>ist nicht m&ouml;glich</u>!<br />
                        Der gesamte Copyright-Vermerk eines Objektes darf max. 128 Zeichen enthalten.<br />
                        Überzählige Zeichen werden ohne Rückfrage abgeschnitten!<br />
                        Für weitere Copyright-Details verwenden Sie bitte die Bildbeschreibung.</p>
                        <textarea name='copyright' id='copyright_textarea2' wordwrap class='textarea' placeholder='Notieren Sie hier Ihren Copyright-Vermerk:' style='margin-left:10px; margin-top:30px; margin-bottom:30px;width:97%;' onkeydown='countChars(this.value)' onkeyup='replaceChars()'></textarea>
                        <p class='klein' style='border-style:solid; border-width:1px; border-color:var(--color_r); padding:10px; text-align:left;'>
                            <label for='del_old_cr' style='vertical-align:5px;'>Einen vorhandenen Copyright-Vermerk komplett entfernen und duch den oben vermerkten Text ersetzen:</label>
                            <input type='checkbox' name='del_old_cr' style='margin-left:15px;vertical-align:super;'><br />
                            <br />Beachten Sie bitte:<br />
                            Wenn Sie das obere Textfeld leer lassen, werden alle Copyright-Vermerke der ausgewählten Objekte lediglich ersatzlos entfernt!
                        </p>
                        <input type='hidden' value='0' readonly='readonly' size='3' name='Kontrolle'>
                        
                        <div>
                            <INPUT type='submit' class='button' style='margin-right:20px;' id='button3' value='Speichern' onClick=javascript:encodeURIComponent(copyright_zuweisung.copyright.value);>
                            <INPUT type='button' class='button' style='margin-left:20px;' id='button3a' value='Abbrechen' OnClick='location.href=\"edit_start.php\"'>
                        </div>
                    </fieldset>
                </div>
                
                <div id='filmstreifen' class='filmstripe_content_bottom'>";
                    $modus='edit';
                    $mod='kat';
                echo "
                </div>

            </div>

        </form>

        <div class='footer'>
            <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
        </div>
        
    </div>

<div id='blend' style='display:none; z-index:99;'>
    <IMG src='../../share/images/grey.png' style='z-index:100; position:absolute; top:0px; left:0px; width:100%; height:99%;' />
    <img src=\"../../share/images/loading.gif\" style='position:absolute; top:200px; width:20px; z-index:101;' />
</div>";

mysqli_close($conn);
?>
</div>
</center>
</body>
</html>