<?php
unset($_SESSION["totalNumberOfImages"]);
?>

<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Download-Beschriftung</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict()
	</script>
</head>

<body onLoad="document.stamp_params.stamp_text.focus(), changeVerticalAlign(), changeWidth(), changeFontSize()">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: edit_start.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/read_session_prefs.php';
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';

$result1 = mysqli_query($conn, "SELECT username FROM $table1 WHERE id = '$uid'");
$row1 = mysqli_fetch_assoc($result1);
$username = $row1['username'];

$result2 = mysqli_query($conn, "SELECT * FROM $table5 WHERE uid = '$uid'");
$row2 = mysqli_fetch_assoc($result2);

//Pruefung, ob Dateien im FTP-Download-Ordner vorliegen:
// Der folgende Dialog wird nur angezeigt, wenn jpg-Dateien im Download-Ordner liegen
$m = 0;
@$verz=opendir($ftp_path."/".$uid."/downloads");
// Ermittlung, wieviel Bilddateien sich in dem angegebenen Ordner befinden und Abspeicherung der Dateinamen in einem Array:
IF($verz)
{
    while($datei=readdir($verz))
    {
        if($datei != "." && $datei != "..")
        {
            $info = pathinfo($datei);
            $extension = strtolower($info['extension']);	//Dateiendung, die das Objekt mitbringt
            if(strtolower($info['extension']) == 'jpg')
            {
                $bild_datei[] = $datei;
                $m++;
            }
        }
    }
}

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Datensatz-Bearbeitung <span class='klein'>(User: ".$username.")</span>
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>";
		createNavi3($uid);
		echo "</div>
	</div>

	<div class='content'>
        <div class='content_grid_filmstripe'>
	
			<div class='filmstripe_content_left' id='spalte1' style='overflow: hidden;'>
				<fieldset class='normal' style=' height: 95%;overflow: hidden;'>
				<legend class='normal'>Beschriftung / Skalierung der JPG-Download-Dateien (".$m." Stück)</legend>
				<div id='scrollbox0' style='height: 98%; overflow-y:scroll;'>
					<center>";

					IF($row2 <> '')
					{
						$width_val = $row2['width'];
						$prev_w = ($width_val / 2)."px";
						$prev_h = (3 * $width_val / 8)."px";
						$stamp_text_val = $row2['stamp_text'];
						$fontsize_val = $row2['fontsize'];
						$tbh = $fontsize_val + 5;
						$fontcolor_val = "#".$row2['fontcolor'];
						$margin_left_val = $row2['margin_left'];
						$vertical_align_val = $row2['vertical_align'];    // Abstand in Pixel
						$bg_opacity_val = $row2['bg_opacity'];
						SWITCH($bg_opacity_val)
						{
							CASE 0:
								$op_desc = "ohne Hintergrund";
							break;
								
							CASE 100:
								$op_desc = "100% deckend";
							break;
								
							default:
								$op_desc = "durchscheinend";
							break;
						}
						$bgcol = preg_replace("/[^0-9A-Fa-f]/", '', $row2['bgcolor']);
						$colorVal = hexdec($bgcol);
						$rgbArray['red'] = 0xFF & ($colorVal >> 0x10);
						$rgbArray['green'] = 0xFF & ($colorVal >> 0x8);
						$rgbArray['blue'] = 0xFF & $colorVal;
						implode(',', $rgbArray);
						//print_r($rgbArray);
						$bgcolor_val_rgb = "rgb(".$rgbArray['red'].",".$rgbArray['green'].",".$rgbArray['blue'].",".($bg_opacity_val/10).")";
						// Farbangabe für den ColorPicker:
						$bgcolor_val = "#".$row2['bgcolor'];
											
						switch($vertical_align_val)
						{
							case 0:
								$oben = 'selected';
								$mitte = '';
								$unten = '';
							break;
							
							case 50:
								$oben = '';
								$mitte = 'selected';
								$unten = '';
							break;
							
							case 100:
								$oben = '';
								$mitte = '';
								$unten = 'selected';
							break;
						}
					}
					else
					{
						$width_val = 1200;
						$prev_w = ($width_val / 2)."px";
						$prev_h = (3 * $width_val / 8)."px";
						$stamp_text_val = "";
						$fontsize_val = 14;
						$tbh = $fontsize_val + 5; 
						$fontcolor_val = '#000000';
						$margin_left_val = 10;
						$vertical_align_val = 20;
						$bgcolor_val = '#ffffff';
						$bgcolor_val_rgb = 'rgb(255,255,255,1)';
						$oben = '';
						$mitte = '';
						$unten = '';
						$bg_opacity_val = 10;
						$op_desc = '100% deckend';
					}

					if($m > 0)
					{
						echo"
						<form name='stamp_params' method='post' action='edit_scale_stamp_action.php' onSubmit='return checkText()'>
						<table class='edf'>
							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>Bild-Skalierung</span>
								</td>
								<td class='edf_right'></td>
							</tr>

							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>längste Seite [<span id = 'value3'>1200</span> Pixel]</span>
								</td>

								<td class='edf_right'>
									<div class='slidecontainer'>
										<input type='range' min='250' max='1500' value='$width_val' class='slider' id='width' name='width' onChange='changeWidth()'>
									</div>
								</td>
							</tr>

							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>Stempel-Text:</span>
								</td>
								<td class='edf_right'></td>
							</tr>

							<tr class='edf'>
								<td class='edf_left' colspan='2'>
									<input type='text' id='stamp_text' name='stamp_text' value='$stamp_text_val' class='textarea_flat' style='width:340px; margin-left:0px; margin-top:10px;' onChange'changeText()' onKeyup='changeText()'>
								</td>
							</tr>

							<tr class='edf'>
								<td class='edf_left' style='padding-top:10px;'>
									<span class='klein'>Schrift-Formatierung</span>
								</td>
								<td class='edf_right'></td>
							</tr>

							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>Schriftgröße [<span id = 'value2'>".$fontsize_val."</span> Pixel]</span>
								</td>

								<td class='edf_right'>
									<div class='slidecontainer'>
										<input type='range' min='8' max='50' value='$fontsize_val' class='slider' id='fontsize' name='fontsize' onChange='changeFontSize()'>
									</div>
								</td>
							</tr>

							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>Schriftfarbe</span>
								</td>

								<td class='edf_right'>
									<input type='color' id='fontcolor' name='fontcolor' class='colorpicker' value='$fontcolor_val'>
								</td>
							</tr>

							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>Text-Abstand v. li. Rand [<span id = 'value1'>".$margin_left_val."</span> Pixel]</span>
								</td>

								<td class='edf_right'>
									<div class='slidecontainer'>
										<input type='range' min='10' max='200' value='$margin_left_val' class='slider' id='margin_left' name='margin_left' onChange='changeLeftSpace()'>
										<input type='hidden' id='hor_pos' name='hor_pos' value='$margin_left_val'>
									</div>
								</td>
							</tr>

							<tr class='edf'>
								<td class='edf_left'><span class='klein'>Vertikale Schrift-Ausrichtung</span></td>
								<td class='edf_right'>
									<select id='vertical_align' name='vertical_align' class='Auswahl' style='width:100px;' onChange='changeVerticalAlign()'>
										<option value=0 title='Schrift-Ausrichtung oben' ".$oben.">Oben</option>
										<option value=50 title='Schrift-Ausrichtung mittig' ".$mitte.">Mitte</option>
										<option value=100 title='Schrift-Ausrichtung unten' ".$unten.">Unten</option>
									</select>
								</td>
							</tr>
						
							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>Hintergrund-Farbe</span>
								</td>

								<td class='edf_right'>
									<input type='color' id='bgcolor' name='bgcolor' class='colorpicker' value='$bgcolor_val'>
								</td>
							</tr>

							<tr class='edf'>
								<td class='edf_left'>
									<span class='klein'>Hintergrund-Transparenz [<span id = 'op_desc'>".$op_desc."</span>]</span>
								</td>

								<td class='edf_right'>
									<div class='slidecontainer'>
										<input type='range' min='0' max='10' value='$bg_opacity_val' class='slider' id='bg_opacity' name='bg_opacity' onChange='changeBackgroundOpacity()'>
										<input type='hidden' id='bg_opacity_val' name='bg_opacity_val' value='$bg_opacity_val'>
									</div>
								</td>
							</tr>

							<tr class='edf'>
								<td class='edf_left' style='text-align:center;' colspan='2'>
									<input type='button' class='button' style='margin-top:20px; margin-right:20px;' value='Abbrechen' onClick='location.href=\"edit_start.php\"'>
									<input type='submit' class='button' style='margin-top:20px;' value='Bilder stempeln'>
								</td>
							</tr>
						</table>";
						foreach($bild_datei AS $bd)
						{
							echo "<input type='hidden' name='pic_array[]' value=$bd>";
						}
						echo "</form>";
					}
					else 
					{
						echo "<p class='klein_red' style='margin-top:50px;'>Es befinden sich keine Dateien in Ihrem Download-Ordner.</p>";
					}
					echo "
					</center>		
				</div>
				</fieldset>
			</div>
	
			<div class='filmstripe_content_right' id='spalte2' style='overflow: hidden;'>
				<fieldset class='normal' style=' height:95%; overflow-y:scroll;'>
				<legend class='normal'>Vorschau</legend>
				<div id='scrollbox1' style='height:98%; overflow-y:hidden;'> 
					<p class='klein' style=' text-align:left;margin-left:20px;'>Hier können Sie die JPG-Dateien Ihrer Downloads skalieren und / oder mit einem kurzen Text versehen.</p>
					<div id='preview' style='border:none;width:$prev_w;height:$prev_h;margin-left:20px;background-image: url(\"../../share/images/baloon.jpg\"); background-size:contain;position:relative;'>
						<div id = 'sub' style='border: none; height:100%; width:100%; background: none; position: absolute;'>
						<output contenteditable>
							<div id='text_block' style='border: none; height:".$tbh."px; width: 100%; position: absolute; margin-top:5px; background-color:".$bgcolor_val_rgb.";'>
							<div id='text' style='position:absolute; margin-left:".($margin_left_val/2)."px; align:left; color:".$fontcolor_val."; font-size:".$fontsize_val."px;'>".$stamp_text_val."</div>
							</div>
						</output>
						</div>
					</div>
				</div>
				</fieldset>
			</div>

			<div class='filmstripe_content_bottom'>
					Vorschau der Objekte im Dowdload-Ordner<br>
					aus den jpg-Dateien die IDs ermitteln und entsprechende Thumbnails skaliert im Filmstreifen darstellen<br>
					(kommentarlos, aber mit vergr. Vorschau bei onMouseOver)
			</div>

		</div>

	</div>

	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>
	
</div>";

mysqli_close($conn);
?>
<script type=text/javascript>

// ####################################################################################
// Die Vorschau-Ansicht wird in der halben Originalgröße dargestellt
// Daher müssen alle Maß-Änderungen proportional dargestellt werden
// ####################################################################################

	function checkText()
    {
    	if(document.getElementById('stamp_text').value === "")
    	{
    		result = confirm("Wenn Sie ohne Texteingabe fortfahren, werden die Bilder nur skaliert.\nWollen Sie das?");
    		if(result === true)
    		{
				return true;
    		}
    		else
    		{
				document.getElementById('stamp_text').focus;
				document.location.href="edit_downloads.php";
                return false;
    		}
    	}
    }
    
	function changeWidth()
	{
		//alert("Gewählte Breite: " + document.getElementById('width').value);
		document.getElementById('preview').style.width=(document.getElementById('width').value)/2 + 'px';
		document.getElementById('preview').style.height=3*(document.getElementById('width').value)/8 + 'px';
		changeVerticalAlign();
		changeLeftSpace();
	}
	function changeFontSize()
	{
		var fs = parseInt(document.getElementById('fontsize').value);
		var tbh = fs + 5;
		//alert("Gewählte Font-Größe: " + (fs+5) + ", Block-Höhe: " + tbh);
		document.getElementById('text').style.fontSize= fs + 'px';
		document.getElementById('text_block').style.height = tbh + 'px';
		changeVerticalAlign();
	}
	function changeLeftSpace()
	{
		//alert("Gewählter Text-Abstand zum linken Rand: " + document.getElementById('margin_left').value);
		document.getElementById('text').style.marginLeft=(document.getElementById('margin_left').value)/2 + 'px';
		document.getElementById('hor_pos').value = document.getElementById('margin_left').value;
	}
	function changeVerticalAlign()
	{
		var height_prev = jQuery("#preview").height();
		var height_block = jQuery("#text_block").height();
		var height_text = jQuery("#text").height();
		if(document.getElementById('vertical_align').value == 0)
		{
			document.getElementById('text_block').style.marginTop = "0px";
			document.getElementById('vert_pos').value = Math.round(height_block);
			ducument.getElementById('text').style.marginTop = "0px";
		}
		else if(document.getElementById('vertical_align').value == 50)
		{
			document.getElementById('text_block').style.position = "absolute";
			document.getElementById('text_block').style.marginTop = ((height_prev - height_block)/2) + "px";
			document.getElementById('vert_pos').value = Math.round(height_prev - (height_block)/2);
//			document.getElementById('text').style.position = "absolute";
			document.getElementById('text').style.marginTop = ((height_prev - height_block)/2) + "px";
		}
		else if(document.getElementById('vertical_align').value == 100)
		{
			document.getElementById('text_block').style.position = "absolute";
			document.getElementById('text_block').style.marginTop = (height_prev - height_block) + "px";
			document.getElementById('vert_pos').value = Math.round(2*(height_prev - height_block));
			ducument.getElementById('text').style.marginTop = (height_prev - height_block) + "px";
		}
		
	}
	function changeText()
	{
		//alert("Gewählter Text: " + document.getElementById('stamp_text').value);
		document.getElementById('text').innerHTML=document.getElementById('stamp_text').value;
	}
	function showColorpicker()
	{
		const r = parseInt(document.getElementById('bgcolor').value.substr(1,2), 16)
		const g = parseInt(document.getElementById('bgcolor').value.substr(3,2), 16)
		const b = parseInt(document.getElementById('bgcolor').value.substr(5,2), 16)
		var op = jQuery("#bg_opacity").value();
		//alert("Farbe: " + document.getElementById('bgcolor').value + "; Rot: " + r + ", G: " + g + ", B: " + b);
		//alert(r + "," + g + "," + b + ",.5");
		document.getElementById('text_block').style.backgroundColor='rgb(r + "," + g + "," + b + "," + op)';		
	}
	function changeBackgroundOpacity()
	{
		if(document.getElementById('bg_opacity').value == 0)
		{
			document.getElementById('op_desc').innerHTML = 'ohne Hintergrund';
		}
		else if(document.getElementById('bg_opacity').value > 0 & document.getElementById('bg_opacity').value < 10)
		{
			document.getElementById('op_desc').innerHTML = 'durchscheinend';
		}
		else if(document.getElementById('bg_opacity').value == 10)
		{
			document.getElementById('op_desc').innerHTML = '100% deckend';
		}
		document.getElementById('bg_opacity_val').value = document.getElementById('bg_opacity').value;
	}
	
	document.addEventListener("DOMContentLoaded", function () {
		var fontcolor = document.querySelector('#fontcolor'),
			bgcolor = document.querySelector('#bgcolor'),
			bg_opacity = document.querySelector('#bg_opacity'),
			output = document.querySelector('output');
			fontcolor.addEventListener('change', changeStyle);
			bgcolor.addEventListener('change', changeStyle);
			bg_opacity.addEventListener('change', changeStyle);

		function changeStyle() {
			text.style.color = fontcolor.value;
			//text.style.backgroundColor = bgcolor.value;
			const r = parseInt(bgcolor.value.substr(1,2), 16)
			const g = parseInt(bgcolor.value.substr(3,2), 16)
			const b = parseInt(bgcolor.value.substr(5,2), 16)
			var op = bg_opacity.value / 10;
			var color = r + "," + g + "," + b + "," + op;
			text_block.style.backgroundColor = "rgb(" + r + "," + g + "," + b + "," + op +")";
		}
	});
	
	// Slider für Text-Einrückung:
	var slider1 = document.getElementById("margin_left");
	var output1 = document.getElementById("value1");
	output1.innerHTML = slider1.value; // Display the default slider value
	// Update the current slider value (each time you drag the slider handle)
	slider1.oninput = function() {
	  output1.innerHTML = this.value;
	}
	
	// Slider für Schriftgröße
	var slider2 = document.getElementById("fontsize");
	var output2 = document.getElementById("value2");
		output2.innerHTML = slider2.value; // Display the default slider value
	// Update the current slider value (each time you drag the slider handle)
	slider2.oninput = function() {
	  output2.innerHTML = this.value;
	}
	
	// Slider für Länge der langen Bildseite
	var slider3 = document.getElementById("width");
	var output3 = document.getElementById("value3");
		output3.innerHTML = slider3.value; // Display the default slider value
	// Update the current slider value (each time you drag the slider handle)
	slider3.oninput = function() {
	  output3.innerHTML = this.value;
	}

	// Slider für Hintergrund-Transparenz
	var slider4 = document.getElementById("bg_opacity");
	var output4 = document.getElementById("op_desc");
	if(slider4.value === 0)
	{
		output4.innerHTML = 'ohne Hintergrund';
	}
	else if((slider4.value > 0) & (slider4.value < 1))
	{
		output4.innerHTML = 'durchscheinend';
	}
	else if(slider4.value === 1)
	{
		output4.innerHTML = 'deckend';
	}
	//output4.innerHTML = slider4.value; // zeigt den interpretierten Slider-Wert
	// Update the current slider value (each time you drag the slider handle)
	slider4.oninput = function() {
	  //output4.innerHTML = this.value;
	}
	
</script>
</div>
</body>
</html>