<!DOCTYPE HTML>
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Geo-Referenzierung</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
  	
	<script type="text/javascript" type="text/javascript">
		jQuery.noConflict(); 
		function chkLogger()
		{
			if(document.geo_zuweisung.data_logger.value == "")
			{
				alert("Geben Sie bitte Ihren Daten-Logger an!");
				document.geo_zuweisung.data_logger.focus();
				return false;
			}
			if(document.geo_zuweisung.geo_file.value == "")
			{
				alert("Bitte geben Sie eine Track-Datei an!");
				document.geo_zuweisung.geo_file.focus();
				return false;
			}
		}
	</script>
</head>

<body lang="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: edit_geo_daten.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */
 
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/main_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

// muss die nachtraegliche Referenzierung angeboten werden? (nur, wenn $num2 > 0 ist!)
$result2 = mysqli_query($conn, "SELECT pic_id, Owner, FileNameV, City, GPSLongitude, GPSLatitude, aktiv 
FROM $table2 
WHERE Owner = '$uid' 
AND (City = 'Ortsbezeichnung' OR City = '')
AND GPSLongitude <> 'NULL'
AND GPSLatitude <> 'NULL'
AND aktiv = '1'");
echo mysqli_error($conn);
$num2 = mysqli_num_rows($result2);

echo "
	<div class='body_grid'>
		
		
		<div class='header'>
			pic2base :: Datensatz-Bearbeitung (Geo-Referenzierung)<span class='klein'> User: $username)</span>
		</div>
		
		<div class='navigation'>
			<div class='menucontainer'>";
				createNavi3_1($uid);
			echo "</div>
		</div>

		<form name='geo_zuweisung' class='content' method='post', action='edit_geo_daten_action.php', ENCTYPE='multipart/form-data' onSubmit='return chkLogger()'>
			<div class='content_grid_filmstripe'>
		
				<div class='filmstripe_content_left' id='spalte1' style='overflow: hidden;'>
					<fieldset class='normal' style=' height: 95%;overflow: hidden;'>
					<legend class='normal'>Geo-Referenzierung</legend>
						<div id='scrollbox0' style='height: 98%; overflow-y:scroll;'>
						<center>
						
						<table class='geo'>
							<tr>
								<td class='geo' colspan='2'>Vollst. Referenzierung (Koordinaten und Ortsbezeichnung)</td>
							</tr>
							
							<tr>
								<td class='geo' colspan = '2'>
								<p class='klein' style=' margin-left:12px;'>In welcher Zeitzone wurden die Objekte aufgenommen?</p>
									<select name='timezone' class='Auswahl270' style='width:328px; margin-bottom:10px; cursor:pointer;'>";
									//Welche Zeitzone hat der User ggf. bereits gespeichert?
									$timezone = $row0['timezone'];
									//Welchen Datenlogger hat der User ggf. bereits gespeichert?
									$logger_type = $row0['logger_type'];
									//Ermittlung aller Zeitzonen:
									$result1 = mysqli_query($conn, "SELECT * FROM $table19");
									$num1 = mysqli_num_rows($result1);
									for ($i1=0; $i1<$num1; $i1++)
									{
										$row1 = mysqli_fetch_assoc($result1);
										$zone_number = $row1['zone_number'];
										$zone_name = $row1['zone_name'];
										if ($zone_number == $timezone)
										{
											$sel = 'selected';
										}
										else
										{
											$sel = '';
										}
										echo "<OPTION VALUE='$zone_number' $sel>".$zone_name."</OPTION>";
									}
									echo "
									</select>
									
									<select name='data_logger' class='Auswahl270' style='width:328px; margin-bottom:10px; cursor:pointer;'>";
									//Ermittlung aller Logger-Typen:
									$result3 = mysqli_query($conn, "SELECT * FROM $table18 ORDER BY logger_number");
									$num3 = mysqli_num_rows($result3);
									for ($i3=0; $i3<$num3; $i3++)
									{
										$row3 = mysqli_fetch_assoc($result3);
										$logger_number = $row3['logger_number'];
										$logger_name = $row3['logger_name'];
										$enabled = $row3['enabled'];
										if ($logger_number == $logger_type)
										{
											$sel = 'selected';
										}
										else
										{
											$sel = '';
										}
										
										if ($enabled == 0)
										{
											$enabled = 'disabled';
										}
										else
										{
											$enabled = '';
										}
										echo "<OPTION VALUE='$logger_number' $sel $enabled>".$logger_name."</OPTION>";
									}
									echo "
									</select>
								</td>
							</tr>
							
							<tr>
								<td class='geo' colspan = '2'>
									W&auml;hlen Sie hier die Track-Datei aus:
								</td>
							</tr>
						
							<tr>
								<td colspan = '2' align='center'>
									<input type='file' name='geo_file' class='button' style='height:28px;margin-top:5px;cursor:pointer;'>
								</td>
							</tr>
							
							<tr>
								<td align='center' colspan='2'>
									<input type='hidden' name='MAX_FILE_SIZE' value='1000'>
									<input type=button class='button' name='cancel' value='Abbrechen' OnClick=\"javascript:history.back()\">
									<input type=submit name='ge' value='Los!' class='button'>
								</td>
							</tr>
						</table>";
						if ($num2 > 0)
						{
							echo "<table class='geo'>
								
								<tr>
									<td class='geo' colspan='2'>Nachtr. Referenzierung (Nur Ortsbezeichnung)</td>
								</tr>
								
								<tr>
									<td colspan='2'>
										&nbsp;
									</td>
								</tr>
								
								<tr>
									<td colspan='2'>
										<input type='button' class='button' name='loc' value='Fehlende Ortsnamen zuweisen: $num2 Objekt(e)' class='button1' style='width:300px;' OnClick='location.href=\"edit_location_name.php\"'>
									</td>
								</tr>

								<tr>
								<td colspan='2'>
									&nbsp;
								</td>
							</tr>
							</table>";
						}
						echo "<table class='geo' style='margin-top:20px;'>

							<tr>
								<td class='geo' colspan='2'>Karten-Ansicht der Track-Aufzeichnung</td>
							</tr>
						
							<tr>
								<td colspan='2'>
									<p class='klein' style='text-align:left; padding:3px;'>Wenn Sie Ihre Trackdaten zun&auml;chst <u>nur in GoogleEarth darstellen</u> wollen, ohne eine Geo-Referenzierung vorzunehmen, klicken Sie auf den Button \"Track ansehen\".</p>
								</td>
							</tr>
							
							<tr>
								<td colspan='2' align='center'>
									<input type='submit' class='button' name='ge' value='Track ansehen' class='button' style='width:185px;'>
								</td>
							</tr>

							<tr>
								<td colspan='2'>
									&nbsp;
								</td>
							</tr>
						</table>
						</center>
						</div>
					</fieldset>
				</div>
		
				<div class='filmstripe_content_right' id='spalte2' style='overflow: hidden;'>
					<fieldset class='normal' style=' height:95%; overflow-y:scroll;'>
					<legend class='normal'>Hinweis</legend>
						<div id='scrollbox1' style='height:98%; overflow-y:hidden;'>
						<p class='klein' style='text-align:left;'>Die vollst&auml;ndige Referenzierung verwenden Sie, wenn Sie Geo-Daten mit einem Daten-Logger aufgenommen haben, und diese Ihren Objekte zusammen mit einer Ortsbezeichnung zuweisen wollen.<br /><br />
						Wenn Sie Objekten aus einer Kamera mit interner Georeferenzierung eine Ortsbezeichnung zuweisen wollen, verwenden Sie die nachtr&auml;gliche Referenzierung.<br />
						(Dieser Punkt wird nur angeboten, wenn solche Objekte vorliegen.)<br /><br />
						Wollen Sie sich nur den aufgezeichneten Track Ihres Datenloggers in einer Karte ansehen, verwenden Sie den dritten Dialog (Karten-Ansicht).<br /><br /><br />  
						Weitere Hilfe zur Geo-Referenzierung finden Sie in der <a class='std' href='../help/help1.php?page=4'>Online-Hilfe</a></p>.
						</div>
					</fieldset>
				</div>

				<div class='filmstripe_content_bottom'>
				</div>

			</div>

		</form>
				
		<div class='footer'>
				<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
		</div>
		
	</div>

</div>
</body>
</html>";

mysqli_close($conn);
?>
