<?php
// (C) 2018, 2021

ini_set('memory_limit','300M');
$pic_ID = array();
$kat_ID = array();
$obj = new stdClass();
foreach ($_POST AS $key => $post)
{
	if (substr($key,0,3) == 'pic')
	{
		$pic_ID[] = substr($key,7,strlen($key)-7);
	}
	
	if (substr($key,0,3) == 'kat')
	{
		$kat_ID[] = substr($key,3,strlen($key)-3);
	}
}
if(array_key_exists('mod',$_GET))
{
	$mod = $_GET['mod'];
}
else
{
	$mod = 'kat';
}

$obj->mod = $mod;
$obj->pic_anzahl = count($pic_ID);
$obj->pic_array = $pic_ID;
$obj->kat_array = $kat_ID;
$output = json_encode($obj);
//echo "<font color='white'>".$output." - ".ini_get('memory_limit')."</font>";
?>

<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Kategorie-Zuweisung</TITLE>
	<meta name="generator" content="Bluefish 2.2.10" >
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict();
	</script>
</head>

<body style='text-align:center;' lang="de-DE" onLoad='picKatList(<?php echo json_encode($obj); ?>)'>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: edit_kat_daten_action2.php
 * Version mit AJAX-basierter Fortschrittsanzeige (verwendet ab V. 0.60.4)
 *
 * Copyright (c) 2005 - 2022 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

//$source_kat_id: die Kategorie, deren Objekte bearbeitet werden sollen
if(array_key_exists('source_kat_id',$_POST))
{
	$source_kat_id = $_POST['source_kat_id'];
}
else
{
	$source_kat_id = 0;
}
if(array_key_exists('ID',$_GET))
{
	$ID = $_GET['ID'];
}
else
{
	$ID = 0;
}
if(array_key_exists('mod',$_GET))
{
	$mod = $_GET['mod'];
}
else
{
	$mod = 0;
}

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Kategorie-Zuweisung - &Auml;nderungen speichern <span class='klein'>(User: ".$username.")</span>
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'></div>
	</div>
		
	<div class='content' id='content'>
		<p style='margin:120px 0px; text-align:center'>
		<center>
			<p class='klein' id = 'headline'>Status der Kategorie-Zuweisung</p>
			<p class='klein' id='zaehler'></p>
			<div id='prog_bar' class='progress_bar' style='margin-top:30px; margin-bottom:30px;'>
				<img src='../../share/images/green.gif' name='bar' />
			</div>
			<p class='klein' id='meldung'>Bitte haben Sie ein wenig Geduld...</p>
			<p class='klein' id='counter'></p>
		</center>
		</p>
	</div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>
	
</div>
</div>
</body>";
?>
<script type = text/javascript>
var timeout = 1;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
var mod = "<?php echo $mod;?>";
var show_mod = "<?php echo $show_mod;?>";
document.bar.width = '0';
document.bar.height = '12';

function picKatList( params )
{
	//alert("Anzahl in edit_kat_daten_action2.php: " + params.pic_anzahl + ", Bilder: " + params.pic_array + ", Kategorien: " + params.kat_array);
    if(params.pic_anzahl > 0)
	{
		gesamtanzahl = params.pic_array.length;
		document.getElementById("zaehler").innerHTML = "Anzahl der zu verarbeitenden Objekte: " + gesamtanzahl;
		processFile( params.pic_array,params.kat_array,params.mod );
	}
	else
	{
		alert( "Es sind keine Dateien zu bearbeiten.\nBitte legen Sie Objekte und Kategorien fest, die diesen zugeordnet werden sollen." );
		window.location='edit_kat_daten.php?kat_id=' + <?php echo $source_kat_id;?> + '&mod=' + params.mod + '&pic_id=0&show_mod=' + show_mod;
	}	
}

function showReady( avgTime,mod )
{
	//Erfassungsfenster leeren:
	document.getElementById("headline").innerHTML = "";
	document.getElementById("zaehler").innerHTML = "";
	document.getElementById("meldung").innerHTML = "";
	document.getElementById( "prog_bar" ).style.border = "none";
	document.bar.width = '0';
	document.bar.height = '0';
	//Fertigmeldung ausgeben:
	//alert( "Die Bearbeitung ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
	window.location='edit_kat_daten.php?kat_id=' + <?php echo $source_kat_id;?> + '&mod=' + mod + '&pic_id=0&show_mod=' + show_mod;
}

function processFile( pic_array, kat_array, mod )
{
	//Objekt fuer Objekt werden die neuen Kategorien zugewiesen und das Objekt-Array nach jeder Bearbeitung gekuerzt
	//nach jedem bearbeiteten Objekt wird der Fortschrittsbalken aktualisiert
	
	var client = new XMLHttpRequest();
	client.open("GET", "update_kat_daten.php?pic_id=" + pic_array[0] + "&kat_liste=" + kat_array, true);
	pic_array.splice( 0, 1 );
	client.onreadystatechange = function()
	{
		if( client.readyState == 4 )
		{
			//alert("edit_kat_daten_action2.php, Z. 190: " + client.responseText);
			var result = JSON.parse( client.responseText );
			if( result.errorCode == 1 )
			{
				alert( "Es trat ein Fehler auf! (Meldung von edit_kat_daten_action2, Z. 194)");
			}
			else if( result.errorCode == 2 )
			{
				alert("Sie haben entweder kein Objekt oder keine Kategorie festgelegt!");
			}
				
			if( pic_array.length > 0 )
			{
				if( pic_array.length > 1)
				{
					document.getElementById("meldung").innerHTML = "...es verbleiben noch " + pic_array.length + " Objekte...";
				}
				else
				{
					document.getElementById("meldung").innerHTML = "...es verbleibt noch " + pic_array.length + " Objekt...";
				}
				var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				processFile( pic_array, kat_array, mod );
			}
			else
			{
				//Bearbeitung ist abgeschlossen
				//Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
				var endtime = new Date();
				var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
				avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
				document.getElementById("meldung").innerHTML = "Alle Objekte wurden aktualisiert.";
				//Aktualisierung des Fortschrittsbalkens auf 100%:
				var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				setTimeout("showReady(avgTime,mod)", 500);
				//showReady(avgTime,mod)
			}
		}
	};
	client.send( null );
}
</script>
</html>