<!DOCTYPE HTML>
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Datensatz-Bearbeitung (OCR)</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">	
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/ShowPicture.js"></script>
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
	<script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
		jQuery.noConflict();
		function showKatInfo(kat_id)
		{
			Fenster1 = window.open('../../share/edit_kat_info.php?kat_id='+kat_id, 'Kategorie-Informationen', "width=675,height=768,scrollbars,resizable=no,");
			Fenster1.focus();
		}
	
	</script>
</HEAD>

<?php

/*
 * Project: pic2base
 * File: ocr.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
//include $sr.'/bin/css/initial_layout_settings.php';

if(array_key_exists('kat_id',$_GET))
{
	$kat_id = $_GET['kat_id'];
	if($kat_id !== '')
	{
		$_SESSION['kat_treeview_pos'] = $kat_id;
	}
	else 
	{
		$kat_id = $kat_treeview_pos;
	}
}
else
{
    $kat_id = '';
}

if(array_key_exists('mod',$_GET))
{
	$mod = $_GET['mod'];
}

if(array_key_exists('show_mod',$_GET))
{
	$show_mod = $_GET['show_mod'];
}
else
{
	$show_mod="J";
}

if(array_key_exists('pic_id',$_GET))
{
	$pic_id = $_GET['pic_id'];
}

$base_file = 'ocr';

include $sr.'/bin/share/functions/ajax_functions.php';
if($mod == 'kat')
{
    echo "<body onLoad=\"getKatTreeview('$kat_id','0','kat','6','edit','$katTreeViewModus','$base_file');\">";
}
elseif($mod == 'zeit')
{
	echo "<body onLoad=\"getTimeTreeview2('0','zeit','$show_mod','$base_file');\">";
}

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

echo "
<center>
    <div class='klein'>
        <form class='body_grid' name='ocr' id='ocr' method='post' action='ocr_action.php?mod=$mod'>

                <div class='header'>
                    pic2base :: Datensatz-Bearbeitung (Texterkennung) <span class='klein'>(User: $username)</span>
                </div>

                <div class='navigation'>
                    <div class='menucontainer'>";
                        createNavi3_1($uid);
                echo "</div>
                </div>
                
                <div id='content' class='content'>
                    <div class='content_grid_filmstripe'>";

                    switch($mod)
                    {
                        case "kat":
                            if ($katTreeViewModus == 'compact')
                            {
                                $view = 'Kompakter Kategoriebaum';
                            }
                            else
                            {
                                $view = 'Vollständiger Kategoriebaum';
                            }
                            echo "<div class='filmstripe_content_left' id='spalte1F' style='overflow: hidden;'>
                                    <fieldset id='kat_tree_fieldset' class='normal' style=' height: 95%;overflow-y: scroll;'>
                                    <legend class='normal'>Bildauswahl nach Kategorien <span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Ansicht umzuschalten' onClick='alterKatTreeviewModus(\"$katTreeViewModus\",\"$base_file\");'>(".$view.")</span></legend>
                                        <center>
                                            <div id='scrollbox0' style='height:98%; overflow-y:hidden;'>
                                            </div>
                                        </center>
                                    </fieldset>
                                </div>";
                        break;

                        case "zeit":
                            echo "<div class='filmstripe_content_left' id='spalte1F' style='overflow: hidden;'>
                                    <fieldset id='kat_tree_fieldset' class='normal' style=' height: 95%;overflow-y: scroll;'>
                                    <legend class='normal'>Bildauswahl nach Aufnahmedatum</legend>
                                        <center>
                                            <div id='scrollbox0' style='height:98%, overflow-y:hidden;'>
                                            </div>
                                        </center>
                                    </fieldset>
                            </div>";
                        break;
                    }

                    echo "
                    <div class='filmstripe_content_right' id='spalte2F' style='overflow:hidden;'>
                        <fieldset class='normal' style='height:95%; overflow-y:scroll;'>
                        <legend class='normal'>Hinweis zur Texterkennung</legend>
                            <div id='scrollbox1' style='overflow-y:hidden;'>
                                <div class='marked_tipp'>
                                    <p class='klein' style='text-align:left;'>An dieser Stelle können Sie ausgewählte Objekte einer Texterkennung unterziehen. Dabei ist zu beachten, daß dies nur bei Bild-Dateien zweckmäßig ist.<br />
                                    Daher werden im Filmstreifen Videos ausgeblendet, selbst wenn sie im Suchergebnis enthalten wären.<br /><br />
                                    Weiter sollten Sie bedenken, daß die Texterkennung ein sehr rechenintensiver Prozess ist, der entsprechende Zeit dauern kann.<br />
                                    Ein gutes Ergebnis setzt eine gute Vorlage voraus. Hierbei werden die besten Ergebnisse erzielt, wenn die Vorlage kontrastreich, möglichst gut ausgerichtet und in einer maschinenlesbaren,<br />
                                    nicht zu kleinen Schriftart verfaßt wurde.<br />
                                    Diese Vorlage kann in gewissen Grenzen optimiert werden, indem die Kovertierungs-Parameter variiert werden.<br />
                                    Als gute Startwerte haben sich bewährt:<br />
                                    Schärfe: 5<br />
                                    Qualität: 100<br />
                                    Skalierung 100</p>
                                </div>
                                
                                <div class='marked_tipp' style='text-align:left;'>
                                    <table>
                                        <tr>
                                            <td><span class='klein'>Konvertierungs-Parameter:</span></td>
                                            <td></td>
                                        </tr>

                                        <tr>
                                            <td><span class='klein'>Schärfen:</span></td>
                                            <td>
                                                <input type='range' min='1' max='20' class='slider' name='sharpen' id='sharpen' value='' onMouseOver=this.focus()>
                                                <span style='color:grey;' name = 'sharpenval' id = 'sharpenval'></span>
                                            </td>
                                        </tr>

                                        <tr>
                                            <td><span class='klein'>Qualität:</span></td>
                                            <td>
                                                <input type='range' min='80' max='100' class='slider' name='quality' id='quality' value='' onMouseOver=this.focus()>
                                                <span style='color:grey;' name = 'qualityval' id = 'qualityval'></span>
                                            </td>
                                        </tr>

                                        <tr>
                                            <td><span class='klein'>Skalierung:</span></td>
                                            <td>
                                                <input type='range' min='75' max='150' class='slider' name='resize' id='resize' value='' onMouseOver=this.focus()>
                                                <span style='color:grey;' name = 'resizeval' id = 'resizeval'></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>

                                <input type='hidden' id='mod' value=$mod>

                                <div style='margin-top:50px; border:none; text-align:right; width:48%; float:left;'>
                                    <input type='submit' class='button' value = 'Texterkennung starten'>
                                </div>

                                <div style='margin-top:50px; border:none; width:48%;float:right;'>
                                    <input type='button' class='button' value='Abbrechen' OnClick='location.href=\"edit_start.php\"'>
                                </div>

                            </div>
                        </fieldset>	
                    </div>

                    <div id='filmstreifen' class='filmstripe_content_bottom' style='overflow-y:scroll;'>";
                    $modus='edit';
                    echo "
                    </div>
                    
                </div>
                </div>

                <div class='footer'>
                    <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
                </div>

            </FORM>
        </div>

        <div id='blend' style='display:none; z-index:99;'>
            <img src='../../share/images/grey.png' style='z-index:100; position:absolute; top:0px; left:0px; width:100%; height:99%;' />
            <img src=\"../../share/images/loading.gif\" style='position:absolute; top:200px; width:20px; z-index:101;' />
        </div>";

    mysqli_close($conn);
    ?>
    <script type="text/javascript">
		<?php include __DIR__ . "/select_ocr_param.js";?>
    </script>
    </div>
</center>
</body>
</html>