<?php

ini_set('memory_limit','300M');
$pic_ID = array();
$obj = new stdClass();

foreach ($_POST AS $key => $post)
{
    //echo $key;
    if (substr($key,0,3) == 'pic')
    {
        $pic_ID[] = substr($key,7,strlen($key)-7);
    }
}
if(array_key_exists('mod',$_GET))
{
    $mod = $_GET['mod'];
}

if(array_key_exists('sharpen',$_POST))
{
    $sharpen = $_POST['sharpen'];
}
else 
{
    $sharpen = 5;
}

if(array_key_exists('quality',$_POST))
{
    $quality = $_POST['quality'];
}
else 
{
    $quality = 100;
}

if(array_key_exists('resize',$_POST))
{
    $resize = $_POST['resize'];
}
else 
{
    $resize = 100;
}
//echo "Mod: ".$mod."<br />";
$obj->pic_anzahl = count($pic_ID);
$obj->pic_array = $pic_ID;
$obj->sharpen=$sharpen;
$obj->quality=$quality;
$obj->resize=$resize;
$output = json_encode($obj);

?>

<!DOCTYPE HTML>
<html>
<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <TITLE>pic2base - Texterkennung</TITLE>
    <META NAME="GENERATOR" CONTENT="eclipse">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
    <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
        jQuery.noConflict();
    </script>
</head>

<body style='text-align:center;' lang="de-DE" onLoad='picOcrList(<?php echo json_encode($obj); ?>)'>
<!--<center>-->
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: ocr_action.php
 * Version mit AJAX-basierter Fortschrittsanzeige
 *
 * Copyright (c) 2005 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */
include '../../share/read_session_prefs.php';
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

echo "
<div class='body_grid'>

    <div class='header'>
        pic2base :: Texterkennung <span class='klein'>(Benutzer: ".$username.")</span>
    </div>

    <div class='navigation'>
        <div class='menucontainer'>
        </div>
    </div>

    <div class='content' id='content'>
        <p style='margin:120px 0px; text-align:center'>
            <center>
                <p class='klein' id = 'headline'>Status der Texterkennung</p>
                <!--<p>Parameter: Schärfe: ".$sharpen.", Qualität: ".$quality.", Skalierung: ".$resize.", Output: ".$output."</p>-->
                <p class='klein' id='zaehler'></p>
                <div id='prog_bar' class='progress_bar' style='margin-top:30px; margin-bottom:30px;'>
                        <img src='../../share/images/green.gif' name='bar' />
                </div>
                <p class='klein' id='meldung'>Bitte haben Sie ein wenig Geduld...</p>
                <p class='klein' id='counter'></p>
            </center>
        </p>
    </div>

    <div class='footer'>
        <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
    </div>
	
</div>

</div>
</center>
</body>";
?>

<script type = "text/javascript">
var timeout = 1;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
document.bar.width = '0';

function picOcrList( params )
{
	//alert("(ocr_action.php, Z. 165) Pic-Anzahl: " + params.pic_anzahl + ", Schärfe: " + params.sharpen + ", Qualität: " + params.quality + ", Skalierung: " + params.resize);
    if(params.pic_anzahl > 0)
    {
        gesamtanzahl = params.pic_array.length;
        document.getElementById("zaehler").innerHTML = "Anzahl der zu verarbeitenden Objekte: " + gesamtanzahl;
        processFile( params.pic_array, params.sharpen, params.quality, params.resize );
    }
    else if(params.pic_anzahl == 0)
    {
        document.getElementById("content").innerHTML = "<p style='text-align:center;color:red;font-size:16px;margin-top:100px;'>Es sind keine Objekte zu bearbeiten.<br /><br />Bitte wählen Sie zuerst Objekte im Filmsreifen aus.<br /><input type='button' value='Zur Objekt-Auswahl' style='margin-top:20px;' onClick='window.location=\"ocr.php?mod=<?php echo $mod;?>\"'></p>";
    }
    else if(params.pic_anzahl == -1)
    {
        alert( "Da ist ein Fehler aufgetreten!" );
        window.location='ocr.php?mod=<?php echo $mod;?>';
    }
}

function showReady( avgTime )
{
    //Erfassungsfenster leeren:
    document.getElementById("headline").innerHTML = "";
    document.getElementById("zaehler").innerHTML = "";
    document.getElementById("meldung").innerHTML = "";
    document.getElementById( "prog_bar" ).style.border = "none";
    document.bar.width = '0';
    document.bar.height = '0';
    //Fertigmeldung ausgeben:
    //alert( "Die Bearbeitung ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
    window.location='ocr.php?mod=<?php echo $mod;?>';
}

function processFile( pic_array, sharpen, quality, resize )
{
    //Objekt fuer Objekt wird die Texterkennung angewendet und das Objekt-Array nach jeder Bearbeitung gekuerzt
    //nach jedem bearbeiteten Objekt wird der Fortschrittsbalken aktualisiert
    //alert("(ocr_action.php, Z. 201) Pic_id=" + pic_array[0] + ", Schärfe: " + sharpen + ", Qualität: " + quality + ", Skalierung: " + resize);
    var client = new XMLHttpRequest();
    client.open("GET", "run_ocr.php?pic_id=" + pic_array[0] + "&sharpen=" + sharpen + "&quality=" + quality + "&resize=" + resize, true);
    pic_array.splice( 0, 1 );
    client.onreadystatechange = function()
    {
        if( client.readyState == 4 )
        {
            //alert("ocr_action.php, Z. 209)" + client.responseText);
            var result = JSON.parse( client.responseText );
            if( result.errorCode == 1 )
            {
                alert( "Es trat ein Fehler bei Objekt " + pic_array[0] + " auf!\nDer extrahierte Text konnte nicht in der Datenbank gespeichert werden:\n\n" + result.mysql_error );
            }
            else if( result.errorCode == 2 )
            {
                alert("Sie haben kein Objekt ausgewählt!");
            }
            else if( result.errorCode == 3)
            {
				alert("Die temporäre Objekt-Kopie konnte nicht gelöscht werden.");
            }

            if( pic_array.length > 0 )
            {
                if( pic_array.length > 1)
                {
                    document.getElementById("meldung").innerHTML = "...es verbleiben noch " + pic_array.length + " Objekte...";
                }
                else
                {
                    document.getElementById("meldung").innerHTML = "...es verbleibt noch " + pic_array.length + " Objekt...";
                }
                var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                processFile( pic_array, sharpen, quality, resize );
            }
            else
            {
                //Bearbeitung ist abgeschlossen
                //Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
                var endtime = new Date();
                var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
                avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
                document.getElementById("meldung").innerHTML = "Alle Objekte wurden aktualisiert.";
                //Aktualisierung des Fortschrittsbalkens auf 100%:
                var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                setTimeout("showReady(avgTime)", 500);
                //showReady(avgTime)
            }
        }
    };
    client.send( null );
}
</script>
</html>