<?php

header('Content-Type: text/html; charset=utf-8');

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Verwendung bei der Bearbeitung / Beschreibung zuweisen (Auswahl nach Kategorien)
// Skript weist jedem Objekt (pic_id) die neue Beschreibung zu
// wird aufgerufen bei Bearbeitung | Beschreibung zuweisen ( von edit_desc_daten_action2.php)
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*
 * Project: pic2base
 * File: update_desc_daten_.php
 *
 * Copyright (c) 2005 - 2018 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

if(array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}
else
{
    $pic_id = 0;
}

if(array_key_exists('desc_id',$_GET))
{
    $desc_id = $_GET['desc_id'];
}
else
{
    $desc_id = NULL;
}

$error_code = 0;

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$exiftool = buildExiftoolCommand($sr);

$result0 = mysqli_query($conn, "SELECT username FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

if ( isset($pic_id) AND $desc_id !== "")
{
    //Ermittlung der bisherigen Bildbeschreibung:
    $bild_id = $pic_id;
    $res1 = mysqli_query($conn, "SELECT Caption_Abstract FROM $table2 WHERE pic_id = '$bild_id'");
    $row1 = mysqli_fetch_array($res1);
    $old_desc = ($row1['Caption_Abstract']);         
    //echo mysqli_error($conn);

    //Ermittlung des zus. Bildbeschreibungstextes
    $res2 = mysqli_query($conn, "SELECT description FROM $table32 WHERE desc_id = '$desc_id' AND user_id = '$uid'");
    $row2 = mysqli_fetch_assoc($res2);
    $add_desc = $row2['description'];
    //echo mysqli_error($conn);

    // Montage des neuen Beschreibungstextes
    if ($add_desc == '')
    {
        $Description = $old_desc;
    }
    else
    {
        $Description =$old_desc."\n".$add_desc;
    }

    $res3 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = \"$Description\" WHERE pic_id = '$bild_id'");
    if(!mysqli_error($conn))
    {
        //Log-Datei im Erfolgsfall schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        $old_desc = mb_convert_encoding($old_desc, "UTF-8");
        $Description = mb_convert_encoding($Description, "UTF-8");
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Beschreibung von Objekt ".$bild_id." wurde von ".$username." modifiziert. (Zugriff von ".$_SERVER['REMOTE_ADDR']."\nalt:\n".$old_desc.",\n\nneu:\n".$Description."\n");
        flock($fh, LOCK_UN);
        fclose($fh);
    }
    else 
    {
        $error_code = 3;
        //Log-Datei im Fehlerfall schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        $old_desc = mb_convert_encoding($old_desc, "UTF-8");
        $Description = mb_convert_encoding($Description, "UTF-8");
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Fehler beim Speichern der Beschreibung von Objekt ".$bild_id.": ". mysqli_error($conn)."\nalt:\n".$old_desc."\n\nneuer Beschreibungstext soll lauten: \n".$Description."\n");
        flock($fh, LOCK_UN);
        fclose($fh);
    }
    // Nur wenn die DB-Aktualisierung erfolgreich war, werden die Metadaten aktualisiert. Ansonsten wird eine Fehlermeldung ausgegeben.
    if($error_code == 0)
    {
        $FN = $pic_path."/".restoreOriFilename($bild_id, $sr);
        $desc = $Description;
        shell_exec($exiftool." -IPTC:Caption-Abstract=\"$desc\" ".$FN." -overwrite_original");

        IF (mysqli_errno($conn) == '0')
        {
            $error_code = 0;
        }
        ELSE
        {
            $error_code = 1;
        }
    }
}
else
{
    $error_code = 2; 
}
mysqli_close($conn);

$obj1 = new stdClass();
$obj1->errorCode = $error_code;
$obj1->Userid = $uid;
$output = json_encode($obj1);
echo $output;
?>