<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//                                                                                            
// Verwendung bei der Bearbeitung / Aufnahmedatum korrigieren                                 
// Skript weist jedem Objekt (pic_id) das neue Aufnahmedatum  und ggf. einen                  
// Bearbeitungsvermerk zu                                                                     
// wird aufgerufen bei Bearbeitung | Aufnahme-Datum korrigieren ( von edit_dto_action2.php)   
//                                                                                            
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*
 * Project: pic2base
 * File: update_dto.php
 *
 * Copyright (c) 2005 - 2018 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

if(array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}
else
{
    $pic_id = 0;
}

if(array_key_exists('day',$_GET))
{
    $day = htmlentities($_GET['day'], ENT_QUOTES);
}
else
{
    $day = NULL;
}

if(array_key_exists('month',$_GET))
{
    $month = htmlentities($_GET['month'], ENT_QUOTES);
}
else
{
    $month = NULL;
}

if(array_key_exists('year',$_GET))
{
    $year = htmlentities($_GET['year'], ENT_QUOTES);
}
else
{
    $year = NULL;
}

if(array_key_exists('hour',$_GET))
{
    $hour = htmlentities($_GET['hour'], ENT_QUOTES);
}
else
{
    $hour = NULL;
}

if(array_key_exists('minute',$_GET))
{
    $minute = htmlentities($_GET['minute'], ENT_QUOTES);
}
else
{
    $minute = NULL;
}

if(array_key_exists('second',$_GET))
{
    $second = htmlentities($_GET['second'], ENT_QUOTES);
}
else
{
    $second = NULL;
}

if(array_key_exists('diff_hour',$_GET))
{
    $diff_hour = htmlentities($_GET['diff_hour'], ENT_QUOTES);
}
else
{
    $diff_hour = NULL;
}

if(array_key_exists('diff_minute',$_GET))
{
    $diff_minute = htmlentities($_GET['diff_minute'], ENT_QUOTES);
}
else
{
    $diff_minute = NULL;
}

if(array_key_exists('diff_second',$_GET))
{
    $diff_second = htmlentities($_GET['diff_second'], ENT_QUOTES);
}
else
{
    $diff_second = NULL;
}

if(array_key_exists('timeshift',$_GET))
{
    $timeshift = htmlentities($_GET['timeshift'], ENT_QUOTES);
}
else
{
    $timeshift = NULL;
}

if(array_key_exists('hint',$_GET))
{
    $hint = htmlentities($_GET['hint'], ENT_QUOTES);
}
else
{
    $hint = NULL;
}

if(array_key_exists('op',$_GET))
{
    $op = htmlentities($_GET['op'], ENT_QUOTES);
}
else
{
    $op = NULL;
}
$error_code = 0;

include '../../share/read_session_prefs.php';
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';

$exiftool = buildExiftoolCommand($sr);

$result0 = mysqli_query($conn, "SELECT username FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];
// Aufnahme-Zeitpunkt neu setzen:
if ( isset($pic_id) AND $pic_id !== 0 AND $day !== NULL AND $month !== NULL AND $year !== NULL AND $hour !== NULL AND $minute !== NULL AND $op == 'new')
{
    $date_logfile = $day.".".$month.".".$year." ".$hour.":".$minute.":00";
    $date_exif = $year.":".$month.":".$day." ".$hour.":".$minute.":00";
    $date_mysql = $year."-".$month."-".$day." ".$hour.":".$minute.":00";
    //letzte verwendete DTO-Korrektur-Werte werden in der users-Tabelle vermerkt:
    $res0 = mysqli_query($conn, "UPDATE $table1 SET last_used_dto = '$date_mysql' WHERE id = '$uid'");
    /*
    if(!mysqli_error($conn))
    {
        // Log-Datei schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": letztes verwendetes Aufnahmedatum wurde in der Users-Tabelle fuer Benutzer ".$username." vermerkt: ".$date_mysql." (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
        flock($fh, LOCK_UN);
        fclose($fh);
    }
    else
    {
        // Fehlermeldung schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Fehler bei der Speicherung des zuletzt verwendeten DTO in der Users-Tabelle: ".mysqli_error($conn)."\n");
        flock($fh, LOCK_UN);
        fclose($fh);
    }
*/
    if($hint !== '' AND $hint !== 'Bearbeitungshinweis')
    {
        $res1 = mysqli_query($conn, "SELECT Caption_Abstract FROM $table2 WHERE pic_id = '$pic_id'");
        $row1 = mysqli_fetch_assoc($res1);
        $ca = $row1['Caption_Abstract'];
        $ca = $ca."; ".html_entity_decode($hint);
        $res2 = mysqli_query($conn, "UPDATE $table2 SET CreateDate = '$date_mysql', Caption_Abstract = \"$ca\" WHERE pic_id = '$pic_id'");
        $FN = $pic_path."/".restoreOriFilename($pic_id, $sr);
        //$result=shell_exec($exiftool." -CreateDate='$date_exif' ".$FN." -overwrite_original -execute -IPTC:Caption-Abstract='$ca' ".$FN." -overwrite_original");
        $result=shell_exec($exiftool." -CreateDate='$date_exif' -IPTC:Caption-Abstract='$ca' ".$FN." -overwrite_original");
    }
    else
    {
        $res3 = mysqli_query($conn, "UPDATE $table2 SET CreateDate = '$date_mysql' WHERE pic_id = '$pic_id'");
        $FN = $pic_path."/".restoreOriFilename($pic_id, $sr);
        $result=shell_exec($exiftool." -CreateDate='$date_exif' ".$FN." -overwrite_original");
    }    
    
    if(!mysqli_error($conn))
    {
        // Log-Datei schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Aufnahmedatum von Objekt ".$pic_id." wurde von ".$username." modifiziert. (Zugriff von ".$_SERVER['REMOTE_ADDR'].") Neues Datum: ".$date_logfile."\n");
        flock($fh, LOCK_UN);
        fclose($fh);
        //$error_code = 0;
    }
    else
    {
        // Fehlermeldung schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Fehler bei der Aenderung des Aufnahmedatums von Objekt ".$pic_id.": ".mysqli_error($conn)."\n");
        flock($fh, LOCK_UN);
        fclose($fh);
        //$error_code = 1;
    }

    if (mysqli_errno($conn) == '0')
    {
        $error_code = 0;
    }
    else
    {
        $error_code = 1;
    }
}
// vorhandenen Aufnahme-Zeitpunkt verschieben:
elseif ( isset($pic_id) AND $pic_id !== 0 AND $diff_hour !== NULL AND $diff_minute !== NULL AND $diff_second !== NULL AND $timeshift !== NULL AND $op == 'shift')
{
    // Ermittlung der Gesamtzahl Sekunden aus Stunden, Minuten und Sekunden unter Berücksichtigung der Korrektur-Richtung:
    $seconds = $timeshift."".(($diff_hour * 3600) + ($diff_minute * 60) + $diff_second);
    
    if($hint !== '' AND $hint !== 'Bearbeitungshinweis')
    {
        $res1 = mysqli_query($conn, "SELECT Caption_Abstract FROM $table2 WHERE pic_id = '$pic_id'");
        $row1 = mysqli_fetch_assoc($res1);
        $ca = $row1['Caption_Abstract'];
        $ca = $ca."; ".html_entity_decode($hint);
        $res2 = mysqli_query($conn, "UPDATE $table2 SET CreateDate = DATE_ADD(CreateDate, INTERVAL '$seconds' SECOND), Caption_Abstract = \"$ca\" WHERE pic_id = '$pic_id'");
        $res3 = mysqli_query($conn, "SELECT DATE_FORMAT(CreateDate, '%Y:%c:%d %H:%i:%S') AS new_date FROM $table2 WHERE pic_id = '$pic_id'");
        $row3 = mysqli_fetch_assoc($res3);
        $new_date = $row3['new_date'];
        $FN = $pic_path."/".restoreOriFilename($pic_id, $sr);
        //$result=shell_exec($exiftool." -CreateDate='$new_date' ".$FN." -overwrite_original -execute -IPTC:Caption-Abstract='$ca' ".$FN." -overwrite_original");
        $result=shell_exec($exiftool." -CreateDate='$new_date' -IPTC:Caption-Abstract='$ca' ".$FN." -overwrite_original");
    }
    else 
    {
        $res3 = mysqli_query($conn, "UPDATE $table2 SET CreateDate = DATE_ADD(CreateDate, INTERVAL '$seconds' SECOND) WHERE pic_id = '$pic_id'");
        $res4 = mysqli_query($conn, "SELECT DATE_FORMAT(CreateDate, '%Y:%c:%d %H:%i:%S') AS new_date FROM $table2 WHERE pic_id = '$pic_id'");
        $row4 = mysqli_fetch_assoc($res4);
        $new_date = $row4['new_date'];
        $FN = $pic_path."/".restoreOriFilename($pic_id, $sr);
        $result=shell_exec($exiftool." -CreateDate='$new_date' ".$FN." -overwrite_original");
    }
            
    if(!mysqli_error($conn))
    {
        // Log-Datei schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Aufnahmedatum von Objekt ".$pic_id." wurde von ".$username." um ".$timeshift."".$seconds." Sekunden verschoben. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
        flock($fh, LOCK_UN);
        fclose($fh);
        $error_code = 0;
    }
    else
    {
        // Fehlermeldung schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Fehler bei der Aenderung des Aufnahmedatums von Objekt ".$pic_id.": ".mysql_error($conn)."\n");
        flock($fh, LOCK_UN);
        fclose($fh);
        $error_code = 1;
    }
/*
    IF (mysqli_errno($conn) == '0')
    {
        $error_code = 0;
    }
    ELSE
    {
        $error_code = 1;
    }
*/
}
else
{
    $error_code = 2; 
}
$msqlerr = mysqli_error($conn);
mysqli_close($conn);

$obj1 = new stdClass();
//$obj1->mysql_error=$msqlerr;
$obj1->result=$result;
$obj1->errorCode = $error_code;
$obj1->Userid = $uid;
$output = json_encode($obj1);
echo $output;
?>