<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Pers&ouml;nliche Einstellungen</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/resize_elements.js"></script>
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict();
		jQuery(document).ready(checkWindowSize);
		jQuery(window).resize(checkWindowSize); 
	</script>
</head>

<body lang="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: einstellungen1.php
 *
 * Copyright (c) 2006 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/permissions.php';

$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row1 = mysqli_fetch_assoc($result1);
$username = $row1['username'];

if (hasPermission($uid, 'editmyprofile', $sr) AND !hasPermission($uid, 'editallprofiles', $sr))
{
//	Benutzer darf nur seine eigenen Daten aendern
	echo mysqli_error($conn);
	$titel = $row1['titel'];
	$vorname = $row1['vorname'];
	$name = $row1['name'];
	$u_name = $row1['username'];
	$strasse = $row1['strasse'];
	$plz = $row1['plz'];
	$ort = $row1['ort'];
	$tel = $row1['tel'];
	$email = $row1['email'];
	$internet = $row1['internet'];
	$language = $row1['language'];
	$direkt_download = $row1['direkt_download'];
	
	echo "
    <div class='body_grid'>
	
		<div class='header'>
			pic2base :: Pers&ouml;nliche Einstellungen anpassen <span class='klein'>(User: $username)</span>
		</div>
			
		<div class='navigation'>
			<div class='menucontainer'>";
			createNavi5($uid);
			echo "</div>
		</div>

        <div class='content'>
            <div class='content_grid_filmstripe'>

                <div class='filmstripe_content_left' id='spalte1'>
                    <fieldset class='normal'>
                        <legend class='normal'>Legen Sie hier Ihre pers&ouml;nlichen Einstellungen fest:</legend>
                        <div id='scrollbox0' style='overflow-y:scroll;'>
                    
                        <form name = 'pwd' method = post action = 'save_pwd1.php?mod=my'>
                        <table align=center style='width:400px;padding:0px;margin-top:6px;text-align:center;'>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Titel:</p></td>
                            <td class='kat1'>
                            <input type='text' name='titel' value = '$titel' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Name:</p></td>
                            <td class='kat1'>
                            <input type='text' name='name' value = '$name' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Vorname:</p></td>
                            <td class='kat1'>
                            <input type='text' name='vorname' value = '$vorname' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Strasse:</p></td>
                            <td class='kat1'>
                            <input type='text' name='strasse' value = '$strasse' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>PLZ:</p></td>
                            <td class='kat1'>
                            <input type='text' name='plz' value = '$plz' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Ort:</p></td>
                            <td class='kat1'>
                            <input type='text' name='ort' value = '$ort' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Telefon:</p></td>
                            <td class='kat1'>
                            <input type='text' name='tel' value = '$tel' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>eMail:</p></td>
                            <td class='kat1'>
                            <input type='text' name='email' value = '$email' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Internet:</p></td>
                            <td class='kat1'>
                            <input type='text' name='internet' value = '$internet' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Sprache:</p></td>
                            <td class='kat1'>
                            <SELECT name='language' class='Auswahl200'>";
                            switch ($language)
                            {
                                case 'de':
                                    $de = 'selected';
                                break;
                                
                                case 'en':
                                    $en = 'selected';
                                break;
                                
                                case 'ru':
                                    $ru = 'selected';
                                break;
                                
                                case 'cs':
                                    $cs = 'selected';
                                break;
                                
                                case 'es':
                                    $es = 'selected';
                                break;
                                
                                case 'fr':
                                    $fr = 'selected';
                                break;
                                
                                case 'it':
                                    $it = 'selected';
                                break;
                                
                                case 'ja':
                                    $ja = 'selected';
                                break;
                                
                                case 'ko':
                                    $ko = 'selected';
                                break;
                                
                                case 'nl':
                                    $nl = 'selected';
                                break;
                                
                                case 'pl':
                                    $pl = 'selected';
                                break;
                                
                                case 'sv':
                                    $sv = 'selected';
                                break;
                                
                                case 'tr':
                                    $tr = 'selected';
                                break;
                            }
                            
                                echo "
                                <option value='de' $de>Deutsch</option>
                                <option value='en' $en>English</option>
                                <option value='ru' $ru>Russisch</option>
                                <option value='cs' $cs>Czech</option>
                                <option value='es' $es>Espanol</option>
                                <option value='fr' $fr>Francias</option>
                                <option value='it' $it>Italiano</option>
                                <option value='ja' $ja>Japanese</option>
                                <option value='ko' $ko>Korean</option>
                                <option value='nl' $nl>Nederlands</option>
                                <option value='pl' $pl>Polski</option>
                                <option value='sv' $sv>Svenska</option>
                                <option value='tr' $tr>T&uuml;rkce</option>";
                            
                            echo "
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Objekt-Download:</p></td>
                            <td class='kat1'>
                            <SELECT name='direkt_download' class='Auswahl200'>";
                            IF($direkt_download == '0')
                            {
                                echo "
                                <option value='0' selected>per FTP</option>
                                <option value='1'>Direkt-Download</option>";
                            }
                            ELSEIF($direkt_download == '1')
                            {
                                echo "
                                <option value='0'>per FTP</option>
                                <option value='1' selected>Direkt-Download</option>";
                            }
                            
                            echo "
                            </td>
                        </tr>
                        
                        <tr class='normal'>
                            <td class='kat1' colspan='3'><p class='klein'>Passwort &auml;ndern</p></td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Altes Passwort:</p></td>
                            <td class='kat1'>
                            <input type='password' name='old_pwd' class='Textfeld'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Neues Passwort:</p></td>
                            <td class='kat1'>
                            <input type='password' name='new_pwd_1' class='Textfeld' value='$u_name'>
                            </td>
                        </tr>
                        
                        <tr class='kat'>
                            <td class='kat1'><p class='klein'>Passwort wiederholen:</p></td>
                            <td class='kat1'>
                            <input type='password' name='new_pwd_2' class='Textfeld' value='$u_name'>
                            </td>
                        </tr>
                        
                        <tr class='normal' style='height:10px;>
                            <td class='normal' colspan='3'></td>
                        </tr>
        
                        <input type='hidden' name='u_name' value = '$u_name' style='width:200px;'>
        
                        <tr class='kat'>
                            <td class='kat1' colspan='3' style='text-align:center;'>
                            <INPUT type=\"button\" class=\"button\" value=\"Abbrechen\" onClick=\"location.href='../start.php'\">
                            <INPUT type=\"submit\" class=\"button\" value=\"Speichern\" style='margin-left:20px;'>
                            </td>
                        </tr>
                        
                        </TABLE>
                        </FORM>
                        </div>
                    </fieldset>
                </div>

                <div class='filmstripe_content_right' id='spalte2'>
                    <fieldset class='normal'>
                        <legend class='normal'>Hilfe zu den Bearbeitungsm&ouml;glichkeiten:</legend>
                        <div id='scrollbox1' style='overflow-y:scroll;'>
                        Sie k&ouml;nnen Ihre pers&ouml;nlichen Angaben unver&auml;ndert lassen und nur Ihr Passwort &auml;ndern.<br />
                        F&uuml;llen Sie hierzu lediglich die drei unteren Eingabefelder aus.<br /><br />
                        Wenn Sie Ihre pers&ouml;nlichen Daten ver&auml;ndern wollen, m&uuml;ssen Sie die &Auml;nderungen mit Ihrem Passwort best&auml;tigen.<br />
                        F&uuml;llen Sie hierzu ebenfalls die drei unteren Passwort-Felder aus.<br /><br />
                        Hinweis: <br />
                        Wollen Sie Ihr altes Passwort beibehalten, tragen Sie dies in alle drei Passwort-Felder ein.
                        </div>
                    </fieldset>
                </div>

                <div class='filmstripe_content_bottom'>
                </div>

            </div>
        </div>
	
		<div class='footer'>
			<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
		</div>
	
	</div>";
}
elseif (hasPermission($uid, 'editallprofiles', $sr))
{
	// Benutzer darf auch Daten der anderen User aendern
	$result2 = mysqli_query($conn, "SELECT * FROM $table1");
	echo mysqli_error($conn);
	$num2 = mysqli_num_rows($result2);
	
	echo "
	<div class='body_grid'>
	
		<div class='header'>
			pic2base :: Benutzerdaten anpassen <span class='klein'>(User: $username)</span>
		</div>
			
		<div class='navigation'>
			<div class='menucontainer'>";
			createNavi5($uid);
			echo "</div>
		</div>

        <div class='content' style='overflow-y: scroll;'>
        
            <div class='content_grid_filmstripe'>

                <div class='filmstripe_content_left' id='spalte1'>
                    <!--<fieldset class='normal' style='height:450px; margin-top:20px;overflow-y: scroll;'>-->
                    <fieldset class='normal' style='height: 93%; margin-top:20px; overflow-y: scroll;'>
                    <legend class='normal'>Von welchem Benutzer wollen Sie die pers. Einstellungen &auml;ndern?</legend>
                    <div id='scrollbox0'>
            
                    <table align=center style='width:500px;padding:0px;margin-top:6px;'>";
                    for ($i2='0'; $i2<$num2; $i2++)
                    {
                        $row2 = mysqli_fetch_assoc($result2);
                        $user_id = $row2['id'];
                        $benutzername = $row2['username'];	//Namen der registrierten Benutzer, nicht des bearbeitenden Benutzers
                        $titel = $row2['titel'];
                        $vorname = $row2['vorname'];
                        $name = $row2['name'];
                        if($benutzername !== 'pb' AND ($benutzername !== $username OR hasPermission($uid, 'editmyprofile', $sr)))
                        {
                            echo "
                            <tr class='kat'>
                                <td class='kat1'>".$titel."</td>
                                <td class='kat1'>".$vorname."</td>
                                <td class='kat1'>".$name."</td>
                                <td class='kat1' style=' text-align:center;'>
                                    <span style='cursor:pointer;'>
                                        <img src='../../share/images/edit.svg' style='border:none; width:16px;' onClick=\"location.href='einstellungen2.php?id=$user_id'\" title='Pers&ouml;nliche Daten bearbeiten' />
                                    </span>
                                </td>
                            </tr>";
                        }
                    }
                    echo "				
                    </table>
                    
                    </div>
                    </fieldset>
                </div>

                <div class='filmstripe_content_right' id='spalte2'>
                    <!--<fieldset class='normal' style='height:450px; margin-top:20px;overflow-y: scroll;'>-->
                    <fieldset class='normal' style='height: 93%; margin-top:20px; overflow-y: scroll;'>
                        <legend class='normal'>Hilfe zu den Bearbeitungsm&ouml;glichkeiten:</legend>
                        <div id='scrollbox1'>
                            <p class='klein'>Klicken Sie auf den Bearbeiten-Button (weißer Stift auf blauem Grund), wenn Sie die pers&ouml;nlichen Daten eines Benutzers &auml;ndern wollen.</p>
                        </div>
                    </fieldset>
                </div>

                <div class='filmstripe_content_bottom'>
                </div>

            </div>
        
        </div>
	
		<div class='footer'>
			<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
		</div>
	
	</div>";
}
elseif (!hasPermission($uid, 'editmyprofile', $sr) AND !hasPermission($uid, 'editallprofiles', $sr))
{
	echo "<meta http-equiv='refresh' content = '1; URL=../start.php'>";
}

mysqli_close($conn);
echo "</div>
</body>
</html>";
?>
