<!DOCTYPE HTML>
<html>
    <head>
        <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
        <TITLE>pic2base - Recherche</TITLE>
        <META NAME="GENERATOR" CONTENT="eclipse">
        <meta http-equiv="Content-Style-Type" content="text/css">
        <link rel=stylesheet type="text/css" href='../../css/format1.css'>
        <link rel=stylesheet type="text/css" href='../../css/main.css'>
        <link rel="shortcut icon" href="../../share/images/favicon.ico">
        <script type="text/javascript" src="../../share/functions/resize_elements.js"></script>
        <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
        <script type="text/javascript">
            jQuery.noConflict();
            sessionStorage.setItem("geojsonFile", null);
            jQuery(document).ready(checkWindowSize);
		    jQuery(window).resize(checkWindowSize); 
        </script>
    </head>

    <?php
    //var_dump($_GET);

    include '../../share/global_config.php';
    include $sr.'/bin/share/db_connect1.php';
    include $sr.'/bin/share/read_session_prefs.php';
    include $sr.'/bin/share/functions/main_functions.php';
    include $sr.'/bin/share/functions/permissions.php';

    if(array_key_exists('coll_id', $_REQUEST))
    {
        $coll_id = $_GET['coll_id'];
        $_SESSION['coll_id'] = $coll_id;
        $search_modus = 'collection';
    }
    else
    {
        $search_modus = 'normal';
    }
    $_SESSION['search_modus'] = $search_modus;
    ?>

    <body>
        <div class="klein">
        <?php

        /*
        * Project: pic2base
        * File: recherche0.php
        * ##getestet##
        * Copyright (c) 2003 - 2021 Klaus Henneberg
        *
        * Project owner:
        * Dipl.-Ing. Klaus Henneberg
        * 38889 Blankenburg, BRD
        *
        * This file is licensed under the terms of the Open Software License
        * http://www.opensource.org/licenses/osl-2.1.php
        */

        //include $sr.'/bin/css/initial_layout_settings.php';

        $result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
        $row0 = mysqli_fetch_assoc($result0);
        $username = $row0['username'];

        $result2 = mysqli_query($conn, "SELECT COUNT(*) FROM $table2");
        $row2 = mysqli_fetch_row($result2);
        $num2 = $row2[0];
        //$num2 = mysqli_num_rows($result2);

        echo "

        <div class='body_grid'>";

        if($search_modus !== 'collection')
            {
                echo "
                <div class='header' id='head'>
                    pic2base :: Recherche-&Uuml;bersicht <span class='klein'>(User: ".$username.")</span>
                </div>

                <div class='navigation' id='navi'>";
                    createNavi2($uid);
                echo "
                </div>";
            }
            else
            {
                echo "
                <div class='header' id='head'>
                    pic2base :: Recherche-&Uuml;bersicht <span class='klein'>(User: ".$username.")</span> Sie befinden sich im Suchmodus f&uuml;r Kollektionen! <input type='button' class='button' style='vertical-align:middle; height:24px;' value='Zum Normalmodus' onCLick='location.href=\"recherche0.php\"'>
                </div>

                <div class='navigation' id='navi'>";
                    createNavi2_coll($uid, $coll_id);
                    echo "
                </div>";
            }
        echo "
        <div class='content'>
            <div class='content_grid_filmstripe'>
                <div class='filmstripe_content_left' id='spalte1' style='overflow-y: scroll;'>";
                
                if ($num2 > 0)
                {
                    $action = $_SERVER['PHP_SELF']; //echo $action;
                    $sel1 = $sel2 = $sel3 = $sel4 = $sel5 = $sel6 = '';
                    $sel21 = $sel22 =$sel31 = $sel32 = $sel41 = $sel42 = '';
                    $bew = $bewertung;
                    SWITCH($bew)
                    {
                        CASE '=1':
                        $sel1 = 'selected';
                        break;
                        
                        CASE '>=2':
                        $sel21 = 'selected';
                        break;
                        
                        CASE '=2':
                        $sel2 = 'selected';
                        break;
                        
                        CASE '<=2':
                        $sel22 = 'selected';
                        break;
                        
                        CASE '>=3':
                        $sel31 = 'selected';
                        break;
                        
                        CASE '=3':
                        $sel3 = 'selected';
                        break;
                        
                        CASE '<=3':
                        $sel32 = 'selected';
                        break;
                        
                        CASE '>=4':
                        $sel41 = 'selected';
                        break;
                        
                        CASE '=4':
                        $sel4 = 'selected';
                        break;
                        
                        CASE '<=4':
                        $sel42 = 'selected';
                        break;
                        
                        CASE '=5':
                        $sel5 = 'selected';
                        break;
                        
                        CASE '6':
                        CASE '':
                        $sel6 = 'selected';
                        break;
                    }
                    echo "
                    <fieldset class='normal' id='quality'>
                    <legend class='normal'>Auswahl der Qualit&auml;t</legend>
                        <p class='klein'>Legen Sie hier bitte zun&auml;chst fest, nach welchen<br />Qualit&auml;tsmerkmalen recherchiert werden soll:<br /><br />
                        Finde alle Objekte, f&uuml;r die gilt: Es sind ...<br /><br /></p>
                        
                        <center>
                            <form name='quality' action=$action method='post'>
                            <select id = 'bewertung' size = '1' class='Textfeld' style='width:304px; height:20px; cursor:pointer;' title='Legen Sie hier bitte die Qualitäts-Anforderungen fest'>
                            <option value = '=1' $sel1>sehr gute Objekte</option>
                            <option value = '=2' $sel2>gute Objekte</option>
                            <option value = '=3' $sel3>befriedigende Objekte</option>
                            <option value = '=4' $sel4>gen&uuml;gende Objekte</option>
                            <option value = '=5' $sel5>ungen&uuml;gende Objekte</option>
                            <option value = '>=2' $sel21>gute oder bessere Objekte</option>
                            <option value = '<=2' $sel22>gute oder schlechtere Objekte</option>
                            <option value = '>=3' $sel31>befriedigende oder bessere Objekte</option>
                            <option value = '<=3' $sel32>befriedigende oder schlechtere Objekte</option>
                            <option value = '>=4' $sel41>gen&uuml;gende oder bessere Objekte</option>
                            <option value = '<=4' $sel42>gen&uuml;gende oder schlechtere Objekte</option>
                            <option value = '6' $sel6>alle Objekte</option>
                            </select>
                            </FORM>
                            <br />
                        </center>
                        
                    </fieldset>
                        
                    <fieldset class='normal' id='fieldset_criterion' style='margin-top:20px;'>
                    <legend class='normal'>Suche nach...</legend>
                    <div class='selection_grid' style='overflow-y:scroll;'>
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=zeit&s_m=J&bewertung=' + document.getElementById('bewertung').value + ''\" title='Chronologische Suche nach Jahr, Monat, Tag'>Aufnahmedatum</div>
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=kat&bewertung=' + document.getElementById('bewertung').value + ''\" title='Suche nach Kategorien mit Hilfe des Kategorie-Baumes'>Kategorien (via Kategoriebaum)</div>
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=kat_text&bewertung=' + document.getElementById('bewertung').value + ''\" title='Suche nach Kategorien mit Hilfe einer Text-Eingabe'>Kategorien (via Text-Eingabe)</div>
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=exif&bewertung=' + document.getElementById('bewertung').value + ''\" title='Suche anhand versteckter Objekt-Eigenschaften'>Meta-Daten</div>
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=desc&bewertung=' + document.getElementById('bewertung').value + ''\" title='Suche nach Fragmenten im Beschreibungstext der Objekte'>Beschreibungstext</div>
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=geo&bewertung=' + document.getElementById('bewertung').value + ''\" title='Suche nach dem Aufnahme-Standort anhand bekannter Koordinaten, einer Karten-Ansicht oder einer Ortsbezeichnung'>Geo-Daten</div>
                        <div></div>";
                        if($search_modus == 'normal')
                        {
                            echo "<div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=collection'\" title='Suche im Bestand der Kollektionen nach Kollektions-Namen oder der Kollektions-Beschreibung'>Kollektionen</div>";
                        }
                        elseif($search_modus == 'collection')
                        {
                            echo "<div></div>";
                        }
                        echo "
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=extendedSearch&bewertung=' + document.getElementById('bewertung').value + ''\" title='Suche nach mehreren kombinierten Merkmalen'>Erweiterte Suche</div>
                        <div class='selection_item' onClick=\"location.href='recherche2.php?pic_id=0&mod=fulltext&bewertung=' + document.getElementById('bewertung').value + ''\" title='Volltext-Suche nach verschiedenen Methoden'>Volltext-Suche</div>
                        <div class='selection_item' onClick=\"location.href='show_all.php?jb_step=0&bewertung=' + document.getElementById('bewertung').value + ''\" title='Jahrgangsweise Objekt-Ansicht'>Jahrbücher</div>
                    </div>
                    </fieldset>";
                }
                else
                {
                    echo "
                    <fieldset class='normal' style='background-color:lightyellow; margin-top:10px;'>
                    <legend class='normal'>Hinweis</legend>
                        <center>
                        <br />
                        <p class='klein_red'>Es gibt zur Zeit keine Eintr&auml;ge in der Datenbank!</p>
                        <br />
                        </center>
                    </fieldset>";
                }
                echo "
                </div>

                <div class='filmstripe_content_right' id='spalte2F' style='overflow:hidden;'>

                    <fieldset id='fieldset_spalte2' class='normal' style='height:95%; overflow:hidden;'>
                    <legend class='normal'>Hilfe zu den Suchm&ouml;glichkeiten</legend>
                        <div id='help' style='text-align:left; overflow-y:scroll;'>
                            <p class='klein'>
                                Ausf&uuml;hrliche Hilfe zu den Suchm&ouml;glichkeiten finden Sie &uuml;ber den Button 'Hilfe' in der linken Navigationsleiste oder direkt <a class='std' href='../help/help1.php?page=2'>hier.</a>
                            </p>
                            <p class='klein'>
                                Wenn Sie sich im Suchmodus f&uuml;r Kollektionen befinden, werden ausgew&auml;hlte Objekte der aktiven Kollektion zugeordnet.<br />In diesem Modus erfolgt kein Download der Objekte.
                            </p>
                        </div>
                    </fieldset>

                </div>

                <div class='filmstripe_content_bottom'>
                </div>
                
            </div>
        </div>

        <div class='footer'>
            <a style='position:relative; top:8px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
        </div>

        </div>";

        mysqli_close($conn);
        ?>
        </div>
    </body>
</html>