<?php
header("Content-type: text/html; charset=utf-8");
//var_dump($_REQUEST);

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$exiftool = buildExiftoolCommand($sr);

IF(array_key_exists('location', $_REQUEST))
{
	$location = $_REQUEST['location'];
}
IF(array_key_exists('ort', $_REQUEST))
{
	$ort = $_REQUEST['ort'];
}
IF(array_key_exists('pic_id', $_REQUEST))
{
	$pic_id = $_REQUEST['pic_id'];
}

IF(array_key_exists('vorh_location', $_REQUEST))
{
	$vorh_location = $_REQUEST['vorh_location'];
}

$location = strip_tags($location);	//Breite u. Laenge in einem String
$loc_arr = explode(",",$location);
$lat = $loc_arr[0];                     //echo $lat."<br />";			//Breite
$long = $loc_arr[1];                    //echo $long;				//Laenge
//Long-/Lat-Referenzen:
if ($lat < 0)
{
	$lat_ref = "S";
}
else
{
	$lat_ref = "N";
}

if ($long < 0)
{
	$long_ref = "W";
}
else
{
	$long_ref = "E";
}
$elevation = file_get_contents("http://maps.google.com/maps/api/elevation/xml?locations=".$location."&sensor=false");
$ele_arr = explode(" ",$elevation);
$elevat = strip_tags($ele_arr[16]);
settype($elevat,'float');
$ele = str_replace(",", "", number_format($elevat,2));
$ort = strip_tags($ort);			//Ortsbezeichnung
//IPTC::City darf nur max. 32 Zeichen lang sein:
if (strlen($ort) > '32')
{
	$ort_iptc = substr($ort,0,29)."...";
}
else
{
	$ort_iptc = $ort;
}


//Parameter fuer naechste Referenzierung speichern:
$geo_parameter = $location.",".$ort;
$_SESSION['geo_parameter'] = $geo_parameter;
$result0 = mysqli_query($conn, "SELECT FileName FROM $table2 WHERE pic_id = '$pic_id'");
$row0 = mysqli_fetch_assoc($result0);
// $fn ist der interne Dateiname
$fn = $row0['FileName'];
$fn = $pic_path."/".$fn;

$FN = strtolower($pic_path."/".restoreOriFilename($pic_id, $sr));

//Fallunterscheidungen:
//Es ist nur eine der erforderlichen Angaben vorhanden (Koordinaten oder Ortsbezeichnung):
if (($location == '' AND $ort !== '') OR ($location !== '' AND $ort == ''))
{
	echo "<div style='background-color:red; color:white; font-weight:bold'>Es liegt ein Fehler vor!<br />
	Die Koordinaten oder die Ortsbezeichnung fehlen!</div><br />
	<div  style='text-align:right;'>
	<input type='button' class='button' value = 'Fenster schlie&szlig;en' OnClick='javascript:window.close()'></div>";
	return;
}
//wenn keine location vorliegt und keine Aenderungen vorgenommen wurden:  ##########################################
if ($ort == '' AND $location == '')
{
	echo "<script language='JavaScript'>window.close();</script>";
}
//es gab bereits eine Referenzierung, dann wird diese aktualisiert:  ############################################
elseif (($vorh_location !== '' AND $vorh_location !== 'Ortsbezeichnung') AND $ort !== '' AND $location !== '')
{
	//echo "<p style='font-family:Helvitica,Arial; color:red; text-align:center;'>Bitte warten,<br />die &Auml;nderungen werden gespeichert...</p>";
	flush();
	$result01 = mysqli_query($conn, "SELECT City FROM $table2 WHERE pic_id = '$pic_id'");
	$row01 = mysqli_fetch_assoc($result01);
	$ort_alt = $row01['City'];
	//echo "Es gab eine Referenzierung, - alte Ortsbezeichnung: ".$ort_alt."<br />";
	$ort_db = $ort;
	$result1 = mysqli_query($conn, "UPDATE $table2 SET GPSLongitude = '$long', GPSLatitude = '$lat', GPSAltitude = '$ele', City = \"$ort_db\" WHERE pic_id = '$pic_id'");
	echo mysqli_error($conn);
	//Eintragung der Geo-Daten in den EXIF-Block des Originalbildes:
	shell_exec($exiftool." -IPTC:city='$ort_iptc' ".$FN." -overwrite_original -execute -EXIF:GPSLongitude=".$long." ".$FN." -overwrite_original -execute -EXIF:GPSLongitudeRef=".$long_ref." ".$FN." -overwrite_original -execute -EXIF:GPSLatitude=".$lat." ".$FN." -overwrite_original -execute -EXIF:GPSLatitudeRef=".$lat_ref." ".$FN." -overwrite_original -execute -EXIF:GPSAltitude=".$ele." ".$FN." -overwrite_original");
	//Eintragung der Geo-Daten in den EXIF-Block des internen jpg-Bildes:
	shell_exec($exiftool." -IPTC:city='$ort_iptc' ".$fn." -overwrite_original -execute -EXIF:GPSLongitude=".$long." ".$fn." -overwrite_original -execute -EXIF:GPSLongitudeRef=".$long_ref." ".$fn." -overwrite_original -execute -EXIF:GPSLatitude=".$lat." ".$fn." -overwrite_original -execute -EXIF:GPSLatitudeRef=".$lat_ref." ".$fn." -overwrite_original -execute -EXIF:GPSAltitude=".$ele." ".$fn." -overwrite_original");
}
//es gab bisher KEINE Referenzierung und es wird eine neue hinzugefuegt;  #########################################
elseif (($vorh_location == '' OR $vorh_location == 'Ortsbezeichnung') AND $ort !== '' AND $location !== '')
{
	//echo "<p style='font-family:Helvitica,Arial; color:red; text-align:center;'>Bitte warten,<br />die &Auml;nderungen werden gespeichert...</p>";
	flush();
	$ort_alt = '';
	//echo "Es gibt bisher KEINE Referenzierung<br />";
	$ort_db = $ort;
	$result1 = mysqli_query($conn, "UPDATE $table2 SET GPSLongitude = '$long', GPSLatitude = '$lat', GPSAltitude = '$ele', City = \"$ort_db\" WHERE pic_id = '$pic_id'");
	//echo mysqli_error($conn);
	//Eintragung der Geo-Daten in den EXIF-Block des Originalbildes:
	shell_exec($exiftool." -IPTC:city='$ort_iptc' ".$FN." -overwrite_original -execute -EXIF:GPSLongitude=".$long." ".$FN." -overwrite_original -execute -EXIF:GPSLongitudeRef=".$long_ref." ".$FN." -overwrite_original -execute -EXIF:GPSLatitude=".$lat." ".$FN." -overwrite_original -execute -EXIF:GPSLatitudeRef=".$lat_ref." ".$FN." -overwrite_original -execute -EXIF:GPSAltitude=".$ele." ".$FN." -overwrite_original");
	//Eintragung der Geo-Daten in den EXIF-Block des internen jpg-Bildes:
	shell_exec($exiftool." -IPTC:city='$ort_iptc' ".$fn." -overwrite_original -execute -EXIF:GPSLongitude=".$long." ".$fn." -overwrite_original -execute -EXIF:GPSLongitudeRef=".$long_ref." ".$fn." -overwrite_original -execute -EXIF:GPSLatitude=".$lat." ".$fn." -overwrite_original -execute -EXIF:GPSLatitudeRef=".$lat_ref." ".$fn." -overwrite_original -execute -EXIF:GPSAltitude=".$ele." ".$fn." -overwrite_original");
}

//abschliessend wird die Ortsbezeichnung in der Bildbeschreibung aktualisiert:

if ($ort_alt != $ort)
{
	//echo "Die Ortsbezeichnung wurde ge&auml;ndert.<br />";	
	$result4 = mysqli_query($conn, "SELECT Caption_Abstract FROM $table2 WHERE pic_id = '$pic_id'");
	$row4 = mysqli_fetch_assoc($result4);
	$description = $row4['Caption_Abstract'];
//#################################################################
	//echo "aus der DB ausgelesene bisherige Beschreibung: ".$description."<br />";

	//$description = mysqli_result($result4, 0, 'Caption_Abstract');
	//echo "Original-Beschreibung: ".$description."<br /><br />";
	if ($ort_alt !== '')
	{
		$description_neu = str_replace($ort_alt, $ort, $description);
		//echo "Neue Beschreibung, weil der Ort ge&auml;ndert wurde: ".$description_neu."<br />"; 
	}
	else
	{
		$description_neu = $description.", Kamerastandort: ".$ort;
		//echo "Neue Beschreibung, ohne alten Ort: ".$description_neu."<br />";
	}

	$description_neu = str_replace('Kamerastandort: '.$ort,'',$description_neu);
        //echo "neue Beschreibung: ".$description_neu."<br /><br />";
	//Codierung fuer den Eintrag in die DB:
	$description_neu_db = $description_neu." Kamerastandort: ".$ort;
	/*
	echo "Ort: ".$ort."<br />";
	echo "alter Ort: ".$ort_alt."<br />";
	echo "Neue Beschreibung, uncodiert: ".$description_neu."<br />";
	echo "DB-Beschreibung: ".$description_neu_db."<br /><br /><br />";	
	*/
	
	$result5 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = \"$description_neu_db\" WHERE pic_id = '$pic_id'");
	//echo "Fehler in Zeile 165; ".mysqli_error($conn);
//###################################################################
	//Vermerk im IPTC:Caption-Abstract-Tag des Originalbildes:
	$description_neu_iptc = $description_neu." Kamerastandort: ".$ort;

//	echo "IPTC-Beschreibung: ".$description_neu_iptc."<br />";

	shell_exec($exiftool." -IPTC:Caption-Abstract='$description_neu_iptc' ".$FN." -overwrite_original")."<br />";
	//Vermerk im IPTC:Caption-Abstract-Tag des internen jpg-Bildes:
	shell_exec($exiftool." -IPTC:Caption-Abstract='$description_neu_iptc' ".$fn." -overwrite_original")."<br />";
}

if (mysqli_error($conn) == '')
{
	//fuer Testzwecke haelt der Parameter das Karten-Fenster offen...
	//echo "<p style='font-family:Helvitica,Arial; color:green; text-align:center;'>Fertig...</p>";
	flush();
	sleep(0);	
	
	echo "<script language='JavaScript'>
	anotherWindow = window.open('', 'Karte', '');
	if (anotherWindow != null)
	{
		anotherWindow.close();
	}
	</script>";
}
else
{
	echo "Es trat ein Fehler auf!";
	echo mysqli_error($conn);
}
?>
