<?php
include '../../share/read_session_prefs.php';
include '../../share/global_config.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$ol_css = "../../share/ol_5.3.0/ol.css";
$ol_js = "../../share/ol_5.3.0/ol.js";

echo "<link rel=stylesheet type='text/css' href='../../css/format1.css'>
	<link rel=stylesheet type='text/css' href='../../css/main.css'>
    <meta http-equiv='content-type' content='text/html; charset=UTF-8'/>
    <link rel='stylesheet' href='$ol_css' type='text/css'></link>
    <script type='text/javascript' src='../../ajax/inc/prototype.js'></script>
    <!--<script type='text/javascript' src='../../share/functions/spec_functions.js'></script>-->
    <script src='$ol_js'></script>
    
    <!-- VERY VERY DIRTY!!! -->
    <script>try{ol.proj.proj4.register(proj4);}catch(e){}</script>
    
    <div id='map' class='map' style='width:100%; height:100%; margin-left: 0px; cursor:pointer;' onDblClick='window.close()' title='Doppelklick in die Karte schließt das Fenster';></div>

     <div class='overlay-container'>
        <span class='overlay-text' id='feature-pic_id'></span><br />
        <span class='overlay-text' id='feature-obj_uri'></span><br />
        <span class='overlay-text' id='feature-add-obj'></span><br />
     </div>";
?>

<script>

// existieren gespeicherte Werte? - sonst nimm Vorgaben:

	if(sessionStorage.getItem("lon") !== 'undefined' && sessionStorage.getItem("lon") !== null)
	{
		var lon = roundNumber(sessionStorage.getItem("lon"),7);
	}
	else
	{
		var lon = 10.9528111;
	}
	
	if(sessionStorage.getItem("lat") !== 'undefined' && sessionStorage.getItem("lat") !== null)
	{
		var lat = roundNumber(sessionStorage.getItem("lat"),7);
	}
	else
	{
		var lat = 51.7912321;
	}
	var center = lat + ',' + lon;

	if(sessionStorage.getItem("zoom") !== 'undefined' && sessionStorage.getItem("zoom") !== null)
	{
		var zoom = sessionStorage.getItem("zoom");
	}
	else
	{
		var zoom = '12';
	}
	//alert("Zoom: " + zoom);
	
	if(sessionStorage.getItem("geojsonFile") !== 'undefined' && sessionStorage.getItem("geojsonFile") !== null)
	{
		var geojsonFile = sessionStorage.getItem("geojsonFile");
	}
	else
	{
		var geojsonFile = "1";
	}
	
	function roundNumber(number, decimals) 
	{
	    var newnumber = new Number(number+'').toFixed(parseInt(decimals));
	    return parseFloat(newnumber); 
	}

	const attributionControl = new ol.control.Attribution({
		  collapsible: true
		});
    
    // #############  Style fuer Treffer-Punkte ################################
    const recordPoint = new ol.style.Circle({
    	fill: new ol.style.Fill({
    		color: [255,0,0,1],
    	}),
    	stroke: new ol.style.Stroke({
    		color: [255,0,0,1],
    		width: 1,
    	}),
    	radius: 5
    });
    
	// #############  Erzeugung der Karte:  #####################################
    const map = new ol.Map({
        target: 'map',
        view: new ol.View({
            center: ol.proj.fromLonLat([lon, lat]),
            zoom: zoom
        }),
    controls: ol.control.defaults({attribution: false}).extend([attributionControl])
    });
	// ##########################################################################
	
    // ###########   MapLayers:  ################################################
    // OSM-Karte:
    var raster = new ol.layer.Tile({
        source: new ol.source.OSM(),
        visible: true,
        title: 'OSMStandard'
    });

    // Ebene der Ergebnismenge:
    if (geojsonFile !== '1')
	{
    	var foundObjects = new ol.layer.Vector({
        	source: new ol.source.Vector({
        		url: encodeURI(geojsonFile),
        		format: new ol.format.GeoJSON()
        	}),
        	visible: true,
        	style: new ol.style.Style({
                image: recordPoint
        	}),
        	title: 'foundObjects'
        });
	}
    else
	{
    	alert("kein GeoJSON-File");
	}
        
	// ########   Zusammenfassen der Layer zu einer LayerGroup ############
    const baseLayerGroup = new ol.layer.Group({
		layers: [
			raster, foundObjects
			]
    });
    map.addLayer(baseLayerGroup);
    
	// #####################################################################
    
    // #############   Steuerelemente (Controls)          ###################
    // #############   hinzufügen der Überblicks-Karte:   ###################
    const overviewMapControl = new ol.control.OverviewMap({
		tipLabel: 'Kartenausschnitt',
		layers: [
			new ol.layer.Tile({
				source: new ol.source.OSM()
			})
		]
    });
    map.addControl(overviewMapControl);
    // ######################################################################
    
    // #############   hinzufügen des Maßstabs   ############################
    const scaleLineControl = new ol.control.ScaleLine({
		minWidth: 200,
		units: 'metric',
		bar: true,
		steps: 4,
		text: true
    });
    map.addControl(scaleLineControl);
    // ######################################################################

</script>

    

