<!DOCTYPE HTML>
<html>

<head>
  <title>Kollektion ansehen</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type='text/css' href='../../css/format1.css'>
  <link rel=stylesheet type='text/css' href='../../css/main.css'>
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
  <!--<script type="text/javascript" src="../../share/functions/resize_elements.js"></script>-->
  <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
  <script type="text/javascript">
  	jQuery.noConflict();
	//jQuery(document).ready(checkWindowSize);
	//jQuery(window).resize(checkWindowSize); 
  </script>
</head>

<body>

<?php

/*
 * Project: pic2base
 * File: view_collection.php
 * Ansicht der ausgewaehlten Kollektion (Uebersicht aller Objekte)
 * Copyright (c) 2013 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
//include $sr.'/bin/css/initial_layout_settings.php';

if(array_key_exists('coll_id', $_GET))
{
	$coll_id = $_GET['coll_id'];
}

$max_size = 200;	//max. Ausdehnung des Vorschaubildbereichs in px

$result1 = mysqli_query($conn, "SELECT $table25.pic_id, $table25.coll_id, $table24.coll_id, $table24.coll_name, $table2.pic_id, $table2.FileNameHQ 
FROM $table2, $table25, $table24 
WHERE $table25.coll_id = '$coll_id'
AND $table24.coll_id = $table25.coll_id
AND $table25.pic_id = $table2.pic_id
ORDER BY position");
$num1 = mysqli_num_rows($result1);
$result2 = mysqli_query($conn, "SELECT coll_name FROM $table24 WHERE coll_id = '$coll_id'");
$row2 = mysqli_fetch_assoc($result2);
$coll_name = $row2['coll_name'];
if(strlen($coll_name) > 65)
{
	$coll_name = substr($coll_name, 0, 65)."...";
}

echo "
<div class='klein'>
	<div class='body_grid'>
	
		<div class='header'>
			pic2base :: Ansicht der Kollektion \"".$coll_name."\"
		</div>
		
		<div class='navigation'>
			<div class='menucontainer'>";
			createNavi2_2($uid);
			echo "
			</div>
		</div>
		
		<div class='content'>
			<div class='collection_grid'>
				<div class='collection_content'>
					<fieldset class='normal' style='height:95%; overflow-y:scroll;'>
					<legend class='normal'>Ansicht der ausgew&auml;hlten Kollektion</legend>
						<div id='scrollbox3' style='overflow-y:hidden;'>";

							for($i1=0; $i1<$num1; $i1++)
							{
								$row1 = mysqli_fetch_assoc($result1);
								$pic_id = $row1['pic_id'];
								$FileNameHQ = $row1['FileNameHQ'];
								$pic_size = getimagesize($sr."/images/vorschau/hq-preview/$FileNameHQ");
								$pic_breite = $pic_size[0];
								$pic_hoehe = $pic_size[1];
								
								//echo $pic_breite;
								if($pic_breite > $pic_hoehe)
								{
									$oberer_abstand = ($max_size - (176 / $pic_breite) * $pic_hoehe) / 2;
									echo "<div style='width:".$max_size."px; height:".$max_size."px; background-color:#222222; float:left; margin:2px; text-align:center; border-radius:10px;'>					
									<img src='../../../images/vorschau/hq-preview/$FileNameHQ' style='width:176px; margin-top:".$oberer_abstand."px; border-radius:5px;' />
									</div>";
								}
								else
								{
									$oberer_abstand = ($max_size - 176) / 2;
									echo "<div style='width:".$max_size."px; height:".$max_size."px; background-color:#222222; float:left; margin:2px; text-align:center; border-radius:10px;'>					
									<img src='../../../images/vorschau/hq-preview/$FileNameHQ' style='height:176px; margin-top:".$oberer_abstand."px; border-radius:5px;' />
									</div>";
								}
							}

						echo "
						</div>
					</fieldset>
				</div>

				<div class='collection_action'>
					<fieldset class='normal'>
					<legend class='normal'>Aktion</legend>
						<div id='scrollbox6' style='height:23px; overflow-y:scroll;'><center>
							<input type='button' name='slideshow' value='Dia-Show (HQ-Modus)' class='button' title='Dia-Show in hoher Qualit&auml;t starten' onclick='location.href=\"../edit/show_presentation.php?coll_id=$coll_id&qual=hq\"'>
							<input type='button' name='slideshow' value='Dia-Show (LQ-Modus)' class='button' title='Dia-Show in Normal-Qualit&auml;t starten' onclick='location.href=\"../edit/show_presentation.php?coll_id=$coll_id&qual=lq\"'>
							<input type='button' name='cancel' value='Abbrechen und zur&uuml;ck' class='button' title='Zur&uuml;ck zur Kollektionen-Auswahl' onclick='location.href=\"recherche2.php?pic_id=0&mod=collection\"'>
							</center>
						</div>
					</fieldset>
				</div>
			</div>
		</div>
		
		<div class='footer'>
			<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
		</div>
	
	</div>
</div>";
?>
</body>
</html>
