<!DOCTYPE HTML>
<html>
<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <title>pic2base - Willkommen!</title>
    <meta name="generator" content="Eclipse" >
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../css/main.css'>
    <link rel=stylesheet type="text/css" href='../css/tooltips.css'>
    <link rel="icon" href="../share/images/favicon.ico">
    <script type="text/javascript" type="text/javascript" src="../share/functions/ShowPicture.js"></script>
    <script type="text/javascript" src="../ajax/inc/prototype.js"></script>
</head>

<?php
// (C) 2021
include '../share/read_session_prefs.php';
include '../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/permissions.php';
$username = '';
if(array_key_exists('check',$_GET))
{
    $check = $_GET['check'];
}

if(!isset($check))
{
    $check = 0;
}

if(!isset($hinweis))
{
    $hinweis = '';
}
//echo "UID: ".$uid;
if(hasPermission($uid, 'adminlogin', $sr) AND $check == '1')
{
    
    $actual_time = time();
    if (isset($_SESSION['last_check']))
    {
        $last_check = $_SESSION['last_check'];
    }
    else 
    {
        $last_check = 0;
    }
    
    $diff = $actual_time - $last_check;
    // nur, wenn die Zeitdifferenz zw. letztem Software-Check und dem folgenden Seitenaufruf / Seitengroessen-Aenderung 
    // groesser als ein Tag ist, wird erneut auf Updates geprueft:
    if($diff > 86400)
    {
        $_SESSION['last_check'] = time();
    }
}
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
?>

<script type="text/javascript">
    function delAllMetadata(uid)
    {
        Fenster1 = window.open('../share/del_all_metadata.php?uid='+uid, 'entferne Metadaten...', "width=300,height=70,scrollbars,resizable=no,");
        Fenster1.focus();
    } 
</script>

<?php 
echo "<body onload='getUploadFilesList()'>
<div class='klein'>
    <div class='body_grid'>";

/*
 * Project: pic2base
 * File: start.php
 * Copyright (c) 2006 - 2022 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

// wenn angemeldeter User Mitgl. der Admin-Gruppe ist, Pruefung, ob eine neuere Version verfuegbar ist, Kontrolle, ob Objekte zum Loeschen vorliegen, 
// ob alle Vorschau-Videos vorhanden sind:

if(hasPermission($uid, 'adminlogin', $sr) AND $check == '1')
{
    //nur, wenn die Zeitdifferenz zw. letztem Software-Check und dem folgenden Seitenaufruf / Seitengroessen-Aenderung groesser als ein Tag ist, wird erneut auf Updates geprueft:
    if($diff > 86400)
    {
        $file1 = 'http://www.pic2base.de/includes/conf.inc.php';
        @$fh = fopen($file1,'r');
        if(!$fh)
        {
            $ol_text = "";
            $online_hinweis = "<p class='klein_red'>Es konnte keine &Uuml;berpr&uuml;fung auf Software-Updates erfolgen.<br />M&ouml;glicherweise haben Sie keinen Internet-Zugang.</p>";
        }
        else
        {
            @$html = join('',file($file1));
            $needle_1 = "aktuelle Version:<br />";
            $var1 = stristr($html,$needle_1);
            $var2 = substr($var1,21,6);
            $V2 = str_replace('.','',$var2);
            $install_ver = substr($version,0,6);
            $IV = str_replace('.','',$install_ver);
            //echo "verwendete Version: ".$install_ver." (".$IV."); aktuelle Version: ".$var2." (".$V2.")<br />";
            $ol_text = "<p class='klein'>Software-Updates:</p>";
            if($V2 > $IV)
            {
                $online_hinweis = "<p class='klein_red'>Es ist ein Update auf Version ".$var2." verf&uuml;gbar.<br />F&uuml;r weitere Informationen klicken Sie bitte <a class='std' onClick=location.href='http://www.pic2base.de/downloads1.php' target='blank'>hier.</a></p>";
            }
            else
            {
                $online_hinweis = "<p class='klein_green'>Es sind keine Updates verf&uuml;gbar.</p>";
            }
            fclose($fh);
        }
    }
    else
    {
        $ol_text = '';
        $online_hinweis = '';
    }
    
    // DB-Wartung:
    @$result0 = mysqli_query($conn,"SELECT * FROM $table2 WHERE aktiv = '0' ");
    if(mysqli_error($conn) == '')
    {
        $num0 = mysqli_num_rows($result0);
        $loesch_text = "<p class='klein'>Hinweis zur Datenbank-Wartung:</p>";
        if($num0 > 0)
        {
            if($num0 == 1)
            {
                $loesch_hinweis = "<p class='klein_red'>Es wurde ein Objekt zum L&ouml;schen vorgemerkt.</p>";
            }
            else
            {
                $loesch_hinweis = "<p class='klein_red'>Es wurden ".$num0." Objekte zum L&ouml;schen vorgemerkt.</p>";
            }
        }
        else
        {
            $loesch_hinweis = "<p class='klein_green'>Es wurden keine Objekte zum L&ouml;schen vorgemerkt.</p>";
        }
    }
    
    // Kontrolle auf fehlende Vorschau-Videos:
    $mpvf = countMissingPreviewVideoFiles($sr);
    if($mpvf > 0)
    {
//      $mpvf_text = ""
        $mpvf_hinweis = "<p class='klein_red'>Es fehlen einige Video-Vorschau-Dateien. <span style='cursor:pointer; color:blue;' onClick='location.href=\"../admin/admin/db_wartung1.php?item=dbwartung\"'>Zur Datenbank-Wartung</span></p>";
    }
    else 
    {
        $mpvf_hinweis = "<p class='klein_green'>Alle Video-Vorschaudateien sind vorhanden.</p>";
    }
}
else
{
    $ol_text = "<br />";
    $online_hinweis = "";
    $loesch_text = "<br />";
    $loesch_hinweis = "";
    $mpvf_hinweis = "";     //nicht vorhandene Video-Vorschau-Dateien
    $free_hdd_hinweis = "";
    $free_hdd_text = "";
}

// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Ermittlung des freien Plattenplatzes der p2b-Installation
$free_hdd_size = shell_exec("df -h --output=size ".$sr."/images/");
$free_hdd_used = shell_exec("df -h --output=used ".$sr."/images/");
$free_hdd_avail = shell_exec("df -h --output=avail ".$sr."/images/");
$free_hdd_pcent = str_replace("%", "", substr(shell_exec("df -h --output=pcent ".$sr."/images/"),6,8));
$free_hdd_percent = substr(shell_exec("df -h --output=pcent ".$sr."/images/"),6,8);

if($free_hdd_pcent > 0 AND $free_hdd_pcent < 76)
{
    $bar_color = "lightgreen";
}
elseif($free_hdd_pcent > 75 AND $free_hdd_pcent < 90)
{
    $bar_color = "yellow";
}
elseif($free_hdd_pcent > 89)
{
    $bar_color = "red";
}

$free_hdd_text = "<p class='klein'>Freier pic2base - Plattenplatz:</p>";
//echo "Freier Platz: ".$free_hdd_text;
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$user_id = $uid;
$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
while($row=mysqli_fetch_assoc($result1))
{
    $username = $row['username'];
}

//bei jedem Aufruf der Startseite wird der kml-Ordner des betreffenden Users geleert:
if($username !== 'pb')
{
    $folder = opendir($ftp_path."/".$uid."/kml_files");	
    while($datei_name=readdir($folder))
    {
        if($datei_name != "." && $datei_name != "..")
        {
            $datei_name = $ftp_path."/".$uid."/kml_files/".$datei_name;
            if(!@unlink($datei_name))
            {
                echo "<p class='klein_red'>Konnte die Datei $datei_name nicht l&ouml;schen!</p>";
            }
        }
    }
}
//Ermittlung wieviel User in der DB registriert sind:
$result2 = mysqli_query($conn, "SELECT * FROM $table1");
$num_user = mysqli_num_rows($result2);

//Ermittlung, wieviel Objekte insgesamt in der Datenbank sind:
$result10 = mysqli_query($conn, "SELECT COUNT(*) FROM $table2 WHERE aktiv = '1'");
$row10 = mysqli_fetch_row($result10);
@$num10 = $row10[0];
if($num10 > '0')
{
    $hinweis10 = "<p class='klein'>Es befinden sich zur Zeit ".$num10." Objekte in der Datenbank.</p>";
}
else
{
    $hinweis10 = "<p class='klein'>Es befinden sich zur Zeit noch keine Objekte in der Datenbank.</p>";
}

//Nur wenn der angemeldete User Erfassungs- und Downloadrechte hat, werden die folgenden Kontrollen durchgefuehrt:
//Pruefung, ob Objekte ohne Kategorie-Zuweisung fuer den Benutzer vorliegen:
$num_pic = '0';
$result2 = mysqli_query($conn, "SELECT COUNT(*) FROM $table2 WHERE Owner = '$user_id' AND aktiv = '1'");
$row2 = mysqli_fetch_row($result2);
@$num2 = $row2[0];
if($num2 > '0')
{
    $result3 = mysqli_query($conn, "SELECT * FROM $table2 WHERE Owner = '$user_id' AND has_kat = '0' AND aktiv = '1'");
    $num_pic = mysqli_num_rows($result3);
    //echo "Num_Pic: ".$num_pic."<br />";

    if($num2 > 0)
    {
        if($num2 == 1)
        {
            $hinweis0 = "<p class='klein'>Sie haben bisher ein Objekt in die Datenbank gestellt.</p>";
        }
        else
        {
            $hinweis0 = "<p class='klein'>Sie haben bisher ".$num2." Objekte in die Datenbank gestellt.</p>";
        }
    }
    elseif($num2 == 0)
    {
        $hinweis0 = "<p class='klein'>Sie haben bisher noch kein Objekt in die Datenbank gestellt.</p>";
    }

    if($num_pic == '0')
    {
        $hinweis = "<span style='color:green;'>Jedes Ihrer Objekte wurde mindestens einer Kategorie zugeordnet.</span>";
    }
    else
    {
        $hinweis = "<p class='klein'>".$num_pic." Ihrer Objekte sind noch ohne Kategorie-Zuweisung!</p>
        <p class='klein'>Tipps f&uuml;r eine effektive Archivierung finden Sie <span class='std' onClick=location.href='help/help1.php?page=0'>hier.</span></p>";
    }
}
else
{
    $hinweis0 = "<p class='klein'>Sie haben noch keine Objekte in die Datenbank gestellt.</p>";
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

// Pruefung, ob Dateien im FTP-Upload-Ordner des Users vorliegen:
$n = 0;
@$verz=opendir($up_dir);
$warning = '';
if($verz)
{
    while($datei=readdir($verz))
    {
        if($datei != "." && $datei != "..")
        {
            $n++;
        }
    }
    
    if($n > 0)
    {
        if($n == 1)
        {
            $hinweis2 = "Die Datei in Ihrem Upload-Ordner wird auf Eignung geprüft.";
        }
        elseif($n > 1)
        {
            $hinweis2 = $n." Dateien in Ihrem Upload-Ordner werden auf Verwendbarkeit geprüft.";
        }
    }
}
//
//Pruefung, ob Dateien im FTP-Download-Ordner vorliegen:
$m = 0;
@$verz=opendir($ftp_path."/".$uid."/downloads");
// Ermittlung, wieviel Bilddateien sich in dem angegebenen Ordner befinden und Abspeicherung der Dateinamen in einem Array:
// (Hier braucht nicht mehr auf gueltige Dateiformate kontrolliert zu werden)
if($verz)
{
    while($datei=readdir($verz))
    {
        if($datei != "." && $datei != "..")
        {
            $bild_datei[] = $datei;
            $m++;
        }
    }
    if($m > 0)
    {
        if($m == 1)
        {
            $hinweis3 = "<p class='klein_red'>Eine Datei liegt in Ihrem Download-Ordner:</p>";
        }
        elseif($m > 1)
        {
            $hinweis3 = "<p class='klein_red'>".$m." Dateien liegen in Ihrem Download-Ordner:</p>";
        }
    }
}

//Ermittlung der 'Top-Ten':
$result4 = mysqli_query($conn, "SELECT * FROM $table2 WHERE ranking <>'' AND ranking >'0' AND aktiv = '1' ORDER BY ranking DESC LIMIT 10");
@$num4 = mysqli_num_rows($result4);

echo "  <div class='header'>
            pic2base :: Startseite <span class='klein'>(User: ".$username.")</span>
        </div>

        <div class='navigation'>";
            createNavi0($uid);
            echo "
        </div>
	
        <div class='content' id='content' style='font-size:14px;'>";
        //$num2		Summe der Objekte des Users
        //$m		Dateien im Download-Ordner
        //$n		Dateien im Upload-Ordner
        //$num_pic	Objekte ohne Kat-Zuweisung
        //echo $m.", ".$n.", ".$num2.", ".$num_pic.", Anz. Benutzer:".$num_user."<br />";

        if($num_pic > '0' OR $n > '0' OR $m > '0' OR $num2 > '0' OR $num_user > '2')
        {
            $p_info = pathinfo($_SERVER['PHP_SELF']);
            //$file_name = $p_info['basename'];
            //echo "Z. 362: ".$actual_time.", ".$last_checktime;
            echo "
            <table class='liste1' style='margin-top:30px; margin-left:auto; margin-right:auto;'>

                <tr class='normal' style='height:3px;'>
                    <td colspan='10'></td>
                </tr>

                <tr class='normal'>
                    <td class='normal' align='center' style='height:10px;' colspan='10'>
                        <p class='klein'>Informationen zum Datenbestand:</p>
                    </td>
                </tr>

                <tr class='normal' style='height:3px;'>
                    <td class='normal_marked' align='center' colspan='10'></td>
                </tr>

                <tr class='normal'>
                    <td class='normal' align='center' colspan='10'>&nbsp;</td>
                </tr>

                <tr class='normal'>
                    <td class='normal' align='left' valign='top' width='243' colspan='3'>
                        <p class='klein'>Gesamter Datenbestand:</p>
                    </td>
                    <td class='normal' align='left' valign='top' colspan='7'>
                        <p class='klein'>".$hinweis10."</p>
                    </td>
                </tr>";

            if(hasPermission($uid, 'addpic', $sr))
            {
                echo "
                <tr class='normal'>
                    <td class='normal' align='left' valign='top' width='243' colspan='3'>
                        <p class='klein'>Ihr Datenbestand:</p>
                    </td>
                    <td class='normal' align='left' valign='top' colspan='7'>
                        <p class='klein'>".$hinweis0."</p>
                    </td>
                </tr>";
            }
            else
            {
                echo "
                <tr class='normal'>
                    <td class='normal' align='left' valign='top' width='243' colspan='3'>
                        <br />
                    </td>
                    <td class='normal' align='left' valign='top' colspan='7'>
                        <br />
                    </td>
                </tr>";
            }

            if ($num_pic > '0' AND hasPermission($uid, 'addpic', $sr))
            {
                echo "
                <tr class='normal'>
                    <td class='normal' align='left' valign='top' width='243' colspan='3'>
                        <p class='klein'>Bearbeitungsstatus:</p>
                    </td>
                    
                    <td class='normal' align='left' valign='top' colspan='7'>
                        <p class='klein'>".$hinweis."</p>
                    </td>
                </tr>";
            }
            else
            {
                echo "
                <tr class='normal'>
                    <td class='normal' align='left' valign='top' width='243' colspan='3'>
                        <br />
                    </td>
                    <td class='normal' align='left' valign='top' colspan='7'>
                        <br />
                    </td>
                </tr>";
            }

            if($n > '0' AND hasPermission($uid, 'addpic', $sr))
            {
                echo "<tr class='normal' style='height:25px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <p class='klein'>Uploads:</p>
                        </td>
                        
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <p class='klein_green' id='status'>$hinweis2</p>
                        </td>
                    </tr>
                    
                    <tr class='normal' style='height:25px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <p class='klein'>Status:</p>
                        </td>
                        
                        <td class='normal' align='left' valign='top' colspan='7'>
                        <div id='upload_button'>
                            <div id='prog_bar' class='progress_bar' style='width: 300px; margin-bottom:0px; margin-top:7px; margin-left:12px;'>
                                <img src='../share/images/green.gif' name='bar' /><br />
                            </div>
                        </div>
                        </td>
                    </tr>";
            }
            else
            {
                if(hasPermission($uid, 'addpic', $sr))
                {
                    echo "
                    <tr class='normal' style='height:15px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <p class='klein'>Uploads:</p>
                        </td>
                        
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <p class='klein_green'>Ihr Upload-Ordner ist leer.</p>
                        </td>
                    </tr>";
                }
                else
                {
                    echo "
                    <tr class='normal' style='height:15px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <br />
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <br />
                        </td>
                    </tr>";
                }
            }

            if($m > '0' AND (hasPermission($uid, 'downloadmypics', $sr) OR hasPermission($uid, 'downloadallpics', $sr)) AND !directDownload($uid, $sr))
            {
                $download_path = 'ftp://'.$username."@".$_SERVER['SERVER_NAME'].'/downloads/';
                $html_path = 'http://'.$_SERVER['SERVER_NAME'].$inst_path."/pic2base/userdata/".$uid.'/downloads/';
                //echo $download_path;
                echo "
                <tr class='normal' style='height:30px;'>
                    <td class='normal' align='left' valign='top' colspan='3'>
                        <p class='klein'>Downloads:</p>
                    </td>
                    <td class='normal' align='left' valign='top' colspan='7'>
                        <p class='klein_red'>".$hinweis3."</p>  
                        <p class='klein'>
                            <a class='std' href=".$download_path." target='_blank'>".$download_path."</a>
                        </p>
                    </td>
                </tr>

                <tr class='normal'>
                    <td class='normal' align='left' valign='top' colspan='3'>
                    </td>
                    <td class='normal' align='left' colspan='7'>
                        <p style='color:var(--color3); text-align:left; padding-left:0px;'>
                            <INPUT type='button' class='button' tabindex='1' VALUE='Alle Meta-Informationen aus diesen Dateien vor dem Download entfernen' onClick='delAllMetadata(\"$uid\")'>
                        </p>
                    </td>
                </tr>";
            }
            else
            {
                if((hasPermission($uid, 'downloadmypics', $sr) OR hasPermission($uid, 'downloadallpics', $sr)) AND !directDownload($uid, $sr))
                {	
                    echo "
                    <tr class='normal' style='height:30px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <p class='klein'>Downloads:</p>
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <p class='klein_green'>Ihr Download-Ordner ist leer.</p>
                        </td>
                    </tr>";
                }
                elseif((hasPermission($uid, 'downloadmypics', $sr) OR hasPermission($uid, 'downloadallpics', $sr)) AND directDownload($uid, $sr))
                {
                    echo "
                    <tr class='normal' style='height:30px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <p class='klein'>Download-Modus:</p>
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <p class='klein_green'>Direkter Download</p>
                        </td>
                    </tr>";
                }
                else
                {
                    echo "
                    <tr class='normal' style='height:30px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <br />
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <br />
                        </td>
                    </tr>";
                }
            }

            echo "  <tr class='normal' style='height:35px;'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <p style='color:RGB(80,80,80); text-align:left; padding-left:0px;'>".$ol_text."</p>
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <p class='klein'>".$online_hinweis."</p>
                        </td>
                    </tr>

                    <tr class='normal'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                            <p style='color:RGB(80,80,80); text-align:left; padding-left:0px;'>".$loesch_text."</p>
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <p class='klein'>".$loesch_hinweis."</p>
                        </td>
                    </tr>

                    <tr class='normal'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                            <p class='klein'>".$mpvf_hinweis."</p>
                        </td>
                    </tr>

                    <tr class='normal'>
                        <td class='normal' align='left' valign='top' colspan='3'>
                        <p style='color:RGB(80,80,80); text-align:left; padding-left:0px;'>".$free_hdd_text."</p>
                        </td>
                        <td class='normal' align='left' valign='top' colspan='7'>
                        
                            <div style='background-color: green; width:300px; height:12px;margin-top:10px;margin-left:10px;'>
                                <div style='width:$free_hdd_percent; height:12px; background-color:$bar_color; font-size:10px;'>
                                </div>
                            </div>

                            <div style='width:300px; height:12px; margin-top:5px;margin-left:10px;text-align:center;vertical-align:middle;'>
                                <p class='xs'>".substr($free_hdd_avail,5)." von ".substr($free_hdd_size,7)."</p>
                            </div>
                        </td>
                    </tr>

                    <tr class='normal'>
                        <td class='normal' align='center' colspan='10'>&nbsp;</td>
                    </tr>

                    <tr class='normal' style='height:3px;'>
                        <td class='normal_marked' align='center' colspan='10'></td>
                    </tr>

                    <tr class='normal'>
                        <td class='normal' align='left' colspan='3'>
                            <p class='klein'>Die pic2base - TopTen:</p>
                        </td>
                        <td class='normal' align='center' colspan='7'></td>
                    </tr>

                    <tr class='normal'>";
                    for($i4='0'; $i4<$num4; $i4++)
                    {
                        $row4=mysqli_fetch_assoc($result4);
                        $file=$row4['FileNameHQ'];
                        $ranking=$row4['ranking'];
                        $Objekt = "http://".$_SERVER['SERVER_NAME']."".$inst_path."/pic2base/images/vorschau/hq-preview/".$file;
                        $param = getimagesize($pic_hq_path."/".$file);
                        $width = $param[0];
                        $height = $param[1];
                        //echo $Objekt;
                        $hoehe = 40;
                        $breite = $hoehe / $height * $width;

                        echo "
                        <td class='normal' style='width:80px;'align='center'>
                            <div id='tooltip3'>
                                <span style='cursor:zoom-in;'>
                                    <a style='text-decoration:none';>
                                        <img src='../../images/vorschau/hq-preview/$file' alt='Vorschaubild', width='$breite', height='$hoehe' border='0', style='border-radius:5px;' title='$ranking Downloads'>
                                        <span style='text-align:left;'>
                                            <img src='../../images/vorschau/hq-preview/$file' alt='Vorschaubild', height='400', border='0' style='border-radius:5px;'>
                                        </span>
                                    </a>
                                </span>
                            </div>
                        </td>";

                    }
                    //Leer-Raum affüllen, wenn weniger als 10 Objekte bisher heruntergeladen wurden:
                    for($x='0'; $x<(10-$num4); $x++)
                    {
                        echo "<td class='normal' style='width:80px;'></td>";
                    }

                    echo "
                    </TR>

                    <TR class='normal' style='height:3px;'>
                        <td class='normal' align='center' colspan='10'></td>
                    </TR>

                </tbody>
            </table>";
        }
        else
        {
            // so lange nur der Admin angelegt ist und keine Objekte in der DB sind, wird bei jedem Start geprueft, ob alle notwendigen Applikationen verfuegbar sind! Das kann dauern...
            echo "<p style='margin-top:120px; margin-left:10px; text-align:center'>";
            echo checkSoftware($sr)."</p>";
        }
        //log-file schreiben:
        $message = "Startseite wurde von ".$username." aufgerufen. (IP: ".$_SERVER['REMOTE_ADDR'].")\n";
        writeLog($message, $sr);

        
        echo "</div>
		
        <div class='footer'>
            <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
        </div>
	
    </div>
</div>";
?>
   
<script type = "text/javascript">

//var timeout = 2;
var fileList = null;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
var numberOfErrors = 0;
//document.bar.width = '0';

function fileListReceived( responseText )
{
    //alert("Response Text von get_uploadfiles_list.php (start.php, Zeile 814): " + responseText);
    fileList = JSON.parse( responseText, null );
    //alert("(start.php, Zeile 769); Anzahl: " + fileList.anzahl + ", Dateiliste: " + fileList.file_array + ", Fehler: " + fileList.error);
    if(fileList.anzahl > 0)
    {
        gesamtanzahl = fileList.file_array.length;
        processFile( fileList );
    }
    else
    {
        //alert( "Es sind keine Dateien zu bearbeiten." );
    }	
}

function showReady(gesamtanzahl)
{
    //Fertigmeldung ausgeben (Upload-Button anzeigen):
    if(gesamtanzahl == 1)
    {
        document.getElementById("status").innerHTML = "Es befindet sich ein Objekt in Ihrem Upload-Ordner.";
    }
    else
    {
        document.getElementById("status").innerHTML = "Es befinden sich " + gesamtanzahl + " Objekte in Ihrem Upload-Ordner.";
    }
    document.getElementById( "upload_button" ).innerHTML = "<button type='button' id='start_upload_button' class='button' style='margin-left:12px;' onClick='location.href=\"erfassung/stapel2.php\"'>Zur Stapel-Erfassung</button>";
    document.getElementById( "start_upload_button" ).focus();
}

function processFile( fileList )
{
    var client = new XMLHttpRequest();
    var actual_file = fileList.file_array[0];
    //alert("Dateiname in start.php, Z. 768 (Fkt. processFile; zu bearbeitende Datei): " + fileList.file_array[0]);
    client.open("GET", "../share/check_uploadfiles.php?file=" + fileList.file_array[0], true);
    fileList.file_array.splice( 0, 1 );

    client.onreadystatechange = function()
    {
        if( client.readyState == 4 )
        {
            //alert("Client Response-Text in start.php, Z. 743: " + client.resposeText);
            result = JSON.parse( client.responseText );
            //alert("Fehler-Code aus check_uploadfiles.php, in start.php, Z. 745): " + result.errorCode);
        	//alert("zu erfassende Datei (start.php, Zeile 746): " + result.file);

            if( result.errorCode == 1 )
            {
                alert( "Fehler in check_uploadfiles.php, Z. 813: Datei " + result.file + " konnte nicht umbenannt werden..." );
                numberOfErrors++;
            }
            else if(result.errorCode == 2)
            {
                alert( "Objekt " + result.file + " besitzt kein unterstütztes Dateiformat! " + result.errorText);
                numberOfErrors++;
            }
            else if (result.errorCode == 3)
            {
                alert ("Keine UID!");
                numberOfErrors++;
            }
            else if (result.errorCode == 4)
            {
                alert ("Keine Datei zu bearbeiten");
                numberOfErrors++;
            }
            else if(result.errorCode == 5)
            {
                alert( "Objekt " + result.file + " besitzt keinen gültigen Dateinamen!\n\nDateinamen dürfen keine Sonderzeichen beinhalten und müssen kürzer als 100 Zeichen sein!\nBitte benennen Sie diese Datei um und versuchen es dann erneut." );
                numberOfErrors++;
            }
            
            else if(result.errorCode == 0)
            {
                //alert( "Kein Fehler bei der Erfassung der Datei " + actual_file + " (In stapel2, Z. 165); Datei-Extension: " + result.errorText);
            }

            if( fileList.file_array.length > 0 )
            {
                var laenge = (gesamtanzahl - fileList.file_array.length) / gesamtanzahl * 300;
                document.bar.src = '../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                processFile( fileList );
            }
            else
            {
                //Bearbeitung ist abgeschlossen
                //Aktualisierung des Fortschrittsbalkens auf 100%:
                var laenge = (gesamtanzahl - fileList.file_array.length) / gesamtanzahl * 300;
                document.bar.src = '../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                
                //alert("Anz. Fehler: " + numberOfErrors + "Button zeigen...");

                showReady(gesamtanzahl);
                if ( numberOfErrors > 0)
                {
                    alert ("Bevor Sie fortfahren, beseitigen Sie bitte die gemeldeten Fehler.\nKehren Sie dann zu diese Seite zur"+unescape("%FC")+"ck.\nSie können sich die Fehler noch einmal anzeigen lassen,\nindem Sie auf der Startseite die Taste F5 dr"+unescape("%FC")+"cken.")
                    if (numberOfErrors == 1)
                    {
                        document.getElementById("status").innerHTML = "Es befindet sich ein fehlerhaftes Objekt in Ihrem Upload-Ordner.";
                        document.getElementById( "upload_button" ).innerHTML = "<p style='color:RGB(255,0,0); text-align:left; padding-left:0px; margin-left:12px;'>Bitte entfernen Sie dieses erst, bevor Sie fortfahren.</p>";
                    }
                    else if (numberOfErrors > 1)
                    {
                        document.getElementById("status").innerHTML = "Es befinden sich " + numberOfErrors + " fehlerhafte Objekte in Ihrem Upload-Ordner.";
                        document.getElementById( "upload_button" ).innerHTML = "<p style='color:RGB(255,0,0); text-align:left; padding-left:0px; margin-left:12px;'>Bitte entfernen Sie diese erst, bevor Sie fortfahren.</p>";
                    }
                }
            }
        }
        else
        {
            //alert("Fertigmeldung fehlt! (" + client.readyState + ")");
        }
    };
    client.send( null );
}

</script>
   
</body>
</html>