<!DOCTYPE HTML>
<html>

<head>
  <title>Willkommen bei pic2base</title>
  <meta name="GENERATOR" content="Eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="X-Content-Type-Options" content="nosniff">
  <meta http-equiv="cache-control" content="no-cache">
  <link rel=stylesheet type='text/css' href='bin/css/format1.css'>
  <link rel=stylesheet type='text/css' href='bin/css/main.css'>
  <link rel="shortcut icon" href="bin/share/images/favicon.ico">
</head>

<body>
<?php
/*
 * Project: pic2base
 * File: index.php
 * Copyright (c) 2006 - 2022 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

echo "<div class='klein'>";

	if (array_key_exists('text',$_REQUEST))
	{
	  $text = $_REQUEST['text'];
	}
	else
	{
	  $text = '';
	}

	//Kontrolle, ob erforderliche Datenbank vorhanden ist:
	include 'bin/share/global_config.php';
	//gibt es das Hilfsskript noch oder wurde es bereits gelöscht?
	$fh = fopen($sr.'/bin/share/db_check1.php','r');
    if($fh)
	{
            include $sr.'/bin/share/db_check1.php';
            if($text == '')
            {
                $text = "<img src=\"bin/share/images/p2b_logo_dark.png\" width=\"800\" />";
            }
	}
	else
	{   
        $text = "<img src=\"bin/share/images/p2b_logo_dark.png\" width=\"800\" />";
	}
	include $sr.'/bin/share/db_connect1.php';
	/*
	$ACTION = $_SERVER['PHP_SELF'];
	$link = "http://{$_SERVER['SERVER_NAME']}$ACTION";
	*/
	@$database = mysqli_connect('p:'.$db_server,$user,$PWD);
	if ($database)
	{
        // log-file schreiben, wenn Zugang zur DB erfolgreich war:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        fwrite($fh,date('d.m.Y H:i:s')." ".$_SERVER['REMOTE_ADDR']." ".$_SERVER['PHP_SELF']." ".$_SERVER['HTTP_USER_AGENT']." p2b-Neustart\n");
        fclose($fh);
        $login_button = "<a class='navi' onClick='location.href=\"bin/html/login1.php\"'>Anmelden</a>";
	}
    else
    {
        $text = "<p>Es liegt ein Problem vor:</p>
        <p>Der Zugang zur DB war nicht erfolgreich!</p>";
    }

    echo "<div class='body_grid'>

            <div class='header'>
                Willkommen bei pic2base <span class='klein'>&#160;&#160;&#160;&#160;&#160;Version ".$version." ".$vom."</span>
            </div>

            <div class='navigation' id='navi'>
                <div class='menucontainer1'>
                    <span style='cursor:pointer;'>".$login_button."</span>
                </div>
            </div>

            <div class='content' id='content'>
                <p style='margin:110px 0px; text-align:center'>";
                echo $text;
                echo "
                <noscript>
                pic2base verwendet in vielen Funktionen JavaScript.<BR>
                Um sinnvoll mit dieser Anwendung arbeiten zu k&ouml;nnen, ist es notwendig,<BR>
                da&szlig; Sie in Ihrem Browser JavaScript aktiviert haben.<BR>
                F&uuml;r Unterst&uuml;tzung fragen Sie bitte Ihnen Administrator.<BR><BR>
                Ihr pic2base-Team.
                </noscript>
                </p>
            </div>

            <div class='footer'>
                <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
            </div>

    </div>

</div>
</body>
</html>";
?>

