<?php
$ol_css = "ol_5.3.0/ol.css";
$ol_js = "ol_5.3.0/ol.js";
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head>
<link rel=stylesheet type="text/css" href='../css/format2.css'>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>Geo-Daten bearbeiten...(Objekt <?php echo $pic_id; ?>)</title> 

    <link rel="stylesheet" href="<?php echo $ol_css;?>" type="text/css"></link>
    <script src="<?php echo $ol_js;?>"></script>
    <!-- The line below is only needed for old environments like Internet Explorer and Android 4.x -->
    <script src="https://cdn.polyfill.io/v2/polyfill.min.js?features=requestAnimationFrame,Element.prototype.classList,URL"></script>

</head>
<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript wird im Such-Modus verwendet, wenn die Geo-Referenzierung
// eines Objektes manuell in recherche2.php geändert werden soll
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

//var_dump($_REQUEST);

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';

if ( array_key_exists('pic_id',$_REQUEST) )
{
	$pic_id = $_REQUEST['pic_id'];
}
IF(array_key_exists('lat',$_REQUEST))
{
	$lat = $_REQUEST['lat'];
}
IF(array_key_exists('long',$_REQUEST))
{
	$long = $_REQUEST['long'];
}
IF(array_key_exists('ort',$_REQUEST))
{
	$ort = $_REQUEST['ort'];
}
IF(array_key_exists('width',$_REQUEST))
{
	$width = $_REQUEST['width'];
}
IF(array_key_exists('height',$_REQUEST))
{
	$height = $_REQUEST['height'];
}

$result1 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$pic_id'");
echo mysqli_error($conn);
$row1 = mysqli_fetch_assoc($result1);

//Ref. ist vorhanden, wenn geogr. Breite u. Laenge vorhanden sind:
$long = $row1['GPSLongitude'];
$lat = $row1['GPSLatitude'];
if ($lat !== NULL AND $long !== NULL)
{
	$alt = $row1['GPSAltitude'];
	$loc = round($lat,6).",".round($long,6);
	$ort = $row1['City'];
}
else
{
	//Objekt hatte noch keine Geo-Referenzierung
    //unset($geo_param);
    if (count($geo_param) > '2')
	{
		$lat = $geo_param[0];
		$long = $geo_param[1];
		//der erste und zweite Parameter sind die Koordinaten,
		//der dritte und alle weiteren gehoeren lt. Definition zur Ortsbezeichnung,
		//denn diese kann aus dem Ortsnamen und ggf durch Kommata getrennte Ergaenzungen bestehen
		//(z.B.: Blankenburg, Gehren)
		$ort = '';
		FOR($K=2; $K<count($geo_param); $K++)
		{
			$ort .= $geo_param[$K];
			IF($K<count($geo_param) - 1)
			{
				$ort .= ',';
			}
		}
		$loc = round($lat,6).",".round($long,6);
	}
	else
	{
		$loc = '';
	}	

if ($lat == '' OR $long == '' OR $loc == '')	//wenn $_SESSION ($geo_param) noch nichts mitbringt...
	{
		$lat = 51.791232;
		$long = 10.952811;
		$ort = 'Blankenburg';
		$loc = round($lat,6).",".round($long,6);
	}
	//echo "Parameter: ".htmlentities($parameter).", Breite: ".$lat.", Laenge: ".$long.", Ort: ".$ort."<br />";
}
?>

	<body onLoad='setFeatureCoord(<?php echo $long; ?>, <?php echo $lat; ?>), getFeatureCoord()'>
        <div id="map" class="map" onClick="getFeatureCoord()" style="width:100%; height:80%"></div>
        <div id="loc" style="float:none; margin-top:10px;">
            <form name = "lok" method = "post" action = "../html/recherche/save_new_param.php">
                <input type="text" class='Textfeld' name = "location" id="location" style="width:140px; margin-right:10px;" title="geogr. Breite / L&auml;nge">
                <input type="text" class='Textfeld' name = 'ort' style="margin-right:10px;" value = "<?php echo $ort; ?>" title = "<?php echo "vorgeschlagener Ort: ".$ort; ?>">
                <input type = "hidden" name = "vorh_location" value = "<?php echo $vorh_location; ?>">
                <input type = "hidden" name = "pic_id" value = "<?php echo $pic_id; ?>">
                <input type="submit" class='button' name = "send" value="Ortsangabe speichern" id="submit_btn" style="width:165px; height:23px;">
                <input type="button" class='button' name = "cancel" value="Abbrechen" style="margin-left:10px;width:100px; height:23px;" onClick=javascript:window.close()>
            </form>
        </div> 
    </body>
    
    <script>

    	var lon = <?php echo $long; ?>;
		var lat = <?php echo $lat; ?>;

        var raster = new ol.layer.Tile({
            source: new ol.source.OSM()
        });
        
        var featureCollection = new ol.Collection();

        var feature = new ol.Feature({
            geometry: new ol.geom.Point([lon, lat])
        });
        
        featureCollection.push(feature);
        
        var vector = new ol.layer.Vector({
            source: new ol.source.Vector({
                features: featureCollection
            }),
            style: new ol.style.Style({
                image: new ol.style.Circle({
                    radius: 5,
                    fill: new ol.style.Fill({
                        color: '#0055ff'
                    })
                })
            })
        });

        var modify = new ol.interaction.Modify({
            features: featureCollection
        });

        var map = new ol.Map({
            layers: [raster, vector],
            target: 'map',
            view: new ol.View({
                center: ol.proj.fromLonLat([lon, lat]),
                zoom: 14
            })
        });

        map.addInteraction(modify);
        
        function getFeatureCoord()
        {
        	coord = ol.proj.transform(feature.getGeometry().getCoordinates(), 'EPSG:3857', 'EPSG:4326');
        	// alert("Koordinaten: " + coord);
        	// Nachkommastellen (dec):
        	dec = 7;
        	lon = Math.round(Math.pow(10,dec) * coord[0])/Math.pow(10,dec);
        	lat = Math.round(Math.pow(10,dec) * coord[1])/Math.pow(10,dec);
        	document.getElementById("location").value = lat + "," + lon;
        }
        
        function setFeatureCoord(lon, lat)
        {
            feature.getGeometry().setCoordinates(ol.proj.transform([lon, lat], 'EPSG:4326', 'EPSG:3857'));
        }

        window.onLoad=document.getElementById("submit_btn").focus();
    </script>
</html>

