<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript wird beim Download eines Ojektes aus der PreviewLayer- oder Jahrbuch-Ansicht
// in den Download-Ordner des angemeldeten Users benutzt
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

include 'read_session_prefs.php';
include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/permissions.php';

if ( array_key_exists('FileName',$_GET) )
{
    $FileName = $_GET['FileName'];
}

if ( array_key_exists('pic_id',$_GET) )
{
    $pic_id = $_GET['pic_id'];
}

if ( array_key_exists('source',$_GET) )
{
    $source = $_GET['source'];
}

if(hasPermission($uid, 'downloadallpics', $sr) OR (hasPermission($uid, 'downloadmypics', $sr) AND isOwner($uid, $pic_id, $sr)))
{
    
    $exiftool = buildExiftoolCommand($sr);
    $result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
    $row0 = mysqli_fetch_assoc($result0);
    $username = $row0['username'];
    // Wenn es sich um eine Video-Datei handelt, wird bei einem Download auch das Vorschau-Video heruntergeladen:
    $result3 = mysqli_query($conn, "SELECT MediaType FROM $table2 WHERE pic_id = '$pic_id'");
    $row3 = mysqli_fetch_assoc($result3);
    $MediaType = $row3['MediaType'];
    if($MediaType == 'v')
    {
        $vs_datei = $pic_hq_path."/".$pic_id.".webm";  //$vs_datei - Vorschau-Video-Datei
        $vs_target = $ftp_path."/".$uid."/downloads/".$pic_id.".webm";
        @copy($vs_datei,$vs_target);
    }

    $datei = $pic_path."/".$FileName;
    $target = $ftp_path."/".$uid."/downloads/".$FileName;
    if(@copy($datei,$target))
    {
        $result1 = mysqli_query($conn, "UPDATE $table2 SET ranking = ranking + 1 WHERE pic_id = '$pic_id'");
        $result2 = mysqli_query($conn, "SELECT FileNameV FROM $table2 WHERE pic_id = '$pic_id'");
        $row2 = mysqli_fetch_assoc($result2);
        $FileNameV = $row2['FileNameV'];
    
        if($source == 'fs')
        {
            if(hasPermission($uid, 'rotatepicture', $sr))
            {
                echo "
                <SPAN style='cursor:pointer;' onClick='rotPrevPic(\"8\", \"$FileNameV\", \"$pic_id\", \"$fs_hoehe\")'>
                    <img src=\"$inst_path/pic2base/bin/share/images/90-ccw.svg\" class='icon3' style='margin-right:5px;' title='Vorschaubild 90&#176; links drehen' />
                </span>
                <SPAN style='cursor:pointer;' onClick='delPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")'>
                    <img src='$inst_path/pic2base/bin/share/images/selected.svg' class='icon3' title='Objekt aus dem FTP-Download-Ordner entfernen' />
                </SPAN>
                <SPAN style='cursor:pointer;' onClick='rotPrevPic(\"6\", \"$FileNameV\", \"$pic_id\", \"$fs_hoehe\")'>
                    <img src=\"$inst_path/pic2base/bin/share/images/90-cw.svg\" class='icon3' style='margin-left:5px;' title='Vorschaubild 90&#176; rechts drehen' />
                </span>";
            }
            else
            {
                echo "
                <SPAN style='cursor:pointer;' onClick='delPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")'>
                    <img src='$inst_path/pic2base/bin/share/images/selected.svg' class='icon3' title='Objekt aus dem FTP-Download-Ordner entfernen' />
                </SPAN>";
            }
        }
        elseif ($source == 'pl')
        {
            echo "<img src='$inst_path/pic2base/bin/share/images/selected.svg' class='pl' onClick='delPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt aus dem FTP-Download-Ordner entfernen (R-Taste)' />";
        }
        elseif ($source == 'tl')
        {
            echo "<img src='$inst_path/pic2base/bin/share/images/selected.svg' class='tl' onClick='delPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt aus dem FTP-Download-Ordner entfernen' />";
        }

        //Log-Datei schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Objekt ".$pic_id." wurde von ".$username." heruntergeladen. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
        flock($fh, LOCK_UN);
        fclose($fh);
    }
    else
    {
        echo "Konnte die Datei ".$FileName." / ".$datei." nicht kopieren!<br />Source: ".$source."<br />";
        //Log-Datei schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": Objekt ".$pic_id." konnte nicht in den Downloadordner von ".$username." kopiert werden. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
        flock($fh, LOCK_UN);
        fclose($fh);
    }
    //es wird geprueft, ob ggf. ein Originalbild als NICHT-JPG vorliegt
    $file_info = pathinfo($datei);
    $base_name = substr($file_info['basename'],0,-4);
    //echo $base_name;
    $k = '0';
    foreach ($supported_filetypes AS $sft)
    {
        if (file_exists($pic_path."/".$base_name.".".$sft) AND $sft !== 'jpg')
        {
            copy($pic_path."/".$base_name.".".$sft, $ftp_path."/".$uid."/downloads/".$base_name.".".$sft);
            //die Meta-Daten dieses nicht-jpg-Bildes werden in das bereits herauskopierte jpg-Objekt uebertragen:
            $command = $exiftool." -tagsFromFile ".$ftp_path."/".$uid."/downloads/".$base_name.".".$sft." ".$ftp_path."/".$uid."/downloads/".$FileName." -overwrite_original";
            //echo $command;
            shell_exec($command);
            $k++;
        }
    }
    
    //echo "kopiere...";
}
else 
{
    //echo "kopiere NICHT!";
    echo "<img src='$inst_path/pic2base/bin/share/images/no_permission.svg' class='pl' title='fehlende Berechtigung' />";
}
?>