<?php
// (C) 2020
include 'read_session_prefs.php';
include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';

if($_GET['kml_cod_statement'])
{
	$kml_cod_statement = $_GET['kml_cod_statement'];
}

if($_GET['mod'])
{
	$mod = $_GET['mod'];
}

if($_GET['long_mittel'])
{
	$long_mittel = $_GET['long_mittel'];
}
else
{
    $long_mittel = 10.9;
}

if($_GET['lat_mittel'])
{
	$lat_mittel = $_GET['lat_mittel'];
}
else
{
    $lat_mittel = 51.6;
}

if($_GET['radius'])
{
	$radius = $_GET['radius'];
}
else
{
    $radius = 1;
}

$server_url = "http://{$_SERVER['SERVER_NAME']}$inst_path";

if($mod <> 'geo')
{
	$statement = str_replace('\\', '', urldecode($kml_cod_statement));
	$result0 = mysqli_query($conn, "$statement");
	echo mysqli_error($conn);
	//$row0 = mysqli_fetch_assoc($result0);
	$num0 = mysqli_num_rows($result0);	//Anzahl der geo-referenzierten Objekte lt. mitgegebenem Statement
	if(isset($num0) AND $num0 > '0')
	{
		$pic_id_arr = array();
		$content = '<?xml version="1.0" encoding="UTF-8"?>
		<kml xmlns="http://earth.google.com/kml/2.1">
		<Document>
		<name>pic2base-Fotos</name>
		<open>1</open>';
		
		for ($i0=0; $i0<$num0; $i0++)
		{
		    $row0 = mysqli_fetch_assoc($result0);
		    $pic_id = $row0['pic_id'];
		    $pic_id_arr[] = $pic_id;    // wird bei der Erzeugung der geojson-Datei benötigt
			$FileNameHQ = $row0['FileNameHQ'];
			$Description = $row0['Caption_Abstract'];
			$longitude = $row0['GPSLongitude'];
			$latitude = $row0['GPSLatitude'];
			$altitude = $row0['GPSAltitude'];
			$city = $row0['City'];
			//Skalierung der Objekte auf max. Seitenlaenge 300px:
			$max_size = '400';
			@$parameter_v=getimagesize($sr.'/images/vorschau/hq-preview/'.$FileNameHQ);
			$breite = $parameter_v[0];
			$hoehe = $parameter_v[1];
			$ratio = $breite / $hoehe;
			if($ratio > '1')
			{
				$Breite = $max_size;
				$Hoehe = number_format($hoehe * $max_size / $breite,0,'.',',');
			}
			ELSE
			{
				$Hoehe = $max_size;
				$Breite = number_format($breite * $max_size / $hoehe,0,'.',',');
			}
		
			$content .= '<Style id="exampleBalloonStyle">
				<BalloonStyle>
				<bgColor>55ffffbb</bgColor>
				<text>
				<![CDATA[
				<b>'.$Description.'<br />
				<img src="'.$server_url.'/pic2base/images/vorschau/hq-preview/'.$FileNameHQ.'" width='.$Breite.'. height='.$Hoehe.' />
				<br />Objekt-ID: '.$pic_id.'</b>
				]]>
				</text>
				</BalloonStyle>
				</Style>
				<Placemark>
				<name>'.$city.'</name>
				<description>pic2base-Praesentation</description>
				<styleUrl>#exampleBalloonStyle</styleUrl>
				
				<Style>
				<Icon>
				<href>'.$server_url.'/pic2base/bin/share/images/pb.png</href>
				<refreshMode>onInterval</refreshMode>
				<refreshInterval>3600</refreshInterval>
				<viewRefreshMode>onStop</viewRefreshMode>
				<viewBoundScale>0.5</viewBoundScale>
				</Icon>
				</Style>
				
				<Point>
				<coordinates>'.$longitude.','.$latitude.','.$altitude.'</coordinates>
				<flyToView>1</flyToView>
				</Point>
				</Placemark>';
		}
		$content .= '</Document>
		</kml>';
		//kml-Datei erzeugen und mit Inhalt ($content) fuellen
		//$file = time().'.kml'; // wegen schlechter Lesbarkeit gegen folgenden Code ausgetauscht:
		$file = date("YmdHis").'.kml';
		$file_name = $kml_dir.'/'.$file;
		//echo $file_name;
		$fh = fopen($file_name,"w");
		flock($fh, LOCK_EX);
		fwrite($fh,$content);
		flock($fh, LOCK_UN);
		fclose($fh);
		
		//	GeoJSON-Datei für die Darstellung der Treffer in der Karte bei 'Suche nach Umkreis in der Karte' erzeugen:
		$z = 0;
		$arr_length = count($pic_id_arr);
		$content = '{"type":"FeatureCollection","features":[';
		foreach ($pic_id_arr AS $PID)
		{
		    $z++;
		    $result9 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$PID'");
		    $row9 = mysqli_fetch_assoc($result9);
		    $pic_id = $row9['pic_id'];
		    $FileNameHQ = $row9['FileNameHQ'];
		    $FileNameV = $row9['FileNameV'];
		    $obj_uri = '"../../../images/vorschau/thumbs/'.$FileNameV.'"';
		    $Description = $row9['Caption_Abstract'];
		    $longitude = $row9['GPSLongitude'];
		    $latitude = $row9['GPSLatitude'];
		    $altitude = $row9['GPSAltitude'];
		    $city = $row9['City'];
		    //Skalierung der Objekte auf max. Seitenlaenge 300px:
		    $max_size = '400';
		    @$parameter_v=getimagesize($sr.'/images/vorschau/hq-preview/'.$FileNameHQ);
		    $breite = $parameter_v[0];
		    $hoehe = $parameter_v[1];
		    $ratio = $breite / $hoehe;
		    if($ratio > '1')
		    {
		        $Breite = $max_size;
		        $Hoehe = number_format($hoehe * $max_size / $breite,0,'.',',');
		    }
		    else
		    {
		        $Hoehe = $max_size;
		        $Breite = number_format($breite * $max_size / $hoehe,0,'.',',');
		    }                              //"properties": {"pic_id": 27,"uri": "/srv/www/data/123.jpg"},
		    $content .= '{"type":"Feature","properties":{"pic_id":"'.$pic_id.'","obj_uri":'.$obj_uri.'},"geometry":{"type":"Point","coordinates":['.$longitude.','.$latitude.']}}';
		    if($z < $arr_length)
		    {
		        $content .= ',';
		    }
		}
		$content .= ']}';
		
		//GeoJSON-Datei erzeugen und mit Inhalt ($content) fuellen
		$file = time().'.geojson';
		$file_name = $kml_dir.'/'.$file;
		$fh = fopen($file_name,"w");
		flock($fh, LOCK_EX);
		fwrite($fh,$content);
		flock($fh, LOCK_UN);
		fclose($fh);
	}
	$url = "../../../userdata/$uid/kml_files/".$file;
	// gefundene georef. Objekte in einer separaten OL-Karte anzeigen:
	echo " <span style='cursor:pointer; margin-left:5px;' onClick='sessionStorage.setItem(\"geojsonFile\", \"$url\"); showLocations()'><FONT COLOR='#FF9900'>Diese anzeigen:</FONT></span></span>";
}
else
{
	// ... wenn es sich um eine Geo-Suche handelt:
    $pic_id_arr = explode(' ', urldecode($kml_cod_statement));
	//print_r($pic_id_arr);
	if(count($pic_id_arr) > '0')
	{
		/*
		$content = '<?xml version="1.0" encoding="UTF-8"?>
		<kml xmlns="http://earth.google.com/kml/2.1">
		<Document>
		<name>pic2base-Fotos</name>
		<open>1</open>';
		*/
		$mp = '
		<Placemark>
		<name>Mittelpunkt</name>
		<description>pic2base-Praesentation</description>
		<styleUrl>#exampleBalloonStyle</styleUrl>
		
		<Style>
		<Icon>
		<href>'.$server_url.'/pic2base/bin/share/images/mp.png</href>
		<refreshMode>onInterval</refreshMode>
		<refreshInterval>3600</refreshInterval>
		<viewRefreshMode>onStop</viewRefreshMode>
		<viewBoundScale>0.5</viewBoundScale>
		</Icon>
		</Style>
		
		<Point>
		<coordinates>'.$long_mittel.','.$lat_mittel.',100</coordinates>
		<flyToView>1</flyToView>
		</Point>
		</Placemark>';
		//echo "Mittelpunkt: ".$mp."<br />";
		$content = '<?xml version="1.0" encoding="UTF-8"?>
		<kml xmlns="http://earth.google.com/kml/2.1">
		<Document>
		<name>p2b Foto-Tour</name>
		<open>1</open>';
		
		if($lat_mittel !=='' AND $long_mittel !=='')
		{
			$content .=$mp;		//Bezugspunkt einfuegen
			//Umkreis mit Mittelpunkt = Bezugspunkt und Radius = radius zeichnen:
			//Koordinaten bestimmen:
			$values = '';
			for($i_winkel=0; $i_winkel<'361'; $i_winkel++)
			{
				//Berechnung der Polygon-Koordinaten:
				//Breite = f(alpha)
				$y = (sin(deg2rad($i_winkel)) * $radius) / 111111.111;
				$lat = $lat_mittel + $y;
				//echo $lat."<br />";
				//Laenge (unter Zulassung einer leichten Ellipse)
				$umf_lat = 40000000 * cos(deg2rad($lat_mittel));
				$x_norm = $umf_lat / 360; //Strecke in m pro Grad bezogen auf die geogr. Breite des Kreis-Mittelpunktes
				$x = (cos(deg2rad($i_winkel)) * $radius) / $x_norm;
				$long = $long_mittel + $x;
				//echo $long."<br />";
				$values .= $long.','.$lat."\n"; 
			}
			//echo $values."<br />";
			
			$circle = "
			<Style id='yellowPoly'>
				<LineStyle>
					<width>5</width>
					<lineColor>yellow</lineColor>
				</LineStyle>
				<PolyStyle>
					<color>33ff0000</color>
				</PolyStyle>
			</Style>
			<Placemark>
				<name>Umkreis</name>
				<styleUrl>#yellowPoly</styleUrl>
				<Polygon>
					<extrude>1</extrude>
					<altitudeMode>clampToGround</altitudeMode>
					<outerBoundaryIs>
						<LinearRing>
							<coordinates>
							$values
							</coordinates>
						</LinearRing>
					</outerBoundaryIs>
				</Polygon>
			</Placemark>";
			$content .= $circle;
		}
		
		foreach ($pic_id_arr AS $PID)
		{
			$result8 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$PID'");
			$num8 = mysqli_num_rows($result8);
			for($i8='0'; $i8<$num8; $i8++)
			{
				$row8 = mysqli_fetch_assoc($result8);
			    $pic_id = $row8['pic_id'];
			    $FileNameHQ = $row8['FileNameHQ'];
			    $Description = $row8['Caption_Abstract'];
			    $longitude = $row8['GPSLongitude'];
			    $latitude = $row8['GPSLatitude'];
			    $altitude = $row8['GPSAltitude'];
			    $city = $row8['City'];
				//Skalierung der Objekte auf max. Seitenlaenge 300px:
				$max_size = '400';
				@$parameter_v=getimagesize($sr.'/images/vorschau/hq-preview/'.$FileNameHQ);
				$breite = $parameter_v[0];
				$hoehe = $parameter_v[1];
				$ratio = $breite / $hoehe;
				if($ratio > '1')
				{
					$Breite = $max_size;
					$Hoehe = number_format($hoehe * $max_size / $breite,0,'.',',');
				}
				else
				{
					$Hoehe = $max_size;
					$Breite = number_format($breite * $max_size / $hoehe,0,'.',',');
				}
			
				$content .= '<Style id="exampleBalloonStyle">
					<BalloonStyle>
					<bgColor>55ffffbb</bgColor>
					<text><![CDATA[
					<b>'.$Description.'<br /><img src="'.$server_url.'/pic2base/images/vorschau/hq-preview/'.$FileNameHQ.'" width='.$Breite.'. height='.$Hoehe.' /><br />Objekt-ID: '.$pic_id.'</b>
					]]></text>
					</BalloonStyle>
					</Style>
					<Placemark>
					<name>'.$city.'</name>
					<description>pic2base-Praesentation</description>
					<styleUrl>#exampleBalloonStyle</styleUrl>
					
					<Style>
					<Icon>
					<href>'.$server_url.'/pic2base/bin/share/images/pb.png</href>
					<refreshMode>onInterval</refreshMode>
					<refreshInterval>3600</refreshInterval>
					<viewRefreshMode>onStop</viewRefreshMode>
					<viewBoundScale>0.5</viewBoundScale>
					</Icon>
					</Style>
					
					<Point>
					<coordinates>'.$longitude.','.$latitude.','.$altitude.'</coordinates>
					<flyToView>1</flyToView>
					</Point>
					</Placemark>';
			}
		}
		$content .= '</Document>
		</kml>';
		//kml-Datei erzeugen und mit Inhalt ($content) fuellen
		$file = time().'.kml';
		$file_name = $kml_dir.'/'.$file;
		$fh = fopen($file_name,"w");
		flock($fh, LOCK_EX);
		fwrite($fh,$content);
		flock($fh, LOCK_UN);
		fclose($fh);
		
//	GeoJSON-Datei für die Darstellung der Treffer in der Karte bei 'Suche nach Umkreis in der Karte' erzeugen:
		$z = 0;
		$arr_length = count($pic_id_arr);
		$content = '{"type":"FeatureCollection","features":[';
		foreach ($pic_id_arr AS $PID)
		{
		    $z++;
		    $result9 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$PID'");
	        $row9 = mysqli_fetch_assoc($result9);
	        $pic_id = $row9['pic_id'];
	        $FileNameHQ = $row9['FileNameHQ'];
	        $FileNameV = $row9['FileNameV'];
	        $obj_uri = '"../../../images/vorschau/thumbs/'.$FileNameV.'"';
	        $Description = $row9['Caption_Abstract'];
	        $longitude = $row9['GPSLongitude'];
	        $latitude = $row9['GPSLatitude'];
	        $altitude = $row9['GPSAltitude'];
	        $city = $row9['City'];
	        //Skalierung der Objekte auf max. Seitenlaenge 300px:
	        $max_size = '400';
	        @$parameter_v=getimagesize($sr.'/images/vorschau/hq-preview/'.$FileNameHQ);
	        $breite = $parameter_v[0];
	        $hoehe = $parameter_v[1];
	        $ratio = $breite / $hoehe;
	        if($ratio > '1')
	        {
	            $Breite = $max_size;
	            $Hoehe = number_format($hoehe * $max_size / $breite,0,'.',',');
	        }
	        else
	        {
	            $Hoehe = $max_size;
	            $Breite = number_format($breite * $max_size / $hoehe,0,'.',',');
	        }                              //"properties": {"pic_id": 27,"uri": "/srv/www/data/123.jpg"},
	        $content .= '{"type":"Feature","properties":{"pic_id":"'.$pic_id.'","obj_uri":'.$obj_uri.'},"geometry":{"type":"Point","coordinates":['.$longitude.','.$latitude.']}}';
	        if($z < $arr_length)
	        {
	            $content .= ',';
	        }
		}
		$content .= ']}';

		//GeoJSON-Datei erzeugen und mit Inhalt ($content) fuellen
		$file = time().'.geojson';
		$file_name = $kml_dir.'/'.$file;
		$fh = fopen($file_name,"w");
		flock($fh, LOCK_EX);
		fwrite($fh,$content);
		flock($fh, LOCK_UN);
		fclose($fh);
	}
	$url = "../../../userdata/$uid/kml_files/$file";
	echo " <span style='cursor:pointer; margin-left:5px;' onClick='sessionStorage.setItem(\"geojsonFile\", \"$url\"); sessionStorage.setItem(\"lon\", \"$long_mittel\"); sessionStorage.setItem(\"lat\", \"$lat_mittel\"); renewMap(\"$url\")'><FONT COLOR='#FF9900'>In der Karte anzeigen.</FONT></span></span>";
}
?>