<?php
//File-Owner: K. Henneberg

include 'read_session_prefs.php';
include 'global_config.php';
include $sr.'/bin/share/functions/main_functions.php';

$dcraw = buildDcrawCommand($sr);
$conv = buildConvertCommand($sr);
//echo $conv;
//echo $kml_dir;
$contr = '';
//fuer alle Dateinamen wird intern Kleinschreibung verwendet, deshalb hier Konvertierung:
//var_dump($_REQUEST);
if(array_key_exists('file_name_raw', $_REQUEST))
{
    $file_name_raw = strtolower($_REQUEST['file_name_raw']);
}
//echo "RAW-Name: ".$file_name_raw."<br />";

if(array_key_exists('contrast', $_REQUEST))
{
    $contrast = str_replace('-cont ','',$_REQUEST['contrast']);
}
//echo $contrast;

if(array_key_exists('modus', $_REQUEST))
{
    $modus = $_REQUEST['modus'];
}

if(array_key_exists('wb', $_REQUEST))
{
    $wb = $_REQUEST['wb'];
}

if(array_key_exists('color_temp', $_REQUEST))
{
    $color_temp = $_REQUEST['color_temp'];
}

if(array_key_exists('rota', $_REQUEST))
{
    $rota = $_REQUEST['rota'];
    if(trim($rota) == '-t')
    {
        $rota = '';
    }
    //echo "Rota: ".$rota."<br>";
}
if(array_key_exists('col_inter', $_REQUEST))
{
    $col_inter = $_REQUEST['col_inter'];
}
if(array_key_exists('targ_color', $_REQUEST))
{
    $targ_color = $_REQUEST['targ_color'];
}
if(array_key_exists('gamma', $_REQUEST))
{
    $gamma = $_REQUEST['gamma'];
}
if(array_key_exists('hl', $_REQUEST))
{
    $hl = $_REQUEST['hl'];
}
if(array_key_exists('hsi', $_REQUEST))
{
    $hsi = $_REQUEST['hsi'];
}
if(array_key_exists('Orientation', $_REQUEST))
{
    $Orientation = $_REQUEST['Orientation'];
}

if($modus == 'tmp') // nur temporaeres Vorschaubild erzeugen
{
    $parameter = $wb." ".$rota." ".$col_inter." ".$targ_color." ".$gamma." ".$hl." -c ".$hsi;
    //echo $parameter;
    $new_filename = substr($file_name_raw,0,-4).".jpg";
    //$command = $dcraw." ".$parameter." ".$pic_path."/".$file_name_raw." | ".$conv." -quality 90 -resize 450x450 - ".$pic_path."/tmp/".$new_filename."";
    $command = $dcraw." ".$parameter." ".$pic_path."/".$file_name_raw." | ".$conv." -quality 90 -resize 350x350 - ".$kml_dir."/".$new_filename."";
    $output = shell_exec($command);
    //echo $contrast;
    if($contrast !== '0')
    {
        $c = '0';
        $contr = "";
        if($contrast < '0')
        {
            while($c > $contrast)
            {
                $contr .= "+contrast ";
                $c--;
            }
        }
        elseif($contrast > '0')
        {
            while($c < $contrast)
            {
                $contr .= "-contrast ";
                $c++;
            }
        }
        $command_a = $conv." ".$kml_dir."/".$new_filename." ".$contr." ".$kml_dir."/".$new_filename;
        //$output = shell_exec($command_a." > /dev/null &");
        $output = shell_exec($command_a);
    }

    $x = time();
    //das Anhaengsel "?var=$x" dient dazu, den Browser zu zwingen, das Objekt NICHT aus dem Cache zu laden:
    //echo "<img src=\"$inst_path/pic2base/images/originale/tmp/$new_filename?var=$x\">";
    echo "<img src=".$inst_path."/pic2base/userdata/".$uid."/kml_files/".$new_filename."?var=".$x.">";
}
elseif($modus == 'new') // tatsaechliche Erzeugung der Vorschaubilder
{
    echo "<p class='klein'>Die neuen Vorschaubilder wurden erzeugt.</p>";
    //die folgenden Schritte werden abgearbeitet:
    //	1) jpg-Objekt in Originalgroesse neu erzeugen
    //	2) rot. jpg in Originalgroesse neu erzeugen
    //	3) jpg-HQ-Vorschau neu erzeugen
    //	4) jpg-Thumbnail neu erzeugen
    //	5) Graustufenbild neu erzeugen
    //	6) Datei-Attribute aller neu erzeugten Dateien auf 700 setzen

    //Schritt 1)
    $parameter = $wb." ".$rota." ".$col_inter." ".$targ_color." ".$gamma." ".$hl." -c ".$hsi;
    $new_filename = substr($file_name_raw,0,-4).".jpg";
    $command1 = $dcraw." ".$parameter." ".$pic_path."/".$file_name_raw." | ".$conv." -quality 100 - ".$pic_path."/".$new_filename."";
    $output1 = shell_exec($command1);

    if($contrast !== '0')
    {
        $c = '0';
        $contr = "";
        if($contrast < '0')
        {
            while($c > $contrast)
            {
                $contr .= "+contrast ";
                $c--;
            }
        }
        elseif($contrast > '0')
        {
            while($c < $contrast)
            {
                $contr .= "-contrast ";
                $c++;
            }
        }
        $command1_a = $conv." ".$pic_path."/".$new_filename." ".$contr." ".$pic_path."/".$new_filename;
        //$output2 = shell_exec($command1_a." > /dev/null &");
        $output2 = shell_exec($command1_a);
    }

    //Schritt 2)
    //echo "Ausrichtung: ".$Orientation."<br />";
    $file_info = pathinfo($file_name_raw);
    $ext = strtolower($file_info['extension']);
    if($Orientation == 3 OR $Orientation == 6 OR $Orientation == 8)
    {
        if($ext == 'nef')
        {
            copy("$pic_path/$new_filename", "$pic_rot_path/$new_filename");
            clearstatcache();
            chmod ($pic_rot_path."/".$new_filename, 0700);
            clearstatcache();
        }
        else
        {
            $rot_filename = createQuickPreview($Orientation,$new_filename,$sr);
        }
    }

    // Schritt 3) hq-Vorschau erstellen
    $source = $pic_path."/".$new_filename;
    $FileNameHQ = substr($file_name_raw,0,-4)."_hq.jpg";
    $max_len = '800';
    $command2 = $conv." -quality 80 ".$source." -resize ".$max_len."x".$max_len." ".$pic_hq_path."/".$FileNameHQ."";
    //echo $command;
    $output3 = shell_exec($command2);

    if($contrast !== '0')
    {
        $c = '0';
        $contr = "";
        if($contrast < '0')
        {
            while($c > $contrast)
            {
                $contr .= "+contrast ";
                $c--;
            }
        }
        elseif($contrast > '0')
        {
            while($c < $contrast)
            {
                $contr .= "-contrast ";
                $c++;
            }
        }
        $command2_a = $conv." ".$pic_hq_path."/".$FileNameHQ." ".$contr." ".$pic_hq_path."/".$FileNameHQ;
        //$output4 = shell_exec($command2_a." > /dev/null &");
        $output4 = shell_exec($command2_a);
    }

    // Schritt 4) thumb-Vorschau erstellen
    $FileNameV = substr($file_name_raw,0,-4)."_v.jpg";
    //echo $FileNameV."<br />";
    $max_len = '160';
    $command3 = $conv." -quality 80 ".$source." -resize ".$max_len."x".$max_len." ".$pic_thumbs_path."/".$FileNameV;
    //echo $command3."<br />";
    $output5 = shell_exec($command3);

    if($contrast !== '0')
    {
        $c = '0';
        $contr = "";
        if($contrast < '0')
        {
            WHILE($c > $contrast)
            {
                $contr .= "+contrast ";
                $c--;
            }
        }
        elseif($contrast > '0')
        {
            WHILE($c < $contrast)
            {
                $contr .= "-contrast ";
                $c++;
            }
        }
        $command3_a = $conv." ".$pic_thumbs_path."/".$FileNameV." ".$contr." ".$pic_thumbs_path."/".$FileNameV;
        //$output6 = shell_exec($command3_a." > /dev/null &");
        $output6 = shell_exec($command3_a);
    }

    // Schritt 5) Graustufenbild neu erzeugen
    $FileNameMono = substr($file_name_raw,0,-4)."_mono.jpg";
    $command5 = $conv." ".$pic_hq_path."/".$FileNameHQ." -colorspace Gray -quality 80% ".$monochrome_path."/".$FileNameMono;
    //$output = shell_exec($command5." > /dev/null &");
    $output = shell_exec($command5);

    // Schritt 6) Erzeugung des Anzeige-Bildes:
    $command4 = $conv." -quality 80 ".$source." -quality 90 -resize 350x350 - ".$pic_path."/tmp/".$new_filename;
    //$output = shell_exec($command4." > /dev/null &");
    $output = shell_exec($command4);

    if($contrast !== '0')
    {
        $c = '0';
        $contr = "";
        if($contrast < '0')
        {
            while($c > $contrast)
            {
                $contr .= "+contrast ";
                $c--;
            }
        }
        elseif($contrast > '0')
        {
            while($c < $contrast)
            {
                $contr .= "-contrast ";
                $c++;
            }
        }
        $command4_a = $conv." ".$pic_path."/tmp/".$new_filename." ".$contr." ".$pic_path."/tmp/".$new_filename;  
        //$output7 = shell_exec($command4_a." > /dev/null &");
        $output7 = shell_exec($command4_a);
    }

    $x = time();
    //das Anhaengsel "?var=$x" dient dazu, den Browser zu zwingen, das Objekt NICHT aus dem Cache zu laden:
    //echo "<img src=".$inst_path."/pic2base/userdata/".$uid."/kml_files/".$new_filename."?var=".$x.">";
    echo "<img src=".$inst_path."/pic2base/images/originale/tmp/".$new_filename."?var=".$x.">
    <p class='klein'>Aktualisieren Sie abschlie&szlig;end bitte Ihre Filmstreifen-Ansicht.</p>";
}

?>