<?php
error_reporting(E_ALL);
//Beim normalen Start wird versucht mit den Standard-Parametern eine Verbindung zur Datenbank herzustellen:
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

if( isset($_POST['user']) )
{
    if( !empty($_POST['user']))
    {
        $user=$_POST['user'];
        $PWD=$_POST['PWD'];
    }
}
else
{
    $user = '';
    $PWD = '';
}
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

if($user == "")
{    
    $db_server='localhost';
    $user='pb';
    $PWD='pic_base';
    $db = 'pic2base';
    $conn = NULL;
    $db_exists = true;
    //mit diesen Parametern wird versucht eine Verbindung zum DB-Server aufzubauen:
    try
    {
        $conn = mysqli_connect($db_server,$user,$PWD);
        mysqli_set_charset($conn, 'utf8');
    }
    catch(Exception $e)
    {
        $db_exists = false;
    }

    if($db_exists == false)
    {
        //wenn keine Verbindung zur pic2base-Datenbank hergestellt werden kann:
        $text = "<center>
                    <font color='lightgreen'>
                        <p style='margin-top:50px;'>Willkommen bei pic2base!</p>
                        <p>Noch konnte keine Verbindung zur pic2base-Datenbank hergestellt werden.</p>
                        <p>Das kann daran liegen, da&szlig; Sie pic2base zum ersten Mal starten.</p>
                        <p>F&uuml;r die Erst-Einrichtung der pic2base-Datenbank</p>
                        <p>tragen Sie hier bitte den Benutzernamen und das Passwort<br />eines <b>vorhandenen</b> MySQL-Benutzers mit <b>Administrator-Rechten</b> ein:
                        <form name = 'db_access' method='post' action='index.php'><br />
                        User-Name (Admin): <INPUT type='text' name='user'>&#160;&#160;&#160;Passwort: <input type='password' name='PWD'>&#160;&#160;<INPUT type='submit' value='OK'>
                        </form>
                    </font>
                </center>";
        die($text);
        return;
    }
}
else
{
    $db_server='localhost';
    $db = 'pic2base';
    //mit den neuen Parametern wird versucht eine Datenbank-Verbindung aufzubauen:
    @$conn = mysqli_connect($db_server,$user,$PWD);
    @$database = mysqli_connect('p:'.$db_server,$user,$PWD);
    @mysqli_set_charset($conn,'utf8');

    if (!$database) 
    {
        //Der Datenbank-Server kann nicht erreicht werden!
        $text = "F E H L E R! Es konnte keine Verbindung zum DB-Server $db_server aufgebaut werden!<br />\n";
        $text .= "Es gibt ein Problem mit Ihrer DMS-Konfiguration. Bitte stellen Sie sicher, dass der DB-Server l&auml;uft und die Zugangsdaten f&uuml;r den Administrator-Zugriff korrekt eingetragen wurden.";
        $text .= "<br /><br /><INPUT type='button' class='button' name='back' value='Zur&uuml;ck' onclick='javascript:history.back()'>";
        return;
    }
    else
    {
        $err_count = 0;
        //Wenn die Verbindung auf den DB-Server erfolgreich hergestellt werden konnte, wird versucht auf die Datenbank zuzugreifen:
        $database_exists = true;
        try
        {
            mysqli_select_db($conn, $db);
        }
        catch(Exception $e)
        {
            $database_exists = false;
        }
        
        if($database_exists == false)
        {
            //wenn es die pic2base-DB noch nicht gibt, wird sie angelegt und mit Daten vorbelegt:
            $res1 = mysqli_query($conn, "CREATE DATABASE IF NOT EXISTS pic2base CHARACTER SET utf8 COLLATE utf8_unicode_ci");

            $text =  "pic2base-Datenbank wurde angelegt.<br />Lege nun die Tabellen an...<br />";
            mysqli_close($conn);
            $conn_neu = mysqli_connect('localhost', $user, $PWD);
            mysqli_select_db($conn_neu, $db);
            mysqli_set_charset($conn_neu,'utf8');
            
            $res15 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `ftp_transfer` (
                `username` tinytext CHARACTER SET latin1 COLLATE latin1_german1_ci DEFAULT NULL,
                `filename` text CHARACTER SET latin1 COLLATE latin1_german1_ci DEFAULT NULL,
                `size` bigint(20) DEFAULT NULL,
                `host` tinytext CHARACTER SET latin1 COLLATE latin1_german1_ci DEFAULT NULL,
                `ip` tinytext CHARACTER SET latin1 COLLATE latin1_german1_ci DEFAULT NULL,
                `aktion` tinytext CHARACTER SET latin1 COLLATE latin1_german1_ci DEFAULT NULL,
                `dauer` tinytext CHARACTER SET latin1 COLLATE latin1_german1_ci DEFAULT NULL,
                `lokale_zeit` datetime DEFAULT NULL
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"ftp_transfer\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"ftp_transfer\" wurde angelegt.<br />";
            }			
            
            $res3 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `geo_tmp` (
                `loc_id` int(11) NOT NULL auto_increment PRIMARY KEY COMMENT 'location-ID',
                `longitude` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'geo-Laenge',
                `latitude` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'geo-Breite',
                `altitude` decimal(6,1) DEFAULT NULL COMMENT 'Hoehe',
                `date` date NOT NULL DEFAULT '0000-00-00',
                `time` time NOT NULL DEFAULT '00:00:00',
                `user_id` int(11) DEFAULT NULL
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"geo_tmp\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"geo_tmp\" wurde angelegt.<br />";
            }		

            $res4 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `grouppermissions` (
                `id` int(11) NOT NULL auto_increment PRIMARY KEY,
                `group_id` int(11) NOT NULL DEFAULT 0,
                `permission_id` int(11) NOT NULL DEFAULT 0,
                `enabled` smallint(1) NOT NULL DEFAULT 0
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"grouppermissions\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"grouppermissions\" wurde angelegt.<br />";
            }
            $res4_1 = mysqli_query($conn_neu, "INSERT INTO `grouppermissions` (`id`, `group_id`, `permission_id`, `enabled`) VALUES 
            (1, 1, 999, 1),
            (2, 1, 929, 1),
            (3, 1, 799, 1),
            (4, 1, 519, 1),
            (5, 1, 219, 1),
            (6, 1, 100, 1),
            (7, 1, 629, 1),
            (8, 1, 989, 1),
            (9, 1, 859, 1),
            (10, 1, 619, 1),
            (11, 1, 529, 1),
            (12, 1, 229, 1),
            (13, 1, 899, 1),
            (14, 1, 869, 1),
            (15, 1, 849, 1),
            (16, 1, 539, 1),
            (17, 1, 549, 1),
            (18, 1, 639, 1),
            (19, 1, 649, 1),
            (20, 2, 999, 0),
            (21, 2, 929, 1),
            (22, 2, 799, 1),
            (23, 2, 519, 1),
            (24, 2, 219, 1),
            (25, 2, 100, 1),
            (26, 2, 629, 0),
            (27, 2, 989, 0),
            (28, 2, 859, 1),
            (29, 2, 619, 1),
            (30, 2, 529, 0),
            (31, 2, 229, 1),
            (32, 2, 899, 1),
            (33, 2, 869, 0),
            (34, 2, 849, 1),
            (35, 2, 539, 1),
            (36, 2, 549, 0),
            (37, 2, 639, 1),
            (38, 2, 649, 1),
            (39, 3, 999, 0),
            (40, 3, 929, 0),
            (41, 3, 799, 0),
            (42, 3, 519, 0),
            (43, 3, 219, 0),
            (44, 3, 100, 1),
            (45, 3, 629, 0),
            (46, 3, 989, 0),
            (47, 3, 859, 0),
            (48, 3, 619, 0),
            (49, 3, 529, 0),
            (50, 3, 229, 0),
            (51, 3, 899, 0),
            (52, 3, 869, 0),
            (53, 3, 849, 0),
            (54, 3, 539, 0),
            (55, 3, 549, 0),
            (56, 3, 639, 0),
            (57, 3, 649, 0),
            (58, 1, 889, 1),
            (59, 2, 889, 0),
            (60, 3, 889, 0),
            (61, 1, 419, 1),
            (62, 2, 419, 1),
            (63, 3, 419, 0),
            (64, 1, 429, 1),
            (65, 2, 429, 0),
            (66, 3, 429, 0);");
            if(mysqli_error($conn_neu) !== '')
            {
                    echo "Fehler bei der Bef&uuml;llung der Tabelle \"grouppermissions\"<br />";
                    $err_count++;
            }
            else
            {
                    echo "Tabelle \"grouppermissions\" wurde mit Daten vorbelegt.<br />";
            }

            $res5 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `kategorien` (
                `kat_id` int(11) NOT NULL auto_increment PRIMARY KEY,
                `kategorie` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
                `parent` int(11) DEFAULT NULL default '0',
                `level` int(11) DEFAULT NULL default '0',
                INDEX ( `kat_id`, `kategorie`, `parent`, `level` )
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"kategorien\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"kategorien\" wurde angelegt.<br />";
            }

            $res5_1 = mysqli_query($conn_neu, "INSERT INTO `kategorien` (`kategorie`, `parent`, `level`) VALUES ('Neuzugaenge','0','0');");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"kategorien\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"kategorien\" wurde mit Daten vorbelegt.<br />";
            }

            $res7 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `kat_lex` (
            `lfdnr` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
            `kat_id` INT(11) DEFAULT NULL ,
            `info` LONGTEXT COLLATE utf8_unicode_ci DEFAULT NULL ,
            UNIQUE (`kat_id`)
            ) ENGINE = InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");

            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"kat_lex\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"kat_lex\" wurde angelegt.<br />";
            }
            
            $res2 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `tmp_copyright` (
                `cr_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
                `user_id` INT NULL,
                `copyright` VARCHAR(128) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'neu hinzuzufuegender Copyright-Vermerk'
                ) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT = 'temporaere Ablage neuer Copyrights';");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"tmp_copyright\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"tmp_copyright\" wurde angelegt.<br />";
            }		


            $res8 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `permissions` (
              `id` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
              `perm_id` int(11) DEFAULT NULL,
              `description` text COLLATE utf8_unicode_ci DEFAULT NULL,
              `shortdescription` varchar(100) COLLATE utf8_unicode_ci NULL,
              INDEX ( `perm_id` )
            ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=36 ;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"permissions\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"permissions\" wurde angelegt.<br />";
            }		

            $res8_1 = mysqli_query($conn_neu, "INSERT INTO `permissions` (`id`, `perm_id`, `description`, `shortdescription`) VALUES
            (1, 999, 'Admin-Login', 'adminlogin'),
            (2, 929, 'Vorschaubilder drehen', 'rotatepicture'),
            (3, 799, 'Objekte erfassen', 'addpic'),
            (4, 519, 'eigene Objekte löschen', 'deletemypics'),
            (5, 219, 'eigene Objekte downloaden', 'downloadmypics'),
            (6, 100, 'Objekte suchen', 'searchpic'),
            (7, 629, 'alle Objekte bearbeiten', 'editallpics'),
            (8, 989, 'Rechte hinzufügen', 'addpermission'),
            (9, 859, 'eigenes Benutzer-Profil bearbeiten', 'editmyprofile'),
            (10, 619, 'eigene Objekte bearbeiten', 'editmypics'),
            (11, 529, 'alle Objekte löschen', 'deleteallpics'),
            (12, 229, 'alle Objekte downloaden', 'downloadallpics'),
            (13, 899, 'Kategoriebaum bearbeiten', 'editkattree'),
            (14, 869, 'alle Benutzer-Profile bearbeiten', 'editallprofiles'),
            (15, 849, 'Benutzer anzeigen', 'showusers'),
            (16, 539, 'eigene Objekte geo-referenzieren', 'georefmypics'),
            (17, 549, 'alle Objekte geo-referenzieren', 'georefallpics'),
            (18, 639, 'Tagebuch bearbeiten', 'editdiary'),
            (19, 649, 'Kategorielexikon bearbeiten', 'editkatlex'),
            (20, 889, 'Ortsnamen bearbeiten', 'editlocationname'),
            (21, 429, 'alle Kollektionen bearbeiten', 'editallcolls'),
            (22, 419, 'eigene Kollektionen bearbeiten', 'editmycolls');");
            if(mysqli_error($conn_neu) !== '')
            {
                    echo "Fehler bei der Bef&uuml;llung der Tabelle \"permissions\"<br />";
                    $err_count++;
            }
            else
            {
                    echo "Tabelle \"permissions\" wurde mit Daten vorbelegt.<br />";
            }


            $res10 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `pictures` (
            `pic_id` int(11) NOT NULL auto_increment PRIMARY KEY,
            `FileNameOri` varchar(100) NULL COMMENT 'Original-Dateiname',
            `FileName` varchar(25) NULL COMMENT 'interner Dateiname',
            `FileNameHQ` varchar(25) NULL COMMENT 'Name des HQ-Vorschau-Bildes',
            `FileNameV` varchar(25) NULL COMMENT 'Name des Vorschaubildes',
            `FileNameHist` varchar(17) NULL COMMENT 'Dateiname des Farb-Histogramms',
            `FileNameHist_r` varchar(17) NULL COMMENT 'Dateiname des Rot-Kanal-Histogramms',
            `FileNameHist_g` varchar(17) NULL,
            `FileNameHist_b` varchar(17) NULL,
            `FileNameMono` varchar(20) NULL COMMENT 'Dateiname des Monochrom-Bildes',
            `Owner` int(11) NULL COMMENT 'Datensatz-Erfasser',
            `DateInsert` datetime NOT NULL default '0000-00-00 00:00:00',
            `ranking` int(11) NOT NULL default '0',
            `note` tinyint(4) NOT NULL default '5' COMMENT 'Bewertung (Note 1 - 5)',
            `md5sum` varchar(50) NULL COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'MD5-Prüfsumme',
            `has_kat` tinyint(1) NOT NULL default '0' COMMENT 'Neuzugang = 0, sonst 1',
            `Make` varchar(37) default NULL,
            `Model` varchar(50) DEFAULT NULL COMMENT 'Kamera-Modell',
            `CameraModelName` varchar(50) default NULL,
            `Orientation` varchar(50) NULL,
            `XResolution` varchar(13) default NULL,
            `YResolution` varchar(13) default NULL,
            `ExposureTime` varchar(13) default NULL,
            `FNumber` decimal(3,1) default NULL,
            `ExposureProgram` varchar(39) NULL,
            `CreateDate` datetime default '0000-00-00 00:00:00',
            `MaxApertureValue` varchar(13) default NULL,
            `MeteringMode` varchar(25) NULL,
            `LightSource` varchar(17) default NULL,
            `Flash` varchar(25) NULL,
            `FocalLength` varchar(50) default NULL,
            `ISO` smallint(11) NULL,
            `Quality` varchar(13) default NULL,
            `WhiteBalance` varchar(18) default NULL,
            `Sharpness` varchar(12) default NULL,
            `FocusMode` varchar(12) default NULL,
            `ISOSetting` smallint(11) NULL,
            `Lens` varchar(37) default NULL,
            `ShootingMode` int(11) NULL,
            `NoiseReduction` varchar(10) default NULL,
            `SensorPixelSize` varchar(21) default NULL,
            `SerialNumber` varchar(26) default NULL,
            `FileSize` bigint(11) NULL,
            `ShutterCount` int(11) NULL,
            `UserComment` varchar(130) default NULL,
            `ColorSpace` varchar(25) NULL,
            `ExifImageWidth` int(11) NULL,
            `ExifImageHeight` int(11) NULL,
            `FocalLengthIn35mmFormat` varchar(50) NULL,
            `ImageDescription` varchar(69) default NULL,
            `ColorMode` varchar(11) default NULL,
            `ImageWidth` int(11) NULL,
            `ImageHeight` int(11) NULL,
            `Copyright` varchar(128) default NULL,
            `ShutterSpeedValue` varchar(13) default NULL,
            `ApertureValue` varchar(13) default NULL,
            `AFPointPosition` varchar(13) default NULL,
            `SelfTimer` int(11) NULL,
            `ImageStabilization` varchar(11) NULL,
            `Keywords` varchar(250) NULL,
            `ActiveD_Lighting` int(11) NULL,
            `HighISONoiseReduction` int(11) NULL,
            `GPSVersionID` varchar(11) NULL,
            `GPSAltitude` varchar(15) NULL,
            `GPSLatitude` double default NULL,
            `GPSLongitude` double default NULL,
            `GPSImageDirection` DECIMAL(5,2) default NULL COMMENT 'Aufnahme-Richtung',
            `FieldOfView` DECIMAL(5,2) default NULL COMMENT 'Blickfeld',
            `City` varchar(50) NULL default 'Ortsbezeichnung',
            `Caption_Abstract` text NULL,
            `OCR_Result` text NULL,
            `GPSLatitudeRef` varchar(7) default NULL,
            `GPSLongitudeRef` varchar(7) default NULL,
            `GPSAltitudeRef` varchar(25) NULL,
            `MIMEType` VARCHAR(50) NULL default NULL COMMENT 'MIME-Type des Objektes',
            `MediaType` CHAR(1) NULL default NULL COMMENT 'Art des Objektes (image, video, audio)',
            `aktiv` TINYINT NOT NULL DEFAULT '1' COMMENT '0 wenn Objekt geloescht werden soll',
            INDEX (`FileName`, `FileNameHQ`, `FileNameV`, `DateInsert`, `Owner`, `ranking`, `md5sum`, `note`, `ShutterCount`, `CreateDate`, `City`, `GPSLongitude`, `GPSLatitude`, `GPSAltitude`, `Keywords`(250), `FileNameHist`, `FileNameMono`, `FileNameHist_b`, `FileNameHist_g`, `FileNameHist_r`),
            FULLTEXT INDEX ft_index (`City`, `Keywords`, `UserComment`, `Copyright`, `Caption_Abstract`, `OCR_Result`)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_unicode_ci COMMENT='Bilddaten' AUTO_INCREMENT=1;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"pictures\"<br /><br />";
                echo "Fehler in db_check.php, Z. 407: ".mysqli_error($conn_neu);
                echo "<br /><br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"pictures\" wurde angelegt.<br />";
            }
/*
            // Ergänzung der dt. Stopwort-Liste für die Volltextsuche:
            // Wechsel zur Datenbank information_schema:
            mysqli_select_db($conn_neu,'information_schema');
            IF(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler beim Wechsel zur Datenbank \"information_schema\"<br /><br />";
                echo mysqli_error($conn_neu);
                echo "<br /><br />";
                $err_count++;
            } 
            $res_x = mysqli_query($conn_neu, "INSERT INTO INNODB_FT_DEFAULT_STOPWORD (value)
            VALUES (1),(4),(7)");
            IF(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Vervollständigung der Tabelle \"INNODB_FT_DEFAULT_STOPWORD\"<br /><br />";
                echo mysqli_error($conn_neu);
                echo "<br /><br />";
                $err_count++;
            }
            
            // Wechsel zur Datenbank pic2base:
            mysqli_select_db($conn_neu,'pic2base');
            IF(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler beim Wechsel zur Datenbank \"pic2base\"<br /><br />";
                echo mysqli_error($conn_neu);
                echo "<br /><br />";
                $err_count++;
            } 
*/

            $res9 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `pic_kat` (
            `lfdnr` int(11) NOT NULL auto_increment PRIMARY KEY,
            `pic_id` int(11) NULL,
            `kat_id` int(11) NULL
            ) ENGINE=InnoDB AUTO_INCREMENT=0 CHARACTER SET utf8 COLLATE utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"pic_kat\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"pic_kat\" wurde angelegt.<br />";
            }
            $res9_1 = mysqli_query($conn_neu, "CREATE UNIQUE INDEX `ix_kat_pic` ON `pic_kat` (`kat_id`, `pic_id`);");
            $res9_2 = mysqli_query($conn_neu, "CREATE UNIQUE INDEX `ix_pic_kat` ON `pic_kat` (`pic_id`, `kat_id`);");


            $res10 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `tmp_tree` (
            `lfdnr` int(11) NOT NULL auto_increment PRIMARY KEY,
            `kat_id` int(11) NULL,
            `old_level` int(11) NULL,
            `kat_name` varchar(75) NULL,
            `user_id` int(11) NULL,
            `new_level` int(11) NULL,
            `new_parent` int(11) NULL,
            INDEX ( `kat_id`, `old_level`, `kat_name`, `user_id`, `new_level`, `new_parent` )
            ) ENGINE=InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci AUTO_INCREMENT=306;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"tmp_tree\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"tmp_tree\" wurde angelegt.<br />";
            }		

            $res11 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `tag_trans` (
            `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `lang` VARCHAR( 5 ) NULL COMMENT 'Benutzersprache',
            `Make` VARCHAR( 50 ) NULL
            ) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci AUTO_INCREMENT=0;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"tag_trans\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"tag_trans\" wurde angelegt.<br />";
            }

            $res11_1 = mysqli_query($conn_neu, "INSERT INTO `tag_trans` (`id` ,`lang` ,`Make`) VALUES 
            (NULL , 'en', 'Make'),
            (NULL , 'de', 'Hersteller');");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"tag_trans\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"tag_trans\" wurde mit Daten vorbelegt.<br />";
            }

            $res12 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `usergroups` (
            `id` int(11) NOT NULL auto_increment PRIMARY KEY,
            `description` varchar(200) NULL
            ) ENGINE=InnoDB AUTO_INCREMENT=4 CHARACTER SET utf8 COLLATE utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"usergroups\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"usergroups\" wurde angelegt.<br />";
            }		

            $res12_1 = mysqli_query($conn_neu, "INSERT INTO `usergroups` (`id`, `description`) VALUES 
            (1, 'Admin'),
            (2, 'Fotograf'),
            (3, 'Gast');");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"usergroups\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"usergroups\" wurde mit Daten vorbelegt.<br />";
            }


            $res13 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `userpermissions` (
            `id` int(11) NOT NULL auto_increment PRIMARY KEY,
            `user_id` int(11) NULL,
            `permission_id` int(11) NULL,
            `enabled` smallint(1) NOT NULL default '0',
            INDEX ( `user_id`, `permission_id`, `enabled` )
            ) ENGINE=InnoDB AUTO_INCREMENT=2 CHARACTER SET utf8 COLLATE utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"userpermissions\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"userpermissions\" wurde angelegt.<br />";
            }		

            $res13_1 = mysqli_query($conn_neu, "INSERT INTO `userpermissions` (`id`, `user_id`, `permission_id`, `enabled`) VALUES 
            (1, 1, 999, 1),
            (2, 1, 929, 1),
            (3, 1, 799, 1),
            (4, 1, 519, 1),
            (5, 1, 219, 1),
            (6, 1, 100, 1),
            (7, 1, 629, 1),
            (8, 1, 989, 1),
            (9, 1, 859, 1),
            (10, 1, 619, 1),
            (11, 1, 529, 1),
            (12, 1, 229, 1),
            (13, 1, 899, 1),
            (14, 1, 869, 1),
            (15, 1, 849, 1),
            (16, 1, 539, 1),
            (17, 1, 549, 1),
            (18, 1, 639, 1),
            (19, 1, 649, 1),
            (20, 1, 889, 1),
            (21, 1, 419, 1),
            (22, 1, 429, 1),
            (23, 1, 329, 1),
            (24, 1, 319, 1);");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"userpermissions\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"userpermissions\" wurde mit Daten vorbelegt.<br />";
            }

            $res14 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `users` (
            `id` int(11) NOT NULL auto_increment PRIMARY KEY,
            `username` varchar(15) NULL,
            `pwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL,
            `ftp_passwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL,
            `shell` varchar(20) collate latin1_german1_ci NOT NULL default '/bin/sh',
            `count` int(11) NOT NULL default '0',
            `admin` int(1) NOT NULL default '0',
            `logout` smallint NOT NULL default '1',
            `last_login` datetime default NULL,
            `dl_bytes` bigint(20) NOT NULL default '0',
            `ul_bytes` bigint(20) NOT NULL default '0',
            `group_id` int(11) NOT NULL default '0',
            `kennung` varchar(25) NULL,
            `titel` varchar(20) NULL,
            `name` varchar(25) NULL,
            `vorname` varchar(25) NULL,
            `strasse` varchar(25) NULL,
            `plz` varchar(10) NULL,
            `ort` varchar(50) NULL,
            `tel` varchar(25) NULL,
            `email` varchar(50) NULL,
            `internet` varchar(50) NULL,
            `aktiv` char(1) NULL,
            `user_dir` varchar(75) NULL COMMENT 'ftp-Stammverz. des Users',
            `up_dir` varchar(75) NULL COMMENT 'ftp_uploadverzeichnis des Users',
            `down_dir` varchar(75) NULL COMMENT 'ftp-Downloadverz. des Users',
            `direkt_download` int(1) NULL DEFAULT '0' COMMENT '0-per FTP, 1-per Direkt-Download je Objekt',
            `uid` int(5) NULL ,
            `gid` int(5) NULL ,
            `timezone` int(11) NULL COMMENT 'letzte bei Georeferenzierung verwendete Zeitzone',
            `logger_type` int(11) NULL COMMENT 'letzter bei Georeferenzierung verwendeter Datenlogger',
            `language` varchar(25) COLLATE utf8_unicode_ci NULL COMMENT 'Sprache des Users',
            `berechtigung` varchar(15) COLLATE utf8_unicode_ci NULL,
            `last_used_dto` datetime default '0000-00-00 00:00:00' COMMENT 'letzter verwendeter DTO-Korrekturwert',
            `last_used_timeline_year` SMALLINT NOT NULL DEFAULT '0000' COMMENT 'zuletzt betrachteter Jahrgang in der Jahrbuch-Ansicht',
            UNIQUE KEY `homedir` (`up_dir`),
            INDEX (`username`)
            ) ENGINE=InnoDB COMMENT='Benutzeraccounts' AUTO_INCREMENT=1 CHARACTER SET utf8 COLLATE utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"users\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"users\" wurde angelegt.<br />";
            }
            
            $res16 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `user_prefs` ( 
            `id` INT NOT NULL AUTO_INCREMENT , 
            `uid` INT NOT NULL COMMENT 'User-ID der users-Tabelle' , 
            `last_used_timeline_year` SMALLINT NOT NULL DEFAULT '0000' COMMENT 'zuletzt betrachteter Jahrgang in der Jahrbuch-Ansicht',
            `step` INT NOT NULL COMMENT 'Schritt innerhalb der Jahrbuch-Ansicht' , 
            `show_mode` VARCHAR(15) NOT NULL COMMENT 'Pos. des aufgeklappten Jahres-Baumes (Suche)' , 
            `kat_tree_sort_order` VARCHAR(20) NOT NULL DEFAULT 'alphabetical' COMMENT 'Kategoriebaum Sortierung' , 
            `kat_treeview_modus` VARCHAR(15) NOT NULL DEFAULT 'compact' COMMENT 'Kategoriebaum Darstellung' , 
            `kat_treeview_pos` INT NOT NULL COMMENT 'ID der aufgeklappten Kategorie' , 
            `modus` VARCHAR(15) NOT NULL DEFAULT 'normal' COMMENT 'Such-Modus normal / collection' , 
            `bewertung` INT NOT NULL DEFAULT '0' COMMENT 'Qualitätsbewertung bei der Recherche' , 
            PRIMARY KEY (`id`)) ENGINE = InnoDB CHARSET=utf8 COLLATE utf8_unicode_ci COMMENT = 'Benutzererinstellungen';");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"user_prefs\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"user_prefs\" wurde angelegt.<br />";
            }

            $res20 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `diary` (
            `diary_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
            `user_id` INT NULL ,
            `datum` DATE NULL ,
            `info` LONGTEXT NULL,
            INDEX ( `datum` )
            ) ENGINE = InnoDB COMMENT = 'p2b-Tagebuch' CHARACTER SET utf8 COLLATE utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"diary\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"diary\" wurde angelegt.<br />";
            }	

            // Ablage der Pfade zu den benoetigten Hilfsprogrammen, wird nach der Installation oder dem Softwarecheck neu befuellt
            $res21 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `pfade` (
            `path_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
            `ffmpeg_path` VARCHAR( 50 ) NULL ,
            `mplayer_path` VARCHAR( 50 ) NULL ,
            `dcraw_path` VARCHAR( 50 ) NULL ,
            `conv_path` VARCHAR( 50 ) NULL ,
            `montage_path` VARCHAR( 50 ) NULL ,
            `et_path` VARCHAR( 50 ) NULL ,
            `gpsb_path` VARCHAR( 50 ) NULL ,
            `md5sum_path` VARCHAR( 50 ) NULL ,
            `lo_path` VARCHAR( 50 ) NULL ,
            `tesseract_path` VARCHAR( 50 ) NULL,
            `apache_uid` SMALLINT UNSIGNED NULL ,
            `apache_gid` SMALLINT UNSIGNED NULL ,
            `p2b_version` VARCHAR( 10 ) NOT NULL DEFAULT '0.00.0' COMMENT 'Update-Kriterium, verwendet ab Version 0.60.2'
            ) ENGINE = InnoDB COMMENT = 'Pfade zur Hilfssoftware' CHARACTER SET utf8 COLLATE utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"pfade\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"pfade\" wurde angelegt.<br />";
            }

            $res21_1 = mysqli_query($conn_neu, "INSERT INTO `pfade` (`ffmpeg_path`, `mplayer_path`, `dcraw_path`, `conv_path`, `montage_path`, `et_path`, `gpsb_path`, `md5sum_path`, `lo_path`, `apache_uid`, `apache_gid`, `p2b_version`) VALUES 
            ('0', '0', '0', '0', '0', '0', '0', '0', '0', 0, 0, '1.2');");
            if(mysqli_error($conn_neu) !== '')
            {
                echo mysqli_error($conn_neu)."<br />";
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"pfade\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"pfade\" wurde mit Daten vorbelegt.<br />";
            }

            //Ablage der von dcraw unterstuetzten Dateiformate
            $res22 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `fileformats` (
            `format_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY, 
            `format` VARCHAR(10) NULL, 
            `raw` TINYINT(1) NOT NULL DEFAULT '0', 
            INDEX (`format`)
            ) ENGINE = InnoDB COMMENT = 'von ImageMagick unterstützte Dateiformate' CHARACTER SET utf8 COLLATE utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"fileformats\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"fileformats\" wurde angelegt.<br />";
            }

            //Tabelle der Datenlogger
            $res23 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `data_logger` (
            `logger_id` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `logger_number` int(11) NULL,
            `logger_name` varchar(100) COLLATE utf8_unicode_ci NULL,
            `enabled` int(11) NULL,
            INDEX (`logger_name`)
            ) ENGINE = InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=8;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"data_logger\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"data_logger\" wurde angelegt.<br />";
            }

            $res23_1 = mysqli_query($conn_neu, "INSERT INTO `data_logger` (`logger_id`, `logger_number`, `logger_name`, `enabled`) VALUES
            (1, 1, 'Sony CS1 oder kompatible (nmea-Format)', 1),
            (2, 2, 'Garmin GPSmap 60CS(x) - gpx-Datei', 1),
            (3, 17, 'Garmin MapSource - gdb', 1),
            (4, 3, 'Garmin GPSmap 60CS(x) - txt-Datei', 0),
            (5, 5, 'Alan Map500 tracklogs (.trl)', 0),
            (6, 8, 'CompeGPS data files (.wpt/.trk/.rte)', 0),
            (7, 9, 'cotoGPS for Palm/OS', 0);");

            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"data_logger\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"data_logger\" wurde mit Daten vorbelegt.<br />";
            }

            //Tabelle der Zeitzonen
            $res24 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `timezone` (
            `zone_id` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `zone_number` int(11) NULL,
            `zone_name` varchar(200) COLLATE utf8_unicode_ci NULL,
            INDEX (`zone_number`,`zone_name`)
            ) ENGINE = InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Tabelle der Zeitzonen' AUTO_INCREMENT=26;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"timezone\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"timezone\" wurde angelegt.<br />";
            }

            $res24_1 = mysqli_query($conn_neu, "INSERT INTO `timezone` (`zone_id`, `zone_number`, `zone_name`) VALUES
            (1, -12, 'Bakerinsel (UTC - 12h)'),
            (2, -11, 'Midway-Inseln, Samoa (UTC - 11h)'),
            (3, -10, 'Alaska Hawaii (UTC - 10h)'),
            (4, -9, 'Franz. Polynesien, USA (AKST / UTC - 9h)'),
            (5, -8, 'Kanada, Mexico, USA (PST / UTC - 8h)'),
            (6, -7, 'Kanada, Mexico, USA (PST / UTC - 7h)'),
            (7, -6, 'Chile, Costa Rica, Honduras (CST / UTC - 6h)'),
            (8, -5, 'Bahamas, Haiti, USA (EST / UTC - 5h)'),
            (9, -4, 'Barbados, Grenada, Gr&ouml;nland (AST / UTC - 4h)'),
            (10, -3, 'Argentinien, Brasilien, Uruguay (UTC - 3h)'),
            (11, -2, 'Brasilien (UTC - 2h)'),
            (12, -1, 'Gr&ouml;nland, Kap Verde (UTC - 1h)'),
            (13, 0, 'London, Lissabon, Reykjavik (GMT / WET / UTC)'),
            (14, 1, 'Berlin, Prag, Rom (CET / MEZ)'),
            (15, 2, 'Helsinki, Kairo, Sofia (CESZ / EET)'),
            (16, 3, 'Baghdad, Moskau, Sankt Petersburg (MSK, BT)'),
            (17, 4, 'Armenien, Georgien, VAR (UTC + 4h)'),
            (18, 5, 'Pakistan (UTC + 5h)'),
            (19, 6, 'Bangladesh (UTC + 6h)'),
            (20, 7, 'Pnom Phen, Saigon, Hanoi (UTC + 7h)'),
            (21, 8, 'Peking (UTC + 8h)'),
            (22, 9, 'Seoul, Tokio (UTC + 9h)'),
            (23, 10, 'Sidney (UTC + 10h)'),
            (24, 11, 'Neukaledonien(UTC + 11h)'),
            (25, 12, 'Fidschi, Kiribati, Neuseeland (IDLE / UTC + 12h)');");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"timezone\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"timezone\" wurde mit Daten vorbelegt.<br />";
            }

            //Tabelle der Dublettenliste
            $res25 = mysqli_query($conn_neu, "CREATE TABLE if NOT EXISTS `pic2base`.`doubletten` (
            `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `new_pic_id` INT NULL COMMENT 'Objekt-ID des gerade hinzugefügten Bildes',
            `old_pic_id` INT NULL COMMENT 'Objekt-ID eines bereits vorhandenen Bildes',
            `user_id` INT NULL COMMENT 'Benutzer-ID'
            ) ENGINE = InnoDB COMMENT = 'temporäre Doubletten-Liste' CHARSET=utf8 COLLATE=utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                    echo "Fehler bei der Anlage der Tabelle \"doubletten\"<br />";
                    $err_count++;
            }
            ELSE
            {
                    echo "Tabelle \"doubletten\" wurde angelegt.<br />";
            }

            //Hilfstabelle fuer die DB-Wartung:
            $res26 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `ICE_V_pic_kat_dubls` (
              `lfdnr` int(11) DEFAULT NULL,
              `pic_id` int(11) DEFAULT NULL,
              `kat_id` int(11) DEFAULT NULL,
              `anzahl` int(11) DEFAULT NULL
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
            if(mysqli_error($conn_neu) !== '')
            {
                    echo "Fehler bei der Anlage der Tabelle \"ICE_V_pic_kat_dubls\"<br />";
                    $err_count++;
            }
            ELSE
            {
                    echo "Tabelle \"ICE_V_pic_kat_dubls\" wurde angelegt.<br />";
            }

            //Tabelle der Kollektionen
            $res27 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `collections` (
                    `coll_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY COMMENT 'Kollektions-ID',
                    `coll_name` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT 'Name der Sammlung',
                    `coll_description` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT 'Beschreibung der Sammlung',
                    `coll_owner` INT NULL COMMENT 'Eigentuemer der Sammlung',
                    `created` DATETIME NULL,
                    `last_modification` TIMESTAMP NULL,
                    `locked` INT NOT NULL DEFAULT '1' COMMENT '1 - gesperrt fuer die Bearbeitung durch andere User',
                    INDEX ( `coll_name` )
                    ) ENGINE=InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT = 'Kollektions-Tabelle';");
            if(mysqli_error($conn_neu) !== '')
            {
                    echo "Fehler bei der Anlage der Tabelle \"collections\"<br />";
                    $err_count++;
            }
            ELSE
            {
                    echo "Tabelle \"collections\" wurde angelegt.<br />";
            }

            //Tabelle der Objekt-Kollektions-Zuweisungen
            $res28 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `pic_coll` (
                    `id` INT NOT NULL AUTO_INCREMENT COMMENT 'Datensatz-ID',
                    `coll_id` INT NULL COMMENT 'Sammlungs-ID',
                    `pic_id` INT NULL COMMENT 'Bild_id',
                    `duration` INT NULL COMMENT 'Anzeigedauer in Sekunden',
                    `position` INT NULL COMMENT 'Position innerhalb der Show',
                    `transition_id` INT NULL COMMENT 'Uebergangs-ID',
                    PRIMARY KEY ( `id` )
                    ) ENGINE=InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT = 'Tabelle der Objekt-Sammlungs-Zuordnung';");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"pic_coll\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"pic_coll\" wurde angelegt.<br />";
            }

            //Tabelle der Label-Uebersetzungen
            $res28 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `label_translation` (
                `id` int(11) NOT NULL AUTO_INCREMENT,
                `label_name` varchar(100) COLLATE utf8_unicode_ci NULL,
                `language` varchar(5) COLLATE utf8_unicode_ci NULL,
                `value` text COLLATE utf8_unicode_ci NULL COMMENT 'Inhalt des Labels / Textes',
                `used_in` varchar(100) COLLATE utf8_unicode_ci NULL COMMENT 'verwendet in welchem Skript',
                PRIMARY KEY (`id`)
                ) ENGINE=InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT='Tabelle der Label-Uebersetzungen' AUTO_INCREMENT=11 ;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"label_translation\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"label_translation\" wurde angelegt.<br />";
            }

            $res28_1 = mysqli_query($conn_neu, "INSERT INTO `label_translation` (`id`, `label_name`, `language`, `value`, `used_in`) VALUES
            (1, 'online_hinweis1', 'de', 'Es konnte keine &Uuml;berpr&uuml;fung auf Online-Updates erfolgen.<br />M&ouml;glicherweise haben Sie keinen Internet-Zugang.', '/bin/html/start.php'),
            (2, 'online_hinweis1', 'en', 'It wasn''t possible to check for online updates.<br />May be there is no online connection.', '/bin/html/start.php'),
            (3, 'online_hinweis3', 'de', '<FONT COLOR=''green''>Es sind keine Online-Updates verf&uuml;gbar.</font>', '/bin/html/start.php'),
            (4, 'online_hinweis3', 'en', '<FONT COLOR=''green''>There are no updates available.</font>', '/bin/html/start.php'),
            (5, 'loesch_text', 'de', 'Hinweis zur Datenbank-Wartung:', '/bin/html/start.php'),
            (6, 'loesch_hinweis1', 'de', '<FONT COLOR=''red''>Es wurde ein Objekt zum L&ouml;schen vorgemerkt.</FONT>', '/bin/html/start.php'),
            (7, 'loesch_hinweis2', 'de', '<FONT COLOR=''red''>Zum L&ouml;schen vorgemerkte Objekte</FONT>', '/bin/html/start.php'),
            (8, 'loesch_hinweis3', 'de', '<FONT COLOR=''green''>Es wurden keine Objekte zum L&ouml;schen vorgemerkt.</FONT>', '/bin/html/start.php'),
            (9, 'loesch_hinweis3', 'en', '<FONT COLOR=''green''>There are no pictures marked for deleting.</FONT>', '/bin/html/start.php'),
            (10, 'loesch_hinweis2', 'en', '<FONT COLOR=''red''>Marked pictures for deleting</font>', '/bin/html/start.php');");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Bef&uuml;llung der Tabelle \"label_translation\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"label_translation\" wurde mit Daten vorbelegt.<br />";
            }

            //Tabelle fuer die temporaere Ablage neuer Beschreibungstexte

            $res29 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `tmp_desc` (
            `desc_id` INT NOT NULL AUTO_INCREMENT ,
            `user_id` INT NULL ,
            `description` TEXT NULL COMMENT 'neu hinzuzufuegende Beschreibung',
            PRIMARY KEY ( `desc_id` )
            ) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT = 'temporaere Ablage neuer Beschreibungen';");

            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"tmp_desc\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"tmp_desc\" wurde angelegt.<br />";
            }
            
            $res30 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `stamp_prefs` (
              `lfdnr` int(11) NOT NULL AUTO_INCREMENT,
              `uid` int(11) NULL COMMENT 'Benutzer-ID',
              `width` int(11) NULL COMMENT 'Breite des skalieren Bildes',
              `stamp_text` varchar(250) COLLATE utf8_unicode_ci NULL COMMENT 'einzustempelnder Text',
              `fontsize` int(11) NULL COMMENT 'Schriftgroesse',
              `fontcolor` varchar(20) COLLATE utf8_unicode_ci NULL COMMENT 'Schriftfarbe',
              `margin_left` int(11) NULL COMMENT 'Einrueckung von links',
              `vertical_align` varchar(10) COLLATE utf8_unicode_ci NULL COMMENT 'vertikale Ausrichtung',
              `bg_opacity` tinyint(1) NULL COMMENT 'Hintergrund-Transparenz',
              `bgcolor` varchar(20) COLLATE utf8_unicode_ci NULL COMMENT 'Text-Hintergrundfarbe',
              PRIMARY KEY ( `lfdnr` )
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Text-Stempel-Einstellunge';");
            
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"stamp_prefs\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"stamp_prefs\" wurde angelegt.<br />";
            }
            
            $res31 = mysqli_query($conn_neu, "CREATE TABLE IF NOT EXISTS `reports` (
            `report_id` INT NOT NULL AUTO_INCREMENT ,
            `report_file` TEXT NULL COMMENT 'Report-Datei',
            `report_name` TEXT NULL COMMENT 'Report-Name',
            `report_description` TEXT NULL COMMENT 'Report-Beschreibung',
            PRIMARY KEY ( `report_id` )
            ) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT = 'Tabelle der Report-Vorlagen';");
            
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage der Tabelle \"reports\"<br />";
                $err_count++;
            }
            else
            {
                echo "Tabelle \"reports\" wurde angelegt.<br />";
            }

            if(!isset($titel))
            {
                    $titel = '';
            }
            if(!isset($name))
            {
                    $name = '';
            }
            if(!isset($vorname))
            {
                    $vorname = '';
            }
            if(!isset($strasse))
            {
                    $strasse = '';
            }
            if(!isset($telefon))
            {
                    $telefon = '';
            }

            //ersten User (pb) anlegen:
            $res115 = mysqli_query($conn_neu, "CREATE USER 'pb'@'localhost' IDENTIFIED BY 'pic_base';");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage des Benutzers pb<br />";
                $err_count++;
            }
            else
            {
                echo "Benutzer pb wurde angelegt.<br />";
            }
            //diesem User Rechte erteilen:
            $res116 = mysqli_query($conn_neu, "GRANT USAGE ON * . * TO 'pb'@'localhost' IDENTIFIED BY 'pic_base' WITH MAX_QUERIES_PER_HOUR 0 MAX_CONNECTIONS_PER_HOUR 0 MAX_UPDATES_PER_HOUR 0 MAX_USER_CONNECTIONS 0 ;");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Rechte-Vergabe (I) für Benutzer pb.<br />";
                $err_count++;
            }
            else
            {
                echo "Rechte (I) für Benutzer pb wurden gesetzt.<br />";
            }
            $res117 = mysqli_query($conn_neu, "GRANT SELECT , INSERT , UPDATE , DELETE , CREATE, DROP, ALTER ON `pic2base` . * TO 'pb'@'localhost';");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Rechte-Vergabe (II) für Benutzer pb.<br />";
                $err_count++;
            }
            else
            {
                echo "Rechte (II) für Benutzer pb wurden gesetzt.<br />";
            }
            //fuer die Uebergangszeit, solange md5sum in pictures eingefuehrt wird:
            $res118 = mysqli_query($conn_neu, "GRANT ALTER ON `pic2base`.`pictures` TO 'pb'@'localhost';");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Rechte-Vergabe für Benutzer pb auf Tabelle pictures.<br />";
                $err_count++;
            }
            else
            {
                echo "Rechte für Benutzer pb auf Tabelle pictures wurden gesetzt.<br />";
            }
            $res119 = mysqli_query($conn_neu, "GRANT ALTER ON `pic2base`.`tag_trans` TO 'pb'@'localhost';");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Rechte-Vergabe für Benutzer pb auf Tabelle tag_trans.<br />";
                $err_count++;
            }
            else
            {
                echo "Rechte für Benutzer pb auf Tabelle tag_trans wurden gesetzt.<br />";
            }
            //User pb in der user-Tabelle erzeugen:
            $pwd = 'pic_base';
            $ftp_passwd = password_hash($pwd, PASSWORD_DEFAULT);
            $apache_uid = posix_getuid();
            $apache_gid = posix_getgid();
            $res120 = mysqli_query($conn_neu, "INSERT INTO `users` (username, titel, name, vorname, strasse, plz, ort, pwd, ftp_passwd, tel, email, internet, uid, gid, aktiv, user_dir, up_dir, down_dir, group_id) VALUES ('pb', '$titel', '$name', '$vorname', '$strasse', '38889', 'Blankenburg (Harz)', '$ftp_passwd', '$ftp_passwd', '$telefon', 'info@pic2base.de', 'http://www.pic2base.de', '$apache_uid', '$apache_gid', '1', '/opt/lampp/htdocs/pic2base/userdata/pb', '/opt/lampp/htdocs/pic2base/userdata/pb/uploads', '/opt/lampp/htdocs/pic2base/userdata/pb/downloads', '1')");
            if(mysqli_error($conn_neu) !== '')
            {
                echo "Fehler bei der Anlage des Benutzers pb in der Tabelle users.<br />";
                $err_count++;
            }
            else
            {
                echo "Benutzer pb wurde in der User-Tabelle angelegt gesetzt.<br />";
            }
            include_once 'global_config.php';
            $img_path = $sr."/images";
            $track_path = $sr."/tracks";
            $tmp_path = $sr."/tmp";
            $bin_path = $sr."/bin";
            $log_path = $sr."/log";

            //Rechte auf /pic2base werden auf 770 gesetzt (und indirekt auf /pic2base/userdata):
            clearstatcache();  
            exec("chmod -R 770 $sr");
            clearstatcache();

            //setzen der Rechte auf die Ordner: bin, images, log, tmp und tracks:
            clearstatcache();  
            exec("chmod -R 700 $bin_path");
            exec("chmod -R 700 $img_path");
            exec("chmod -R 700 $log_path");
            exec("chmod -R 700 $tmp_path");
            exec("chmod -R 700 $track_path");
            clearstatcache();

            mysqli_close($conn_neu);

            $text .= "...fertig!";
            if($err_count == 0)
            {
                    echo "<meta http-equiv='Refresh' Content='5; URL=index.php'>";
            }
            else
            {
                    echo "Es traten ".$err_count." Fehler bei der Einrichtung der Datenbank auf!<br />
                    Bitte informieren Sie Ihren Administrator.<br />
                    <meta http-equiv='Refresh' Content='60; URL=index.php'>";
            }
            return;
        }
    }
}

