<?php
//[Programm-Version]
$version = "1.47.3";
$rel = "12.02.2024.1";
$vom = "(12.02.2024)";

//[copyright-Vermerk in der Fusszeile]
$cr = "<FONT COLOR=#7b7d8e>______</FONT>2006 - 2023";

//Zugangsdaten fuer den Datenbankzugriff (normaler User mit teilweisen Zugriffsbeschraenkungen auf DB pic2base (lokal))
$db_server = 'localhost';
$user = 'pb';
$PWD = 'pic_base';
$db = 'pic2base';

@$conn = mysqli_connect($db_server,$user,$PWD);
$table1 = 'users';                  // Benutzerverzeichnis
$table2 = 'pictures';               // Tabelle der Bilddaten
$table3 = 'diary';		            // Tabelle der Tagebuch-Eintraege
$table4 = 'kategorien';             // Kategorie-Tabelle;
$table5 = 'stamp_prefs';            // Skalier- und Stempel-Parameter
$table6 = 'grouppermissions';       // Gruppenrechte
$table7 = 'userpermissions';        // Benutzerrechte
$table8 = 'permissions';            // Zugriffsrechte
$table9 = 'usergroups';             // Benutzergruppen
$table10 = 'pic_kat';               // Objekt-Kategorie-Zuordnung
$table11 = 'kat_lex';               // Kategorie-Lexikon
$table12 = 'geo_locations';         // Aufnahmestandorte
$table13 = 'geo_tmp';               // wird bei der automat. Georeferenzierung verwendet
$table14 = 'tmp_copyright';         // wird bei der Bearbeitung von Copyright-Vermerken temporär benutzt
$table15 = 'tmp_tree';              // wird bei der Kategoriebaum-Umstrukturierung verwendet
$table16 = 'pfade';		            // speichert die Pfade zu den Hilfsprogrammen
$table17 = 'fileformats';           // enthaelt die von ImageMagick unterstuetzten Dateiformate
$table18 = 'data_logger';           // speichert unterstuetzte Logger-Typen
$table19 = 'timezone';              // Tabelle der Zeitzonen
$table20 = 'tag_trans';             // Uebersetzungen der Metadaten
$table21 = 'doubletten';            // temporaer mit Doubletten belegt
$table22 = 'IVE_V_pic_kat_dubls';   // temporaer bei der DB-Wartung verwendet
$table23 = 'label_translation';     // Tabelle der Label / Text-Uebersetzungen (Mehrsprachigkeit)
$table24 = 'collections';           // Tabelle der Sammlungen / Kollektionen
$table25 = 'pic_coll';              // Tabelle der Objekt-Sammlungs-Zuordnungen
$table26 = 'audio';                 // Tabelle der Audio-Dateien
$table27 = 'pic_audio';             // Tabelle der Objekt-Audio-Zuordnungen
$table28 = 'features';              // Tabelle der Objekt-Merkmale
$table29 = 'pic_feature';           // Zuordnung der Merkmale zu Bildern
$table30 = 'reports';               // Tabelle der LO-Berichte
$table31 = 'report_data';           // Tabelle der Berichts-Inhalte
$table32 = 'tmp_desc';              // temp. Zwischenablage fuer neue Beschreibungstexte
$table33 = 'user_prefs';			// benutzerspezifische UI-Einstellungen

$db_conn_error = "";
@$database = mysqli_connect('p:'.$db_server,$user,$PWD);
if (!$database) 
{
	$db_conn_error = "<p style='color:red; text-align:center;font-size:1.6em;'>Der Datenbank-Server ist nicht erreichbar!<br />Bitte informieren Sie den Administrator.</p>";
	return;
}
if (!mysqli_select_db($conn,$db)) 
{
	$text = "<p style='color:red; font-size:1.2em;'>Fehler beim Zugang zur Datenbank (db_connect.php, Z. 63): <br>
	##ERROR##, could not select database $db<br />
	##MySQL ERRNO: " . mysqli_errno($conn) . "<br />
	##MySQL ERROR: " . mysqli_error($conn) . "</p>";
	return;
}

mysqli_query($conn,"SET NAMES utf8");
//echo phpinfo();
?>
