<!DOCTYPE HTML>
<html>

<head>
  <title>Kollektion l&ouml;schen</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type='text/css' href='../css/format1.css'>
  <link rel=stylesheet type='text/css' href='../css/main.css'>
  <link rel="shortcut icon" href="images/favicon.ico">
  <script type="text/javascript" src="functions/jquery-3.2.1.min.js"></script>
  <script type="text/javascript">
  	jQuery.noConflict();
  </script>
</head>

<body>

<?php

/*
 * Project: pic2base
 * File: del_coll_action.php
 * Skript zum loeschen einer Kollektion
 * Copyright (c) 2013 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

if(array_key_exists('coll_id', $_GET))
{
	$coll_id = $_GET['coll_id'];
}
else
{
	?>
	<script type="text/javascript">
	alert("Es wurde keine Kollektion ausgewählt!");
	location.href='../html/edit/edit_collection.php';
	</script>
	<?php 
}

include '../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
//include $sr.'/bin/css/initial_layout_settings.php';

echo "
<div class='klein'>
	<div class='body_grid'>
	
		<div class='header'>
			pic2base :: Kollektion l&ouml;schen
		</div>
		
		<div class='navigation'>
			<div class='menucontainer'>
			</div>
		</div>
		
		<div class = 'content' id='content'>
			<fieldset class='normal' style=' height:95%;overflow:hidden;'>
			<legend class='normal'>Kollektion wird gel&ouml;scht...</legend>
			<div id='scrollbox2' style='overflow-y:scroll;'>";
                $count = 0;
				//echo $coll_id;
                // Die Kollektion wird aus der Tabelle collections geloescht:
				$result1 = mysqli_query($conn, "DELETE FROM $table24 WHERE coll_id = '$coll_id' LIMIT 1");	//echo mysqli_error($conn);
                if (mysqli_error($conn) !== "")
                {
                    echo mysqli_error($conn);
                    $error1 = "<br /><p class='klein_red'>Die Kollektion wurde NICHT entfernt.<br />
					Bitte informieren Sie Ihren Administrator.</p><br />";
                    $count = $count + 1;
                }
                //Alle Objekte werden aus der Kollektion-Objekt-Zuordnungs-Tabelle geloescht:
                $result2 = mysqli_query($conn, "DELETE FROM $table25 WHERE coll_id = '$coll_id'");
                if (mysqli_error($conn) !== "")
                {
                    echo mysqli_error($conn);
                    $error2 = "<br /><p class='klein_red'>Die Objekt / Kollektions-Zuordnungen konnten NICHT entfernt werden.<br />
					Bitte informieren Sie Ihren Administrator.</p><br />";
                    $count = $count + 2;
                }

                switch($count)
                {
                    case "0":
                    ?>
                    <script type="text/javascript">
                    //alert("Die Kollektion wurde entfernt.");  // auskommentiert. (Eine Meldung zuviel...)
                    location.href='../html/edit/edit_collection.php';
                    </script>
                    <?php 
                    break;
                    
                    case "1":
                    ?>
                    <script type="text/javascript">
                    alert("Es gibt ein Problem: Die Kollektion wurde NICHT entfernt.");
                    location.href='../html/edit/edit_collection.php';
                    </script>
                    <?php
                    break;
                
                    case "2":
                    ?>
                    <script type="text/javascript">
                    alert("Es gibt ein Problem: Die Objekt-Kollektions-Zuordnungen konnten NICHT entfernt werden.");
                    location.href='../html/edit/edit_collection.php';
                    </script>
                    <?php 
                    break; 
                
                    case "3":
                    ?>
                    <script type="text/javascript">
                    alert("Es gibt zwei Probleme: Die Kollektion konnte nicht entfernt werden und die Objekt-Kollektions-Zuordnungen konnten NICHT entfernt werden.");
                    location.href='../html/edit/edit_collection.php';
                    </script>
                    <?php 
                    break; 
                }
			echo "
			</div>
			</fieldset>
		</div>
		
		<div class='footer'>
			<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
		</div>
	
	</div>
</div>
</body>
</html>";
?>


