<?php

//#####################################################################################################
// wird im Filmstreifen, PreviewLayer bzw. TimeLine-Ansicht beim entfernen von Bildern aus dem        #
// Download-Ordner verwendet                                                                          #
//#####################################################################################################


include 'read_session_prefs.php';
include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/permissions.php';

//var_dump($_GET);
if ( array_key_exists('FileName',$_GET) )
{
	$FileName = $_GET['FileName'];
}

if ( array_key_exists('pic_id',$_GET) )
{
	$pic_id = $_GET['pic_id'];
}

if ( array_key_exists('source',$_GET) )
{
    $source = $_GET['source'];
}
// falls es sich bei der zu löschenden Datei um eine Video-Datei handelt, wird zunaechst deren Vorschau-Datei geloescht:
$vs_datei = $ftp_path."/".$uid."/downloads/".$pic_id.".webm";
if(file_exists($vs_datei))
{
    @unlink($vs_datei);
}

$datei = $ftp_path."/".$uid."/downloads/".$FileName;
//echo $datei;
if(@unlink($datei))
{
    $result1 = mysqli_query($conn, "UPDATE $table2 SET ranking = ranking - 1 WHERE pic_id = '$pic_id'");
    $result2 = mysqli_query($conn, "SELECT FileNameV FROM $table2 WHERE pic_id = '$pic_id'");
    $row2 = mysqli_fetch_assoc($result2);
    $FileNameV = $row2['FileNameV'];
    if($source == 'fs')
    {
        if(hasPermission($uid, 'rotatepicture', $sr))
        {
            echo "
            <SPAN style='cursor:pointer;' onClick='rotPrevPic(\"8\", \"$FileNameV\", \"$pic_id\", \"$fs_hoehe\")'>
                <img src=\"$inst_path/pic2base/bin/share/images/90-ccw.svg\" class='icon3' style='margin-right:5px;' title='Vorschaubild 90&#176; links drehen' />
            </span>

            <SPAN style='cursor:pointer;' onClick='copyPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")'>
                <img src='$inst_path/pic2base/bin/share/images/download.svg' class='icon3' title='Objekt in den FTP-Download-Ordner kopieren' />
            </SPAN>

            <SPAN style='cursor:pointer;' onClick='rotPrevPic(\"6\", \"$FileNameV\", \"$pic_id\", \"$fs_hoehe\")'>
                <img src=\"$inst_path/pic2base/bin/share/images/90-cw.svg\" class='icon3' style='margin-left:5px;' title='Vorschaubild 90&#176; rechts drehen' />
            </span>";
        }
        else
        {
            echo "
            <SPAN style='cursor:pointer;' onClick='copyPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")'>
                <img src='$inst_path/pic2base/bin/share/images/download.svg' class='icon3' title='Objekt in den FTP-Download-Ordner kopieren' />
            </SPAN>";
        }
    }
    elseif ($source == 'pl') 
    {
        echo "<img src='$inst_path/pic2base/bin/share/images/download.svg' class='pl' onClick='copyPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt in den FTP-Download-Ordner kopieren (D-Taste)' />";
    }
    elseif ($source == 'tl') 
    {
        echo "<img src='$inst_path/pic2base/bin/share/images/download.svg' class='tl' onClick='copyPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt in den FTP-Download-Ordner kopieren' />";
    }
    //Log-Datei schreiben:
    $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
    flock($fh, LOCK_EX);
    fwrite($fh,date('d.m.Y H:i:s').": Download des Bildes ".$pic_id." wurde von ".$uid." abgebrochen. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
    flock($fh, LOCK_UN);
    fclose($fh);
}
else
{
    //echo "Konnte die Datei ".$FileName." / ".$datei." nicht l&ouml;schen!<br />Source: ".$source."<br />";
    echo "
    <SPAN style='cursor:pointer;' onClick='copyPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")'>
        <img src='$inst_path/pic2base/bin/share/images/download.svg' class='pl' title='Objekt in den FTP-Download-Ordner kopieren' />
    </SPAN>";
}

//es wird ermittelt, ob im Download-Ordner weitere Dateien mit dem Stamm-Namen existieren (z.B. 1234567676)
//Wenn ja, wird geprueft, wieviel hiervon Scene-Dateien sind (z.B. 1234567676-1.jpg) und wieviele Nicht-JPG-Objekte sind (z.B. 1234567676.bmp)
//nur wenn keine scene-Dateien mehr im Download-Ordner sind, wird auch die Nicht-JPG-Datei geloescht

$file_info = pathinfo($datei);
$base_name = substr($file_info['basename'],0,-4);
//echo $base_name;
$result3 = mysqli_query($conn, "SELECT * FROM $table2 WHERE FileName LIKE '$base_name%'");
$num3 = mysqli_num_rows($result3);	//es gibt in der DB insges. $num23Dateien mit dem Stammnamen.
//echo $num3." Dateien mit Stammnamen in DB<br />";
$k = '0';
$row3 = mysqli_fetch_assoc($result3);
for($i3='0'; $i3<$num3; $i3++)
{
    $file_name = $row3['FileName'];
    if(file_exists($ftp_path."/".$uid."/downloads/".$file_name))
    {
        $k++;
    }
}
//es befinden sich nun noch weitere $k Dateien im Download-Ordner.
//echo "davon ".$k." noch im Download-Ordner.";
if($k == '0')
{
    //wenn keine Stamm-Datei mehr im Download-Ordner mehr ist wird eine evtl. vorh. Nicht-JPG-Datei geloescht:
    foreach($supported_filetypes AS $sft)
    {
        if(file_exists($ftp_path."/".$uid."/downloads/".$base_name.".".$sft))
        {
            //echo "Es gibt eine Nicht-JPG-Datei";
            unlink($ftp_path."/".$uid."/downloads/".$base_name.".".$sft);
        }
    }
}
?>