<?php

//var_dump($_GET);
function createPreviewAjax($pic_id, $max_size, $quality) 
{
    //Erzeugung einer Bildvorschau unter optimaler Nutzung des Bildschirmes;
    //Qualitaeten: 1 - Vorschaubild; 2 - HQ-Objekt; 3 - Original-Objekt
    include '../share/global_config.php';
    include $sr . '/bin/share/db_connect1.php';
    
    $exiftool = buildExiftoolCommand($sr);
    $zeit = time();     // wird benötigt, um Caching der Bilder nach der Rotation zu verhindern
    $res0 = mysqli_query($conn, "SELECT FileNameV, FileNameHQ, FileName, FileNameOri, ExifImageWidth, ExifImageHeight, Orientation, MediaType FROM $table2 WHERE pic_id='$pic_id'");
    $row0 = mysqli_fetch_array($res0);
    $FileNameV = $row0['FileNameV'];
    $FileNameHQ = $row0['FileNameHQ'];
    $FileName = $row0['FileName'];
    $FileNameOri = $row0['FileNameOri'];
    $Width = $row0['ExifImageWidth'];
    $Height = $row0['ExifImageHeight'];
    $Orientation = $row0['Orientation'];
    $MediaType = $row0['MediaType'];

    $FileNameOri_ext = explode('.', $FileNameOri);    
    $ext = strtolower($FileNameOri_ext[1]); //Extension des Original-Bildes in Kleinschreibweise
    $FILE= 'http://' . $_SERVER['SERVER_NAME'] . $inst_path . '/pic2base/images/originale/' .$pic_id.".".$ext;
    //abgeleitete Groessen:
    @$parameter_v = getimagesize($sr . '/images/vorschau/thumbs/' . $FileNameV);
    @$parameter_hq = getimagesize($sr . '/images/vorschau/hq-preview/' . $FileNameHQ);
    @$parameter_o = getimagesize($sr . '/images/originale/' . $FileName);

    switch ($quality) {
        case '1':
            $breite = $parameter_v[0];
            $hoehe = $parameter_v[1];
            $bildname = 'http://' . $sr . '/images/vorschau/thumbs/' . $FileNameV.'?zeit='.$zeit;
            break;

        case '2':
            $breite = $parameter_hq[0];
            $hoehe = $parameter_hq[1];
            $bildname = 'http://' . $sr . '/images/vorschau/hq-preview/' . $FileNameHQ.'?zeit='.$zeit;
            break;

        case '3':
            $breite = $parameter_o[0];
            $hoehe = $parameter_o[1];
            switch ($Orientation) {
                case '':
                case 0:
                case 1:
                    $bildname = 'http://' . $_SERVER['SERVER_NAME'] . $inst_path . '/pic2base/images/originale/' . $FileName.'?zeit='.$zeit;
                    break;

                default:
                    //wenn das Objekt nicht landscape ist wird geprueft, ob es dieses Objekt schon in gedrehter Form gibt:
                    $verz = opendir($sr . '/images/originale/rotated');
                    $n = 0;
                    while ($bilddatei = readdir($verz)) 
                    {
                        if ($bilddatei != "." && $bilddatei != "..") 
                        {
                            if ($bilddatei == $FileName) 
                            {
                                $n++;
                            }
                        }
                    }
//			       echo "N: ".$n."<br />";
                    if ($n > '0') 
                    {
                        //wenn ein bereits gedrehtes Objekt gefunden wurde, verwende dies:
                        $bildname = 'http://' . $_SERVER['SERVER_NAME'] . $inst_path . '/pic2base/images/originale/rotated/' . $FileName.'?zeit='.$zeit;
                    } 
                    else 
                    {
                        //wenn keins gefunden wurde wird es gedreht und dann angezeigt:
                        $bildname = 'http://' . $_SERVER['SERVER_NAME'] . $inst_path . '/pic2base/images/originale/' . $FileName.'?zeit='.$zeit;
                        if ($ext == 'nef') 
                        {
                            copy("$pic_path/$FileName", "$pic_rot_path/$FileName");
                            clearstatcache();
                            chmod($pic_rot_path . "/" . $FileName, 0700);
                            clearstatcache();
                        } 
                        else 
                        {
                            switch ($Orientation) 
                            {
                                case 3:
                                case 180:
                                    //Das Vorschaubild muss 180 gedreht werden:
                                    $command = "/usr/bin/convert " . $pic_path . "/" . $FileName . " -rotate 180 " . $pic_rot_path . "/" . $FileName . "";
                                    $output = shell_exec($command);
                                    break;

                                case 6:
                                case 90:
                                    //Das Vorschaubild muss 90 im Uhrzeigersinn gedreht werden:
                                    $command = "/usr/bin/convert " . $pic_path . "/" . $FileName . " -rotate 90 " . $pic_rot_path . "/" . $FileName . "";
                                    //echo $command;
                                    $output = shell_exec($command);
                                    break;

                                case 8:
                                case 270:
                                    //Das Vorschaubild muss 90 entgegen dem Uhrzeigersinn gedreht werden:
                                    $command = "/usr/bin/convert " . $pic_path . "/" . $FileName . " -rotate 270 " . $pic_rot_path . "/" . $FileName . "";
                                    $output = shell_exec($command);
                                    break;
                            }
                        }
                    }
                    $parameter_o_r = getimagesize($sr . '/images/originale/rotated/' . $FileName);
                    $breite = $parameter_o_r[0];
                    $hoehe = $parameter_o_r[1];
                    break;
            }
            //echo $bildname;
            break;
    }

    if ($hoehe !== 0 AND $hoehe !== NULL) 
    {
        $ratio_pic = $breite / $hoehe;
    }
    else 
    {
        $ratio_pic = 1;
        // Log-Datei im Fehlerfall schreiben:
        $message = "F E H L E R ! - Fuer Objekt " . $pic_id . " / " . $FileName . " konnte die Hoehe / Breite nicht bestimmt werden. (Quelle: ajax_functions.php, Z. 128)\n";
        writeLog($message, $sr);
    }

    switch ($Orientation) 
    {
        case '':
        case '0':
        case '1':
        case '3':
        case '180':
            $Height = $row0['ExifImageHeight'];
            $Width = $row0['ExifImageWidth'];
        break;

        case '6':
        case '90':
        case '8':
        case '270':
            $Height = $row0['ExifImageWidth'];
            $Width = $row0['ExifImageHeight'];
        break;
    }

    $breite_v = $parameter_v[0];
    $hoehe_v = $parameter_v[1];
    if ($breite_v >= $hoehe_v) 
    {
        $Breite = $max_size;
        $Hoehe = number_format(($Breite * $hoehe_v / $breite_v), 0, ',', '.');
    } 
    else 
    {
        $Hoehe = $max_size;
        $Breite = number_format(($Hoehe * $breite_v / $hoehe_v), 0, ',', '.');
    }
    // bei Images: vergrößerte Vorschau
    // bei Videos: Wiedergabe im Player
    // bei Audios: Wiedergabe im Player
    // Fkt. ZeigeBild ist in share/functions/ShowPicture.js enthalten

    if($MediaType == 'v')
    {
        // Fallunterscheidung:
        // Wenn ein Vorschau-Video als mp4 existiert, kann dies angezeigt werden:
        if(previewVideoExists($pic_id, $sr))
        {
            $preview_video_file = 'http://' . $_SERVER['SERVER_NAME'] .'/'. str_replace($doc_root, '', getPreviewVideoFileName($pic_id, $sr));
            // Zu grosses Vorschau-Video sieht matschig aus, daher Verringerung der Ansichtsgrösse:
            // ZeigeVideo in: /share/functions/ShowPicture.js
            $Width = $Width/2;
            $Height = $Height/2;
            echo "<span style='cursor:pointer;'>
            <a onClick=\"ZeigeVideo('$preview_video_file', '$Width', '$Height');return false\" title='Video ansehen'>
            <div>
            <img src='$inst_path/pic2base/images/vorschau/thumbs/$FileNameV' alt='Video' width=$Breite height=$Hoehe z='5' border='0'>
            </div>
            </a></span>";
        }
        else 
        {
            // Wenn kein mp4-Vorschauvideo existiert, wird ein Hinweis angezeigt:
            echo "<span style='cursor:pointer;'>
            <a title='Es ist noch kein Vorschau-Video vorhanden.'>
            <div>
            <img src='$inst_path/pic2base/images/vorschau/thumbs/$FileNameV' alt='Video' width=$Breite height=$Hoehe z='5' border='0'>
            </div>
            </a></span>";
        }
        
    }
    elseif($MediaType == 'i')
    {
        $zeit = time();     // Fkt. ZeigeBild ist in share/functions/ShowPicture.js
        echo "<span style='cursor:pointer;'>
        <a onclick=\"ZeigeBild('$bildname', '$Width', '$Height', '$ratio_pic', 'ori', '');return false\"  title='Ansicht in optimaler Qualit&auml;t\nBildname: $bildname\nBild-Hoehe: $Height\nBild-Breite: $Width\nRatio: $ratio_pic'>
        <div class='shadow_1'>
        <img src='$inst_path/pic2base/images/vorschau/thumbs/$FileNameV?zeit=$zeit' alt='Vorschaubild' width=$Breite height=$Hoehe z='5' border='0'>
        </div>
        </span></a>";
    }
    elseif ($MediaType == 'a')
    {
        $zeit = time(); // Fkt. playAudio ist in share/functions/ShowPicture.js
        echo "<span style='cursor:pointer;'>
        <a onClick=\"playAudio('$inst_path/pic2base/images/originale/$pic_id.mp3', '$inst_path/pic2base/images/originale/$pic_id.jpg');return false\" title='Audio-Datei wiedergeben'>
        <div>
        <img src='$inst_path/pic2base/images/vorschau/thumbs/$FileNameV?zeit=$zeit' alt='Audio' width=$Breite height=$Hoehe z='5' border='0'>
        </div>
        </a></span>";
    }
}

function getShortFS($FileSize) {
    switch ($FileSize) {
        case $FileSize < 1024:
            $fs = $FileSize;
            echo $fs . " Byte";
        break;

        case $FileSize < 1048576:
            $fs = number_format(($FileSize / 1024), 1, ',', '.');
            echo $fs . " kB";
        break;

        case ($FileSize > 1048576 AND $FileSize < 1073741824):
            $fs = number_format(($FileSize / 1048576), 1, ',', '.');
            echo $fs . " MB";
        break;

        case $FileSize > 1073741824:
            $fs = number_format(($FileSize / 1073741824), 1, ',', '.');
            echo $fs . " GB";
        break;
    }
}
?>

<script type="text/javascript">

    ImageState = function (picId, baseFile, mod)
    {
        this.picId = picId;
        this.baseFile = baseFile;
        this.mod = mod;
    };

    currImageState = new ImageState(0, "", "");
    getDetailsAjax = null;

    function getPreview(kat_id, ID, mod, pic_id, modus, base_file, bewertung, auswahl, position, jump, treestatus, win_width)
    {
        var url = '../../share/get_preview.php';
        var params = 'kat_id=' + kat_id + '&ID=' + ID + '&mod=' + mod + '&pic_id=' + pic_id + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&auswahl=' + auswahl + '&position=' + position + '&jump=' + jump + '&treestatus=' + treestatus + '&win_width=' + win_width;
        //alert("Parameter in AJAX-Functions, Z. 242 (Fkt. getPreview): " + params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

    function getTimePreview(j, m, t, pic_id, mod, modus, base_file, bewertung, auswahl, position, jump, win_width)
    {
        // win_width: aktuelle Fensterbreite, aus der die Anzahl der Objekte in einem Filmstreifen ermittelt werden
        // position: Welcher Ausschnitt des Filmstreifens dargestellt wird
        // Der Parameter auswahl wird nur aus Kompatibilitätsgründen zur Suche nach Kategorien mitgeführt
        // jump: in welche Richtung navigiert wird: 1: 6 Objekte weiter; 2: zum Ende; -1: 6 Objekte zurueck; -2: zum Anfang
        var url = '../../share/get_preview.php';
        var params = 'j=' + j + '&m=' + m + '&t=' + t + '&pic_id=' + pic_id + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&auswahl=' + auswahl + '&position=' + position + '&jump=' + jump + "&win_width=" + win_width;
        //alert("Parameter in AJAX-Fkt., Z. 255 -> getTimePreview: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

    function getTimePreview2(j, m, t, pic_id, mod, modus, base_file, sr)
    {
        var url = '../../share/get_preview.php';
        var params = 'j=' + j + '&m=' + m + '&t=' + t + '&pic_id=' + pic_id + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file;
        //alert("Parameter in getTimePreview2: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

    function getFormElements(formular)
    {
        var form = $(formular);
        //alert("Formular-Elemente aus "+form);
        form.getInputs();
        form.reset('formular');
    }

    function magnifyPic(pic_id)
    {
        //alert("Pic-ID: " + pic_id);
        //als Ersatz fuer entspr. Fkt. in resize_elements.js:
        var hor_preview_size = ((window.innerWidth - 161) / 2) -45;
        var vert_preview_size = window.innerHeight - 320;
        var url = '../../share/magnify_pic.php';
        var params = 'pic_id=' + pic_id + '&hor_preview_size=' + hor_preview_size + '&vert_preview_size=' + vert_preview_size;
        //alert("Parameter in AJAX-Functions, Z. 285: " + params);
        var target = 'spalte2F';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    var divMarked = null;
    
    function getDetails(pic_id, base_file, mod, form_name, bewertung, restriction)
    {
        //console.trace("getDetails");
        currImageState.baseFile = (currImageState.baseFile === "" ? base_file : currImageState.baseFile);
        currImageState.mod = (currImageState.mod === "" ? mod : currImageState.mod);
        //alert("Pos. 0 (edit): " + restriction.charAt(0) + ", Pos. 1 (delete): " + restriction.charAt(1) + ", Pos. 2 (Geo-Ref.): " + restriction.charAt(2));
        if ((getDetailsAjax != null) && (!getDetailsAjax._complete))
        {
            getDetailsAjax.transport.abort();
        }
        setPreviewMark(document.getElementById("filmStripImage_" + pic_id));
        getDetailsAjax = new Ajax.Updater
        (
            'spalte2F',
            '../../share/get_details.php',
            {
                method: 'get',
                parameters: 'pic_id=' + pic_id + '&base_file=' + base_file + '&mod=' + mod + '&form_name=' + form_name + '&bewertung=' + bewertung + '&restriction=' + restriction,
                onComplete: function()
                {
            		jQuery("#spalte2F").trigger("detailLoaded", [pic_id]);
            		// auslösen div. Operationen mit Tasten-Kürzeln:
            		self.keyPressed = function keyPressed(Ereignis) 
            		//function keyPressed(Ereignis)
            	    {
            			// Aktionen nur ausführen, wenn der focus NICHT auf Texteigabe-Feldern für Suchkriterien liegt!!!
						if(event.target.id !=='needle' && event.target.id !=='kat_text_feld3' && event.target.id !=='exif_feld3' 
							&& event.target.id !=='sel_desc1' && event.target.id !=='sel_desc2'	&& event.target.id !=='sel_desc3' && event.target.id !=='sel_desc4' && event.target.id !=='sel_desc5' 
								&& event.target.id !=='desc1' && event.target.id !=='desc2' && event.target.id !=='desc3' && event.target.id !=='desc4' && event.target.id !=='desc5')
						{
                			// und wenn das PreviewLayer nicht existiert!
                			if(document.getElementById('divImageLarge') === null)
                        	{
                    	        Ereignis = window.event;
                    	      	//alert(event.target.id);
                    	      	// Objekt-Bewertung ändern:
        						if(restriction.charAt(0) == 0)
        						{
        							if(Ereignis.which == 49 && event.target.id !== 'desc_textarea')
        	            	        {
        	            	    		//alert("Note für Objekt: " + pic_id + " auf 5 setzen (1 Stern), Tasten-Code (1): " + Ereignis.which);
        	            	    		saveNewNote(pic_id, '5', '12', '');
        	            	        }
        	            	        else if(Ereignis.which == 50 && event.target.id !== 'desc_textarea')
        	            	        {
        	            	    		//alert("Note für Objekt: " + pic_id + " auf 4 setzen (2 Sterne), Tasten-Code (2): " + Ereignis.which);
        	            	    		saveNewNote(pic_id, '4', '12', '');
        	            	        }
        	            	        else if(Ereignis.which == 51 && event.target.id !== 'desc_textarea')
        	            	        {
        	            	    		//alert("Note für Objekt: " + pic_id + " auf 3 setzen (3 Sterne), Tasten-Code (3): " + Ereignis.which);
        	            	        	saveNewNote(pic_id, '3', '12', '');
        	            	        }
        	            	        else if(Ereignis.which == 52 && event.target.id !== 'desc_textarea')
        	            	        {
        	            	    		//alert("Note für Objekt: " + pic_id + " auf 2 setzen (4 Sterne), Tasten-Code (4): " + Ereignis.which);
        	            	        	saveNewNote(pic_id, '2', '12', '');
        	            	        }
        	            	        else if(Ereignis.which == 53 && event.target.id !== 'desc_textarea')
        	            	        {
        	            	    		//alert("Note für Objekt: " + pic_id + " auf 1 setzen (5 Sterne), Tasten-Code (5): " + Ereignis.which);
        	            	        	saveNewNote(pic_id, '1', '12', '');
        	            	        }
        						}
        						else
        						{
        							if((Ereignis.which == 49 || Ereignis.which == 50 || Ereignis.which == 51 || Ereignis.which == 52 || Ereignis.which == 53) && event.target.id !== 'desc_textarea')
        							{
        								alert("Sie sind nicht berechtigt, die Bewertung des Objektes zu ändern.");
        							}
        						}
    							// Geo-Referenzierung
                    	        if(Ereignis.which == 71 && restriction.charAt(2) == 0 && event.target.id !== 'desc_textarea')
                    	        {
                    	    		//alert("zur Geo-Referenzierung für Objekt " + pic_id + ", Tasten-Code (G): " + Ereignis.which);
                    	    		changeGeoParam(pic_id);
                    	        }
                    	        else if(Ereignis.which == 71 && restriction.charAt(2) !== 0 && event.target.id !== 'desc_textarea')
                    	        {
        							alert("Sie haben keine Berechtigung, die Geo-Referenzierung dieses Objektes zu ändern.");
                    	        }

        						// Objekt löschen
                    	        if(Ereignis.which == 46 && restriction.charAt(1) == 0 && event.target.id !== 'desc_textarea')
                    	        {
                    	    		//alert("Objekt löschen: " + pic_id + ", Tasten-Code (Entf.): " + Ereignis.which);
                    	    		showDelWarning(pic_id);
                    	        }
                    	        else if(Ereignis.which == 46 && restriction.charAt(1) !== 0 && event.target.id !== 'desc_textarea')
                    	        {
                    	    		alert("Sie haben keine Berechtigung, das Objekt zu löschen\noder das Objekt ist Bestandteil einer Kollektion. ");
                    	        }

                    	        // Aufnahmestandort in der Karte zeigen
                    	        if(Ereignis.which == 75 && event.target.id !== 'desc_textarea')
                    	        {
                    	    		//alert("Objekt: " + pic_id + " auf der Karte anzeigen, Tasten-Code (K): " + Ereignis.which);
                    	    		showMap(pic_id);
                    	        }
                    	        else if(Ereignis.which == 73 && event.target.id !== 'desc_textarea')
                    	        {
                    	    		//alert("Info zum Objekt: " + pic_id + " anzeigen, Tasten-Code (I): " + Ereignis.which);
                    	    		showAllDetails(mod, pic_id);
                    	        }
								// OCR-Ergebnis anzeigen und editieren
                    	        if(Ereignis.which == 84 && restriction.charAt(0) == 0 && event.target.id !== 'desc_textarea')
                    	        {
                    	        	//alert("erkannten Text zum Objekt: " + pic_id + " anzeigen, Tasten-Code (T): " + Ereignis.which);
                    	        	showOcrResult(mod, pic_id);
                    	        }
                    	        else if(Ereignis.which == 84 && restriction.charAt(0) !== 0 && event.target.id !== 'desc_textarea')
                    	        {
									alert("Ihnen fehlt die Berechtigung, dieses Objekt zu bearbeiten\noder es liegt keine Texterkennung vor.");
                    	        }
                        	}             	        
            			}
            	    }
            		document.onkeydown = keyPressed;
                }
            }
        );
    }

    function unsetPreviewMark()
    {
        if (divMarked != null)
        {
            // gruene Umrandung des selektierten Bildes verstecken
            divMarked.classList.remove('selected');
        }
    }

    function setPreviewMark(newDivMark)
    {
        //alert(newDivMark.innerHTML);
        unsetPreviewMark();
        divMarked = newDivMark;
        // gruene Umrandung des selektierten Bildes anzeigen
        divMarked.classList.add('selected');
    }

/*  auskommentiert am 28.11.2021 (ab V. 1.46.4)
    function getInfo(id, zeit)
    {
        //alert("ID: "+id+", Zeit: "+zeit);
        var url = '../../share/get_info.php';
        var params = 'id=' + id + '&zeit=' + zeit;
        var target = 'spalte2F';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }
*/
    function getGeoPreview1(long, lat, alt, radius1, einheit1, mod, modus, base_file, form_name, bewertung, position, jump, win_width)
    {
        var url = '../../share/get_preview.php';
        var params = 'long=' + long + '&lat=' + lat + '&alt=' + alt + '&radius1=' + radius1 + '&einheit1=' + einheit1 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&form_name=' + form_name + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&win_width=' + win_width;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

    function getGeoPreview2(ort, radius2, einheit2, mod, modus, base_file, form_name, bewertung, position, jump, win_width)
    {
        var url = '../../share/get_preview.php';
        var params = 'ort=' + ort + '&radius2=' + radius2 + '&einheit2=' + einheit2 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&form_name=' + form_name + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&win_width=' + win_width;
        //alert("Parameter in GetGeoPreview2: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

    function showGeoRechMap()
    {
		// Fkt. stellt die Karte zur Auswahl des Aufnahme-Standortes / Umkreises bei der Suche nach Geo-Param. zur Verfügung
		var url = '../../share/select_geo_param.php';
		var target = 'spalte1F';
		//alert("Karten-Aufruf");
        var myAjax = new Ajax.Updater(target, url, {onCreate: blende_ein, onComplete: blende_aus, evalScripts: true});
    }

    function renewMap(geojsonFile)
    {
		// stellt die Kartenansicht erweitert um die Ebene der gefundenen Objekte bei der Suche nach Geo-Koordinaten (via Kartenauswahl) dar
		var params = 'geojsonFile=' + geojsonFile; 
		//alert("AJAX-Parameter: " + params);
    	var url = '../../share/select_geo_param.php';
		var target = 'spalte1F';
		var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus, evalScripts: true});
    }

    function getDescPreview1(desc1, bed1, desc2, bed2, desc3, bed3, desc4, bed4, desc5, mod, modus, base_file, bewertung, position, jump, win_width)
    {
        var url = '../../share/get_preview.php';
        var params = 'desc1=' + desc1 + '&bed1=' + bed1 + '&desc2=' + desc2 + '&bed2=' + bed2 + '&desc3=' + desc3 + '&bed3=' + bed3 + '&desc4=' + desc4 + '&bed4=' + bed4 + '&desc5=' + desc5 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&win_width=' + win_width;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

    function getExifPreview(zusatz1, bedingung1, zw1, mod, modus, base_file, bewertung, position, jump, win_width)
    {
        var url = '../../share/get_preview.php';
        var params = 'zusatz1=' + zusatz1 + '&bedingung1=' + bedingung1 + '&zw1=' + zw1 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&win_width=' + win_width;
        //alert("Parameter (in ajax_functions.php, Z. 486): "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

//  ####################################  Volltext-Suche  ##########################################################

	function getFulltextPreview(needle, ftsm, mod, modus, base_file, bewertung, position, jump, win_width)
    {
        var url = '../../share/get_preview.php';
        var params = 'needle=' + needle + '&ftsm=' + ftsm + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&win_width=' + win_width;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }

//  ################################################################################################################


//  ####################################  erweiterte Suche  ########################################################
//  ################################################################################################################
//  allgemeine Anzeige der Treffer nach Klick auf den Suchen-Button
	function getExtSearchPreview(urlParams, mod, modus, base_file, bewertung, position, jump, win_width)
    {
        var url = '../../share/get_preview.php';
        var urlParamsStringArray = [];
        //console.log(urlParams);
        for (var i = 0; i < urlParams.length; ++i)
    	{
        	urlParamsStringArray.push(urlParams[i].key + "=" + encodeURIComponent(urlParams[i].value));
    	}
//      urlParamsStringArray.join("&");
//      var params = 'mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&' + urlParamsStringArray.join("&");
        var params = urlParamsStringArray.join("&") + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&win_width=' + win_width;
//      alert("URL-Parameter in ajax_functions, Z. 549: " + params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }
//	Darstellung des Filmstreifens bei der Navigation mittels Vor-/Zurück-Pfeile
    function getExtSearchPrevSteps(urlParams, width)
    {
    	var url = '../../share/get_preview.php';
    	var urlParamsStringArray = [];
        //console.log(urlParams);
		
        for (var i = 0; i < urlParams.length; ++i)
    	{
        	if (urlParams[i].key == "jump")
        	{
        		urlParams[i].value = width;
        	}
        	urlParamsStringArray.push(urlParams[i].key + "=" + encodeURIComponent(urlParams[i].value));
    	}
            
		var params = urlParamsStringArray.join("&");
        //alert("URL-Parameter: " + params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }
//	Darstellung des Filmstreifens bei der Navigation mit den Slider-Buttons unterhalb der Bilder
    function getExtSearchPrevSlider(urlParams, position)
    {
    	var url = '../../share/get_preview.php';
    	var urlParamsStringArray = [];
        //console.log(urlParams);
		
            for (var i = 0; i < urlParams.length; ++i)
        	{
            	if (urlParams[i].key == "position")
            	{
            		urlParams[i].value = position;
            	}
            	else if (urlParams[i].key == "jump")
            	{
            		urlParams[i].value = 99;
            	}
            	urlParamsStringArray.push(urlParams[i].key + "=" + encodeURIComponent(urlParams[i].value));
        	}
		var params = urlParamsStringArray.join("&");
        //alert("URL-Parameter: " + params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: filmstreifen_geladen});
    }
//  #################################################################################################################
//  #################################################################################################################
    function scorePic(pic_id,dimension,source)
    {
    	//zeigt zugewiesene Bewertung und ermöglicht deren Veränderung in der vergr. Vorschau im Recherche-Modul
        var url = '../../share/set_score.php';
        var params = '&pic_id=' + pic_id + '&dimension=' + dimension + '&source=' + source;
        //alert("ajax_functions, Z. 577; Parameter: " + params);
		var target = 'star_set3';
		//alert("ajax_functions, Z. 579; Target: " + target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

// Download / Ruecknahme im Kollektions-Modus:  ###################################################################    

    function addPicture(coll_id, pic_id, uid, source)
    {
        //fuegt neue Objekt-Zuordnung in Tabelle pic_coll ein (ueber Filmstreifen, Jahrbücher-Ansicht und vergr. Vorschau) im Recherche-Modul
        var url = '../../share/add_picture.php';
        var params = 'coll_id=' + coll_id + '&pic_id=' + pic_id + '&uid=' + uid + '&source=' + source;
        //alert("Parameter: "+params);
        if (source == 'fs')
        {
        	var target = 'box' + pic_id;
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
        }
        else if (source == 'pl')
        {
        	var target = 'divPreviewDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
        }
        else if (source == 'tl')
        {
        	var target = 'divDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onComplete: setTimeout(function() {showObjectDetails(pic_id)}, 500)});
        }
    }
    
    function removePicture(coll_id, pic_id, uid, source)
    {
        //entfernt Objekt-Zuordnung aus der Tabelle pic_coll (ueber Filmstreifen, Jahrbücher-Ansicht und vergr. Vorschau) im Recherche-Modul
        var url = '../../share/rem_picture.php';
        var params = 'coll_id=' + coll_id + '&pic_id=' + pic_id + '&uid=' + uid + "&source=" + source;
        //alert("Parameter: "+params);
        if (source == 'fs')
        {
        	var target = 'box' + pic_id;
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
        }
        else if (source == 'pl')
        {
        	var target = 'divPreviewDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
        }
        else if (source == 'tl')
        {
        	var target = 'divDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onComplete: setTimeout(function() {showObjectDetails(pic_id)}, 500)});
        }
    }

    function removePicture2(coll_id, pic_id, uid)
    {
        //entfernt Objekt-Zuordnung aus der Tabelle pic_coll ueber die Kollektions-Ansicht im Edit-Modul (edit_selected_collection.php)
        var url = '../../share/rem_picture2.php';
        var params = 'coll_id=' + coll_id + '&pic_id=' + pic_id + '&uid=' + uid;
        //alert("Parameter in AJAX-Fkt: "+params);
        var target = 'coll';
        //alert("Ziel im aufrufenden Skript: " + target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, evalSripts: true});
    }
    
// Download / Ruecknahme im Normal-Modus: ################################################################

    function delPicture(FileName, uid, pic_id, source, waitUntilDeleted)
    {
        //loescht Objekt-Datei aus dem DOWNLOAD-Ordner (verwendet in Filmstreifen, Jahrbücher oder vergr. Vorschau)
        var url = '../../share/del_picture.php';
        var params = 'FileName=' + FileName + '&uid=' + uid + '&pic_id=' + pic_id + '&source=' + source;
        //alert("Parameter: "+params);
        if (waitUntilDeleted == null)
        {
            waitUntilDeleted = false;
        }
        if (source == 'fs')
        {
            var target = 'box' + pic_id;
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, asynchronous: !waitUntilDeleted});
        }
        else if (source == 'pl')
        {
            var target = 'divPreviewDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, asynchronous: !waitUntilDeleted});
        }
        else if(source == 'tl')
        {
            var target = 'divDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: setTimeout(function() {showObjectDetails(pic_id), blende_weg()}, 500)});
        }
    }

    function copyPicture(FileName, uid, pic_id, source, waitUntilCopyed)
    {
		// kopiert im Normalmodus Bilder aus dem Filmstreifen, der vergr. Vorschau oder der Jahrbücher-Ansicht in den Download-Ordner
        var url = '../../share/copy_picture.php';
        var params = 'FileName=' + FileName + '&uid=' + uid + '&pic_id=' + pic_id + '&source=' + source;
        //alert("Kopiere...: Parameter: "+params);
        if (waitUntilCopyed == null)
        {
            waitUntilCopyed = false;
        }
        if (source == 'fs')
        {
            var target = 'box' + pic_id;
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, asynchronous: !waitUntilCopyed});
        }
        else if (source == 'pl')
        {
            var target = 'divPreviewDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, asynchronous: !waitUntilCopyed});
        }
        else if(source == 'tl')
        {
            var target = 'divDownloadButton';
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: setTimeout(function() {showObjectDetails(pic_id), blende_weg()}, 500)});
        }
    }
// #######################################################################
    function rotPrevPic(Orientation, FileNameV, pic_id, fs_hoehe)
    {
        if (confirm("Wollen Sie das Vorschaubild wirklich drehen?"))
        {
            var url = '../../share/rot_prev_pic.php';
            var params = 'FileNameV=' + FileNameV + '&Orientation=' + Orientation + '&pic_id=' + pic_id + '&fs_hoehe=' + fs_hoehe;
            //alert("Parameter: "+params);
            //var target = 'box' + pic_id;
            var target = 'shadow_2' + pic_id;
            var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
        }
    }

    function deletePictureGeo1(FileName, c_username, pic_id, long, lat, alt, radius1, einheit1, mod, modus, base_file, form_name, bewertung, position, jump, aktion)
    {
        //LOESCHT Objekt AUS DEM ARCHIV!!!!!!
        var url = '../../share/delete_picture.php';
        var params = 'FileName=' + FileName + '&c_username=' + c_username + '&pic_id=' + pic_id + '&long=' + long + '&lat=' + lat + '&alt=' + alt + '&radius1=' + radius1 + '&einheit1=' + einheit1 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&form_name=' + form_name + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&aktion=' + aktion;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function deletePictureGeo2(FileName, c_username, pic_id, ort, radius2, einheit2, mod, modus, base_file, form_name, bewertung, position, jump, aktion)
    {
        //LOESCHT Objekt AUS DEM ARCHIV!!!!!!
        var url = '../../share/delete_picture.php';
        var params = 'FileName=' + FileName + '&c_username=' + c_username + '&pic_id=' + pic_id + '&ort=' + ort + '&radius2=' + radius2 + '&einheit2=' + einheit2 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&form_name=' + form_name + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&aktion=' + aktion;
        //alert("Parameter in DeletePictureGeo2: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function deletePictureZeit(FileName, c_username, pic_id, j, m, mod, modus, base_file, bewertung, position, jump, aktion)
    {
        //LOESCHT Objekt AUS DEM ARCHIV!!!!!!
        var url = '../../share/delete_picture.php';
        var params = 'FileName=' + FileName + '&c_username=' + c_username + '&pic_id=' + pic_id + '&j=' + j + '&m=' + m + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&aktion=' + aktion;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function deletePictureKat(FileName, c_username, pic_id, KAT_ID, kat_id, mod, modus, base_file, bewertung, position, jump, aktion)
    {
        //LOESCHT Objekt AUS DEM ARCHIV!!!!!!
        var url = '../../share/delete_picture.php';
        var params = 'FileName=' + FileName + '&c_username=' + c_username + '&pic_id=' + pic_id + '&KAT_ID=' + KAT_ID + '&kat_id=' + kat_id + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&aktion=' + aktion;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function deletePictureDesc(FileName, c_username, pic_id, desc1, bed1, desc2, bed2, desc3, bed3, desc4, bed4, desc5, mod, modus, base_file, bewertung, position, jump, aktion)
    {
        //LOESCHT Objekt AUS DEM ARCHIV!!!!!!
        var url = '../../share/delete_picture.php';
        var params = 'FileName=' + FileName + '&c_username=' + c_username + '&pic_id=' + pic_id + '&desc1=' + desc1 + '&bed1=' + bed1 + '&desc2=' + desc2 + '&bed2=' + bed2 + '&desc3=' + desc3 + '&bed3=' + bed3 + '&desc4=' + desc4 + '&bed4=' + bed4 + '&desc5=' + desc5 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&aktion=' + aktion;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function deletePictureExif(FileName, c_username, pic_id, zusatz1, bed1, zusatzwert1, mod, modus, base_file, bewertung, position, jump, aktion)
    {
        //LOESCHT Objekt AUS DEM ARCHIV!!!!!!
        var url = '../../share/delete_picture.php';
        var params = 'FileName=' + FileName + '&c_username=' + c_username + '&pic_id=' + pic_id + '&zusatz1=' + zusatz1 + '&bed1=' + bed1 + '&zw1=' + zusatzwert1 + '&mod=' + mod + '&modus=' + modus + '&base_file=' + base_file + '&bewertung=' + bewertung + '&position=' + position + '&jump=' + jump + '&aktion=' + aktion;
        //alert("Parameter: "+params);
        var target = 'filmstreifen';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function getZusatzwert(zusatz1, bewertung)
    {
        var url = '../../share/get_zusatzwert1.php';
        var params = 'field=' + zusatz1 + '&bewertung=' + bewertung;
        //alert("Parameter: "+params);
        var target = 'zw1';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function reloadDestTree(kat_id_d, kat_id_s)
    {
        //wird bei der Kategorie-Umsortierung verwendet
        var url = '../../share/reload_dest_tree.php';
        var params = 'kat_id_d=' + kat_id_d + '&kat_id_s=' + kat_id_s;
        //alert("Parameter: "+params);
        var target = 'scrollbox1';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function reloadSourceTree(kat_id_s)
    {
        //wird bei der Kategorie-Umsortierung verwendet
        var url = '../../share/reload_source_tree.php';
        var params = 'kat_id_s=' + kat_id_s;
        //alert("Parameter: "+params);
        var target = 'scrollbox0';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function getTimeTreeview(pic_id, mod, s_m, bewertung)
    {
        //wird verwendet, wenn Objekte gesucht werden sollen und die Auswahl nach Aufnahmedatum erfolgt
        var url = '../../share/time_treeview.php';
        var params = 'pic_id=' + pic_id + '&mod=' + mod + '&show_mod=' + s_m + '&bewertung=' + bewertung;
        //alert("Ajax-Func., Z. 805: Parameter: "+params);
        var target = 'scrollbox0';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function getTimeTreeview2(pic_id, mod, s_m, base_file)
    {
        //wird verwendet, wenn Objekte bearbeitet werden sollen und die Auswahl nach Aufnahmedatum erfolgt
        var url = '../../share/time_treeview2.php';
        var params = 'pic_id=' + pic_id + '&mod=' + mod + '&show_mod=' + s_m + '&base_file=' + base_file;
        //alert("Parameter: "+params);
        var target = 'scrollbox0';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function getKatTreeview(kat_id, pic_id, mod, bewertung, modus, katTreeViewModus, base_file)
    {
        var url = '../../share/kat_treeview.php';
        var params = 'kat_id=' + kat_id + '&pic_id=' + pic_id + '&mod=' + mod + '&bewertung=' + bewertung + '&modus=' + modus + '&katTreeViewModus=' + katTreeViewModus + '&base_file=' + base_file;
        //alert("Parameter in Ajax-Fkt., Z. 841; getKatTreeview: "+params);
        var target = 'scrollbox0';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }
/*
    function getExtForm(mod, bewertung, modus, base_file)
    {
        var url = '../../share/extended_form.php';
        var params = 'mod=' + mod + '&bewertung=' + bewertung + '&modus=' + modus + '&base_file=' + base_file;
        alert("Parameter in (AJAX-)Fkt. getExtForm(): "+params);
        var target = 'scrollbox4';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }
*/
    function getKatTreeview2(kat_id, pic_id, mod, bewertung, modus, base_file)
    {
        var url = '../../share/kat_treeview2.php';
        var params = 'kat_id=' + kat_id + '&pic_id=' + pic_id + '&mod=' + mod + '&bewertung=' + bewertung + '&modus=' + modus + '&base_file=' + base_file;
        //alert("Parameter: "+params);
        var target = 'scrollbox1';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }
    
    function getDateSelectionForm(base_file)
    {
        var url = '../../share/date_selection_form.php';
        var params = '&base_file=' + base_file;
        //alert("Parameter: "+params);
        var target = 'scrollbox1';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function getCollections(uid, mod, base_file)
    {
        var url = '../../share/get_collections.php';
        var params = 'uid=' + uid + '&mod=' + mod + '&base_file=' + base_file;
        //alert("Parameter: "+params);
        var target = 'scrollbox0';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus, evalScripts: true});
    }

    function createNewPreview(pic_id, hl, gamma, targ_color, col_inter, rota, wb, hsi, contrast, FileNameRaw, modus, Orientation)
    {
        var url = '../../share/create_new_previews.php';
        var params = 'pic_id=' + pic_id + '&hl=' + hl + '&gamma=' + gamma + '&targ_color=' + targ_color + '&col_inter=' + col_inter + '&rota=' + rota + '&wb=' + wb + '&hsi=' + hsi + '&contrast=' + contrast + '&file_name_raw=' + FileNameRaw + '&modus=' + modus + '&Orientation=' + Orientation;
        //alert("Parameter: " + params);
        var target = 'new_preview';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function saveNewNote(pic_id, note, dimension, source)
    {
        var url = '../../share/save_note.php';
        var params = 'pic_id=' + pic_id + '&note=' + note + '&dimension=' + dimension + '&source=' + source;
        //alert("ajax_functions, Z. 717: Parameter: "+params);
        if(source == 'pl')
        {
        	var target = 'star_set3';
        }
        else
        {
        	var target = 'star_set' + pic_id;
        }
        //alert("Target in ajax_functions, saveNewNote, Z. 639: " + target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function saveNewParam(lokation, ort, loc_id, pic_id)
    {
        var url = '../../share/save_new_param.php';
        var params = 'pic_id=' + pic_id + '&location=' + lokation + '&ort=' + ort + '&loc_id=' + loc_id;
        //alert("Parameter: "+params);
        var target = '#';
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    /*
    // Funktion ohne autom. Refresh der Objekt-Details:

    function saveChanges(pic_id, desc, aufn_dat)
    {
        var url = '../../share/save_changes.php';
        var desc = desc.replace("?", ".");
        var params = 'pic_id=' + pic_id + '&description=' + desc + '&aufn_dat=' + aufn_dat;
     	//alert("Parameter: "+params);
        var target='desc';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }
    */

    function saveChanges(pic_id, desc, aufn_dat, base_file, mod, form_name, bewertung, restriction)
    {
        var url = '../../share/save_changes.php';
        var desc = desc.replace("?", ".");
        var params = 'pic_id=' + pic_id + '&description=' + desc + '&aufn_dat=' + aufn_dat;
     	//alert("alle Parameter: " + params + ", Base-File: " + base_file + ", Mod: " + mod + ", Form-Name: " + form_name + ", Bewertung: " + bewertung + ", Restriktionen: " + restriction);
        var target='desc';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onComplete:setTimeout(function(){getDetails(pic_id, base_file, mod, form_name, bewertung, restriction);},2000)});
    }

//Fkt. zum Vorblenden der Fortschritts-Anzeige
    function blende_aus()
    {
      //alert("fertig");
        document.getElementById("blend").style.display = "none";
    }

    function blende_weg()
    {
      //alert("fertig");
        document.getElementById("blend").style.display = "none";
    }

    function filmstreifen_geladen(response)
    {
        //alert(response.responseText); // da stecken alle Infos drin!
        if(document.getElementById('act_2'))
        {
            var act_2 = document.getElementById('act_2').value;
        }
        if(document.getElementById('act_1'))
        {
            var act_1 = document.getElementById('act_1').value;
        }
        if(document.getElementById('act1'))
        {
            var act1 = document.getElementById('act1').value;
        }
        if(document.getElementById('act2'))
        {
            var act2 = document.getElementById('act2').value;
        }
        //alert(act_2);
        // Tastatur-Abfrage Anfang  ##################################################
        self.keyPressed = function keyPressed(Ereignis) 
        {
            //alert("Tastatur?");
            if(Ereignis.which == 37 && event.target.id !== 'desc_textarea')
            {
                //alert("Aktion auslösen: (37-eins zurück) " + act_1);
                eval(act_1);
            }
            else if(Ereignis.which == 38 && event.target.id !== 'desc_textarea')
            {
                //alert("Aktion auslösen: (38-zum Ende) " + act2);
                eval(act2);
            }
            else if(Ereignis.which == 39 && event.target.id !== 'desc_textarea')
            {
                //alert("Aktion auslösen: (39-eins vor) " + act1);
                eval(act1);
            }
            else if(Ereignis.which == 40 && event.target.id !== 'desc_textarea')
            {
                //alert("Aktion auslösen: (40-zum Anfang) " + act_2);
                eval(act_2);
            }
        }
        document.onkeydown = keyPressed;
        // Tastatur-Abfrage Ende  #####################################################
        
        $("filmstreifen").innerHTML = response.responseText;
        var ob = $("filmstreifen").getElementsByTagName("script");
        //alert(ob.length);
        for (var i = 0; i < ob.length; i++)
        {
            if (ob[i].innerHTML != null)
            {
                console.log(ob[i].innerHTML);
                try
                {
                    eval(ob[i].innerHTML);
                }
                catch (e)
                {
                    //console.log(e);
                }
            }
        }
        blende_aus();
        getDetails(currImageState.picId, currImageState.baseFile, currImageState.mod, currImageState.formName);
        currImageState.picId = 0;
    }

    function blende_ein()
    {
        //alert("nicht fertig");
        document.getElementById("blend").style.display = "block";
    }
/*  ~~~~~~~~~~    auskommentiert am 28.11.2021 in V. 1.46.4    ~~~~~~~~~~~~~~
    function changeWritable(lfdnr, checked, sr)
    {
        var url = '../../share/change_writable.php';
        var params = 'lfdnr=' + lfdnr + '&checked=' + checked + '&sr=' + sr;
        //alert("Parameter: "+params);
        var target = lfdnr;
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function changeViewable(lfdnr, checked, sr)
    {
        var url = '../../share/change_viewable.php';
        var params = 'lfdnr=' + lfdnr + '&checked=' + checked + '&sr=' + sr;
        //alert("Parameter: "+params);
        var target = lfdnr;
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }
*/
    function changeUserpermission(user_id, perm_id, checked, sr)
    {
        var url = '../../share/change_userpermission.php';
        var params = 'user_id=' + user_id + '&perm_id=' + perm_id + '&checked=' + checked + '&sr=' + sr;
        //alert("Parameter: "+params);
        var target = perm_id;
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function changeGrouppermission(group_id, perm_id, checked, sr)
    {
        var url = '../../share/change_grouppermission.php';
        var params = 'group_id=' + group_id + '&perm_id=' + perm_id + '&checked=' + checked + '&sr=' + sr;
        //alert("Parameter: "+params);
        var target = perm_id;
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function createKmlFile(kml_cod_statement, sr, mod, long_mittel, lat_mittel, radius)
    {
        var url = '../../share/createKmlFile.php';
        var params = 'kml_cod_statement=' + kml_cod_statement + '&sr=' + sr + '&mod=' + mod + '&long_mittel=' + long_mittel + '&lat_mittel=' + lat_mittel + '&radius=' + radius;
        //alert("Parameter: "+params);
        var target = 'ge_icon';
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function createPdfFile(pdf_statement, sr, mod, num6_1)
    {
        var url = '../../share/createPdfFile.php';
        var params = 'pdf_statement=' + pdf_statement + '&sr=' + sr + '&mod=' + mod + '&num6_1=' + num6_1;
        //alert("Parameter: "+params);
        var target = 'pdf_icon';
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function createNextKrit(number, kat, op, number1, kat1, op1, number2, kat2, op2, number3, kat3, op3, number4, kat4, op4, bewertung)
    {
        var url = '../../share/createNextKrit.php';
        var params = 'number=' + number + '&kat=' + kat + '&op=' + op + '&number1=' + number1 + '&kat1=' + kat1 + '&op1=' + op1 + '&number2=' + number2 + '&kat2=' + kat2 + '&op2=' + op2 + '&number3=' + number3 + '&kat3=' + kat3 + '&op3=' + op3 + '&number4=' + number4 + '&kat4=' + kat4 + '&op4=' + op4 + '&bewertung=' + bewertung;
        //alert("Parameter: "+params);
        var target = 'parameter';
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onCreate: blende_ein, onComplete: blende_aus});
    }

    function manage_picture(pic_id, modus)
    {
        //loescht oder behaelt vorgemerktes Objekt im Archiv
        var url = '../../share/manage_picture.php';
        var params = 'pic_id=' + pic_id + '&modus=' + modus;
        //alert("Parameter: "+params);
        var target = 'picture' + pic_id;
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function getUploadFiles(value)
    {
        var url = '../../share/get_upload_files.php';
        var client = new XMLHttpRequest();
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                fileListReceived(client.responseText);
            }
        };
        client.send(null);
    }

    function getMissingFiles()
    {
        var url = '../../share/get_missing_files.php';
        var client = new XMLHttpRequest();
        //client.open("GET", url, false);	//false erzwingt synchrone Datenuebertragung!!!
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                missingFilesReceived(client.responseText);
            }
        };
        client.send(null);
    }

    function createNewCollection(uid)
    {
        //oeffnet den Dialog zur Anlage einer neuen Kollektion im Fenster /html/edit/edit_collection.php
        var url = '../../share/create_new_collection.php';
        var params = 'uid=' + uid;
        var target = 'content';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function refreshCollList(wert, parameter, modus)
    {
        //aktualisiert die Liste der Kollektionen bei Eingabe eines Suchbegriffs im Fenster /html/recherche/recherche2.php - Suche nach Kollektionen
        var url = '../../share/refresh_coll_list.php';
        var params = 'wert=' + wert + '&parameter=' + parameter + '&modus=' + modus;
        //alert("(Ajax-Fkt., Z. 1130) Parameter: "+params);
        var target = 'search_result';
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function getCollectionDownloadFiles(coll_id)
    {
        var url = '../../share/get_collection_download_files.php?coll_id=' + coll_id;
        //var params = 'coll_id=' + coll_id;
        //alert("Coll-ID: " + coll_id);
        var client = new XMLHttpRequest();
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                fileListReceived(client.responseText);
            }
        };
        client.send(null);
    }
/*  auskommentiert am 28.11.2021 (ab V. 1.46.4)
    function debug_gps(pic_id, all, rest)
    {
        var url = 'gps_korrektur_action.php';
        var target = 'tip';
        var params = 'pic_id=' + pic_id + '&all=' + all + '&rest=' + rest;
        //alert ("Ajax aufgerufen... " + pic_id + " " + all + " " + rest);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }
*/
    function getAffectedRecords(oldCityname, newCityname)
    {
		// wird bei der Umbenennung von (Stand-)Ortbezeichnungen verwendet
        //alert(" alter Cityname: " + oldCityname + ", neuer Cityname: " + newCityname);
        var url = '../../share/get_affected_records.php?oldCityname=' + oldCityname + "&newCityname=" + newCityname;
        var client = new XMLHttpRequest();
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                recordListReceived(client.responseText);
            }
        };
        client.send(null);
    }

    function getAffectedKatRecords(ID)
    {
		// wird bei der Löschung von Kategorien verwendet
    
        var url = 'get_affected_kat_records.php?ID=' + ID;
        var client = new XMLHttpRequest();
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                recordListReceived(client.responseText);
            }
        };
        client.send(null);
    }

    function add_kat(number, modus)
    {
        //fuegt weitere Kategorien im Experten-Suchmodus hinzu
        var url = '../../share/add_kat.php';
        var params = 'number=' + number + '&modus=' + modus;
        //alert("Parameter: " + params);
        var target = 'div' + number;
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }
  
    function loadAdmineditreports()
    {
        //laedt die Report-Bearbeitungsseite in den Contentbereich der Admin-Seite
        var url = '../../html/admin/admineditreports.php';
        var target = 'content';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', onCreate: blende_ein, onComplete: blende_aus});
    }
    
    function loadSoftwarecheckResult()
    {
        //laedt das Ergebnis des Software-Checks in den Contentbereich der Admin-Seite
        var url = '../../admin/admin/check_software0.php';
        var target = 'content';
        //alert(target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', onCreate: blende_ein, onComplete: blende_aus});
    }
    
    function getMissingPreviewVideos()
    {
        //ermittelt fehlende Vorschau-Videos von der Admin-Seite aus
        var url = '../../admin/admin/generate_preview_video_action.php';
        var target = 'meldung';
        var myAjax = new Ajax.Updater(target, url, {method: 'get'});
    }
    
    function getUploadFilesList()
    {
        //ermittelt die Anzahl und die Dateien im Upload-Ordner des Users
        //alert("Ajax-Func., Z. 1235");
        var url = '../share/get_uploadfiles_list.php';
        var client = new XMLHttpRequest();
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                fileListReceived(client.responseText);
            }
        };
        client.send(null);
    }

    function getDeleteFilesList()
    {
        //ermittelt die Anzahl und die zu löschenden Dateien (im Objekte-löschen-Menü des Admins)
        var url = '../../share/get_delete_files_list.php';
        var client = new XMLHttpRequest();
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                fileListReceived(client.responseText);
            }
        };
        client.send(null);
    }
    
    function getAffectedFilesList(kat_id,ID,kategorie)
    {
        //ermittelt die Anzahl und die Dateien, die von der Kategorie-Umbenennung betroffen sind
    //    alert(" ID: " + ID + ", kat_id: " + kat_id + ", Kategorie: " + kategorie);
        var url = '../../share/get_affectedfiles_list.php?ID=' + ID + '&kat_id=' + kat_id + '&kategorie=' + kategorie;
        var client = new XMLHttpRequest();
        client.open("GET", url, true);
        client.onreadystatechange = function ()
        {
            if (client.readyState == 4)
            {
                fileListReceived(client.responseText);
            }
        };
        client.send(null);
    }

    function getSearchForm(form_row,cond)
    {
		//liefert das Kategorie-Auswahl-Feld für die erweiterte Suche (extended_form.php)
		//alert("AJAX - Nummer der Such-Zeile: " + form_row + ", Kriterium: " + cond);
		var params = 'form_row=' + form_row + '&cond=' + cond;
    	var url = '../../share/get_search_form.php';
        var target = 'div' + form_row;
        //alert("Ziel: " + target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
        //var myAjax = new Ajax.Updater(target, url, {method: 'get'});
    }

    function addRow(row_number)
    {
    	//fügt eine weitere Suchfeld-Zeile für die erweiterte Suche ein (extended_form.php)
		//alert("AJAX - neue Zeilen-Nummer: " + row_number);
		var params = 'row_number=' + row_number;
    	var url = '../../share/get_next_search_form_row.php';
        var target = 'row' + row_number;
        //alert("Ziel: " + target);
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
        //var myAjax = new Ajax.Updater(target, url, {method: 'get'});
    }

    function showObjectDetails(pic_id)
    {
        //generiert in der Jahrbücher-Ansicht die Objekt-Details nach onClick
        //alert("Erzeugung der Objekt-Details zu Obj. " + pic_id); 
        var params = 'pic_id=' + pic_id;
        //alert("Object-ID: " + pic_id);
        // Zur Hervorhebung des aktivierten Objektes wird dieses bei Klick darauf umrahmt:
        
        const div = document.querySelectorAll('div');
        div.forEach(element => {
            element.style.border = 'none';
        });
        const lazy = document.querySelectorAll('.lazy');
        lazy.forEach(element => {
            element.style.border='solid 2px var(--color3)';
        });
        document.getElementById('nav_box').style.border='solid 2px var(--color3)';
        document.getElementById('timeline_head').style.borderTop='solid 2px var(--color3)';
        document.getElementById('timeline_head').style.borderBottom='solid 2px var(--color3)';
        document.getElementById('progbar').style.border='solid 1px green';
        document.getElementById(pic_id).style.border='2px solid rgb(20,255,20)';

        //alert(params);
        var url = '../../share/show_object_details.php';
        var target = 'info';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function saveTimelineStartYear(year, jb_step, step_width, uid, sr)
    {
        //alert("Neues Start-Jahr: " + year + ", UID: " + uid  + ", SR: " + sr);
        // speichert das aktuelle Jahrbücher-Jahr in der users-Tabelle ab.
        var params = 'year=' + year + '&jb_step=' + jb_step + '&step_width=' + step_width + '&uid=' + uid + '&sr=' + sr;
        //alert("Parameter in Ajax-Fkt., Z. 1322: " + params);
        var url = '../../share/save_timeline_start_year.php';
        var target = 'pictures';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onComplete: assignTimelineLazyLoading});
    }

    function showPrevYear(last_used_timeline_year, uid, sr)
    {
        // alert("Start-Jahr: " + year + ", UID: " + uid  + ", SR: " + sr);
        // wechselt in der Jahrbücher-Ansicht zum letzten Step des Vorjahres.
        var params = 'year=' + last_used_timeline_year + '&uid=' + uid + '&sr=' + sr;
        var url = '../../share/show_prev_year.php';
        var target = 'pictures';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onComplete: assignTimelineLazyLoading});
    }

    function showNextYear(last_used_timeline_year, uid, sr)
    {
        // wechselt in der Jahrbücher-Ansicht zum ersten Step des Folgejahres.
        var params = 'year=' + last_used_timeline_year + '&uid=' + uid + '&sr=' + sr;
        var url = '../../share/show_next_year.php';
        var target = 'pictures';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onComplete: assignTimelineLazyLoading});
    }

    function alterSearchModus(status)
    {
        // wechselt in der Jahrbücher-Ansicht vom Kollektions- zum Normalmodus (Parameter ist bedeutungslos)
        var params = 'status=' + status;
        var url = '../../share/alter_search_modus.php';
        var target = 'pictures';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params, onComplete: assignTimelineLazyLoading});
    }

    function alterKatTreeviewModus(katTreeViewModus,base_file)
    {
        // wechselt die Kategoriebaum-Ansicht vom kompakten in den vollständigen Modus und zurück
        var params = 'katTreeViewModus=' + katTreeViewModus + '&base_file=' + base_file;
        //alert("Params in Ajax-Functions.alterKatTreeviewModus(): " + params);
        var url = '../../share/alter_kat_treeview_modus.php';
        if(base_file == 'recherche2')
        {
            var target = 'kat_tree_fieldset';
        }
        else
        {
            //var target = 'page';
            var target = 'content';
        }
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function alterKatSortOrder(katTreeSortOrder,base_file)
    {
        // wechselt die Kategoriebaum-Ansicht vom kompakten in den vollständigen Modus und zurück
        var params = 'katTreeSortOrder=' + katTreeSortOrder + '&base_file=' + base_file;
        //alert("Params in Ajax-Functions.alterKatSortOrder(): " + params);
        var url = '../../share/alter_kat_sort_order.php';
        var target = 'content';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function saveRawParams(highlight,gamma,color_space,color_interpol,rota,wb,hsi,contrast,pic_id)
    {
        var params = 'params=' + highlight + ',' + gamma + ',' + color_space + ',' + color_interpol + ',' + rota + ',' + wb + ',' + hsi + ',' + contrast + '&pic_id=' + pic_id;
        //alert("Params: " + params);
        var url = '../../share/save_raw_params.php';
        var target = 'error';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

    function eraseRawParams(pic_id)
    {
        var params = 'pic_id=' + pic_id;
        //alert("Params: " + params);
        var url = '../../share/erase_raw_params.php';
        var target = 'error';
        var myAjax = new Ajax.Updater(target, url, {method: 'get', parameters: params});
    }

</script>