<!DOCTYPE HTML>
<html>

<head>
  <title>Report-Erstellung</title>
  <meta name="GENERATOR" content="NetBeans">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <link rel=stylesheet type="text/css" href='../css/format2.css'>
  <link rel="shortcut icon" href="images/favicon.ico">
</head>
<body style='background-color:#BBBBBB'>
<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// verwendet als Popup-Fenster zur Auswahl der Report-Vorlage
//                 noch nicht verwendet
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

include_once 'global_config.php';
include_once 'db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include_once $sr.'/bin/share/functions/main_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$username = mysqli_result($result0, isset($i0), 'username');

$exiftool = buildExiftoolCommand($sr);

//var_dump($_GET);
if (array_key_exists('pic_id',$_GET))
{
	$pic_id = $_GET['pic_id'];
}

$result1 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$pic_id'");
$num1 = mysqli_num_rows($result1);
$row = mysqli_fetch_array($result1);

// allgemeine Daten zum Objekt
$FileNameOri = $row['FileNameOri'];
$FN = $pic_path."/".restoreOriFilename($pic_id, $sr);                   // wird zur Ermittlung der Autor-Daten benoetigt
$FileNameHQ = mysqli_result($result1, isset($i1), 'FileNameHQ');
$Owner = $row['Owner'];                                                 // Benutzer, der das Objekt in die DB aufgenommen hat
$result2 = mysqli_query($conn, "SELECT name, vorname, id FROM $table1 WHERE id = '$uid'");
$user_name = mysqli_result($result2, isset($i2), 'name');                 // Name und Vorname des
$user_vorname = mysqli_result($result2, isset($i2), 'vorname');           // Benutzers, der den Report generiert hat
$U_name = $user_vorname." ".$user_name;
$result3 = mysqli_query($conn, "SELECT name, vorname, id FROM $table1 WHERE id = '$Owner'");
$owner_name = mysqli_result($result3, isset($i3), 'name');                 // Name und Vorname des
$owner_vorname = mysqli_result($result3, isset($i3), 'vorname');           // Benutzers, das Objekt in die DB gestellt hat
$O_name = $owner_vorname." ".$owner_name;

// EXIF-Daten
$result4 = mysqli_query($conn, "SELECT DATE_FORMAT(CreateDate,'%d.%m.%Y %H:%i:%s') AS dto FROM $table2 WHERE pic_id = '$pic_id'");
$dto = mysqli_result($result4, isset($i4), 'dto');
$gps_altitude = mysqli_result($result1, isset($i1), 'GPSAltitude');
$gps_longtitude = mysqli_result($result1, isset($i1), 'GPSLongitude');
$gps_latitude = mysqli_result($result1, isset($i1), 'GPSLatitude');
$city = $gps_altitude = mysqli_result($result1, isset($i1), 'City');
$width = mysqli_result($result1, isset($i1), 'ExifImageWidth');
$height = mysqli_result($result1, isset($i1), 'ExifImageHeight');
$orientation = mysqli_result($result1, isset($i1), 'Orientation');
$focallength = mysqli_result($result1, isset($i1), 'FocalLength');
$focallength35 = mysqli_result($result1, isset($i1), 'FocalLengthIn35mmFormat');
$shutter = mysqli_result($result1, isset($i1), 'ExposureTime');
$aperture = mysqli_result($result1, isset($i1), 'ApertureValue');
$iso = mysqli_result($result1, isset($i1), 'ISO');
$camera = mysqli_result($result1, isset($i1), 'CameraModelName');
$fnumber = mysqli_result($result1, isset($i1), 'FNumber');
$lens = mysqli_result($result1, isset($i1), 'Lens');
$flash = mysqli_result($result1, isset($i1), 'Flash');

// IPTC-Daten
// Author aus EXIF-Daten auslesen:
$et_result = shell_exec($exiftool." -xmp:author:all -S ".$FN);
IF($et_result !== NULL)
{
    $et_array = explode(':', $et_result);
    $author = trim($et_array[1]);
}
 else 
{
     $author = 'unbekannt';
}
$keywords = trim(mysqli_result($result1, isset($i1), 'Keywords'));
$caption_abstract = mysqli_result($result1, isset($i1), 'Caption_Abstract');
if(strlen($caption_abstract)>1100)
{
    $caption_abstract = substr($caption_abstract,0,1100)."...";
}

$copyright = mysqli_result($result1, isset($i1), 'Copyright');

// Tabelle report_data von allen bisherigen Eintraegen des angemeldeten Benutzers leeren:
$result5 = mysqli_query($conn, "DELETE FROM $table31 WHERE uid = '$uid'"); echo mysqli_error($conn);

// diese Daten in die Tabelle report_data uebertragen:
$result2 = mysqli_query($conn, "INSERT INTO $table31 (pic_id, uid, user, Owner, FileNameOri, FileNameHQ, CameraModelName, Orientation, CreateDate, Flash, FocalLength, ISO, Lens, ExifImageWidth, ExifImageHeight, FocalLengthIn35mmFormat, Copyright, ShutterSpeedValue, ApertureValue, GPSAltitude, GPSLatitude, GPSLongitude, City, Caption_Abstract, Keywords, Author) VALUES ('$pic_id', '$uid', '$U_name', '$O_name', '$FileNameOri', '$FileNameHQ', '$camera', '$orientation', '$dto', '$flash', '$focallength', '$iso', '$lens', '$width', '$height', '$focallength35', \"$copyright\", '$shutter', '$fnumber', '$gps_altitude', '$gps_latitude', '$gps_longtitude', '$city', \"$caption_abstract\", \"$keywords\", \"$author\")");
echo mysqli_error($conn);

echo "<FORM name='select_template' method='post' action='generate_report_action.php'>"
    . "<fieldset style='margin-top:20px; margin-bottom:10px; padding-top:10px;'>"
    . "<legend>Liste der vorhandenen Berichts-Vorlagen</legend>"
    . "<Table style='width:625px;' border='0'>"
    . "<tr style='background-color:darkred;color:white;'>"
    . "<td style='width:20px; max-width:20px; text-align:center; font-size:12px;'>ID</td>"
    . "<td style='width:170px; max-width:170px; text-align:center; font-size:12px;'>Datei</td>"
    . "<td style='width:110px; max-width:110px; text-align:center; font-size:12px;'>Name</td>"
    . "<td style='width:250px; max-width:250px; text-align:center; font-size:12px;'>Beschreibung</td>"
    . "<td style='width:75px; max-width:75px; text-align:center; font-size:12px;'>Anwenden</td>"
    . "</tr></table>"
    . "<div id='scrollbox' style=' height:280px; overflow-y:scroll;'>"
    . "<table style='width:625px;' border='0'>";
$result3 = mysqli_query($conn, "SELECT * FROM $table30 ORDER BY 'report_id'"); echo mysqli_error($conn);
$num3 = mysqli_num_rows($result3);
FOR($i3=0; $i3<$num3; $i3++)
{
    $report_id = mysqli_result($result3, $i3, 'report_id');
    $report_file = mysqli_result($result3, $i3, 'report_file');
    if(strlen($report_file) > 20)
    {
        $report_file = "<span style='cursor:pointer;' title=\"$report_file\" >".substr($report_file,0,19)."...</span>";
    }

    $report_name = mysqli_result($result3, $i3, 'report_name');
    if(strlen($report_name) > 15)
    {
        $report_name = "<span style='cursor:pointer;' title=\"$report_name\">".substr($report_name,0,14)."...</span>";
    }

    $report_description = mysqli_result($result3, $i3, 'report_description');
    if(strlen($report_description) > 30)
    {
        $report_description = "<span style='cursor:pointer;' title=\"$report_description\">".substr($report_description,0,29)."...</span>";
    }

    $background_color = "white";
    if($i3 % 2 == 0)
    {
        $background_color = "lightgrey";
    }
    echo "<tr style='background-color:$background_color;'>"
    . "<td style='width:20px; max-width:20px; text-align:center; font-size:12px;'>".$report_id."</td>"
    . "<td style='width:170px; max-width:170px; text-align:center; font-size:12px;'>".$report_file."</td>"
    . "<td style='width:110px; max-width:110px; text-align:center; font-size:12px;'>".$report_name."</td>"
    . "<td style='width:250px; max-width:250px; text-align:center; font-size:12px;'>".$report_description."</td>"
    . "<td style='width:75px; max-width:75px; text-align:center; font-size:12px;'><input type='button' class='button' Value='Los!' onClick='location.href=\"generate_report_action.php?report_id=$report_id\" '></td>"
    . "</tr>";
}

echo "</table>
    <input type='button' class='button' style='margin-top:20px;' Value='Fenster schlie&szlig;en' onClick='window.close()'>
    </div>
    </fieldset>
    <input type='hidden' name='pic_id' value='$pic_id'>
    <input type='hidden' name='uid' value='$uid'>
</FORM>";
?>
</body>
</html>