<?php
// (C) 2018
include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/permissions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$res0 = mysqli_fetch_assoc($result0);
$username = $res0['username'];
if (hasPermission($uid, 'searchpic', $sr))
{
	$result1 = mysqli_query($conn, "SELECT * FROM $table24");
	$num1 = mysqli_num_rows($result1);
}
else
{
	echo "<p class='klein_red' style='margin-top:150px;'>Sie haben keine Berechtigung, Kollektionen zu suchen!</p>";
}
echo mysqli_error($conn);

if($num1 > 0)
{
	echo "
	<table class='coll'>
	
		<tr>
			<td style='width:25%' class='coll'>
				<p class='klein'>Suche nach</p>
			</td>

			<td style='width:65%' class='coll'>
				<p class='klein'></p>
			</td>

			<td style='width:10%' class='coll'>
				<p class='klein'>Aktion</p>
			</td>
		</tr>
	
		<tr>
			<td style='text-align:left; padding-bottom:15px;' class='coll'>
				<input type='text' class='Textfeld' name='coll_name' id='coll_name' placeholder='Koll.-Name' onkeyup='searchCollection(this.value, \"coll_name\", \"recherche\")'>
			</td>

			<td style='text-align:left; padding-bottom:15px;' class='coll'>
				<input type='text' class='Textfeld' name='coll_description' id='coll_description' placeholder='Koll.-Beschreibung' onkeyup='searchCollection(this.value, \"coll_description\", \"recherche\")'>
			</td>

			<td>
				<img src='../../share/images/no_pic.svg' style='height:1px; width:50px;'>
			</td>
		</tr>
		
	</table>
	
	<div id='search_result'>
		<table border='0' class='coll'>
		
			<TR class='coll'>
				<td colspan = '2' class='coll'>
					<p class='klein'>Suchergebnis</p>
				</td>

				<td class='coll'>
					<img src='../../share/images/no_pic.svg' style='height:1px; width:56px;'>
				</td>
			</TR>";

		for($i1=0; $i1<$num1; $i1++)
		{
		    $row1 = mysqli_fetch_assoc($result1);
		    $coll_id = $row1['coll_id'];
			$coll_name = $row1['coll_name'];
			$coll_description = $row1['coll_description'];
			$coll_owner = $row1['coll_owner'];
			//Anzahl der Objekte der Kollektion:
			$result2 = mysqli_query($conn, "SELECT * FROM $table25 WHERE coll_id = '$coll_id'");
			$num2 = mysqli_num_rows($result2);
			
			echo "
			<tr class='coll' style='vertical-align:top;'>
				<td style='width:25%' class='coll'>
					<p class='klein'>".$coll_name."</p>
				</td>

				<td style='width:65%' class='coll'>
					<p class='klein'>".$coll_description."</p>
				</td>
				<td style='width:10%; class='coll' padding-left:20px; text-align:right;'>";
					if($num2 > 0)
					{
						echo "
						<span style='cursor:pointer;'>
							<img src='../../share/images/glass.svg' title='Kollektion $coll_id ansehen, Pr&auml;sentation zeigen' class='icon1' onClick='location.href=\"view_collection.php?coll_id=$coll_id\"'>
						</span>";
					}
                    else 
                    {
                        echo "<span>
							<img src='../../share/images/no_pic.svg' title='' class='icon2' '>
						</span>";
                    }
					if((hasPermission($uid, 'downloadallpics',$sr ) OR (hasPermission($uid, 'downloadmypics',$sr ) AND ($coll_owner == $uid))) AND $num2 > 0)
					{
						echo "
						<span style='cursor:pointer;'>
							<img src='../../share/images/download.svg' class='icon2' title='Kollektion in Ihren Downloadordner herunterladen (".$num2." Objekte)' onClick='location.href=\"../../html/recherche/copy_coll_pictures.php?coll_id=$coll_id\"'>
						</span>";
					}
					else
					{
						echo "<span style='cursor:pointer;'>
							<img src='../../share/images/info.svg' class='icon2' title='Diese Kollektion enth&auml;lt noch keine Objekte'>
						</span>";
					}
				echo "
				</td>
			</tr>";
		
			if($i1 < ($num1 - 1))
			{
				echo "
				<TR class='coll'>
					<td style='background-color:var(--color3);' colspan = '3'></td>
				</TR>";
			}
		}
		
		echo "
		</table>
	</div>";
}
else
{
	echo "<p class='klein_red' style='margin-top:150px;'>Es wurden noch keine Kollektionen angelegt.</p>";
}
?>
<script type="text/javascript">
	document.getElementById("coll_name").focus();
</script>
