<script type="text/javascript" src="../ajax/inc/prototype.js"></script>

<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript liefert das Ergebnis der erweiterten Suche (pic-IDs)
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*
echo "post:<br />";
var_dump($_POST);
echo "get: <br />";
var_dump($_GET);
echo "<br /><br />";
*/
include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/permissions.php';

// Berücksichtigung der Berechtigung:
if (hasPermission($uid, 'searchpic',$sr))
{
    $y = 0;                     // Zählvariable zur Ermittlung der Anzahl der verwendeten Suchzeilen
    $cond = array();
    $cond_kat = array();
    foreach($_GET AS $key => $value)
    {
        for($i=1; $i<6; $i++)   // alle 5 Suchzeilen werden abgeklappert...
        {
            switch($key)
            {
                case 'sel'.$i:
                    switch($value)  // ... und ermittelt, wonach gesucht werden soll
                    {
                        case '1':
  //                          echo "Suche nach Zeit in Zeile ".$i."<br />";
                            // Prüfung, ob start und end gültig belegt sind
                            $start = $_GET['start'.$i];
                            $end = $_GET['end'.$i];
                            $in_out = $_GET['in_out'.$i];
                            $tomorrow = date('Y-m-d', strtotime("+1 day")); // morgige Objekte gibt es heute noch nicht...
   //                         echo "morgen: ".$tomorrow."<br />";
                            if($start !== '' AND $end !== '' AND $end < $tomorrow AND $start <= $end)
                            {
  //                              echo "Start-Datum: ".$start."<br />End-Datum: ".$end."<br />";
                                if($in_out == 'in')
                                {
                                    // die gesuchten Objekte sind innerhalb des Zeitraumes:
                                    $cond[$i] = "WHERE CreateDate > '$start' AND CreateDate < '$end'";
                                    //$result1 = mysqli_query($conn, "SELECT pic_id FROM $table2 WHERE CreateDate > '$start' AND CreateDate < '$end'");
                                }
                                elseif($in_out == 'out')
                                {
                                    // die gesuchten Objekte sind ausserhalb des Zeitraumes:
                                    $cond[$i] = "WHERE CreateDate < '$start' OR CreateDate > '$end'";
                                    //$result1 = mysqli_query($conn, "SELECT pic_id FROM $table2 WHERE CreateDate < '$start' OR CreateDate > '$end'");
                                }
                                
                            }
                            else
                            {
                                echo "<p style='color:red;'>Die Angabe des Anfangs- bzw. Enddatums sind fehlerhaft.<br />
                                Beide dürfen nicht leer sein,<br />
                                müssen in der Vergangenheit liegen bzw. max. auf das heutige Datum fallen und<br />
                                das Start-Datum muß kleiner als das End-Datum sein.</p>"; 
                            }
                            $y++;
                        break;
                        
                        case '2':
   //                         echo "Suche nach Kategorie in Zeile ".$i."<br />";
                            $kat_id = $_GET['sel_kat'.$i]; 
   //                         echo "Kat-ID in get_ext_search_result.php: ".$kat_id."<br />";
                            $cond_kat[$i] = "WHERE kat_id = '$kat_id'";
                            $y++;
                            //echo $pictures2."<br />";
                        break;
                            
                        case '3':
  //                          echo "Suche nach Beschreibung in Zeile ".$i."<br />";
                            // Prüfung, ob Eingabefeld gültig belegt ist
                            @$caption_abstract = $_GET['sel_desc'.$i];
                            if($caption_abstract !== '')
                            {
                                $cond[$i] = "WHERE Caption_Abstract LIKE '%$caption_abstract%'";
                            }
                            else
                            {
                                echo "<p style='color:red;'>Die Angabe der Objekt-Beschreibung ist fehlerhaft.</p>"; 
                            }
                            $y++;
                        break;
                            
                        case '4':
//                            echo "Suche nach Aufnahme-Standort in Zeile ".$i."<br />";
                            // Prüfung, ob
                            $city = $_GET['sel_city'.$i];
                            $cond[$i] = "WHERE City LIKE '%$city%'";
                            $y++;
                            //echo $pictures4."<br />";
                        break;
                            
                        case '5':
//                            echo "Suche nach MIME-Type in Zeile ".$i."<br />";
                            // Prüfung, ob 
                            $mimetype = $_GET['sel_mimetype'.$i];
                            $cond[$i] = "WHERE MIMEType LIKE '%$mimetype%'";
                            $y++;
                            //echo $pictures5."<br />";
                        break;

                        case '6':
//                            echo "Suche nach OCR-Text in Zeile ".$i."<br />";
                            // Prüfung, ob 
                            $ocrresult = $_GET['sel_ocrresult'.$i];
                            $cond[$i] = "WHERE OCR_Result LIKE '%$ocrresult%'";
                            $y++;
                            //echo $pictures6."<br />";
                        break;
                    }
                break;
            }
        }
    }
    // Montage der Abfrage-Bedingung für alle Kriterien ausser Kategorie:
    //var_dump($cond);
    $z = 0;
    $bed = '';
    $andor = $_GET['andor'];
    foreach($cond AS $bd)
    {
        if($z == 0)
        {
            $bd = str_replace("WHERE", " ", $bd);
            $bed .= $bd." ";
        }
        else
        {
            $bd = str_replace("WHERE", " ".$andor, $bd);
            $bed .= $bd;
        }
        $z++;
    }
    // Montage der Abfragebedingung für Kategorien:
    $r = 0;
    $bed_kat = '';
    $andor = $_GET['andor'];
    foreach($cond_kat AS $bdk)
    {
        if($r == 0)
        {
            /*IF($z > 0)
            {
                $bdk = str_replace("WHERE", " ", $bdk);
            }*/
            $bdk = str_replace("WHERE", " ", $bdk);
            $bed_kat .= $bdk." ";
        }
        else
        {
            $bdk = str_replace("WHERE", " ".$andor, $bdk);
            $bed_kat .= $bdk;
        }
        $r++;
    }
    
    // Berücksichtigung der Bewertung:
    $bed_bewertung = createStatement($bewertung);
    echo "Bewertungs-Bedingung: ".$bed_bewertung."<br />";
/*  echo "komplexe Bedingung: ".$bed."<br />";
    echo "Kategorie-Bedingung: ".$bed_kat."<br />";
*/
    if($bed !== '' AND $bed_kat !== '')
    {
        $complete_cond = "WHERE (".$bed." ".$andor." ".$bed_kat.") AND ".$bed_bewertung." AND aktiv = '1'";
    }
    elseif($bed == '')
    {
        $complete_cond = "WHERE (".$bed_kat.") AND ".$bed_bewertung." AND aktiv = '1'";
    }
    elseif($bed_kat == '')
    {
        $complete_cond = "WHERE (".$bed.") AND ".$bed_bewertung." AND aktiv = '1'";
    }
    
    echo "Vollständige Bedingung: ".$complete_cond."<br /><br />";
}
else
{
    echo "Sie haben leider keine Berechtigung in dem Objekt-Bestand zu stöbern...<br />";
}

?>

<script type='text/javascript'>
document.OnLoad=alert("<?php echo $complete_cond;?>");
var mod = 'extendedSearch';
var modus = 'recherche';
var base_file = 'recherche2';
var bewertung = '<?php echo $bewertung;?>';
var position = '0';
var jump = '0';
var statement = "<?php echo $complete_cond;?>";

document.addEventListener("DOMContentLoaded", function(event) {
	getExtSearchPreview(mod, modus, base_file, bewertung, position, jump, escape(statement))
});
document.close();

</script>

