<?php
// (C) 2023

// Steuerung der Fehlermeldungen:
error_reporting(E_ALL);                     // Entwicklung
//error_reporting(E_ERROR | E_WARNING);     // Echt-Betrieb
//error_reporting(0);                       // ... nie? 
//
//###########################################################################################################
// [Pfade] Globale Konfigurationseinstellungen
$doc_root = $_SERVER['DOCUMENT_ROOT'];                  // DocumentRoot des Web-Servers
$inst_path = "";					                    // Pfad zwischen DocumentRoot und pic2base
$p2b_path = $_SERVER['DOCUMENT_ROOT'].$inst_path;       // Pfad zur p2b-Wurzel
$sr = $_SERVER['DOCUMENT_ROOT'].$inst_path."/pic2base"; // Software-Root
$sr = str_replace("//", "/", $sr);
$fs_hoehe = '76';					                    // Hoehe der Objekte im Filmstreifen in px
$step = 6;						                        // Anzahl der Objekte im Filmstreifen (Standard: 6)
$slider_width = 600;					                // Breite des Slider-Bereichs (Standard: 500)
$font_path = $sr."/bin/share/fonts";                    // Ablageort verwendeter Schriftarten
//############################################################################################################
// [Benutzerspezifische Pfade]

if (isset($_SESSION['uid']) AND $_SESSION['uid'] != '') 
{
    $uid = $_SESSION['uid'];
} 

//echo "UID in global_config.php: ".var_dump($uid);
if(isset($uid))
{
    $ftp_path = $sr.'/userdata';  
    $user_dir = $ftp_path.'/'.$uid;
    $up_dir = $ftp_path.'/'.$uid.'/uploads';
    $down_dir = $ftp_path.'/'.$uid.'/downloads';
    $kml_dir = $ftp_path.'/'.$uid.'/kml_files'; 
}
else
{
	$uid = '';
}
//#############################################################################################################
// [Datei-Ablagepfade]				
$pic_path = $sr."/images/originale";				    //Ablage der Originale	
$pic_rot_path = $sr."/images/originale/rotated";		//Ablage der rotierten Vorschaubilder
$pic_hq_path = $sr."/images/vorschau/hq-preview";		//Ablage der HQ-Vorschaubilder
$pic_thumbs_path = $sr."/images/vorschau/thumbs";		//Ablage der kleinen Vorschaubilder
$hist_path = $sr."/images/histogramme";				    //Histogramm-Ablage
$monochrome_path = $sr."/images/monochrome";			//Ablage der Monochrome-Vorschau
$track_path = $sr."/tracks";					        //Ablage der Trackdaten fuer die Geo-Referenzierung
$template_path = $sr."/bin/report_templates";           //Ablage der Berichts-Vorlagen
//#############################################################################################################
// [unterstuetzte Dateiformate]
// [alle unterstuetzten Datei-Formate (incl- RAW-Dateien):]
$supported_filetypes = array('arw','bmp','cgm','cr2','crw','dcm','dcr','dcx','dng','eps','exr','fax','gif','html','jng',
'jpeg','jpg','mng','mrw','mvg','nef','orf','otb','palm','pbm','pcd','pcds','pcl','pcx','pdb','pdf','pgm',
'png','png8','png24','png32','pnm','ppm','ps','ps2','ps3','psd','raf','raw','rgb','rla','rle','rw2','sct','sfw',
'sgi','shtml','sun','svg','tga','tiff','tif','txt','vicar','viff','wpg','xbm','xcf','xpm','x3f','ycbcr',
'ycbcra','yuv','avi','ogg','ogv','mkv','mov','mp4','m4v','mpg','mts','m2t','m2ts','ts','dv','mpeg','mxf','riff','wav',
'pcm','cdda','mp3','ogg','wma','aac','aiff','flac','m4a');

// [unterstuetzten Datei-Formate (OHNE RAW-Dateien):]
$supported_extensions = array('bmp','cgm','dcm','dcx','eps','exr','fax','gif','html','jng','jpeg','jpg','mng',
'mvg','otb','palm','pbm','pcd','pcds','pcl','pcx','pdb','pdf','pgm','png','png8','png24','png32','pnm','ppm',
'ps','ps2','ps3','psd','rla','rle','sct','sfw','sgi','shtml','sun','svg','tga','tiff','tif','vicar','viff',
'wpg','xbm','xcf','xpm','yuv','avi','ogg','ogv','mkv','mov','mp4','m4v','mpg','mts','m2t','m2ts','ts','dv',
'mpeg','mxf','riff');

// unterstützte Audio-Formate:
$supported_audiofileformats = array('wav','pcm','cdda','mp3','ogg','wma','aac','aiff','flac','m4a','mp4');
//#############################################################################################################
// [Darstellungs-Einstellungen]
$step_width = 250;       // Anzahl der Objekte auf einer Seite der Bilderbuch-Ansicht
?>