<?php

/*
---------------------------------------------------------------------------------
|																				|
|	Datei wird bei der Suche / Bearbeitung nach Kategorien bzw.					|
|   Kategorie-Zuweisung zur Darstellung des klappbaren     						|
|   Kategorien-Baumes verwendet	(linke Spalte; Auswahlbereich)                  |
|       																		|
---------------------------------------------------------------------------------
*/

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/main_functions.php';

$result00 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row00 = mysqli_fetch_assoc($result00);
$username = $row00['username'];

$sel_one = "<img src='$inst_path/pic2base/bin/share/images/one.svg' class='select_icon' title='einzelne Objekte dieser Kategorie ausw&auml;hlen'>";
$sel_all = "<img src='$inst_path/pic2base/bin/share/images/all.svg' class='select_icon' title='alle Objekte dieser Kategorie ausw&auml;hlen'>";

//Erzeugung der Baumstruktur:
//Beim ersten Aufruf der Seite wird nur das Wurzel-Element angezeigt.
//  +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//var_dump($_REQUEST);

if(array_key_exists('katTreeViewModus',$_GET))
{
	$katTreeViewModus = $_GET['katTreeViewModus'];
	if($katTreeViewModus !== '')
	{
		$_SESSION['kat_treeview_modus'] = $katTreeViewModus;
	}
}

if(array_key_exists('kat_id',$_GET))
{
    $kat_id = $_GET['kat_id'];
    if($kat_id !== '')
    {
        $_SESSION['kat_treeview_pos'] = $kat_id;
    }
    else 
    {
        $kat_id = $kat_treeview_pos;
    }
}

if(array_key_exists('mod',$_GET))
{
	$mod = $_GET['mod'];
}

if(array_key_exists('modus',$_GET))
{
    $modus = $_GET['modus'];
}

if(array_key_exists('base_file',$_GET))
{
	$base_file = $_GET['base_file'];
}

if(array_key_exists('ziel',$_GET))
{
	$ziel = $_GET['ziel'];
}
else
{
	$ziel = '';
}

//echo "<br><br>kat_treeview.php, Z. 77: Kat-Pos: ".$kat_id.", Bewertung: ".$bewertung.", Base-File: ".$base_file.", Kat-TreeView-Modus: ".$katTreeViewModus.", Sortierung: ".$katTreeSortOrder."<br />";

$KAT_ID = $kat_id;		//$KAT_ID: uebergeordnete Kat., $kat_id: Unterkategorien

if(!isset($ID))
{
	$ID = '';
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Auswahl des Ansichtsmodus des Kategorie-Baumes -> 
// nur aktueller Knoten aufgeklappt (compact)
// oder vollständier Baum aufgeklappt (complete_view)

switch ($katTreeViewModus)
{
    case 'compact':
    //CASE 'edit':
    //DEFAULT:
        //Ermittlung aller 'Knoten-Elemente' (Elemente, an denen in die Tiefe verzweigt wird)
        $knoten_arr[]=$kat_id;
        $kat_arr = array();
        while ($kat_id > '1')
        {
        	$akt_kat_id = $kat_id;
            $res0 = mysqli_query($conn, "SELECT parent, kategorie FROM $table4 WHERE kat_id='$kat_id'");
        	echo mysqli_error($conn);
        	$row0 = mysqli_fetch_assoc($res0);
        	$kat_id = $row0['parent'];
			$kategorie = $row0['kategorie'];
        	$kat_short = substr($row0['kategorie'],0,5)."..";
        	if(count($kat_arr) == 0)
        	{
        	    $kat_arr[] = $kategorie."<br />";
        	}
        	else 
        	{
        	   $kat_arr[] = "<span title='Gehe zu \"$kategorie\"' class='short_nav' onClick='getKatTreeview(\"$akt_kat_id\", 0, \"$mod\", \"$bewertung\", \"$modus\", \"$katTreeViewModus\", \"$base_file\")'>".$kat_short."</span>&#160;|&#160;";
        	}
        	//echo "Kat-ID in der Funktion: ".$akt_kat_id."(".$kategorie.")<br />";
        	$knoten_arr[]=$kat_id;
        }
        $kat_arr[] = "<span title='Gehe zu Neuzugänge' class='short_nav' onClick='getKatTreeview(0, 0, \"$mod\", \"$bewertung\", \"$modus\", \"$katTreeViewModus\", \"$base_file\")'>Neu..</span>&#160;|&#160;";
        $knoten_arr = array_reverse($knoten_arr);
        
        // Navigationsleiste über dem Kategorie-Baum:
        $kat_arr = array_reverse($kat_arr);
        //print_r($kat_arr);
        if(count($kat_arr) > 0)
        {
            echo "<p class='klein'>Sie sind hier: ";
        }
		foreach($kat_arr AS $KA)
        {
			echo $KA;
        }

		echo "</p>";
    break;
    
    case 'complete_view':
        //zunaechst werden alle Knotenelemente des Baumes ermittelt:
        $res1 = mysqli_query($conn, "SELECT * FROM $table4");
        $num1 = mysqli_num_rows($res1);
        for ($i1=0; $i1<$num1; $i1++)
        {
            $row1 = mysqli_fetch_assoc($res1);
            $kat_id = $row1['kat_id'];
            $parent = $row1['parent'];
            $kat_id_arr[]=$kat_id;
            $parent_arr[]=$parent;
        }
        $knoten_arr[] = '';
        foreach ($kat_id_arr AS $KATID)
        {
            foreach ($parent_arr AS $PID)
            {
                if ($KATID == $PID AND !in_array($PID,$knoten_arr))
                {
                    $knoten_arr[] = $PID;
                }
            }
        }
        $knoten_arr[] = array_reverse($knoten_arr);
        //print_r($knoten_arr);
    break;
}

echo "<table class='kat'>";
	//echo $bewertung;
	function getElements($kat_id, $knoten_arr, $KAT_ID, $ID, $mod, $modus, $katTreeViewModus, $base_file, $bewertung, $katTreeSortOrder)
	{
		global $ziel;
		include 'global_config.php';
		include $sr.'/bin/share/db_connect1.php';
		INCLUDE $sr.'/bin/share/global_config.php';
		
		$sel_one = "<img src='$inst_path/pic2base/bin/share/images/one.svg' class='select_icon' title='einzelne Objekte dieser Kategorie ausw&auml;hlen'>";
		$sel_all = "<img src='$inst_path/pic2base/bin/share/images/all.svg' class='select_icon' title='alle Objekte dieser Kategorie ausw&auml;hlen'>";
		if ($katTreeSortOrder == 'decimal')
		{
		    $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent='$kat_id' ORDER BY CONVERT(kategorie, DECIMAL)");
		}
		elseif ($katTreeSortOrder == 'alphabetical')
		{
		    $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent='$kat_id' ORDER BY kategorie");
		}
		
		$num10 = mysqli_num_rows($result10);
		for ($i10=0; $i10<$num10; $i10++)
		{
			$row10 = mysqli_fetch_assoc($result10);
		    $kategorie = $row10['kategorie'];
			$parent = $row10['parent'];
			$level = $row10['level'];
			$kat_id = $row10['kat_id'];
			$space='';
			for ($N=0; $N<$level; $N++)
			{
				$space .="&#160;&#160;";
			}
			
			//zu welchen Kategorien gibt es Lexikon-Eintraege?
			$result13 = mysqli_query($conn, "SELECT * FROM $table11 WHERE kat_id = '$kat_id' AND info <> ''");
			$num13 = mysqli_num_rows($result13);
			if ($num13 !== 0)
			{
				$book = "<img src='$inst_path/pic2base/bin/share/images/book_green.svg' class='icon2' title='Kategorie-Informationen lesen / bearbeiten' />";
			}
			else
			{
				$book = "<img src='$inst_path/pic2base/bin/share/images/book_grey.svg' class='icon2' title='Kategorie-Informationen hinzuf&uuml;gen' />";
			}
			
			$kat_id_pos = array_search($kat_id, $knoten_arr);
			if($kat_id_pos > 0)
			{
				$kat_id_back = $knoten_arr[$kat_id_pos - 1];
			}
			
			if (in_array($kat_id, $knoten_arr))
			{
				$treestatus = 'minus';
				if($katTreeViewModus !== 'complete_view')
				{
				    $img = "<img src='$inst_path/pic2base/bin/share/images/minus.svg' class='icon2' title='eine Ebene nach oben gehen'>";
				}
				else
				{
				    $img = '';
				    // In der complete_view-Ansicht ist der treestatus immer plus.
				    $treestatus = 'plus';
				}
				echo "<TR>
				<td class='kat1'>".$space."<span style='cursor:pointer' onClick='getKatTreeview(\"$parent\", 0, \"$mod\", \"$bewertung\", \"$modus\", \"$katTreeViewModus\", \"$base_file\")'>".$img."</span>&#160;";
				
				if($base_file == 'edit_remove_kat' OR $base_file == 'recherche2' OR $base_file == 'edit_bewertung')
				{
//===>					
				    echo "<span style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)' title='Hier klicken, um alle Objekte der Kategorie \"$kategorie\" anzuzeigen'>".$kategorie."</span></td>";
					$sel_one = $book;
					echo "
					<td>
						<span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")'>".$sel_one."</span>
					</td>

					<td></td>

					<td class='kat_tree'>".getNumberOfPictures($kat_id, $modus, $katTreeViewModus, $bewertung, $treestatus)."</td>
					</tr>";
				}
				else
				{
					echo "<span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")' title='Informationen zur Kategorie $kategorie' alt='Info' />".$kategorie."</span>
					</td>

					<td>
						<span style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)'>".$sel_one."</SPAN>
					</td>

					<td>
						<span style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",1,0,0,\"$treestatus\",window.innerWidth)'>".$sel_all."</SPAN>
					</td>

					<td class='kat_tree'>".getNumberOfPictures($kat_id, $modus, $katTreeViewModus, $bewertung, $treestatus)."</td>
					</TR>";
				}
				getElements($kat_id, $knoten_arr, $KAT_ID, $ID, $mod, $modus, $katTreeViewModus, $base_file, $bewertung, $katTreeSortOrder);
			}
			else
			{
				$treestatus = 'plus';
				//Das plus wird nur gezeigt, wenn es weitere Unterkategorien gibt:
				$result11 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent = '$kat_id'");
				$num11 = mysqli_num_rows($result11);
				if($num11 > 0)
				{
				    if($katTreeViewModus !== 'complete_view')
				    {
				        $img = "<IMG src='$inst_path/pic2base/bin/share/images/plus.svg' class='icon2' title='Klicken, um Unterkategorien anzuzeigen'>";
				    }
				    else
				    {
				        $img = '';
				    }
					echo "<TR id='kat'><td class='kat1'>".$space."<span style='cursor:pointer' onClick='getKatTreeview(\"$kat_id\", 0, \"$mod\", \"$bewertung\", \"$modus\", \"$katTreeViewModus\", \"$base_file\")'>".$img."</span>&#160;";
				}
				else
				{
					// Kategorie ohne weitere Unterkategorien:
				    $img = "<IMG src='$inst_path/pic2base/bin/share/images/platzhalter.gif' hspace='0' vspace='0' border='0'>";
					echo 	"<TR id='kat'>
					<td class='kat1'>
					".$space."".$img."&#160;";
				}
				
				if($base_file == 'edit_remove_kat' OR $base_file == 'recherche2' OR $base_file == 'edit_bewertung')
				{
// ===>					
				    echo "<SPAN style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)' title='Hier klicken, um alle Objekte der Kategorie \"$kategorie\" anzuzeigen'>".$kategorie."</span></td>";
					$sel_one = $book;
					echo "
					<td>
					   <span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")'>".$sel_one."</SPAN>
                    </td>
					<td></td>
					<td class='kat_tree'>".getNumberOfPictures($kat_id, $modus, $katTreeViewModus, $bewertung, $treestatus)."</td>
					</TR>";
				}
				else
				{
					echo "<span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")' title='Informationen zur Kategorie $kategorie' alt='Info' />".$kategorie."</span></td>";
					echo "
					<td>
					   <span style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)'>".$sel_one."</SPAN>
                    </td>
					<td>
					   <span style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",1,0,0,\"$treestatus\",window.innerWidth)'>".$sel_all."</SPAN>
                    </td>
					<td class='kat_tree'>".getNumberOfPictures($kat_id, $modus, $katTreeViewModus, $bewertung, $treestatus)."</td>
					</TR>";
				}
			}
		}
	}
	//Beginn des Baum-Aufbaus:	
	if($KAT_ID=='' OR $KAT_ID == '0')
	{
		$KAT_ID = '1';
		//echo $KAT_ID.", ".$modus;
	}
	$result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='$KAT_ID'");
	$num10 = mysqli_num_rows($result10);
	//$row10 = mysqli_fetch_assoc($result10);
	FOR ($i10=0; $i10<$num10; $i10++)
	{
		$row10 = mysqli_fetch_assoc($result10);
	    $kategorie = $row10['kategorie'];
		$parent = $row10['parent'];
		$level = $row10['level'];
		$kat_id = $row10['kat_id'];
		
		// zu welchen Kategorien gibt es Lexikon-Eintraege?
		$result13 = mysqli_query($conn, "SELECT * FROM $table11 WHERE kat_id = '$kat_id' AND info <> ''");
		$num13 = mysqli_num_rows($result13);
		IF($num13 !== 0)
		{
			$book = "<img src='$inst_path/pic2base/bin/share/images/book_green.svg' class='icon2' title='Kategorie-Informationen lesen / bearbeiten' />";
		}
		ELSE
		{
			$book = "<img src='$inst_path/pic2base/bin/share/images/book_grey.svg' class='icon2' title='Kategorie-Informationen hinzuf&uuml;gen' />";
		}
		
		//Link fuer den Ruecksprung erzeugen, d.h. noechst hoeheren Knoten aufrufen:
		$kat_id_back = array_search($kat_id, $knoten_arr);
		IF (in_array($kat_id, $knoten_arr))
		{
			$treestatus = 'minus';
			if($katTreeViewModus !== 'complete_view')
			{
			    $img = "<IMG src='$inst_path/pic2base/bin/share/images/minus.svg' class='icon2' title='eine Ebene nach oben gehen'>";
			}
			else
			{
			    $img = '';
			    // In der complete_view-Ansicht ist der treestatus immer plus.
			    $treestatus = 'plus';
			}
			echo 	"<TR class='kat'>
					<td class='kat1'>";
			if(!isset($space))
			{
				$space = '';
			}
			echo	$space."<span style='cursor:pointer' onClick='getKatTreeview(\"$parent\", 0, \"$mod\", \"$bewertung\", \"$modus\", \"$katTreeViewModus\", \"$base_file\")'>".$img."</span>&#160;";
			
			
			if($base_file == 'remove_kat_daten' OR $base_file == 'recherche2' OR $base_file == 'edit_bewertung')
			{
				//auf Kategorie-Namen liegt der Link zu den Bildern, auf dem Icon die Info zum Kat-Lexikon:
				echo "<SPAN style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)' title='Hier klicken, um alle Objekte der Kategorie \"$kategorie\" anzuzeigen'>".$kategorie."</span></td>";
				if($kat_id == '1')
				{
					$kat_info_link = "<IMG src='$inst_path/pic2base/bin/share/images/platzhalter.gif' hspace='0' vspace='0' border='0'>";
				}
				else
				{
					$kat_info_link = "<span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")'>".$book."</SPAN>";
				}
				echo "
				<td>
				    <span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")'>".$kat_info_link."</SPAN>
                </td>
				<td></td>
				<td class='kat_tree'>".getNumberOfPictures($kat_id, $modus, $katTreeViewModus, $bewertung, $treestatus)."</td>";
			}
			else
			{
				// auf Kategorie-Namen liegt Link zu den Kategorie-Informationen, Link zu den Objekten liegt auf dem 'Alles'- oder 'Nichts'-Icon
			    echo "<span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")'>".$kategorie."</span></td>";
				echo "
				<td>
				    <span style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)'>".$sel_one."</SPAN>
                </td>
				<td>
				    <span style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",1,0,0,\"$treestatus\",window.innerWidth)'>".$sel_all."</SPAN>
				</td>
				<td class='kat_tree'>".getNumberOfPictures($kat_id, $modus, $katTreeViewModus, $bewertung, $treestatus)."</td>";
			}			
			
			getElements($kat_id, $knoten_arr, $KAT_ID, $ID, $mod, $modus, $katTreeViewModus, $base_file, $bewertung, $katTreeSortOrder);
		}
		else
		{
			$treestatus = 'plus';
			$img = "<img src='$inst_path/pic2base/bin/share/images/plus.svg' class='icon2' title='Klicken, um Unterkategorien anzuzeigen'>";
			echo 	"<tr id='kat'>
				<td class='kat1'>";
			if(!isset($space))
			{
				$space = '';
			}
			
			if($base_file == 'edit_remove_kat' OR $base_file == 'recherche2' OR $base_file == 'edit_bewertung')
			{
			    //auf Kategorie-Namen liegt der Link zu den Bildern, auf dem Icon die Info zum Kat-Lexikon:
			    echo	$space."<span style='cursor:pointer' onClick='getKatTreeview(\"$kat_id\", 0, \"$mod\", \"$bewertung\", \"$modus\", \"$katTreeViewModus\", \"$base_file\")'>".$img."</span>&#160;"."<SPAN style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)' title='Hier klicken, um alle Objekte der Kategorie \"$kategorie\" anzuzeigen'>".$kategorie."</span></td>";
				if($kat_id == '1')
				{
					$kat_info_link = "<img src='$inst_path/pic2base/bin/share/images/platzhalter.gif'  class='icon2' hspace='0' vspace='0' border='0'>";
				}
				else
				{
					$kat_info_link = "<span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")'>".$book."</SPAN>";
				}
				echo "
				<td>
				    <span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")'>".$kat_info_link."</SPAN>
                </td>
				<td></td>
				<td class='kat_tree'>".getNumberOfPictures($kat_id, $modus, $katTreeViewModus, $bewertung, $treestatus)."</td>
				</tr>";
			}
			else
			{
			    // auf Kategorie-Namen liegt Link zu den Kategorie-Informationen, Link zu den Objekten liegt auf dem 'Alles'- oder 'Nichts'-Icon
			    echo	$space."<span style='cursor:pointer' onClick='getKatTreeview(\"$kat_id\", 0, \"$mod\", \"$bewertung\", \"$modus\", \"$katTreeViewModus\", \"$base_file\")'>".$img."</span>&#160;"."<span style='cursor:pointer;' onClick='showKatInfo(\"$kat_id\")' title='Informationen zur Kategorie $kategorie' alt='Info' />".$kategorie."</span></td>";
				echo "
				<td>
				    <SPAN style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,\"$treestatus\",window.innerWidth)'>".$sel_one."</SPAN>
                </td>
				<td>
				    <SPAN style='cursor:pointer;' onClick='getPreview(\"$KAT_ID\",\"$kat_id\",\"$mod\",0,\"$modus\",\"$base_file\",\"$bewertung\",1,0,0,\"$treestatus\",window.innerWidth)'>".$sel_all."</SPAN>
				</td>
				<td class='kat_tree'></td>
				</tr>";
			}
			
			if(!isset($bewertung))
			{
				$bewertung = '';
			}
		}
	}
	if($base_file == 'edit_beschreibung')
	{
		echo "
		<input type='hidden' name='kat_id' value='$kat_id'>
		</table>";
	}
	elseif($base_file == 'edit_kat_daten')
	{
		echo "
		<input type='hidden' name='source_kat_id' value='$kat_id'>
		</table>";
	}
	else
	{
		echo "
		</table>";
	}
?>