<?PHP
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// verwendet in /admin/admin/kategorie0.php zur Umbenennung einer Kategorie
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

include __DIR__ . '/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

if(array_key_exists('ID', $_GET))
{
    $ID = $_GET['ID'];
}

if(array_key_exists('kat_id', $_GET))
{
    $kat_id = $_GET['kat_id'];
}

if(array_key_exists('pic_id', $_GET))
{
    $pic_id = $_GET['pic_id'];
}
//var_dump($_GET);

$exiftool = buildExiftoolCommand($sr);

$res1 = mysqli_query($conn, "SELECT username FROM $table1 WHERE id = '$uid'");
$row1 = mysqli_fetch_assoc($res1);
$username = $row1['username'];

//Es wird bestimmt, welche Kategorien dem Objekt weiter zugeordnet wurden
$kategorie = '';
$error = '1';

$res2 = mysqli_query($conn, "SELECT $table10.kat_id, $table10.pic_id, $table4.kat_id, $table4.kategorie 
FROM $table10, $table4 
WHERE $table10.pic_id = '$pic_id' AND ($table10.kat_id = $table4.kat_id)");

if(mysqli_error($conn) !== '')
{
    $error = "Fehler bei der Kategoriebestimmung: ".mysqli_error($conn);
}
else 
{
    $error = 0;
}

FOR($i2='0'; $i2<mysqli_num_rows($res2); $i2++)
{
    //der neue keywords-Eintrag wird konstruiert:
    $row2 = mysqli_fetch_row($res2);
    IF($row2[2]!=='1')
    {
        $kategorie = $row2[3].", ".$kategorie;
    }
}

//###############################################
// pictures.keywords aktualisieren
// Keywords wird auf max. 250 Zeichen (Feldlänge in Tabelle pictures) gekürzt:
$db_kw = substr($kategorie,'0','249');
$res3 = mysqli_query($conn, "UPDATE $table2 SET Keywords = \"$db_kw\", has_kat = '1' WHERE pic_id = '$pic_id'");
// Metadaten (keywords) des Objektes 'pic_id' aktualisieren
$FN = strtolower($pic_path."/".restoreOriFilename($pic_id, $sr));

IF(strlen($kategorie) > 64)
{
    // Da immer nur 64 Zeichen lange Blöcke in einem Zug nach IPTC:Keywords geschrieben werden können, 
    // wird $kategorie hier gesplittet:
    writeIptcKeywords($pic_id, $kategorie, $sr);
}
else
{
    $exiftool = buildExiftoolCommand($sr);
    $command = $exiftool." -IPTC:Keywords=\"$kategorie\" -overwrite_original ".$FN;
    shell_exec($command);
}

flush();

//###############################################
//log-file im Klartext schreiben:
$fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
flock($fh, LOCK_EX);
fwrite($fh,"##########\n".date('d.m.Y H:i:s').": Umbenennung der Kategorie Kat.-ID: ".$ID." (".mb_convert_encoding($kategorie, "UTF-8").") durch Benutzer ".mb_convert_encoding($username, "UTF-8").". Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n##########\n");
flock($fh, LOCK_UN);
fclose($fh);

$obj = new stdClass();
$obj->errorCode = $error;
$obj->file = $FN;
//$obj->file_array = $file_arr;
$output = json_encode($obj);
echo $output;