<?php
$source = "tl"; //Abk. für TimeLine
?>
<script type="text/javascript" src="../../share/functions/ShowPicture.js"></script>
<?php

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/permissions.php';
include $sr.'/bin/share/read_session_prefs.php';
require_once $sr.'/bin/share/functions/main_functions.php';
require_once $sr.'/bin/share/functions/ajax_functions.php';

/*
 Skript erzeugt in der Jahrbücher-Ansicht die Anzeige der Objekt-Details am rechten Fensterrand
 wird aufgerufen von show_all.php und die
 anzuzeigenden Objekt-Details sind (falls vorhanden):
 Vorschaubild
 Objekt-ID
 Erfasser
 Objekt-Typ
 Datei-Typ
 Erstellungsdatum
 Datei-Größe
 Objekt-Abmessungen
 Aufnahme-Standort
 Beschreibung
 Copyright
*/

if (array_key_exists('pic_id', $_GET))
{
    $pic_id = $_GET['pic_id'];
}

$result1 = mysqli_query($conn, "SELECT $table2.pic_id, $table2.FileNameHQ, $table2.FileName, $table2.Owner, $table2.FileSize, $table2.Copyright, 
$table2.City, $table2.Caption_Abstract, $table2.MIMEType, $table2.MediaType, DATE_FORMAT($table2.CreateDate, '%d.%m.%Y, %H:%i:%s') AS datum, 
DATE_FORMAT($table2.CreateDate, '%Y') AS year, $table2.ExifImageWidth, $table2.ExifImageHeight, $table2.Orientation, $table2.note, $table1.id, $table1.name, $table1.vorname  
FROM $table2 left join $table1 
ON $table2.Owner = $table1.id WHERE pic_id = '$pic_id'");
echo mysqli_error($conn);
$row1 = mysqli_fetch_assoc($result1);

$FileNameHQ = $row1['FileNameHQ'];
$FileNameOri = $row1['FileName'];
$owner = $row1['Owner'];
$owner_vorname = $row1['vorname'];
$owner_name = $row1['name'];
$mimetype = $row1['MIMEType'];
$media_type = $row1['MediaType'];

switch ($media_type)
{
    case 'i':
        $mediatype = 'Bild';
    break;

    case 'v':
        $mediatype = 'Video';
    break;

    case 'a':
        $mediatype = 'Audio';
    break;
}

$createdate = $row1['datum'];
$filesize = $row1['FileSize'];
$height = $row1['ExifImageHeight'];
$width = $row1['ExifImageWidth'];
$city = $row1['City'];
$caption_abstract = $row1['Caption_Abstract'];
$copyright = $row1['Copyright'];
$quality = $row1['note'];

switch($quality)
{
    case '1':
        $quality_text = 'sehr gut';
    break;

    case '2':
        $quality_text = 'gut';
    break;

    case '3':
        $quality_text = 'befriedigend';
    break;

    case '4':
        $quality_text = 'mangelhaft';
    break;

    case '5':
        $quality_text = 'ungenügend';
    break;
}

echo "<div id='info_content' class='content_style' style='margin-top:-2px; border-radius:5px;border:0px solid var(--color3); overflow-y: auto; max-height: 800px;'>";
// Die Funktionen ZeigeBild, ZeigeVideo und playAudio sind Bestandteil der /share/functions/ShowPicture.js
if($media_type == 'i')
{
    $zeit = time();
    $bildname = 'http://' . $_SERVER['SERVER_NAME'] . $inst_path . '/pic2base/images/originale/' . $FileNameOri.'?zeit='.$zeit;
    if ($height !== 0 AND $height !== NULL) 
    {
        $ratio_pic = $width / $height;
    }
    else 
    {
        $ratio_pic = 1;
    }
    echo "<img src='../../../images/vorschau/hq-preview/$FileNameHQ' style='width:100%;border-radius:5px;cursor:pointer;' title='Klick für optimale Ansicht' onClick=\"ZeigeBild('$bildname', '$width', '$height', '$ratio_pic', 'ori', ''); return false;\">";
}
elseif($media_type == 'v')
{
    $file = '../../../images/vorschau/hq-preview/'.$pic_id.'.webm';
    echo "<img src='../../../images/vorschau/hq-preview/$FileNameHQ' style='width:100%;border-radius:5px;cursor:pointer;' title='Klick für optimale Ansicht' onClick=\"ZeigeVideo('$file', '$breite', '$hoehe'); return false;\">";
}
elseif($media_type == 'a')
{
    $file = '../../../images/originale/'.$pic_id.'.mp3';
    $background = $inst_path.'/pic2base/images/originale/'.$pic_id.'.jpg';
    echo "<img src='../../../images/vorschau/hq-preview/$FileNameHQ' style='width:100%;border-radius:5px;cursor:pointer;' title='Klick für optimale Ansicht' onClick=\"playAudio('$file', '$background'); return false;\">";
}

echo "<table style='border-radius:5px;border:solid 1px var(--color3);'>
        <tr>
            <td colspan = '2'>Details für Objekt ".$pic_id."</td>
        </tr>

        <tr>
            <td class='timeline_preview_l'>Erfasser:</td>
            <td>".$owner_vorname." ".$owner_name."</td>
        </tr>

        <tr>
            <td class='timeline_preview_l'>MIME-Typ:</td>
            <td>".$mimetype."</td>
        </tr>

        <tr>
            <td class='timeline_preview_l'>Objekt-Typ:</td>
            <td>".$mediatype."</td>
        </tr>

        <tr>
            <td class='timeline_preview_l'>Erstellungs-Datum:</td>
            <td>".$createdate."</td>
        </tr>

        <tr>
            <td class='timeline_preview_l'>Datei-Größe:</td>
            <td>".$filesize." Byte</td>
        </tr>

        <tr>
            <td class='timeline_preview_l'>Objekt-Größe:</td>
            <td>".$width." x ".$height."</td>
        </tr>";
        
        if($city !== "" AND $city !== NULL AND $city !== 'Ortsbezeichnung')
        {
            echo "<tr>
            <td class='timeline_preview_l'>Aufnahme-Standort:</td>
            <td>".$city."</td>
            </tr>";
        }

        if($caption_abstract !== "" AND $caption_abstract !== NULL)
        {
            echo "<tr>
            <td class='timeline_preview_l'>Beschreibung:</td>
            <td>".$caption_abstract."</td>
            </tr>";
        }

        if($copyright !== "" AND $copyright !== NULL)
        {
            echo "<tr>
            <td class='timeline_preview_l'>Copyright:</td>
            <td>".$copyright."</td>
            </tr>";
        }

        if($quality_text !== "" AND $quality_text !== NULL)
        {
            echo "<tr>
            <td class='timeline_preview_l'>Bewertung:</td>
            <td>".$quality_text."</td>
            </tr>";
        }

        echo "<tr>
            <td class='timeline_preview_l' style='padding-top:5px;border-top:solid;border-color:var(--color3);border-width:1px;'>Aktionen:</td>
            <td style='padding-top:5px;border-top:solid;border-color:var(--color3);border-width:1px;width:100%;'>";

            // Objekt löschen: (Nur, wenn das Objekt nicht Bestandteil einer Kollektion ist!!) siehe get_preview.php, Z3111
            $result2 = mysqli_query($conn, "SELECT * FROM $table25 WHERE pic_id = '$pic_id'");

            if(mysqli_num_rows($result2) == 0)
            {
                if(($owner == $uid AND hasPermission($uid, 'deletemypics', $sr)) OR ($owner !== $uid AND (hasPermission($uid, 'deleteallpics', $sr))))
                {
                    echo "<img style='width:15px; height:15px; border:none; cursor:pointer;' title='Objekt aus der Datenbank l&ouml;schen' onClick='showDelWarning(\"$pic_id\")' src='../../share/images/trash.svg' />";
                }
                else
                {
                    echo "<img style='width:15px; height:15px; border:none; cursor:pointer;' title='Sie haben keine Berechtigung, das Objekt zu löschen.' src='../../share/images/notrash.svg' />";
                }
            }
            elseif(mysqli_num_rows($result2) > 0)
            {
                echo "<img style='width:15px; height:15px; border:none; cursor:pointer;' title='Das Objekt ist Bestandteil einer Kollektion und kann daher nicht gelöscht werden.' src='../../share/images/notrash.svg' />";
            }

            if($search_modus == 'normal')
            {
                // Objekt-Download:
                $check = fileExists($FileNameOri, $uid);
                //$check = 1;
                if($check > '0')
                {
                    //Die Datei befindet sich im Download-Ordner des Users und wird mit Klick auf das Icon geloescht:
                    echo "
                    <span id='divDownloadButton' style='cursor:pointer;' onClick='delPicture(\"$FileNameOri\",\"$uid\",\"$pic_id\",\"$source\")'>
                    <img src='$inst_path/pic2base/bin/share/images/selected.svg' class='tl' hspace='0' vspace='0' title='Objekt aus dem FTP-Download-Ordner entfernen'/>
                    </span>	";
                }
                else
                {
                    //Die Datei befindet sich NICHT im Download-Ordner des Users und wird mit Klick auf das Icon dort hin kopiert:
                    if(($uid == $owner AND hasPermission($uid, 'downloadmypics', $sr)) OR hasPermission($uid, 'downloadallpics', $sr))
                    {
                        if(directDownload($uid, $sr))
                        {
                            
                            echo "
                                <span id='divDownloadButton' style='cursor:pointer;' onClick='window.open(\"$inst_path/pic2base/bin/share/download_picture.php?FileName=$FileNameOri&pic_id=$pic_id\")'>
                                <img src='$inst_path/pic2base/bin/share/images/download.svg' class='tl' hspace='0' vspace='0' title='Objekt direkt herunterladen'/>
                                </span>";
                        }
                        else
                        {
                            
                            echo "
                                <span id='divDownloadButton' style='cursor:pointer;' onClick='copyPicture(\"$FileNameOri\",\"$uid\",\"$pic_id\",\"$source\")'>
                                <img src='$inst_path/pic2base/bin/share/images/download.svg' class='tl' hspace='0' vspace='0' title='Objekt in den FTP-Download-Ordner kopieren'/>
                                </span>";
                        }
                    }
                    else
                    {
                        echo "
                            <span id='divDownloadButton' style='cursor:pointer;'>
                            <br/>
                            </span>";
                    }
                }
            }
            elseif($search_modus == 'collection')
            {
                // die Objekt-ID (pic_id) wird der Tabelle pic_coll zugefügt oder - je nach Status wieder entfernt
                // Das erfolgt für die Kollektion $coll_id
                //echo "Objekt: ".$pic_id.", Koll.-ID: ".$coll_id."<br>";
                $result3 = mysqli_query($conn, "SELECT COUNT(pic_id) AS total FROM $table25 WHERE coll_id = '$coll_id' AND pic_id = '$pic_id'");
                echo mysqli_error($conn);
                $row3 = mysqli_fetch_assoc($result3);
                $total = $row3['total']; //echo "Objekte: ".$total;
                if($total == 0)
                {
                    //echo "Objekt ist noch nicht in der Kollektion.";
                    echo "
                    <span id='divDownloadButton' style='cursor:pointer;' onClick='addPicture(\"$coll_id\",\"$pic_id\",\"$uid\",\"$source\")'>
                    <img src='$inst_path/pic2base/bin/share/images/download.svg' class='tl' hspace='0' vspace='0' title='Objekt der Kollektion $coll_id hinzufügen'/>
                    </span>";
                }
                elseif($total == 1)
                {
                    //echo "Obj. ist bereits in der Kollektion.";
                    echo "
                    <span id='divDownloadButton' style='cursor:pointer;' onClick='removePicture(\"$coll_id\",\"$pic_id\",\"$uid\",\"$source\")'>
                    <img src='$inst_path/pic2base/bin/share/images/selected.svg' class='tl' hspace='0' vspace='0' title='Objekt aus Kollektion $coll_id entfernen'/>
                    </span>	";
                }
                $result4 = mysqli_query($conn, "SELECT coll_name FROM $table24 WHERE coll_id = '$coll_id'");
                $res4 = mysqli_fetch_assoc($result4);
                $coll_name = substr($res4['coll_name'], 0, 25)."...";
                echo "<tr>
                <td class='timeline_preview_l'>Kollektion:</td>
                <td>ID: ".$coll_id." / Name: ".$coll_name."</td>
                </tr>";
            }
            
            echo "</td>
            </tr>
    </table>
</div>";
?>