<?php
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// show_session_prefs.php liest alle gespeicherten Session-Parameter aus
// (identisch zur read_session_prefs.php)
// und stellt sie zur Fehler-Nachverfolgung bereit
// verwendet ab V. 1.46.2 (21.11.2021)
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
echo "~~~~~~~~~~~~~~~~   Skript zur Kontrolle der Session-Verwendung   ~~~~~~~~~~~~~~~~<br><br>SESSION-Status (I):<br><br>";
include 'global_config.php';

if (!isset($_GET['PHPSESSID']))
{
    $_GET['PHPSESSID'] = '';
    echo "Prüfung auf SESSION-ID: keine SESSION-ID gesetzt.<br>";
}

if ($_GET['PHPSESSID'] != '') 
{
    echo "SESSION-ID ist mit Inhalt vorhanden und wird fortgesetzt.<br>";
    session_start($_GET['PHPSESSID']);
} 
else 
{
    echo "keine SESSION-ID vorhanden; starte neue SESSION...<br>";
    session_start();
}
echo nl2br(print_r($_SESSION,true));
/*
//==============================================================
if (!isset($_GET['PHPSESSID']))
{
    $_GET['PHPSESSID'] = '';
    echo "Prüfung auf SESSION-ID: keine SESSION-ID gesetzt.<br>Starte neue SESSION.<br>";
    session_start();
}
else
{
    if ($_GET['PHPSESSID'] != '') 
    {
        echo "SESSION-ID ist mit Inhalt vorhanden und wird fortgesetzt.<br>";
        session_start($_GET['PHPSESSID']);
    }
    else
    {
        session_start();
    } 
}
echo nl2br(print_r($_SESSION,true));
//==============================================================
*/

echo "<br>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~<br><br>SESSION-Status (II):<br><br>";

if ($_SESSION['uid'] != '') 
{
    $uid = $_SESSION['uid'];
    echo "SESSION beinhaltet UID: ".$uid."<br><br>";
} 
else 
{
    //header('Location: ../../index.php');
}

if (!isset($_SESSION['uid']))
{
    echo "Es ist keine UID per SESSION gesetzt.<br><br>";
}

if ($_SESSION['last_check'] != '') 
{
    $last_check = $_SESSION['last_check'];
    echo "last_check (in SESSION-ID gespeichert): ".$last_check."<br><br>";
}

if ($_SESSION['kat_treeview_modus'] != '') 
{
    $katTreeViewModus = $_SESSION['kat_treeview_modus'];
    echo "katTreeViewModus (in SESSION-ID gespeichert): ".$katTreeViewModus."<br>";
}
else 
{
    $katTreeViewModus = 'compact';
    echo "katTreeViewModus (ohne Session-ID neu festgelegt): ".$katTreeViewModus."<br>";
    //$_SESSION['kat_treeview_modus'] = 'compact';
}
echo "<br>";


if ($_SESSION['kat_tree_sort_order'] != '') 
{
    $katTreeSortOrder = $_SESSION['kat_tree_sort_order'];
    echo "katTreeSortOrder (in SESSION-ID gespeichert): ".$katTreeSortOrder."<br>";
}
else
{
    echo "Kat_tree_sort_order wurde nicht gesetzt. Vorgabe:<br>";
    $katTreeSortOrder = 'alphabetical';
    //$_SESSION['kat_tree_sort_order'] = 'alphabetical';
}
echo "kat_tree_sort_order: ".$katTreeSortOrder."<br><br>";

if ($_SESSION['kat_treeview_pos'] != '') 
{
    $kat_treeview_pos = $_SESSION['kat_treeview_pos'];
}
else
{
    echo "Kat_treeview_pos wurde nicht gesetzt. Vorgabe:<br>";
    $kat_treeview_pos = 0;
}
echo "kat_treeview_pos: ".$kat_treeview_pos."<br><br>";

if ($_SESSION['bewertung'] != '') 
{
    $bewertung = $_SESSION['bewertung'];
}
else
{
    echo "Bewertung wurde nicht gesetzt. Vorgabe:<br>";
    $bewertung = 6;
}
echo "Bewertung: ".$bewertung."<br>";

if ($_SESSION['search_modus'] != '') 
{
    $search_modus = $_SESSION['search_modus'];
    echo "search_modus: ".$search_modus."<br>";
}

if ($_SESSION['coll_id'] != '') 
{
    $coll_id = $_SESSION['coll_id'];
    echo "coll_id: ".$coll_id."<br>";
}

echo "<br>~~~~~~~~~~~~~~~  Kurzschreibweise  ~~~~~~~~~~~~~~~~~~~~~~~~~~<br>";


foreach($_SESSION as $key => $value)
{
    echo "<br>".$key.": ".$value;
    //$$key = $key;
    //echo "Variable: ".$$key." hat den Wert ".$value."<BR>";
}

echo "<br><br>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~<br>";
/*
echo "Server-Root: ".$sr."<br>";
echo "Server: ".$_SERVER['SERVER_NAME']."<br>";
echo "Server: ".$_SERVER['HTTP_HOST']."<br>";
echo "Server: ".$_SERVER['SERVER_ADDR']."<br>";
echo "Skript: ".$_SERVER['PHP_SELF']."<br>";
*/

echo "<br>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~<br>";
var_dump($_GET);
?>