<!DOCTYPE HTML>
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - DB-Export</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
</HEAD>

<body>
<div class="klein">
<?php

/*
 * Project: pic2base
 * File: db_export_action.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

if(array_key_exists('PWD',$_POST))
{
	$pwd = $_POST['PWD']; 
}

if(array_key_exists('db_user', $_POST))
{
	$db_user = $_POST['db_user'];
}

if(array_key_exists('method', $_POST))
{
	$method = $_POST['method'];
}

include '../../share/global_config.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/db_connect1.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Admin-Bereich - Datenbank-Export
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>";
		 include '../../html/admin/adminnavigation.php';
		echo "</div>
	</div>

	<div class='content'>
		<div class='content_grid_filmstripe'>

			<div class='filmstripe_content_left' id='spalte1'>";
			switch($method)
			{
				case 'sql':
					$statement = "/opt/lampp/bin/mysqldump -u$db_user -p$pwd -h localhost $db > $kml_dir/pic2base.sql";
					system($statement, $fp);
					if ($fp==0)
					{
						echo "
						<fieldset class='normal' style='height:400px;'>
						<legend class='normal'>Fertig</legend>
							<p class='klein' style='margin-top:30px;'>Der Export verlief erfolgreich.<br />
							<br />F&uuml;r den Download der Export-Datei<br />(rechts-)klicken Sie bitte <a class='std' href='../../../userdata/$uid/kml_files/pic2base.sql'>hier</a>.
							</p>
						</fieldset>";
	
						//log-file schreiben:
						$fh_log = fopen($p2b_path.'/pic2base/log/p2b.log','a');
						flock($fh_log, LOCK_EX);
						fwrite($fh_log,date('d.m.Y H:i:s').": Die pic2base-DB wurde von ".$username." als SQL exportiert. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
						flock($fh_log, LOCK_UN);
						fclose($fh_log); 
					}
					else
					{
						echo "
						<fieldset class='normal' style='height:400px;'>
						<legend class='normal' style='color:red; font-weight:bold;'>Fehler!</legend>
						<p class='klein_red'>Es ist ein Fehler aufgetreten.<br />Bitte kontrollieren Sie Ihre Zugangsdaten.<br />
						Achten Sie besonders darauf, einen MySQL-Benutzer<br />mit <b>Admin-Rechten</b> einzutragen.<br /><br />
						<input type='button' value='Neuer Versuch' class='button' onClick='location.href=\"db_export1.php\"'></p>
						</fieldset>";
					}
				break;
		/*		
				CASE 'xml':
					ini_set('memory_limit', '500M');
					//alle Tabellen ermitteln...
					$result1 = mysqli_query($conn, 'SHOW TABLES FROM pic2base') or die('... kann Tabellen nicht anzeigen...');
					if(mysqli_num_rows($result1) > 0)
					{
					  //Ausgabe erzeugen
					  $tab = "\t";
					  $br = "\n";
					  $xml = '<?xml version="1.0" encoding="UTF-8"?>'.$br;
					  $xml.= '<database name="pic2base">'.$br;
					  
					  //fuer jede Tabelle...
					  while($table = mysqli_fetch_row($result1))
					  {
							//prep table out
							$xml.= $tab.'<table name="'.$table[0].'">'.$br;
							
							//Zeilen auslesen
							$records = mysqli_query($conn, 'SELECT * FROM '.$table[0]) or die('kann nichts auslesen aus Tabelle: '.$table[0]);
							echo mysqli_error($conn);
		//			    	echo "Tabelle ".$table[0]." hat ".mysqli_num_fields($records)." Spalten.<br />";
			
							//Tabellenattribute
							$attributes = array('name','blob','max_length','multiple_key','not_null','numeric','primary_key','table','type','unique_key','unsigned','zerofill');
							$xml.= $tab.$tab.'<columns>'.$br;
							$x = 0;
							while($x < mysqli_num_fields($records))
							{
								  $meta = mysqli_fetch_field($records, $x);
								  $xml.= $tab.$tab.$tab.'<column ';
								  foreach($attributes as $attribute)
								  {
									$xml.= $attribute.'="'.$meta->$attribute.'" ';
								  }
								  $xml.= '/>'.$br;
								  $x++;
							}
							$xml.= $tab.$tab.'</columns>'.$br;
			
							//Datensaetze einfuegen
							$xml.= $tab.$tab.'<records>'.$br;
							while($record = mysqli_fetch_assoc($records))
							{	
								  $xml.= $tab.$tab.$tab.'<record>'.$br;
								  foreach($record as $key=>$value)
								  {
									  $xml.= $tab.$tab.$tab.$tab.'<'.$key.'>'.htmlspecialchars(stripslashes($value)).'</'.$key.'>'.$br;
								  }
								  $xml.= $tab.$tab.$tab.'</record>'.$br;
							}
							$xml.= $tab.$tab.'</records>'.$br;
							$xml.= $tab.'</table>'.$br;
					  }
					  $xml.= '</database>';
					  
					  //Datei speichern
					  $handle = fopen($kml_dir.'/pic2base.xml','w+');
					  fwrite($handle,$xml);
					  fclose($handle);
					}
					 $fh = fopen($kml_dir.'/pic2base.xml','r');
					 if($fh)
					 {
						 echo "
						 <fieldset style='background-color:none; margin-top:10px;'>
						<legend style='color:green; font-weight:bold;'>Gratulation!</legend>
							Der Export verlief erfolgreich.<br /><br />F&uuml;r den Download der Export-Datei<br />(rechts-)klicken Sie bitte <a href='../../../userdata/$uid/kml_files/pic2base.xml'>hier</a>.</font>
						</fieldset>"; 
						 //log-file schreiben:
						$fh_log = fopen($p2b_path.'/pic2base/log/p2b.log','a');
						fwrite($fh_log,date('d.m.Y H:i:s').": Die pic2base-DB wurde von ".$username." als XML exportiert. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
						fclose($fh_log);  
					 }
					 else
					 {
						 echo "
						 <fieldset style='background-color:none; margin-top:10px;'>
						<legend style='color:red; font-weight:bold;'>Fehler!</legend>
							Es ist ein Fehler aufgetreten.<br />Bitte kontaktieren Sie Ihren Systemadministrator.
						</fieldset>"; 
					 }
					
				break;
		*/
		/*
				CASE 'csv':
					echo "... der CSV-Export ist noch nicht implementiert...";
				break;
		*/
			}
			
			echo "
			</div>

			<div class='filmstripe_content_right' id='spalte2'>
				<fieldset class='normal' style='height:400px;'>
				<legend class='normal'>Hinweis</legend>
					<p class='klein' style='margin-top:30px;'>Wenn der Export erfolgreich war, liegt die Datei nun in Ihrem FTP-Bereich im Ordner \"kml_files\".<br /><br />
					Alternativ k&ouml;nnen Sie die Datei auch &uuml;ber den Link in der linken Spalte herunterladen.</p>
				</fieldset>
			</div>

			<div class='filmstripe_content_bottom'>
			</div>

		</div>
	</div>
	
	<div class='footer'>
		<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
	</div>

</div>
</center>
</body>
</html>";
?>