<?php
// (C) 01/2021
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript wird verwendet, wenn von einer berechtigten Person zum Löschen vorgemerkte
// Objekte einzeln oder en bloc gelöscht werden sollen.
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

if (array_key_exists('pic_id',$_GET))
{
	$pic_id = $_GET['pic_id'];
}

$error_code = NULL;

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/permissions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

if(hasPermission($uid, 'adminlogin', $sr))
{
    //echo "User ist Mitglied der Admin-Gruppe, Objekt wird geloescht, wenn er darf<br />";
    if (hasPermission($uid, 'deletemypics', $sr) OR hasPermission($uid, 'deleteallpics', $sr))
    {
        //Die Objekt-Daten werden ermittelt:
        //$result1 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$pic_id'");
        $result1 = mysqli_query($conn, "SELECT FileName, FileNameOri, Caption_Abstract, Keywords, MediaType FROM $table2 WHERE pic_id = '$pic_id'");
        $error_code = mysqli_error($conn);
        @$num1 = mysqli_num_rows($result1);
        if($num1 == '1')
        {
            
            $row1 = mysqli_fetch_assoc($result1);
            $FileName = $row1['FileName'];
            $FileNameOri = $row1['FileNameOri'];
            //Angaben fuer die Log-Datei:
            @$CaptionAbstract = $row1['Caption_Abstract'];
            @$Keywords = $row1['Keywords'];
            $MediaType = $row1['MediaType'];
            $datei_mono = $monochrome_path."/".$pic_id."_mono.jpg";
            $datei_hist = $hist_path."/".$pic_id."_hist.gif";
            $datei_hist_r = $hist_path."/".$pic_id."_hist_0.gif";
            $datei_hist_g = $hist_path."/".$pic_id."_hist_1.gif";
            $datei_hist_b = $hist_path."/".$pic_id."_hist_2.gif";
            $datei_tmp = $pic_path."/tmp/".$pic_id.".jpg";
            $datei_ori = $pic_path."/".$FileName;
            $datei_rotated = $pic_rot_path."/".$FileName;
            $datei_hq = $pic_hq_path."/".str_replace('.','_hq.',$FileName);
            $datei_thumbs = $pic_thumbs_path."/".str_replace('.','_v.',$FileName);
                        
            if($MediaType == 'v')
            {
                @$preview_video_file = getPreviewVideoFileName($pic_id, $sr);
                $video = "Y";
            }
            elseif($MediaType == 'i')
            {
                $video = "n";
            }
            
        }
        else
        {
            $error_code = 1;    //ES EXISTIERT KEIN oder MEHR ALS EIN DATENSATZ F&Uuml;R DAS GEW&Auml;HLTE Objekt!!
        }
        
        //Tabelle pic_kat wird um alle Eintraege bereinigt fuer die Objekt-ID:
        $result2 = mysqli_query($conn, "DELETE FROM $table10 WHERE pic_id = '$pic_id'");        
        //Das Objekt wird aus der Tabelle pictures geloescht:
        $result4 = mysqli_query($conn, "DELETE FROM $table2 WHERE pic_id = '$pic_id' AND FileName = '$FileName'");        
        //alle Objekte werden aus der Verzeichnis-Struktur geloescht:
        
        $l1 = unlink($datei_ori);
        @$l2 = unlink($datei_rotated);
        $l3 = unlink($datei_hq);
        $l4 = unlink($datei_thumbs);
        $l5 = unlink($datei_mono);
        $l6 = unlink($datei_hist);
        $l7 = unlink($datei_hist_r);
        $l8 = unlink($datei_hist_g);
        $l9 = unlink($datei_hist_b);
        
        if($video == "Y")
        {
            $l10 = unlink($preview_video_file);
            IF(!$l10)
            {
                $error_code = 2;    //echo "Vorschau-Video-Datei wurde NICHT gel&ouml;scht<br />";
            }
        }
        IF(@fopen($datei_tmp,'r'))
        {
            $l10 = unlink($datei_tmp);
        }
        
        //Behandlung eventuell vorhandener Nicht-JPG-Objekte:
        //es wird ermittelt, ob im Originale-Ordner weitere Dateien mit dem Stamm-Namen existieren (z.B. 1234567676)
        //Wenn ja, wird geprueft, wieviel hiervon Scene-Dateien sind (z.B. 1234567676-1.jpg) und wieviele Nicht-JPG-Objekte sind (z.B. 1234567676.bmp)
        //nur wenn keine scene-Dateien mehr im Originale-Ordner sind, wird auch die Nicht-JPG-Datei geloescht
       
        $file_info = pathinfo($datei_ori);
        $ext = ".".$file_info['extension'];				//Dateiendung mit Punkt
        $base_name = str_replace($ext,'',$file_info['basename']);	//Dateiname ohne Punkt und Rumpf
        $base_name1 = $base_name.".";
        $base_name2 = $base_name."_";
        //Damit werden alle Dateien mit beliebiger Endung erfasst (12345.jpg; 12345.nef usw.) aber auch alle Scene-Objekte (12345_1.jpg, 12345_2.jpg usw)
        $result5 = mysqli_query($conn, "SELECT * FROM $table2 WHERE (FileName LIKE '$base_name1%' OR FileName LIKE '$base_name2%')");
        $num5 = mysqli_num_rows($result5);	//es gibt in der DB insges. $num5 Dateien mit dem Stammnamen.
        $k = '0';
        for($i5='0'; $i5<$num5; $i5++)
        {
            $row5 = mysqli_fetch_assoc($result5);
            $file_name = $row5['FileName'];
            IF(file_exists($pic_path."/".$file_name))
            {
                $k++;
            }
        }
        //es befinden sich nun noch weitere $k Dateien im Originale-Ordner.
        if($k == '0')
        {
            //wenn keine Stamm-Datei mehr im Originale-Ordner mehr ist wird eine evtl. vorh. Nicht-JPG-Datei geloescht:
            foreach($supported_filetypes AS $sft)
            {
                if(file_exists($pic_path."/".$base_name.".".$sft))
                {
                    unlink($pic_path."/".$base_name.".".$sft);
                }
            }
        }
        //falls es zu dem geloeschten Objekt einen Eintrag in der Tabelle21 (doubletten) gab, wird dieser entfernt:
        $num6 = 0;
        $result6 = mysqli_query($conn, "SELECT $table21.old_pic_id, $table21.new_pic_id, $table2.pic_id, $table2.FileNameOri
        FROM $table2, $table21
        WHERE $table21.new_pic_id = '$pic_id'
        AND $table2.pic_id = $table21.old_pic_id");
        $row6 = mysqli_fetch_assoc($result6);
        @$FileNameOri_ori = $row6['FileNameOri'];
        @$result7 = mysqli_query($conn, "DELETE FROM $table21 WHERE new_pic_id = '$pic_id'");
        
        //log-file in Abhaengigkeit der Art der Loeschung (Doublette oder normales Objekt) im Klartext schreiben:
        $num7 = mysqli_affected_rows($conn);
        //echo "Anz. betroffener Zeilen: ".$num6."<br />";
        if($num7 > 0)
        {
            //es wurde eine Doublette entfernt
            $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
            flock($fh, LOCK_EX);
            fwrite($fh,"##########\n".date('d.m.Y H:i:s').": Doublette ".mb_convert_encoding($FileNameOri, "UTF-8")." zum Original ".mb_convert_encoding($FileNameOri_ori, "UTF-8")." wurde von ".mb_convert_encoding($username, "UTF-8")." gel".mb_convert_encoding('ö', "UTF-8")."scht. (Aufruf von ".$_SERVER['REMOTE_ADDR'].")\nBild-Daten:\nKategorie: ".mb_convert_encoding($Keywords, "UTF-8")."\nBeschreibung: ".mb_convert_encoding($CaptionAbstract, "UTF-8")."\n##########\n");
            flock($fh, LOCK_UN);
            fclose($fh);
        }
        else
        {
            //es wurde ein normales Objekt geloescht
            $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
            flock($fh, LOCK_EX);
            fwrite($fh,"##########\n".date('d.m.Y H:i:s').": Objekt ".$pic_id." (".mb_convert_encoding($FileNameOri, "UTF-8").") wurde von ".mb_convert_encoding($username, "UTF-8")." gel".mb_convert_encoding('ö', "UTF-8")."scht. (Aufruf von ".$_SERVER['REMOTE_ADDR'].")\nBild-Daten:\nKategorie: ".mb_convert_encoding($Keywords, "UTF-8")."\nBeschreibung: ".mb_convert_encoding($CaptionAbstract, "UTF-8")."\n##########\n");
            flock($fh, LOCK_UN);
            fclose($fh);
        }

    }
    else
    {
        $error_code = 3;    // keine ausreichenden Rechte, um diese Aktion auszuführen
    }
}


$obj1 = new stdClass();
$obj1->errorCode = $error_code;
$output = json_encode($obj1);
echo $output;
