<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Startseite</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict()
	</script>
</head>

<body lang="de-DE" scroll = "auto">
<center>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: kat_delete_action.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */
//##########################################################################################
//
// ###################  Version ohne Ajax-Unterstützung  (bis 02/2021) #####################
// ################### wurde durch get_affected_kat_records.php ersetzt ####################
//
//##########################################################################################

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';
include $sr.'/bin/share/functions/main_functions.php';
//include $sr.'/bin/css/initial_layout_settings.php';

$res = mysqli_query($conn, "SELECT username FROM $table1 WHERE id = '$uid'");
$row = mysqli_fetch_assoc($res);
$username = $row['username'];

IF(hasPermission($uid, 'editkattree', $sr))
{
	$navigation = "
	<a class='navi' href='kat_sort1.php'>Sortierung</a>
	<a class='navi' href='db_wartung1.php'>Wartung</a>
	<a class='navi' href='../../html/admin/adminframe.php'>Zur&uuml;ck</a>
	<a class='navi_blind'></a>
	<a class='navi_blind'></a>
	<a class='navi_blind'></a>
	<a class='navi_blind'></a>
	<a class='navi' href='../../html/start.php'>zur Startseite</a>
	<a class='navi' href='../../html/help/help1.php?page=5'>Hilfe</a>
	<a class='navi' href='$inst_path/pic2base/index.php'>Abmelden</a>";
	
	// Ausgehend von der gewaehlten Kategorie muessen alle Unterkategorien bestimmt werden. Dann muessen aus der Tabelle 10 (pic_kat) alle Eintraege geloescht werden,
	// welche auf die gewaehlte Kategorie bzw. deren Unterkategorie verweisen.
	// fuer register_globals = off
	// $ID -> die zu löschende Kategorie(-ID)
	$ID = $_GET['ID']; 
	if(array_key_exists('kat_id',$_GET))
	{
		$kat_id = $_GET['kat_id']; 
	}
	// für den sauberen Rücksprung-Link:
	$res0 = mysqli_query($conn, "SELECT parent FROM $table4 WHERE kat_id = '$ID'");
	$row0 = mysqli_fetch_assoc($res0);
	$parent_kat = $row0['parent'];
	
	$res1 = mysqli_query($conn, "SELECT max(level) FROM $table4");
	$row1 = mysqli_fetch_assoc($res1);
	$max_level = $row1['max(level)'];
	//echo "max. Level: ".$max_level."<br />";
	$result2 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent = '$ID'");
	$num2 = mysqli_num_rows($result2);
	$child_arr[] = $ID;
	IF($num2 > '0')
	{
		$row2 = mysqli_fetch_assoc($result2);
	    $curr_level = $row2['level'];
		WHILE($curr_level <= $max_level)
		{
			FOREACH($child_arr AS $child)
			{
				$result3 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent = '$child' AND level = '$curr_level'");
				$num3 = mysqli_num_rows($result3);
				IF($num3 > '0')
				{
					FOR($i3='0'; $i3<$num3; $i3++)
					{
						$row3 = mysqli_fetch_assoc($result3);
					    $child_arr[] = $row3['kat_id'];	
					}
				}
			}
			$curr_level++;
		}
	}
	
	$pic_arr = array();
	FOREACH($child_arr AS $child)
	{
		$res3 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id = '$child'");
		if(!isset($u_kategorie))
		{
			$u_kategorie = '';
		}
		$row3 = mysqli_fetch_assoc($res3);
		$u_kategorie .= $row3['kategorie']."<br />";
		//echo $child."<br />";			//$child - Nummer der zu loeschenden Kategorie
		//Loeschvorgang der Kategorie in der Kategorie-Tabelle ($table4):
		$result4 = mysqli_query($conn, "DELETE FROM $table4 WHERE kat_id = '$child'");
		//Eintrag aus der kat_lex loeschen:
		$result6 = mysqli_query($conn, "DELETE FROM $table11 WHERE kat_id = '$child'");
		
		$res4 = mysqli_query($conn, "SELECT * FROM $table10 WHERE kat_id = '$child'");
		$num4 = mysqli_num_rows($res4); 
		FOR($i4='0'; $i4<$num4; $i4++)
		{
			$row4 = mysqli_fetch_assoc($res4);
		    $pic_id = $row4['pic_id'];
			IF(!in_array($pic_id, $pic_arr))
			{
				$pic_arr[] = $pic_id;
			}
		}
		
		//log-file im Klartext schreiben:
		$fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
		flock($fh, LOCK_EX);
		//fwrite($fh,"##########\n".date('d.m.Y H:i:s').": Kategorie Kat.-ID: ".$child." (".strip_tags(mb_convert_encoding($u_kategorie, "UTF-8")).") wurde von ".mb_convert_encoding($username, "UTF-8")." geloescht. Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n##########\n");
		fwrite($fh,"##########\n".date('d.m.Y H:i:s').": Kategorie Kat.-ID: ".$child." (".strip_tags($u_kategorie).") wurde von ".$username." geloescht. Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n##########\n");
		flock($fh, LOCK_UN);
		fclose($fh);
		
	}
	
	//loeschen der Objekt-Zuordnungen in der pic_kat-Tabelle:
	FOREACH($pic_arr AS $pic_id)
	{
		FOREACH($child_arr AS $child)
		{
			$result5 = mysqli_query($conn, "DELETE FROM $table10 WHERE pic_id = '$pic_id' AND kat_id = '$child'");
		}
		// Ermittlung der verbleibenden Kategorie-Zuordnungen für das aktuelle Objekt:
		// Kontrolle, ob dem Objekt noch mindestens eine Kategorie zugewiesen ist, sonst: has_kat = 0
		$result6 = mysqli_query($conn, "SELECT * FROM $table10 WHERE pic_id = '$pic_id'");
		$num6 = mysqli_num_rows($result6);
		
		IF($num6 == '1')
		{
		    $result6_1 = mysqli_query($conn, "DELETE FROM $table10 WHERE pic_id = '$pic_id'");
		    $result7 = mysqli_query($conn, "UPDATE $table2 SET has_kat = '0' WHERE pic_id = '$pic_id'");
		    echo mysqli_error($conn);
		}
		ELSE
		{
            if ( !isset($kw) )
            {
                $keywords = '';
            }
            $FN = strtolower($pic_path."/".restoreOriFilename($pic_id, $sr));
            $result8 = mysqli_query($conn, "SELECT $table10.pic_id, $table10.kat_id, $table4.kat_id, $table4.kategorie
            FROM $table4, $table10
            WHERE $table10.pic_id = '$pic_id'
            AND $table4.kat_id = $table10.kat_id
            AND $table4.kat_id <> '1'");
            $num8 = mysqli_num_rows($result8);
            $kategorie = '';
            FOR($i8=0; $i8<$num8; $i8++)
            {
                $row8 = mysqli_fetch_assoc($result8);
                $sel_kategorie = $row8['kategorie'];
                // Feldinhalt fuer die pictures.Keywords-Spalte generieren:
                $kategorie .= ", ".$sel_kategorie;
            }
            // Aktualisierung der Tabelle pictures.keywords
            // Keywords wird auf max. 250 Zeichen (Feldlänge in Tabelle pictures) gekürzt:
            $db_kw = substr($kategorie,'0','249');
            $res3 = mysqli_query($conn, "UPDATE $table2 SET Keywords = \"$db_kw\", has_kat = '1' WHERE pic_id = '$pic_id'");
            // Aktualisierung der IPTC:Keywords des aktuellen Objektes
            IF(strlen($kategorie) > 64)
            {
                // Da immer nur 64 Zeichen lange Blöcke in einem Zug nach IPTC:Keywords geschrieben werden können, wird $kategorie hier gesplittet:
                writeIptcKeywords($pic_id, $kategorie, $sr);
            }
            else
            {
                $exiftool = buildExiftoolCommand($sr);
                $command = $exiftool." -IPTC:Keywords=\"$kategorie\" -overwrite_original ".$FN;
                shell_exec($command);
            }
        }
	}
}
ELSE
{
	header('Location: ../../../index.php');
}

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Admin-Bereich - Kategorie l&ouml;schen
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>". $navigation."</div>
	</div>
	
	<div class='content' id='content'>
		<p style='margin:20px 0px; text-align:center'>Die folgenden Kategorien wurden gel&ouml;scht:<br /><br />".$u_kategorie."<br /><br />".
		count($pic_arr)." Bildzuordnung(en) wurde(n) aufgehoben.<br /><br />
        <input type='button' class='button' value='Zurück zur Kategorie-Auswahl-Seite' onClick='location.href=\"kategorie0.php?kat_id=$parent_kat\"'>
        </p>
	</div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>

</div>";

mysqli_close($conn);
?>

</div>
</center>
</body>
</html>