<?php

/*
 * Project: pic2base
 * File: kat_delete_action2.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';
$error_code = 0;
// Skript wird verwendet, um das IPTC:Keyword-Tag derjenigen Objekte neu zu schreiben, die betroffen sind, wenn eine Kategorie aus dem Kat.-Baum gelöscht wird
if(array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}
else 
{
    $error_code = 1;
}

// Ermittlung der verbleibenden Kategorie-Zuordnungen für das aktuelle Objekt:
// Kontrolle, ob dem Objekt noch mindestens eine Kategorie zugewiesen ist, sonst: has_kat = 0
$result6 = mysqli_query($conn, "SELECT * FROM $table10 WHERE pic_id = '$pic_id'");
$num6 = mysqli_num_rows($result6);

if($num6 == '1')
{
    $result6_1 = mysqli_query($conn, "DELETE FROM $table10 WHERE pic_id = '$pic_id'");
    $result7 = mysqli_query($conn, "UPDATE $table2 SET has_kat = '0' WHERE pic_id = '$pic_id'");
    echo mysqli_error($conn);
}
else
{
    if ( !isset($kw) )
    {
        $keywords = '';
    }
    $FN = strtolower($pic_path."/".restoreOriFilename($pic_id, $sr));
    $result8 = mysqli_query($conn, "SELECT $table10.pic_id, $table10.kat_id, $table4.kat_id, $table4.kategorie
    FROM $table4, $table10
    WHERE $table10.pic_id = '$pic_id'
    AND $table4.kat_id = $table10.kat_id
    AND $table4.kat_id <> '1'");
    $num8 = mysqli_num_rows($result8);
    $kategorie = '';
    for($i8=0; $i8<$num8; $i8++)
    {
        $row8 = mysqli_fetch_assoc($result8);
        $sel_kategorie = $row8['kategorie'];
        // Feldinhalt fuer die pictures.Keywords-Spalte generieren:
        $kategorie .= ", ".$sel_kategorie;
    }
    // Aktualisierung der Tabelle pictures.keywords
    // Keywords wird auf max. 250 Zeichen (Feldlänge in Tabelle pictures) gekürzt:
    $db_kw = substr($kategorie,'0','249');
    $res3 = mysqli_query($conn, "UPDATE $table2 SET Keywords = \"$db_kw\", has_kat = '1' WHERE pic_id = '$pic_id'");
    // Aktualisierung der IPTC:Keywords des aktuellen Objektes
    if(strlen($kategorie) > 64)
    {
        // Da immer nur 64 Zeichen lange Blöcke in einem Zug nach IPTC:Keywords geschrieben werden können, wird $kategorie hier gesplittet:
        writeIptcKeywords($pic_id, $kategorie, $sr);
    }
    else
    {
        $exiftool = buildExiftoolCommand($sr);
        $command = $exiftool." -IPTC:Keywords=\"$kategorie\" -overwrite_original ".$FN;
        shell_exec($command);
    }
}

mysqli_close($conn);

$obj = new stdClass();
$obj->errorCode = $error_code;
$output = json_encode($obj);
echo $output;
?>