<!DOCTYPE HTML>
<HTML>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Kategorie-Bearbeitung</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">	
</head>
<body lANG="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: kategorie0.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

if(array_key_exists('kat_id',$_GET))
{
	$kat_id = $_GET['kat_id'];
	if($kat_id !== '')
	{
		$_SESSION['kat_treeview_pos'] = $kat_id;
	}
}

//$kat_id = $_GET['kat_id'];
$ID = $_GET['ID'];

if(hasPermission($uid, 'editkattree', $sr))
{
    $navigation = "
        <a class='navi' href='kat_sort1.php'>Sortierung</a>
        <a class='navi' href='../../html/admin/adminframe.php'>Zur&uuml;ck</a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi_blind'></a>
        <a class='navi' href='../../html/start.php'>zur Startseite</a>
        <a class='navi' href='../../html/help/help1.php?page=5'>Hilfe</a>
        <a class='navi' href='$inst_path/pic2base/index.php'>Abmelden</a>";
}
else
{
    header('Location: ../../../index.php');
}

function setFontColor($ID, $kat_id)
{
    if ($ID == $kat_id)
    {
        $f_color = "#de4040";
    }
    else
    {
        $f_color = "#dedede";
    }
    return $f_color;
}

echo "

<div class='body_grid'>

    <div class='header'>
        pic2base :: Admin-Bereich - Kategorie-Bearbeitung
    </div>

    <div class='navigation'>
        <div class='menucontainer'>".$navigation."</div>
    </div>

    <div class='content'>
        <div class='content_grid_filmstripe'>

            <div class='filmstripe_content_left' id='spalte1' style='overflow: hidden;'>
                <fieldset class='normal' style='height: 95%; overflow: hidden;'>
                <legend class='normal'>Die rot hinterlegte Kategorie wollen Sie bearbeiten?</legend>
                    <div id='scrollbox0' style='height: 98%; overflow-y:scroll;'>";
                    //echo $hint;
                    //Erzeugung der Baumstruktur:
                    //Beim ersten Aufruf der Seite wird nur das Wurzel-Element angezeigt.
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    $KAT_ID = $kat_id;
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    //Ermittlung aller 'Knoten-Elemente' (Elemente, an denen in die Tiefe verzweigt wird)
                    $knoten_arr[]=$kat_id;

                    while ($kat_id > '1')
                    {
                        include '../../share/db_connect1.php';
                        include '../../share/global_config.php';
                        $res0 = mysqli_query($conn, "SELECT parent FROM $table4 WHERE kat_id='$kat_id'");
                        echo mysqli_error($conn);
                        $row0 = mysqli_fetch_assoc($res0);
                        $kat_id = $row0['parent'];
                        //echo "Kat-ID in der Funktion: ".$kat_id."<br />";
                        $knoten_arr[]=$kat_id;
                    }
                    $knoten_arr = array_reverse($knoten_arr);

                    echo "
                    <center>
                    <table class='kat'>";

                    function getElements($kat_id, $knoten_arr, $KAT_ID, $ID)
                    {
                        include '../../share/db_connect1.php';
                        include '../../share/global_config.php';
                        $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent='$kat_id' ORDER BY kategorie");
                        $num10 = mysqli_num_rows($result10);
                        for ($i10=0; $i10<$num10; $i10++)
                        {
                            $row10 = mysqli_fetch_assoc($result10);
                            $kategorie = $row10['kategorie'];
                            $parent = $row10['parent'];
                            $level = $row10['level'];
                            $kat_id = $row10['kat_id'];
                            $space='';
                            for ($N=0; $N<$level; $N++)
                            {
                                $space .="&#160;&#160;&#160;";
                            }

                            $kat_id_pos = array_search($kat_id, $knoten_arr);
                            if($kat_id_pos > 0)
                            {
                                $kat_id_back = $knoten_arr[$kat_id_pos - 1];
                            }
                            //echo "Kat-ID: ".$kat_id.", ID: ".$ID.", Font_Color: ".setFontColor($ID, $kat_id)."<br />";
                            if (in_array($kat_id, $knoten_arr))
                            {
                                //echo $kat_id_back;
                                $img = "<img src='../../share/images/minus.svg' class='icon2'>";
                                echo 	"<tr class='kat'><td class='kat1'>
                                        ".$space."<a href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font>
                                        </td>
                                        <td class='kat2'>
                                            <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                                <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                            </a>
                                        </td>
                                        </tr>";
                                getElements($kat_id, $knoten_arr, $KAT_ID, $ID);
                            }
                            else
                            {
                                $img = "<img src='../../share/images/plus.svg' class='icon2'>";
                                echo 	"<tr class='kat'><td class='kat1'>
                                        ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font>
                                        </td>
                                        <td class='kat2'>
                                            <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                                <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                            </a>
                                        </td>
                                        </tr>";
                            }
                        }
                    }

                    $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='1'");
                    $num10 = mysqli_num_rows($result10);
                    for ($i10=0; $i10<$num10; $i10++)
                    {
                        $row10 = mysqli_fetch_assoc($result10);
                        $kategorie = $row10['kategorie'];
                        $parent = $row10['parent'];
                        $level = $row10['level'];
                        $kat_id = $row10['kat_id'];
                            $space='';
                            for ($N=0; $N<$level; $N++)
                            {
                                $space .="&#160;&#160;&#160;";
                            }

                            //Link fuer den Ruecksprung erzeugen, d.h. naechst hoeheren Knoten aufrufen:
                            $kat_id_back = array_search($kat_id, $knoten_arr);

                            if (in_array($kat_id, $knoten_arr))
                            {
                                //echo $kat_id_back;
                                $img = "<img src='../../share/images/minus.svg' class='icon2'>";
                                echo 	"<tr class='kat'><td class='kat1'>
                                        ".$space."<a href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font><br />
                                        </td>
                                        <td class='kat2'>
                                            <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                                <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                            </a>
                                        </td>
                                        </tr>";
                                getElements($kat_id, $knoten_arr, $KAT_ID, $ID);
                            }
                            else
                            {
                                $img = "<img src='../../share/images/plus.svg' class='icon2'>";
                                echo 	"<tr class='kat'>
                                            <td class='kat1'>
                                            ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;&#160;<font color=".setFontColor($ID, $kat_id).">".$kategorie."</font><br />
                                            </td>
                                            
                                            <td class='kat2'>
                                                <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                                    <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                                </a>
                                            </td>
                                        </tr>";
                            }
                    }
                    echo "</TABLE>
                    </center>
                    </div>
                </fielset>
            </div>

            <div class='filmstripe_content_right' id='spalte2' style='overflow: hidden;'>
                <fieldset class='normal' style=' height: 95%;overflow: hidden;'>
                <legend class='normal'>&Auml;nderungen</legend>
                    <div id='scrollbox1' style='height: 98%; overflow-y:scroll; text-align:center;justify-content:center;'>";
                        //das eigentliche Bearbeitungs-Formular:
                        $result2 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='$ID'");
                        $row2 = mysqli_fetch_assoc($result2);
                        $kategorie_alt = $row2['kategorie'];
                        echo "
                        <span style='padding:50px; margin-top:40px; margin-bottom:20px;'>
                            <p class='klein'>
                                Nehmen Sie hier bitte die &Auml;nderungen<br />f&uuml;r die ausgew&auml;hlte Kategorie vor:
                            </p>
                        </span>
        
                        <form name='kat_neu' action='kat_edit_action1.php' method='POST'>
                            <INPUT type='text' class='Textfeld' name='kategorie' value=\"$kategorie_alt\" style='width:200px; margin-bottom:25px;' maxlength='50'><br />
                            <INPUT type='button' class='button' style='margin-left: 20px;' value = 'Abbrechen' OnClick='location.href=\"kategorie0.php\"'>
                            <INPUT type='submit' class='button' style='margin-left: 20px;' value='&Auml;ndern'>
                            <INPUT type='hidden' name='kat_id' value=\"$KAT_ID\"> 
                            <INPUT type='hidden' name='ID' value=\"$ID\">
        
                            <div class='klein' style='padding-left:20%; padding-right:20%; margin-top:40px; margin-bottom:20px;'>
                                <p class='klein_green' style='margin-top:40px;'>
                                    <u>Bitte beachten Sie:</u>
                                </p>
                                
                                <p class='klein' style='margin-top:20px;'>
                                    Nachdem die Bezeichnung der Kategorie ge&auml;ndert wurde, werden auch alle Eintr&auml;ge in den Meta-Daten der betreffenden Objekte aktualisiert.
                                </p>
        
                                <p class='klein' style='margin-top:20px;'>
                                    Dies kann - je nach Rechenleistung und Anzahl der Objekte - eine Weile dauern.
                                </p>
                                
                                <p class='klein' style='margin-top:20px;'>
                                    Am Ende der Bearbeitung erhalten Sie eine Fertigmeldung.
                                </p>
                            </div>
                        </form>
                    </div>
                </fieldset>
            </div>

            <div class='filmstripe_content_bottom'>
            </div>

        </div>
    </div>
	
    <div class='footer'>
        <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
    </div>

</div>";

mysqli_close($conn);
?>

</div>
</center>
</body>
</html>