<!DOCTYPE HTML>
<HTML>
<HEAD>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <TITLE>pic2base - Kategorie-Umbenennung</TITLE>
    <META NAME="GENERATOR" CONTENT="eclipse">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>
<?php

/*
 * Project: pic2base
 * File: kat_edit_action1.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/permissions.php';

if(array_key_exists('ID', $_POST))
{
    $ID = $_POST['ID'];
}

if(array_key_exists('kat_id', $_POST))
{
    $kat_id = $_POST['kat_id'];
}

if(array_key_exists('kategorie', $_POST))
{
    $kategorie = $_POST['kategorie'];
}


if(hasPermission($uid, 'editkattree', $sr))
{
    //$i = 0;
//    $navigation = "<span style='cursor:pointer;'><a class='navi' onClick=\"location.href='../../html/admin/adminframe.php'\">Zur&uuml;ck</a></span><span style='cursor:pointer;'><a class='navi' onClick=\"location.href='kat_sort1.php'\">Sortierung</a></span>";
    $navigation = "<span style='cursor:pointer;'><a class='navi' onClick=location.href='kat_edit.php'>Zur&uuml;ck</a></span><span style='cursor:pointer;'><a class='navi' onClick=location.href='kat_sort1.php'>Sortierung</a></span>";
    FOR($i=0; $i<14; $i++)
    {
        $navigation .= "<a class='navi_blind'></a>";
    }
    $navigation .= "<span style='cursor:pointer;'><a class='navi' onClick=location.href='../../html/start.php'>zur Startseite</a></span><span style='cursor:pointer;'><a class='navi' onClick=location.href='../../html/help/help1.php?page=5'>Hilfe</a></span><span style='cursor:pointer;'><a class='navi' onClick=location.href='$inst_path/pic2base/index.php'>Abmelden</a></span>";
}
else
{
    header('Location: ../../../index.php');
}
?>

<body onLoad="getAffectedFilesList(<?php echo $kat_id.",".$ID.",'".$kategorie."'";?>)">
<div class="klein">
<?php

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

ob_flush();

// zuerst wird der Kategoriename in der DB aktualisiert
$res = mysqli_query($conn, "UPDATE $table4 SET kategorie=\"$kategorie\" WHERE kat_id='$ID'");
echo mysqli_error($conn);

//dann wird ermittelt, wieviel Objekte von der Umbenennung betroffen sind
$res2 = mysqli_query($conn, "SELECT $table10.pic_id, $table10.kat_id, $table2.pic_id, $table2.FileName 
FROM $table10, $table2 
WHERE $table10.kat_id = '$ID' AND ($table10.pic_id = $table2.pic_id)");
$num2 = mysqli_num_rows($res2);

echo "
<div class='body_grid'>

    <div class='header'>
        pic2base :: Stapelverarbeitung Kategorie-Umbenennung <span class='klein'>(User: ".$username.")</span>
    </div>

    <div class='navigation' id='navi'>
        <div class='menucontainer'>
        </div>
    </div>

    <div class='content'>
        <span style='font-size:12px;'>
            <p style='margin:120px 0px; text-align:center;'>

                <center>
                    <p class='klein' id='hinweis'>".$num2." betroffene Objekte sind zu aktualisieren.</p>
                    <p class='klein'>Status der Kategorie-Umbenennung:</p>
                    <div id='prog_bar' class='progress_bar' style='width:300px; margin-top:20px;'>
                            <img src='../../share/images/green.gif' name='bar' />
                    </div>
                    <p class='klein' id='meldung'>".isset($meldung)."</p>
                </center>

            </p>
        </span>
    </div>

    <div class='footer'>
        <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
    </div>
	
</div>";
?>

</div>
    
<script type = text/javascript>
var fileList = null;
var gesamtanzahl;
var numberOfErrors = 0;
document.bar.width = '0';

function fileListReceived( responseText )
{
//    alert("Response Text von get_affectedfiles_list.php: " + responseText);
    fileList = JSON.parse( responseText, null );
    if(fileList.anzahl > 0)
    {
        gesamtanzahl = fileList.file_id_array.length;
        processFile( fileList, gesamtanzahl );
    }
    else
    {
        alert( "Es waren keine Dateien zu bearbeiten.\nDie Kategorie wurde umbenannt." );
        location.href='kategorie0.php';
    }	
}

function processFile( fileList, gesamtanzahl )
{
    var client = new XMLHttpRequest();
    var actual_file = fileList.file_id_array[0];
    var ID = <?php echo $ID;?>; 
    var kat_id = <?php echo $kat_id;?>; 
    //alert("kat-id: " + kat_id + ", ID: " + ID + ", Pic-ID: " + fileList.file_id_array[0]);
    //alert("Dateiname in kat_edit_action1.php, Z. 177 (Fkt. processFile; zu bearbeitende Datei): " + fileList.file_id_array[0]);
    client.open("GET", "../../share/rename_kat.php?pic_id=" + fileList.file_id_array[0] + "&kat_id=" + kat_id + "&ID=" + ID, true);
    fileList.file_id_array.splice( 0, 1 );

    client.onreadystatechange = function()
    {
        if( client.readyState == 4 )
        {
            result = JSON.parse( client.responseText );

            if( result.errorCode == 1 )
            {
                alert( "Fehler in .php, Z. : Datei " + result.file + " konnte nicht umbenannt werden..." );
                numberOfErrors++;
            }
            else if(result.errorCode == 2)
            {
                alert( "Objekt " + result.file + " " );
                numberOfErrors++;
            }
            else if (result.errorCode == 3)
            {
                alert ("Keine UID!");
                numberOfErrors++;
            }
            else if (result.errorCode == 4)
            {
                alert ("Keine Datei zu bearbeiten");
                numberOfErrors++;
            }
            
            else if(result.errorCode == 0)
            {
                //alert( "Kein Fehler bei der Bearbeitung der Datei " + actual_file + " (In kat_edit_action1.php, Z. 213)");
            }

            if( fileList.file_id_array.length > 0 )
            {
                var laenge = (gesamtanzahl - fileList.file_id_array.length) / gesamtanzahl * 300;
                var anteil = ((gesamtanzahl - fileList.file_id_array.length) / gesamtanzahl) * 100;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                document.getElementById("meldung").innerHTML="<p>" + Math.round(anteil) + " %...</p>";
                processFile( fileList, gesamtanzahl );
            }
            else
            {
                //Bearbeitung ist abgeschlossen
                //Aktualisierung des Fortschrittsbalkens auf 100%:
                var laenge = (gesamtanzahl - fileList.file_id_array.length) / gesamtanzahl * 300;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                document.getElementById("meldung").innerHTML="<p>Fertig...</p>";
                document.getElementById("navi").innerHTML="<?php echo $navigation;?>";
                setTimeout(goBack, 1000);
                function goBack ()
                {
                	location.href='kategorie0.php';
                }
            }
        }
        else
        {
            //alert("Fertigmeldung fehlt! (" + client.readyState + ")");
        }
    };
    client.send( null );
}

</script>

</body>
</html>