<!DOCTYPE HTML>
<HTML>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Kategorieverwaltung</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<body lang="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: kategorie0.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';

if(array_key_exists('kat_id',$_GET))
{
	$kat_id = $_GET['kat_id'];
	if($kat_id !== '')
	{
		$_SESSION['kat_treeview_pos'] = $kat_id;
	}
	else 
	{
		$kat_id = $kat_treeview_pos;
	}
}
else
{
	$kat_id = $kat_treeview_pos;
}

if(hasPermission($uid, 'editkattree', $sr))
{
    $i = 0;
    $navigation = "
    <span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='../../html/admin/adminframe.php'\">Zur&uuml;ck</a>
	</span>
    <span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='kat_sort1.php'\">Sortierung</a>
	</span>";
    for($i=0; $i<14; $i++)
    {
        $navigation .= "<a class='navi_blind'></a>";
    }
    $navigation .= "<span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='../../html/start.php'\">zur Startseite</a>
	</span>
    <span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='../../html/help/help1.php?page=5'\">Hilfe</a>
	</span>
    <span style='cursor:pointer;'>
		<a class='navi' onClick=\"location.href='$inst_path/pic2base/index.php'\">Abmelden</a>
	</span>";
}
else
{
    header('Location: ../../../index.php');
}

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Admin-Bereich - Kategorieverwaltung
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>".$navigation."</div>
	</div>

    <div class='content'>
        <div class='content_grid_filmstripe'>

            <div class='filmstripe_content_left' id='spalte1' style='overflow-y: hidden;'>
                <fieldset class='normal' style='height:95%; overflow-y: hidden;'>
                <legend class='normal'>W&auml;hlen Sie hier die zu bearbeitende Kategorie aus</legend>
                    <div id='scrollbox0' style='height:98%; overflow-y: scroll;'>";
                    //echo "KatTreeviewPos.: ".$kat_treeview_pos.", Kat-ID: ".$kat_id."<br>";
                    //Erzeugung der Baumstruktur:
                    //Beim ersten Aufruf der Seite wird nur das Wurzel-Element angezeigt.
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    $KAT_ID = $kat_id;
                    //  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    //Ermittlung aller 'Knoten-Elemente' (Elemente, an denen in die Tiefe verzweigt wird)
                    $knoten_arr[]=$kat_id;
                    
                    while ($kat_id > '1')
                    {
                        $res0 = mysqli_query($conn, "SELECT parent FROM $table4 WHERE kat_id='$kat_id'");
                        echo mysqli_error($conn);
                        $row0 = mysqli_fetch_assoc($res0);
                        $kat_id = $row0['parent'];
                        //echo "Kat-ID in der Funktion: ".$kat_id."<br />";
                        $knoten_arr[]=$kat_id;
                    }
                    $knoten_arr = array_reverse($knoten_arr);
                    
                    echo "
                    <center>
                    <table class='kat'>";
                    
                    function getElements($kat_id, $knoten_arr, $KAT_ID)
                    {
                        include '../../share/db_connect1.php';
                        include '../../share/global_config.php';
                        $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE parent='$kat_id' ORDER BY kategorie");
                        $num10 = mysqli_num_rows($result10);
                        for ($i10=0; $i10<$num10; $i10++)
                        {
                            $row10 = mysqli_fetch_assoc($result10);
                            $kategorie = $row10['kategorie'];
                            $parent = $row10['parent'];
                            $level = $row10['level'];
                            $kat_id = $row10['kat_id'];
                            $space='';
                            for ($N=0; $N<$level; $N++)
                            {
                                $space .="&#160;&#160;&#160;";
                            }
                            
                            $kat_id_pos = array_search($kat_id, $knoten_arr);
                            if ( $kat_id_pos > 0)
                            {
                                $kat_id_back = $knoten_arr[$kat_id_pos - 1];
                            }
                            if (in_array($kat_id, $knoten_arr))
                            {
                                
                                //echo $kat_id_back;
                                $img = "<img src='../../share/images/minus.svg' class='icon2'>";
                                echo "<tr class='kat'>
                                <td class='kat3'>
                                ".$space."<a class='std' href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;
                                <a class='std' href='kat_add.php?kat_id=$KAT_ID&level=$level&ID=$kat_id' title='Neue Unterkategorie einf&uuml;gen' id='std'>".$kategorie."</a>
                                </td>
                                
                                <td class='kat2'>
                                    <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                        <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                    </a>
                                </td>";
                                
                                if($kat_id !== '1')
                                {
                                    echo "
                                    <td class='kat2'>
                                        <a href='kat_delete.php?kat_id=$kat_id&ID=$kat_id' title='Kategorie l&ouml;schen'>
                                            <img src='../../share/images/delete.svg' class='icon2' alt='Delete-Icon' />
                                        </a>
                                    </td>";
                                }
                                else
                                {
                                    echo "<td class='kat2'><br /></td>";
                                }
                                
                                echo "</tr>";
                                getElements($kat_id, $knoten_arr, $KAT_ID);
                            }
                            else
                            {
                                $img = "<img src='../../share/images/plus.svg' class='icon2'>";
                                echo 	"<tr class='kat'>
                                <td class='kat3'>
                                ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;
                                <a class='std' href='kat_add.php?kat_id=$KAT_ID&level=$level&ID=$kat_id' title='Neue Unterkategorie einf&uuml;gen' id='std'>".$kategorie."</a>
                                </td>
                                
                                <td class='kat2'>
                                    <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                        <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                    </a>
                                </td>";
                                
                                if($kat_id !== '1')
                                {
                                    echo "
                                    <td class='kat2'>
                                        <a href='kat_delete.php?kat_id=$kat_id&ID=$kat_id' title='Kategorie l&ouml;schen'>
                                            <img src='../../share/images/delete.svg' class='icon2' alt='Delete-Icon' />
                                        </a>
                                    </td>";
                                }
                                else
                                {
                                    echo "<td class='kat2'><br /></td>";
                                }
                                echo "</tr>";
                            }
                        }
                    }
                    
                    $result10 = mysqli_query($conn, "SELECT * FROM $table4 WHERE kat_id='1'");
                    $num10 = mysqli_num_rows($result10);
                    for ($i10=0; $i10<$num10; $i10++)
                    {
                        $row10 = mysqli_fetch_assoc($result10);
                        $kategorie = $row10['kategorie'];
                        $parent = $row10['parent'];
                        $level = $row10['level'];
                        $kat_id = $row10['kat_id'];
                        $space='';
                        //echo $level;
                        for ($N=0; $N<$level; $N++)
                        {
                            $space .="&#160;&#160;&#160;";
                        }
                        
                        //Link fuer den Ruecksprung erzeugen, d.h. naechst hoeheren Knoten aufrufen:
                        $kat_id_back = array_search($kat_id, $knoten_arr);
                        if (in_array($kat_id, $knoten_arr))
                        {
                            
                            //echo "Space: ".$space."<br />";
                            //echo $kat_id_back;
                            $img = "<img src='../../share/images/minus.svg' class='icon2'>";
                            echo 	"<tr class='kat'>
                                <td class='kat3'>
                                ".$space."<a class='std' href='kategorie0.php?kat_id=$kat_id_back'>".$img."</a>&#160;
                                <a class='std' href='kat_add.php?kat_id=$KAT_ID&level=$level&ID=$kat_id' title='Neue Unterkategorie einf&uuml;gen' id='std'>".$kategorie."</a>
                                </td>
                                
                                <td class='kat2'>
                                    <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                        <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                    </a>
                                </td>";
                                    
                                if ($kat_id !== '1')
                                {
                                    echo "
                                    <td class='kat2'>
                                        <a href='kat_delete.php?kat_id=$kat_id&ID=$kat_id' title='Kategorie l&ouml;schen'>
                                            <img src='../../share/images/delete.svg' class='icon2' alt='Delete-Icon' />
                                        </a>
                                    </td>";
                                }
                                else
                                {
                                    echo "<td class='kat2'><br /></td>";
                                }
                                
                                echo "</tr>";
                            getElements($kat_id, $knoten_arr, $KAT_ID);
                        }
                        else
                        {
                            //echo "Space: ".$space."|<br />";
                            $img = "<img src='../../share/images/plus.svg' class='icon2'>";
                            echo 	"<tr class='kat'>
                                <td class='kat3'>
                                ".$space."<a href='kategorie0.php?kat_id=$kat_id'>".$img."</a>&#160;
                                <a class='std' href='kat_add.php?kat_id=$KAT_ID&level=$level&ID=$kat_id' title='Neue Unterkategorie einf&uuml;gen' id='std'>".$kategorie."</a>
                                </td>
                                
                                <td class='kat2'>
                                    <a href='kat_edit.php?kat_id=$KAT_ID&ID=$kat_id' title='Kategorie bearbeiten'>
                                        <img src='../../share/images/edit.svg' class='icon2' alt='Edit-Icon'>
                                    </a>
                                </td>";
                                    
                                if ($kat_id !== '1')
                                {
                                    echo "
                                    <td class='kat2'>
                                        <a href='kat_delete.php?kat_id=$kat_id&ID=$kat_id' title='Kategorie l&ouml;schen'>
                                            <img src='../../share/images/delete.svg' class='icon2' alt='Delete-Icon' />
                                        </a>
                                    </td>";
                                }
                                else
                                {
                                    echo "<td class='kat2'><br /></td>";
                                }
                                    
                                echo "</tr>";
                        }
                    }
                    echo "</table>
                    </center>
                    </div>
                </fieldset>
            </div>

            <div class='filmstripe_content_right' id='spalte2' style='overflow-y: hidden'>
                <fieldset class='normal' style='height:95%; text-align: left; overflow-y: hidden;'>
                <legend class='normal'>Hinweis</legend>
                    <div id='scrollbox1' style='height: 98%; overflow-y: scroll;'>
                    <p class='klein'>Mit einem Klick auf einen Kategorie-Namen f&uuml;gen Sie eine neue Unter-Kategorie unterhalb der gew&auml;hlten Kategorie ein.<br /><br />
                    Mit einem Klick auf das Bearbeiten-Icon &#160;<img src='../../share/images/edit.svg' style='border:none;' width='11' height='11' hspace='0' vspace='0' border='0' alt='Edit-Icon'>&#160; k&ouml;nnen Sie die Bezeichnung f&uuml;r die ausgew&auml;hlte Kategorie &auml;ndern.<br /><br />
                    Mit einem Klick auf das L&ouml;schen-Icon &#160;<img src='../../share/images/delete.svg' style='border:none;' width='11' height='11' hspace='0' vspace='0' border='0' alt='Delete-Icon'>&#160; k&ouml;nnen Sie die ausgew&auml;hlte Kategorie l&ouml;schen.<br />
                    <u>Wichtig!</u><br />
                    Hierbei werden auch ALLE Unterkategorien der gew&auml;hlten Kategorie gel&ouml;scht!<br /><br />
                    &Uuml;ber den Men&uuml;punkt \"Sortierung\" k&ouml;nnen Sie die Kategorie-Struktur neu ordnen. Weitere Informationen erhalten Sie auf der Sortieren-Seite.<br /><br />
                    Werden Kategorien gel&ouml;scht oder neu sortiert, hat dies auch Auswirkungen auf die darin befindlichen Objekte. In diesem Fall m&uuml;ssen die jeweiligen Meta-Daten konsistent gehalten werden, was - je nach Anzahl der Objekte und der Rechenleistung des Servers - einige Zeit in Anspruch nehmen kann.<br /><br />
                    Mit dem Men&uuml;punkt \"Wartung\" haben Sie die M&ouml;glichkeit, die Tabelle der Objekt-Kategorie-Zuweisungen auf fehlerhafte Eintr&auml;ge zu &uuml;berpr&uuml;fen und ggf. zu reparieren. Die Aktion wird sofort nach Klick auf den Button gestartet und kann eine Weile dauern.<br />
                    Am Ende der Wartung wird Ihnen ein Bericht &uuml;ber den Zustand der Tabelle angezeigt.</p>
                    </div>
                </fieldset>
            </div>

            <div class='filmstripe_content_bottom'>
            </div>

        </div>
    </div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>

</div>
</div>
</body>
</html>";

mysqli_close($conn);
?>
