<!DOCTYPE HTML>
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=iso-8859-15">
	<TITLE>pic2base - FTP</TITLE>
	<META NAME="GENERATOR" CONTENT="Eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../css/main.css'>
	<link rel="shortcut icon" href="../share/images/favicon.ico">
</HEAD>

<body>
<center>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: index.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

include '../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';


if (hasPermission($uid, 'adminlogin', $sr))
{
	$navigation = 	"<a class='navi' href='?action=about'>About</a>
		<a class='navi' href='?action=logs&logs=transfer'>Transfer</a>
		<a class='navi' href='?action=traffic'>Traffic</a>
		<a class='navi' href='?action=user_online'>User-Online</a>
		<a class='navi_blind'></a>
		<a class='navi_blind'></a>
		<a class='navi' href='../html/admin/adminframe.php'>Zur&uuml;ck</a>";
		FOR($i=0; $i<9; $i++)
			{
				$navigation .= "<a class='navi_blind'></a>";
			}
			$navigation .=  "<a class='navi' href='../html/start.php'>zur Startseite</a>
		<a class='navi' href='../html/help/help1.php?page=5'>Hilfe</a>
		<a class='navi' href='../../index.php'>Abmelden</a>";
}

echo "<div class='body_grid'>

	<div class='header'>
		pic2base :: pic2base :: FTP-Statistik
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>".$navigation."</div>
	</div>
	
	<div class='content' style='overflow-y: scroll'>
		<p style='margin:120px 0px; text-align:center'>";

		if(!isset($_GET['action'])) $_GET['action'] = "";
		switch($_GET['action'])
		{
			default:
			echo "
			<p class='klein' style='text-align:center;'>Willkommen zum ProFTPd-Frontend!
			<br /><br />
			Folgen Sie bitte der Navigationsleiste.</p>";
			break;
		
		// ----------------------------------------------------------
			
			case 'about':
			echo "
			<p class='klein' style='text-align:center;'>ProFTPd-Frontend
			<br /><br /> 
			Version: 0.1b
			<br /><br />
			Ein ProFTPd - Tool
			<br /><br />
			Autor: Michael Kremsier
			<br />
			aka DJ DHG
			<br /></p>
			<p class='klein' style='text-align:center;'>Email: <a class='std' href='mailto:xampp@bysteini.de?subject=ProFTPd-Frontend'>xampp@bysteini.de</a>
			<br />
			Homepage: <a class='std' href='http://addons.xampp.org' target='_blank'>http://addons.xampp.org</a>
			<br /></p>";
			break;
		
		// ----------------------------------------------------------
			/*
			case 'user':
			include('user.php');
			break;
			*/
		// ----------------------------------------------------------
			
			case 'logs':
			include('logs.php');
			break;
		
		// ----------------------------------------------------------	
		
			case 'traffic':
			include('config.inc.php');
			$ftp_conn = mysqli_connect($sql_server, $sql_user, $sql_pw) or die ("DB-Fehler-Nummer" .mysqli_errno(). "|| Meldung: ". mysqli_error($conn)); 
			mysqli_select_db($ftp_conn, $sql_db) or die ("DB-Fehler-Nummer" .mysqli_errno(). "|| Meldung: ". mysqli_error($conn));
			
			$traffic_up = "0";
			$traffic_down = "0";
			$result = mysqli_query($conn, "SELECT ul_bytes, dl_bytes FROM users")
			 or die ("DB-Fehler-Nummer" .mysqli_errno(). "|| Meldung: ". mysqli_error($conn));
			while($row  =  mysqli_fetch_row($result))  
			{
    			$traffic_down = $traffic_down + $row[1];
    			$traffic_up = $traffic_up + $row[0];
			}
			$traffic_down = number_format(round($traffic_down,2) /1024 / 1024,2,",","."); 
			$traffic_up = number_format(round($traffic_up,2) /1024 / 1024,2,",","."); 
			?>
			<div>
				<center>
				<table class='kat' style='width:400px;'>
				
				<tr>
				<td colspan='3' style='text-align:center;'><p class='medium'>Traffic:</p></td>
				</tr>
				
				<TR style='height:3px;'>
				<td class='normal' style='background-color: var(--color3); text-align: center;' colspan='3'></td>
				</TR>
				
				<tr>
				<td colspan='3'>&nbsp;</td>
				</tr>
				
				<TR>
				<td width='150'><p class='klein'>Upload Traffic:</p></td>
				<td align='right'><p class='klein'><?=$traffic_up?> MB </p></td>
				<td width='150' align='center'><img src="img/up.gif" alt="UP"></td>
				</TR>
				
				<TR>
				<td width='150'><p class='klein'>Download Traffic:</p></td>
				<td align='right'><p class='klein'><?=$traffic_down?> MB </p></td>
				<td width='150' align='center'><img src="img/down.gif" alt="DOWN"></td>
				</TR>
				
				<tr>
				<td colspan='3'>&nbsp;</td>
				</tr>
				
				<TR style='height:3px;'>
				<td class='normal' style='background-color: var(--color3); text-align: center;' colspan='3'></td>
				</TR>
				
				</TABLE>
				</CENTER>
		</div>
			<?PHP
			mysqli_close($ftp_conn);
			break;
		
		// ----------------------------------------------------------
			
			case 'user_online':
			if(!file_exists("/opt/lampp/var/proftpd.pid"))
			{
				echo "ProFTPd ist nicht gestartet!";
			}
			else
			{
				$str = shell_exec("/opt/lampp/bin/ftpwho -v");
				$str = str_replace("\n","<br />",$str); 
				
				if(strstr($str,"standalone"))
				{
					$str = str_replace("standalone","<CENTER>Standalone",$str);
					
					if(strstr($str,"min<br />"))
					{
						$str = str_replace("min<br />","min</CENTER><br /><br />",$str);
					}
					
					
					if(strstr($str,"no users connected"))
					{
						$str = str_replace("no users connected","<CENTER><p class='klein'>Niemand ist mit dem Server verbunden!</p></CENTER>",$str);
					}
					else
					{
						$str = str_replace("client","Client",$str);
						$str = str_replace("server","Server",$str);
						$str = str_replace("location","Pfad",$str);
						$str = str_replace("Service class","",$str);
						if (strstr($str,"LIST") or strstr($str,"STOR") or strstr($str,"RETR") or strstr($str,"idle") or strstr($str,"IDLE") or strstr($str,"authenticating") or strstr($str,"DELE"))
						{
							$str = str_replace("LIST","<FONT COLOR=\"green\">Verzeichnis auflisten</FONT>",$str);
							$str = str_replace("STOR","<FONT COLOR=\"green\">Upload</FONT>",$str);
							$str = str_replace("RETR","<FONT COLOR=\"green\">Download</FONT>",$str);
							$str = str_replace("idle","<FONT COLOR=\"green\">Unt&auml;tig</FONT>",$str);
							$str = str_replace("authenticating","<FONT COLOR=\"green\">Anmelden</FONT>",$str);
							$str = str_replace("DELE","<FONT COLOR=\"green\">L&ouml;sche</FONT>",$str);
							$str = str_replace("users","Benutzer",$str);
						}
					}
				}
			}			
			echo "<div style='text-align:center; color:var(--color1);'>".$str."</div>";	
			break;
			
		}

?>
	</p>
	</div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
	</div>

</div>
</div>
</center>
</body>
</html>