<?php
// (C) 2021

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$exiftool = buildExiftoolCommand($sr);

if(array_key_exists('record',$_GET))
{
	$pic_id = $_GET['record']; 
}

if(array_key_exists('oldCityname',$_GET))
{
	$oldCityname = $_GET['oldCityname']; 
}

if(array_key_exists('newCityname',$_GET))
{
	$newCityname = $_GET['newCityname'];
	$iptc_city = $newCityname; 
}

$error_code = 0;

if($newCityname !== $oldCityname)
{  
  	//Aktualisierung der Tabelle pictures:
  	$result1 = mysqli_query($conn, "UPDATE $table2 SET City = \"$newCityname\" WHERE pic_id = \"$pic_id\"");
  	
  	//Aenderung des Caption_Abstracts und IPTC-Eintrages fuer das betreffende Objekt:
  	$FN = strtolower($pic_path."/".restoreOriFilename($pic_id, $sr));
  	
  	//Aktualisierung der Tabelle pictures.Caption_Abstract:
  	$result4 = mysqli_query($conn, "SELECT Caption_Abstract FROM $table2 WHERE pic_id = '$pic_id'");
  	$row4 = mysqli_fetch_assoc($result4);
  	$CA = $row4['Caption_Abstract'];
  	//Textersetzung:
  	$search = 'Kamerastandort: '.$oldCityname;  		// alter Textbestandteil
  	$replace = 'Kamerastandort: '.$newCityname;			// neue Textergaenzung
  	$CA_new = str_replace($search, $replace, $CA);		// das neue CaptionAbstract
  	if($CA_new == $CA)									// Wenn es bisher keine Standort-Angabe gab...
  	{
  		$CA_new = $CA.", Kamerastandort: ".$newCityname;
  	}
  	$result3 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = \"$CA_new\" WHERE pic_id = '$pic_id'");
  	
  	//IPTC.City aendern:
  	$iptc_city = strip_tags($iptc_city);
  	$command = " -IPTC:City=\"$iptc_city\" ".$FN." -overwrite_original -execute -IPTC:Caption-Abstract=\"$CA_new\" ".$FN." -overwrite_original";
  	shell_exec($exiftool." ".$command);
	//Log-Datei schreiben:
	$fh_log = fopen($p2b_path.'/pic2base/log/p2b.log','a');
	flock($fh_log, LOCK_EX);
	@fwrite($fh_log,date('d.m.Y H:i:s').": Objekt ".$pic_id.": alte Ortsbezeichnung: \"".$oldCityname."\" wurde in \"".$newCityname."\" von User ".$uid." geaendert. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
	flock($fh_log, LOCK_UN);
	fclose($fh_log); 
}
else
{
	$error_code = 2; //neuer Ortsname ist identisch mit dem alten Ortsnamen -> keine Aenderung notwendig
}

$obj1 = new stdClass();
$obj1->errorCode = $error_code;
$obj1->Userid = $uid;
$output = json_encode($obj1);
echo $output;
?>