<?php

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$exiftool = buildExiftoolCommand($sr);

/*
##############################################################################################################################

~~~~~~~~~        Skript wurde mit der nachträglichen Änderung des Aufnahmedatums überflüssig       ~~~~~~~~~~~~~~~

Mit diesem Skript koennen einer grossen Anzahl von Bildern ein fiktives Datum zugewiesen werden.
Dazu muss der ID-Bereich bekannt sein, in dem diese Objekte liegen (z.B > 34889) und das gewuenschte Datum muss angegeben werden.
wenn sehr viele Objekte ohne Datum vorliegen, empfiehlt es sich, jeweils etwa 100 Stück auf ein fiktives Datum zu legen.
Hierzu ist die Variable $limit zu belegen.
Als fiktives Datum können z.B. Angaben gewaehlt werden, in denen mit hinreichender Sicherheit keine Fotos entstanden.
Allerdings ist auch der Gueltigkeitsbereich des Datums in PHP zu beruecksichtigen! 
http://www.php.net/manual/de/function.date.php
##############################################################################################################################
*/

//Vorbelegung der erforderlichen Variablen:

$limit = 100;										//Anzahl der Objekte, denen das fikt. Datum zugewiesen wird
$first_fikt_date = mktime(0, 0, 0, 1, 14, 1902);	//erstes fikt. Datum: h - m - s - M - T - J
$mind_id = 41988;									//es werden nur Objekte beruecksichtigt, deren ID > $mind_id ist

//zuerst wird die Anzahl der Objekte ermittelt, die kein Erstellungsdatum haben und deren ID groesser als die o.a. ID ist:
$result1 = mysqli_query($conn, "SELECT * FROM $table2 
WHERE CreateDate = '0000-00-00 00:00:00' 
AND pic_id > '$mind_id'");
$num1 = mysqli_num_rows($result1);
echo "Objekte ohne Aufnahmedatum: ".$num1."<br />";

//dann wird die Anzahl der Korrekturlaeufe ermittelt:
$x = floor($num1/$limit)+1;
echo "Es sind ".$x." Korrekturl&auml;ufe notwendig<br />";

//Es wird ermittelt, welche Datums :-)) zugewiesen werden (jeweils $limit Objekte pro Tag):
echo "Die folgenden Datumsangaben werden vergeben:<br />";
FOR($n='0'; $n<$x; $n++)
{
	$next_date = date('Y-m-d H:i:s', $first_fikt_date+$n*86400);
	echo $next_date."<br />";
	$dto = date('Y:m:d H:i:s', $first_fikt_date+$n*86400);
	//echo $dto."<br />";
	$result2 = mysqli_query($conn, "SELECT * FROM $table2 
	WHERE CreateDate = '0000-00-00 00:00:00' 
	AND pic_id > '$mind_id'
	LIMIT $limit");
	$num2 = mysqli_num_rows($result2);
	//echo "Objekte ohne Aufnahmedatum im ".$n."-ten Korrekturlauf: ".$num2."<br />";
	
	//echo "Diese haben die laufenden Nummern:<br />";
	FOR($m=0; $m<$num2; $m++)
	{
		@$pic_id = mysqli_result($result1, ($m + $n*100), 'pic_id');
		IF ($pic_id != '')
		{
			//echo $pic_id."<br />";
			/*
			 * Die eigentliche Datums-Vergabe beginnt.
			 * Gleichzeitig wird die Bildbeschreibung um den Vermerk ergaenzt, dass es sich um ein fiktives Aufnahmedatum handelt.
			 */
			$result3 = mysqli_query($conn, "SELECT FileName, Caption_Abstract FROM $table2 WHERE pic_id = '$pic_id'");
			// $fn ist der interne Dateiname
			$fn = mysqli_result($result3,0,'FileName');
			$fn = $pic_path."/".$fn;									//echo $fn."<br />";			
			//$FN ist der Original-Dateiname
			$FN = $pic_path."/".restoreOriFilename($pic_id, $sr);		//echo $FN."<br />";
			$ca = mysqli_result($result3,0,'Caption_Abstract');			//Caption_Abstract - Bildbeschreibung
			$description = ", Das Aufnahmedatum ist ein fiktives Datum und wurde maschinell eingefuegt, da das Objekt selbst keine Meta-Daten mitbrachte.";
			$ca_neu = $ca.$description;									//echo $ca_neu."<br />";
			 
			//ohne die folgenden Anweisungen kann ein Trockenlauf erfolgen: ##########################
			$result4 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = \"$ca_neu\", CreateDate = '$next_date' WHERE pic_id = '$pic_id'");
			$desc = $ca_neu;
			//Aenderungen in Original-Datei und jpg-Datei speichern:
			shell_exec($exiftool." -IPTC:Caption-Abstract=\"$desc\" ".$FN." -overwrite_original 
			-execute -EXIF:CreateDate='$dto' ".$FN." -overwrite_original
			-execute -IPTC:Caption-Abstract=\"$desc\" ".$fn." -overwrite_original 
			-execute -EXIF:CreateDate='$dto' ".$fn." -overwrite_original");
			//Ende des auszuklammernden Blocks #######################################################
			
		}
	}
}

echo "<FONT COLOR='red'>OK! - Fertig.</FONT>";

?>