<?php

ini_set('memory_limit','300M');
$pic_ID = array();
$obj = new stdClass();

foreach ($_POST AS $key => $post)
{
    //echo $key;
    if (substr($key,0,3) == 'pic')
    {
        $pic_ID[] = substr($key,7,strlen($key)-7);
    }
}

if(array_key_exists('day',$_POST))
{
    $day = $_POST['day'];
}

if(array_key_exists('month',$_POST))
{
    $month = $_POST['month'];
}

if(array_key_exists('year',$_POST))
{
    $year = $_POST['year'];
}

if(array_key_exists('hour',$_POST))
{
    $hour = $_POST['hour'];
}

if(array_key_exists('minute',$_POST))
{
    $minute = $_POST['minute'];
}

if(array_key_exists('second',$_POST) AND $_POST['second'] !== '')
{
    $second = $_POST['second'];
}
else
{
    $second = '00';
}

if(array_key_exists('diff_hour',$_POST))
{
    $diff_hour = $_POST['diff_hour'];
}

if(array_key_exists('diff_minute',$_POST))
{
    $diff_minute = $_POST['diff_minute'];
}

if(array_key_exists('diff_second',$_POST))
{
    $diff_second = $_POST['diff_second'];
}

if(array_key_exists('timeshift',$_POST))
{
    $timeshift = $_POST['timeshift'];
}

if(array_key_exists('op',$_POST))        // op = Operation 'new' = neues Datum zuweisen; 'shift' = vorhandenes Datum verschieben
{
    $op = $_POST['op'];
}

if(array_key_exists('hint',$_POST))
{
    $hint = $_POST['hint'];
}

$obj->day = $day;
$obj->month = $month;
$obj->year = $year;
$obj->hour = $hour;
$obj->minute = $minute;
$obj->second = $second;
$obj->diff_hour = $diff_hour;
$obj->diff_minute = $diff_minute;
$obj->diff_second = $diff_second;
$obj->timeshift = $timeshift;
$obj->hint = $hint;
$obj->pic_anzahl = count($pic_ID);
$obj->pic_array = $pic_ID;
$obj->op = $op;
$output = json_encode($obj);

if ($op == "new")
{
    // Pruefung auf ein gueltiges Datum:
    if (!checkdate($month, $day, $year))
    {
        $obj->pic_anzahl = -1;
        $obj->day = $day;
        $obj->month = $month;
        $obj->year = $year;
    }
}
elseif ($op == "shift")
{
    // Kontrolle, ob eine Zeitspanne und die Korrekturrichtung angegeben wurde:
    if (($diff_hour == '00' AND $diff_minute == '00' AND $diff_second == '00') OR $timeshift == '0')
    {
        $obj->pic_anzahl = -2;
    }
}
?>

<!DOCTYPE HTML>
<HTML>
<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <TITLE>pic2base - Zuweisung des Aufnahme-Datums</TITLE>
    <META NAME="GENERATOR" CONTENT="eclipse">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
    <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
        jQuery.noConflict();
    </script>
</head>

<body style='text-align:center;' lang="de-DE" onLoad='picDateList(<?php echo json_encode($obj); ?>)'>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: edit_dto_action2.php
 * Version mit AJAX-basierter Fortschrittsanzeige
 *
 * Copyright (c) 2005 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

echo "
<div class='body_grid'>

    <div class='header'>
        pic2base :: Zuweisung des Aufnahme-Datums - &Auml;nderungen speichern <span class='klein'>(Benutzer: ".$username.")</span>
    </div>

    <div class='navigation'>
        <div class='menucontainer'>
        </div>
    </div>

    <div class='content' id='content'>
        <p style='margin:120px 0px; text-align:center'>
            <center>
                <p class='klein' id = 'headline'>Status der Neu-Zuweisung</p>
                <p class='klein' id='zaehler'></p>
                <div id='prog_bar' class='progress_bar' style='margin-top:30px; margin-bottom:30px;'>
                        <img src='../../share/images/green.gif' name='bar' />
                </div>
                <p class='klein' id='meldung'>Bitte haben Sie ein wenig Geduld...</p>
                <p class='klein' id='counter'></p>
            </center>
        </p>
    </div>

    <div class='footer'>
        <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
    </div>
	
</div>

</div>
</body>";
?>

<script type = "text/javascript">
var timeout = 1;
var gesamtanzahl;
var starttime = new Date();
var avgTime;

function picDateList( params )
{
  //alert("edit_dto_action2.php, Z. 199: Parameter: " + params.pic_anzahl + ", Sekunden: " + params.second);
    if(params.pic_anzahl > 0)
    {
        gesamtanzahl = params.pic_array.length;
        document.getElementById("zaehler").innerHTML = "Anzahl der zu verarbeitenden Objekte: " + gesamtanzahl;
        processFile( params.pic_array,params.day,params.month,params.year,params.hour,params.minute,params.second,params.diff_hour,params.diff_minute,params.diff_second,params.timeshift,params.hint,params.op );
    }
    else if(params.pic_anzahl == 0)
    {
        alert( "Es sind keine Dateien zu bearbeiten.\nBitte legen Sie Objekte und ein Aufnahme-Datum fest, das diesen zugeordnet werden sollen." );
        window.location='edit_dto.php';
    }
    else if(params.pic_anzahl == -1)
    {
        alert( "Sie haben kein gültiges Datum eingetragen:\n\n" + params.day + "." + params.month + "." + params.year + "\n\nBitte korrigieren Sie Ihre Eingabe." );
        window.location='edit_dto.php';
    }
    else if(params.pic_anzahl == -2)
    {
        alert( "Sie haben keine Zeitspanne und / oder Korrektur-Richtung eingetragen.\n\nBitte korrigieren Sie Ihre Eingabe." );
        window.location='edit_dto.php';
    }
}

function showReady( avgTime )
{
    //Erfassungsfenster leeren:
    document.getElementById("headline").innerHTML = "";
    document.getElementById("zaehler").innerHTML = "";
    document.getElementById("meldung").innerHTML = "";
    document.getElementById( "prog_bar" ).style.border = "none";
    document.bar.width = '0';
    document.bar.height = '0';
    //Fertigmeldung ausgeben:
    //alert( "Die Bearbeitung ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
    window.location='edit_dto.php';
}

function processFile( pic_array, day, month, year, hour, minute, second, diff_hour, diff_minute, diff_second, timeshift, hint, op )
{
    //Objekt fuer Objekt wird das neue Aufnahme-Datum zugewiesen und das Objekt-Array nach jeder Bearbeitung gekuerzt
    //nach jedem bearbeiteten Objekt wird der Fortschrittsbalken aktualisiert
    //alert("Pic_id=" + pic_array[0] + ", Tag: " + day + ", Monat: " + month + ", Jahr: " + year + ", Stunde: " + hour + ", Minute: " + minute + ", Sekunde: " + second + ", Timeshift: " + timeshift + ", OP: " + op);
    var client = new XMLHttpRequest();
    client.open("GET", "update_dto.php?pic_id=" + pic_array[0] + "&day=" + day + "&month=" + month + "&year=" + year + "&hour=" + hour + "&minute=" + minute + "&second=" + second + "&diff_hour=" + diff_hour + "&diff_minute=" + diff_minute + "&diff_second=" + diff_second + "&timeshift=" + timeshift + "&hint=" + hint + "&op=" + op, true);
    pic_array.splice( 0, 1 );
    client.onreadystatechange = function()
    {
        if( client.readyState == 4 )
        {
//          alert(client.responseText);
            var result = JSON.parse( client.responseText );
            if( result.errorCode == 1 )
            {
                alert( "Es trat ein Fehler auf!" );
            }
            else if( result.errorCode == 2 )
            {
                alert("Sie haben entweder kein Objekt oder kein Aufnahme-Datum festgelegt!");
            }
            else if( result.errorCode == 5 )
            {
                alert("Das zuletzt verwendete DTO wurde nicht gespeichert!");
            }

            if( pic_array.length > 0 )
            {
                if( pic_array.length > 1)
                {
                    document.getElementById("meldung").innerHTML = "...es verbleiben noch " + pic_array.length + " Objekte...";
                }
                else
                {
                    document.getElementById("meldung").innerHTML = "...es verbleibt noch " + pic_array.length + " Objekt...";
                }
                var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                processFile( pic_array, day, month, year, hour, minute, second, diff_hour, diff_minute, diff_second, timeshift, hint, op );
            }
            else
            {
                //Bearbeitung ist abgeschlossen
                //Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
                var endtime = new Date();
                var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
                avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
                document.getElementById("meldung").innerHTML = "Alle Objekte wurden aktualisiert.";
                //Aktualisierung des Fortschrittsbalkens auf 100%:
                var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
                document.bar.src = '../../share/images/green.gif';
                document.bar.width = laenge;
                document.bar.height = '12';
                setTimeout("showReady(avgTime)", 500);
                //showReady(avgTime)
            }
        }
    };
    client.send( null );
}
</script>
</html>