<!DOCTYPE HTML>
<HTML>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Datensatz-Bearbeitung</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">	
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/ShowPicture.js"></script>
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
	<script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
		jQuery.noConflict();
		function showKatInfo(kat_id)
		{
			Fenster1 = window.open('../../share/edit_kat_info.php?kat_id='+kat_id, 'Kategorie-Informationen', "width=675,height=768,scrollbars,resizable=no,");
			Fenster1.focus();
		}
	</script>
</head>

<?php

/*
 * Project: pic2base
 * File: edit_kat_daten.php
 *
 * Copyright (c) 2003 - 2022 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

if (array_key_exists('kat_id',$_GET))
{
    $kat_id = $_GET['kat_id'];
    if ($kat_id !== '')
    {
        $_SESSION['kat_treeview_pos'] = $kat_id;
    }
    else 
    {
        $kat_id = $kat_treeview_pos;
    }
}
else
{
    $kat_id = '';
}

if (array_key_exists('mod',$_GET))
{
	$mod = $_GET['mod'];
}

if (array_key_exists('pic_id',$_GET))
{
	$pic_id = $_GET['pic_id'];
}

if (array_key_exists('ID',$_REQUEST))
{
	$ID = $_GET['ID'];
}

if (!isset($ID))
{
	$ID = '';
}

$base_file = 'edit_kat_daten';

include $sr.'/bin/share/functions/ajax_functions.php';
if ($mod == 'kat')
{
    $base_file = 'edit_kat_daten';
	echo "<body onLoad=\"getKatTreeview('$kat_id','0','kat','6','edit','$katTreeViewModus','$base_file'); getKatTreeview2('0','0','kat','6','complete_view','$base_file');\">";
}
elseif ($mod == 'zeit')
{
	echo "<body onLoad=\"getTimeTreeview2('0','zeit','$show_mod','$base_file'); getKatTreeview2('0','0','kat','6','complete_view','$base_file');\">";
}

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

echo "
    <div class='klein'>
        <form name='kat-zuweisung' method='post' action='edit_kat_daten_action2.php?kat_id=$kat_id&mod=$mod&ID=$ID'>
        <div class='body_grid'>
            <div class='header'>
                pic2base :: Datensatz-Bearbeitung (Kategorien zuweisen) <span class='klein'>(User: $username)</span>
            </div>

            <div class='navigation'>
                <div class='menucontainer'>";
                    createNavi3_1($uid);
                    echo "<input type='submit' class='button' style='margin-top:80px;' id='button3' value='Speichern'>
                    <br />
                    <input type='button' class='button' id='button3a' value='Abbrechen' OnClick='location.href=\"edit_start.php\"'>
                </div>
            </div>
            
            <div id='content' class='content'>
                <div class='content_grid_filmstripe'>";

                    switch($mod)
                    {
                        case "kat":
                            if ($katTreeViewModus == 'compact')
                            {
                                $view = 'Kompakter Kategoriebaum';
                            }
                            else
                            {
                                $view = 'Vollständiger Kategoriebaum';
                            }
                            echo "<div class='filmstripe_content_left' id='spalte1F' style='overflow: hidden;'>
                                    <fieldset id='kat_tree_fieldset' class='normal' style=' height: 95%;overflow-y: scroll;'>
                                    <legend  class='normal'>Bildauswahl nach Kategorien <span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Ansicht umzuschalten' onClick='alterKatTreeviewModus(\"$katTreeViewModus\",\"$base_file\");'>(".$view.")</span></legend>
                                        <center>
                                            <div id='scrollbox0' style='height:98%; overflow-y:hidden;'>
                                            </div>
                                        </center>
                                    </fieldset>
                                </div>";
                        break;

                        case "zeit":
                            echo "<div class='filmstripe_content_left' id='spalte1F' style='overflow: hidden;'>
                                    <fieldset id='kat_tree_fieldset' class='normal' style=' height: 95%;overflow-y: scroll;'>
                                    <legend class='normal'>Bildauswahl nach Aufnahmedatum</legend>
                                        <center>
                                            <div id='scrollbox0' style='height:98%, overflow-y:hidden;'>
                                            </div>
                                        </center>
                                    </fieldset>
                                </div>";
                        break;
                    }

                    echo "
                    <div class='filmstripe_content_right' id='spalte2F' style='overflow:hidden;'>
                        <fieldset class='normal' style='height:95%; overflow-y:scroll;'>
                            <legend class='normal'>Ordne den ausgew&auml;hlten Bildern eine oder mehrere dieser Kategorien zu:</legend>
                            <div id='scrollbox1' style='overflow-y:hidden;'>";
                            $modus_2F='complete_view';
                            echo "</div>
                        </fieldset>	
                    </div>

                    <div id='filmstreifen' class='filmstripe_content_bottom'>";
                    $modus='edit';
                    echo "
                    </div>

                </div>
            </div>

            <div class='footer'>
                <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
            </div>
            
        </div>
        </form>

        <div id='blend' style='display:none; z-index:99;'>
            <img src='../../share/images/grey.png' style='z-index:100; position:absolute; top:0px; left:0px; width:100%; height:99%;' />
            <img src=\"../../share/images/loading.gif\" style='position:absolute; top:200px; width:20px; z-index:101;' />
        </div>

    </div>
</body>
</html>";
mysqli_close($conn);
?>
    