<!DOCTYPE HTML>

<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <TITLE>pic2base - Geo-Referenzierung (Ortsnamen)</TITLE>
    <META NAME="GENERATOR" CONTENT="eclipse">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
    <script type="text/javascript" language="JavaScript" src="../../share/functions/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" language="JavaScript">

    function chkOrt()
    {
        if(document.ortsbezeichnung.ort.value === "")
        {
                document.ortsbezeichnung.ort.focus();
                document.location.href="edit_location_name.php?stat=new";
                return false;
        }
        else
        {
            return true;
        }
    }

    //jQuery.noConflict();
    //jQuery(document).ready(checkWindowSize);
    $(document).ready(function()
    {  
        //alert("Nach document.ready: " + $("#ort").val() + ", Auto-Ref: " + $("#auto_ref").attr('checked'));
        $("#button2").attr("disabled",true);
        $("#button2").css("visibility","hidden");
        if($("#ort").val() == 0)
        {
            $("#button1").attr("disabled",true);
            $("#neuerOrt").attr("disabled",false);
            $("#p1").css({border:"none"});
            $("#p2").css({borderColor:"var(--color_g)", borderStyle:"solid", borderWidth:"1px"});
        }
        else
        {
            $("#button1").attr("disabled",false);
            $("#neuerOrt").attr("disabled",true);
            $("#neuerOrt").hide();
            $("#p1").css({borderColor:"var(--color_g)", borderStyle:"solid", borderWidth:"1px"});
            $("#p2").css({border:"none"});
        }
    });

    //jQuery(window).resize(checkWindowSize); 
    </script>
</head>

<body lang="de-DE" style="text-align:center;">
<div class="klein">

<?php
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
//   Datei wird bei der Bearbeitung / Geo-Referenzierung verwendet (Benennung der Orte) 
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*
 * Project: pic2base
 * File: edit_location_name.php
 *
 * Copyright (c) 2003 - 2022 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
*/

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/geo_functions.php';
include $sr.'/bin/share/functions/main_functions.php';

if (!isset($i2))
{
	$i2 = 0;
}
echo "
<div class='body_grid'>
	
	<div class='header'>
			pic2base :: Datensatz-Bearbeitung (Benennung der Ortsnamen)
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>"; 
			createNavi3_1($uid);
		echo "</div>
	</div>
    
    <div class='content'>
        <div class='content_grid_filmstripe'>";	

        generateGeoRefForm($sr,$uid);

        echo "<div class='filmstripe_content_right' id='spalte2' style='overflow: hidden;'>
                <fieldset class='normal' style=' height:95%; overflow-y:scroll;'>
                <legend  class='normal'>Hilfe zur Ortsbezeichnung</legend>
                    <div id='scrollbox1' style='height:98%; padding-top:0px; text-align:center;'>";
                        
                        if($pic_id !== '0' AND $pic_id !== '')
                        {
                            echo "<iframe src='../recherche/show_map.php?pic_id=$pic_id&width=399&height=404' frameborder='0' style='width:95%; height:95%;'>Ihr Browser unterst&uuml;tzt leider keine eingebetteten Frames.</iframe>";
                        }
                        
                        echo "
                    </div>
                </fieldset>
            </div>

        </div>

    </div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>

</div>";

mysqli_close($conn);
?>
    
<script type="text/javascript">
    
    var totalNumberOfPictures = <?php echo $_SESSION["totalNumberOfImages"]; ?>;
    
    function updateProgressBar(imagesProcessed, imagesTotal)
    {
        
        var remainingPics = imagesTotal - imagesProcessed;
        
        $("#scrollbox0").hide();
        $("#geoRefProgressBar").show();        
        $("#geoRefProgressBar1").show();
        jQuery("#geoRefProgressBar1").css({
            "border":"solid",
            "border-width":"1px",
            "border-color":"var(--color_r)",
            "width":"300px",
            "height":"12px",
            "margin-top":"30px",
            "margin-bottom":"30px",
            "text-align":"left",
            "vertical-align":"middle"
        });
  
        var laenge = imagesProcessed / imagesTotal * 300;
        jQuery("#img_bar").show();
        jQuery("#img_bar").css("width", laenge);
        jQuery("#img_bar").css("height", "14");
        
        jQuery("#headline").css("padding-top","100px");
        jQuery("#headline").css("color","var(--color1)");
        jQuery("#headline").text(imagesTotal + " Objekte werden automatisch referenziert.");
        
        jQuery("#remainingPics").css("color","var(--color1)");
        if(remainingPics > 1)
        {
            jQuery("#remainingPics").text("Es verbleiben noch " + remainingPics + " Objekte...");
        }
        else if(remainingPics == 1)
        {
            jQuery("#remainingPics").text("Es verbleibt noch " + remainingPics + " Objekt...");
        }
        
    }
    
    function callRefScript(ort, neuerOrt, pic_id)
    {
        if(typeof ort==='undefined')
        {
            ort = $("#ort").val();
            if(ort == 0)
            {
                ort = $("#neuerOrt").val();
            }
        }

        if(typeof pic_id=='undefined')
        {
            pic_id = jQuery('input[name=pic_id]').val();
        }
        
        result = jQuery.ajax({
            type: 'POST',
            url: 'edit_location_name_action.php',
            data: 	({
                        ort: ort,
                        pic_id: pic_id
                    }),
            complete: function(jqXHR, textStatus)
            {
                var result = JSON.parse(jqXHR.responseText);
                //alert("Antwort aus edit_location_name_action.php: " + respose.Text);
                if(result.totalNumberOfPicturesRemaining > 0)
                {
                    //alert("verbleibende Anzahl Objekte: " + result.totalNumberOfPicturesRemaining);
                    if((jQuery("#auto_ref").is(':checked')) && (ort == result.nextLocation))
                    {
                        //alert(result.totalNumberOfPictures);
                        //Vorschau des aktuell bearbeiteten Objektes in spalte2:
                        jQuery("#scrollbox1").html("<img src=../../../images/vorschau/hq-preview/" + result.nextPicId + "_hq.jpg style='max-width:80%; max-height:80%; margin-top:50px; margin-bottom:25px;'><p class='klein'>Aufnahme-Standort: " + ort + ", Objekt-ID: " + result.nextPicId + "</p>");
                        updateProgressBar(totalNumberOfPictures - result.totalNumberOfPicturesRemaining, totalNumberOfPictures);
                        callRefScript(ort, neuerOrt, result.nextPicId);
                    }
                    else
                    {
                        document.location = "edit_location_name.php";
                    }
                }
                else
                {
                    document.location = "edit_start.php";
                }
            }
        });      
    }
    
    $("#ort").change(function()
    {
        if($("#ort").val() == 0)
        {
            $("#auto_ref_txt").hide();
            $("#auto_ref").hide();
            $("#button1").hide();
            //$("#button1").attr("disabled", true);
            //$("#button1").css({visibility:"hidden"});
            //$("#button2").hide();
            $("#neuerOrt").show();
            $("#neuerOrt").css({visibility:"visible"});
            $("#neuerOrt").attr("disabled", false);
            $("#neuerOrt").attr("value",'Hier neuen Ort eintragen');
            $("#neuerOrt").focus();
            $("#p1").css({border:"none"});
            $("#p2").css({borderColor:"var(--color_g)", borderStyle:"solid", borderWidth:"1px"});
        }
        else
        {
            $("#auto_ref_txt").show();
            $("#auto_ref").show();
            $("#button1").attr("disabled", false);
            $("#button1").show();
            $("#button2").css({visibility:"hidden"});
            //$("#button2").attr("disabled", true);
            //$("#button2").hide();
            //$("#neuerOrt").attr("disabled", true);
            //$("#neuerOrt").hide();
            $("#neuerOrt").css({visibility:"hidden"});
            $("#p1").css({borderColor:"var(--color_g)", borderStyle:"solid", borderWidth:"1px"});
            $("#p2").css({border:"none"});
        }
    });
        
    $("#neuerOrt").focus(function()
    {
       if($("#neuerOrt").val() === 'Hier neuen Ort eintragen')
       {
           $("#neuerOrt").attr("value",'');
           $("#button2").css({visibility:"hidden"});
       }    
    });
    
    $("#neuerOrt").bind('keyup',function()
    {
        if($(this).val().length > 1)
        {
            $("#button2").css({visibility:"visible"});
            $("#button2").attr("disabled", false);
        }
        else
        {
            //$("#neuerOrt").attr("margin-bottom","20px")
            $("#button2").css({visibility:"hidden"});
        }    
    });
</script>    
</div> 
</body>
</html>