<?php
//ini_set('memory_limit','300M');

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

// Auswertung der per $_POST übergebenen Parameter ##########################

//var_dump($_POST);

if (array_key_exists('width',$_POST))
{
    $width = $_POST['width'];
}
if (array_key_exists('stamp_text',$_POST))
{
    $stamp_text = $_POST['stamp_text'];
}
if (array_key_exists('fontsize',$_POST))
{
    $fontsize = $_POST['fontsize'];
}
if (array_key_exists('fontcolor',$_POST))
{
    $fontcolor = str_replace('#', '', $_POST['fontcolor']);
}
else
{
    $fontcolor = 0;
}
if (array_key_exists('hor_pos',$_POST))
{
    $margin_left = $_POST['hor_pos'];
}

if (array_key_exists('vertical_align',$_POST)) // Wert der Select-Box: oben=0, mitte=50 oder unten=100
{
    $vertical_align = $_POST['vertical_align'];
}
else
{
    $vertical_align = 0;
}

if (array_key_exists('bg_opacity_val',$_POST))
{
    $bg_opacity = $_POST['bg_opacity_val'];
}
else
{
    $bg_opacity = 10; 
}

if (array_key_exists('bgcolor',$_POST))
{
    $bgcolor = str_replace('#', '', $_POST['bgcolor']);
}
$pic_array = array();

foreach ($_POST['pic_array'] AS $pic_arr)
{
    $pic_array[] = $pic_arr;
}
// Ende der Auswertung #################################################################
/*
echo "übergebene Parameter:<br />
Breite: ".$width."<br />
Text: ".$stamp_text."<br />
Schriftgröße: ".$fontsize."<br />
Schriftfarbe: ".$fontcolor."<br />
Einzug: ".$margin_left."<br />
Austichtung: ".$vertical_align."<br />
Freistellung: ".$separate."<br />
Hintergr.-Farbe: ".$bgcolor."<br />";
*/
$obj = new stdClass();
$obj->width = $width;
$obj->stamp_text = $stamp_text;
$obj->fontsize = $fontsize;
$obj->fontcolor = $fontcolor;
$obj->margin_left = $margin_left;
$obj->vertical_align = $vertical_align; //oben, mitte unten?
$obj->bg_opacity = $bg_opacity;
$obj->bgcolor = $bgcolor;
$obj->pic_anzahl = count($pic_array);
$obj->pic_array = $pic_array;
$output = json_encode($obj);

?>
<!DOCTYPE HTML>
<html>
<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <TITLE>pic2base - Downloads stempeln</TITLE>
    <meta name="generator" content="Eclipse" >
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
    <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
        jQuery.noConflict(); 
    </script>
</head>

<body lang="de-DE" onLoad='picStampList(<?php echo json_encode($obj); ?>)'>
    <div class="klein">
    
    <?php
    
    /*
    * Project: pic2base
    * File: edit_scale_stamp_action.php
    *
    * Copyright (c) 2005 - 2021 Klaus Henneberg
    *
    * Project owner:
    * Dipl.-Ing. Klaus Henneberg
    * 38889 Blankenburg, BRD
    */
    
    echo "
    <div class='body_grid'>
    
        <div class='header'>
            pic2base :: Downloads stempeln
        </div>
    
        <div class='navigation'>
            <div class='menucontainer'>
            </div>
        </div>
    
        <div class='content' id='content'>
            <span style='font-size:12px;'>
            <p style='margin:120px 0px; text-align:center'>
    
            <center>";
            
            //echo "User-ID: ".$uid."<br />";
    
            $result1 = mysqli_query($conn, "DELETE FROM $table5 WHERE uid = '$uid'");
            if (mysqli_error($conn) <> '')
            {
                echo "SQL-Fehler beim löschen der User-Einstellungen: ".mysqli_error($conn);
            }
            $result2 = mysqli_query($conn, "INSERT INTO $table5 (uid, width, stamp_text, fontsize, fontcolor, margin_left, vertical_align, bg_opacity, bgcolor) VALUES ('$uid', '$width', '$stamp_text', '$fontsize', '$fontcolor', '$margin_left', '$vertical_align', '$bg_opacity', '$bgcolor')");
            if (mysqli_error($conn) <> '')
            {
                echo "SQL-Fehler beim speichern der User-Einstellungen: ".mysqli_error($conn);
            }
                //print_r($pic_array);
                echo "<p id = 'headline'>Status: Es müssen ".count($pic_array)." Bilder gestempelt werden</p>
                <p id='zaehler'></p>
                <div id='prog_bar' class='progress_bar'>
                    <img src='../../share/images/green.gif' name='bar' />
                </div>
                <p id='meldung'>Bitte haben Sie ein wenig Geduld...</p>
                <p id='counter'></p>
            </center>
    
            </p>
            </span>
        </div>
    
        <div class='footer'>
            <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
        </div>

    </div>";
    mysqli_close($conn);
    ?>
    </div>
        </body>

<script type = text/javascript>
    var timeout = 10000;
    var gesamtanzahl;
    var starttime = new Date();
    var avgTime;
    document.bar.width = '0';

    function picStampList( params )
    {
        if(params.pic_anzahl > 0)
        {
            gesamtanzahl = params.pic_array.length;
            //alert("Gesamtzahl: " + gesamtanzahl + "\n);
            //alert("Vom Formular (edit_downloads) übergebene Parameter:\nBilder: " + params.pic_array + "\nBildbreite: " + params.width + "\nStempel-Text: " + params.stamp_text + "\nFontsize: " + params.fontsize + "\nFontcolor: " + params.fontcolor + "\nEinrückung: " + params.margin_left + "\nVert.-Ausrichtung: " + params.vertical_align + "\nFreistellen: " + params.separate + "\nHintergrundfarbe: " + params.bgcolor);
            document.getElementById("zaehler").innerHTML = "Es werden " + gesamtanzahl + " Bilder skaliert / gestempelt.";
            processFile( params.pic_array,params.width,params.stamp_text,params.fontsize,params.fontcolor,params.margin_left,params.vertical_align,params.bg_opacity,params.bgcolor );
        }
        else
        {
            alert( "Es sind keine Dateien zu bearbeiten.\nBitte legen Sie Objekte und den Beschreibungstext fest, der diesen zugeordnet werden soll." );
            window.location='edit_downloads.php';
        }	
    }

    function showReady( avgTime,mod )
    {
        //Erfassungsfenster leeren:
        document.getElementById("headline").innerHTML = "";
        document.getElementById("zaehler").innerHTML = "";
        document.getElementById("meldung").innerHTML = "";
        document.getElementById( "prog_bar" ).style.border = "none";
        document.bar.width = '0';
        document.bar.height = '0';
        //Fertigmeldung ausgeben:
        //alert( "Die Bearbeitung ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
        window.location='edit_downloads.php?';
    }

    function processFile( pic_array, width, stamp_text, fontsize, fontcolor, margin_left, vertical_align, bg_opacity, bgcolor )
    {
        //Objekt fuer Objekt wird gestempelt und das Objekt-Array nach jeder Bearbeitung gekuerzt
        //nach jedem bearbeiteten Objekt wird der Fortschrittsbalken aktualisiert
        //alert("Von stamp_picture.php zurück bekommene Parameter:\nBilder: " + pic_array + "\nBreite: " + width + "\nText: " + stamp_text + "\nFontsize " + fontsize + "\nFontcolor " + fontcolor + "\nEinrückung " + margin_left + "\nVert. Ausrichtung: " + vertical_align + "\nFreistellen: " + separate + "\nHintergrundfarbe " + bgcolor);
        var client = new XMLHttpRequest();
        client.open("GET", "stamp_picture.php?pic_id=" + pic_array[0] + "&width=" + width + "&stamp_text=" + stamp_text + "&fontsize=" + fontsize + "&fontcolor=" + fontcolor + "&margin_left=" + margin_left + "&vertical_align=" + vertical_align + "&bg_opacity=" + bg_opacity + "&bgcolor=" + bgcolor, true);
        //alert("Parameterliste: pic_id=" + pic_array[0] + "&width=" + width + "&stamp_text=" + stamp_text + "&fontsize=" + fontsize + "&fontcolor=" + fontcolor + "&margin_left=" + margin_left + "&vertical_align=" + vertical_align + "&separate=" + separate + "&bgcolor=" + bgcolor);
        pic_array.splice( 0, 1 );
        client.onreadystatechange = function()
        {
            if( client.readyState == 4 )
            {
                //alert("Response-Text: " + client.responseText);
                var result = JSON.parse( client.responseText );
                if( result.errorCode == 1 )
                {
                    alert( "Es trat ein Fehler auf!" );
                }
                else if( result.errorCode == 2 )
                {
                    alert("Sie haben entweder kein Objekt oder keinen Beschreibungstext festgelegt! Eventuell verwenden Sie auch unerlaubte Sonderzeichen im Beschreibungstext?");
                }
                else if( result.errorCode == 3 )
                {
                    alert("Die neue Beschreibung wurde nicht korrekt in die Datenbank geschrieben.");
                }

                if( pic_array.length > 0 )
                {
                    if( pic_array.length > 1)
                    {
                        document.getElementById("meldung").innerHTML = "...es verbleiben noch " + pic_array.length + " Objekte...";
                    }
                    else
                    {
                        document.getElementById("meldung").innerHTML = "...es verbleibt noch " + pic_array.length + " Objekt...";
                    }
                    var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
                    document.bar.src = '../../share/images/green.gif';
                    document.bar.width = laenge;
                    document.bar.height = '12';
                    processFile( pic_array, width, stamp_text, fontsize, fontcolor, margin_left, vertical_align, bg_opacity, bgcolor );
                }
                else
                {
                    //Bearbeitung ist abgeschlossen
                    //Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
                    var endtime = new Date();
                    var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
                    avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
                    document.getElementById("meldung").innerHTML = "Alle Objekte wurden aktualisiert.";
                    //Aktualisierung des Fortschrittsbalkens auf 100%:
                    var laenge = (gesamtanzahl - pic_array.length) / gesamtanzahl * 500;
                    document.bar.src = '../../share/images/green.gif';
                    document.bar.width = laenge;
                    document.bar.height = '12';
                    setTimeout("showReady(avgTime)", 500);
                    //showReady(avgTime,mod)
                }
            }
        };
        client.send( null );
    }
</script>

</HTML>


