<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Datensatz-Bearbeitung</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<body style='text-align:center;'>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: edit_start.php
 * ##getestet##
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

unset($_SESSION["totalNumberOfImages"]);

$result1 = mysqli_query($conn, "SELECT username FROM $table1 WHERE id = '$uid'");
$row1 = mysqli_fetch_assoc($result1);
$username = $row1['username'];

echo "
    <div class='body_grid'>

        <div class='header'>
            pic2base :: Datensatz-Bearbeitung <span class='klein'>(User: ".$username.")</span>
        </div>

        <div class='navigation'>";
		    createNavi3($uid);
		echo "
        </div>

        <div class='content'>
            <div class='content_grid_filmstripe'>

                <div class='filmstripe_content_left' style='overflow: hidden;'>
                <fieldset class='normal' style=' height: 95%;overflow: hidden;'>
                    <legend class='normal'>W&auml;hlen Sie hier die gew&uuml;nschte Bearbeitungsm&ouml;glichkeit</legend>
                        <div class='selection_grid'>
                            <div></div>
                            <div class='selection_item' onClick=\"location.href='edit_bewertung.php?pic_id=0&mod=kat'\" title='Objekte qualitativ bewerten, Noten vergeben'>Objekte bewerten / Bewertung &auml;ndern</div>
                            <div class='selection_item' onClick=\"location.href='edit_beschreibung.php?pic_id=0&mod=kat'\" title='mehreren Bildern eine gemeinsame Beschreibung zuweisen'>Beschreibungen zuweisen</div>
                            <div></div>
                            <div class='selection_item'>Kategorie-Zuweisung - Objekt-Auswahl nach: <a class='subnavi' style='font-size: 14px; display:inline; padding-left:0px; cursor:pointer;' onClick=\"location.href='edit_kat_daten.php?pic_id=0&mod=kat'\" title='Kategorien zuweisen, Bildauswahl erfolgt nach Kategorien'>Kategorie</a> / <a class='subnavi' style='font-size: 14px; display:inline; padding-left:0px; cursor:pointer;' onClick=\"location.href='edit_kat_daten.php?pic_id=0&mod=zeit'\" title='Kategorien zuweisen, Bildauswahl erfolgt nach Aufnahmedatum'>Datum</a></div>
                            <div class='selection_item'>Texterkennung (OCR) - Objekt-Auswahl nach: <a class='subnavi' style='font-size: 14px; display:inline; padding-left:0px; cursor:pointer;' onClick=\"location.href='ocr.php?pic_id=0&mod=kat'\" title='Zur Texterkennung (OCR) mit Objektauswahl nach Kategorien'>Kategorie</a> / <a class='subnavi' style='font-size: 14px; display:inline; padding-left:0px; cursor:pointer;' onClick=\"location.href='ocr.php?pic_id=0&mod=zeit'\" title='Zur Texterkennung (OCR) mit Objektauswahl nach Aufnahmedatum'>Datum</a></div>
                            <div></div>
                            <div class='selection_item' onClick=\"location.href='edit_geo_daten.php?pic_id=0&mod=kat'\" title='Standortbestimmung mittels aufgezeichneter Trackdaten'>Geo-Referenzierung</div>
                            <div class='selection_item' onClick=\"location.href='remove_kat_daten.php?pic_id=0&mod=edit_remove'\" title='Objekte aus zugewiesenen Kategorien entfernen'>Kategorie-Zuweisungen aufheben</div>
                            <div class='selection_item' onClick=\"location.href='edit_dto.php?pic_id=0&mod=zeit'\" title='Aufnahmedatum festlegen oder vorhandenes Datum korrigieren'>Aufnahmedatum korrigieren</div>
                            <div class='selection_item' onClick=\"location.href='edit_copyright.php?pic_id=0&mod=zeit'\" title='Urheberrechts-Vermerk zufügen, löschen oder bearbeiten'>Urheberrechts-Vermerk bearbeiten</div>
                            <div></div>
                            <div class='selection_item' onClick=\"location.href='edit_collection.php'\" title='Neue Kollektion anlegen, vorhandene Kollektion neu arrangieren, Objekte hinzuf&uuml;gen oder l&ouml;schen oder Kollektion entfernen'>Kollektion anlegen / bearbeiten / arrangieren / l&ouml;schen</div>
                            <div></div>
                            <div class='selection_item'onClick=\"location.href='../erfassung/doublettenliste1.php?user_id=$uid'\" title='Pr&uuml;fung auf mehrfache Vorkommen'>Doubletten-Pr&uuml;fung</div>
                            <div class='selection_item' onClick=\"location.href='edit_downloads.php'\" title='JPG-Download-Bilder beschriften / skalieren'>Downloads beschriften / skalieren</div>
                        </div>

                    </fieldset>
                </div>

                <div class='filmstripe_content_right' style='overflow: hidden;'>
                    <fieldset class='normal' style=' height: 95%;overflow: hidden; text-align: left;'>
                    <legend  class='normal'>Hinweise zu den Bearbeitungsm&ouml;glichkeiten</legend>
                        <div id='scrollbox2' style='height: 98%; overflow-y:scroll; text-align:left;'>
                            <p class='klein'>Ausf&uuml;hrliche Hilfe zu den Bearbeitungsm&ouml;glichkeiten finden Sie &uuml;ber die Navigationsleiste in der <a class='std' href='../help/help1.php?page=3'>Online-Hilfe</a>.</p>
                        </div>
                    </fieldset>
                </div>

                <div class='filmstripe_content_bottom'>
                </div>

            </div>
        </div>

        <div class='footer'>
            <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
        </div>

    </div>";

mysqli_close($conn);
?>
</div>
</body>
</html>