<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Quick-Preview</TITLE>
	<META NAME="GENERATOR" CONTENT="eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format2.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/resize_elements.js"></script>
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict();
		jQuery(document).ready(checkWindowSize);
		jQuery(window).resize(checkWindowSize); 
	</script>
</head>

<body lang="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: generate_quickpreview0.php
 *
 * Copyright (c) 2006 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

//var_dump($_REQUEST);
if(array_key_exists('num',$_GET))
{
	$num = $_GET['num'];
}
else
{
	$num=0;
}

if(array_key_exists('t_rest',$_REQUEST))
{
	$t_rest = $_REQUEST['t_rest'];
}

if(array_key_exists('t_0',$_REQUEST))
{
	$t_0 = $_REQUEST['t_0'];
}

if(array_key_exists('i4',$_REQUEST))
{
	$i4 = $_REQUEST['i4'];
}

if(array_key_exists('z_0',$_REQUEST))
{
	$z_0 = $_REQUEST['z_0'];
}

//fuer alle notwendigen Drehungen wird geprueft, ob bereits ein Vorschau-Objekt existiert. Wenn nicht, wird dieses angelegt:
$result4 = mysqli_query($conn, "SELECT pic_id, Owner, FileName, Orientation 
FROM $table2
WHERE Owner = '$uid' 
AND (Orientation = '6' OR Orientation = '3' OR Orientation = '8')");
$num4 = mysqli_num_rows($result4);

echo "
	<div class='page' id='page'>
		
		<div class='head' id='head'>
			pic2base :: Quick-Preview-Erzeugung <span class='klein'>(User:".$username.")</span>
		</div>
		
		<div class='navi' id='navi'>
			<div class='menucontainer'>";
			createNavi3_1($uid);
			echo "
			</div>
		</div>
		
		<div class='content' id='content'>
			<center>
			<p class='klein' style='margin:120px 0px; text-align:center'>";
			echo "<p class='klein'>Es gibt ".$num4." Objekte, welche nicht im Querformat aufgenommen wurden.</p>";

if ($num4 > 0)
{
	global $z_0; // ?????
	global $t_0; // ?????
	global $t_rest; // ?????

	//Restzeit-Berechnung:
	if ($z_0 == '')
	{
		$z_0 = 0;
	}
	else
	{
		$z_0++;
	}

	if ($t_0 == '')
	{
		$t_0 = mktime();
	}
	$t_akt = mktime();

	//echo "T_0: ".$t_0.", T_akt: ".$t_akt."<br />";

	if ($num !== 0)
	{
		//echo $z_0."ter Durchlauf im aktuellen Prozess<br />";
		SWITCH($num)
		{
			case 'X':
			//das X dient der Initialisierung bei Aufruf der Seite
			echo "<p class='klein'>Bitte haben Sie einen Moment Geduld.</p><br />";
			break;
			
			case ($num > '1'):
			echo "<p class='klein'>".$num." Objekte m&uuml;ssen noch bearbeitet werden.</p>";
			break;
			
			case '1':
			echo "<p class='klein'>".$num." Objekt muss noch bearbeitet werden.</p>";
			break;
		}
		/*
		IF ($t_rest > '0')
		{
			$h = $t_rest / 3600;
			$min = round(($t_rest / 60),0);
			IF ($min > '1')
			{
				echo "<p class='klein'>Restzeit: etwa ".$min," Minuten</p><br />";
			}
			ELSE
			{
				echo "<p class='klein'>Restzeit: etwa ".$min," Minute</p><br />";
			}
		}
		*/
	}
	else
	{
		echo "<p class='klein'>Es sind keine Objekte mehr zu bearbeiten.</p>
			</center>
		</div>
		
		<div class='foot' id='foot'>
			<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
		</div>
		<meta http-equiv='Refresh', content='1; url=edit_start.php'>";
	}
	
	for($i4='0'; $i4<$num4; $i4++)
	{
		$row4 = mysqli_fetch_assoc($result4);
		$FileName = $row4['FileName'];
		
		//Feststellung, ob gedrehtes Objekt existiert:
		$verz=opendir($pic_rot_path);
		$n = 0;
		while($bilddatei=readdir($verz))
		{
			if($bilddatei != "." && $bilddatei != "..")
			{
				//$bildd=$bilder_verzeichnis."/".$bilddatei;
				//echo "Objekt: ".$bilddatei."; Datei: ".$file_name."<br />";
				IF ($bilddatei == $FileName)
				{
					$n++;
				}
			}
		}
		//echo "N: ".$n."<br />";
		if ($n > '0')
		{
			echo " <p class='klein'>Objekt ".$FileName." muss gedreht werden.</p>";
			$Orientation = $row4['Orientation'];
			//echo $FileName.", ".$orientation."<br />";
			createQuickPreview($Orientation, $FileName);
			$rest = $num4 - $i4 - 1;
		}
		else
		{
			$rest = '0';
			echo "<meta http-equiv='Refresh', content='1; url=edit_start.php'>";
		}

		echo "<meta http-equiv='Refresh', content='0; url=generate_quickpreview0.php?num=$rest&t_0=$t_0&t_rest=$t_rest&i4=$i4&z_0=$z_0'>";
		
		/*Restzeit-Berechnung:
		IF ($z_0 > '0')
		{
			$t_rest = (($t_akt - $t_0) / $z_0) * $rest;
		}
		
		if ($rest == '0')
		{
			echo "<meta http-equiv='Refresh', content='1; url=edit_start.php'>";
			return;
		}
		else
		{
			echo "<meta http-equiv='Refresh', content='0; url=generate_quickpreview0.php?num=$rest&t_0=$t_0&t_rest=$t_rest&i4=$i4&z_0=$z_0'>";
		}
		*/
	}
	mysqli_close($conn);
}	
elseif ($num4 == 0)
{
	echo "<p class='klein'>Es sind keine Objekte zu bearbeiten.</p>
		</center>
	</div>
	
	<div class='foot' id='foot'>
		<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
	</div>
	<meta http-equiv='Refresh', content='1; url=edit_start.php'>";
}
echo "
</center>
</div>
		
<div class='foot' id='foot'>
	<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
</div>
		
</div>
</div>
</body>
</html>";
?>
