<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Datensatz-Bearbeitung</TITLE>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
	<script type="text/javascript" src="../../share/functions/ShowPicture.js"></script>
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict();
		function showKatInfo(kat_id)
		{
			Fenster1 = window.open('../../share/edit_kat_info.php?kat_id='+kat_id, 'Kategorie-Informationen', "width=675,height=768,scrollbars,resizable=no,");
			Fenster1.focus();
		}
	</script>
</head>

<?php

/*
 * Project: pic2base
 * File: remove_kat_daten.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

if ($katTreeViewModus == 'compact')
{
    $view = 'Kompakter Kategoriebaum';
}
else
{
    $view = 'Vollständiger Kategoriebaum';
}

if (array_key_exists('kat_id',$_GET))
{
	$kat_id = $_GET['kat_id'];
	if($kat_id !== '')
	{
		$_SESSION['kat_treeview_pos'] = $kat_id;
	}
	else 
	{
		$kat_id = $kat_treeview_pos;
	}
}
else
{
	if(!isset($kat_id))
	{
		$kat_id = 0;
	}
}

$base_file = 'remove_kat_daten';
echo "
<body style='text-align:center;' lang='de-DE' onLoad=\"getKatTreeview('$kat_id','0','edit_remove','0','edit','$katTreeViewModus','remove_kat_daten')\">
<center>
<div class='klein'>";

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

//var_dump($_REQUEST);
if(array_key_exists('mod',$_GET))
{
	$mod = $_GET['mod'];
}

if(array_key_exists('pic_id',$_GET))
{
	$pic_id = $_GET['pic_id'];
}

if(array_key_exists('ID',$_REQUEST))
{
	$ID = $_GET['ID'];
}
//echo"<br />kat_id: ".$kat_id."<br />";

if(!isset($ID))
{
	$ID = '';
}

echo "
<div class='body_grid'>
	
	<div class='header'>
		pic2base :: Datensatz-Bearbeitung (Kategorie-Zuweisungen entfernen) <span class='klein'></span>
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>";
			createNavi3_1($uid);
			echo "
		</div>
	</div>
	
	<form id='content' class='content' name='kat-aufhebung' method='post' action='remove_kat_daten_action2.php?kat_id=$kat_id&mod=$mod'>
        <div class='content_grid_filmstripe'>";
			
			switch($mod)
			{
				case "edit_remove":
					echo "<div class='filmstripe_content_left' id='spalte1F' style='overflow:hidden;'>
						
							<fieldset id='kat_tree_fieldset' class='normal' style='height: 95%;overflow: hidden;'>
							<legend  class='normal'>Bildauswahl nach Kategorien<span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Ansicht umzuschalten' onClick='alterKatTreeviewModus(\"$katTreeViewModus\",\"$base_file\");'>(".$view.")</span></legend>
								<div id='scrollbox0' style='height:98%; overflow-y:scroll;'>";
								$ziel = '../../html/edit/remove_kat_daten.php';
								$modus='edit';
								$mod='kat';
								$base_file = 'remove_kat_daten';
								echo "
								</div>
							</fieldset>
						
					</div>";
				break;
			}

			echo "
			<div class='filmstripe_content_right' id='spalte2F' style='overflow: hidden;'>
				<fieldset id='fieldset_spalte2' class='normal' style=' height:95%; overflow-y:scroll;'>
					<legend class='normal'>Hinweis</legend>
					<p class='klein' style='text-align:left;'>Hier k&ouml;nnen Sie Kategoriezuweisungen wieder aufheben.<br /><br />
					W&auml;hlen Sie dazu links die gew&uuml;nschte Kategorie aus und legen Sie in der Filmstreifenansicht fest, welches Objekt aus dieser Kategorie entfernt werden soll, indem Sie unter dem jeweiligen Objekt die Checkbox ausw&auml;hlen.<br /><br />
					Die ausgew&auml;hlten Objekte werden aus der aktuellen Kategorie entfernt und aus allen zu dieser Kategorie geh&ouml;renden Unterkategorien.<br /><br />
					Die gew&uuml;nschten &Auml;nderungen werden durch einen Klick auf den Speichern-Button &uuml;bernommen.
					</p>
					<p class='klein' style='border:solid 1px var(--color_r); padding:10px; margin-top:30px;text-align:left;'>
						<label for='del_all_kat' style='vertical-align:5px;'><b><u>Alle</u></b> vorhandenen Kategorie-Zuweisungen aus den markierten Objekten entfernen:</label>
						<input type='checkbox' name='del_all_kat' style='vertical-align:super;margin-left:15px;'><br />
						<br />Beachten Sie bitte:<br />
						Wenn Sie die Checkbox aktivieren, werden <b><u>ALLE</u></b> Kategorie-Zuweisungen der markierten Objekte entfernt.<br />
						Die Objekte werden dann wieder in der Kategorie <u>Neuzugänge</u> aufgelistet.
					</p>

					<div style='margin-top:20px; width:99%; text-align:center;'>
						<input type='submit' class='button' style='margin-right:20px;' id='button3' value = 'Speichern'>
						<input type='button' class='button' style='margin-left:20px;' id='button3a' value='Abbrechen' OnClick='location.href=\"edit_start.php\"'>
					</div>
				</fieldset>
			</div>
			
			<div id='filmstreifen' class='filmstripe_content_bottom'>";
			$modus='edit_remove';
			echo "
			</div>
		</div>
	</form>
	
	<div class='footer'>
		<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
	</div>
	
</div>
</form>

<div id='blend' style='display:none; z-index:99;'>
<IMG src='../../share/images/grey.png' style='z-index:100; position:absolute; top:0px; left:0px; width:100%; height:99%;' />
<img src=\"../../share/images/loading.gif\" style='position:absolute; top:200px; width:20px; z-index:101;' />
</div>";

mysqli_close($conn);
?>
</div>
</center>
</body>
</html>