<!DOCTYPE HTML>
<html>

<head>
  <title>Pr&auml;sentation l&auml;uft...</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type='text/css' href='../../css/format1.css'>
  <link rel=stylesheet type='text/css' href='../../css/main.css'>
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
  <script type="text/javascript" src="../../share/functions/resize_elements.js"></script>
  <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
  <script type="text/javascript" src="../../share/galleria-1.6.1/dist/galleria.min.js"></script>
  
  <script type="text/javascript">
	// muß für die Anzeige der Präsentation hier ermittelt werden!!:
	jQuery(document).ready(checkWindowSize);
	jQuery(window).resize(checkWindowSize);
  </script>
</head>

<body>

<?php

/*
 * Project: pic2base
 * File: show_presentation.php
 * Copyright (c) 2013 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

if(array_key_exists('qual', $_GET))
{
	$quality = $_GET['qual'];
}
else
{
	$quality = 'lq';
}

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
//include $sr.'/bin/css/initial_layout_settings.php';

if(array_key_exists('coll_id', $_GET))
{
	$coll_id = $_GET['coll_id'];
}

$result1 = mysqli_query($conn, "SELECT $table25.pic_id, $table25.coll_id, $table25.position, $table2.pic_id, $table2.FileName, $table2.FileNameHQ, $table2.FileNameV, $table2.Caption_Abstract, $table2.owner, $table1.id, $table1.vorname, $table1.name
FROM $table25, $table2, $table1
WHERE $table25.coll_id = '$coll_id'
AND $table25.pic_id = $table2.pic_id
AND $table2.owner = $table1.id
ORDER BY $table25.position");
echo mysqli_error($conn);
$num1 = mysqli_num_rows($result1);

$result2 = mysqli_query($conn, "SELECT * FROM $table24 WHERE coll_id = '$coll_id'");
$row2 = mysqli_fetch_assoc($result2);
$coll_name = mb_convert_encoding($row2['coll_name'], "UTF-8");
$created = date('d.m.Y', strtotime($row2['created']));
$last_modification = date('d.m.Y', strtotime($row2['last_modification']));

if(isset($_SERVER['HTTP_REFERER'])) 
{
	//echo $_SERVER['HTTP_REFERER'];
	$reference = $_SERVER['HTTP_REFERER'];
}
else
{
	$reference = "../recherche/view_collection.php?coll_id=".$coll_id;  // ungeprüfter Plan B
} 

echo "  <div id='back_button1'>
			<img src='../../share/images/close_presentation.svg'  style='position:absolute; top:10px;left:10px; cursor:pointer; width:30px; height:30px; z-index:5;' title='Präsentation beenden' onClick='location.href=\"$reference\"';>
        </div>
        <div id='galleria'>";
            
		// fast-Schwarz-Objekt erzeugen  #########################################
		$image = ImageCreate(1200, 750);
		$background_color = ImageColorAllocate($image, 20, 20, 20);
		ImagePNG($image, $p2b_path.'/pic2base/userdata/'.$uid.'/kml_files/black.png');
		echo "<img src='../../../userdata/$uid/kml_files/black.png'>";
		//  ####################################################################
		
		// Vorspann-Objekt erzeugen  #############################################
		// Titel der Kollektion, Format: 1000 x 750, weiss auf schwarz 
		$image = ImageCreate(1200, 750);
		$background_color = ImageColorAllocate($image, 0, 0, 0);
		$font_color = ImageColorAllocate($image, 240, 240, 240);
//		ImageString($image, 5, 100, 100, $coll_name, $font_color); // Variante mit GD-Schriftarten
		ImageTTFText($image, 18, 0, 100, 575, $font_color, $font_path.'/DejaVuSans.ttf', 'pic2base präsentiert:');
		ImageTTFText($image, 24, 0, 100, 650, $font_color, $font_path.'/DejaVuSans.ttf', $coll_name);
		ImagePNG($image, $p2b_path.'/pic2base/userdata/'.$uid.'/kml_files/vorspann.png');
		echo "<img src='../../../userdata/$uid/kml_files/vorspann.png'>";
		// Vorspann Ende  ######################################################
		
		$pic_owner = array(); //Array der Bild-Autoren für den Abspann-Text
		for($i1=0; $i1<$num1; $i1++)
		{
			$row1 = mysqli_fetch_assoc($result1);
			// Angaben zum anzuzeigenden Objekt:
			$FileName = $row1['FileName'];
			$FileNameHQ = $row1['FileNameHQ'];
			$FileNameV = $row1['FileNameV'];
			$description = $row1['Caption_Abstract'];
			$owner = $row1['vorname']." ".$row1['name'];
			
			if(!in_array($owner, $pic_owner))
			{
				$pic_owner[] = $owner;
			}
			if($quality == 'lq')
			{
				echo "<a href='../../../images/vorschau/hq-preview/$FileNameHQ'>
						<img src='../../../images/vorschau/thumbs/$FileNameV' data-big='../../../images/originale/$FileName' data-title='' data-description='$description'>
					  </a>";
			}
			elseif($quality == 'hq')
			{
				// Wenn ein rotiertes Originalbild existiert, wird dieses verwendet:
                @$fh_rot = fopen($pic_rot_path."/".$FileName,"r");
                if($fh_rot)
                {
                    echo "<a href='../../../images/originale/rotated/$FileName'>
                		<img src='../../../images/vorschau/thumbs/$FileNameV' data-big='../../../images/originale/rotated/$FileName' data-title='' data-description='$description'>
                	  </a>";
                }
                else 
                {
                    echo "<a href='../../../images/originale/$FileName'>
                		<img src='../../../images/vorschau/thumbs/$FileNameV' data-big='../../../images/originale/$FileName' data-title='' data-description='$description'>
                	  </a>";
                }  
			}
		}
		
		// Abspann-Objekt erzeugen   ##############################################
		// Ersteller der Präsentation, Autoren aller Objekte, Erstellungsdatum, weiss auf schwarz
		$image = ImageCreate(1200, 750);
		$background_color = ImageColorAllocate($image, 0, 0, 0);
		$font_color = ImageColorAllocate($image, 240, 240, 240);
		// bei Textgroesse 18 werden fuer jede Zeile 30px veranschlagt
		
		if(count($pic_owner) == 1)
		{
		    ImageTTFText($image, 18, 0, 10, 700, $font_color, $font_path.'/DejaVuSans.ttf', '(C) '.$pic_owner[0].', '.$created.' / '.$last_modification);
		}
		else
		{
			$n = count($pic_owner);
			
			ImageTTFText($image, 14, 0, 10, (700 - ($n * 30) - 60), $font_color, $font_path.'/DejaVuSans.ttf', 'Für die Präsentation wurde Bildmaterial u.a. der folgenden Autoren verwendet:');
			$y = 690 - ($n * 30);
			for($x=0; $x < 21; $x++)
			{
			    ImageTTFText($image, 18, 0, 10, $y, $font_color, $font_path.'/DejaVuSans.ttf', $pic_owner[$x]);
				$y =$y + 30;
			}
			if($n > 20)
			{
			    ImageTTFText($image, 18, 0, 10, 720, $font_color, $font_path.'/DejaVuSans.ttf', 'u.v.a. (C) '.$pic_owner[0].', '.$created.' / '.$last_modification);
			}
			
		}
		ImagePNG($image, $p2b_path.'/pic2base/userdata/'.$uid.'/kml_files/abspann.png');
		echo "<img src='../../../userdata/$uid/kml_files/abspann.png'>";
		echo "<img src='../../../userdata/$uid/kml_files/black.png'>";
		// Abspann Ende  #########################################################
		
		echo "
       	</div>";
       	?>
	  	<script>
		//jQuery("#galleria").css({"height":(jQuery(window).height()) + "px"});
		//jQuery("#galleria").css({"width":(jQuery(window).width()) + "px"});
		//	Galleria.ready(function(){
		//	    this.bind('image',function(e){
		//	        if( e.index == this.getDataLength()-1 ){
		//	            this.pause();
		//	        }
		//	    });
		//	});
			
			Galleria.configure({
				preload: 2,			// all, 0
			//	easing: 'galleriaIn',
			//	imageCrop: true,
				transition: 'flash',	//fade, flash, pulse, slide, fadeslide
				transitionSpeed: 400,
				lightbox: true,
				showCounter: true,
				clicknext: true,
				autoplay: false,		// true oder Zeit in ms
			//	idleMode: false
				});
			
   			Galleria.loadTheme('../../share/galleria-1.6.1/dist/themes/classic/galleria.classic.min.js');
   			Galleria.run('#galleria');
   		</script>
</body>
</html>