<!DOCTYPE HTML>
<html>

<head>
  <title>pic2base - Dublettenpr&uuml;fung</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type="text/css" href="../../css/format1.css">
  <link rel=stylesheet type="text/css" href="../../css/main.css">
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<!--
/*
 * Project: pic2base
 * File: doublettenliste1.php
 *
 * Copyright (c) 2005 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */
 -->
<script type = text/javascript>
function showDelWarning(FileName, uid, pic_id)
{
	var check = confirm("Wollen Sie das Objekt wirklich entfernen?");
	if(check == true)
	{
		window.open('../../share/delete_picture.php?FileName=' + FileName + '&uid=' + uid + '&pic_id=' + pic_id, 'Delete', 'width=600px, height=450px');
	}
}
</script>

<body>
<div class="klein">
<?php
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$result10 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row10 = mysqli_fetch_assoc($result10);
$username = $row10['username'];

//$quelle = $_SERVER['HTTP_REFERER'];

if (empty($_SERVER['HTTP_REFERER']))
{
	$quelle =$_SERVER['HTTP_HOST'].str_replace('&', '&amp;',$_SERVER['REQUEST_URI']);
}
else
{
	$quelle = $_SERVER['HTTP_REFERER'];
}
//echo $quelle;
if(array_key_exists('user_id',$_GET))
{
	$user_id = $_GET['user_id']; 
}

if(array_key_exists('method',$_GET))
{
	$method = $_GET['method']; 
}
ELSE
{
	$method = '';
}
//echo $navi;
echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Doublettenpr&uuml;fung <span class='klein'>(User: ".$username.")</span>
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>";
		if(strstr($quelle, "edit_start.php") OR strstr($quelle, "stapel2.php") OR strstr($quelle, "doublettenliste1.php"))
		{
			createNavi3($uid);
		}
		elseif(strstr($quelle, "db_wartung1.php"))
		{
			include '../admin/adminnavigation.php';
		}
		echo "</div>
	</div>
	
	<div class='content' style='overflow-y:scroll;'>
		<center>";

			//Tabelle doubletten von alten Eintraegen bereinigen:
			$result = mysqli_query($conn, "DELETE FROM $table21 WHERE user_id = '$user_id'");
			//Ermittlung der Datensaetze, bei denen die md5-Summe mehrfach gleich sind:
			$result0 = mysqli_query($conn, "SELECT P1.pic_id, P1.FileNameOri, P1.md5sum, P1.aktiv, P1.FileSize 
			FROM $table2 AS P1, 
			(SELECT P.md5sum FROM $table2 as P GROUP BY P.md5sum HAVING COUNT( * ) > 1) 
			as P2 
			WHERE P1.md5sum = P2.md5sum
			AND P1.aktiv = '1' 
			ORDER BY P1.pic_id DESC");
			
			echo mysqli_error($conn);
			$num0 = mysqli_num_rows($result0); //echo "Anzahl Objekte mit gleicher Prüfsumme (in Zeile 131): ".$num0."<br />";
			$pid_arr = array();
			for($i0=0; $i0<$num0; $i0++)
			{
				$row0 = mysqli_fetch_assoc($result0);
				//print_r($row0);
				$pid_dbl_ori = $row0['pic_id'];		       // Objekt-ID des Referenzbildes, zu dem weitere Vorkommen existieren
				$FileNameOri = $row0['FileNameOri'];	   // dessen Original-Dateiname
				$md5sum = $row0['md5sum'];			       // dessen Pruefsumme
				$FileSize_ori = $row0['FileSize'];         // dessen Dateigröße
				$pid_arr[] = $pid_dbl_ori;				   // Array der Objekt-ID's
				$FS_arr[] = $FileSize_ori;                 // Array der Dateigrößen
				
				//Statement fuer die Ermittlung der Datensaetze, bei denen nur die md5-Summen mehrfach gleich sind:
				$result0_1 = mysqli_query($conn, "SELECT pic_id, FileSize FROM $table2 WHERE md5sum = '$md5sum' AND aktiv = '1'");
				echo mysqli_error($conn);
				//$row0_1 = mysqli_fetch_assoc($result0_1);
				$num0_1 = mysqli_num_rows($result0_1);
				for($i0_1=0; $i0_1<$num0_1; $i0_1++)
				{
				    $row0_1 = mysqli_fetch_assoc($result0_1);
				    $pid_dbl_kopie = $row0_1['pic_id'];	//Objekt-ID der weiteren Vorkommen zu dem obigen Referenzbild
				    $FS_dbl_kopie = $row0_1['FileSize']; //echo "Pic_ID (Ori): ".$pid_dbl_ori."; Pic-ID (Doubl.): ".$pid_dbl_kopie."; Dateigröße: ".$FS_dbl_kopie."<br />";
					IF($pid_dbl_ori !== $pid_dbl_kopie AND !in_array($pid_dbl_kopie, $pid_arr) AND in_array($FS_dbl_kopie, $FS_arr))
					{
						//echo "Objekt ".$pid_dbl_ori." hat als Dublette Objekt ".$pid_dbl_kopie."<br />";
						IF($user_id !== NULL)
						{
							$result0_2 = mysqli_query($conn, "INSERT INTO $table21 (new_pic_id, old_pic_id, user_id) VALUES ('$pid_dbl_ori', '$pid_dbl_kopie', '$user_id')");
						}
						echo mysqli_error($conn);
						$pid_arr[] = $pid_dbl_kopie;
					}
				}
			}
			
			if($method == 'all')
			{
				//Variante, wenn die Dublettenpruefung vom Admin nach der DB-Wartung gestartet wurde:
				$result1 = mysqli_query($conn, "SELECT * FROM $table21");
			}
			elseif($method == '')
			{
				//Variante, wenn die Dublettenpruefung von einem normalen User aus dem Bearbeiten- oder Erfassungs-Menue gestartet wurde:
				$result1 = mysqli_query($conn, "SELECT * FROM $table21 WHERE user_id = '$user_id'");
			}
			//print_r($FS_arr);
			$num1 = mysqli_num_rows($result1); //echo "<br />".$num1." Objekt(e) ist/sind mehrfach vorhanden.<br />";
			if($num1 > 0)
			{
				echo "
				<table class='liste1'>
				<tbody>
					<TR style='height:1px;'>
						<td colspan='4' align='center' bgcolor='#FF9900'></td>
					</TR>
				
					<TR style='height:10px;'>
						<td colspan='4' style='background-color:var(--color3)'><FONT COLOR='yellow'>Wenn Sie sicher sind, da&szlig; Sie keine Doubletten in der Datenbank haben wollen, k&ouml;nnen Sie alle mehrfachen Vorkommen mit einem Klick auf den Button am Ende der Liste auf einmal entfernen.<br />
					Anderenfalls k&ouml;nnen Sie mit den Symbolen am rechten Bildrand f&uuml;r jedes Objekt individuell entscheiden.</FONT></td>
					</TR>
					
					<TR style='height:1px;'>
						<td colspan='4' bgcolor='#FF9900'></td>
					</TR>
					
					<TR>
						<td align='center'>neu erfasstes Objekt</td>
						<td align='center'>in der DB vorhandenes Objekt</td>
						<td colspan='2' align='center'>Option</td>
					</TR>
					
					<TR style='height:1px;'>
						<td colspan='4' bgcolor='#FF9900'></td>
					</TR>
					
					<TR style='height:3px;'>
						<td colspan='4'></td>
					</TR>
					
					<TR style='height:3px;'>
						<td colspan='4'></td>
					</TR>";
					
					for($i1=0; $i1<$num1; $i1++)
					{
					    $row1 = mysqli_fetch_assoc($result1);
					    $new_pic_id = $row1['new_pic_id'];
						$result2 = mysqli_query($conn, "SELECT FileName, FileNameHQ, FileSize FROM $table2 WHERE pic_id = '$new_pic_id' AND aktiv = '1'");	// Daten des neu erfassten Bildes
						$row2 = mysqli_fetch_assoc($result2);
						$FileName = $row2['FileName'];
					    $filesize_new_pic = $row2['FileSize']; //echo mysqli_error($conn);
						$old_pic_id = $row1['old_pic_id'];
						$result3 = mysqli_query($conn, "SELECT FileNameHQ, FileSize FROM $table2 WHERE pic_id = '$old_pic_id' AND aktiv = '1'");	// Daten der bereits in der DB enthaltenen Dublette
						$row3 = mysqli_fetch_assoc($result3);
					    $filesize_old_pic = $row3['FileSize']; //echo mysqli_error($conn);
					    // Da die md5sum bei unterschiedlichen Objekten durchaus gleich sein kann (siehe main_functions.php, Z. 1769), wird zusaetzlich auf die Dateigroesse geprueft:
						if($new_pic_id !== $old_pic_id AND $filesize_new_pic == $filesize_old_pic)
						{
							//Ermittlung der Vorschaubildes der neuen Objekt-Datei:
							$FileNameHQ_new = $row2['FileNameHQ'];
							$image_new = "../../../images/vorschau/hq-preview/".$FileNameHQ_new;
							
							//Ermittlung der Vorschaubildes der alten Objekt-Datei:
							$FileNameHQ_old = $row3['FileNameHQ'];
							$image_old = "../../../images/vorschau/hq-preview/".$FileNameHQ_old;
							
							echo "
							<TR>
								<td style='width=350px; text-align: center;'><img src='$image_new' width='350' title='Objekt-ID: $new_pic_id, Objekt-Größe: $filesize_new_pic' /></td>
								<td style='width=350px; text-align: center;'><img src='$image_old' width='350' title='Objekt-ID: $old_pic_id, Objekt-Größe: $filesize_old_pic' /></td>
								<td style='width=55px; text-align: center;'><!--<a href='../../share/save_doublette.php?pic_id=$new_pic_id&user_id=$user_id'><img src='../../share/images/ok.svg' style='width:15px;' title='Objekt in der Datenbank belassen' /></a>--></td>
								<td style='width=55px; text-align: center;'><a href = '#' onClick=\"showDelWarning('$FileName', '$uid', '$new_pic_id')\";><img src='../../share/images/delete.svg' style='width:15px;' title='Doublette aus der Datenbank entfernen' /></a></td>
							</TR>";
						}
						else
						{
						    // Wenn die md5-Summe gleich ist, die Dateigröße sich aber unterscheidet liegt keine Doublette vor und der Datensatz wird aus der Doubletten-Tabelle gelöscht:
						    
						}
					}
					echo "
					<TR style='height:1px;'>
						<td colspan='4' align='center' bgcolor='#FF9900'></td>
					</TR>
					
					<TR style='height:10px;'>
						<td colspan='4' style='background-color:var(--color2); text-align:center;'><input type='button' id='del_button' class='button' style='margin-top:7px;' value='Keine Doubletten zulassen - alle doppelten Objekte aus der Datenbank entfernen' onClick=\"location.href='../../share/delete_all_dubls1.php?method=$method&user_id=$user_id&uid=$uid'\"></td>
					</TR>
					
					<TR style='height:1px;'>
						<td colspan='4' align='center' bgcolor='#FF9900'></td>
					</TR>
				
				</tbody>
				</table>";
				?>
				<script type='text/javascript'>
					document.getElementById('del_button').focus();
				</script>
				<?php
			}
			else
			{
				echo "
				<table class='liste1' style='margin-top:150px;'>
				<tbody>
				
					<TR style='height:100px;'>
						<td colspan='4' align='center'><p class='klein_green'>Es wurden keine Doubletten gefunden.</p></td>
					</TR>
					
				</tbody>
				</table>";
			}
		
		echo "		
		</center>
	</div>
	
	<div class='footer'>
		<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
	</div>
	
</div>

</div>
</body>
</html>";
?>

