<!DOCTYPE HTML>
<html>

<head>
  <title>pic2base - Erfassung</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type="text/css" href="../../css/format1.css">
  <link rel=stylesheet type="text/css" href="../../css/main.css">

  <link rel="stylesheet" href="../../share/dropzone-5.5.0/dist/dropzone.css">
  <script src="../../share/dropzone-5.5.0/dist/dropzone.js"></script>

  <link rel="shortcut icon" href="../../share/images/favicon.ico">
  <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
  
  <script type="text/javascript">
  	jQuery.noConflict()
  </script>
</head>

<!--
/*
 * Project: pic2base
 * File: erfassung0.php
 *
 * Copyright (c) 2005 - 2022 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */
 -->

<body>
<div class="klein">
<?php

// Änderungen an den Systemeinstellungen, damit Dateien bis 2 GB per Web-Browser hochgeladen werden können:
// in php.ini:
// upload_max_filesize = 2000M
// post_max_size = 2500M; (muß größer sein als upload_max_filesize)
// memory_limit = 3000M; (muß größer sein als post_max_size)
// +++ Eine Anpassung zur Laufzeit ist nicht mehr möglich! +++
/*
$ACTION = $_SERVER['PHP_SELF'];
$link = "http://{$_SERVER['SERVER_NAME']}$ACTION"; //echo $link;
*/
include '../../share/read_session_prefs.php';
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';

$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row1 = mysqli_fetch_assoc($result1);
$username = $row1['username'];

echo "
<div class='body_grid'>

	<div class='header'>
		pic2base :: Objekt-Erfassung <span class='klein'>(User: $username)</span>
	</div>
	
	<div class='navigation'>
		<div class='menucontainer'>";
		createNavi1($uid); //echo $uid;
		echo "</div>
	</div>
	
	<div class='content' id='content' style='overflow-y:scroll;'>
        <center>
        <fieldset class='normal' style=' width:80%; max-height:700px; margin:40px; padding:1px;overflow-y:scroll;'>
        <legend class='normal'>Bitte beachten Sie,</legend>
            <div id='scrollbox1' style='height: 150px; overflow:hidden; text-align:left;'>
                <ul style='color:var(--color1);'>
                    <li>daß die hochuzladenden Objekte <b>gültige</b> Dateinamen besitzen,</li>
                    (akzeptiert werden die in der <a class='std' href=\"../help/help1.php?page=1\" title='Liste der unterst&uuml;tzen Dateiformate'>Hilfe</a> gelisteten Dateiformate)<br />
                    <li>daß es sich ausschließlich um <b><span class='std'>Bild-, Video- oder Audio-Dateien</span></b> handelt und</li>
                    <li>daß die Größe eines einzelnen Objektes <b><span class='std'>maximal ".ini_get('upload_max_filesize')."</span></b> betragen darf.<br />
                    Größere Objekte können auch von pic2base verwaltet werden, müssen aber per FTP auf den Server übertragen werden.<br />
                    (siehe: <a class='std' href=\"../help/help1.php?page=1\" title='Hinweise zum Batch-Prozess per FTP'>Objekt-Upload via Batch-Prozess</a>)</li>
                    <li>daß je Upload-Vorgang <b><span class='std'>max. 100 Dateien</span></b> auf den Server übertragen werden können.</li>
                </ul>
            </div>
	
			<form action=drop_upload.php class='dropzone' id='myDropzone' style='margin-bottom:20px; width:95%; color:var(--color1); background-color: var(--color3); border-style:solid; border-width:4px;border-color:var(--color3);'>
				<button type='submit' style='margin:20px;'>Upload starten</button>
				<div class='dropzone-previews' style='background-color:rgb(47,47,47);'></div>
			</form>
		</fieldset>

        <p id='hint' style='margin-top:20px; margin-left:20px; color:green'></p><br /><br />
		</center>
	</div>";
		
	// Aufbereitung der erlaubten Dateitypen:
	$supft = '';
	foreach($supported_filetypes AS $SFT)
	{
	    $supft .= ".$SFT,";
	}
	//echo substr($supft,0,-1)."<br />";
	
	echo "	
	<div class='footer'>
	    <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>
</div>";
?>

<script>
  Dropzone.options.myDropzone = {
	url: 'drop_upload.php',
	paramName: 'file',
	maxFilesize: '<?php echo trim(substr(ini_get('upload_max_filesize'),0,-1));?>',
    autoProcessQueue: false,
	//uploadMultiple: true,
	parallelUploads: 100,
	maxFiles: 100,
    acceptedFiles: '<?php echo substr($supft,0,-1);?>',
    timeout: 0,
    init: function() 
    {
    	var myDropzone = this;
    	// First change the button to actually tell Dropzone to process the queue.
	    this.element.querySelector("button[type=submit]").addEventListener("click", function(e) {
	      // Make sure that the form isn't actually being sent.
	      e.preventDefault();
	      e.stopPropagation();
	      myDropzone.processQueue();
	    });

        this.on("uploadprogress", function(file, progress) 
    	      {
                //console.log("File progress", progress);
              });
      
      	this.on("queuecomplete", function(progress) 
    	      {
	  			document.getElementById("hint").innerHTML = "Einen Augenblick bitte.<br />Es erfolgt sogleich die Prüfung und Erfassung der hochgeladenen Objekte.";
	  			//alert("Der Upload ist beendet.");
	  			location.href='../start.php';
    	      });
      	this.on("addedfile", function(file) {

	        // Create the remove button
	        var removeButton = Dropzone.createElement("<button style='margin-top:5px;border-radius:5px;'>Objekt entfernen</button>");
	        
	        // Capture the Dropzone instance as closure.
	        var _this = this;

	        // Listen to the click event
	        removeButton.addEventListener("click", function(e) {
	          // Make sure the button click doesn't submit the form:
	          e.preventDefault();
	          e.stopPropagation();
	          // Remove the file preview.
	          _this.removeFile(file);
	          // If you want to the delete the file on the server as well,
	          // you can do the AJAX request here.
	        });

	        // Add the button to the file preview element.
	        file.previewElement.appendChild(removeButton);
	      });
     	// erlaubt nur die oben definierte Anzahl Objekte zu übertragen
	    this.on("maxfilesexceeded", function(file) { _this.removeFile(file); });
//      	this.on("success", function(file, responseText) {
//	        // Ausgabe einer eventuellen Fehlermeldung:
//	        file.previewTemplate.appendChild(document.createTextNode(responseText));
//	      });
    }
  }
  
  // hier ggf. Dropzone-Satandard-Meldungen anpassen:
  Dropzone.prototype.defaultOptions.dictDefaultMessage = "Klicken Sie hier oder legen Sie hier Ihre Dateien zum Upload ab.";
  //Dropzone.prototype.defaultOptions.dictFallbackMessage = "Your browser does not support drag'n'drop file uploads.";
  //Dropzone.prototype.defaultOptions.dictFallbackText = "Please use the fallback form below to upload your files like in the olden days.";
  Dropzone.prototype.defaultOptions.dictFileTooBig = "Die Datei ist zu groß ({{filesize}}MiB). Max Dateigröße: {{maxFilesize}}MiB.";
  Dropzone.prototype.defaultOptions.dictInvalidFileType = "Dieser Dateityp kann nicht hochgeladen werden.";
  Dropzone.prototype.defaultOptions.dictResponseError = "Server antwortete mit {{statusCode}} code.";
  Dropzone.prototype.defaultOptions.dictCancelUpload = "Cancel upload";
  Dropzone.prototype.defaultOptions.dictCancelUploadConfirmation = "Are you sure you want to cancel this upload?";
  Dropzone.prototype.defaultOptions.dictRemoveFile = "Remove file";
  Dropzone.prototype.defaultOptions.dictMaxFilesExceeded = "You can not upload any more files.";
</script>

</div>
</body>
</html>

