<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Stapel-Upload</TITLE>
	<meta name="generator" content="Bluefish 2.2.10" >
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
	<script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
	<script type="text/javascript">
	  	jQuery.noConflict() 
	</script>
</head>

<body onLoad='getUploadFiles()'>
<center>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: stapel2.php
 *
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/read_session_prefs.php';
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'"); //echo mysqli_error($conn);
$row1 = mysqli_fetch_assoc($result1);
$username = $row1['username'];
$user_id = $uid;

$start_time = date('d.m.Y, H:i:s');

echo "
	<div class='body_grid'>
		
		<div class='header'>
			pic2base :: Stapelverarbeitung Stapel-Upload <span class='klein'>(User: ".$username.")</span>
		</div>
			
		<div class='navigation'>
			<div class='menucontainer'>
			</div>
		</div>
			
		<div class='content' id='content'>
			<p style='margin:120px 0px; text-align:center; font-size:12px;'>
			<center>
				<p class='klein' id='headline'>Status der Objekt-Erfassung</p>
				<p class='klein' id='zaehler'></p>
				<div id='prog_bar' class='progress_bar' style='margin-top:30px; margin-bottom:30px;'>
					<img src='../../share/images/green.gif' name='bar' />
				</div>
				<p class='klein' id='meldung'>Bitte haben Sie ein wenig Geduld...</p>
				<p class='klein' id='counter'></p>
			</center>
			</p>
		</div>
		
		<div class='footer'>
			<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
		</div>
	</div>

</div>
</center>";
?>

<script type = text/javascript>
var timeout = 1;
var fileList = null;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
document.bar.width = '0';

function fileListReceived( responseText )
{
	//alert("Response Text in stapel2.php, Z. 108 (Dateiliste): " + responseText);
	fileList = JSON.parse( responseText, null );
	if(fileList.anzahl > 0)
	{
		gesamtanzahl = fileList.file_array.length;
		document.getElementById("zaehler").innerHTML = "Anzahl der hochzuladenden Objekt-Dateien: " + gesamtanzahl;
		processFile( fileList );
	}
	else
	{
		alert( "Es sind keine Dateien zu bearbeiten." );
		window.location="../start.php";
	}	
}

function showReady(avgTime)
{
	//Erfassungsfenster leeren:
	document.getElementById("headline").innerHTML = "";
	document.getElementById("zaehler").innerHTML = "";
	document.getElementById("meldung").innerHTML = "";
	document.getElementById( "prog_bar" ).style.border = "none";
	document.bar.width = '0';
	document.bar.height = '0';
	//Fertigmeldung ausgeben:
	//alert( "Die Erfassung ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
	countDown();
}

function processFile( fileList )
{
	var client = new XMLHttpRequest();
    var actual_file = fileList.file_array[0];
	//alert("Dateiname in stapel2.php, Z. 141 (Fkt. processFile; zu bearbeitende Datei): " + fileList.file_array[0]);
	client.open("GET", "stapel2_action.php?file=" + fileList.file_array[0], true);
	fileList.file_array.splice( 0, 1 );
	
	client.onload = function()
	{
		console.log("onload:", client.responseText);
	}
	client.onerror = function(e)
	{
		console.log("error:", e);
	}
	
	client.onreadystatechange = function()
	{
		if( client.readyState == 4 )
		{
			//alert("Client Response-Text in stapel2.php, Z. 145: " + client.resposeText);
			result = JSON.parse( client.responseText );
			//alert("Fehler-Code (stapel2.php, Z. 160): " + result.errorCode);
			//alert("ermittelter Mime-Type (stapel2.php, Z. 161): " + result.mimeType);
			if( result.errorCode == 1 )
			{
				alert( "Fehler: Datei " + actual_file + " wurde nicht aus dem Upload-Ordner geloescht." );
			}
			else if(result.errorCode == 2)
			{
				alert( "Fehler: Datei " + actual_file + " konnte im Ziel-Ordner nicht gelesen werden.\nDie Erfassung dieser Datei wurde abgebrochen." );
			}
            else if(result.errorCode == 3)
			{
               alert( "Fehler: Es konnte keine JPG-Datei aus " + actual_file + " erzeugt werden." );
            }
            else if(result.errorCode == 4)
			{
				alert( "Der Mime-Type '" + result.mimeType + "'\nder Datei " + actual_file + " wurde in stapel2_action.php nicht erkannt. (Meldung erfolgt in stapel2.php, Z. 163)");
			}
			/*
			if(result.dto_code == 1)
			{
				alert("Aufnahme-Datum konnte nicht ermittelt werden!");
			}
			else if(result.dto_code == 2)
			{
				 alert("Fehler beim Speichern des Aufnahme-Datums!");
			}
			else
			{
				// alert(result.dto_code);
			}
			*/	
			if( fileList.file_array.length > 0 )
			{
				if( fileList.file_array.length > 1)
				{
					document.getElementById("meldung").innerHTML = "...es verbleiben noch " + fileList.file_array.length + " Objekte...";
				}
				else
				{
					document.getElementById("meldung").innerHTML = "...es verbleibt noch " + fileList.file_array.length + " Objekt...";
				}
				var laenge = (gesamtanzahl - fileList.file_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				processFile( fileList );
			}
			else
			{
				//Bearbeitung ist abgeschlossen
				//Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
//				var endtime = new Date();
//				var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
//				avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
				document.getElementById("meldung").innerHTML = "Alle Objekte wurden erfasst.";
				//Aktualisierung des Fortschrittsbalkens auf 100%:
				var laenge = (gesamtanzahl - fileList.file_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				setTimeout("showReady(avgTime)", 1000);
			}
		}
		else
		{
//			alert("Fertigmeldung fehlt! (" + client.readyState + ") Mime-Type: " + result.mimeType);
		}
	};
	client.send( null );
}

function countDown()
{
	if( timeout < 0 )
	{
		window.location='doublettenliste1.php?user_id=' + <?php echo $user_id; ?>;
	}
	else
	{
		if( timeout > 0 )
		{
			document.getElementById( "counter" ).innerHTML = "Sie werden in K&uuml;rze zur Doublettenpr&uuml;fung weitergeleitet.";
		}
		else if(timeout == 0)
		{
			document.getElementById( "counter" ).innerHTML = "Doublettenpr&uuml;fung l&auml;uft...";
		}
		setTimeout( "countDown()", 500 );	
	}
	timeout --;
}
</script>
</body>
</html>