<?php
// (C) 05/2021

ini_set("display_errors", 1);

if (array_key_exists('file',$_GET))
{
	$file = $_GET['file'];
}

$error_code = 0;
include '../../share/read_session_prefs.php';
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

$conv = buildConvertCommand($sr);
$montage = buildMontageCommand($sr);
$exiftool = buildExiftoolCommand($sr);
$dcraw = buildDcrawCommand($sr);

//Diese Datei soll erfasst werden:
$Objekt = $ftp_path."/".$uid."/uploads/".$file;

// Objekt oder Video (i (a) / v)?
// Die Unterscheidung in i oder a ist ungenuegend. Es muss genauer hingesehen werden, welche application gemeint ist:
$mime_type = trim(shell_exec($exiftool." -MimeType -s3 ".$Objekt));


// ########################################################  Bild-Dateien:  ####################################################################
if(trim(substr($mime_type,0,1)) === 'i' OR trim($mime_type) === 'application/pdf' OR trim($mime_type) === 'application/vnd.adobe.photoshop') // i - image, a - application/pdf
{
    //Pruefung, ob die Datei gueltig ist:
    if($Objekt != "" && $Objekt != "." && $Objekt != "..")
    {
        $info = pathinfo($Objekt);
        $extension = strtolower($info['extension']);
        if(in_array($extension,$supported_filetypes) OR $extension == 'jpg')
        {
            // wenn ein gueltiges Dateiformat vorliegt, erfolgt die Datenuebernahme:
            $Orientation = trim(shell_exec($exiftool." -Orientation -S -s -n \"".$Objekt."\"")); //num. Wert der Ausrichtung des Ori.-bildes
            if ($Orientation == '' OR $Orientation == NULL)
            {
                $Orientation = '1';
            }
    //  +++  Vergabe eines eindeutigen Dateinamens  +++++
            // Hierzu wird vor dem eigentlichen Upload ein Dummy-Datensatz angelegt und die Datensatz-Nr. ermittelt:
            $DateInsert = date('Y-m-d H:i:s');
            $result2 = mysqli_query($conn, "INSERT INTO $table2 (Owner,FileNameOri,DateInsert) VALUES ('$uid', '$file', '$DateInsert')");
            $pic_id = mysqli_insert_id($conn);
            $tmp_filename = $pic_id.".".$extension;		//echo "tmp. Dateiname: ".$tmp_filename;		//Dateiname z.B.: 112233.nef
            
            $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
            flock($fh, LOCK_EX);
            fwrite($fh,date('d.m.Y H:i:s').": Daten-Erfassung. Objekt ".$pic_id." temp. Dateiname: ".$tmp_filename." in stapel2_action.php, Z. 57; Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
            flock($fh, LOCK_UN);
            fclose($fh);
            
            //  Kontrolle, ob Upload erfolgreich war  +++++
            if(copy("$Objekt","$pic_path/$tmp_filename"))// Objekt wird vom Uploadordner in den Originale-Ordner kopiert (z.B. nach ....images/originale/12345.nef)
            {
                $tmp_file = $sr."/images/originale/".$tmp_filename;
                clearstatcache();  
                chmod ($tmp_file, 0700);
                clearstatcache();
            }
            else
            {
                die("Upload fehlgeschlagen!");
            }
            
    //  +++  Egal, was reinkommt: alle Objekte werden in JPEG gewandelt, um bei der Ausgabe die Meta-Daten mitliefern zu koennen:
            $file_info = pathinfo($tmp_filename);
            //Pruefung auf unterstuetzte Datei-Formate:
            //... wenn es keine jpg-Datei ist:
            //IF($file_info['extension'] !== 'jpg' AND $file_info['extension'] !== 'jpeg')
            if($file_info['extension'] !== 'jpg')
            {
                $base_name = $file_info['basename'];
                $ext = strtolower($file_info['extension']);
                $new_filename = str_replace($ext,'',$base_name)."jpg";	    //z.B: 122344.jpg
                //RAW-Dateien muessen mit dcraw gesondert behandelt werden!!:
                //welche Dateitypen sind in supported_filetypes und nicht in supported_extensions?
                $arr_raw = array();
                $arr_raw = array_diff($supported_filetypes, $supported_extensions);
                //Behandlung von RAW-Dateien:
                if(in_array($ext,$arr_raw))
                {
                    // es wird versucht, das eingebettete Vorschaubild zu extrahieren:
                    $command = $dcraw." -e ".$pic_path."/".$tmp_filename."";
                    $output = shell_exec($command); 
                    if($output !== NULL)
                    {
                        $dimensions = getimagesize($pic_path."/".$pic_id.".thumb.jpg");
                        // Wenn das im RAW-Bild enthaltene jpg-Vorschaubild die Mindestmasse mitbringt, wird es verwendet.
                        // Anderenfalls werden die Vorschaubilder direkt aus der RAW-Datei (aufwaendig!) erzeugt 
                        if($dimensions[0] > 800 OR $dimensions[1] > 800)
                        {
                            rename($pic_path."/".$pic_id.".thumb.jpg", $pic_path."/".$new_filename);
                            $rotate_previews = 1;
                        }
                    }
                    else 
                    {
                        @unlink($pic_path."/".$pic_id.".thumb.jpg");
                        $command = $dcraw." -w -c ".$pic_path."/".$tmp_filename." | ".$conv." - ".$pic_path."/".$new_filename."";
                        $output = shell_exec($command);

                        $rotate_previews = 0;
                    }
                    //das Original(jpg-)Objekt wird ggf als rotierte Kopie abgelegt
                    if($Orientation == '3' OR $Orientation == '6' OR $Orientation == '8')
                    {
                        $command2 = $exiftool." -Quality ".$pic_path."/".$tmp_filename;
                        $output2 = shell_exec($command2);
                        $output2_array = explode(' : ', $output2);
                        if(trim($output2_array[0]) == 'Quality' AND strtolower(trim($output2_array[1])) == 'raw') // <-- leider laesst sich das nicht zuverlaessig feststellen!!
                        {
                            //aus raw erzeugte jpg sind bereits lagerichtig, wenn nicht das eingebettete Bild verwendet wurde:
                            if($rotate_previews == 0)
                            {
                                copy($pic_path."/".$new_filename, $pic_rot_path."/".$new_filename);
                                clearstatcache();
                                chmod ($pic_rot_path."/".$new_filename, 0700);
                                clearstatcache();
                            }
                            elseif($rotate_previews == 1)
                            {
                                $rot_filename = createQuickPreview($Orientation,$new_filename,$sr);
                            }
                        }
                        else
                        {
                            //aus anderen raw erzeugte jpg muessen noch gedreht werden:
                            $rot_filename = createQuickPreview($Orientation,$new_filename,$sr);
                        }
                    }
                    $result4 = mysqli_query($conn, "UPDATE $table2 SET FileName = '$new_filename', MediaType = 'i' WHERE pic_id = '$pic_id'");
                    $z = '1';
                }
                // Ende der RAW-Bearbeitung, ...alle anderen Dateien, die weder RAW noch jpg noch pdf sind werden hier behandelt:
                elseif(in_array($ext,$supported_extensions) AND ($ext !== 'pdf')) 
                {
                    //das jpg-Objekt wird erzeugt:
                    $command = "export LD_LIBRARY_PATH=$(dirname $(locate libgs.so | head -1)) && ".$conv." -flatten ".$pic_path."/".$tmp_filename." ".$pic_path."/".$new_filename." 2>&1";
                    $out = exec($command, $err_code);
                    
                    if(file_exists($pic_path."/".$new_filename))
                    {
                        //das Original(jpg-)Objekt wird ggf als rotierte Kopie abgelegt
                        if($Orientation == '3' OR $Orientation == '6' OR $Orientation == '8')
                        {
                            $rot_filename = createQuickPreview($Orientation,$new_filename,$sr);
                        }
                        $result4 = mysqli_query($conn, "UPDATE $table2 SET FileName = '$new_filename', MediaType = 'i' WHERE pic_id = '$pic_id'");
                        //die Datei-Attribute werden fuer die hochgeladene Original-(jpg)Bilddatei auf 0700 gesetzt:
                        $fileOri = $pic_path."/".$new_filename;
                        clearstatcache();
                        chmod ($fileOri, 0700);
                        clearstatcache();
                        $z = '1';	// Die Datei enth&auml;lt nur EIN Objekt.!
                    }
                    else
                    {
    					// Es liegt ein Problem bei der Datenerfassung vor!
                        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                        flock($fh, LOCK_EX);
                        fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 190: F E H L E R bei der Datenerfassung. Von Objekt ".$new_filename." konnte keine jpg-Datei erzeugt werden! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
                        flock($fh, LOCK_UN);
                        fclose($fh);
                        $error_code = 3;
                    }
                }
// ##########    hier werden PDF behandelt, da sie ggf. mehrseitige Dokumente sein können   #######################################################
                elseif(in_array($ext,$supported_extensions) AND ($ext == 'pdf'))
                {
                    $Mime_Type = trim(shell_exec($exiftool." -MimeType -s3 ".$pic_path."/".$tmp_filename)); 

                    if($Mime_Type == 'application/pdf')
                    {
                        $path = getenv('PATH'); putenv( "PATH=$path:/usr/local/bin" );
                        
                        // bei einem mehrseitigen PDF-Dokument werden stets nur max. die ersten 16 Seiten für die Vorschau berücksichtigt!
                        
                        $command = "export LD_LIBRARY_PATH=$(dirname $(find /usr/lib* -name libaa.so* | head -1)) && ".$conv." -density 300 ".$pic_path."/".$tmp_filename." ".$pic_path."/".$new_filename;
                        //$command = "export LD_LIBRARY_PATH=$(dirname $(locate libgs.so | head -1)) && ".$conv." -density 300 ".$pic_path."/".$tmp_filename." ".$pic_path."/".$new_filename;
                        shell_exec($command);
                        // Jetzt sollten alle jpg's erzeugt sein. Wieviel sind es?
                        $FILE = $pic_path."/".$new_filename;
// ##########   wenn diese Datei nicht existiert (z. Bsp. 12345.jpg) sondern nur 12345_0.jpg, 12345_1.jpg usw., handelt es sich um ein mehrseitiges PDF:  ######                        
                        if (!file_exists($FILE))
                        {
                            $i = 0;
                            $file_arr = array();
                            // max. 16 Seiten werden zur Vorschau montiert
                            while (@fopen($pic_path."/".$pic_id."-".$i.".jpg","r") == true):
                                if($i < 16)
                                {
                                    $file_arr[] = $pic_path."/".$pic_id."-".$i.".jpg";
                                    if($i == 0)
                                    {
                                        // falls aus der pdf-Datei später in etractExifData() Z 257 keine (Exif-)Breite / Höhe ausgelesen werden kann, werden diese Daten aus dem ersten jpg ermittelt:
                                        $info = getimagesize($pic_path."/".$pic_id."-0.jpg");
                                        $result4 = mysqli_query($conn, "UPDATE $table2 SET ExifImageWidth = '$info[0]', ImageWidth = '$info[0]', ExifImageHeight = '$info[1]', ImageHeight = '$info[1]' WHERE pic_id = '$pic_id'");
                                    }
                                }
                                else
                                {
                                    break;
                                }
                                $i++;
                            endwhile;
                            
                            // aus diesen wird eine große jpg-Datei bis max 4x4 Bilder montiert:
                            // Montage der Datei-Liste:
                            $files = "";
                            foreach($file_arr AS $fileFromArray)
                            {
                                $files .= " ".$fileFromArray;
                            }
                            $command = $montage." ".$files." -geometry 1600x1600+1+1 -background grey ".$pic_path."/".$pic_id.".jpg";
                            $out = exec($command, $err_code);
                            
                            // ALLE temporären Einzelseiten löschen
                            foreach($file_arr AS $fileFromArray)
                            {
                                unlink($fileFromArray);
                            }
                            $filename = $pic_id.".jpg";
                            $result4 = mysqli_query($conn, "UPDATE $table2 SET FileName = '$filename', MediaType = 'i' WHERE pic_id = '$pic_id'");
                        }
                        else
                        {
//  ##################   einseitiges PDF   ##########################################################################
                            $filename = $pic_id.".jpg";
                            $info = getimagesize($FILE);
                            $result4 = mysqli_query($conn, "UPDATE $table2 SET FileName = '$filename', MediaType = 'i', ExifImageWidth = '$info[0]', ImageWidth = '$info[0]', ExifImageHeight = '$info[1]', ImageHeight = '$info[1]' WHERE pic_id = '$pic_id'");
                        }
                    }
                }
                else
                {
                    //nicht unterstuetzte Datei-Typen werden geloescht und Meldung ausgegeben:
                    unlink($pic_path."/".$tmp_filename);
                    $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                    flock($fh, LOCK_EX);
                    fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 272: F E H L E R bei der Datenerfassung. Der Dateityp ".$tmp_filename." wird nicht unterstuetzt! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
                    flock($fh, LOCK_UN);
                    fclose($fh);
                    $del++;
                }
            }
            else
            {
                //hier werden *.jpg-s bearbeitet:
                $new_filename = $tmp_filename;	//jpg-Dateien behalten ihren eindeutigen Dateinamen
                //2, 4, 5 und 7 sind Spiegelungen, nur 3, 6 und 8 sind reine Rotationen:
                //Erzeugung der lagerichtigen Kopie in /rotated:
                if($Orientation == '3' OR $Orientation == '6' OR $Orientation == '8')
                {
                    $rot_filename = createQuickPreview($Orientation,$new_filename,$sr);
                }
    
                $result4 = mysqli_query($conn, "UPDATE $table2 SET FileName = '$new_filename', MediaType = 'i' WHERE pic_id = '$pic_id'");
                //die Datei-Attribute werden fuer die hochgeladene Original-(jpg)Bilddatei auf 0700 gesetzt:
                $fileOri = $pic_path."/".$new_filename;
                clearstatcache();
                chmod ($fileOri, 0700);
                clearstatcache();
            }
// Die Vorbereitungen sind abgeschlossen, ab hier für alle Bild-Formate gemeinsam weiter:
            //Funktions-Parameter: Objekt-ID, Anzahl der Szenen; User-ID; Ausrichtung
            savePicture($pic_id,'1',$uid,$Orientation,$sr);	//main_functions.php, Z. 1766; Parameter sollten reichen, da sich alles weitere erzeugen laesst
            //Aus Preformance-Gruenden werden die Histogramme aus den HQ-Bildern gewonnen:
            $result3 = mysqli_query($conn, "SELECT FileNameHQ FROM $table2 WHERE pic_id = '$pic_id'");
            $row3 = mysqli_fetch_assoc($result3);
            $FileName = $row3['FileNameHQ'];
            //Parameter: Objekt-ID, Name der HQ-Datei (z.B. 21456_hq.jpg), Server-Root
            generateHistogram($pic_id,$FileName,$sr);
    
            //Meta-Daten aus dem Objekt auslesen und in die Tabelle pictures schreiben:
            //Parameter: Objekt-ID, Server-Root, ermittelte Bildausrichtung
            $dto_code = extractExifData($pic_id,$sr,$Orientation);
    
            //  +++  loeschen der soeben in die DB aufgenommene Datei aus dem Upload-Ordner, aber nur, wenn sich die Originaldatei lesen laesst:  +++
            
            //$fh = fopen($pic_path.'/'.$new_filename, 'r');
            //if($fh)
            if(fopen($pic_path.'/'.$new_filename, 'r'))
            {
                if($Objekt != "." && $Objekt != "..")
                {
                    $Objekt = $ftp_path."/".$uid."/uploads/".$file;
                    if(!@unlink($Objekt))
                    {
                        // Dieser Fehler wird in der Log-Datei vermerkt:
                        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                        flock($fh, LOCK_EX);
                        fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 322:  F E H L E R bei Objekt ".$file.". Datei konnte nicht aus dem Upload-Ordner geloescht werden! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
                        flock($fh, LOCK_UN);
                        fclose($fh);
                        $error_code = 1;    //Objekt-Datei konnte nicht aus dem FTP-Ordner geloescht werden. 
                    }
                    else
                    {
                        //Log-Datei schreiben:
                        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                        flock($fh, LOCK_EX);
                        fwrite($fh,date('d.m.Y H:i:s').": Objekt ".$pic_id." wurde von ".$username." erfasst. (".$_SERVER['REMOTE_ADDR'].")\n");
                        flock($fh, LOCK_UN);
                        fclose($fh);
                        $error_code = 0;		
                    }
                }
            }
            else
            {
                // Wenn sich die Original-Datei am Zielort nicht lesen läßt, wird dieser Fehler in der Log-Datei vermerkt:
                $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                flock($fh, LOCK_EX);
                fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 317: F E H L E R bei Objekt ".$pic_id."! Datei ".$new_filename." konnte nicht gelesen werden! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
                flock($fh, LOCK_UN);
                fclose($fh);
                //dann wird der soeben angelegte Datensatz und alle Vorschaubilder geloescht, womit der Datensatz erneut angelegt werden muss
                include $sr.'/bin/share/delete_picture.php?pic_id='.$pic_id.'&uid='.$uid;
                $error_code = 2;
            }
        }
        else
        {
            $hinweis .= $datei." besitzt kein g&uuml;ltiges Image-Objekt-Dateiformat!<br />";
        }   //bei gültigem Dateiformat 
    }       //wenn es eine gültige Datei ist
}           //wenn es ein Objekt ist

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  Objekt-Erfassung abgeschlossen  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//   ab hier für Videos:                                                                                                                    //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  Video-Erfassung  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
elseif(trim(substr($mime_type,0,1)) === 'v' OR trim($mime_type === 'application/mxf') OR trim($mime_type === 'application/unknown'))
{
    //Pruefung, ob die Datei eine gueltige Video-Datei ist:
    if($Objekt != "" && $Objekt != "." && $Objekt != "..")
    {
        $file_info = pathinfo($Objekt);
        $base_name = $file_info['basename'];        
        $extension = strtolower($file_info['extension']);
        if(in_array($extension,$supported_filetypes))
        {
            // wenn ein gueltiges Dateiformat vorliegt, erfolgt die Datenuebernahme:
            // Videos werden ntürlich nicht gedreht!
            //$Orientation = '1';
            $Orientation = shell_exec($exiftool." -Orientation -S -s -n \"".$Objekt."\""); //num. Wert der Ausrichtung des Ori.-bildes
            if ($Orientation == '' OR $Orientation == NULL)
            {
                $Orientation = trim(shell_exec($exiftool." -Rotation -S -s -n \"".$Objekt."\""));
            }
            else
            {
                $Orientation = '1';
            }
            
            //  +++  Vergabe eines eindeutigen Dateinamens  +++++
            // Hierzu wird vor dem eigentlichen Upload ein Dummy-Datensatz angelegt und die Datensatz-Nr. ermittelt:
            $DateInsert = date('Y-m-d H:i:s');
            $result2 = mysqli_query($conn, "INSERT INTO $table2 (Owner,FileNameOri,DateInsert) VALUES ('$uid', '$file', '$DateInsert')");
            $pic_id = mysqli_insert_id($conn);
            $tmp_filename = $pic_id.".".$extension;	//Dateiname z.B.: 112233.nef
            
            // Kontrolle, ob Upload erfolgreich war  +++++
            @copy("$Objekt","$pic_path/$tmp_filename")	// Objekt wird vom Uploadordner in den Originale-Ordner kopiert (z.B. nach ....images/originale/12345.mov)
            or die("Upload fehlgeschlagen!");
            $tmp_file = $sr."/images/originale/".$tmp_filename;
            clearstatcache();
            chmod ($tmp_file, 0700);
            clearstatcache();	
            
            // $command = "export LD_LIBRARY_PATH=$(dirname $(locate libaa.so | head -1)) && mplayer -nosound ".$pic_path."/".$tmp_filename." -ss 5 -frames 1 -vo jpeg:outdir=".$pic_path . " 2>&1";
            $command = "export LD_LIBRARY_PATH=$(dirname $(find /usr/lib* -name libaa.so* | head -1)) && mplayer -nosound ".$pic_path."/".$tmp_filename." -ss 5 -frames 1 -vo jpeg:outdir=".$pic_path . " 2>&1";
            $output = shell_exec($command);
            $new_filename = $pic_id.".jpg";
            rename("$pic_path/00000001.jpg", "$pic_path/$new_filename");
            clearstatcache();
            chmod ($pic_path."/".$new_filename, 0700);
            clearstatcache();
            // Speicherung des neuen Dateinamens und des MediaTypes in Tabelle pictures
            $result4 = mysqli_query($conn, "UPDATE $table2 SET FileName = '$new_filename', MediaType = 'v' WHERE pic_id = '$pic_id'");

            // Erzeugung der lagerichtigen Vorschaubilder
            if($Orientation == '3' OR $Orientation == '180' OR $Orientation == '6' OR $Orientation == '90' OR $Orientation == '8' OR $Orientation == '270')
            {
                $rot_filename = createQuickPreview($Orientation,$new_filename,$sr);
            }            
            
            // Funktions-Parameter: Objekt-ID, Anzahl der Szenen; User-ID; Ausrichtung; Server-Root
            savePicture($pic_id,'1',$uid,$Orientation,$sr);	//Parameter sollten reichen, da sich alles weitere erzeugen laesst
            
            // Histogramme aus den HQ-Bildern erzeugen:
            $result3 = mysqli_query($conn, "SELECT FileNameHQ FROM $table2 WHERE pic_id = '$pic_id'");
            $row3 = mysqli_fetch_assoc($result3);
            $FileName = $row3['FileNameHQ'];
            // Parameter: Objekt-ID, Name der HQ-Datei (z.B. 21456_hq.jpg), Server-Root
            generateHistogram($pic_id,$FileName,$sr);
            
            // Meta-Daten aus dem Objekt auslesen und in die Tabelle pictures schreiben:
            // Parameter: Objekt-ID, Server-Root, ermittelte Bildausrichtung
            $dto_code = extractExifData($pic_id,$sr,$Orientation);
            
            //  +++  loeschen der soeben in die DB aufgenommene Datei aus dem Upload-Ordner, aber nur, wenn sich die Originaldatei lesen laesst:  +++
            $fh = fopen($pic_path.'/'.$new_filename, 'r');
            if($fh)
            {
                if($Objekt != "." && $Objekt != "..")
                {
                    $Objekt = $ftp_path."/".$uid."/uploads/".$file;
                    if(!@unlink($Objekt))
                    {
                        // Dieser Fehler wird in der Log-Datei vermerkt:
                        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                        flock($fh, LOCK_EX);
                        fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 427:  F E H L E R bei Objekt ".$file.". Datei konnte nicht aus dem Upload-Ordner geloescht werden! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
                        flock($fh, LOCK_UN);
                        fclose($fh);
                        $error_code = 1;    //Objekt-Datei konnte nicht aus dem FTP-Ordner geloescht werden.
                    }
                    else
                    {
                        //Log-Datei schreiben:
                        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                        flock($fh, LOCK_EX);
                        fwrite($fh,date('d.m.Y H:i:s').": Objekt ".$pic_id." wurde von ".$username." erfasst. (".$_SERVER['REMOTE_ADDR'].")\n");
                        flock($fh, LOCK_UN);
                        fclose($fh);
                        $error_code = 0;
                    }
                }
            }
            else
            {
                // Wenn sich die Original-Datei am Zielort (pic2base/images/originale/) nicht lesen läßt, wird dieser Fehler in der Log-Datei vermerkt:
                $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                flock($fh, LOCK_EX);
                fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 449:  F E H L E R bei Objekt ".$pic_id."! Datei ".$new_filename." konnte nicht gelesen werden! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
                flock($fh, LOCK_UN);
                fclose($fh);
                //dann wird der soeben angelegte Datensatz und alle Vorschaubilder geloescht, womit der Datensatz erneut angelegt werden muss
                include $sr.'/bin/share/delete_picture.php?pic_id='.$pic_id.'&uid='.$uid;
                $error_code = 2;
            }
        }
        else
        {
            $hinweis .= $datei." besitzt kein g&uuml;ltiges Video-Objekt-Dateiformat!<br />";
        }   //wenn es ein akzeptiertes Dateiformat ist
    }       //wenn das Video eine gültige Datei ist
}           //Abfrage Mime-Type
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//   ab hier für Audios:                                                                                                                    //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  Audio-Erfassung  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
elseif(trim(substr($mime_type,0,1)) === 'a' OR trim(substr($mime_type,0,5)) === 'audio')
{
    /*
    Bei Audio-Dateien wird diese in der DB wie folgt vermerkt:
    FileNameOri     Original-Datei-Name (z. Bsp.: musik.ogg)
    Vorhör-Datei:   und 12345.mp3 zum Audio-Vorhören. Diese wird aus dem Audio-Stream konvertiert, wenn dieser kein mp3 ist.
    FileName        12345.jpg (aus audio_file.jpg generiertes Vorschaubild mit eingestempelter Objekt-ID und Original-Dateinamen)
    FileNameHQ      12345_hq.jpg 
    FileNameV       12345_v.jpg
    FileName_hist   12345_hist.gif (skaliertes audio_file.jpg; analog für RGBG, mono)
    */
    
    $ffmpeg = buildFfmpegCommand($sr);
    $exiftool = buildExiftoolCommand($sr);

    //Pruefung, ob die Datei eine gueltige Audio-Datei ist:
    if($Objekt != "" && $Objekt != "." && $Objekt != "..")
    {
        $file_info = pathinfo($Objekt);
        $base_name = $file_info['basename'];        
        $extension = strtolower($file_info['extension']);
        if(in_array($extension,$supported_filetypes))
        {
            // wenn ein gueltiges Dateiformat vorliegt, erfolgt die Datenuebernahme:
            $Orientation = '1';
            
            //  +++  Vergabe eines eindeutigen Dateinamens  +++++
            // Hierzu wird vor dem eigentlichen Upload ein Dummy-Datensatz angelegt und die Datensatz-Nr. ermittelt:
            $DateInsert = date('Y-m-d H:i:s');
            $result2 = mysqli_query($conn, "INSERT INTO $table2 (Owner,FileNameOri,DateInsert,Orientation) VALUES ('$uid', '$file', '$DateInsert', '$Orientation')");
            $pic_id = mysqli_insert_id($conn);
            $tmp_filename = $pic_id.".".$extension;	//Dateiname z.B.: 112233.nef
            
            // Kontrolle, ob Upload erfolgreich war  +++++
            @copy("$Objekt","$pic_path/$tmp_filename")	// Objekt wird vom Uploadordner in den Originale-Ordner kopiert (z.B. nach ....images/originale/12345.mov)
            or die("Upload fehlgeschlagen!");
            $tmp_file = str_replace('//', '/', $sr."/images/originale/".$tmp_filename);

        // Montage des 'Original-'Bildes und daraus die Erzeugung des HQ- und Vorschau-Thumbs:

            // Montage des einzustempelnden Textes:
            $stamp_text = "Audio-Datei\n";
            $stamp_text .= $file."\n";
            $stamp_text .= "Objekt-ID: ".$pic_id."\n\n";

            $FN = str_replace('//', '/', $pic_path."/".$pic_id.".".$extension);

            // weitere Angaben aus den EXIF-Daten ebenfalls (kleiner) einstempeln:
            // Artist
            $artist = substr(trim(shell_exec($exiftool." -Artist -s3 ".$FN)), '0', '45');
            if($artist !== '' AND $artist <> NULL)
            {
                $stamp_text .= "Artist: ".$artist."\n";
            }
            // Title
            $title = substr(trim(shell_exec($exiftool." -Title -s3 ".$FN)), '0', '45');
            if($title !== '' AND $title <> NULL)
            {
                $stamp_text .= "Titel: ".$title."\n";
            }
            // Album
            $album = substr(trim(shell_exec($exiftool." -Album -s3 ".$FN)), '0', '45');
            if($album !== '' AND $album <> NULL)
            {
                $stamp_text .= "Album: ".$album."\n";
            }
            // Spielzeit (Duration)
            $duration = trim(shell_exec($exiftool." -Duration -s3 ".$FN));
            if($duration !== '' AND $duration <> NULL)
            {
                $stamp_text .= "Spielzeit: ".$duration."\n";
            }
            // Date/Time Original oder Date
            $rec_date = trim(shell_exec($exiftool." -DateTimeOriginal -s3 ".$FN));
            if($rec_date !== '' AND $rec_date <> NULL)
            {
                $stamp_text .= "Aufn.-Jahr: ".$rec_date."\n";
            }
            else
            {
                $rec_date = trim(shell_exec($exiftool." -Date -s3 ".$FN));
                if($rec_date !== '' AND $rec_date <> NULL)
                {
                    $stamp_text .= "Aufn.-Jahr: ".$rec_date."\n";
                }
            }

            // audio_file.jpg wird skaliert in /images/originale als pic_id.jpg abgelegt:
            $file_in = str_replace("//", "/", $sr."/bin/share/images/audio_file.jpg");
            $file_out = str_replace("//", "/", $pic_path."/".$pic_id.".jpg");
            $cmd1 = $conv." ".$file_in." -resize 800x600 ".$file_out;
            echo shell_exec($cmd1);

            // Der Stempel-Text wird in das zugeh. Bild audio_file.jpg montiert:
            $im = @imagecreatefromjpeg($file_out);
            $font_pic_color = imagecolorallocate($im, '255','255','0'); //Text-Farbe: gelb
            // Pfad zur Schriftart-Datei
            $font_file = $sr."/bin/share/fonts/DejaVuSans.ttf";
            // Koordinaten des Text-Beginns
            // txa -> Text X Anfang
            // tya -> Text Y Anfang
            $txa = 10;
            $tya = 30; // 10, 30 -> ziemlich oben links
            imagefttext($im, '20', '0', $txa, $tya, $font_pic_color, $font_file, $stamp_text);
            header('Content-Type: image/jpeg');
            imagejpeg($im,$file_out);
            imagedestroy($im);

            // Erzeugung der HQ- und Thumb-Vorschau:
            $file_in = $file_out;
            $file_out_hq = str_replace("//", "/", $pic_hq_path."/".$pic_id."_hq.jpg");
            $file_out_v = str_replace("//", "/", $pic_thumbs_path."/".$pic_id."_v.jpg");
            $cmd2 = $conv." ".$file_in." -resize 800x450 ".$file_out_hq;
            echo shell_exec($cmd2);
            $cmd3 = $conv." ".$file_in." -resize 800x450 ".$file_out_v;
            echo shell_exec($cmd3);

            // Speicherung des neuen Dateinamens, HQ- und V-Datei-Namen und des MediaTypes in Tabelle pictures
            $file_name = $pic_id.".jpg";
            $file_name_hq = $pic_id."_hq.jpg";
            $file_name_v = $pic_id."_v.jpg";
            $result4 = mysqli_query($conn, "UPDATE $table2 SET FileName = '$file_name', FileNameHQ = '$file_name_hq', 
            FileNameV = '$file_name_v', MediaType = 'a', MIMEType = '$mime_type' WHERE pic_id = '$pic_id'");

            // der Vollständigkeit halber: Erzeugung der 'Histogramme'; Als Histogramme-Basis wird das audio_file.jpg verwendet
            saveAudioObject($pic_id,$uid,$sr);	//Parameter sollten reichen, da sich alles weitere erzeugen laesst

        // aus jeder (nicht-mp3-)Original-Audio-Datei wird ein mp3 konvertiert
        // und mit in /images/originale abgelegt, damit eine Wiedergabe im Browser unabhängig
        // vom Original-Dateityp möglich ist:
        // ffmpeg -i audio.wav -acodec libmp3lame audio.mp3
        
        // ===========   Diesen Teil ggf. in die DB-Wartung auslagern!   ====================
            if($extension !== 'mp3')
            {   
                $new_filename = str_replace('//', '/', $pic_path."/".$pic_id.".mp3");
                $command = $ffmpeg." -i ".$tmp_file." -acodec libmp3lame ".$new_filename." > /dev/null 2>&1";
                echo shell_exec($command);
            } 
        //  ===================================================================================

            // Datei-Attribute werden auf 0700 gesetzt:
            clearstatcache();
            // alle Original-Dateien:
            chmod ($tmp_file, 0700);                                                // Original
            chmod ($new_filename, 0700);                                            // dessen mp3
            chmod (str_replace('//', '/', $pic_path."/".$pic_id.".jpg"), 0700);     // zugeh. *.jpg
            // alle Vorschau-Dateien:
            chmod ($file_out_hq, 0700);                                             // HQ-Preview
            chmod ($file_out_v, 0700);                                              // V-Preview
            // Histogramme:
            chmod ($hist_path."/".$pic_id."_hist_0.gif", 0700);
            chmod ($hist_path."/".$pic_id."_hist_1.gif", 0700);
            chmod ($hist_path."/".$pic_id."_hist_2.gif", 0700);
            chmod ($hist_path."/".$pic_id."_hist.gif", 0700);
            // Monochrome
            chmod ($monochrome_path."/".$pic_id."_mono.jpg", 0700);
            clearstatcache();

            // Meta-Daten aus dem Objekt auslesen und in die Tabelle pictures schreiben:
            $dto_code = extractExifData($pic_id,$sr,$Orientation);

        }
    }
    
    //  +++  loeschen der soeben in die DB aufgenommene Datei aus dem Upload-Ordner, aber nur, wenn sich die Originaldatei lesen laesst:  +++
    //$fh = fopen($pic_path.'/'.$new_filename, 'r');
    $fh = fopen($FN, 'r');
    if($fh)
    {
        if($Objekt != "." && $Objekt != "..")
        {
            $Objekt = $ftp_path."/".$uid."/uploads/".$file;
            if(!@unlink($Objekt))
            {
                // Dieser Fehler wird in der Log-Datei vermerkt:
                $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                flock($fh, LOCK_EX);
                fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 427:  F E H L E R bei Objekt ".$file.". Datei konnte nicht aus dem Upload-Ordner geloescht werden! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
                flock($fh, LOCK_UN);
                fclose($fh);
                $error_code = 1;    //Objekt-Datei konnte nicht aus dem FTP-Ordner geloescht werden.
            }
            else
            {
                //Log-Datei schreiben:
                $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                flock($fh, LOCK_EX);
                fwrite($fh,date('d.m.Y H:i:s').": Objekt ".$pic_id." wurde von ".$username." erfasst. (".$_SERVER['REMOTE_ADDR'].")\n");
                flock($fh, LOCK_UN);
                fclose($fh);
                $error_code = 0;
            }
        }
    }
    else
    {
        // Wenn sich die Original-Datei am Zielort (pic2base/images/originale/) nicht lesen läßt, wird dieser Fehler in der Log-Datei vermerkt:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": stapel2_action.php, Z. 449:  F E H L E R bei Objekt ".$pic_id."! Datei ".$new_filename." konnte nicht gelesen werden! Benutzer: ".$username."; (".$_SERVER['REMOTE_ADDR'].")\n");
        flock($fh, LOCK_UN);
        fclose($fh);
        //dann wird der soeben angelegte Datensatz und alle Vorschaubilder geloescht, womit der Datensatz erneut angelegt werden muss
        include $sr.'/bin/share/delete_picture.php?pic_id='.$pic_id.'&uid='.$uid;
        $error_code = 2;
    }

}
else
{
    $error_code = 4;
}

$obj1 = new stdClass();
//$obj1->cmd = $command;
$obj1->dto_code = $dto_code;
$obj1->Orientation = $Orientation;
$obj1->errorCode = $error_code;
$obj1->mimeType = trim($mime_type);
$output = json_encode($obj1);
echo $output;
