<!DOCTYPE HTML>
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Pers&ouml;nliche Einstellungen</TITLE>
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<body lang="de-DE">
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: einstellungen2.php
 *
 * Copyright (c) 2006 - 2023 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 *
 */

$id = $_REQUEST['id'];	// ID des zu bearbeitenden Benutzers

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/main_functions.php';
include_once $sr.'/bin/share/functions/permissions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

if(hasPermission($uid, 'editallprofiles', $sr))
{
	$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$id'");
	$row1 = mysqli_fetch_assoc($result1);
	echo mysqli_error($conn);
	$titel = $row1['titel'];
	$vorname = $row1['vorname'];
	$name = $row1['name'];
	$u_name = $row1['username'];
	$strasse = $row1['strasse'];
	$plz = $row1['plz'];
	$ort = $row1['ort'];
	$tel = $row1['tel'];
	$email = $row1['email'];
	$internet = $row1['internet'];
	$language = $row1['language'];
	$direkt_download = $row1['direkt_download'];
	
	echo "
	<div class='body_grid'>
	
		<div class='header'>
			pic2base :: Benutzerdaten anpassen <span class='klein'>(User: $username)</span>
		</div>
			
		<div class='navigation'>
			<div class='menucontainer'>";
			createNavi5($uid);
			echo "</div>
		</div>

        <div class='content'>
            <div class='content_grid_filmstripe'>

                <div class='filmstripe_content_left' id='spalte1'>
                    <fieldset class='normal' style='height:95%; overflow-y: scroll;'>
                    <legend class='normal'>Persönliche Einstellungen f&uuml;r ".$vorname." ".$name." (".$u_name."):</legend>
                    <div id='scrollbox0'  style='height: 550px; text-align:left; overflow-y: scroll;'>
            
                    <FORM name = 'pwd' method = post action = 'save_pwd1.php?mod=all'>
                    <TABLE align=center style='width:400px;padding:0px;margin-top:15px;'>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Titel:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='titel' value = '$titel' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Name:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='name' value = '$name' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Vorname:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='vorname' value = '$vorname' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Strasse:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='strasse' value = '$strasse' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>PLZ:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='plz' value = '$plz' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Ort:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='ort' value = '$ort' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Telefon:</span></td>
                        <td class='kat1'><input type='text' class='Textfeld' name='tel' value = '$tel' style='width:200px;margin-top:5px; margin-bottom: 5px;'></td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>eMail:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='email' value = '$email' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Internet:</span></td>
                        <td class='kat1'>
                            <input type='text' class='Textfeld' name='internet' value = '$internet' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Sprache:</span></td>
                        <td class='kat1'>
                        <SELECT name='language' class='Auswahl200' style='width:200px;margin-top:5px; margin-bottom: 5px;'>";
                        switch ($language)
                        {
                            case 'de':
                                $de = 'selected';
                            break;
                            /*
                            case 'en':
                                $en = 'selected';
                            break;
                            
                            case 'ru':
                                $ru = 'selected';
                            break;
                            
                            case 'cs':
                                $cs = 'selected';
                            break;
                            
                            case 'es':
                                $es = 'selected';
                            break;
                            
                            case 'fr':
                                $fr = 'selected';
                            break;
                            
                            case 'it':
                                $it = 'selected';
                            break;
                            
                            case 'ja':
                                $ja = 'selected';
                            break;
                            
                            case 'ko':
                                $ko = 'selected';
                            break;
                            
                            case 'nl':
                                $nl = 'selected';
                            break;
                            
                            case 'pl':
                                $pl = 'selected';
                            break;
                            
                            case 'sv':
                                $sv = 'selected';
                            break;
                            
                            case 'tr':
                                $tr = 'selected';
                            break;
                            */
                        }
                        
                            echo "
                            <option value='de' $de>Deutsch</option>";
                            /*
                            <option value='en' $en>English</option>
                            <option value='ru' $ru>Russisch</option>
                            <option value='cs' $cs>Czech</option>
                            <option value='es' $es>Espanol</option>
                            <option value='fr' $fr>Francias</option>
                            <option value='it' $it>Italiano</option>
                            <option value='ja' $ja>Japanese</option>
                            <option value='ko' $ko>Korean</option>
                            <option value='nl' $nl>Nederlands</option>
                            <option value='pl' $pl>Polski</option>
                            <option value='sv' $sv>Svenska</option>
                            <option value='tr' $tr>T&uuml;rkce</option>
                            */
                        echo "
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'><span class='klein' style='margin-left:10px;'>Objekt-Download:</span></td>
                        <td class='kat1'>
                        <SELECT name='direkt_download' class='Auswahl200' style='width:200px;margin-top:5px; margin-bottom: 5px;'>";
                        if ($direkt_download == '0')
                        {
                            echo "
                            <option value='0' selected>per FTP</option>
                            <option value='1'>Direkt-Download</option>";
                        }
                        elseif ($direkt_download == '1')
                        {
                            echo "
                            <option value='0'>per FTP</option>
                            <option value='1' selected>Direkt-Download</option>";
                        }
                        
                        echo "
                        </td>
                    </tr>
                    
                    <tr class='normal'>
                        <td class='kat1' colspan='2'>
                            <span class='klein' style='margin-left:10px;'>Passwort &auml;ndern</span>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'>
                            <span class='klein' style='margin-left:10px;'>Neues Passwort:</span>
                        </td>

                        <td class='kat1'>
                            <input type='password' class='Textfeld' name='new_pwd_1' style='width:200px;margin-top:5px; margin-bottom: 5px;' value='$u_name'>
                        </td>
                    </tr>
                    
                    <tr class='kat'>
                        <td class='kat1'>
                            <span class='klein' style='margin-left:10px;'>Passwort whl.:</span>
                        </td>

                        <td class='kat1'>
                            <input type='password' class='Textfeld' name='new_pwd_2' style='width:200px;margin-top:5px; margin-bottom: 5px;' value='$u_name'>
                        </td>
                    </tr>

                    <input type='hidden' name='u_name' value = '$u_name' style='width:200px;margin-top:5px; margin-bottom: 5px;'>
                    <input type='hidden' name='id' value = '$id' style='width:200px;margin-top:5px; margin-bottom: 5px;'>

                    <tr class='kat'>
                        <td class='kat1' colspan='2' style='text-align:center;'>
                            <INPUT type=\"button\" class=\"button\" value=\"Abbrechen\" onClick=\"javascript:history.back()\">
                            <INPUT type=\"submit\" class=\"button\" value=\"Speichern\" style='margin-left:20px; margin-top:5px; margin-bottom:10px;'>
                        </td>
                    </tr>
                    
                    </table>
                    </form>
                    </div>
                    </fieldset>
                </div>

                <div class='filmstripe_content_right' id='spalte2'>
                    <fieldset class='normal' style='height:95%; overflow-y: scroll;'>
                    <legend class='normal'>Hilfe zu den Bearbeitungsm&ouml;glichkeiten:</legend>
                        <div id='scrollbox1'  style='height: 550px; text-align:left; overflow-y: scroll;'>
                        <p class='klein'>Sie k&ouml;nnen die pers&ouml;nlichen Angaben unver&auml;ndert lassen und nur das Passwort &auml;ndern.<br />
                        F&uuml;llen Sie hierzu lediglich die beiden unteren Eingabefelder aus.<br />
                        Standardm&auml;&szlig;ig ist hier der betreffende Benutzername als Passwort vorbelegt.<br /><br />
                        Wenn Sie nur die pers&ouml;nlichen Daten ver&auml;ndern wollen, m&uuml;ssen Sie die &Auml;nderungen mit dem Passwort des betreffenden Benutzers best&auml;tigen.<br />
                        Dies gilt auch, wenn Sie nur die Downloadoption &auml;ndern wollen.<br /><br />
                        F&uuml;llen Sie hierzu - nachdem Sie die entsprechenden &Auml;nderungen an den pers&ouml;nlichen Daten vorgenommen haben - die beiden unteren Passwort-Felder mit dem bisherigen Passwort des betreffenden Benutzers aus.<br />
                        Anderenfalls wird das bisherige Passwort durch den Benutzernamen des betreffenden Benutzers ersetzt.<br />
                        Dies ist die Voreinstellung.<br /><br />
                        Die Auswahl der Sprache bezieht sich derzeit lediglich auf die Darstellung der Metadaten-Feldnamen im Info-Fenster zu dem jeweiligen Objekt.<br />
                        Sp&auml;ter wird sich hier&uuml;ber auch die Sprache der Benutzeroberfl&auml;che einstellen lassen.
                        </p>
                        </div>
                    </fieldset>
                </div>

                <div class='filmstripe_content_bottom'>
                </div>

            </div>
        </div>
	
		<div class='footer'>
			<A style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
		</div>
	
	</div>";
}
elseif (!hasPermission($uid, 'editmyprofile', $sr) AND !hasPermission($uid, 'editallprofiles', $sr))
{
	echo "<meta http-equiv='refresh' content = '0; URL=../start.php'>";
}

mysqli_close($conn);
?>
</div>
</center>
</body>
</html>