<!DOCTYPE HTML>
<html>

<head>
  <title>pic2base - Einstellungen speichern</title>
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type='text/css' href='../../css/format1.css'>
  <link rel=stylesheet type='text/css' href='../../css/main.css'>
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<?php
/*
 * Project: pic2base
 * File: save_pwd1.php
 *
 * Copyright (c) 2005 - 2023 Klaus Henneberg
 *
 * Project owner:
 * Klaus Henneberg
 * Finkenweg 18
 * 38889 Blankenburg, BRD
 *
 * All files of this project are licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */
 
echo "<div class='klein'>";
 
include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';

$vorname = $_POST['vorname'];
$name = $_POST['name'];
$titel = $_POST['titel'];
$strasse = $_POST['strasse'];
$plz = $_POST['plz'];
$ort = $_POST['ort'];
$tel = $_POST['tel'];
$email = $_POST['email'];
$internet = $_POST['internet'];
$language = $_POST['language'];
$dir_down = $_POST['direkt_download'];

if ( array_key_exists('old_pwd',$_POST) )
{
	$old_pwd = $_POST['old_pwd'];
}
else
{
	$old_pwd = '';
}

if ( array_key_exists('id',$_POST) )
{
	$user_id = $_POST['id'];		// ID des zu bearbeitenden Benutzers
}
else
{
	$user_id = '';					// ID des zu bearbeitenden Benutzers
}

$new_pwd_1 = $_POST['new_pwd_1']; 	//echo "Neues PWD: ".$new_pwd_1."<br />";
$new_pwd_2 = $_POST['new_pwd_2'];
$mod = $_REQUEST['mod'];
$u_name = $_POST['u_name'];			

echo "
<div class='body_grid'>

	<div class='header'>
			pic2base :: &Auml;nderung der pers&ouml;nlichen Einstellungen
		</div>
	
	<div class='navigation'>
		<div class='menucontainer'>
		</div>
	</div>
	
	<div class='content' id='content'>
	<p style='margin:170px 0px; text-align:center'>";
	
	if ($mod == 'my')
	{
		$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND pwd = ENCRYPT('$old_pwd','$key') AND aktiv = '1'");
		echo mysqli_error($conn);
		$num1 = mysqli_num_rows($result1);
		$user_id = $uid;
	}
	elseif ($mod == 'all')
	{
		$result1 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$user_id' AND aktiv = '1'");
		echo mysqli_error($conn);
		$num1 = mysqli_num_rows($result1);
	}
	
	if ($num1 > '0' AND $new_pwd_1 !== '' AND $new_pwd_2 !== '' AND strlen($new_pwd_1) > '4' AND $new_pwd_1 === $new_pwd_2)
	{
		echo "<p class='mittel' align='center'>Die ge&auml;nderten Daten werden gespeichert...</p>";
		
		//Benutzerdaten erfassen:
		/*
		$result2 = mysqli_query($conn, "UPDATE $table1 SET titel = '$titel', vorname = '$vorname', name = '$name', strasse = '$strasse',
		plz = '$plz', ort = '$ort',	tel = '$tel', email = '$email',	internet = '$internet',	language = '$language',	direkt_download = '$dir_down',
		pwd = ENCRYPT('$new_pwd_1','$key'), ftp_passwd = ENCRYPT('$new_pwd_1','$key') WHERE id = '$user_id'");
		*/
		$new_pwd_1 = password_hash($_POST['new_pwd_1'], PASSWORD_DEFAULT);
		$result2 = mysqli_query($conn, "UPDATE $table1 SET titel = '$titel', vorname = '$vorname', name = '$name', strasse = '$strasse',
		plz = '$plz', ort = '$ort',	tel = '$tel', email = '$email',	internet = '$internet',	language = '$language',	direkt_download = '$dir_down',
		pwd = '$new_pwd_1', ftp_passwd = '$new_pwd_1' WHERE id = '$user_id'");

		echo mysqli_error($conn);
		if (mysqli_error($conn) == '')
		{
			shell_exec('/opt/lampp/lampp reloadftp');
			echo "<meta http-equiv='refresh' content = '1; URL=../start.php'>";
		}
		else
		{
			echo mysqli_error($conn);
		}
	}
	else
	{
		if ($num1 < '1')
		{
			echo "
			<center>
			<p class='zwoelfred' align='center'><b>Sie haben fehlerhafte Daten eingegeben!<br /><br />
			Der Vorgang wird abgebrochen.</b></p><br />
			<input type='button' class='button' Value='Zur&uuml;ck' OnClick='location.href=\"../../../index.php\"'>
			</center>";
		}
		elseif ($new_pwd_1=='' OR $new_pwd_2=='' OR strlen($new_pwd_1)<'5' OR strlen($new_pwd_2)<'5' OR $new_pwd_1 !== $new_pwd_2)
		{
			echo "
			<center>
			<p class='zwoelfred' align='center'><b>Ein leeres oder zu kurzes Passwort wird nicht akzeptiert!<br /><br />
			Bitte tragen Sie ein Passwort mit mindestens 5 Zeichen L&auml;nge ein<br />
			und achten Sie darauf, dass die beiden Eingaben f&uuml;r das neue Passwort &uuml;bereinstimmen.</b></p><br />
			<input type='button' class='button' Value='Zur&uuml;ck' OnClick='javascript:history.back()'>
			</center>";
		}
	}
	mysqli_close($conn);
	echo "
	</p>
	</div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>
	
</div>
</div>
</body>
</html>";
?>
