<!DOCTYPE HTML>
<html>
<head>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>pic2base - Hilfe</TITLE>
	<META NAME="GENERATOR" CONTENT="Eclipse">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<link rel=stylesheet type="text/css" href='../../css/format1.css'>
	<link rel=stylesheet type="text/css" href='../../css/main.css'>
	<link rel="shortcut icon" href="../../share/images/favicon.ico">
</head>

<body>
<div class="klein">

<?php

/*
 * Project: pic2base
 * File: help1.php
 * ##getestet##
 * Copyright (c) 2003 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 */

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
//$username = mysqli_result($result0, isset($i0), 'username');
while($row=mysqli_fetch_assoc($result0))
{
	$username = $row['username'];
}

$conv = buildConvertCommand($sr);
$identify = str_replace('convert', 'identify', $conv);

$sup_ft_arr = explode(chr(10),shell_exec($identify." -list format"));  //unterstuetzte Dateiformate

$page = $_GET['page']; 

foreach ($sup_ft_arr AS $SFT)
{
	$SFT = str_replace("  ","",$SFT);
	$zeil_arr = explode(chr(32),$SFT);
	if(isset($zeil_arr[2]))
	{
		$mod = $zeil_arr[2];
	}
	else
	{
		$mod = ' ';
	}
	if ($mod !== ' ')
	{
		$file_format = strtolower(str_replace('*','',$zeil_arr[0]));
	}
}

$needle = array("(", ")");
$datum = str_replace($needle, "", $vom);

// Hilfe-Kapitel:
// 0) Startbereich
// 1) Objekt-Upload (Erfassung)
// 2) Suche
// 3) Bearbeitung
// 4) Bearbeitung (Details)
// 5) Adminitrations-Bereich

echo "

<div class='body_grid'>

		<div class='header'>
			<span>pic2base :: Online-Hilfe</span>
		</div>
	
	<div class='navigation'>
		<div class='menucontainer'>";
		createNavi4_1($uid);
		echo "
		</div>
	</div>
	
	<div class='content' style='text-align: left; overflow-y: scroll;'>";
	switch($page)
	{
		case '0':
		echo "
		<fieldset class='normal' id='fieldset_help0'>
		<legend class='normal'>Hinweise zur Startseite</legend>
		
		<p class='help'>
		Das pic2base-Fenster unterteilt sich fast immer in 3 Bereiche:<br /><br />
        <img src='../../html/help/img/layout_allgemein1.svg' class='img-help'><br /><br />
		<u>1) Kopfzeile</u><br />
		Hier findet der Benutzer Hinweise zur gerade aufgerufenen Seite, unter wessen Namen er arbeitet und ggf. welche Suchkriterien ausgew&auml;hlt wurden.<br /><br />
		<u>2) Navigations-Leiste</u><br />
		Am linken Fensterrand ist die Navigations-Leiste angeordnet. Je nach erteilten Benutzer-Rechten stehen die unterschiedlichen Men&uuml;-Buttons zur Auswahl:</p>
		<ul style='color:var(--color1);'> jeweils f&uuml;r die <li>System-Administration</li>
			<li>pers&ouml;nlichen Einstellungen</li>
			<li>Objekt-Erfassung</li>
			<li>Objekt-Bearbeitung</li>
			<li>Objekt-Suche</li>
			<li>Hilfe</li>
			<li>und / oder Abmeldung vom pic2base-Server</li>
		</ul>
		<br />
		<p class='help'>
		<u>3) Daten-Bereich</u><br />
		Den gr&ouml;&#223;ten Platz nimmt der Datenbereich ein.<br /><br />
        <img src='../../html/help/img/layout_recherche1.svg' class='img-help'><br /><br />
        Hier werden alle
        <ul style='color:var(--color1);'>
			<li>Auswahl-Men&uuml;s (1),</li>
			<li>Vorschau-Objekte (2) oder</li>
			<li>Detail-Informationen (3)</li>
        </ul>
        <p class='help'>dargestellt.<br />
		Das Aussehen des Datenbereichs variiert je nach gew&auml;hlter Programm-Funktion bzw. Berechtigung des Benutzers.<br />
		Weitere themenbezogene Hilfe erhalten Sie direkt in dem aktiven Programm-Fenster.
		<br /><br />
		<b>Hilfreiche Tipps zur Arbeit mit pic2base:</b><br /><br />
		Die folgende Reihenfolge der Arbeitsschritte hat sich f&uuml;r eine effektive Daten-Erfassung als zweckm&auml;&szlig;ig erwiesen:<br /><br />
		1) Objekte per FTP oder Einzelbild-Upload auf den Server laden, von der Startseite aus die Erfassung starten<br />
                (Alle neuen Objekte liegen nun in der Kategorie \"Neuzug&auml;nge\")<br />
        2) Qualit&auml;ts-Bewertung vornehmen,<br />
        3) Beschreibungen editieren; dabei die bei der Geo-Referenzierung ggf. hinzugef&uuml;gten Ortsbezeichnungen ber&uuml;cksichtigen<br />
        4) Kategorien zuweisen<br />
		Mit dieser Reihenfolge ist sichergestellt, da&szlig; alle unbearbeiteten Objekte in der Kategorie \"Neuzug&auml;nge\" zu finden sind, bis sie im letzten Schritt in die einzelnen Unterkategorien verteilt werden.<br />
		Sollen eine gr&ouml;ssere Anzahl an Objekten erfasst werden, ist es zweckm&auml;&szlig;ig, nicht mehr als etwa 100 Objekte in einem Durchgang zu verarbeiten.<br />
		Damit werden die Ladezeiten der einzelnen Bearbeitungsseiten kurz gehalten und die Arbeit geht insgesamt fl&uuml;ssiger vonstatten.<br />
	    5) ggf. das Aufnahmedatum korrigieren, (Das ist wichtig, wenn Objekte anhand einer Track-Datei georeferenziert werden sollen!)<BR />
        6) falls Track-Daten vorliegen: Objekte georeferenzieren,<BR />
		7) bei Bedarf einen Urheberrechts-Vermerk zuf&uuml;gen<br />
		Damit sind die individuellen Informationen zugewiesen.<br />
		
		<br /><br />
		<b>Aktuelle Informationen</B><br /><br />
		Weitere Informationen erhalten Sie auf der pic2base-<a class='std' href='http://www.pic2base.de' target='blank'>Homepage</a>.<br />
		<br /><br />
		<b>&Uuml;ber Ihre pic2base-Installation</B><br /><br />
		Auf Ihrem Server ist die Version: ".$version." (Release ".$rel.") vom ".$datum." installiert.<br /><br />
		<b>Entwickler:</b><br /><br />
		Klaus Henneberg <a class='std' href='mailto:info@pic2base.de?subject=Supportanfrage zur Version .$version.'><img src = \"../../share/images/letter.gif\" height=\"15\" border='0' title = 'Mail senden' align='top'></a><br />
		Holger R&ouml;mer<br />
		Jens Henneberg<br />
		Daniel Richter<br />
		<br /><br />

		<b>Dieses Projekt verwendet u.a. die folgenden Komponenten:</b><br /></p>
		<ul style='color:var(--color1);'>
			<li><a class='std' href='http://www.imagemagick.org' title='ImageMagick: Convert, Edit, and Compose Images' target='blank'>ImageMagick</A></li>
			<li><a class='std' href='https://www.dechifro.org/dcraw' title='Decoding raw digital photos in Linux' target='blank'>dcraw</a></li>
			<li><a class='std' href='http://www.sno.phy.queensu.ca/~phil/exiftool/' title='Read, Write and Edit Meta Information!' target='blank'>ExifTool</a></li>
			<li><a class='std' href='http://www.gpsbabel.org/' title='GPSBabel - Free software for GPS data conversion and transfer.' target='blank'>GPSBabel</a></li>
			<li><a class='std' href='http://proftpd.org/' title='Ein ProFTPd - Tool' target='blank'>ProFTPd-Frontend</a></li>
			<li><a class='std' href='https://github.com/tesseract-ocr' title='Texterkennung' target='blank'>Tesseract-OCR</a></li>
		</ul>
		</fieldset>";
		break;
		
		case '1':
		echo "
		<fieldset class='normal' id='fieldset_help1'>
		<legend class='normal'>Hinweis zu den Möglichkeiten des Objekt-Uploads</legend>

		<p class='help'>
        Zum Upload Ihrer Dateien stehen zwei Möglichkeiten zur Verfügung:<br /><br />
        1) Der Upload per Drag & Drop<br />
        2) Der Upload per FTP-Client<br /><br />
        Variante 1 (Drag & Drop)<br />
        Nach Aufruf des Menüpunktes \"Erfassung\" in der Navigationsleiste gelangen Sie zu dem entsprechenden Formular.<br />
        Lesen Sie den Hinweis bezüglich der Einschränkungen bitte sorgfältig durch.<br />
        Wenn Sie nun entweder die gewünschten Dateien dierekt aus Ihrem Dateibrowser mit der Maus auf die gekennzeichnete Fläche ziehen und dort fallen lassen,<br />
        oder aber in die leere Upload-Fläche klicken und dann die gewünschten Dateien aussuchen, werden diese in der Upload-Box abgelegt.<br />
        Dort können Sie Ihre Auswahl noch einmal kontrollieren, unerwünschte Dateien ggf. entfernen und dann den eigentlichen Upload mit einem Klick auf den betreffenden Button starten.<br />
        Es erfolgt die Übertragung der Objekte auf den Server und eine nochmalige Prüfung auf korrekten Dateinamen und weitere Datei-Eigenschaften.<br />
        Wenn alles fehlerfrei verlief, können die Objekte in die Datenbank übernommen werden.<br />
        Hierzu klicken Sie auf den Button 'Upload starten'.<br /><br />
        Variante 2 (Upload per FTP)<br />
        Zum Upload Ihrer lokalen Objekte auf den pic2base-Server kann jeder geeignete FTP-Client verwendet werden. <br />
        Bei fast ausnahmslos allen Betriebssystemen ist diese Funktion bereit im zugehörigen Dateibrowser integriert.<br />
        Anderenfalls stehen aber auch zahlreiche frei verfügbare Programme zur Verfügung.<br />		
		Die Adresse des pic2base-FTP-Servers lautet ".$_SERVER['SERVER_ADDR'].". 
		Melden Sie sich mit Ihren pers&ouml;nlichen Zugangsdaten (Benutzername: ".$username." und entsprechendem Passwort) an und 
		kopieren Ihre Objekt-Dateien in Ihren <b>UPLOAD</b>-Ordner. <br />
        Wenn Sie nun zu pic2base zur&uuml;ckkehren erhalten Sie einen Hinweis, da&#223; Objekt-Dateien in Ihrem Upload-Ordner liegen.<br />
        Vor der endgültigen Übernahme in die Datenbank werden alle hochgeladenen Objekte auf gültige Dateiformate geprüft.<br />
        Im Fehlerfall erhalten Sie einen entsprechenden Hinweis.<br />
        Wenn der Gültigkeits-Test erfolgreich verlief, kann die Daten-Übernahme gestartet werden.<br />
        Hierzu klicken Sie auf den Button 'Upload starten'.<br /><br />
        Was passiert nach der Daten-Übernahme?<br /> 
		Je nach Anzahl der Objekte und deren Dateigr&ouml;&#223;e kann der Upload eine Weile dauern.<br />
		Am Ende des Uploads erfolgt eine automatische Dublettenkontrolle. Damit wird sichergestellt, da&szlig; identische Objekte nicht versehentlich mehrfach erfa&szlig;t werden.<br />Im Anschlu&#223; daran werden Sie aufgefordert, 
		den soeben &uuml;bernommenen Objekten weitere Informationen hinzuzuf&uuml;gen (Geo.Koordinaten, Bewertung, Beschreibung etc.) und abschlie&#223;end 
		allen Objekten eine oder mehrere Kategorien zuzuweisen. <br />
        Eine sorgf&auml;ltige Anreicherung der Objekte mit Zusatzinformationen ist f&uuml;r die sp&auml;tere Recherche von Vorteil.<br /><br />
        Derzeit (Software-Version ".$version.") werden die folgenden Datei-Typen von pic2base unterst&uuml;tzt:<br />";
		$i='0';
		foreach ($supported_filetypes AS $sft)
		{
			if ($i<'10')
			{
				echo $sft.", ";
			}
			else
			{
				echo $sft."<br />";
				$i='0';
			}
			$i++;
		}
		echo "<br /><br />
		Beachten Sie bitte weiterhin, da&szlig; der Dateiname eines hochzuladenden Objektes <b>keine ung&uuml;ltigen Zeichen</b> (Schrägstriche, Klammern, &szlig;, mehrere Punkte etc.) enth&auml;lt.<br />
        Siehe hierzu auch: <a class='std' href='http://de.wikipedia.org/wiki/Dateiname' target='top'>Wikipedia zum Thema \"Dateiname\"</a><br />
        Erlaubte Zeichen sind Ziffern, alle Buchstaben des angels&auml;chsischen Alphabets, Umlaute, Leerzeichen und der Unterstrich. Anderenfalls wird die Erfassung mit einem entsprechenden Hinweis abgebrochen.</p>
		
		</fieldset>";
		break;
		
		case '2':
		echo "<a name='top'></a>
		<fieldset class='normal' id='fieldset_help2'>
		<legend  class='normal'>Hilfe zu den Suchm&ouml;glichkeiten</legend>

		<p class='help'><b><u>Inhalt:</u></b><br /><br />
		<a class='std' href='#2_bewertung'>Auswahl der Objekt-Bewertung</a><br />
		<a class='std' href='#2_zeit'>Suche nach Aufnahmedatum</a><br />
		<a class='std' href='#2_kat'>Suche nach Kategorien (via Kategoriebaum)</a><br />
        <a class='std' href='#2_kat_text'>Suche nach Kategorien (via Text-Eingabe)</a><br />
		<a class='std' href='#2_meta'>Suche nach ausgew&auml;hlten Meta-Daten</a><br />
		<a class='std' href='#2_desc'>Suche nach Beschreibungstext</a><br />
		<a class='std' href='#2_geo'>Suche nach Geo-Daten</a><br />
		<a class='std' href='#2_coll'>Suche nach Kollektionen</a><br />
        <a class='std' href='#2_ext'>Erweiterte Suche</a><br />
        <a class='std' href='#2_fts'>Volltext-Suche</a><br />
		<a class='std' href='#2_jb'>Jahrbücher</a><br />
		<a class='std' href='#2_film'>Was kann der Filmstreifen?</a><br />
		<a class='std' href='#2_edit'>Bearbeitungsm&ouml;glichkeiten der Suchergebnisse</a><br /><br />
		
		<a name = '2_bewertung'></a><B>Auswahl der Objekt-Bewertung</B><br /><br />
		Um die Anzahl der dargestellten Objekte einzuschr&auml;nken ist es m&ouml;glich, diese mit einer \"Benotung\" zu versehen. (siehe Bearbeitung | Objekte bewerten / Bewertung &auml;ndern)<br />
		Die Note 1 (\"Sehr gut\"; 5 Sterne) stellt hierbei das h&ouml;chste Qualit&auml;tsniveau dar und die Note 5 (\"Ungen&uuml;gend\"; 1 Stern) das niedrigste.<br />
		Wurde ein Objekt noch nicht bewertet, erh&auml;lt es automatisch w&auml;hrend der Daten-Erfassung die Note 6 (kein Stern).<br />
		&Uuml;ber den Punkt \"alle Objekte anzeigen\" l&auml;sst sich jedoch auch der gesamte Bildbestand - unabh&auml;ngig von einer eventuell vorhandenen Benotung - darstellen.<br />
		Die momentan gew&auml;hlte Qualit&auml;tsstufe wird in der pic2base-Statusleiste angezeigt. Die dargestellten Sterne haben die folgende Bedeutung:<br /><br />
		nur der erste (linke) Stern - gew&auml;hlte Benotung: ungen&uuml;gend (Note 5)<br />
		nur der zweite Stern - gew&auml;hlte Benotung: gen&uuml;gend (Note 4)<br />
		nur der dritte Stern - gew&auml;hlte Benotung: befriedigendgend (Note 3)<br />
		nur der vierte Stern - gew&auml;hlte Benotung: gut (Note 2)<br />
		nur der f&uuml;nf (rechte) Stern - gew&auml;hlte Benotung: sehr gut (Note 1)<br /><br />
		Werden mehrere Sterne dargestellt (z.B. der dritte bis f&uuml;nfte), so bedeutet dies, es sollen alle Objekte gesucht werden, die die Note 3 (befriedigend) oder besser haben.<br /><br />
		Hinweis:<br />F&uuml;r diese Funktion m&uuml;ssen Cookies zugelassen sein!<br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_zeit'></a><B>Suche nach Aufnahmedatum</B><br /><br />
		Der gesamte Objekt-Bestand wird nach dem Erstellungsdatum der Objekte unterteilt und Jahrgangsweise dargestellt. Das Erstellungsdatum wird bei der Objekterfassung aus den Meta-Daten ausgelesen.
		Handelt es sich um Bilddateien ohne Meta-Daten, werden diese Objekte in einem gesonderten Ordner (Objekte ohne zeitliche Zuordnung) zusammengefasst. Diesen Objekten kann - die entsprechenden Berechtigung vorausgesetzt - sp&auml;ter manuell das Aufnahmedatum zugewiesen werden.<br />
		Die zeitliche Darstellung kann bis auf die Tages-Ebene heruntergebrochen werden, indem man durch Klicks auf das Plus-Icon die jeweils tiefere Ebene aufruft.<br />
		So gelangt man vom Jahr zum Monat und weiter zum Tag.<br /><br />
		<img src='../../html/help/img/recherche_zeit1.png' class='img-help'><br /><br />
		Mit einem Klick auf das Minus-Icon gelangt man jeweils eine Ebene zur&uuml;ck.<br />
		Klickt man hinhegen auf den Zeitraum (angezeigtes Jahr, Monat oder Tag), werden alle Objekte dieses Zeitraumes dargestellt.<br />
		Wenn man sich auf der Tages-Ebene befindet, ist hinter dem Datum ein graues oder gr&uuml;nes Buch-Icon zu sehen.<br />
		&Uuml;ber das graue Buch-Icon kann zu dem betreffenden Tag ein neuer Tagebucheintrag angelegt werden. Ist das Buch-Icon gr&uuml;n, gibt es bereits einen Tagebucheintrag. Dieser kann mit einem Klick auf das gr&uuml;ne Icon bearbeitet werden.<br />
		Hinweis:<br />
		Der Inhalt des Fototagebuchs wird in der Detailansicht zu dem entsprechenden Objekt mit angezeigt.<br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_kat'></a><B>Suche nach Kategorien (via Kategoriebaum)</B><br /><br />
		In dieser Ansicht besteht die M&ouml;glichkeit, Objekte anhand der zugewiesenen Kategorie zu recherchieren.<br />
        Hierbei durchlaufen Sie den Kategoriebaum von der Wurzel (Neuzugängen) aus, indem Sie einzelne Zweige auf- oder einklappen, bis Sie Ihr Ziel gefunden haben.<br />
		Die oberste Ebene (Neuzug&auml;nge) beinhaltet alle Objekte, welchen noch keine Kategorie zugewiesen wurden.<br />
		Die Ebenen darunter beinhalten Objekte der jeweiligen Kategorien.<br />
		Mit einem Klick auf den nach rechts weisenden Pfeil vor einem Kategorienamen klappt man den Kategoriebaum an dieser Stelle auf. In der folgenden Ansicht beginnt die Teilansicht des Kategoriebaumes nun auf der Ebene der ausgew&auml;hlten Kategorie. In dieser Ebene folgt weiter rechts in der Zeile ein graues oder gr&uuml;nes Buch-Icon und dann eine Zahl, die die Summe aller Objekte in dieser Kategorie und aller Unterkategorien angibt.<br />
		Klickt man nun auf den Kategorie-Namen, werden in der Filmstreifenansicht alle Objekte der gew&auml;hlten Kategorie und aller Unterkategorien (sofern vorhanden) angezeigt. Die Anzahl entspricht der Zahl hinter dem Buch-Icon.<br />
		<br /><br /><img src='../../html/help/img/recherche_kat1.png' class='img-help'><br /><br />
		Mit einem Klick auf ein graues Buch-Icon hinter einem Kategorie-Namen k&ouml;nnen zu dieser Kategorie n&uuml;tzliche Informationen in dem sog. Kategorie-Lexikon abgelegt werden.<br />
		Ist dieses Buch-Icon gr&uuml;n, wurden zu dieser Kategorie bereits zus&auml;tzliche Informationen gespeichert. Ein Klick auf das Symbol erm&ouml;glicht die Bearbeitung des vorhandenen Eintrags, sofern man das entsprechende Recht dazu hat.<br /><br />
		Hinweis zur Kategorie \"Neuzug&auml;nge\":<br />
		Hier wird mit der Zahl am Ende der Zeile nur die Anzahl aller Objekte <u>unterhalb</u> der Kategorie \"Neuzug&auml;nge\" angezeigt.<br />
		Trotzdem kann bei einem Klick auf die Kategorie \"Neuzug&auml;nge\" die Meldung erscheinen \"Jedem Objekt wurde mind. eine Kategorie zugewiesen.\".<br />
		Das bedeutet, die Kategorie \"Neuzug&auml;nge\" selbst ist leer. Alle Objekte sind einer entsprechenden Kategorie zugeordnet worden.<br />
		Dies sollte der Normalfall sein, da die Kategorie \"Neuzug&auml;nge\" nur ein vorl&auml;ufiger Ablageort f&uuml;r gerade in das System aufgenommene Objekte ist.<br /><br />
        Wer lieber mit dem vollständigen Kategoriebaum arbeitet, hat die Möglichkeit, die Ansicht durch einen Klick auf \"Kompakter Kategoriebaum\" in den Modus \"Vollständiger Kategoriebaum\" umzuschalten.<br />
        In diesem Modus werden alle Kategorien unterhalb der aktuellen aufgelistet.<br />
        Weiter ist es möglicht, die Darstellung des Kategoriebaumes alphanumerisch oder dezimal sortiert auszuwählen.<br />
        Der aktuelle Status wird durch den Text in der Kopfzeile angezeigt.<br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
                
        <a name = '2_kat_text'></a><B>Suche nach Kategorien (via Text-Eingabe)</B><br /><br />
		Im Unterschied zu der soeben beschriebenen Methode der Kategoriesuche haben Sie in diesem Bereich die Möglichkeit, direkt einen Suchbegriff im Feld \"Kriterium\" einzugeben.<br />
        pic2base durchforstet nun den gesamten Kategorie-Bestand nach Übereinstimmungen mit der bisher eingetippten Zeichenfolge und bietet entsprechende Vorschläge an. Alternativ kann man diese aber auch ignorieren und nach genau dem gewünschten Ausdruck suchen.<br />
        In dem Auswahlfeld \"Kategorie\" ist per Voreinstellung \"enthält\" eingeblendet. Das heißt, es wird mit einer gewissen Unschärfe nach dem eingegebenen Kriterium gesucht.<br />
        Wollen Sie nach exakter Übereinstimmung suchen, wählen Sie bei \"Kategorie\" bitte \"ist gleich\" aus.<br />
        Alternativ können Sie aber auch nach keiner Übereinstimmung (\"ist ungleich\") suchen.<br />
        <b>Aber Vorsicht!</b><br />
        Wenn Sie keinen Suchbegriff eingeben, wird der gesamte Objekt-Bestand angezeigt. Das kann je nach vorhandener Menge eine Weile dauern. In diesem Fall werden Sie aber vor der Ausführung der Abfrage nochmals auf diesen Umstand hingewiesen, sodaß Sie die Möglichkeit haben, die Suche abzubrechen.<br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_meta'></a><b>Suche nach ausgew&auml;hlten Meta-Daten</b><br /><br />
		Was sind Meta-Daten?<br />
		Meta-Daten sind zus&auml;tzliche, meist nicht sichtbare Informationen zu einem Objekt. Dies k&ouml;nnen z.B. sein:<br /> Kamera-Modell, Aufnahme-Datum, Blende, Belichtungszeit, aber auch Angaben zum Urheberrecht, Stichworte oder Bildbeschreibungen.<br />
		Um &uuml;ber die Meta-Daten recherchieren zu k&ouml;nnen, m&uuml;ssen Sie zuerst das entsprechende Meta-Daten-Feld in der ersten Zeile des Suchformulars ausw&auml;hlen.<br />
		Dann bestimmen Sie, welche Bedingung dieser Meta-Wert erf&uuml;llen soll. (2. Auswahlfeld).<br />
		Wenn dies erfolgt ist, steht Ihnen auch das 3. Auswahlfeld (Kriterium) zur Verf&uuml;gung. In diesem Auswahlfeld werden alle verf&uuml;gbaren Werte des jeweils gew&auml;hlten Meta-Feldes aufgelistet. D.h., der hier angezeigte Werte-Bereich variiert je nach der im Feld \"Meta-Daten-Feld\" getroffenen Auswahl.<br />
		Wenn alle drei Felder ausgew&auml;hlt wurden, starten Sie die Suche mit einem Klick auf den Button \"Suche starten\".<br />
		Beachten Sie bitte:<br />
		Auch hier wird &uuml;ber all diejenigen Objekte recherchiert, welche der evtl. gew&auml;hlten Bewertung entsprechen. Einen entsprechenden Hinweis zur eingestellten Bewertung finden Sie in der pic2base-Kopfzeile.<br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_desc'></a><b>Suche nach Beschreibungstext</b><br /><br />
		Innerhalb der Beschreibungstexte der einzelnen Objekte k&ouml;nnen Sie nach Vorkommen bestimmter Begriffe suchen.<br />
		Insgesamt steht eine Suche &uuml;ber 5 Begriffe zur Verfgung, welche mit den Booleschen Operatoren UND und OR verkn&uuml;pft werden k&ouml;nnen.<br />
		Die Suche bezieht sich immer auf das Vorhandensein des Begriffs an einer beliebigen Stelle im Beschreibungstext. So liefert die Suche nach dem Wort \"Haus\" alle Objekte, in deren Beschreibungen \"Haus\" aber auch \"Hausmeister\" oder \"Bauhaus\" vorkommt.<br />
		Eine Unterscheidung zwischen Gro&#223;- und Kleinschreibung wird nicht vorgenommen.<br />
		Objekte, welchen noch kein Beschreibungstext zugewiesen wurden, werden von der Suche ausgeschlossen.<br />
		Die Verwendung von Platzhaltern ist (noch) nicht m&ouml;glich.<br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_geo'></a><b>Suche nach Geo-Daten</b><br /><br />
		Bei der Suche nach Geo-Daten haben Sie drei M&ouml;glichkeiten:<br />
		- Die Suche anhand konkreter geografischer Koordinaten:<br />
		Hier tragen Sie in die entsprechenden Felder die Angaben f&uuml;r L&auml;nge, Breite und ggf. H&ouml;he sowie den Umkreis, innerhalb dessen rund um den angegebenen Punkt gesucht werden soll, ein.<br />
		Als Ergebnis erhalten Sie alle Objekte, die innerhalb des gew&uuml;nschten Umkreises um den angegebenen Punkt aufgenommen wurden.<br />
        - Die Suche nach einem Punkt in der Karte:<br />
        Wenn weder die genauen geografischen Koordinaten bekannt sind oder die Aufnahme an einem unbezeichneten Ort dieser Erde angefertigt wurde, kann man das Such-Zentrum nebst Umkreis
        in einer interaktiven Karte festlegen.<br /><br />
		<img src='img/recherche_geo_karte1.png' class='img-help'><br /><br />
        Mit einem Klick auf den Button \"Objekte suchen\" wird der Suchvorgang gestartet.<br />
        In dem Filmstreifen werden die Treffer-Bilder angezeigt.<br />
        Wenn man sich die genauen Aufnahme-Positionen in der Karte ansehen möchte, kann man dies über den Link \"Anzeige vorbereiten\".<br />
        Als Ergebnis erhält man alle Aufnahme-Standorte als rote Punkte in der Karte dargestellt.<br />
        Überfährt man nun in dem Filmstreifen ein Bild, wird der dazugehörige Standort in der Karte farbig hervorgehoben.<br />
        Andererseits sind auch die roten Punkte in der Karte interaktiv: Mit einem Klick auf einen Punkt erhält man eine Vorschau-Ansicht des dort aufgenommenen Objektes.<br />
        Liegen die Aufnahme-Standorte mehrerer Objekte übereinander, erscheinen unter dem Vorschaubild die Objekt-IDs der weiteren Objekte.<br />
        Diese werden angezeigt, sobald man mit dem Mauszeiger eine der IDs überfährt.<br />
		- Die Suche nach Ortsbezeichnungen:<br />
		Wenn Sie bei der Geo-Referenzierung Ihrer Objekte diesen die entsprechenden Ortsnamen zugewiesen haben, haben Sie nun die M&ouml;glichkeit, in diesem Formular nach Objekten innerhalb eines bestimmten Umkreises um einen Ort zu suchen.<br />
		Hierzu wird zun&auml;chst der geometrische Mittelpunkt aller Fotos ermittelt, welche an dem ausgew&auml;hlten Ort aufgenommen wurden. Von diesem Punkt aus werden alle Objekte ermittelt, welche sich innerhalb des angegebenen Umkreises befinden.<br />
		In allen drei Suchm&ouml;glichkeiten kann als maximaler Umkreis eine Entfernung von 50 km angegeben werden.<br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_coll'></a><b>Suche nach Kollektionen</b><br /><br />
		Wenn Sie nach Kollektionen suchen wollen, k&ouml;nnen sie dies &uuml;ber diesen Men&uuml;punkt erledigen.<br />
		Im Kopf der Tabelle auf der folgenden Seite k&ouml;nnen Sie nach dem Kollektionsnamen oder der Kollektionsbeschreibung recherchieren, indem Sie in das entsprechende Eigabefeld den Suchbegriff eintippen.<br />
		Die Liste der verf&uuml;gbaren Kollektionen verk&uuml;rzt sich entsprechend der Treffer auf Ihre Suchanfrage.<br />
		In der rechten Spalte jeder Kollektions-Zeile befinden sich zwei Icons:<br />
		Mit einem Klick auf das \"Auge\" k&ouml;nnen Sie sich alle Objekte der Kollektion in der sogenannten Leucht-Tisch-Ansicht darstellen lassen.<br />
		Die Berechtigung vorausgesetzt, k&ouml;nnen Sie mit einem Klick auf das Download-Icon alle Objekte der gew&auml;hlten Kollektion in Ihren Download-Ordner kopieren.<br />
		Alle Objekt-Dateien werden dabei mit einem Dateinamen versehen, der den Kollektionsnamen und die Position des Bildes innerhalb der Kollektion beinhaltet.<br />
		Damit ist es m&ouml;glich, die einmal vorsortierten Objekte komfortabel in externen Anwendungen weiter zu verarbeiten.
		<br /><br /><a class='std' href='#top'>Zum Seitenanfang</a><br /><br />

        <a name = '2_ext'></a><b>Erweiterte Suche</b><br /><br />
        Mit Hilfe der erweiterten Suche können Sie Abfragen nach individuellen Bedürfnissen zusammenstellen. Dabei können Sie bis zu fünf Kriterien kombinieren:<br />
        (Zuvor empfiehlt es sich jedoch dringend, die Qualitäts-Anforderungen der zu findenden Objekte auf der Suchen-Startseite festzulegen, damit die Ergebnismenge überschaubar bleibt. Siehe hierzu: <span class='std' onClick='location.href=\"#2_bewertung\"'>Auswahl der Objekt-Bewertung</span>)<br /><br />
        - Aufnahme-Zeiträume<br />
        Über dieses Kriterium können Sie Aufnahme-Zeiträume definieren, in denen die Objekte entstanden sein sollen.<br />
        Hier können Sie zusätzlich entscheiden, ob sich die Objekte innerhalb oder außerhalb des betrachteten Zeitraumes befinden sollen.<br />
        Wollen Sie nur Objekte finden, die an einem bestimmten Tag entstanden sind, empfiehlt sich die Suche nach dem Aufnahmedatum. (Siehe hierzu: <span class='std' onClick='location.href=\"#2_zeit\"'>Suche nach dem Aufnahmedatum</span>)<br /><br />
        - Kategorien<br />
        Wenn Sie das Suchkriterium \"Kategorie\" verwenden, werden Ihnen alle in pic2base bisher angelegten Kategorien zur Auswahl angeboten.<br />
        Diese werden alphabetisch sortiert aufgelistet, und wenn Sie einen Eintrag mit dem Mauszeiger überfahren, wird Ihnen zusätzlich zu dem Kategorienamen das übergeordnete Element angezeigt.<br />
        Das soll die Orientierung für den Fall erleichtern, daß mehrere Kategorien mit dem gleichen Namen existieren.<br />
        Als Beispiel könnte der Ort Blankenburg sowohl als Kategorie im Landkreis Harz vorhanden sein, als auch als ein Ort, in dem sich ein Kloster befindet.<br /><br />
        - Objekt-Beschreibungen<br />
        Bei der Suche nach Objekt-Beschreibungen wird die sog. unscharfe Suche angewendet. Das heißt, es wird nach Objekten gesucht, deren Beschreibung den gewählten Suchbegriff irgendwie enthält.<br />
        Um eine hohe Treffergenauigkeit zu erzielen ist es also ratsam, den Suchbegriff so genau wie möglich zu formulieren.<br /><br />
        - Aufnahme-Standort<br />
        Bei der Suche nach dem Aufnahme-Standort können Sie aus den von Ihnen zugewiesenen Standortbezeichnungen entsprechend der vorhandenen Geo-Referenzierung wählen.<br /><br />
        - Objekt-Eigenschaften (MIME-Type)<br />
        Dieses Suchkriterium kann sich als nützlich erweisen, wenn Sie z.B. nur diejenigen Objekte finden wollen, die im RAW-Format vorliegen.<br />
        Zur Auswahl werden Ihnen alle in der Datenbank vorhandene Objekt-Typen angeboten.<br /><br />
        Wenn mindestens zwei Suchkriterien festgelegt wurden, kann dann noch entschieden werden, ob diese UND- oder ODER-verknüpft werden.<br />
        Das heißt, es werden diejenigen Objekte gefunden, die alle Suchkriterien erfüllen (das eine UND das andere Kriterium) oder mindestens eins (entweder das eine ODER das andere Kriterium ODER auch mehrere).<br />
        Dementsprechend können sehr fein abgestimmte Suchanfragen gestellt werden.<br />
        Andererseits besteht bei unsachgemäßer Anwendung die Gefahr, daß das System arg strapaziert wird, weswegen bei der erweiterten Suche auch von einem Experten-Werkzeug gesprochen werden kann.<br />
        <br /><br /><a class='std' href='#top'>Zum Seitenanfang</a><br /><br />

        <a name = '2_fts'></a><b>Volltext-Suche</b><br /><br />
        Die Volltext-Suche wird auf die Tabelle \"pictures\" und hier auf die Felder \"City\" (Aufnahme-Standort), \"UserComment\" (Benutzer-Kommentar), \"Keywords\" (Kategorien), \"Urheberrecht\" (Urheberrecht), \"OCR_Result\" (Ergebnis der Texterkennung) und \"Caption_Abstract\" (Beschreibung) angewendet.<br />
        Sie kann in verschiedenen Modi durchgeführt werden:<br />
        <ul style='color:var(--color1); width:600px;'>
        <li>IN NATURAL LANGUAGE MODE: Der Suchbegriff wird hierbei wie ein Satz in natürlicher menschlicher Sprache behandelt.<br />
        Es gibt keine besonderen Operatoren und die sogenannte Stopwortliste findet hier Anwendung.<br />
        Das Besondere an diesem Typ: Wörter, die in 50% oder mehr der passenden Datensätze vorkommen, werden als „gewöhnlich“ behandelt und matchen dann nicht mehr.<br /></li>
        <li>IN NATURAL LANGUAGE MODE WITH QUERY EXPANSION bzw. WITH QUERY EXPANSION: Der Unterschied zu dem vorangegangen Typ ist, dass hierbei Wörter von den am meisten relevanten gefundenen Datensätzen einer ersten Abfrage genommen werden und der ursprünglichen Abfragebedingung hinzugefügt werden. Diese wird dann mit den zusätzlichen Wörtern noch einmal automatisch ausgeführt.<br />
        Die Suche liefert also letztendlich die Ergebnisse aus der zweiten Abfrage zurück.<br /></li>
        <li>IN BOOLEAN MODE: Bei diesem Typ wird der Suchbegriff mithilfe der Regeln einer speziellen Abfragesprache interpretiert.<br />
        Der Suchbegriff kann auch Operatoren enthalten, die z.B. bestimmen, ob ein bestimmes Wort vorkommen muss oder nicht vorkommen darf oder dass es mehr oder weniger gewichtet werden soll.<br />
        Mögliche Operatoren hierbei sind:<br /></li>
        Plus (+) Begriff muß enthalten sein<br />
        Minus (-) Begriff darf nicht enthalten sein<br />
        Tilde (~) verringert die Relevanz, falls sich dieser Begriff in einem Treffer befindet<br />
        kleiner als (<) ändert die Relevanz eines Treffers nach geringer<br />
        größer als (>) ändert die Relevanz eines Treffers nach höher<br />
        Stern (*) Stellvertreter für beliebige Zahl von Zeichen am Ende eines Begriffs<br />
		\"  \" (Begriff in doppleten ANführungszeichen) Es wird nach exakt dem eingeschlossenem Begriff gesucht.<br />
        Über die Verwendung der Operatoren informieren Sie sich bitte in der entsprechenden Literatur oder auf den einschlägigen Seiten im Internet.<br />
        Eine Vertiefung der Problematik würde an dieser Stelle den Rahmen sprengen.
        </ul>
        <p class='help'>
		Der eigentliche Suchbegriff unterliegt einigen Einschränkungen:<br />
        Er muß aus mindestens 4 und darf aus höchstens 84 Zeichen bestehen (Leerzeichen werden mitgezählt!). 
        Es dürfen (fast) keine Sonderzeichen enthalten sein.<br />
        Neben dem Zeichensatz des angelsächsischen Alphabets sind die deutschen Umlaute in Groß- oder Kleinschreibweise, das SZ (ß), der Punkt (.), das Komma (,), die o.g. Operatoren sowie der Unterstrich erlaubt.<br />
        Bei einer versehentlichen Falscheingabe werden Sie gebeten, die Eingabe zu korrigieren.

        <br /><br /><a class='std' href='#top'>Zum Seitenanfang</a><br /><br />

		<a name = '2_jb'></a><b>Jahrbücher</b><br /><br />
		In der Jahrbücher-Ansicht werden alle Digitalisate in Form einer Leuchttisch-Ansicht dargestellt.<br>
		Die Darstellung erfolgt Jahrgangsweise zu jeweils 250 Objekten. In der linken oberen Kachel kann man ablesen, welcher Jahrgang aktuell dargestellt wird, wieviel Objekte er enthält und - falls man bereits innerhalb des Jahrgangs navigierte - an welcher Position man sich gerade befindet.<br />
		Hier befinden sich auch die Icons für die Navigation innerhalb der Jahrbuch-Ansicht, falls man die Maus benutzen möchte:<br />
		<ul style='color:var(--color1); width:600px;'>
		<li>Zum Jahres-Anfang</li>
		<li>Einen Schritt zurück bzw. zum Vorjahr</li>
		<li>Einen Schritt vor bzw. zum nächsten Jahr</li>
		<li>Zum Jahres-Ende</li>
		</ul>
		<p class = 'help'>
		Ebenso kann man aber auch mit der Tastatur navigieren. Hier werden die vier Pfeil-Tasten mit den folgenden Aktionen belegt:<br />
		</p>
		<ul style='color:var(--color1); width:600px;'>
		<li>Pfeil hoch: innerhalb der Ansicht nach oben scrollen</li>
		<li>Pfeil links: Einen Schritt zurück bzw. zum Vorjahr</li>
		<li>Pfeil rechts: Einen Schritt vor bzw. zum nächsten Jahr</li>
		<li>Pfeil runter: innerhalb der Ansicht nach unten scrollen</li>
		</ul>
		(siehe Abb:)<br /><br />
		<img src='img/p2b_jahrbuecher.png' class='img-help'><br /><br />


		<p class='help'>
		Mit einem einfachen Klick auf eine Vorschau-Kachel erhält man im rechten Fenster-Bereich eine Vorschau des betreffenden Objektes entsprechen der tatsächlichen Seitenverhältnisse.<br />
		Zusätzlich erhält man einige Detail-Informationen zu dem Objekt.<br />
		Am unteren Rand dieser Vorschau-Ansicht hat man - entsprechende Berechtigungen vorausgesetzt - die Möglichkeit, das betreffende Objekt zu löschen oder aber herunter zu laden / einer Kollektion zuzufügen.<br />
		Ein einfacher Klick in die Vorschu-Ansicht (oder ein Doppelklick in die Vorschu-Kachel) zeigt das Objekt in der Vollbild-Darstellung.<br />
		Die Status-Leiste am oberen Bildrand informiert über
		<ul style='color:var(--color1); width:600px;'>
		<li>den Ansichts-Modus (Normal- oder Kollektions-Modus)</li>
		<li>das früheste Jahr, welches Objekte enthält</li>
		<li>mit dem Jahres-Auswahl-Slider über den Standort im gesamten Datenbestand</li>
		<li>das späteste Jahr, welches Objekte enthält</li>
		<li>das aktuell dargestellte Jahr</li>
		</ul>
		<p class='help'>
		Am linken Bildrand befindet sich die gewohnte Navigations-Leiste.

		
		
		

		<br /><br /><a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_film'></a><b>Was kann der Filmstreifen?</b><br /><br />
		Im unteren Bereich des Arbeitsfensters befindet sich der sogenannte Filmstreifen. Hier werden die gefundenen Objekte und einige zus&auml;tzliche Informationen dazu dargestellt.<br />
		(siehe Abb:)<br /><br />
		<img src='img/filmstreifen1.png' class='img-help'><br /><br />
		&Uuml;ber den Bildern wird die Gesamtzahl und die Anzahl der hiervon georeferenzierten Objekte genannt.<br />
		Wenn georeferenzierte Objekte dabei sind, wird weiter rechts die M&ouml;glichkeit angeboten, sich die Standorte in einer Karte anzeigen zu lassen. Dazu wird zun&auml;chst die Daten-Aufbereitung durch einen Klick auf den Schriftzug \"Anzeige vorbereiten\" gestartet.<br />
		Danach &auml;ndert der Schriftzug sein Aussehen: Er wird farbig dargestellt.  Mit einem Klick auf den nun farbigen Text k&ouml;nnen die Aufnahmestandorte der georeferenzierten Objekte in einer Karte dargestellt werden.<br /><br />
		Rechts daneben befindet sich ein Icon mit der Beschriftung \"Galerie vorbereiten\". Mit einem Klick darauf wird eine PDF-Datei mit der verkleinerten Darstellung aller gefundenen Objekte erzeugt, die man mit einem beliebigen PDF-Reader ansehen kann.<br /><br />
		Den gr&ouml;&szlig;ten Teil der Filmstreifens nimmt die Darstellung der Objekte ein. Wenn Sie ein Objekt mit dem Mauszeiger &uuml;berfahren, werden im rechten oberen Fensterbereich des Hauptfensters weitere Details zu dem gerade &uuml;berfahrenen Objekt gezeigt. Gleichzeitig wird dieses Objekt mit einem gr&uuml;nen Rahmen als \"aktiv\" markiert. Dies erleichtert die Orientierung innerhalb der Filmstreifen-Navigation.<br />
		<br /><br /><img src='img/filmstreifen2.png' class='img-help'><br /><br />
		Klicken Sie hingegen in ein Objekt im Filmstreifen, gelangen Sie in den \"Bl&auml;tter-Modus\".<br />
		<br /><img src='img/blaettermodus1.png' class='img-help'><br /><br />

		Hier haben Sie die M&ouml;glichkeit, sich in einer vergr&ouml;&szlig;erten Ansicht rasch durch alle gefundenen Objekte zu bewegen oder einzelne Objekte in Originalqualit&auml;t zu betrachten.<br />
		Im Bl&auml;tter-Modus k&ouml;nnen Sie sowohl mit der Maus, als auch mit der Tastatur durch die gefundenen Objekte navigieren.<br />
		Wenn Sie die Tastatur benutzen, stehen Ihnen die folgenden Tasten zur Verf&uuml;gung:<br />
		<ul style='color:var(--color1); width:600px;'>
		<li>Pfeil rechts - ein Objekt vor</li>
		<li>Pfeil runter - zehn Objekte zur&uuml;ck</li>
		<li>Pfeil links - ein Objekt zur&uuml;ck</li>
		<li>Pfeil hoch - zehn Objekte vor</li>
		<li>F-Taste - Wechsel in die Vollbild-Ansicht (erneutes Drücken: Vollbild schließen)</li>
		<li>Q-Taste - vergrößerte Ansicht beenden</li>
        <li>Tasten 1 bis 5 - Bewertung des Objektes ändern (1 Stern bis 5 Sterne)</li>
        <li>D-Taste - Objekt in den Download-Ordner kopieren</li>
        <li>R-Taste - Objekt aus dem Download-Ordner wieder entfernen</li>
		</ul>
		
		<p class='help'>
		Wenn Sie den Bl&auml;tter-Modus durch Klick auf das Schlie&szlig;en-Icon verlassen, befinden Sie sich in der Filmstreifen-Ansicht an der Stelle des zuletzt betrachteten Objektes. Dies ist mit dem gr&uuml;nen Rahmen als \"aktiv\" markiert.<br />
        Auch in diesem Betrachtungs-Modus haben Sie die Möglichkeit - entsprechende Berechtigung vorausgesetzt - bestimmte Aktionen für das aktive Objekt per Tastatur auszulösen:<br />
        <ul style='color:var(--color1);'>
        <li>K-Taste - falls eine Geo-Referenzierung vorliegt, wird der Aufnakmestandort in der Karte angezeigt</li>
        <li>I-Taste - Anzeige der Meta-Daten des Objektes</li>
        <li>G-Taste - Änderung der Geo-Referenzierung</li>
        <li>T-Taste - Ansicht und/oder Änderung des erkannten Textinhalts eines Bildes</li>
        <li>Entf-Taste - Objekt aus der Datenbank löschen</li>
        <li>Tasten 1 bis 5 - Bewertung des Objektes ändern (1 Stern bis 5 Sterne)</li>
        </ul>
        <br />
		<p class='help'>
		Unter jedem Objekt befindet sich ein Download-Icon. Die entsprechende Berechtigung vorausgesetzt, k&ouml;nnen Sie hier&uuml;ber die gew&uuml;nschten Objekte herunterladen. Je nach Ihren pers&ouml;nlichen Einstellungen, wird das gew&uuml;nschte Objekt in Ihren Download-Ordner kopiert oder Sie bekommen einen Datei-Auswahl-Dialog angezeigt.<br /><br />
        Rechts und links neben dem Download-Icon befinden sich die Icons zur nachtr&auml;glichen Rotation der Objekte, falls sich diese vor der Erfassung nicht in der lagerichtigen Position befanden.<br /><br /> 
        Wenn das Suchergebnis mehr als 18 Objekte lieferte, sehen Sie in der Zeile unter den Download-Icons eine Reihe orangfarbener Rechtecke. Sie repr&auml;sentieren die Anzahl der Filmstreifen-Elemente und k&ouml;nnen durch einen Klick darauf direkt aufgerufen werden.<br />
		So k&ouml;nnen Sie bei einer gro&szlig;en Trefferzahl schnell in alle Richtungen navigieren.
		<br /><br /><a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '2_edit'></a><b>Bearbeitungsm&ouml;glichkeiten der Suchergebnisse</b><br /><br />
		Wenn der angemeldete Benutzer berechtigt ist, Eigenschaften der gefundenen Objekte zu bearbeiten, stehen ihm die folgenden M&ouml;glichkeiten zur Verf&uuml;gung:<br /></p>
		<ul style='color:var(--color1); margin:20px 15px; text-align:justify; width:550px;'>
        <li>Veränderung der Bewertung des Objektes durch Klick auf den entsprechenden Stern über dem Bild (Tasten 1 - 5 entspr. 1 bis 5 Sterne)</li>
		<li>&Uuml;bertragung der Objekt-Eigent&uuml;merschaft auf einen anderen User: <img src='../../share/images/change_owner.svg' height='12px' /></li>
		<li>l&ouml;schen des Bildes: <img src='../../share/images/trash.svg' height='12px' /> (Taste Entf)</li>
		<li>Korrektur der Vorschau-Ansicht bei RAW-Objekten: <img src='../../share/images/reload.svg' height='12px' /></li>
		<li>manuelle Georeferenzierung bzw. Korrektur der bereits erfolgten automatischen Geo-Referenzierung: <img src='../../share/images/del_geo_ref.svg' height='12px' /> (Taste G)</li>
		<li>Anzeige der Meta-Daten: <img src='../../share/images/info.svg' height='12px' /> (Taste I)</li>
        <li>Anzeige und/oder Bearbeitung des extrahierten (OCR-)Textes eines Bildes: <img src='../../share/images/ocr_text.svg' height='12px' /> (Taste T)</li>
        <li>für Bilder im RAW-Format: Nachträgliche Korrektur der Darstellung der Vorschaubilder (Kontrast, Helligkeit, Gamma...): <img src='../../share/images/reload.svg' height='12px' /> (Taste T)</li>
		</ul>

		<p class='help'>
		Bei entsprechender Berechtigung k&ouml;nnen die o.g. Funktionen &uuml;ber die jeweiligen Icons oder z.T. mit entsprechendem Tastenkürzel aufgerufen werden. (siehe Abb.)<br /><br />
		<img src='img/recherche1.png' class='img-help'></img><br /><br />
        Wenn Sie in den Details zum ausgewählten Objekt auf das Bild klicken, erhalten Sie eine Vorschau in hoher Qualität, sofern es sich bei dem Objekt um ein Bild handelt.<br />
        In diesem Vorschaubild haben Sie in der linken oberen Ecke ein Lupen-Symbol, mit dem Sie einen vergrößerten Ausschnitt aktivieren können. Den Vergrößerungsfaktor können Sie mit dem Scrollrad der Maus verändern.<br /><br />
        <img src='img/vorschau_mit_lupe.png' class='img-help'></img><br /><br />
        Handelt es sich jedoch bei dem Objekt um ein Video, können Sie sich dies mit einem Klick auf das Bild der Datailansicht ansehen.<br />
        Aus Gründen der Performance handelt es sich bei diesem Video jedoch um eine Vorschau in reduzierter Qualität.<br /><br />
		Weiterhin besteht bei entsprechender Berechtigung die M&ouml;glichkeit, die Bildbeschreibung zu &auml;ndern. Hierzu nehmen Sie die &Auml;nderung direkt in dem angezeigten Textfeld vor und speichern diese dann durch einen Klick auf den Button \"&Auml;nderungen speichern\".<br /><br />
		Zus&auml;tzlich haben Sie die M&ouml;glichkeit, ein sogenanntes Kategorie-Lexikon anzulegen. Hiermit besteht die Option, zu jeder Kategorie zus&auml;tzliche Informationen in der Datenbank zu hinterlegen. So k&ouml;nnte man z.B. der Kategorie \"Blankenburg (Harz)\" Informationen zur geografischen Lage, der Einwohnerzahl, der Erreichbarkeit mit Bus / Bahn / Auto usw. zuweisen.<br />
		Die Zuweisung erfolgt durch Klick auf das Buch-Icon hinter dem Kategorienamen.<br /><br />
		Analog kann ein Fototagebuch angelegt werden, indem man sich in der Ansicht \"Suche nach Aufnahmedatum\" den betreffenden Tag heraussucht, das Buch-Icon anklickt und die gew&uuml;nschte Information hinterlegt.<br /><br />
		Der Inhalt des Kategorielexikons und des Fototagebuchs werden bei den betreffenden Objekten jeweils mit in der Komplett-Ansicht der Detailinformationen ausgegeben. (siehe Abb.)<br /><br />
		<img src='img/recherche2.png' class='img-help'></img><br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br />
        <a class='std' href='help1.php?page=0'>Zur Hilfe-Startseite</a><br /><br />
		
		</fieldset>";
		break;
		
		case '3':
		echo "<a name='top'></a>
		<fieldset class='normal' id='fieldset_help3'>
		<legend class='normal'>&Uuml;bersicht &uuml;ber die Bearbeitungsm&ouml;glichkeiten</legend>
		
		<p class='help'>
		<b><u>Inhalt:</u></b><br /><br />
        <a class='std' href='#3_bewertung'>Objekt-Bewertung</a><br />
		<a class='std' href='#3_georef'>Geo-Referenzierung</a><br />
		<a class='std' href='#3_desc'>Beschreibungen zuweisen</a><br />
		<a class='std' href='#3_kat'>Kategorie-Zuweisung</a><br />
		<a class='std' href='#3_del_kat'>Kategorie-Zuweisungen aufheben</a><br />
        <a class='std' href='#3_dto'>Aufnahmedatum korrigieren</a><br />
        <a class='std' href='#3_cr'>Urheberrechts-Vermerk bearbeiten</a><br />
		<a class='std' href='#3_edit_coll'>Kollektion anlegen / bearbeiten / arrangieren / löschen</a><br />
		<a class='std' href='#3_dubletten'>Dubletten-Pr&uuml;fung</a><br />
		<!--<a class='std' href='#3_qp'>Quick-Preview hochformatiger Objekte erstellen</a><br />-->
        <a class='std' href='#3_dl_stamp'>Downloads beschriften / skalieren</a><br /><br />
		
		<a name = '3_bewertung'><b>Objekte bewerten</b></a><br /><br />
		pic2base bietet die M&ouml;glichkeit, jedes Objekt hinsichtlich bestimmter, pers&ouml;nlicher Ma&#223;st&auml;be zu bewerten und hierf&uuml;r \"Noten\" von 1 - 5 zu vergeben, wobei die 1 ein besonders gelungenes Objekt kennzeichnet (dargestellt durch fünf Sterne) und die Note 5 Objekte der untersten Qualit&auml;tsstufe repr&auml;sentiert (ein Stern).<br />
		Bei der Aufnahme der Objekte in der Datenbank wird allen Objekten zun&auml;chst keine Note vergeben. Besser einzustufende Objekte m&uuml;ssen also im Nachhinein h&ouml;her bewertet werden.<br />
        Die Benotung der Objekte kann in pic2base an verschiedenen Stellen vorgenommen werden:<br />
        <ul style='color:var(--color1);width:580px;'>
        <li>im Bearbeiten-Bereich</li><br />
        Hier wird der Menüpunkt \"Objekte bewerten / Bewertung ändern\" aufgerufen.<br />
        Dann hat man die Möglichkeit, die zu bewertenden Obkekte mit Hilfe des Kategorie-Baumes auszuwählen, sich diese im Filmstreifen auflisten zu lassen und durch einen Klick auf den entsprechenden Stern unterhalb des betreffenden Objektes die Bewertung vorzunehmen.<br />
        Wird der Mauszeiger auf ein Vorschaubild gelegt, erhält man zur besseren Qualitäts-Einschätzung in der rechten Fensterhälfte eine vergrößerte Vorschau des Objektes.<br />
		</ul><br />
		<img src='../../html/help/img/objekte_bewerten1.png' class='img-help'><br /><br />
		<ul style='color:var(--color1);width:580px;'>
        <li>im Such-Bereich</li><br />
        Befindet man sich in einem beliebigen Such-Modus, kann man nun an zwei weiteren Stellen die Bewertung vornehmen oder ändern:<br />
        Einerseits befindent sich in der Detailansicht zu einem Objekt (rechte Fensterhälfte) über dem Vorschaubild eine Stern-Leiste, in der man die Bewertung anpassen kann.<br /><br />
		<img src='../../html/help/img/objekte_bewerten2.png' class='img-help' style='width:560px;'><br /><br />
        Andererseits bietet die vergrößerte Vorschau-Ansicht (erreichbar mir einem Klick auf ein Vorschaubild im Filmstreifen) die Möglichkeit, die Bewertung vorzunehmen.<br />
        Und hier gibt es auch wieder zwei Möglichkeiten:<br />
        Entweder man klickt mit der Maus auf den entsprechenden Stern in der links oben befindlichen Stern-Leiste<br />
        oder man gibt die Anzahl der gewünschten Sterne über die Ziffern-Tasten ein. <br />
        Bei der Verwendung des Ziffernblocks ist darauf zu achten, daß dieser korrekt eingeschaltet ist, sich also im Ziffern-Modus befindet.
        </ul>
		<p class='help'>
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />

        <a name = '3_georef'><b>Geo-Referenzierung</b></a><br /><br />
		Wenn Sie im Besitz von Geo-Daten sind, k&ouml;nnen Sie &uuml;ber diesen Men&uuml;punkt Ihren Objekten die geografischen Koordinaten des Aufnahme-Standortes zuweisen.<br />
		Die derzeit unterst&uuml;tzten Datenlogger sind in dem entsprechenden Auswahlfeld schwarz dargestellt, vorbereitete, aber noch nicht getestete Modelle sind inaktiv dargestellt.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '3_desc'><b>Beschreibungen zuweisen</b></a><br /><br />
		Jedem Objekt kann in pic2base ein ausf&uuml;hrlicher Beschreibungstext zugef&uuml;gt werden.<br />
		&Uuml;ber diesen Men&uuml;punkt haben Sie die M&ouml;glichkeit, mehreren Objekten in einem Durchgang den gleichen Beschreibungstext zuzuweisen,
		aber auch einzelne Objekte detailliert zu beschreiben.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '3_kat'><b>Kategorie-Zuweisung - Auswahl nach Kategorien</b></a><br /><br />
		&Uuml;ber diesen Men&uuml;punkt k&ouml;nnen Sie den Objekten Kategorien zuweisen.<br />
		Die Auswahl der zu bearbeitenden Objekte erfolgt dabei &uuml;ber die Suche nach Kategorien.<br /><br />
		<b>Kategorie-Zuweisung - Auswahl nach Aufnahmedatum</b></a><br /><br />
		Auch &uuml;ber diesen Men&uuml;punkt k&ouml;nnen Sie den Objekten Kategorien zuweisen.<br />
		Die Auswahl der zu bearbeitenden Objekte erfolgt hier aber &uuml;ber die Suche nach dem Aufnahmedatum.<br /><br />
		Die zu vergebenden Kategorien m&uuml;ssen in jedem Fall im Vorfeld durch den Administrator oder einem Benutzer mit entsprechenden Rechten angelegt worden seien.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '3_del_kat'><b>Kategorie-Zuweisung aufheben</b></a><br /><br />
		Sollte versehentlich einem Objekt eine falsche Kategorie zugewiesen worden sein, kann &uuml;ber diesen Men&uuml;punkt diese Zuweisung wieder r&uuml;ckg&auml;ngig gemacht werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
        <a name = '3_dto'><b>Aufnahmedatum korrigieren</b></a><br /><br />
		In verschiedenen Situationen kann es erforderlich sein, das Aufnahmedatum von Objekten nachtr&auml;glich zu korrigieren:<br />
        <ul style='color:var(--color1);width:580px;'>
        <li>Es handelt sich um Objekte, die keinen vollst&auml;ndigen Satz Meta-Daten enthalten.<br />
        Das ist oft der Fall, wenn Objekte aus einem Scanner kommen.</li>
        <li>Die interne Uhr des Aufnahmeger&auml;tes war zum Aufnahmezeitpunkt nicht richtig eingestellt.<br />
        Wenn eine Kamera lange nicht benutzt wurde, kann es zu Gangabweichungen der eingabauten Uhr kommen.<br />
        Manchmal wird aber einfach nur vergessen die Kamera-Uhr zu stellen, wenn man die Zeitzone verl&auml;&szlig;t, oder wenn die
        Sommer-/Winterzeit wechselt.</li>
        </ul>
		<p class='help'>
        <br />
        <img src='../../html/help/img/aufn_zeit_korrektur1.png' class='img-help'><br /><br />
        Diese Fehler k&ouml;nnen Sie in diesem Men&uuml; korrigieren.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />

        <a name = '3_cr'><b>Urheberrechts-Vermerk bearbeiten</b></a><br /><br />
		Mit dieser Option haben Sie die Möglichkeit, einen vorhandenen Urheberrechts-Vermerk zu bearbeiten oder zu löschen.<br />
        Beachten Sie bitte, daß laut Spezifikation ein Urheberrechts-Vermerk maximal 128 Zeichen lang sein darf.<br />
        Darauf ist besonders dann zu achten, wenn ein bereits vorhandener Eintrag um weiteren Text ergänzt werden soll.<br />
        Überzählige Zeichen werden ohne Rückfrage abgeschnitten.<br /><br />
        <img src='../../html/help/img/copyright_bearbeiten1.png' class='img-help'><br /><br /><br /><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '3_edit_coll'><b>Kollektion anlegen / bearbeiten / arrangieren / löschen</b></a><br /><br />
		Mit der Anlage einer Kollektion haben Sie die komfortable M&ouml;glichkeit, Ihre Suchergebnisse dauerhaft zu speichern.<br />
		Dazu legen Sie zun&auml;chst &uuml;ber diesen Men&uuml;punkt eine neue Kollektion an, indem Sie in dem Anlage-Formular einen Kollektions-Namen und eine Beschreibung hinterlegen.<br />
		Der Kollektions-Name sollte kurz aber verst&auml;ndlich sein, w&auml;hrend Sie in der Beschreibung ausf&uuml;hrliche Angaben zum Inhalt der Kollektion hinterlegen k&ouml;nnen.<br />
		Wenn Sie nun zur Kollektions-Auswahlseite im Bearbeiten-Men&uuml; zur&uuml;ckkehren, finden Sie in der Liste der verf&uuml;gbaren Kollektionen Ihre soeben angelegte Kollektion wieder.<br />
		In der rechten Spalte jeder aufgef&uuml;hrten Kollektion finden Sie vier Symbole, die von links beginnend die folgenden Funktionen erm&ouml;glichen:<br />
		<ul style='color:var(--color1);'>
		<li>Kollektion bearbeiten <img src='../../share/images/edit.svg' style='width:14px;margin-left:5px;'></li>
		<li>Kollektion arrangieren <img src='../../share/images/arrange.svg' style='width:14px;margin-left:5px;'></li>
		<li>Kollektion l&ouml;schen <img src='../../share/images/delete.svg' style='width:14px;margin-left:5px;'></li>
		<li>Information zum Freigabe-Status der Kollektion <img src='../../share/images/allowed.svg' style='width:14px;margin-left:5px;'></li>
		</ul>
		<p class='help'>
		Weitere Informationen zur Bearbeitung der Kollektionen erhalten Sie <a class='std' href='help1.php?page=4'>hier.</br>
		<br /><a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '3_dubletten'><b>Dubletten-Pr&uuml;fung</b></a><br /><br />
		pic2base bietet eine einfache M&ouml;glichkeit zu ermitteln, ob Dubletten in den Datenbestand aufgenommen wurden.<br />
		Dazu wird bereits w&auml;hrend des Datei-Uploads kontrolliert, ob sich bereits ein identisches Objekt im Datenbestand befindet.
		Wenn dieser Fall zutrifft, werden am Ende des Uploadprozesses alle Dubletten angezeigt und der Benutzer kann entscheiden, ob das doppelte Objekt dennoch in die Datenbank aufgenommen werden soll, oder nicht.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		<!--
		<a name = '3_qp'><b>Quick-Preview hochformatiger Objekte erzeugen</b></a><br /><br />
		Zur schnelleren Darstellung hochformatiger Objekte m&uuml;ssen diese einmalig vor der ersten Betrachtung in pic2base gedreht und als Kopie angelegt werden. Dies geschieht normalerweise beim ersten &Uuml;berfahren des entsprechenden Bildes mit dem Mauszeiger in der Filmstreifen-Ansicht, kostet aber entsprechend Rechenzeit auf dem Server. Dieser Vorgang kann aber auch f&uuml;r alle Objekte, f&uuml;r welche es noch kein entsprechend gedrehtes Vorschau-Objekt gibt, auf einmal durchgef&uuml;hrt werden.<br />
		Hinweis: Dieser Vorgang kann - je nach Anzahl der zu drehenden Objekte - erheblichen Rechenaufwand erfordern!<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		-->
        <a name = '3_dl_stamp'><b> Downloads beschriften / skalieren</b></a><br /><br />
        <b>Wichtig:</b><br />
        Die hier beschriebene Funktion steht nur zur Verfügung, wenn sich bereits Dateien in Ihrem Download-Ordner befinden!<br />
        Zu jedem Objekt in der Datenbank wird zur Darstellung im Browser eine JPG-Datei angelegt.<br />
        Diese wird beim Download mit ausgegeben und kann über diesen Menüpunkt sowohl skaliert als auch<br />
        mit einem kerzen Text beschriftet (\"gestempelt\") werden.<br />
        Hierzu bietet Ihnen der Einstellungs-Dialog zahlreiche Möglichkeiten.<br />
        So können Sie die folgenden Parameter frei wählen:<br />
        Zunächst können Sie die Abmessungen der langen Seite des skalierten Bildes festlegen.<br />
        Die Länge der kurzen Seite wird automatisch anhand der jeweiligen Bild-Geometrie errechnet.<br />
        In der folgenden Zeile können Sie einen kurzen \"Stempel-\"Text eintragen und weiter unten<br />
        die Schriftgröße, Schriftfarbe, die Einrückung vom linken Bildrand und die vertikale Ausrichtung festlegen.<br />
        Nun können Sie noch einstellen, ob der Text durch einen Hintergrund freigestellt werden soll.<br />
        Dazu können Sie eine Hintergrundfarbe und eine geeignete Trasparenz wählen.<br />
        Zu allen vorgenommenen Einstellungen erhalten Sie in der rechten Fensterhälfte eine Vorschau.<br /><br />
        <img src='../../html/help/img/beschriftung_download1.png' class='img-help'><br /><br />
        Wenn Sie auf \"Bilder stempeln\" klicken, wird die Aktion ausgeführt. Sie erhalten dann in Ihrem Download-Ordner neben der Original-Datei und der<br />
        Original-JPG-Datei noch zusätzlich je ein verkleinertes und ggf. gestempeltes JPG-Bild.<br />
        Dieses erkennen Sie daran, daß der Dateiname die Bemerkung \"small\" enthält.<br />
        Derart aufbereitete Bilder lassen sich gut für den Versand per Mail o.ä. verwenden, da durch die Skalierung die Dateigröße z.T. erheblich verringert wird.<br />
        Wenn Sie das Textfeld freigelassen haben, werden Sie durch einen entsprechenden Hinweis noch einmal gefragt, ob das Ihre Absicht war.<br />
        In diesem Fall werden die JPG-Objekte lediglich skaliert.<br />
        Die jeweils letzten Einstellungen in diesem Dialogfeld werden (benutzerspezifisch) bis zur nächsten Veränderung gespeichert,<br />sodaß beim wiederholten Aufruf dieser Funktion die Einstellungen nicht neu \"erprobt\" werden müssen.<br /> 
        <a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		Weiterf&uuml;hrende Informationen: <a class='std' href=help1.php?page=4>erhalten Sie hier.</a><br />
        <a class='std' href='help1.php?page=0'>Zur Hilfe-Startseite</a><br /><br />
		</fieldset>";
		break;
		
		case '4':
		echo "<a name='top'></a>
		<fieldset class='normal' id='fieldset_help3'>
		<legend  class='normal'>Hilfe zu den Bearbeitungsm&ouml;glichkeiten (Details)</legend>
		
		<p class='help'>
		<b><u>Inhalt:</u></b><br /><br />
		<a class='std' href='#4_georef'>Geo-Referenzierung</a><br />
		<a class='std' href='#4_bewertung'>Objekt-Bewertung</a><br />
		<a class='std' href='#4_desc'>Beschreibungen zuweisen</a><br />
		<a class='std' href='#4_kat'>Kategorien zuweisen</a><br />
		<a class='std' href='#4_del_kat'>Kategorie-Zuweisungen aufheben</a><br />
        <a class='std' href='#4_dto'>Aufnahmedatum korrigieren</a><br />
        <a class='std' href='#4_copyright'>Urheberrechts-Vermerk bearbeiten / ersetzen / entfernen</a><br />
		<a class='std' href='#4_edit_coll'>Kollektion anlegen / bearbeiten / arrangieren / löschen</a><br />
		<a class='std' href='#4_dubletten'>Dubletten-Pr&uuml;fung</a><br />
		<a class='std' href='#4_qp'>Quick-Preview hochformatiger Objekte erstellen</a><br /><br />
		
		<a name = '4_georef'><b>Geo-Referenzierung</b></a><br /><br />
		Welchen Vorteil bietet die Georeferenzierung?<br />
		Bei der Geo-Referenzierung wird zu jedem Objekt der Kamerastandort zum jeweiligen Aufnahmezeitpunkt vermerkt. Sp&auml;ter kann man dann nach Objekten suchen,
		die an einem bestimmten Standort entstanden sind, oder innerhalb eines bestimmten Umkreises um diesen Standort herum aufgenommen worden.<br /><br />
		
		<ul style='color:var(--color1);width:580px;'>
		<li>Referenzierung mit Track-Datei (Vollst&auml;ndige Referenzierung)<br />
		Die Geo-Referenzierung anhand vorhandener Track-Aufzeichnungen geschieht folgenderma&szlig;en:<br />
		W&auml;hlen Sie zuerst Ihren Daten-Logger und die gew&uuml;nschte Track-Datei aus. Nun k&ouml;nnen Sie entscheiden, ob Sie sich den gew&auml;hlten Track vorab in einer Karte anzeigen lassen (Klick auf \"Track ansehen\") oder gleich mit der Referenzierung beginnen (Klick auf \"Los!\") <br />
		Im Ergebnis der Referenzierung werden Ihnen in der rechten Spalte alle Objekte aufgelistet, bei denen es eine &Uuml;bereinstimmung der Daten gab.<br />
		Sollte es zu keinen 'Treffern' zwischen Objekt- und Track-Dateien kommen, pr&uuml;fen Sie bitte zuerst, ob die Zeitstempel der Objekt-Dateien mit denen der Track-Daten ann&auml;hernd &uuml;bereinstimmen.<br />
		Viele Konvertierungsprogramme &auml;ndern die Zeitangaben bei der Speicherung der Track-Dateien von lokaler Zeit in UTC.<br /><br />
		<font style='color:var(--color_r);'>pic2base geht davon aus, da&szlig; die Zeitangaben in der Track-Datei als UTC-Angabe vorliegen!<br />
		Gleichzeitig geht pic2base davon aus, da&szlig; die interne Uhr der Kamera auf die aktuelle Ortszeit eingestellt war. Das bedeutet, wenn Aufnahmen in einer anderen Zeitzone als CET aufgenommen wurden, muss <b>VOR</b> der Referenzierung diese Zeitzone manuell eingestellt werden. (Drop-Down-Feld \"Zeitzone\")</font><br /><br />
		Vor einer automatischen Geo-Referenzierung ist also immer die Frage zu beantworten: In welchem Verh&auml;ltnis stand die lokale Zeit am Aufnahmeort zur GMT?<br /><br />
		Am Ende der rechten Spalte befindet sich der Button \"Weiter\" &uuml;ber welchen man zum folgenden Formular gelangt, in welchem in der linken Spalte das betreffende Objekt und ein Eingabefeld zur Erfassung der Ortsbezeichnung des Aufnahmestandortes zu sehen ist und in der rechten Spalte - eine Internetverbindung vorausgesetzt - der Aufnahmestandort in der Karte dargestellt wird.<br />
		M&ouml;glicherweise wird in dem Eingabefeld f&uuml;r die Ortsbezeichnung bereits ein Ort vorgeblendet. Dies liegt daran, da&#223; pic2base anhand der bereits in der Datenbank befindlichen Geo-Koordinaten versucht herauszufinden, welche Ortsbezeichnung zu den Aufnahmekoordinaten geh&ouml;rt.<br />
		Wurde noch kein Ort gefunden, mu&#223; dieser manuell erfasst werden.<br />
		Mit wachsendem Umfang der in der Datenbank gespeicherten Geo-Informationen \"wei&#223;\" pic2base im Laufe der Zeit immer besser von selbst, an welchem Ort die Aufnahme entstand und blendet dementsprechend die korrekte Ortsbezeichnung automatisch ein.<br /><br />
		<li>Referenzierung mit GPS-f&auml;higer Kamera (Nachtr&auml;gliche Referenzierung)<br />
		Wenn die Kamera bereits die Objekte mit Geo-Koordinaten versieht, brauchen Sie mit pic2base nur noch die entsprechenden Ortsbezeichnungen hinzuzuf&uuml;gen.<br />
		Hierzu klicken Sie auf der Startseite der Geo-Referenzierung im Abschnitt \"Nachtr&auml;gliche Referenzierung\" auf den Button \"Fehlende Ortsnamen zuweisen\".<br />
		Im folgenden Fenster haben Sie - wie bei der vollst&auml;ndigen Referenzierung - die M&ouml;glichkeit, jedem Aufnahmestandort eine Ortsbezeichnung zuzuweisen.<br />
		Auch hierbei \"lernt\" pic2base: Mit steigender Dichte der Aufnahmestandorte werden die vorgeschlagenen Ortsbezeichnungen immer genauer.<br />
		</ul>
		<p class='help'>
		Hinweis:<br />
		Im Suche-Bereich gibt es die M&ouml;glichkeit der manuellen Geo-Referenzierung eines jeden einzelnen Bildes.<br />
		Hier k&ouml;nnen die automatisch zugewiesenen Referenzierungen manuell korrigiert werden, oder Objekten, zu denen keine Trackdaten vorlagen, kann eine manuelle Referenzierung zugewiesen werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '4_bewertung'><b>Objekt-Bewertung</b></a><br /><br />
		Um die gezielte Suche nach Objekten mit bestimmten Qualit&auml;tsanforderungen zu erm&ouml;glichen, kann jedes Objekt qualitativ bewertet werden. Die Bewertung reicht von \"1 Stern\" (ungen&uuml;gend) bis \"5 Sterne\" (sehr gut).<br />
		Die eigentliche Vergabe der Sterne erfolgt durch anklicken des betreffenden Sterns unter dem jeweiligen Objekt in der Vorschauansicht, wobei der linke Stern f&uuml;r \"1 Stern\" steht und der reche f&uuml;r \"5 Sterne\".<br />
		Wenn ein Objekt mit dem Mauszeiger &uuml;berfahren wird, wird dessen vergr&ouml;&szlig;erte Ansicht in der rechten Fensterh&auml;lfte dargestellt. Wird das Objekt in der Vorschauansicht hingegen angeklickt, erh&auml;lt man eine nochmals vergr&ouml;&szlig;erte Ansicht.<br />
		Bei der Erfassung erhalten die Objekte noch keinen Stern - also keine Qualit&auml;tsbewertung. Dennoch kann auch nach diesen Objekten gesucht werden, indem man in der Qualit&auml;tsauswahl den Punkt \"alle Objekte\" anklickt.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '4_desc'><b>Beschreibungen zuweisen</b></a><br /><br />
		pic2base bietet die M&ouml;glichkeit, einzelnen Objekten, als auch Gruppen von Objekten, Beschreibungstexte zuzuweisen.<br />
		Dies erfolgt &uuml;ber den Punkt \"Beschreibungen zuweisen\" in dem Bearbeiten-Bereich.<br />
		Zun&auml;chst sind die gew&uuml;nschten Objekte aus der entsprechenden Kategorie auszuw&auml;hlen. Es ist also die Kategorie zu w&auml;hlen und dann &uuml;ber die rechts daneben befindlichen
		Symbole sind die Objekte anzuzeigen. Hierbei besteht die M&ouml;glichkeit, alle oder keine Objekte vorzuselektieren.<br />
		Wenn man also wei&szlig;, da&szlig; in der betrachteten Kategorie der &uuml;berwiegende Teil der Objekte eine Beschreibung erhalten sollen, kann man die Objekte &uuml;ber das Symbol \"alle Objekte dieser Kategorie ausw&auml;hlen\" anzeigen lassen.
		Bei dieser Auswahlmethode sind alle gefundenen Objekte standardm&auml;&szlig;ig vorselektiert. Die wenigen nicht gew&uuml;nschten Objekte k&ouml;nnen nun abgew&auml;hlt werden und der Beschreibungstext kann in der rechten Fensterh&auml;lfte eingetragen werden.<br />
		Analog kann verfahren werden, wenn nur wenige Objekte der gew&auml;hlten Kategorie beschrieben werden sollen. Dann l&auml;&szlig;t man sich die Objekte mittels des Symbols \"einzelne Objekte dieser Kategorie ausw&auml;hlen\" anzeigen und verf&auml;hrt weiter wie oben beschrieben.<br />
		Die Beschreibung wird den selektierten Objekten zugewiesen, indem der Button \"Speichern\" angeklickt wird. Alternativ kann der Vorgang &uuml;ber den Button \"Abbrechen\" ohne &Auml;nderungen beendet werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '4_kat'><b>Kategorien zuweisen</b></a><br /><br />
		pic2base bietet die M&ouml;glichkeit, einzelne Objekten, als auch Gruppen von Objekten in Kategorien einzuordnen.<br />
		Dies erfolgt &uuml;ber den Punkt \"Kategorien zuweisen\" in dem Bearbeiten-Bereich.<br />
		Zun&auml;chst sind die gew&uuml;nschten Objekte aus der entsprechenden Kategorie auszuw&auml;hlen. Es ist also die Kategorie zu w&auml;hlen und &uuml;ber die rechts daneben befindlichen
		Symbole sind die Objekte per Klick anzuzeigen. Hierbei besteht die M&ouml;glichkeit, alle oder keine Objekte vorzuselektieren.<br />
		Wenn man also wei&szlig;, da&szlig; aus der betrachteten Kategorie der &uuml;berwiegende Teil der Objekte einer weiteren Kategorie zugeordnet werden sollen, kann man die Objekte &uuml;ber das Symbol \"alle Objekte dieser Kategorie ausw&auml;hlen\" anzeigen lassen.
		Bei dieser Auswahlmethode sind alle gefundenen Objekte standardm&auml;&szlig;ig vorselektiert. Die wenigen nicht gew&uuml;nschten Objekte k&ouml;nnen nun abgew&auml;hlt werden und die neu hinzuzuf&uuml;gende Kategorie kann in der rechten Fensterh&auml;lfte ausgew&auml;hlt werden.<br />
		Es ist auch m&ouml;glich, den gew&auml;hlten Objekten mehrere neue Kategorien in einem Vorgang zuzuweisen. Dazu w&auml;hlt man einfach in der Kategorieliste in der rechten Fensterh&auml;lfte alle gew&uuml;nschten Eintr&auml;ge aus.<br />
		Hinweis:<br />
		In der Kategorieliste stehen nur die Kategorien zur Verf&uuml;gung, die zuvor von einem berechtigten Benutzer angelegt wurden. Diese Einschr&auml;nkung soll verhindern, da&szlig; in dem Kategoriebaum \"Wildwuchs\" entsteht, denn eine wohldurchdachte Strukturierung
		der Kategorie-Hierachie erleichtert sp&auml;ter die Suche erheblich.<br /><br />
		Analog zur Vorselektion aller Objekte kann verfahren werden, wenn nur wenige Objekte der gew&auml;hlten Kategorie bearbeitet werden sollen. Dann l&auml;&szlig;t man sich die Objekte mittels des Symbols \"einzelne Objekte dieser Kategorie ausw&auml;hlen\" anzeigen und verf&auml;hrt weiter wie oben beschrieben.<br />
		Die neuen Kategorien werden den selektierten Objekten zugewiesen, indem der Button \"Speichern\" angeklickt wird. Alternativ kann der Vorgang &uuml;ber den Button \"Abbrechen\" ohne &Auml;nderungen beendet werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '4_del_kat'><b>Kategorie-Zuweisung aufheben</b></a><br /><br />
		Sollte einmal einem oder mehreren Objekten versehentlich eine falsche Kategorie zugewiesen worden sein, hat man hier die M&ouml;glichkeit diese Zuweisung wieder r&uuml;ckg&auml;ngig zu machen.<br />
		Dazu navigiert man zun&auml;chst im Kategoriebaum bis zu der Kategorie, in welcher ich das falsch eingeordnete Objekt befindet. Nun hat man die M&ouml;glichkeit sich alle Objekte dieser Kategorie anzeigen zu lassen, wobei man w&auml;hlen kann, ob keines oder alle Objekte vorselektiert sein sollen. (Klick auf das leere oder angekreuzte Auswahl-Symbol)<br />
		In der unteren Filmstreifenansicht kann man nun das oder die gew&uuml;nschten Objekte durch Aktivierung der Checkbox ausw&auml;hlen.<br />
		Die Aufhebung der Kategorie-Zuweisung erfolgt mit einem Klick auf den Button \"Speichern\".<br />
		Gleichzeitig werden auch alle Zuordnung zu den Unterkategorien der gew&auml;hlten Kategorie aufgehoben.<br />
        Optional kann die Checkbox \"Alle Kategoriezuweisungen aufheben\" aktiviert werden. Dann werden <b><u>ALLE</u></b> Kategoriezuweisungen der gewählten Objekte aufgehoben.<br />
        Danach befinden sich diese Objekte also wieder im Status \"Neuzugänge\".<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
                
        <a name = '4_dto'><b>Aufnahmedatum korrigieren</b></a><br /><br />
		Wenn das Aufnahme-Datum (Datum und Zeit) vorhandener Objekte korrigiert werden soll, kann das auf zweierlei Weise geschehen:<br />
        <ul style='color:var(--color1);width:580px;'>
        <li>Es soll den ausgew&auml;hlten Objekten ein <b>komplett neues</b> Datum zugewiesen werden. Dabei spielt es keine Rolle, ob die Objekte überhaupt schon ein Datum hatten, oder ob dies völlig falsch war.<br />
        Von dieser Möglichkeit kann Gebrauch gemacht werden, indem in der linken Fensterhälfte die gewünschten Objekte ermittelt und im Filmstreifen entsprechend ausgewählt werden.<br />
        Dann wird im oberen Teil der rechten Fensterhälte der neue Aufnahme-Zeitpunkt festgelegt.<br />
        Mit einem Klick auf \"Speichern\" wird die Zuweisung des neuen Datums gestartet.<br />
        Haben Sie versehentlich ein falsches Datum ausgewählt (z.Bsp. 30.02.2015), werden Sie aufgefordert, dies zu korrigieren.</li>
        <li>Soll jedoch der <b>vorhandene</b> Aufnahme-Zeitpunkt mehrerer Objekte um eine bestimmten Zeitspanne verschoben werden, kann dies über das Formular im mittleren Bereich der rechten Fensterhälfte geschehen.<br />
        Wählen Sie wie oben beschrieben die zu bearbeitenden Objekte aus und legen Sie dann die Zeitspanne fest, um welche der Aufnahmezeitpunkt verschoben werden soll.<br />
        Die Korrektur kann im Bereich von +/- 23 Stunden, 59 Minuten und 59 Sekunden vorgenommen werden.<br />
        Die Richtung der Korrektur zu einem früheren Zeitpunkt hin erreichen Sie, indem Sie nach der Auswahl der Zeitspanne zusätzlich den Button \"nach früher korrigieren\" anklicken.<br />
        Analog können Sie die Korrektur zu einem späteren Zeitpunkt hin erreichen, indem Sie nach der Auswahl der Zeitspanne zusätzlich den Button \"nach später korrigieren\" anklicken.<br />
        </li><br />
        Wenn Sie zu dieser manuellen Nachbearbeitung einen Bearbeitungsvermerk in der Bildbeschreibung hinterlegen wollen, können Sie dies über einen Eintrag in dem Textfeld am Ende des Formulars vornehmen.<br />
        Dies kann zweckmäßig sein, wenn das Aufnahmedatum z.Bsp. aus einer unzuverlässigen Quelle stammt oder einfach nur geschätzt wurde.<br />
        Sollten Sie bei einer der beiden Varianten vergessen haben zuvor die gewünschten Objekte auszusuchen, weist Sie ein entsprechendes Hinweisfenster darauf hin und die Bearbeitung wird abgebochen.<br />
        </ul>
		<p class='help'>
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />

        <a name = '4_copyright'><b>Urheberrechts-Vermerk ändern</b></a><br /><br />
		Wenn der Urheberrechts-Vermerk vorhandener Objekte korrigiert werden soll, kann das wie folgt geschehen:<br />
        <ul style='color:var(--color1);width:580px;'>
        <li>ein vorhandener Vermerk wird um zusätzlichen Text ergänzt:<br />
        Hierzu wird lediglich der zusätzlich zu vermerkende Text in das Textfeld eingetragen und abgespeichert.</li>
        <li>ein vorhandener Vermerk wird durch einen anderen Text ersetzt:<br />
        Hierzu wird der zu vermerkende Text in das Textfeld eingetragen, die Checkbox \"Urheberrechts-Vermerk entfernen und ersetzen\" angewählt und die Änderung abgespeichert.</li>
        <li>ein vorhandener Vermerk wird ersatzlos entfernt<br />
        Bei dieser Variante wird <u>KEIN</u> Text in das Textfeld eingetragen, die Checkbox \"Urheberrechts-Vermerk entfernen und ersetzen\" angewählt und die Änderung abgespeichert.</li>
        </ul>
		<p class='help'>
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '4_edit_coll'><b>Kollektion anlegen / bearbeiten / arrangieren / löschen</b></a><br /><br />
		Bevor Sie mit den Kollektionen arbeiten k&ouml;nnen, m&uuml;ssen sie mindestens eine neue angelegt haben.<br />
		Klicken Sie hierzu auf den Button \"Neue Kollektion anlegen\" und f&uuml;llen Sie in dem folgenden Formular die Felder \"Name der Kollektion\" und \"Beschreibung\" aus.<br />
		Der Kollektions-Name sollte kurz aber verst&auml;ndlich sein, w&auml;hrend Sie in der Beschreibung ausf&uuml;hrliche Angaben zum Inhalt der Kollektion hinterlegen k&ouml;nnen.<br />
		Speichern Sie Ihre Eingaben ab.<br />
		Wenn Sie nun zur Kollektions-Auswahlseite im Bearbeiten-Men&uuml; zur&uuml;ckkehren, finden Sie in der Liste der verf&uuml;gbaren Kollektionen Ihre soeben angelegte Kollektion wieder.<br />
		In der rechten Spalte jeder aufgef&uuml;hrten Kollektion finden Sie vier Symbole, die von links beginnend die folgenden Funktionen erm&ouml;glichen:<br />
		<ul style='color:var(--color1);width:580px;'>
		<li>Kollektion bearbeiten<br />
		&Uuml;ber diesen Button haben Sie die M&ouml;glichkeit, den Namen der Kollektion oder deren Beschreibung zu &auml;ndern, weitere Objekte hinzuzuf&uuml;gen oder Objekte aus bestehenden Kollektionen zu entfernen.</li>
		Weitere Objekte f&uuml;gen Sie einer bestehenden Kollektion zu, indem Sie den Button \"Weitere Objekte hinzuf&uuml;gen / Objekte entfernen\" anklicken und in dem sich dann &ouml;ffnenden Suchbereich die gew&uuml;nschten Objekte ausw&auml;hlen, wie Sie es vom normalen Download her gewohnt sind.<br />
		Bereits in der Kollektion befindliche Objekte sind im Filmstreifen mit dem gr&uuml;nen H&auml;ckchen gekennzeichnet und k&ouml;nnen durch erneutes Anklicken wieder aus der Kollektion entfernt werden.<br />
		Eine andere M&ouml;glichkeit, ein Objekt aus der Kollektion zu entfernen besteht darin, im Fenster \"Ausgew&auml;hlte Kollektion bearbeiten\" auf das betreffende Objekt in der Objekte-Leiste zu klicken. Nach entsprechender Beantwortung der Sicherheits-Abfrage wird das Objekt aus der Kollektion gel&ouml;scht.
		<li>Kollektion arrangieren<br />
		Diese Button bietet die M&ouml;glichkeit, die Reihenfolge der Objekte innerhalb der Kollektion neu festzulegen.<br />
		Nach einem Klick auf dieses Icon gelangt man zum Sortiertisch. Hier werden alle Objekte der Kollektion angezeigt und k&ouml;nnen per Drag and Drop neu arrangiert werden. Gef&auml;llt das Ergebnis, kann die neue Anordnung gespeichert werden (Klick auf \"Neue Sortierung speichern\") oder aber unter einem neuen Namen als neue Kollektion abgelegt werden (Klick auf \"Speichern unter\")<br />
		Weiter hat man die M&ouml;glichkeit, sich eine Vorschau der Kollektion anzusehen (Klick auf \"Dia-Show (Vorschau)\")</li>
		<li>Kollektion l&ouml;schen<br />
		Wenn Sie &uuml;ber die entsprechende Berechtigung verf&uuml;gen, k&ouml;nnen Sie an dieser Stelle Kollektionen l&ouml;schen.<br />
		Dabei werden lediglich die Kollektionen, nicht aber die darin enthaltenen Objekte gel&ouml;scht!</li>
		<li>Information zum Freigabe-Status der Kollektion<br />
		Wenn Sie eine Kollektion neu anlegen, k&ouml;nnen zun&auml;chst nur Sie diese bearbeiten. Ansehen k&ouml;nnen sie auch andere Benutzer, sofern sie die Berechtigung dazu haben.<br />
		Wollen Sie jedoch, da&szlig; auch andere Benutzer Ihre Kollektion bearbeiten k&ouml;nnen, m&uuml;ssen sie die entsprechende Freigabe &uuml;ber den Men&uuml;punkt \"Kollektion bearbeiten\"<br />
		und hier durch setzen des H&auml;ckchens \"Freigabe\" erteilen.<br />
		Wurde die Freigabe erteilt, zeigt dies der blaue Pfeil an. Anderenfalls weist der rote Kreis auf eine nicht erteilte Freigabe hin.</li>
		</ul>
		<p class='help'>
		<b>Beachten Sie bitte:</b> Bei keiner der genannten Bearbeitungsm&ouml;glichkeiten f&uuml;r Kollektionen wird der eigentliche Objekt-Datenbestand ver&auml;ndert!
		<br /><a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '4_dubletten'><b>Dubletten-Pr&uuml;fung</b></a><br /><br />
		pic2base bietet eine einfache M&ouml;glichkeit zu ermitteln, ob Dubletten in den Datenbestand aufgenommen wurden.<br />
		Dazu wird bereits w&auml;hrend des Datei-Uploads kontrolliert, ob sich bereits eine Bilddatei mit dem gleichen Original-Dateinamen oder der gleichen Pr&uuml;fsumme im Datenbestand befindet.
		Wenn dieser Fall zutrifft, werden am Ende des Uploadprozesses alle Dubletten angezeigt und der Benutzer kann entscheiden, ob das doppelte Objekt dennoch in die Datenbank aufgenommen werden soll, oder nicht.<br />
		Eine Besonderheit ist zu beachten:<br />
		Wenn ein Objekt bereits in der Datenbank enthalten war und dort mit Kategorien, Beschreibungen oder Geo-Referenzierungen versehen war, und dieses Objekt per Download aus der Datenbank entnommen wurde,
		wird es nach erneutem Upload nicht als Dublette erkannt.<br />
		Das liegt daran, da&szlig; die Pr&uuml;fsumme des Bildes unmittelbar w&auml;hrend des Upload-Prozesses ermittelt wird. Sie repr&auml;sentiert also den Originalzustand des Bildes. Werden nun Kategorien oder Beschreibungen hinzugef&uuml;gt, &auml;ndert sich an den Bildinformationen zwar nichts, aber an der Objekt-Datei, da diese zus&auml;tzlichen Informationen mit in das Objekt geschrieben werden.<br />
		Somit hat das aus der Datenbank entnommene Objekt zwangsl&auml;ufig eine andere Pr&uuml;fsumme als das ehemalige Original-Objekt.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name = '4_qp'><b>Quick-Preview hochformatiger Objekte erstellen</b></a><br /><br />
		Zur schnelleren Darstellung hochformatiger Objekte m&uuml;ssen diese einmalig vor der ersten Betrachtung in pic2base gedreht und als Kopie angelegt werden. Dies geschieht normalerweise beim ersten &Uuml;berfahren des entsprechenden Bildes mit dem Mauszeiger in der Filmstreifen-Ansicht, kostet aber entsprechend Rechenzeit auf dem Server. Dieser Vorgang kann aber auch f&uuml;r alle Objekte, f&uuml;r welche es noch kein entsprechend gedrehtes Vorschau-Objekt gibt, auf einmal durchgef&uuml;hrt werden.<br />
		Hinweis: Dieser Vorgang kann - je nach Anzahl der zu drehenden Objekte - erheblichen Rechenaufwand erfordern und sollte deshalb in einer lastarmen Zeit erfolgen!<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
        <a class='std' href='help1.php?page=0'>Zur Hilfe-Startseite</a><br /><br />
		</fieldset>";
		break;
		
		case '5':
		echo "<a name='top'></a>
		<fieldset class='normal' id='fieldset_help3'>
		<legend  class='normal'>Hilfe zum Administrations-Bereich</legend>
		
		<p class='help'>
		<b><u>Inhalt:</u></b><br /><br />
		<a class='std' href='#5_kat'>Kategorien</a><br />
		<a class='std' href='#5_user'>Benutzer</a><br />
		<a class='std' href='#5_groups'>Gruppen</a><br />
		<a class='std' href='#5_rights'>Berechtigungen</a><br />
		<a class='std' href='#5_ortsnamen'>Ortsnamen</a><br />
		<a class='std' href='#5_ftp'>FTP-Statistik</a><br />
		<a class='std' href='#5_log'>pic2base-Log-Datei</a><br />
		<a class='std' href='#5_db_wartung'>Datenbank-Wartung</a><br />
		<a class='std' href='#5_db_export'>Datenbank-Export</a><br />
		<a class='std' href='#5_loeschen'>Objekte endg&uuml;ltig l&ouml;schen</a><br />
		<a class='std' href='#5_sw'>Software-Check</a><br />
        <a class='std' href='#5_einstellungen'>Einstellungen</a><br /><br />
		
		<a name = '5_kat'><b>Kategorien</b></a><br /><br />

		Im Arbeitsbereich Kategorien kann der Kategoriebaum gepflegt werden:
		Es k&ouml;nnen Kategorien<br />
		<ul style='color:var(--color1); margin:20px 5px; width:580px;'>
		<li>erzeugt oder gel&ouml;scht werden,
		<li>umbenannt werden,
		<li>umsortiert werden.
		</ul>
		<p class='help'>
		Beim Aufruf des Kategorie-Arbeitsbereichs gelangt man zun&auml;chst in die Kategorie-Verwaltungsansicht. Von hier k&ouml;nnen die Bereiche Sortierung und Wartung aufgerufen werden.
		Weiterf&uuml;hrende Informationen stehen direkt auf den jeweiligen Seiten zur Verf&uuml;gung.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_user'><b>Benutzer</b></a><br /><br />
		
		Im Arbeitsbereich Benutzer kann der Benutzerkreis f&uuml;r diese pic2base-Datenbank gepflegt werden.
		Es k&ouml;nnen Benutzer
		hinzugef&uuml;gt werden,
		gel&ouml;scht werden oder
		die Gruppenzugeh&ouml;rigkeit der Benutzer ver&auml;ndert werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_groups'><b>Gruppen</b></a><br /><br />
		
		Im Arbeitsbereich Gruppen k&ouml;nnen Benutzergruppen und deren Zugriffsrechte definiert werden.
		Nach der Installation sind einige Gruppen bereits angelegt, wobei aber zun&auml;chst lediglich der Gruppe Admin alle Rechte zugeteilt wurden. Die Rechte der anderen Gruppen k&ouml;nnen entsprechend der Erfordernisse im jeweiligen Anwendungsfall individuell festgelegt werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_rights'><b>Berechtigungen</b></a><br /><br />
		
		Im Arbeitsbereich Berechtigungen kann man sich informieren, welche Aktionen in pic2base durch Zugriffsbeschr&auml;nkungen reglementiert werden k&ouml;nnen.
		Die eigentliche Rechtevergabe erfolgt &uuml;ber die Erteilung der Gruppen- und Benutzerrechte.<br />
		Im ersten Schritt werden Gruppen angelegt und diesen werden die gew&uuml;nschten Rechte zugeteilt.<br />
		Wenn ein neuer Benutzer angelegt und einer bestehenden Gruppe zugeteilt wird, erbt er automatisch die Rechte dieser Gruppe.<br />
		Diese geerbten Rechte k&ouml;nnen jedoch f&uuml;r jeden einzelnen Benutzer noch individuell angepa&szlig;t werden.<br />
		Dies geschieht dann &uuml;ber die Vergabe der entsprechenden Benutzerrechte.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_ortsnamen'><b>Ortsnamen</b></a><br /><br />
		
		&Uuml;ber diesen Link kann man Ortsnamen, die bei der Geo-Referenzierung zugewiesen wurden, nachtr&auml;glich bearbeiten. Dies kann z.B. hilfreich sein, wenn sich Ortsnamen infolge von Gebietsreformen ver&auml;ndert haben.<br />
		Hierbei ist zu beachten, da&szlig; nicht nur die Eintr&auml;ge in der Datenbank korrigiert werden, sondern auch die Meta-Daten in den Objekten. Deshalb kann eine &Auml;nderung der Ortsnamen unter Umst&auml;nden lange Zeit in Anspruch nehmen, wenn viele Objekte davon betroffen sind.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_ftp'><b>FTP-Statistik</b></a><br /><br />
		
		&Uuml;ber den Link FTP-Statistik gelangt man zu einem Tool, mit dessen Hilfe der Zugriff via FTP auf diesen pic2base-Server kontrolliert werden kann. Hier kann in die Protokolldatei eingesehen werden und der verursachte Traffic ausgelesen werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_log'><b>pic2base-Log-Datei</b></a><br /><br />
		
		In der pic2base-Logdatei werden Aktivit&auml;ten protokolliert, die dem Administrator Auskunft &uuml;ber die Zugriffe auf die pic2base-Datenbank geben.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_db_wartung'><b>Datenbank-Wartung</b></a><br /><br />
		
		Bei der Datenbank-Wartung werden grundlegende Kontrollen ausgef&uuml;hrt, die sicherstellen, da&szlig; die Kategoriezuordnungen korrekt erfolgten und alle erforderlichen Vorschau-Objekte vorhanden sind. Am Ende dieser Kontrolle wird die Dublettenpr&uuml;fung ausgef&uuml;hrt, mit der man die M&ouml;glichkeit hat, doppelte Eintr&auml;ge in der Datenbank zu finden und ggf. zu korrigieren.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_db_export'><b>Datenbank-Export</b></a><br /><br />
		
		Mit Hilfe des Datenbank-Exports ist es m&ouml;glich, die komplette pic2base-Datenbank als XML- oder SQL-Datei zu exportieren. Dies ist hilfreich, wenn man sich z.B. mit der Absicht tr&auml;gt, die vorhandene Installation auf neue Hardware zu &uuml;bertragen.<br />
		Siehe hierzu auch: <a class='std' href='http://www.pic2base.de/tipps1.php' target='top'>pic2base-Tipps</a><br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_loeschen'><b>Objekte endg&uuml;ltig l&ouml;schen</b></a><br /><br />
		
		Um zu verhindern, da&szlig; nicht versehentlich Objekte aus der Datenbank gel&ouml;scht werden, haben nur die Mitglieder der Administratorengruppe die M&ouml;glichkeit, Datens&auml;tze endg&uuml;ltig zu l&ouml;schen. Wenn ein normaler Benutzer ein Objekt l&ouml;schen m&ouml;chte, wird dies nur inaktiv gesetzt und im Bestand nicht mehr angezeigt.<br />
		&Uuml;ber den Punkt \"Objekte l&ouml;schen\" k&ouml;nnen diese vorgemerkten Objekte von einem Administrator betrachtet, wieder hergestellt oder endg&uuml;ltig gel&ouml;scht werden.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		
		<a name='5_sw'><b>Software-Check</b></a><br /><br />
		
		Mit dem Software-Check kontrolliert pic2base, ob alle ben&ouml;tigten externen Hilfsprogramme auf dem Server vorhanden sind. In der Regel wird dieses Tool nur w&auml;hrend der Erstinstallation von pic2base, bei der Installation von Updates
		oder nach Konfigurationsarbeiten (Software-Installationen / Deinstallationen) auf dem Server ben&ouml;tigt.<br />
		Das Tool startet automatisch beim ersten Start von pic2base nach der Installation und dann so lange, bis mindestens ein Objekt in die Datenbank gestellt wurde.<br />
		Dieser Check kann je nach Rechner-Ausstattung einige Zeit in Anspruch nehmen, stellt aber sicher, zuverl&auml;ssige Informationen &uuml;ber die notwendigen Softwarekomponenten zu erhalten.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />

        <a name='5_einstellungen'><b>Einstellungen</b></a><br /><br />
		
		In dem Menüpunkt Einstellungen können - je nach Berechtigung - die eigenen oder auch Einstellungen anderer Benutzer angepaßt werden.<br />
        Dies betrifft die persönlichen Daten (Name, Vorname etc.), die Art des Objekt-Downloads (FTP oder direkter Download) sowie die Passwort-Verwaltung.<br />
		<a class='std' href='#top'>Zum Seitenanfang</a><br /><br />
		</fieldset>";
		break;
		
		case '6':
		echo "
		<fieldset class='normal' id='fieldset_help3'>
		<legend  class='normal'>Hilfe zu den pers&ouml;nlichen Einstellungen</legend>
		<p class='help'>
		Auf dieser Seite haben Sie die M&ouml;glichkeit, pers&ouml;nliche Einstellungen anzupassen sowie Passworte zu &auml;ndern.<br />
		Es kann auch festgelegt werden, wie der Download der gefundenen Objekte erfolgen soll, per FTP oder als Direkt-Download.<br /><br />
		Je nach erteilter Berechtigung, k&ouml;nnen Sie dies f&uuml;r Ihr eigenes Konto oder aber auch f&uuml;r die Konten der anderen Benutzer tun.<br /><br />
		Weitere Hinweise finden Sie direkt auf der Einstellungen-Seite.</p>
		</fielsdet>";
		break;
	}
	echo "
	</div>
	
	<div class='footer'>
		<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
	</div>

</div>
</div>";

mysqli_close($conn);
?>
</body>
</html>