<!DOCTYPE HTML>
<html>

<head>
  <title>Kopiere Kollektion</title>
  <meta name="GENERATOR" content="eclipse">
  <meta name="AUTHOR" content="k. henneberg">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel=stylesheet type='text/css' href='../../css/format1.css'>
  <link rel=stylesheet type="text/css" href='../../css/main.css'>
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
  <script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
  <script type="text/javascript" src="../../share/functions/resize_elements.js"></script>
  <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
  <script type="text/javascript">
  	jQuery.noConflict();
	jQuery(document).ready(checkWindowSize);
	jQuery(window).resize(checkWindowSize); 
  </script>
</head>

<?php

//####################################################################################################################
//
// Datei wird verwendet, um alle Objekte einer Kollektion in den Download-Ordner des angemeldeten Users zu kopieren, 
// falls dieser die Berechtigung dazu hat
//
//#####################################################################################################################

if ( array_key_exists('coll_id',$_GET) )
{
	$coll_id = $_GET['coll_id'];
}

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/permissions.php';

echo "
<BODY onLoad=\"getCollectionDownloadFiles('$coll_id')\">
	<DIV Class='klein'>
		<div class='body_grid'>

			<div class='header'>
				pic2base :: Objekte werden kopiert
			</div>
			
			<div class='navigation'>
				<div class='menucontainer'></div>
			</div>
				
			<div class='content' id='content'>
				<p style='margin:120px 0px; text-align:center'>
				<center>
					<p class='klein' id = 'headline'>Status des Objekt-Downloads</p>
					<p class='klein' id='zaehler'></p>
					<div id='prog_bar' class='progress_bar' style='margin-top:30px; margin-bottom:30px;'>
						<img src='../../share/images/green.gif' name='bar' />
					</div>
					<p class='klein' id='meldung'>Bitte haben Sie ein wenig Geduld...</p>
					<p class='klein' id='counter'></p>
				</center>
				</p>
			</div>
			
			<div class='footer'>
				<a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</a>
			</div>
			
		</div>
	</div>
</body>";
?>

<script type = text/javascript>
var timeout = 1;
var fileList = null;
var gesamtanzahl;
var starttime = new Date();
var avgTime;
document.bar.width = '0';

function fileListReceived( responseText )
{
	//alert("Fkt. fileListReceived: " + responseText);
	fileList = JSON.parse( responseText, null );
	//alert("Fkt. fileListReceived - Coll-ID : " + fileList.coll_id);
	if(fileList.anzahl > 0)
	{
		coll_id = fileList.coll_id;
		gesamtanzahl = fileList.file_array.length;
		document.getElementById("zaehler").innerHTML = "Anzahl der herunterzuladenden Objekt-Dateien: " + gesamtanzahl;
		processFile( fileList, coll_id );
	}
	else
	{
		alert( "Es sind keine Dateien zu kopieren." );
		window.location="../start.php";
	}	
}

function showReady(avgTime)
{
	//Erfassungsfenster leeren:
	document.getElementById("headline").innerHTML = "";
	document.getElementById("zaehler").innerHTML = "";
	document.getElementById("meldung").innerHTML = "";
	document.getElementById( "prog_bar" ).style.border = "none";
	document.bar.width = '0';
	document.bar.height = '0';
	//Fertigmeldung ausgeben:
	//alert( "Der Kopiervorgang ist abgschlossen.\nDie durchschnittliche Bearbeitungszeit pro Objekt betrug " + avgTime + " Sekunden.");
	alert( "Der Kopiervorgang ist abgschlossen.");
	countDown();
}

function processFile( fileList, coll_id )
{
	var client = new XMLHttpRequest();
	client.open("GET", "copy_coll_pictures_action.php?pic_id=" + fileList.file_array[0] + "&coll_id=" + coll_id, true);
	fileList.file_array.splice( 0, 1 );
	client.onreadystatechange = function()
	{
		if( client.readyState == 4 )
		{
			//alert("Fkt. ProcessFile: " + client.responseText);
			var result = JSON.parse( client.responseText );
			
			if( result.errorCode != 0 )
			{
				alert( "Unbekannter Fehler: Datei " + result.Datei + ".jpg konnte nicht kopiert werden." );
			}
					
			if( fileList.file_array.length > 0 )
			{
				if( fileList.file_array.length > 1)
				{
					document.getElementById("meldung").innerHTML = "...es verbleiben noch " + fileList.file_array.length + " Dateien...";
				}
				else
				{
					document.getElementById("meldung").innerHTML = "...es verbleibt noch " + fileList.file_array.length + " Datei...";
				}
				var laenge = (gesamtanzahl - fileList.file_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				processFile( fileList, coll_id );
			}
			else
			{
				//Bearbeitung ist abgeschlossen
				//Berechnung der durchschnittlichen Bearbeitungszeit pro Objekt:
				var endtime = new Date();
				var runtime = (endtime.getTime() - starttime.getTime()) / 1000;
				avgTime = Math.round((runtime / gesamtanzahl) * 100) / 100;
				document.getElementById("meldung").innerHTML = "Kopiervorgang abgeschlossen.";
				//Aktualisierung des Fortschrittsbalkens auf 100%:
				var laenge = (gesamtanzahl - fileList.file_array.length) / gesamtanzahl * 500;
				document.bar.src = '../../share/images/green.gif';
				document.bar.width = laenge;
				document.bar.height = '12';
				setTimeout("showReady(avgTime)", 500);
			}
		}
	};
	client.send( null );
}

function countDown()
{
	if( timeout < 0 )
	{
		window.location='recherche2.php?pic_id=0&mod=collection';
	}
	else
	{
		if( timeout > 0 )
		{
			document.getElementById( "counter" ).innerHTML = "Sie werden in " + timeout.toString() + " Sekunden zur Kollektione-Auswahlseite weitergeleitet.";
		}
		else if(timeout == 0)
		{
			document.getElementById( "counter" ).innerHTML = "Weiterleitung l&auml;uft...";
		}
		setTimeout( "countDown()", 500 );	
	}
	timeout --;
}
</script>
</html>