<!DOCTYPE HTML>
<html>
<head>
    <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
    <title>pic2base - Datensatz-Recherche</title>
    <meta name="generator" content="Bluefish 2.2.10" >
    <META http-equiv="Content-Style-Type" content="text/css">
    <META HTTP-EQUIV="pragma" CONTENT="no-cache">
    <META http-equiv="cache-control" content="no-cache">
    <link rel=stylesheet type="text/css" href='../../css/format1.css'>
    <link rel=stylesheet type="text/css" href='../../css/main.css'>
    <link rel=stylesheet type="text/css" href='../../css/tooltips.css'>
    <link rel="shortcut icon" href="../../share/images/favicon.ico">
    <script type="text/javascript" src="../../share/functions/spec_functions.js"></script>
    <script type="text/javascript" src='../../share/proj4/proj4-src.js'></script>
    <script>proj4.defs("EPSG:5243","+proj=lcc +lat_1=48.66666666666666 +lat_2=53.66666666666666 +lat_0=51 +lon_0=10.5 +x_0=0 +y_0=0 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs");</script>
    <script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
    <script type="text/javascript" src="../../share/functions/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
        jQuery.noConflict();
    </script>
</head>

<?php

if (headers_sent() == false) 
{
    if (isset($_GET['PHPSESSID']) AND $_GET['PHPSESSID'] != '') 
    {
        session_start($_GET['PHPSESSID']);
    } 
    else 
    {
        session_start();
    }

    if ($_SESSION['uid'] != '') 
    {
        $uid = $_SESSION['uid'];
    } 
    else 
    {
        header('Location: ../../index.php');
    }

    if (isset($_SESSION['search_modus']) AND $_SESSION['search_modus'] != '') 
    {
        $search_modus = $_SESSION['search_modus'];
        if (isset($_SESSION['coll_id']) AND $_SESSION['coll_id'] != '') 
        {
            $coll_id = $_SESSION['coll_id'];
        }
        else
        {
            $_SESSION['coll_id'] = 0;
        } 
    } 
    else 
    {
        $search_modus = 'normal';
        $_SESSION['coll_id'] = 0; 
    }

    if ($_SESSION['kat_treeview_modus'] != '') 
    {
        $katTreeViewModus = $_SESSION['kat_treeview_modus'];
    } 
    else 
    {
        $katTreeViewModus = 'compact'; 
        $_SESSION['kat_treeview_modus'] = 'compact';
    }

    if ($_SESSION['kat_tree_sort_order'] != '') 
    {
        $katTreeSortOrder = $_SESSION['kat_tree_sort_order']; 
    } 
    else 
    {
        $katTreeSortOrder = 'alphabetical';
        $_SESSION['kat_tree_sort_order'] = 'alphabetical';
    }

    if (isset($_SESSION['parameter']) AND $_SESSION['parameter'] != '') 
    { 
        $parameter = $_SESSION['parameter'];
        $param = preg_split('#,#', $parameter);
    }
    else
    {
        $parameter='';
        $param = array();
    }

    if(count($param) == '3')
    {
        $lat = $param[0];
        $long = $param[1];
        $ort = $param[2];
    }
    else
    {
        $lat = 51.791232;
        $long = 10.952811;
        $ort = 'Blankenburg';
    }

    if(array_key_exists('bewertung', $_GET))
    {
        $bewertung = $_GET['bewertung'];
        $_SESSION['bewertung'] = $bewertung;
    }
    else
    {
        if ($_SESSION['bewertung'] !== '')
        {
            $bewertung = $_SESSION['bewertung'];
        }
        else
        {
            $bewertung = 6;
        }
    }
}

//echo "Parameter: ".$parameter.", Anzahl: ".count($param).", Breite: ".$lat.", Laenge: ".$long.", Ort: ".$ort."<br />";

/***********************************************************************************
 * Project: pic2base
 * File: recherche2.php
 *
 * Copyright (c) 2006 - 2021 Klaus Henneberg
 *
 * Project owner:
 * Dipl.-Ing. Klaus Henneberg
 * 38889 Blankenburg, BRD
 *
 * This file is licensed under the terms of the Open Software License
 * http://www.opensource.org/licenses/osl-2.1.php
 ***********************************************************************************/

?>
<link rel='stylesheet' href='../../share/ol_5.3.0/ol.css' type='text/css'></link>
<script type="text/javascript" src='../../share/ol_5.3.0/ol.js'></script>
<script type="text/javascript" src="../../share/calendar.js"></script>
<script type="text/javascript" src="../../share/functions/ShowPicture.js"></script>
<script type="text/javascript">
var Fenster1 = null;
var Fenster1PicId = null;

function closePopupWindow(pic_id)
{
	if (Fenster1 !== null)
	{
		if (Fenster1PicId !== pic_id)
		{
			Fenster1.close();
		}
	}
}

function showAllDetails(mod, pic_id)
{
    //alert("Objekt-ID: "+pic_id);
    if (Fenster1 !== null)
	{
		if (Fenster1PicId !== pic_id)
		{
			Fenster1.close();
		}
	}
    Fenster1 = window.open('../../share/details.php?pic_id='+pic_id, 'Details', 'width=550,height=900,scrollbars,resizable=no');
    Fenster1.focus();
    Fenster1PicId = pic_id;
    //alert("Fenster-Bezeichnung: " + Fenster1PicId);
}

function showOcrResult(mod, pic_id)
{
    //alert("Objekt-ID: "+pic_id);
    if (Fenster1 !== null)
	{
		if (Fenster1PicId !== pic_id)
		{
			Fenster1.close();
		}
	}
    Fenster1 = window.open('../../share/edit_ocr_result.php?pic_id='+pic_id+'&mod='+mod, 'Details', "width=670,height=900,scrollbars,resizable=no,");
    Fenster1.focus();
    Fenster1PicId = pic_id;
}

function reloadPreviews(pic_id, uid)
{
    Fenster1 = window.open('select_params.php?pic_id='+pic_id, 'Parameter', "width=780,height=560,scrollbars,resizable=no,");
    Fenster1.focus();
    Fenster1PicId = pic_id;
}

function changeOwner(pic_id)
{
    Fenster1 = window.open('change_owner.php?pic_id='+pic_id, 'Parameter', "width=780,height=570,scrollbars,resizable=no,");
    Fenster1.focus();
    Fenster1PicId = pic_id;
}

function showMap(pic_id)
{
    Fenster1 = window.open('show_map.php?pic_id='+pic_id, 'Karte', 'width=780,height=570,resizable=no');
    Fenster1.focus();
    //Fenster1PicId = pic_id;
}

function showLocations()
{
	//alert("Locations");
    Fenster1 = window.open('show_locations.php', 'Karte', "width=780,height=570,resizable=no,");
    Fenster1.focus();
}

function changeGeoParam(pic_id)
{
    var lat = <?php echo $lat; ?>;
    var long = <?php echo $long; ?>;
    var ort = "<?php echo $ort; ?>";
    
    if (Fenster1 !== null)
	{
		if (Fenster1PicId !== pic_id)
		{
			Fenster1.close();
		}
	}
	
    Fenster1 = window.open('../../share/change_geo_param.php?pic_id='+pic_id+'&lat='+lat+'&long='+long+'&ort='+ort, 'Karte', 'width=850,height=500');
    Fenster1.focus();
    Fenster1PicId = pic_id;
}

function saveNewParam(newlocation, ort, loc_id, pic_id)
{
    Fenster1 = window.open('save_new_param.php?location='+newlocation+'&ort='+ort+'&loc_id='+loc_id+'&pic_id='+pic_id, 'Speicherung', "width=10,height=10,scrollbars,resizable=no,");
}

function showDelWarning(pic_id)
{
    var check = confirm("Wollen Sie das Objekt wirklich entfernen?");
    if(check == true)
    {
        window.open('../../share/delete_picture.php?pic_id=' + pic_id, 'Delete', 'width=600px, height=450px');
    }
}

function rotatePictureSet(orientation, pic_id)
{
    Fenster1 = window.open('../../share/rotate_picture_set.php?orientation=' + orientation + '&pic_id='+pic_id, 'Speicherung', "width=500px,height=200px,scrollbars,resizable=no,");
}

//alert("Bildhoehe: "+screen.height);


function showKatInfo(kat_id)
{
    Fenster1 = window.open('../../share/edit_kat_info.php?kat_id='+kat_id, 'Kategorie-Informationen', "width=675,height=768,scrollbars,resizable=no,");
    Fenster1.focus();
}

function showDiary(aufn_dat)
{
    Fenster1 = window.open('../../share/edit_diary.php?aufn_dat='+aufn_dat, 'Tagebuch-Eintrag', "width=675,height=768,scrollbars,resizable=no,");
    Fenster1.focus();
}

function checkValues () 
{
    if((document.geo_rech1.radius1.value > 50) && (document.geo_rech1.einheit1.value == 1000))
    {
        alert("Der Umfang darf max. 50 km betragen\nBitte korrigieren Sie die Eingabe.");
        document.getElementById('radius1').value = "";
    }
    else
    if((document.geo_rech2.radius2.value > 50) && (document.geo_rech2.einheit2.value == 1000))
    {
        alert("Der Umfang darf max. 50 km betragen\nBitte korrigieren Sie die Eingabe.");
        document.getElementById('radius2').value = "";
    }
    return true;
}

function checkFields(zusatz1, bedingung1, zusatzwert1, mod, modus, base_file, bewertung, position, jump)
{
    //alert("Parameter in recherche2.php, Z. 270: " + zusatz1 + ", " + bedingung1 + ", " + zusatzwert1 + ", " + mod + ", " + modus + ", " + base_file + ", " + bewertung + ", " + position + ", " + jump);
    if (zusatz1 == '')
    {
        alert("Bitte wählen Sie ein Meta-Daten-Feld aus,\nlegen Sie die Bedingung fest\nund geben Sie ein Kriterium ein!\n\nOhne diese Angaben ist eine Suche nicht möglich.");
    }
    else if (zusatzwert1 == '')
    {
        var check = confirm("Sie haben kein Kriterium angeben.\nEs werden nun eventuell ALLE Objekte der Datenbank angezeigt!\nDas kann sehr lange dauern!\n\nWollen Sie das wirklich?");
        if (check == true)
        {
           getExifPreview(zusatz1, bedingung1, zusatzwert1, mod, modus, base_file, bewertung, position, jump, window.innerWidth);
        }
    }
    else
    {
        getExifPreview(zusatz1, bedingung1, zusatzwert1, mod, modus, base_file, bewertung, position, jump, window.innerWidth);
    }
}

function generateReport(pic_id, uid)
{
    //alert("Objekt-ID: " + pic_id + ", UID: " + uid);
    Fenster1 = window.open('../../share/generate_report.php?pic_id=' + pic_id + '&uid=' + uid, 'Report-Erstellung', "width=675,height=400,scrollbars,resizable=no,");
    Fenster1.focus();
}
// Funktionen fuer die Geo-Suche: ######################################

function storeParams(lon, lat, radius, einheit)
{
    var lon = lon.replace(",",".");
    var lat = lat.replace(",",".");
    var radius;
    var einheit;
    sessionStorage.setItem("lon", lon);
    sessionStorage.setItem("lat", lat);
    
    if(einheit === '1')
    {
		radius = Math.ceil(radius/1000*einheit);
    }
    if(radius <= 50)
	{
		sessionStorage.setItem("radius", radius);
	}
}

// #######  Funktionen für die erweiterte Suche:  ######################

function getKriterium(form_row)
{
	var form_row;
	var fn = form_row + 1;
	var cond = document.getElementById('sel' + form_row).value;	// cond: Nummer der Such-Bedingung lt. Auswahlfeld
	// nichts ausgewählt:
	if(document.getElementById('sel' + form_row).value == 0)
	{
		document.getElementById('div' + form_row).style.visibility='hidden';
		document.getElementById('search_button').style.visibility='hidden';
		document.getElementById('addRow' + fn).innerHTML ="";
	}
	else
	{	
		//alert("ext_form: Zeitraum, Such-Zeile: " + form_row + ", Such-Kriterium: " + cond);
		getSearchForm(form_row,cond);
		
		document.getElementById('div' + form_row).style.visibility='visible';
		
		if(form_row < 6)
		{
			document.getElementById('addRow' + fn).innerHTML ="<img src='../../share/images/minus.svg' class='icon1' title='Weiteres Suchkriterium hinzufügen'>";
			if(cond == 3)
			{
				document.getElementById('search_button').style.visibility='hidden';
			}
			else
			{
				document.getElementById('search_button').style.visibility='visible';
			}
			
			if(form_row > 1)
			{
				document.getElementById('switch_and_or').style.visibility='visible';
			}
		}
	}
}

function activateSearchButton()
{
	//alert("Such-Button wird aktiviert");
	document.getElementById('search_button').style.visibility='visible';
}

function switchCondition(numberOfCrit)
{
	//alert("Fkt" + numberOfCrit);
	document.getElementById('zeit1' + numberOfCrit).style.color = 'RGB(85,170,255)';
	if(document.getElementById('in_out' + numberOfCrit).value == 'in')
	{
		//alert("in");
    	document.getElementById('zeit1' + numberOfCrit).innerHTML = 'Vor dem ';
    	document.getElementById('zeit1' + numberOfCrit).title = 'klicken, um umzuschalten (vor / zwischen dem)';
    	document.getElementById('zeit2' + numberOfCrit).innerHTML = 'o. nach ';
    	document.getElementById('in_out' + numberOfCrit).value = 'out';
	}
	else if(document.getElementById('in_out' + numberOfCrit).value == 'out')
	{
		//alert("out");
    	document.getElementById('zeit1' + numberOfCrit).innerHTML = 'Zw. dem ';
    	document.getElementById('zeit1' + numberOfCrit).title = 'klicken, um umzuschalten (zwischen / vor dem)';
    	document.getElementById('zeit2' + numberOfCrit).innerHTML = 'und dem ';
    	document.getElementById('in_out' + numberOfCrit).value = 'in';
	}
}

function switchOption(row_number)
{
	// Fkt. entfernt den Plus-Button nach Anlage einer neuen Such-Zeile
	//alert("RowNumber in switchOption: " + row_number);
	document.getElementById('addRow' + row_number).innerHTML = "";
	addRow(row_number);
}

function clearForm()
{
	// Fkt. leert das Suchfeld
	document.getElementById('sel1').selectedIndex=0;
	document.getElementById('div1').innerHTML ="";
	document.getElementById('addRow2').innerHTML ="";
	document.getElementById('row2').innerHTML ="";
	document.getElementById('row3').innerHTML ="";
	document.getElementById('row4').innerHTML ="";
	document.getElementById('row5').innerHTML ="";
    document.getElementById('row6').innerHTML ="";
	document.getElementById('andor').value = 'and';
	document.getElementById('switch_and_or').value = 'Objekte sollen ALLE Bedingungen erfüllen';
	document.getElementById('search_button').style.visibility='hidden';
	document.getElementById('switch_and_or').style.visibility='hidden';
}

function switchAndOr()
{
	if(document.getElementById('andor').value == 'and')
	{
		document.getElementById('switch_and_or').value = 'Objekte sollen min. EINE Bedingungen erfüllen';
		document.getElementById('andor').value = 'or'
	}
	else if(document.getElementById('andor').value == 'or')
	{
		document.getElementById('switch_and_or').value = 'Objekte sollen ALLE Bedingungen erfüllen';
		document.getElementById('andor').value = 'and'
	}
}

// ############################# ENDE erweiterte Suche #########################################################
</script>

	<?php 
	
	include '../../share/global_config.php';
	include $sr.'/bin/share/db_connect1.php';
	include $sr.'/bin/share/functions/main_functions.php';

    if(count($param) == '3')
    {
        $lat = $param[0];
        $long = $param[1];
        $ort = $param[2];
    }
    else
    {
        $lat = 51.791232;
        $long = 10.952811;
        $ort = 'Blankenburg';
    }
	
	$result0 = mysqli_query($conn, "SELECT username, language FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
	$row0 = mysqli_fetch_assoc($result0);
	$username = $row0['username'];
	$language = $row0['language'];
	
	if ( array_key_exists('pic_id',$_GET) )
	{
            $pic_id = $_GET['pic_id'];
	}
	if ( array_key_exists('kat_id',$_GET) )
	{
            $kat_id = $_GET['kat_id'];
	}
	if ( array_key_exists('mod',$_GET) )
	{
            $mod = $_GET['mod'];
	}
	
	// je nach Vorhandensein, wird die Variable $s_m vorbelegt:
	if(array_key_exists('show_mod', $_SESSION))
	{
            $s_m = $_SESSION['show_mod'];
	}
	elseif ( array_key_exists('s_m',$_GET) )
	{
            $s_m = $_GET['s_m'];
	}
	else
	{
            $s_m = 'J';
	}
	

	$stat = createStatement($bewertung);
	
	$base_file = 'recherche2';
	
	switch($mod)
	{
        case 'zeit':
            include $sr.'/bin/share/functions/ajax_functions.php';
            echo "<body onLoad=\"getTimeTreeview('0','zeit','$s_m','$bewertung');\">";
        break;

        case 'kat':
            include $sr.'/bin/share/functions/ajax_functions.php';
            echo "<body onLoad=\"getKatTreeview('','0','kat','$bewertung','recherche','$katTreeViewModus','recherche2')\">";
        break;

        case 'extendedSearch':
            echo "<body>";
        break;

        case 'collection':
            include $sr.'/bin/share/functions/ajax_functions.php';
            echo "<body onLoad=\"getCollections('$uid','recherche','recherche2')\">";
            ?>
            <script type="text/javascript">
                function searchCollection(wert, parameter, modus)
                {
                    //alert("Suche..." + wert + " / " + parameter + " / " + modus);
                    if(wert === "")
                    {
                        location.reload();
                    }
                    else
                    {
                        refreshCollList(wert, parameter, modus);
                    }

                    if (parameter == 'coll_name')
                    {
                        document.getElementById('coll_name').focus();
                    }
                    else if (parameter == 'coll_description')
                    {
                        document.getElementById('coll_description').focus();
                    }
                }
            </script>
            <?php 
        break;
	}
	
	echo "
	<center>
	<div class='klein'>
	<div class='body_grid'>";
	
        if($search_modus == 'normal')
        {
            echo "
            <div class='header'>
                pic2base :: Datensatz-Recherche <span class='klein'>(User: $username; eingestellte Bewertung: ".showBewertung($bewertung).")</span>
            </div>

            <div class='navigation'>
                <div class='menucontainer'>";
                    createNavi2_1($uid);
                echo "</div>
            </div>";
        }
        elseif($search_modus == 'collection')
        {
            echo "
            <div class='header'>
                pic2base :: Datensatz-Recherche <span class='klein'>(User: $username; eingestellte Bewertung: ".showBewertung($bewertung).")</span> im Kollektions-Modus! <input type='button' class='button' style='color:RGB(85,170,255);' value='Zum Normalmodus' onCLick='location.href=\"recherche0.php\";'>
            </div>

            <div class='navigation'>
                <div class='menucontainer'>";
                    createNavi2_1_coll($uid, $coll_id);
                echo "</div>
            </div>";
        }
        
	//################################################################################################################

    echo "<div class='content' id='content'>
            <div class='content_grid_filmstripe'>";

	switch ($mod)
	{
		case 'zeit':
		echo "<div class='filmstripe_content_left' id='spalte1F'>
                <fieldset  class='normal' style='height: 95%;overflow-y: scroll;'>
                <legend class='normal'>Objektsuche nach Aufnahmedatum</legend>
                    <center>
                        <div id='scrollbox0' style='margin-top:10px; height:98%; overflow-y:hidden;'>
                        </div>
                    </center>
                </fieldset>
            </div>";
		break;
	//#####################################################################################################################	
		case 'kat':
        //$base_file = 'recherche2';
	    if($katTreeViewModus == 'compact')
	    {
	        $view = 'Kompakter Kategoriebaum';
	    }
	    elseif($katTreeViewModus == 'complete_view')
	    {
	        $view = 'Vollständiger Kategoriebaum';
	    }
	    
	    if($katTreeSortOrder == 'alphabetical')
	    {
	        $view2 = 'Alphabetische Sortierung';
	    }
	    elseif($katTreeSortOrder == 'decimal')
	    {
	        $view2 = 'Dezimale Sortierung';
	    }
        //echo "recherche2.php, Z. 621: katTreeViewModus: ".$katTreeViewModus;
		echo "<div class='filmstripe_content_left' id='spalte1F'>
                <fieldset id='kat_tree_fieldset' class='normal' style=' height: 95%;overflow-y:scroll;'>
                    <legend class='normal'>Objektsuche nach Kategorien
                    <span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Ansicht umzuschalten\n(vollständige / kompakte Ansicht)' onClick='alterKatTreeviewModus(\"$katTreeViewModus\",\"$base_file\");'>|".$view."|</span>
                    <span style='cursor:pointer;margin-left:10px;' title='Hier klicken, um Kategoriebaum-Sortierung umzuschalten\n(alphabetische / dezimale Sortierung)' onClick='alterKatSortOrder(\"$katTreeSortOrder\",\"$base_file\");'>|".$view2."|</span>
                    </legend>

                    <center>
                        <div id='scrollbox0' style='height: 98%; overflow-y:hidden;'>
                        </div>
                    </center>

                </fieldset>
			</div>";
		break;
        //#####################################################################################################################
		case 'kat_text':
		//echo ini_get('memory_limit');
		/*
		 * Da es sich bei dieser Sochoption um die gleiche Art wie bei der Suche nach Metadaten, und hier nach den Keywords handelt,
		 * wird auch die gleiche Routine für die Preview-Erzeugung verwendet (siehe checkFields() weiter unten).
		 */
		ini_set('memory_limit', '250M');
		include $sr.'/bin/share/functions/ajax_functions.php';
		$base_file = 'recherche2';
		$mod='exif';
		$modus='recherche';
		echo "
		<div class='filmstripe_content_left' id='spalte1F'>
			<fieldset id='kat_tree_fieldset' class='normal' style=' height:95%;overflow-y:scroll;'>
			<legend class='normal'>Objektsuche nach Kategorien</legend>
				<form name= \"exif_param\" method='POST'>
					<table class='geo' id='kat_text' align='center' style='width:500px;margin-top: 30px;'>
						
						<tr>
                            <td width = 100% colspan='2'><br /></td>
						</tr>
						
						<tr>
                            <input type='hidden' name='zusatz1' value='Keywords'>
						</tr>
						
						<tr>
                            <td align='left' style='height:22px; font-size:12px;'>
                                <p class='klein'>Kategorie:</p>
                            </td>

                            <td align='left'>				
                            <select name='bedingung1' id='kat_text_feld2' class='Auswahl200' style='width:450px; margin-right:10px;'>
                                <OPTION VALUE='='>ist gleich</OPTION>
                                <OPTION VALUE='<>'>ist ungleich</OPTION>
                                <OPTION VALUE='LIKE' selected>enth&auml;lt</OPTION>
                            </select>
                            </td>
						</tr>
						
						<tr>
                            <td align='left' style='height:22px; font-size:12px;'>
                            <p class='klein'>Suchbegriff:</p>
                            </td>
                            <td align = 'left'>
                            <div id='zw1'>";
                        
                            $field = 'Keywords';
                            $stat = createStatement($bewertung);

                                echo "<input type='text' title='Hier bitte Suchbegriff eintragen' class='Auswahl200' style='cursor:text; width:445px; margin-right:10px;' name='zusatzwert1' list='valuelist' id='kat_text_feld3' placeholder='Tragen Sie hier bitte Ihren Suchbegriff ein...'>
                                <datalist id='valuelist'>";
    
                                $result1 = mysqli_query($conn, "SELECT $field, pic_id, note 
                                FROM $table2
                                WHERE $stat 
                                GROUP BY $field
                                ORDER BY $field");
                                //echo mysqli_error($conn);
                                $num1 = mysqli_num_rows($result1);
    
                                $wert_alt = '';
                                for ($i1=0; $i1<$num1; $i1++)
                                {
                                    $row1 = mysqli_fetch_assoc($result1);
                                    $value = $row1[$field];
                                    $wert = $value;
                                    $val = $wert;
                                    //Pruefung, ob es schon einen Eintrag mit diesen Daten gab (bes. bei Datum interessant)
                                    if ($wert !== $wert_alt)
                                    {
                                        echo "<option value='$val' label='$val'></option>";
                                        $wert_alt = $wert;
                                    }
                                }

                                echo "</datalist>                                   
                                </div>
							</td>
						</tr>
						
						<tr>
                            <td width = 100% align = 'center' colspan='3'style='padding-top:50px; padding-bottom:50px;'>
                                <input type='button' value='Abbrechen' class='button' OnClick=\"location.href='recherche0.php'\">
                                <input type='button' value='Suchen' class='button' style='margin-left:50px;' onClick='checkFields(\"$field\", exif_param.bedingung1.value, exif_param.zusatzwert1.value, \"$mod\", \"$modus\", \"$base_file\", \"$bewertung\",0,0)'>
                            </td>
						</tr>

					</table>
				</form>
			</fieldset>
		</div>";
		break;
	//#####################################################################################################################		
		case 'desc':
		include $sr.'/bin/share/functions/ajax_functions.php';
		echo "
		<div class='filmstripe_content_left' id='spalte1F'>
		<fieldset id='kat_tree_fieldset' class='normal' style=' height: 95%;overflow-y:scroll;'>
		<legend class='normal'>Objektsuche nach Beschreibungs-Text</legend>";
			
		$ziel = "../../html/recherche/recherche2.php";
		$base_file = 'recherche2';
		$modus='recherche';
		$mod='desc';
			echo "
			<center>
                <div style='margin-top:50px;min-width:530px;border-style:solid;border-width:1px;border-color:var(--color3);padding-top:20px;padding-bottom:40px;'>
                    <form name='descr1' method='POST'>
                        <div>
                            <p class='klein'>Die Bildbeschreibung soll folgende Textfragmente enthalten:</p>
                        </div>

                        <div style='margin-top:20px;'>
                            <input type='text' name='desc1' id='desc1' class='Feld250' style='vertical-align:baseline; width:400px;' placeholder='Tragen Sie hier bitte Ihren Suchbegriff ein'>
                            <select name='bed1' style='min-width:100px;margin-left:10px;' class='button' title='Legen Sie hier fest, ob Sie den ersten und zweiten Suchbegriff UND oder ODER verknüpfen wollen.\nOhne Auswahl werden alle folgenden Suchbegriffe ignoriert.'>
                                <option value = '0'>und / oder?</option>
                                <option value = '1'>und</option>
                                <option value = '2'>oder</option>
                            </select>
                        </div>

                        <div style='margin-top:10px;'>
                            <input type='text' name='desc2' id='desc2' class='Feld250' style='vertical-align:baseline; width:400px;' placeholder='...weitere Suchbegriffe'>
                            <select name='bed2' style='min-width:100px;margin-left:10px;' class='button' title='Legen Sie hier fest, ob Sie den zweiten und dritten Suchbegriff UND oder ODER verknüpfen wollen.\nOhne Auswahl werden alle folgenden Suchbegriffe ignoriert.'>
                                <option value = '0'>und / oder?</option>
                                <option value = '1'>und</option>
                                <option value = '2'>oder</option>
                            </select>
                        </div>

                        <div style='margin-top:10px;'>
                            <input type='text' name='desc3' id='desc3' class='Feld250' style='vertical-align:baseline; width:400px;' placeholder='...weitere Suchbegriffe'>
                            <select name='bed3' style='min-width:100px;margin-left:10px;' class='button' title='Legen Sie hier fest, ob Sie den dritten und vierten Suchbegriff UND oder ODER verknüpfen wollen.\nOhne Auswahl werden alle folgenden Suchbegriffe ignoriert.'>
                                <option value = '0'>und / oder?</option>
                                <option value = '1'>und</option>
                                <option value = '2'>oder</option>
                            </select>
                        </div>
                        
                        <div style='margin-top:10px;'>
                            <input type='text' name='desc4' id='desc4' class='Feld250' style='vertical-align:baseline; width:400px;' placeholder='...weitere Suchbegriffe'>
                            <select name='bed4' style='min-width:100px;margin-left:10px;' class='button' title='Legen Sie hier fest, ob Sie den vierten und fünften Suchbegriff UND oder ODER verknüpfen wollen.\nOhne Auswahl werden alle folgenden Suchbegriffe ignoriert.'>
                                <option value = '0'>und / oder?</option>
                                <option value = '1'>und</option>
                                <option value = '2'>oder</option>
                            </select>
                        </div>

                        <div style='margin-top:10px;'>
                            <input type='text' name='desc5' id='desc5' class='Feld250' style='vertical-align:baseline; width:400px;' placeholder='...weitere Suchbegriffe'>
                            <input type='button' value='Suchen' style='min-width:100px;margin-left:10px;' class='button' onClick='getDescPreview1(descr1.desc1.value, descr1.bed1.value, descr1.desc2.value, descr1.bed2.value, descr1.desc3.value,  descr1.bed3.value, descr1.desc4.value, descr1.bed4.value, descr1.desc5.value, \"$mod\", \"$modus\", \"$base_file\", \"$bewertung\",0,0,window.innerWidth)'>
                        </div>
                    </form>
                </div> 
			 </center>
			
		 </fieldset>
		</div>";
		break;
	//#####################################################################################################################
		case 'geo':
		include $sr.'/bin/share/functions/ajax_functions.php';
		echo "
		<div class='filmstripe_content_left' id='spalte1F'>
			<fieldset id='kat_tree_fieldset' class='normal'  style=' height: 95%;overflow-y:scroll;'>
				<legend class='normal'>Objektsuche nach geografischen Koordinaten</legend>";
				$ziel = "../../html/recherche/recherche2.php";
				$base_file = 'recherche2';
				$mod='geo';
				$modus='recherche';
			//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
			// Suche nach Koordinaten und Umkreis via manueller Eingabe
				echo "
				<center>
					<form name=\"geo_rech1\" method=\"POST\">
                        <table class='geo'>
                            <tr class='geo'>
                                <td class='geo' colspan='2'>
                                    <p class='klein'>Suche nach geogr. Koordinaten und Umkreis</p>
                                </td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='border-style:none;'>&nbsp;</td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo1'>
                                    geogr. L&auml;nge (in Dez.-Grad)
                                </td>

                                <td class='geo2'>
                                    <input type='text' name='long' maxlength='12' placeholder = '10,982466667' class='Feld175'>
                                </td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo1'>geogr. Breite (in Dez.-Grad)</td>
                                <td class='geo2'><input type='text' name='lat' maxlength='12' placeholder = '51,79835' class='Feld175'></td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo1'>Ort liegt h&ouml;her als (m &uuml;.NN)</td>";
                                if ( !(isset($alt)) OR $alt == '')
                                {
                                    $alt = '0';
                                }
                                echo "
                                <td class='geo2'><input type='text' name='alt' maxlength='4' placeholder = '$alt' class='Feld175'></td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo1'>Umkreis (1m...50km)</td>
                                <td class='geo2'>
                                <input type='text' class='Umkreis' name='radius1' id='radius1' maxlength='4' size='4' value = '1'  onkeyup='checkValues(this.value)'; title='Dieser Wert darf zwischen 1m und 50km liegen.'>
                                <select name='einheit1' id='einheit1' class='Auswahl' style='height:20px';>
                                    <option value = '1'>m</option>
                                    <option value = '1000' selected>km</option>
                                </select>
                                </td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' style='border-style:none;'>&nbsp;</td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='text-align:center; border:none;'>
                                <input type='button' value='Nach Geo-Koordinaten suchen' class='button' style='width:250px;' onClick='storeParams(geo_rech1.long.value, geo_rech1.lat.value, geo_rech1.radius1.value, geo_rech1.einheit1.value); getGeoPreview1(geo_rech1.long.value, geo_rech1.lat.value, geo_rech1.alt.value, geo_rech1.radius1.value, geo_rech1.einheit1.value,  \"$mod\", \"$modus\", \"$base_file\", \"geo_rech1\", \"$bewertung\",0,0,window.innerWidth)'>
                                </td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='border-style:none;'>&nbsp;</td>
                            </tr>

                        </table>
					</form>";
               // ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
               // Suche nach Koordinaten und Umkreis via Karten-Auswahl
                echo "
				<center>
					<form name=\"geo_rech3\" method=\"POST\">
                        <table class='geo' style='margin-top:30px;'>
                            <tr class='geo'>
                                <td class='geo' colspan='2'>
                                    <p class='klein'>Suche nach Auswahl in einer Karte</p>
                                </td>
                            </tr>
	    
                            <tr class='geo'>
                                <td class='geo' colspan='2' style='border-style:none;'>&nbsp;</td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='text-align:center; border:none;'>
                                <input type='button' value='Karte anzeigen' class='button' style='width:250px;' onClick='showGeoRechMap()'>
                                </td>
                            </tr>
                            
                            <tr class='geo'>
                                <td class='geo' colspan='2' style='border-style:none;'>&nbsp;</td>
                            </tr>

                        </table>
					</form>";
					 
					 //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
					 // Suche nach Ortsbezeichnung und Umkreis
					 echo "
					<form name=\"geo_rech2\" method=\"POST\">
                        <table class='geo' style='margin-top:30px;'>
                            <tr class='geo'>
                                <td class='geo' colspan='2'>
                                    <p class='klein'>Suche nach Ortsbezeichnung und Umkreis</p>
                                </td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='border-style:none;'>&nbsp;</td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo1'>Ortsname</td>
                                <td class='geo2'>
                                    <select name='ort' class='Auswahl270'>";
                                    $result9 = mysqli_query($conn, "SELECT DISTINCT City FROM $table2 WHERE City <>'Ortsbezeichnung' AND City <> '' ORDER BY City");
                                    echo mysqli_error($conn);
                                    $num9 = mysqli_num_rows($result9);
                                    for ($i9=0; $i9<$num9; $i9++)
                                    {
                                        $row9 = mysqli_fetch_assoc($result9);
                                        $city = $row9['City'];
                                        //$result11 = mysqli_query($conn, "SELECT * FROM $table2 WHERE location='$city'");
                                        echo "<option value=\"$city\">".$city."</option>";
                                    }
                            echo "</select>
                                </td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo1'>Umkreis</td>
                                <td class='geo2'><input type='text' class='Umkreis' name='radius2' id='radius2' maxlength='4' size='4' value='1' onkeyup='checkValues(this.value)'; title='Dieser Wert darf zwischen 1m und 50km liegen.'>
                                <select name='einheit2' id='einheit2' class='Auswahl' style='height:20px;'>
                                <option value = '1'>m</option>
                                <option value = '1000' selected>km</option>
                                </select>
                                </td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='border-style:none;'>&nbsp;</td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='text-align:center; border:none;'>
                                <input type='button' value='Nach Ortsbezeichnung suchen' class='button' style='width:250px;' onClick='storeParams(\"10,9\", \"51,7\", geo_rech2.radius2.value, geo_rech2.einheit2.value); getGeoPreview2(geo_rech2.ort.value, geo_rech2.radius2.value, geo_rech2.einheit2.value, \"$mod\", \"$modus\", \"$base_file\", \"geo_rech2\", \"$bewertung\",0,0,window.innerWidth)'></td>
                            </tr>

                            <tr class='geo'>
                                <td class='geo' colspan='2' style='border-style:none;'>&nbsp;</td>
                            </tr>

                        </table>
					</form>
				</center>
			</fieldset>
		</div>";
		break;
	//#####################################################################################################################
		case 'exif':
		//echo ini_get('memory_limit');
		ini_set('memory_limit', '250M');
		include $sr.'/bin/share/functions/ajax_functions.php';
		$base_file = 'recherche2';
		$mod='exif';
		$modus='recherche';
		echo "
		<div class='filmstripe_content_left' id='spalte1F'>
            <fieldset id='kat_tree_fieldset' class='normal' style=' height: 95%;overflow-y:scroll;'>
            <legend class='normal'>Objektsuche nach Meta-Daten</legend>
                <form name= \"exif_param\" method='POST'>
                    <table class='geo' id='exif' align='center' style='width:500px;margin-top:30px;'>

                        <tr>
                            <td width = 100% align = 'center' colspan='2'><br /></td>
                        </tr>

                        <tr>
                            <td align='left' style='height:22px; font-size:12px;'>
                                <p class='klein'>Meta-Daten-Feld:</p>
                            </td>

                            <td align = 'right' style='height:22px; font-size:12px;'>
                            <select name='zusatz1' class='Auswahl200' style='width:300px; margin-right:10px;' id='exif_feld1' OnChange='getZusatzwert(document.exif_param.zusatz1.value, \"$bewertung\")'>";
                            OptionFields($language);
                            echo "</select>
                            </td>
                        </tr>

                        <tr>
                            <td align='left' style='height:22px; font-size:12px;'>
                            <p class='klein'>Bedingung:</p>
                            </td>
                            <td align = 'right'>				
                            <select name='bedingung1' class='Auswahl200' style='width:300px; margin-right:10px;' id='exif_feld2'>
                                <OPTION VALUE='='>ist gleich</OPTION>
                                <OPTION VALUE='<>'>ist ungleich</OPTION>
                                <OPTION VALUE='>'>ist gr&ouml;sser</OPTION>
                                <OPTION VALUE='<'>ist kleiner</OPTION>
                                <OPTION VALUE='LIKE' selected>enth&auml;lt</OPTION>
                            </select>
                            </td>
                        </tr>

                        <tr>
                            <td align='left' style='height:22px; font-size:12px;'>
                            <p class='klein'>Kriterium:</p>
                            </td>
                            <td align = 'right'>
                            <div id='zw1'><input type='hidden' id='zusatzwert1'></div>
                            </td>
                        </tr>

                        <tr>
                            <td width = 100% align = 'center' colspan='3' style='padding-top:50px;'>
                                <input TYPE='button' VALUE = 'Abbrechen' class='button' OnClick=\"location.href='recherche0.php'\">
                                <input type='button' value='Suchen' class='button' style='margin-left:50px;' onClick='checkFields(exif_param.zusatz1.value, exif_param.bedingung1.value, exif_param.zusatzwert1.value, \"$mod\", \"$modus\", \"$base_file\", \"$bewertung\",0,0)'>
                            </td>
                        </tr>

                        <tr>
                            <td width = 100% align = 'center' colspan='2'><br /></td>
                        </tr>

                        <tr>
                            <td width = 100% align = 'left' colspan='2'><p class='xs_bl'>Beachten Sie bitte:<br /><br />
                            Nicht in jedem Fall ist es zweckm&auml;ssig, die Abfrage-Bedingung 'ist gr&ouml;sser' oder 'ist kleiner' zu w&auml;hlen.<br />
                            Liefert die Auswahl des Meta-Daten-Felds Zahlenwerte als Kriterium, kann man sehr wohl nach Vorkommen suchen, bei denen der Wert gr&ouml;sser oder kleiner als das ausgew&auml;hlte Kriterium ist.<br />
                            Liefert die Auswahl des Meta-Daten-Felds hingegen eine Zeichenkette, sollte die Bedingung 'ist gleich' oder 'enth&auml;lt' lauten, um zu nachvollziehbaren Treffern zu gelangen.</p></td>
                        </tr>

                    </table>
                </form>
            </fieldset>
		</div>";
		break;
	//#####################################################################################################################
		case 'collection':
		echo "<div class='filmstripe_content_left' id='spalte1F'>
                <fieldset id='coll_description' class='normal' style=' height: 95%;overflow-y:scroll;'>
                <legend class='normal'>Suche nach Kollektionen</legend>
                    <center>
                        <div id='scrollbox0' style='height: 98%; overflow:hidden;'>
                        </div>
                    </center>
                </fieldset>
			</div>";	
		break;
	//#####################################################################################################################
		case 'extendedSearch':
		$base_file = 'recherche2';
		$mod='extendedSearch';
		$modus='recherche';
		$number = 0;
		
		echo "
		<div class='filmstripe_content_left' id='spalte1F'>
    		<fieldset id='ext_search' class='normal' style='height: 95%;overflow-y:scroll;'>
            <legend class='normal'>Suche nach Zeit, Kategorie, Ort, Beschreibung, Obj.-Typ</legend>
                <center>
                    <div id='scrollbox5' style='height: 98%; overflow:hidden;'>";  //echo $bewertung;
		              include '../../share/extended_form.php';
		          echo "
                    </div>
                </center>
            </fieldset>
		</div>";
		break;
	//#####################################################################################################################
        case 'fulltext':
	       $base_file = 'recherche2';
	       $mod='fulltext';
	       $modus='recherche';
	       $number = 0;
	       
	       echo "
           <div class='filmstripe_content_left' id='spalte1F'>
        		<fieldset id='ext_search' class='normal' style='height: 95%;overflow-y:scroll;'>
                <legend class='normal'>Volltext-Suche</legend>
                    <center>
                        <div id='scrollbox7' style='height: 98%; overflow-y:hidden;'>";
                        include '../../share/fulltext_form.php';
                        echo "
                        </div>
                    </center>
                </fieldset>
    		</div>";
	       break;
	}
//###############################################################################################################
		echo "
		<div class='filmstripe_content_right' id='spalte2F' style='overflow: hidden;'>

            <fieldset id='fieldset_spalte2' class='normal' style='height: 95%;overflow:hidden;'>
            <legend class='normal'>Hinweis zur Anzeige der Objekte</legend>
                <div id='help' style='height: 98%; overflow-y:scroll; text-align:left;'>
                    <p class='klein'>Bei der Suche von Bildern nach dem <b>Aufnahmedatum</b> oder einer <b>Kategorie</b> gelangen Sie zum Suchergebnis, 
                    indem Sie auf das Datum (Jahr, Monat oder Tag) oder den Kategorienamen klicken.<br />
                    Bei den <b>anderen Suchm&ouml;glichkeiten</b> f&uuml;llen Sie zuerst das entsprechende Formular aus.<br />
                    Wenn Sie ein Objekt in der Filmstreifen-Ansicht mit der Maus &uuml;berfahren, erhalten Sie in der rechten oberen 
                    Spalte einige Details zu diesem Objekt angezeigt.<br />Klicken Sie auf ein Objekt in dem Filmstreifen, gelangen 
                    Sie in den \"Bl&auml;tter\"-Modus.<br />
                    In diesem Modus haben Sie die M&ouml;glichkeit, sehr schnell alle gefundenen Objekte zu betrachten, sich das entsprechenden Objekt in Originalqualit&auml;t
                    anzusehen, oder - die entsprechende Berechtigung vorausgesetzt - das gesuchte Objekt herunterzuladen.<br /> 
                    Wenn Sie den \"Bl&auml;tter\"-Modus verlassen, gelangen Sie innerhalb der Filmstreifen-Ansicht an die Stelle,
                    an der sich das zuletzt betrachtete Objekt befindet.<br />Dieses wird dann auch in der Detailansicht dargestellt.<br /><br />
                    Bei der Suche nach <b>Kollektionen</b> haben Sie die M&ouml;glichkeit, duch Eingabe eine Suchbegriffs in eines der beiden Textfelder (Name oder 
                    Beschreibung der Kollektion) die Liste der angezeigten Kollektionen entsprechend einzugrenzen.<br />
                    Mit einem Klick auf den Button \"Ansicht\" k&ouml;nnen Sie sich die gew&uuml;nschte Kollektion anschauen.<br />
                    Das eingestellte Bewertungskriterium (Benotung) wird bei dieser Suche nicht ber&uuml;cksichtigt.
                    <br />
                    Die entsprechende Berechtigung vorausgesetzt, k&ouml;nnen Sie mit einem Klick auf den Download-Button alle Objekte einer Kollektion in Ihren Download-Ordner kopieren.<br />
                    Die Ansichts- und Download-Funktion steht selbstverst&auml;ndlich nur zur Verf&uuml;gung, wenn sich mindestens ein Objekt in der Kollektion befindet. Anderenfalls werden die genannten Icons nicht angezeigt.<br /><br />
                    Ausf&uuml;hrliche Hilfe zu den Suchm&ouml;glichkeiten finden Sie &uuml;ber den Button \"Hilfe\" in der 
                    Navigationsleiste oder direkt <span class='std' onClick='location.href=\"../help/help1.php?page=2\"'>hier</span>.</p>
                </div>
            </fieldset>
			
		</div>";
//###############################################################################################################	
		echo "
		<div class='filmstripe_content_bottom' id='filmstreifen'>";
		
		switch($mod)
		{
            case 'zeit':
            $modus='recherche';	//bedeutet, dass keine Checkboxen angezeigt werden und der Hinweistext entsprechend angepasst wird
            $mod='zeit';
            break;

            case 'kat':
            $modus='recherche';	//bedeutet, dass keine Checkboxen angezeigt werden und der Hinweistext entsprechend angepasst wird
            $base_file = 'recherche2';
            $mod='kat';
            break;

            case 'desc':
            $modus='recherche';	//bedeutet, dass keine Checkboxen angezeigt werden und der Hinweistext entsprechend angepasst wird
            $mod='desc';		
            break;

            case 'geo':
            $modus='recherche';	//bedeutet, dass keine Checkboxen angezeigt werden und der Hinweistext entsprechend angepasst wird
            $mod='geo';		
            break;
		}
		
		echo "
		</div>
        </div>
        </div>";
//###############################################################################################################	
		echo "
		<div class='footer'>
            <a style='position:relative; top:8px; left:10px; font-size:10px; color:var(--color1);' HREF='http://www.pic2base.de' target='blank'>www.pic2base.de</A>
		</div>
	
	</div>
    </div>
	
	<div id='blend' style='display:none; z-index:9999;'>
		<img src='../../share/images/grey.png' style='z-index:10000; position:absolute; top:0px; left:0px; width:100%; height:100%;' />
		<img src=\"../../share/images/loading.gif\" style='position:absolute; top:30%; left:50%; width:20px; z-index:10001;' />
	</div>";
// die hohen z-index-Werte oben sind erforderlich, damit sich das 'blend'-div auch über das Previev-Layer legt
mysqli_close($conn);

?>
</div>
</center>
</body>
</html>