<!DOCTYPE HTML>
<html>

<head>
  <title>Neue Konvertierungs-Parameter</title>
  <meta name="GENERATOR" content="Quanta Plus">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <link rel=stylesheet type="text/css" href='../../css/format2.css'>
  <link rel="shortcut icon" href="../../share/images/favicon.ico">
  <script type="text/javascript" src="../../ajax/inc/prototype.js"></script>
</head>

<script type="text/javascript">
function showVals(param_vals)
{
    alert("gespeicherte Parameter:\n\n"  + param_vals);
}
</script>

<body>
<?php
//###################################################################################################
//
// verwendet als Popup-Fenster zur Festlegung der neuen Konvertierungs-Parameter fuer das RAW-Objekt
//
//###################################################################################################

include '../../share/global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$exiftool = buildExiftoolCommand($sr);

if ( array_key_exists('pic_id',$_GET) )
{
	$pic_id = $_GET['pic_id'];
}

$result0 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$pic_id'");
$num0 = mysqli_num_rows($result0);
$row0 = mysqli_fetch_assoc($result0);
$FileNameOri = $row0['FileNameOri'];
$FileName = $row0['FileName'];

$file = strtolower($pic_path."/".restoreOriFilename($pic_id, $sr));
$Orientation = trim(shell_exec($exiftool." -n -s -S '-Orientation' ".$file));

//Erzeugung des RAW-Dateinamens:
$FileNameArray = explode('.', $FileName);
$FileNamePrefix = $FileNameArray[0];	//der Teil des internen Dateinamens vor dem Punkt
$FileNameOriArray = explode('.', $FileNameOri);
$FileNameExtension = $FileNameOriArray[count($FileNameOriArray)-1]; //alles, was hinter dem letzten Punkt des Original-Dateinamens steht
$FileNameRaw = $FileNamePrefix.".".$FileNameExtension;
//echo "select_params, Z. 78; Raw-Dateiname: ".$FileNameRaw."<br>";

//print_r($param_arr); echo "<br><br>";
if(count($param_arr) == 8)
{
    $hl_mode = $param_arr[0];   //echo "HL-Mode: ".$hl_mode."<br>";
    if ($hl_mode !== '')
    {
        $hl_mode_arr = explode(' ',$hl_mode);
        //print_r($hl_mode_arr);
        $hl_mode = "-H ".$hl_mode_arr[1];
    }
    else
    {
        $hl_mode = '';
        $hl_text = 'Highlight-Clipping';
    }

    $gamma_mode = $param_arr[1];    //echo "Gamma: ".$gamma_mode."<br>";
    if ($gamma_mode !== '')
    {
        $gamma_mode_arr = explode(' ',$gamma_mode);
        //print_r($gamma_mode_arr);
        $gamma_mode = "-g ".$gamma_mode_arr[1]." 0";
    }
    else
    {
        $gamma_mode = 'automatisch';
    }

    $targ_color = $param_arr[2];
    if ($targ_color !== '')
    {
        $targ_color_arr = explode(' ', $targ_color);
        $targ_color = "-o ".$targ_color_arr[1];
    }

    $col_inter = $param_arr[3];
    if ($col_inter !== '')
    {
        $col_inter_arr = explode(' ', $col_inter);
        $col_inter = "-q ".$col_inter_arr[1];
    }

    $rota = $param_arr[4];
    if (isset($rota))
    {
        $rota_arr = explode(' ', $rota);
        @$rota = $rota_arr[1];
        $rota_text = "-t ".$rota;
    }
    else
    {
        $rota = ' ';
        $rota_text = 'lt. Kamera';
    }

    $wb_mode = $param_arr[5];
    if (isset($wb_mode))
    {
        $wb_arr = explode(' ', $wb_mode);
        $wb_mode = $wb_arr[0];
    }
    else
    {
        $wb_mode = '-a';
    }

    //echo "WB-Mode: ".$wb_mode."<br>";

    $konv_mode = $param_arr[6];
    if($konv_mode == '-h')
    {
        $konv_mode = '-h';
    }
    else
    {
        $konv_mode = '';
    }
    //echo "Konv-Mode: ".$konv_mode."<br>"; 

    $contrast = $param_arr[7];
    if (isset($contrast))
    {
        $contrast_arr = explode(' ', $contrast);
        $contrast = $contrast_arr[1];
        $contrast_val = "-cont ".$contrast;
    }
    else
    {
        $contrast_val = '0';
    }
}
else
{
    $hl_mode = '';
    $targ_color = "-o ";
    $col_inter = "-q ";
    $hl_text = 'Highlight-Clipping';
    $gamma_mode = 'automatisch';
    $rota = ' ';
    $rota_text = 'lt. Kamera';
    $wb_mode = '-a';
    $konv_mode = '';
    $contrast_val = '0';
}
//echo "Contrast: ".$contrast."/".$contrast_val."<br>";
$param_vals = 'Highlight-Clipping: '.$hl_mode.'\nGamma: '.$gamma_mode.'\nZiel-Farbraum: '.$targ_color.'\nFarb-Interpolation: '.$col_inter;
$param_vals .= '\nRotation: '.$rota_text.'\nWeißabgleich: '.$wb_mode.'\nSchnell-Konvertierung: '.$konv_mode.'\nKontrast: '.$contrast_val;
//wenn das param_Array ($_SESSION['parameter']) mit gespeicherten Parametern existiert, werden diese vor-ausgewaehlt:
if (count($param_arr) !== 0)
{
    echo "<FORM name='saved_params'>
    <TABLE class='desc' style='width:750px;' align = 'center'>

    <TR class='normal' style='height:25px;'>
        <td class='normal' colspan = '3'>
        Gespeicherte Konvertierungs-Parameter:
        </td>
    </TR>

    <TR class='normal' style='height:25px;'>
        <td class='normal' colspan='2' style='width:250px;'>Gespeicherte Parameter</td>
        <td class='normal' style='width:500px;'>Vorschau f&uuml;r Objekt ".$pic_id." (".$FileNameOri." / ".$FileName.")</td>
    </TR>	

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='text-align:left; vertical-align:center; width:130px'>Highlight-Mode:</td>
        <td class='normal' style='text-align:left; vertical-align:center; width:120px'>".$hl_mode."</td>
        <td class='normal' rowspan='9' style='width:500px; height:450px; text-align:center; vertical-align:middle'>
            <div id='new_preview'>
                <p class='klein'>
                Die Erstellung der Vorschaubilder kann ein wenig dauern.<br />
                Die Berechnung ist abgeschlossen, wenn Sie hier<br /> das neu berechnete Objekt sehen.<br />
                Schließen Sie dann dieses Fenster und<br />aktualisieren Sie die Filmstreifen-Ansicht.
                </p>
            </div>
        </td>
    </TR>

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>Gamma-Korrektur:</td>
        <td class='normal' style='text-align:left; vertical-align:center'>".$gamma_mode."</td>
    </TR>

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>Ziel-Farbraum:</td>
        <td class='normal' style='text-align:left; vertical-align:center'>".$targ_color."</td>
    </TR>

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>Farb-Interpolation:</td>
        <td class='normal' style='text-align:left; vertical-align:center'>".$col_inter."</td>
    </TR>

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Drehung/Spiegel.:
        </td>
        <td class='normal' style='text-align:left; vertical-align:center'>".$rota_text."
        </td>
    </TR>

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Wei&szlig;abgleich:
        </td>
        <td class='normal' style='width:120px; text-align:left;  vertical-align:center'>".$wb_mode."
        </td>
    </TR>

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Schnell-Konvertierung:
        </td>
        <td class='normal' style='width:120px; text-align:left;  vertical-align:center'>".$konv_mode."
        </td>
    </TR>

    <TR class='normal' style='height:22px;'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Kontrast:
        </td>
        <td class='normal' style='width:120px; text-align:left;  vertical-align:center'>".$contrast_val."
        </td>
    </TR>";

    if($gamma_mode == 'automatisch')
    {
        $gamma_mode = '';
    }
    echo "
    <INPUT TYPE='hidden' NAME = 'highlight' VALUE='$hl_mode'>
    <INPUT TYPE='hidden' NAME = 'gamma' VALUE='$gamma_mode'>
    <INPUT TYPE='hidden' NAME = 'color_space' VALUE='$targ_color'>
    <INPUT TYPE='hidden' NAME = 'color_interpol' VALUE='$col_inter'>
    <INPUT TYPE='hidden' NAME = 'rota' VALUE='$rota_text'>
    <INPUT TYPE='hidden' NAME = 'wb' VALUE='$wb_mode'>
    <INPUT TYPE='hidden' NAME = 'hsi' VALUE='$konv_mode'>
    <INPUT TYPE='hidden' NAME = 'contrast' VALUE='$contrast_val'>";
}
else
{
    echo "<FORM name='new_params'>
    <TABLE class='desc' style='width:750px;' align = 'center'>
 
    <TR class='normal' style='height:25px;'>
        <td class='normal' colspan = '3'>
        Legen Sie hier bitte die neuen Konvertierungs-Parameter fest:
        </td>
    </TR>

    <TR class='normal' style='height:25px;'>
        <td class='normal' colspan='2' style='width:250px;'>Korrektur-Parameter</td>
        <td class='normal' style='width:500px;'>Vorschau f&uuml;r Objekt ".$pic_id." (".$FileNameOri." / ".$FileName.")</td>
    </TR>	

    <TR class='normal'>
        <td class='normal' style='text-align:left; vertical-align:center; width:130px'>
            Highlight-Mode:
        </td>

        <td class='normal' style='text-align:left; vertical-align:center; width:120px'>
            <select name='highlight' class='button' style='width:120px;height:22px'>
            <option selected value=''>(0) Spitzlicht-Clipping</option>
            <option value='-H 1'>(1) Spitzlicht-Restaurierung</option>
            <option value='-H 2'>(2) Spitzlicht-Restaurierung</option>
            <option value='-H 3'>(3) Spitzlicht-Restaurierung</option>
            <option value='-H 4'>(4) Spitzlicht-Restaurierung</option>
            <option value='-H 5'>(5) Spitzlicht-Restaurierung</option>
            <option value='-H 6'>(6) Spitzlicht-Restaurierung</option>
            <option value='-H 7'>(7) Spitzlicht-Restaurierung</option>
            <option value='-H 8'>(8) Spitzlicht-Restaurierung</option>
            <option value='-H 9'>(9) Spitzlicht-Restaurierung</option>
            </select>
        </td>

        <td class='normal' rowspan='9' style='width:500px; height:450px; text-align:center; vertical-align:middle'>
            <div id='new_preview'>
                <p class='klein'>
                    Die Erstellung der Vorschaubilder kann ein wenig dauern.<br />
                    Die Berechnung ist abgeschlossen, wenn Sie hier<br /> das neu berechnete Objekt sehen.<br />
                    Schließen Sie dann dieses Fenster und<br />aktualisieren Sie die Filmstreifen-Ansicht.
                </p>
            </div>
        </td>
    </TR>

    <TR class='normal'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Gamma-Korrektur:
        </td>
        <td class='normal' style='text-align:left; vertical-align:center'>
        <SELECT name=\"gamma\" class='button' STYLE='WIDTH:120px;height:22px'>
        <OPTION VALUE='' selected>automatisch</OPTION>";
        FOR($k=1; $k<=50; $k++)
        {
            $val = '-g '.number_format(($k/10),1,'.','.')." 0";
            echo "<OPTION VALUE='$val'>".substr($val,3,3)."</OPTION>";
        }
        echo "
        </SELECT>
        </td>
    </TR>

    <TR class='normal'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Ziel-Farbraum:
        </td>
        <td class='normal' style='text-align:left; vertical-align:center'>
        <SELECT name=\"color_space\" class='button' STYLE='WIDTH:120px;height:22px'>
        <OPTION VALUE='-o 0'>RAW</OPTION>
        <OPTION selected VALUE='-o 1'>sRGB</OPTION>
        <OPTION VALUE='-o 2'>AdobeRGB</OPTION>
        <OPTION VALUE='-o 3'>Wide Gamut</OPTION>
        <OPTION VALUE='-o 4'>Kodak Pro FotoRGB</OPTION>
        <OPTION VALUE='-o 5'>CIE XYZ</OPTION>
        </SELECT>
        </td>
    </TR>

    <TR class='normal'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Farb-Interpolation:
        </td>
        <td class='normal' style='text-align:left; vertical-align:center'>
        <SELECT name=\"color_interpol\" class='button' STYLE='WIDTH:120px;height:22px'>
        <OPTION VALUE='-q 0'>Bilineare Interpolation</OPTION>
        <OPTION VALUE='-q 1'>Reverse</OPTION>
        <OPTION VALUE='-q 2'>VNG (Variable Number of Gradients)</OPTION>
        <OPTION selected VALUE='-q 3'>AHD (Adaptive Homogeneity-Directed)</OPTION>
        </SELECT>
        </td>
    </TR>

    <TR class='normal'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Drehung/Spiegel.:
        </td>
        <td class='normal' style='text-align:left; vertical-align:center'>
        <SELECT name=\"rota\" class='button' style='WIDTH:120px;height:22px'>
        <OPTION selected value=''>lt. Kamera</OPTION>
        <OPTION VALUE='-t 0'>keine</OPTION>
        <OPTION VALUE='-t 1'>Spiegelung an der vert. Bildachse</OPTION>
        <OPTION VALUE='-t 2'>Spiegelung an der hor. Bildachse</OPTION>
        <OPTION VALUE='-t 3'>Drehung um 180&#176;</OPTION>
        <OPTION VALUE='-t 4'>Spiegelung an der vert. Bildachse und Drehung um 90&#176; CCW</OPTION>
        <OPTION VALUE='-t 5'>Drehung um 90&#176; CCW</OPTION>
        <OPTION VALUE='-t 6'>Drehung um 90&#176; CW</OPTION>
        <OPTION VALUE='-t 7'>Spiegelung an der vert. Bildachse und Drehung um 90&#176; CW</OPTION>
        </SELECT>
        </td>
    </TR>

    <TR class='normal'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Wei&szlig;abgleich:
        </td>
        <td class='normal' style='width:120px; text-align:left;  vertical-align:center'>
        <SELECT name='wb' class='button' style='width:120px;height:22px'>
        <option value='-a'>automatisch</option>
        <option selected value='-w'>von Kamera</option>
        </select>
        </td>
    </TR>

    <TR class='normal'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Schnell-Konvertierung:
        </td>
        <td class='normal' style='width:120px; text-align:left;  vertical-align:center'>
        <SELECT name='hsi' class='button' style='width:120px;height:22px'>
        <option selected value='-h'>ja</option>
        <option value=''>nein</option>
        </select>
        </td>
    </TR>

    <TR class='normal'>
        <td class='normal' style='width:130px;text-align:left; vertical-align:center'>
        Kontrast:
        </td>
        <td class='normal' style='width:120px; text-align:left; vertical-align:center'>
        <SELECT name='contrast' class='button' style='width:120px;height:22px'>
        <option value='-cont 5'>+5</option>
        <option value='-cont 4'>+4</option>
        <option value='-cont 3'>+3</option>
        <option value='-cont 2'>+2</option>
        <option value='-cont 1'>+1</option>
        <option selected value='-cont 0'>keine &Auml;nderung</option>
        <option value='-cont -1'>-1</option>
        <option value='-cont -2'>-2</option>
        <option value='-cont -3'>-3</option>
        <option value='-cont -4'>-4</option>
        <option value='-cont -5'>-5</option>
        </select>
        </td>
    </TR>";
}
// je nach Modus:
if (count($param_arr) !== 0)
{
    echo "<TR class='normal' style='height:180px;'>
        <td class='normal' colspan = '2' style='vertical-align:top'>
        <!--<input type='button' class='button' value='Lade Standard-Parameter' onClick=\"eraseCookie('params'); location.href='select_params.php?pic_id=$pic_id'\" style='margin-top:30px; width:250px'>-->
        <input type='button' class='button' disabled title='diese Funktion steht hier nicht zur Verfügung' value='Speichere Parameter f&uuml;r diese Sitzung' onClick=\"saveRawParams(document.saved_params.highlight.value, document.saved_params.gamma.value, document.saved_params.color_space.value, document.saved_params.color_interpol.value, document.saved_params.rota.value, document.saved_params.wb.value, document.saved_params.hsi.value, document.saved_params.contrast.value, '$pic_id');\" style='margin-top:10px; width:250px'>
        <!--<input type='button' class='button' disabled title='diese Funktion steht hier nicht zur Verfügung' value='Zeige gespeicherte Parameter' onClick=\"showVals('$param_vals')\" style='margin-top:10px; width:250px'>-->
        <input type='button' class='button' value='L&ouml;sche gespeicherte Parameter' onClick=\"eraseRawParams('$pic_id')\" style='margin-top:10px; width:250px'>
        <input type='button' class='button' value='Vorschau mit gew&auml;hlten Parametern' onClick=\"createNewPreview('$pic_id', document.saved_params.highlight.value, document.saved_params.gamma.value, document.saved_params.color_space.value, document.saved_params.color_interpol.value, document.saved_params.rota.value, document.saved_params.wb.value, document.saved_params.hsi.value, document.saved_params.contrast.value, '$FileNameRaw', 'tmp', '$Orientation')\" style='margin-top:10px; width:250px'>
        </td>
    </TR>";
}
else
{
    echo "<TR class='normal' style='height:180px;'>
        <td class='normal' colspan = '2' style='vertical-align:top'>
        <!--<input type='button' class='button' value='Lade Standard-Parameter' onClick=\"eraseCookie('params'); location.href='select_params.php?pic_id=$pic_id'\" style='margin-top:30px; width:250px'>-->
        <input type='button' class='button' value='Speichere Parameter f&uuml;r diese Sitzung' onClick=\"saveRawParams(document.new_params.highlight.value, document.new_params.gamma.value, document.new_params.color_space.value, document.new_params.color_interpol.value, document.new_params.rota.value, document.new_params.wb.value, document.new_params.hsi.value, document.new_params.contrast.value, '$pic_id');\" style='margin-top:10px; width:250px'>
        <!--<input type='button' class='button' disabled title='diese Funktion steht hier nicht zur Verfügung' value='Zeige gespeicherte Parameter' onClick=\"showVals('$param_vals')\" style='margin-top:10px; width:250px'>-->
        <input type='button' class='button' disabled title='diese Funktion steht hier nicht zur Verfügung' value='L&ouml;sche gespeicherte Parameter' onClick=\"eraseRawParams('$pic_id')\" style='margin-top:10px; width:250px'>
        <input type='button' class='button' value='Vorschau mit gew&auml;hlten Parametern' onClick=\"createNewPreview('$pic_id', document.new_params.highlight.value, document.new_params.gamma.value, document.new_params.color_space.value, document.new_params.color_interpol.value, document.new_params.rota.value, document.new_params.wb.value, document.new_params.hsi.value, document.new_params.contrast.value, '$FileNameRaw', 'tmp', '$Orientation')\" style='margin-top:10px; width:250px'>
        </td>
    </TR>";
}
echo "
    <TR class='normal'>
        <td class='normal' colspan='2' style='width:250px;'>
            <input type='button' class='button' value='Fenster schliessen' onClick='javascript:window.close()' style='width:250px'>
        </td>";
if (count($param_arr) !== 0)
{   
    echo "<td class='normal' style='text-align:center;'>
            <input type='button' class='button' value='Vorschaubilder neu erzeugen' onClick=\"createNewPreview('$pic_id', document.saved_params.highlight.value, document.saved_params.gamma.value, document.saved_params.color_space.value, document.saved_params.color_interpol.value, document.saved_params.rota.value, document.saved_params.wb.value, document.saved_params.hsi.value, document.saved_params.contrast.value, '$FileNameRaw', 'new', '$Orientation')\" style='width:250px;'>
        </td>
    </TR>";
}
else
{
    echo "<td class='normal' style='text-align:center;'>
            <input type='button' class='button' value='Vorschaubilder neu erzeugen' onClick=\"createNewPreview('$pic_id', document.new_params.highlight.value, document.new_params.gamma.value, document.new_params.color_space.value, document.new_params.color_interpol.value, document.new_params.rota.value, document.new_params.wb.value, document.new_params.hsi.value, document.new_params.contrast.value, '$FileNameRaw', 'new', '$Orientation')\" style='width:250px;'>
        </td>
    </TR>";
}

echo "
</table>
</form>
<div id='error'></div>
<div id='blend' style='display:none; z-index:99;'>
<img src='../../share/images/grey.png' style='z-index:100; position:absolute; top:0px; left:0px; width:100%; height:100%;' />
<img src=\"../../share/images/loading.gif\" style='position:absolute; top:200px; width:20px; z-index:101;' />
</div>";
?>
</body>
</html>