<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<?php
include 'global_config.php';
if ( array_key_exists('pic_id',$_REQUEST) )
{
	$pic_id = $_REQUEST['pic_id'];
}
IF(array_key_exists('lat',$_REQUEST))
{
	$lat = $_REQUEST['lat'];
}
IF(array_key_exists('long',$_REQUEST))
{
	$long = $_REQUEST['long'];
}
IF(array_key_exists('ort',$_REQUEST))
{
	$ort = $_REQUEST['ort'];
}
IF(array_key_exists('width',$_REQUEST))
{
	$width = $_REQUEST['width'];
}
IF(array_key_exists('height',$_REQUEST))
{
	$height = $_REQUEST['height'];
}
?>
<link rel=stylesheet type="text/css" href='../css/format2.css'>
<head>

<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>Geo-Daten bearbeiten...(Objekt <?php echo $pic_id; ?>)</title> 

<style type="text/css">
/*v\:*{behavior:url(#default#VML)}*/
BODY{font-family:Arial;font-size:small;background-color:#FFFFFF}
A:hover{color:red;text-decoration:underline}
</style> 

<?php
//var_dump($_REQUEST);

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';

$result1 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$pic_id'");
echo mysqli_error($conn);
$row1 = mysqli_fetch_assoc($result1);

//Ref. ist vorhanden, wenn geogr. Breite u. Laenge vorhanden sind:
$long = $row1['GPSLongitude'];
$lat = $row1['GPSLatitude'];
IF($lat !== NULL AND $long !== NULL)
{
	$alt = $row1['GPSAltitude'];
	$loc = round($lat,6).",".round($long,6);
	$ort = $row1['City'];
}
ELSE
{
	//Objekt hatte noch keine Geo-Referenzierung
	unset($parameter);

	@$parameter = $_COOKIE['parameter'];
	$param = preg_split("/,/", $parameter);
	IF(count($param) > '2')
	{
		$lat = $param[0];
		$long = $param[1];
		//der erste und zweite Parameter sind die Koordinaten,
		//der dritte und alle weiteren gehoeren lt. Definition zur Ortsbezeichnung,
		//denn diese kann aus dem Ortsnamen und ggf durch Kommata getrennte Ergaenzungen bestehen
		//(z.B.: Blankenburg, Gehren)
		$ort = '';
		FOR($K=2; $K<count($param); $K++)
		{
			$ort .= $param[$K];
			IF($K<count($param) - 1)
			{
				$ort .= ',';
			}
		}
		$loc = round($lat,6).",".round($long,6);
	}
	ELSE
	{
		$loc = '';
	}

	IF($lat == '' OR $long == '' OR $loc == '')	//wenn der Cookie noch nichts mitbringt...
	{
		$lat = 51.791232;
		$long = 10.952811;
		$ort = 'Blankenburg';
		$loc = round($lat,6).",".round($long,6);
	}
	//echo "Parameter: ".htmlentities($parameter).", Breite: ".$lat.", Laenge: ".$long.", Ort: ".$ort."<br />";
}
?>

<script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript">

var marker = null;

function roundNumber(num, dec) {
	var result = Math.round(num*Math.pow(10,dec))/Math.pow(10,dec);
	return result;
}

function dragMarker(latlng)
{
	document.getElementById("location").value = roundNumber(marker.position.lat(), 6) + "," + roundNumber(marker.position.lng(), 6);
}

function initialize() 
{
	document.getElementsByName('send')[0].focus();
  var myLatlng = new google.maps.LatLng(<?php echo $lat.",".$long;?>);
  var myOptions = 
    {
    		zoom: 14,
    		center: myLatlng,
    		mapTypeId: google.maps.MapTypeId.ROADMAP
  	}
  var map = new google.maps.Map(document.getElementById("map"), myOptions);
  marker = new google.maps.Marker(
  	{
      position: myLatlng, 
      map: map,
      draggable: true
  	});   
  google.maps.event.addListener(marker, "drag", dragMarker);
  google.maps.event.addListener(marker, "dragend", dragMarker);
}
</script>
</head>

<body onload="javascript:initialize();">
 
    <div id="map" style="position: absolute; top:10px;left:10px;width:530px; height:370px">
    </div>
    <div id="loc" style="position: absolute; top:390px;left:10px;">
    <form name = "lok" method = "post" action = "../html/recherche/save_new_param.php">
        <input type="text" class='button' name = "location" id="location" style="width:140px; margin-right:10px;" value = "<?php echo $loc; ?>">
        <input type="text" class='button' name = 'ort' style="width:140px; margin-right:10px;" value = "<?php echo $ort; ?>" title = "<?php echo $ort; ?>">
        <input type = "hidden" name = "vorh_location" value = "<?php echo $vorh_location; ?>">
        <input type = "hidden" name = "pic_id" value = "<?php echo $pic_id; ?>">
        <input type="submit" class='button' name = "send" value="Ortsangabe speichern" style="width:165px;">
        </div>
    </form>
</body>

</html>
