<?php

//########################################################################################
// Ausgabe von Bildinformationen beim initialen Aufruf der vergr. Vorschau (PreviewLayer)#
//########################################################################################

include 'read_session_prefs.php';
include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/permissions.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/ajax_functions.php';

if(isset($_SESSION['search_modus']))
{
    $search_modus = $_SESSION['search_modus'];
    if (!isset($_SESSION['coll_id'])) $_SESSION['coll_id'] = '';
    if($_SESSION['coll_id'] != '')
    {
        $coll_id = $_SESSION['coll_id'];
    }
    else
    {
        $coll_id = '';
    }
}
else
{
    $search_modus = 'normal';
}

//var_dump($_GET);
if ( array_key_exists('FileName',$_GET) )
{
    $FileName = $_GET['FileName'];
}

if ( array_key_exists('c_username',$_GET) )
{
    $c_username = $_GET['c_username'];
}

if ( array_key_exists('pic_id',$_GET) )
{
    $pic_id = $_GET['pic_id'];
}

if ( array_key_exists('inforequest',$_GET) )
{
    $inforequest = $_GET['inforequest'];
}

$source = "pl"; // Quelle = preview_layer.php

$datei = $ftp_path."/".$uid."/downloads/".$FileName;

// Welche Berechtigung Dateien herunterzuladen hat der User? (downloadallpics, downloadmypics, keine)
if(hasPermission($uid, "downloadallpics", $sr))
{
    if($search_modus == 'normal')
    {
        if ($inforequest == 'DownloadStatusIconPreview')
        {
            clearstatcache();
            if(is_readable($datei))
            {
                echo "<img src='$inst_path/pic2base/bin/share/images/selected.svg' class='pl' onClick='delPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt aus dem FTP-Download-Ordner entfernen (R-Taste)' />";
            }
            else
            {
                echo "<img src='$inst_path/pic2base/bin/share/images/download.svg' class='pl' onClick='copyPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt in den FTP-Download-Ordner kopieren (D-Taste)'/>";
            }
        }
    }
    elseif($search_modus == 'collection')
    {
        $coll_id = $_SESSION['coll_id'];
        if ($inforequest == 'DownloadStatusIconPreview')
        {
            if(isInCollection($uid, $pic_id, $coll_id, $sr))
            {
                echo "<div  id='coll_stat'>
                <SPAN style='cursor:pointer;' onClick='removePicture3(\"$coll_id\",\"$pic_id\",\"$uid\",\"$source\")'>
                <img src='$inst_path/pic2base/bin/share/images/selected.svg' class='pl' title='Objekt aus der Kollektion entfernen (R-Taste)' />
                </SPAN>
                </div>";
            }
            else
            {
                echo "<div  id='coll_stat'>
                <SPAN style='cursor:pointer;' onClick='addPicture(\"$coll_id\",\"$pic_id\",\"$uid\",\"$source\")'>
                <img src='$inst_path/pic2base/bin/share/images/download.svg' class='pl' title='Objekt zur Kollektion hinzufügen (D-Taste)'/>
                </SPAN>
                </div>";
            }
        }
    }
}
elseif(hasPermission($uid, "downloadmypics", $sr))
{
    if(isOwner($uid, $pic_id, $sr))
    {
        if ($inforequest == 'DownloadStatusIconPreview')
        {
            clearstatcache();
            if(is_readable($datei))
            {
                echo "<img src='$inst_path/pic2base/bin/share/images/selected.svg' class='pl' onClick='delPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt aus dem FTP-Download-Ordner entfernen (R-Taste)' />";
            }
            else
            {
                echo "<img src='$inst_path/pic2base/bin/share/images/download.svg' class='pl' onClick='copyPicture(\"$FileName\",\"$uid\",\"$pic_id\",\"$source\")' title='Objekt in den FTP-Download-Ordner kopieren (D-Taste)'/>";
            }
        }
    }
    else
    {
        echo "<SPAN style='cursor:pointer;'>
        <img src='$inst_path/pic2base/bin/share/images/no_pic.svg' class='pl' title='Sie haben keine ausreichende Berechtigung, Bilder herunter zu laden.' />
        </SPAN>";
    }
}
else
{
    echo "<SPAN style='cursor:pointer;'>
    <img src='$inst_path/pic2base/bin/share/images/no_pic.svg' class='pl' title='Sie haben keine ausreichende Berechtigung, Bilder herunter zu laden.' />
    </SPAN>";
}
?>