<script type='text/javascript'>
//alert("Skript aufgerufen");

var divLargeImageElement;
var divFullscreenImageElement;
var currentPreviewImageIndex;
var imagePath;
var user_id = 0;
var statusFlag = 0;         // 0 - F wechselt von klein zu Vollbild, 1 - F wechselt von Vollbild wieder zurueck zu klein
var n = 0;
var timestamp = Date.now(); // unterbindet Caching der (nachträglich) gedrehten Bilder
//alert("Zeit: " + timestamp);
//
//
//  Aktualisierung der Navigationsleiste  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

self.updateNavImages = function updateNavImages()
{
  if (currentPreviewImageIndex <= 0)
  {
    $('imgNavFirst').src = '../../share/images/first_disabled.svg';
    $('imgNavPrevStep').src = '../../share/images/prevstep_disabled.svg';
    $('imgNavPrev').src = '../../share/images/prev_disabled.svg';
  }
  else
  {
    $('imgNavFirst').src = '../../share/images/first.svg';
    $('imgNavPrevStep').src = '../../share/images/prevstep.svg';
    $('imgNavPrev').src = '../../share/images/prev.svg';
  }
  
  if (currentPreviewImageIndex >= imageArray.length - 1)
  {
    $('imgNavLast').src = '../../share/images/last_disabled.svg';
    $('imgNavNextStep').src = '../../share/images/nextstep_disabled.svg';
    $('imgNavNext').src = '../../share/images/next_disabled.svg';
  }
  else
  {
    $('imgNavLast').src = '../../share/images/last.svg';
    $('imgNavNextStep').src = '../../share/images/nextstep.svg';
    $('imgNavNext').src = '../../share/images/next.svg';
  }
}

//  Erzeugung der Fullscreen-Overlay-Überschrift (Datei XXX.jpg - Objekt n von m)  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
self.loadCurrentPreviewImage = function loadCurrentPreviewImage(imagePath)
{
  $('imgPreview').src = imagePath + "vorschau/hq-preview/" + imageArray[currentPreviewImageIndex].fileName + "_hq.jpg?zeit=" + timestamp;
  $('labelPreviewFileName').innerHTML = imageArray[currentPreviewImageIndex].fileName + ".jpg";
  $('labelPreviewFileNumber').innerHTML = currentPreviewImageIndex + 1;

  var lenght = 300 * (currentPreviewImageIndex + 1) / imageArray.length;
  $('statusbar').innerHTML = '<img src="../../share/images/green.gif" style="width:' + lenght + 'px; height:10px; position:absolute;">';
  //alert(lenght);
  var target = '';
  var url = '../../share/picture_info.php';
  var params = 'FileName=' + imageArray[currentPreviewImageIndex].fileName + '.jpg' + '&c_username=' + c_username + '&pic_id=' + imageArray[currentPreviewImageIndex].id + '&inforequest=DownloadStatusIconPreview&Owner=' + imageArray[currentPreviewImageIndex].Owner + '&user_id=' + user_id;
  var myAjax = new Ajax.Updater('divPreviewDownloadButton', url,{method:'get', parameters: params});
  var pic_id = imageArray[currentPreviewImageIndex].id;
  //alert ("Load currentPreviewImage Z. 61, PIC_ID: " + pic_id);
  scorePicture(pic_id,12); // ruft Fkt. in Zeile 232 auf
}

// Funktionen der Navigations-Buttons:  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
self.firstImage = function firstImage(imagePath)
{
  currentPreviewImageIndex = 0;
  updateNavImages();
  loadCurrentPreviewImage(imagePath);
}

self.lastImage = function lastImage(imagePath)
{
  currentPreviewImageIndex = imageArray.length - 1;
  updateNavImages();
  loadCurrentPreviewImage(imagePath);
}

self.nextImage = function nextImage(imagePath)
{
  currentPreviewImageIndex++;
  if (currentPreviewImageIndex > imageArray.length - 1)
  {
    currentPreviewImageIndex = imageArray.length - 1;
  }
  updateNavImages();
  loadCurrentPreviewImage(imagePath);
  n = currentPreviewImageIndex;
}

self.nextStepImage = function nextStepImage(imagePath)
{
  currentPreviewImageIndex += 10;
  if (currentPreviewImageIndex > imageArray.length - 1)
  {
    currentPreviewImageIndex = imageArray.length - 1;
  }
  updateNavImages();
  loadCurrentPreviewImage(imagePath);
}

self.prevImage = function prevImage(imagePath)
{
  currentPreviewImageIndex--;
  if (currentPreviewImageIndex < 0)
  {
    currentPreviewImageIndex = 0;
  }
  updateNavImages();
  loadCurrentPreviewImage(imagePath);
}

self.prevStepImage = function prevStepImage(imagePath)
{
  currentPreviewImageIndex -= 10;
  if (currentPreviewImageIndex < 0)
  {
    currentPreviewImageIndex = 0;
  }
  updateNavImages();
  loadCurrentPreviewImage(imagePath);
}
// schließen der Fullscreen-Ansicht  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
self.hideFullscreenImage = function hideFullscreenImage()
{
  document.body.removeChild(divFullscreenImageElement);
}
// ... und Anzeige der Original-Ansicht (Fullscreen)  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
self.showFullscreenImage = function showFullscreenImage(imagePath)
{
    var image = imageArray[currentPreviewImageIndex].fileName + ".jpg?zeit=" + timestamp;
    //alert(image);

    divFullscreenImageElement = document.createElement("divFullscreenImage");
    var h = 100;
    var w = 100;
    if (window.innerHeight)
    {
        h = window.innerHeight;
        w = window.innerWidth;
    } 
    else if (document.documentElement && document.documentElement.clientHeight)
    {
        h = document.documentElement.clientHeight;
        w = document.documentElement.clientWidth;
    } 
    else if (document.body)
    {
        h = document.body.clientHeight;
        w = document.body.clientWidth;
    }
    if ((w / h) < (imageArray[currentPreviewImageIndex].ratio))
    {
        h = w / imageArray[currentPreviewImageIndex].ratio; 
    }
    //alert(h);

    //Kontrolle, ob gedrehtes Vorschabild verwendet werden kann:
    var result = "default";
    result = jQuery.ajax({
    type: 'POST',
    async: false,   // WICHTIG!
    url: '../../share/check_rotated_preview.php',
    data: ({
            filename: image,
    })
    }).responseText;
    //alert(result);
	
    divFullscreenImageElement.innerHTML = 
    '<div id="divImageLarge" style="position:fixed; left:0px; top:0px; width:100%; height:100%; background-color:#333333; z-index:600; overflow: hidden;">'+
    '<center>'+
    '<span style="cursor:pointer;">'+
    '<img id="imgFullscreen" src="' + imagePath + result + imageArray[currentPreviewImageIndex].fileName + '.jpg?zeit=' + timestamp + '" height='+h+' style="max-width:100%; border-radius:15px; border-width:0px;" onClick="javascript:hideFullscreenImage()" title=\"[Mausklick schlie&szlig;t Fenster!]\">'+
    '</span>'+
    '</center>'+
    '</div>';
    //document.getElementById('divImageLarge').focus();
    document.body.appendChild(divFullscreenImageElement);
    statusFlag = 1;
}

// Vorschau-Ansicht schließen  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
self.hideFullscreenOverlay = function hideFullscreenOverlay(updateFilmstreifenCallback)
{
  console.log(updateFilmstreifenCallback);
  //alert("preview_layer.php, Z. 191 -> Bild im FS: " + currentPreviewImageIndex + ", Objekt-ID: " + imageArray[currentPreviewImageIndex].id);
  updateFilmstreifenCallback(currentPreviewImageIndex, imageArray[currentPreviewImageIndex].id);
  document.body.removeChild(divLargeImageElement);
}

self.downloadCurrentPreviewImage = function downloadCurrentPreviewImage(imagePath)
{
    var FileName = imageArray[currentPreviewImageIndex].fileName + ".jpg";
    var pic_id = imageArray[currentPreviewImageIndex].id;
    var uid = <?php echo $_SESSION['uid']; ?>;
    var source = "pl";
    //alert("Starte Download fuer Bild " + imageArray[currentPreviewImageIndex].id + " / Dateiname: " + imageArray[currentPreviewImageIndex].fileName + ".jpg, User-ID: " + uid);
    copyPicture(FileName,uid,pic_id,source);
}

self.addPicToCollection = function addPicToCollection(imagePath)
{
	var pic_id = imageArray[currentPreviewImageIndex].id;
    var uid = <?php echo $_SESSION['uid']; ?>;
    //var coll_id = <?php echo $_SESSION['coll_id']; ?>;
    var source = "pl";
    //alert("preview_layer.php, Z. 202: Starte Kollektions-Eintrag fuer Coll " + coll_id + ", Bild " + pic_id + " /, User-ID: " + uid + ", Quelle: " + source );
    if(coll_id !== '')
    {
    	addPicture(coll_id,pic_id,uid,source);
    }
}

self.deleteCurrentPreviewImage = function deleteCurrentPreviewImage(imagePath)
{
    var FileName = imageArray[currentPreviewImageIndex].fileName + ".jpg";
    var pic_id = imageArray[currentPreviewImageIndex].id;
    var uid = <?php echo $_SESSION['uid']; ?>;
    var source = "pl";
    //alert("Loesche aus Downlod-Ordner das Bild " + imageArray[currentPreviewImageIndex].id + " / Dateiname: " + imageArray[currentPreviewImageIndex].fileName + ".jpg, User-ID: " + uid);
    delPicture(FileName,uid,pic_id,source);
}

self.remPicFromCollection = function remPicFromCollection(imagePath)
{
	var pic_id = imageArray[currentPreviewImageIndex].id;
    var uid = <?php echo $_SESSION['uid']; ?>;
    //var coll_id = <?php echo $_SESSION['coll_id']; ?>;
    var source = "pl";
    //alert("preview_layer.php, Z. 222: Starte Kollektions-Ruecknahme fuer Coll " + coll_id + ", Bild " + pic_id + " /, User-ID: " + uid);
    removePicture(coll_id,pic_id,uid,source);
}
// Benotung des aktuellen Bildes:
self.scorePicture = function scorePicture(imagePath)
{
	//var FileName = imageArray[currentPreviewImageIndex].fileName + ".jpg";
    var pic_id = imageArray[currentPreviewImageIndex].id;
    var uid = <?php echo $_SESSION['uid']; ?>;
    var source = "pl";
    var dimension = "12";
  	//alert("preview_layer.php, Z. 230: Bewerte Bild " + pic_id + " /, User-ID: " + uid + ", Dimension: " + dimension );
  	scorePic(pic_id,dimension,source); // ruft Fkt. in ajax_functions.php auf (Z. 361)
}

//Vorschau-Ansicht beim ersten Aufruf erzeugen  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
self.showFullscreenOverlay = function showFullscreenOverlay(imagePath, imageArray)
{
  //alert(currentPreviewImageIndex);
  var lenght= (currentPreviewImageIndex / imageArray.length) * 300;
  var pic_id = imageArray[currentPreviewImageIndex].id;
  //alert ("prev_layer.php, Z. 247; erster Aufruf aus dem Filmstreifen: Pic-ID: " + pic_id);
  divLargeImageElement = document.createElement("divLargeImage");
  //alert("<?php echo $_SERVER['SCRIPT_FILENAME']; ?>");
  //alert("Es wurde das Objekt " + currentPreviewImageIndex + " angeklickt.");
  divLargeImageElement.innerHTML =
      '<div id="divImageLarge" style="position:fixed; left:0px; top:0px; width:100%; height:100%; background-color:#333333; z-index:500;">'+
      '<table border=0 width="100%" height="100%">'+
      '<tr><td align=center valign=middle>'+
      
      '<table border=0><tr><td>'+
      
      '<table border=0 cellspacing=0>'+
      '<tr><td colspan=2 style="margin:0px;" align=center>'+
      '<div id="divOverlayContent" align=left style="margin:0px">' +
      '<img id="imgPreview" src="' + imagePath + 'vorschau/hq-preview/' + imageArray[currentPreviewImageIndex].fileName + '_hq.jpg" style=\'border-radius:12px;\'>' +
      '' +
      '</div>'+
      '</td></tr>'+
      '</table>'+
      
      '</td></tr></table>'+
      '</td></tr>'+
      '</table>'+
//      ~~~~~~~~~~~~~~~~~~  obere Info-Leiste        ~~~~~~~~~~~
      '<div style="position:absolute; top:10px; width:100%; z-index:1000;"><center>'+
      '<table border=0 width=80% height=20px>'+
      '<tr>'+
      '<td align=left valign=middle><font style="color:#ffffff; font-family:arial, Helvetica,sans-serif; font-size:12px;">Datei <label id="labelPreviewFileName">' + imageArray[currentPreviewImageIndex].fileName + '.jpg</label> - Objekt <label id="labelPreviewFileNumber">' + currentPreviewImageIndex + '</label> von ' + imageArray.length + '</font></td>'+
      '</tr>'+
//		~~~~~~~~~~~~~~~~~~    Bewertungs-Sterne   ~~~~~~~~~~~~~~
      '<tr>'+
      '<td align=left valign=middle><font style="color:#ffffff; font-family:arial, Helvetica,sans-serif; font-size:12px;"><div id="star_set3"></div></font></td>'+
      '</tr>'+
//		~~~~~~~~~~~~~~~~~~    ggf. weitere Infos   ~~~~~~~~~~~~~~
      '<tr>'+
      '<td align=left valign=middle><font style="color:#ffffff; font-family:arial, Helvetica,sans-serif; font-size:12px;"><div id="info" title="Beschreibung:\nTest" style="cursor:pointer";>weitere Infos</div></font></td>'+
      '</tr>'+

      '</table>'+
      '</center></div>'+
//      ~~~~~~~~~~~~~~~~~~  Status-Bar     ~~~~~~~~~~~~~~~~~~~~~ 
      '<div id="parent" style="border-style:none; position:absolute; text-align:center; top:16px; width:100%; height:12px; z-index:1000;">'+
      '<center>'+
      '<div id="statusbar" style="text-align:left; width:300px; height:10px; z-index:1001;  border-style:solid; border-width:1px; border-color:yellow;">'+      
      '</div>'+
      '</center>'+
      '</div>'+
//    ~~~~~~~~~~~~~~~~~~  Ende obere Info-Leiste    ~~~~~~~~~~~
      '<div style="position:absolute; bottom:0px; width:100%; z-index:1000;"><center>'+
      '<table border=0 width=320px height=35px cellpadding=0 cellspacing=0><tr>'+
      '<td align=center valign=middle width=40><span style="cursor:pointer;"><img src="../../share/images/fullscreen.svg" border=0 width=30px height=30px onClick="javascript:showFullscreenImage(' + "'" + imagePath + "'" + ');" title="zur Vollbild-Ansicht (F-Taste)"></span></td>'+
      '<td align=center valign=middle width=10></td>'+
      '<td align=center valign=middle width=30><span style="cursor:pointer;"><img id="imgNavFirst" src="../../share/images/first.svg" border=0 width=30px height=30px onClick="javascript:firstImage(' + "'" + imagePath + "'" + ');" title="zum ersten Objekt (Pos1-Taste)"></span></td>'+
      '<td align=center valign=middle width=30><span style="cursor:pointer;"><img id="imgNavPrevStep" src="../../share/images/prevstep.svg" border=0 width=30px height=30px onClick="javascript:prevStepImage(' + "'" + imagePath + "'" + ');" title="zehn Objekte zur&uuml;ck (Pfeil-Unten-Taste)"></span></td>'+
      '<td align=center valign=middle width=30><span style="cursor:pointer;"><img id="imgNavPrev" src="../../share/images/prev.svg" border=0 width=30px height=30px onClick="javascript:prevImage(' + "'" + imagePath + "'" + ');" title="zum vorigen Objekt (Pfeil-Links-Taste)"></span></td>'+
      '<td align=center valign=middle width=10></td>'+
      '<td align=center valign=middle width=20><span id="divPreviewDownloadButton" style="cursor:pointer;"></span></td>'+
      '<td align=center valign=middle width=10></td>'+
      '<td align=center valign=middle width=30><span style="cursor:pointer;"><img id="imgNavNext" src="../../share/images/next.svg" border=0 width=30px height=30px onClick="javascript:nextImage(' + "'" + imagePath + "'" + ');" title="zum n&auml;chsten Objekt (Leertaste oder Pfeil-Rechts-Taste)"></span></td>'+
      '<td align=center valign=middle width=30><span style="cursor:pointer;"><img id="imgNavNextStep" src="../../share/images/nextstep.svg" border=0 width=30px height=30px onClick="javascript:nextStepImage(' + "'" + imagePath + "'" + ');" title="zehn Objekte vor (Pfeil-Oben-Taste)"></span></td>'+
      '<td align=center valign=middle width=30><span style="cursor:pointer;"><img id="imgNavLast" src="../../share/images/last.svg" border=0 width=30px height=30px onClick="javascript:lastImage(' + "'" + imagePath + "'" + ');" title="zum letzten Objekt (Ende-Taste)"></span></td>'+
      '<td align=center valign=middle width=10></td>'+
      '<td align=center valign=middle width=40><span style="cursor:pointer;"><img src="../../share/images/close.svg" border=0 width=30px height=30px onClick="javascript:hideFullscreenOverlay(gotoFilmstreifenPosition);" title="Vorschau schlie&szlig;en (F10)"></span></td>'+
      '</tr></table>'+
      '</center>'+
      '</div>'+
    '</div>';
  document.body.appendChild(divLargeImageElement);
}
//  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// hier gehts los: Beim Aufruf dieses Skriptes wird das Preview-Layer geladen,
// das aktuelle Vorschaubild angezeigt
// und die Navigationsleiste passend zum angezeigten Objekt dargestellt
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

self.openPreview = function openPreview(newImagePath, getImageArrayCallback, initialFileName)
{
  //alert("OpenPreview; neuer Bild-Pfad: " + newImagePath + ", Img-Array: " + getImageArrayCallback + ", Initialer dateiname: " + initialFileName);
  imagePath = newImagePath;
  imageArray = getImageArrayCallback();
  if (imageArray.length > 0)
  {
    currentPreviewImageIndex = 0;
    if (initialFileName != '')
    {
        for (var i = 0; i < imageArray.length; i++)
        {
            if (imageArray[i].fileName + '.jpg' == initialFileName)
            {
                currentPreviewImageIndex = i;
                break;
            }
        }
    }
    //alert("preview_layer.php, Z. 347: " + search_modus);
    //alert("preview_layer.php, Z. 350: erster Aufruf");
    showFullscreenOverlay(imagePath, imageArray);
    loadCurrentPreviewImage(imagePath);
    updateNavImages();
  }
  onkeydown=keyPressedPl;
}


// Tastatur-Auswertung  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
self.keyPressedPl = function keyPressedPl(Ereignis) 
{
	//alert("Such-Modus in keyPressed: " + searchModus);
  //alert("Status-Flag: " + statusFlag);

    var pic_id = imageArray[currentPreviewImageIndex].id;
    var uid = <?php echo $_SESSION['uid']; ?>;
    var coll_id = <?php echo $_SESSION['coll_id']; ?>;
    var source = "pl";

    if (!Ereignis)
    Ereignis = window.event;
    if (Ereignis.which) 
    {
        Tastencode = Ereignis.which;
        if(Ereignis.which == 35)
        {
            //alert("Ende");
            if(statusFlag == 0)
            {
                lastImage(imagePath);
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
                lastImage(imagePath);
            }
        }
        else if(Ereignis.which == 36)
        {
            //alert("Pos 1");
            if(statusFlag == 0)
            {
                firstImage(imagePath);
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
                firstImage(imagePath);
            }
        }
        else if(Ereignis.which == 37)
        {
            //alert("eins zurueck");
            if(statusFlag == 0)
            {
                prevImage(imagePath);
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
                prevImage(imagePath);
            }
        }
        else if(Ereignis.which == 39 || Ereignis.which == 32)
        {
            //alert("eins vor" + imagePath);
            if(statusFlag == 0)
            {	
                nextImage(imagePath);
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
                nextImage(imagePath);
            }
        }
        else if(Ereignis.which == 38)
        {
            //alert("10 vor");
            if(statusFlag == 0)
            {
                nextStepImage(imagePath);
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
                nextStepImage(imagePath);
            }
        }
        else if(Ereignis.which == 40)
        {
            //alert("10 zurueck");
            if(statusFlag == 0)
            {
                prevStepImage(imagePath);
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
                prevStepImage(imagePath);
            }
        }
        else if(Ereignis.which == 81)
        {
            //alert("abbrechen");
            if(statusFlag == 0)
            {
                hideFullscreenOverlay(gotoFilmstreifenPosition);
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
                hideFullscreenOverlay(gotoFilmstreifenPosition);
            }
        }
        else if(Ereignis.which == 70)
        {
            //alert("fullscreen " + Ereignis.which);
            if(statusFlag == 0)
            {
                showFullscreenImage(imagePath);
                statusFlag = 1;
            }
            else if(statusFlag == 1)
            {
                hideFullscreenImage();
                statusFlag = 0;
            }
        }
        else if(Ereignis.which == 68)
        {
          if(searchModus == 'normal')
          {
            //alert("Download " + Ereignis.which);
            downloadCurrentPreviewImage(imagePath);
          }
          else
          {
            //alert("Download " + Ereignis.which);
            addPicture(coll_id,pic_id,uid,source);
          }
        }
        else if(Ereignis.which == 82)
        {
        	if(searchModus == 'normal')
          {
            deleteCurrentPreviewImage(imagePath);
          }
        	else
        	{
        		//alert("entfernen... " + Ereignis.which);
            removePicture(coll_id,pic_id,uid,source);
        	}
        }
        // Behandlung der Tastatur-Eingaben zur Änderung der Benotung:
        else if(Ereignis.which == 49 || Ereignis.which == 97)
        {
        	//alert("Bewertung: 1 Stern " + Ereignis.which + ", PicID: " + imageArray[currentPreviewImageIndex].fileName + ", Source: " + "pl" + ", Dimension: " + "12");
        	saveNewNote(imageArray[currentPreviewImageIndex].fileName, "5", "12", "pl");
        }
        else if(Ereignis.which == 50 || Ereignis.which == 98)
        {
        	//alert("Bewertung: 2 Sterne " + Ereignis.which);
        	saveNewNote(imageArray[currentPreviewImageIndex].fileName, "4", "12", "pl");
        }
        else if(Ereignis.which == 51 || Ereignis.which == 99)
        {
        	//alert("Bewertung: 3 Sterne " + Ereignis.which);
        	saveNewNote(imageArray[currentPreviewImageIndex].fileName, "3", "12", "pl");
        }
        else if(Ereignis.which == 52 || Ereignis.which == 100)
        {
        	//alert("Bewertung: 4 Sterne " + Ereignis.which);
        	saveNewNote(imageArray[currentPreviewImageIndex].fileName, "2", "12", "pl");
        }
        else if(Ereignis.which == 53 || Ereignis.which == 101)
        {
        	//alert("Bewertung: 5 Sterne " + Ereignis.which);
        	saveNewNote(imageArray[currentPreviewImageIndex].fileName, "1", "12", "pl");
        }
    }
}
var searchModus = '<?php echo $search_modus;?>';
//alert("Such-Modus: " + searchModus);
//document.onkeydown = keyPressedPl;

</script>