<?php
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// read_session_prefs.php liest alle gespeicherten Session-Parameter aus
// und stellt sie in den Skripten via include-Anweisung zur Verfügung
// verwendet ab V. 1.46.2 (21.11.2021)
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//

if (!isset($_GET['PHPSESSID'])) $_GET['PHPSESSID'] = '';
if ($_GET['PHPSESSID'] != '') 
{
    session_start($_GET['PHPSESSID']);
} 
else 
{
    @session_start();
}

if (isset($_SESSION['uid']) AND $_SESSION['uid'] != '') 
{
    $uid = $_SESSION['uid'];
} 
else 
{
    header('Location: ../../index.php');
}

if (isset($_SESSION['last_check']) AND $_SESSION['last_check'] != '') 
{
    $last_check = $_SESSION['last_check'];
}

if (isset($_SESSION['kat_treeview_modus']) AND $_SESSION['kat_treeview_modus'] != '') 
{
    $katTreeViewModus = $_SESSION['kat_treeview_modus'];
}
else 
{
    $katTreeViewModus = 'compact';
    $_SESSION['kat_treeview_modus'] = 'compact';
}
//echo "read_session_prefs.php, Z. 46: katTreeViewModus: ".$katTreeViewModus;

if (isset($_SESSION['kat_tree_sort_order']) AND $_SESSION['kat_tree_sort_order'] != '') 
{
    $katTreeSortOrder = $_SESSION['kat_tree_sort_order'];
}
else
{
    //echo "Kat_tree_sort_order wurde nicht gesetzt.<br>";
    $katTreeSortOrder = 'alphabetical';
    $_SESSION['kat_tree_sort_order'] = 'alphabetical';
}

if (isset($_SESSION['kat_treeview_pos']) AND $_SESSION['kat_treeview_pos'] != '') 
{
    $kat_treeview_pos = $_SESSION['kat_treeview_pos'];
}
else
{
    //echo "Kat_treeview_pos wurde nicht gesetzt.<br>";
    $kat_treeview_pos = 0;
}

if (isset($_SESSION['bewertung']) AND $_SESSION['bewertung'] != '') 
{
    $bewertung = $_SESSION['bewertung'];
}
else
{
    $bewertung = 6;
}

if (isset($_SESSION['search_modus']) AND $_SESSION['search_modus'] != '') 
{
    $search_modus = $_SESSION['search_modus'];
}
else
{
    $search_modus = 'normal';
}

if (isset($_SESSION['coll_id']) AND $_SESSION['coll_id'] != '') 
{
    $coll_id = $_SESSION['coll_id'];
}
else
{
    $coll_id = 0;
}

if (isset($_SESSION['show_mod']) AND $_SESSION['show_mod'] != '') 
{
    $show_mod = $_SESSION['show_mod'];
}
else
{
    $show_mod = 'J';
}

// Konvertierungs-Parameter bei der Nachbearbeitung der Vorschaubilder 
// von RAW-Formaten
if (isset($_SESSION['parameter']) AND $_SESSION['parameter'] != '') 
{ 
    $parameter = $_SESSION['parameter'];
    $param_arr = preg_split('#,#', $parameter);
}
else
{
    $parameter='';
    $param_arr = array();
}

// letzte verwendete Geo-Ref.-Parameter bei manueller Referenzierung
// im Suchen-Modus (recherche2.php)
if (isset($_SESSION['geo_parameter']) AND $_SESSION['geo_parameter'])
{
    $geo_parameter = $_SESSION['geo_parameter'];
    $geo_param = preg_split("/,/", $geo_parameter);
}
else
{
    $geo_parameter='';
    $geo_param = array();
}
?>