<?php

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include $sr.'/bin/share/functions/main_functions.php';
include $sr.'/bin/share/functions/permissions.php';

if(array_key_exists('parameter', $_GET))
{
	$parameter = $_GET['parameter'];
}

if(array_key_exists('wert', $_GET))
{
	$wert = $_GET['wert'];
}

if(array_key_exists('modus', $_GET))
{
	$modus = $_GET['modus'];
}

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$res0 = mysqli_fetch_assoc($result0);
$username = $res0['username'];

if($parameter == 'coll_name')
{
	$result1 = mysqli_query($conn, "SELECT $table24.coll_id, $table24.coll_name, $table24.coll_description, $table24.coll_owner, $table24.locked, $table1.id, $table1.username 
	FROM $table24, $table1
	WHERE $table24.coll_owner = $table1.id
	AND $table24.coll_name LIKE '%$wert%'
	ORDER BY $table24.coll_id");
}
elseif($parameter == 'coll_description')
{
	$result1 = mysqli_query($conn, "SELECT $table24.coll_id, $table24.coll_name, $table24.coll_description, $table24.coll_owner, $table24.locked, $table1.id, $table1.username 
	FROM $table24, $table1
	WHERE $table24.coll_owner = $table1.id
	AND $table24.coll_description LIKE '%$wert%'
	ORDER BY $table24.coll_id");
}
$num1 = mysqli_num_rows($result1);
echo mysqli_error($conn);

if($num1 > 0)
{
	if($modus == 'recherche')
	{
		echo "<table class='coll'>
		
				<TR class='coll'>
					<td colspan = '5' class='coll'><p class='klein'>Suchergebnis</p></td>
				</TR>";

		for($i1=0; $i1<$num1; $i1++)
		{
			$res1 = mysqli_fetch_assoc($result1);
			$coll_id = $res1['coll_id'];
			$coll_name = $res1['coll_name'];
			$coll_description = $res1['coll_description'];
			$coll_owner = $res1['coll_owner'];
			$locked = $res1['locked'];
			//Anzahl der Objekte der Kollektion:
			$result2 = mysqli_query($conn, "SELECT * FROM $table25 WHERE coll_id = '$coll_id'");
			$num2 = mysqli_num_rows($result2);
			echo "
			<tr style='vertical-align:top;'>
				<td style='width:25%' class='coll'>
					<p class='klein'>".$coll_name."</p>
				</td>

				<td style='width:65%' class='coll'>
					<p class='klein'>".$coll_description."</p>
				</td>

				<td style='width:10%; class='coll' padding-left:20px; text-align:right;'>";
					if($num2 > 0)
					{
						echo "
						<span style='cursor:pointer;'>
							<img src='../../share/images/glass.svg' title='Kollektion ansehen' class='icon1' onClick='location.href=\"view_collection.php?coll_id=$coll_id\"'>
						</span>";
					}
                    else
                    {
                        echo "<span>
							<img src='../../share/images/no_pic.svg' title='' class='icon2' '>
						</span>";
                    }
					
                    if((hasPermission($uid, 'downloadallpics',$sr ) OR (hasPermission($uid, 'downloadmypics',$sr ) AND ($coll_owner == $uid))) AND $num2 > 0)
					{
						echo "
						<span style='cursor:pointer;'>
							<img src='../../share/images/download.svg' class='icon2' title='Kollektion in Ihren Downloadordner herunterladen (".$num2." Objekte)' onClick='location.href=\"../recherche/copy_coll_pictures.php?coll_id=$coll_id\"'>
						</span>";
					}
				    else
					{
						echo "<span style='cursor:pointer;'>
							<img src='../../share/images/info.svg' class='icon2' title='Diese Kollektion enth&auml;lt noch keine Objekte'>
						</span>";
					}
				echo "
				</td>
			</tr>";
		
			if($i1 < ($num1 - 1))
			{
				echo "
				<TR class='coll'>
					<td style='background-color:var(--color3);' colspan = '3'></td>
				</TR>";
			}
		}
		echo "
		</table>";
	}
	elseif($modus == 'edit')
	{
		echo "
		<table class='coll' border='0'>
	
			<TR class='coll'>
				<td colspan = '5' class='coll'>
					<p class='klein'>Suchergebnis</p>
				</td>
			</TR>";

		for($i1=0; $i1<$num1; $i1++)
		{
			$res1 = mysqli_fetch_assoc($result1);
		    $coll_id = $res1['coll_id'];
		    $coll_name = $res1['coll_name'];
		    $coll_description = $res1['coll_description'];
		    $username = $res1['username'];
		    $locked = $res1['locked'];
			if($locked == 1)
			{
				$button1 = "<span style='cursor:pointer;'>
					<img src='../../share/images/no_permission.svg' class='icon2' title='Diese Kollektion ist zur Bearbeitung durch andere Benutzer gesperrt'>
				</span>";
			}
			else
			{
				$button1 = "<span style='cursor:pointer;'>
					<img src='../../share/images/allowed.gif' class='icon2' title='Diese Kollektion ist zur Bearbeitung durch andere Benutzer freigegeben'>
				</span>";
			}
			echo "
			<tr style='vertical-align:top;'>
				<td style='width:25%' class='coll'>
					<p class='klein'>".$coll_name."</p>
				</td>

				<td style='width:65%' class='coll'>
					<p class='klein'>".$coll_description."</p>
				</td>

				<td class='coll' style='width:10%; padding-left:20px; text-align:right;' colspan='3'>
				<span style='cursor:pointer;'>
					<img src='../../share/images/edit.svg' class='icon1' title='Kollektion bearbeiten, neue Objekte hinzuf&uuml;gen, Objekte l&ouml;schen...' onClick='location.href=\"edit_selected_collection.php?coll_id=$coll_id\"'>
				</span>";
				//Anzahl der Objekte der Kollektion:
				$result2 = mysqli_query($conn, "SELECT * FROM $table25 WHERE coll_id = '$coll_id'");
				$num2 = mysqli_num_rows($result2);
				if($num2 > 0)
				{
					echo "<span style='cursor:pointer;'>
						<img src='../../share/images/arrange.svg' class='icon2' title='Zum Sortiertisch, Pr&auml;sentation anzeigen' onClick='location.href=\"arrange_collection.php?coll_id=$coll_id\"'>
					</span>";
				}
				else
				{
					echo "<span style='cursor:pointer;'>
						<img src='../../share/images/arrange_disabled.svg' class='icon2' title='Kollektion beinhaltet noch keine Objekte'>
					</span>";
				}
				echo "
				<span style='cursor:pointer;'>
					<img src='../../share/images/trash.svg' class='icon2' title='Diese Kollektion entfernen' onClick='sicher(\"$coll_id\");'>
				</span>
				".$button1."
				</td>
			</tr>";	
		
			if($i1 < ($num1 - 1))
			{
				echo "
				<TR class='coll'>
					<td style='background-color:var(--color3);' colspan = '3'></td>
				</TR>";
			}
		}
		echo "
		</table>";	
	}
}
else
{
	echo "<p class='klein' style='margin-top:50px;'>Es gibt keine Kollektionen entsprechend Ihres Suchkriteriums.</p>";
}
?>