<?php
// (C) 2021

//############################################################################################################
//wird beim loeschen von Bildern aus der pic_coll-Tabelle verwendet; Aufruf aus edit_selected_collection.php #
//############################################################################################################

//var_dump($_GET);
if ( array_key_exists('coll_id',$_GET) )
{
	$coll_id = $_GET['coll_id'];
}

if ( array_key_exists('pic_id',$_GET) )
{
	$pic_id = $_GET['pic_id'];
}

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/permissions.php';

//Bestimmung der Position des zu loeschenden Bildes innerhalb der Kollektion:
$result1 = mysqli_query($conn, "SELECT position FROM $table25 WHERE coll_id = '$coll_id' AND pic_id = '$pic_id'");
echo mysqli_error($conn);
$row1 = mysqli_fetch_assoc($result1);
$position = $row1['position'];	
//echo $position;

//entfernen des eigentlichen Bildes:
$result2 = mysqli_query($conn, "DELETE FROM $table25 WHERE coll_id = '$coll_id' AND pic_id = '$pic_id'");
//echo mysqli_error($conn);
//Korrigieren der Positionen aller folgender Objekte (falls vorhanden):
$result3 = mysqli_query($conn, "SELECT * FROM $table25 WHERE coll_id = '$coll_id' AND position > '$position' ORDER BY position");
$num3 = mysqli_num_rows($result3); 
//echo $num3. "Treffer";
if($num3 > 0)
{
	$row3 = mysqli_fetch_assoc($result3);
        for($i3=0; $i3<$num3; $i3++)
	{
		$old_position = $row3['position'];
		$new_position = $old_position - 1;
		$result4 = mysqli_query($conn, "UPDATE $table25 SET position = '$new_position' WHERE position = '$old_position' AND coll_id = '$coll_id'");
		//echo mysqli_error($conn);
	}
}

// Refresh des aktuellen Kollektionsbestandes in edit_selected_collection.php:
$result5 = mysqli_query($conn, "SELECT $table25.pic_id, $table25.coll_id, $table25.position, $table2.pic_id, $table2.FileNameV, $table2.FileNameHQ, $table2.CreateDate, $table2.Caption_Abstract, $table2.City, $table2.Keywords
FROM $table2, $table25
WHERE $table25.coll_id = '$coll_id'
AND $table25.pic_id = $table2.pic_id
ORDER BY $table25.position");
//echo mysqli_error($conn);
$num5 = mysqli_num_rows($result5);

echo "
<table border='0'>
<tr>";
for($i5=0; $i5<$num5; $i5++)
{
    $row5 = mysqli_fetch_assoc($result5);
    $new_pic_id = $row5['pic_id'];
	$FileNameV = $row5['FileNameV'];		//echo $FileNameV." / ";
	$FileNameHQ = $row5['FileNameHQ'];	//echo $FileNameHQ." / ";
	$dto = date('d.m.Y, H:i:s', strtotime($row5['CreateDate']));
	$Caption_Abstract = $row5['Caption_Abstract'];
	$City = $row5['City'];
	$Keywords = $row5['Keywords'];
	
	$infotext = "<b>Objekt-ID:</b> ".$pic_id."</br>";
	
	if($row5['CreateDate'] !== '0000-00-00 00:00:00')
	{
		$infotext .= "</br><b>Aufnahmedatum:</b></br>".$dto."</br>";
	}
	if($Caption_Abstract !== '')
	{
		$infotext .= "</br><b>Bildbeschreibung:</b></br>".$Caption_Abstract."</br>";
	}
	
	if($City !== '')
	{
		$infotext .= "</br><b>Aufnahmestandort:</b></br>".$City."</br>";
	}
	
	if($Keywords !== '')
	{
		$infotext .= "</br><b>Kategorien:</b></br>".$Keywords."</br>";
	}
	echo "
	<td>
		<div class='tooltip4' style='float:left;'>
			<p style='margin:0px; cursor:pointer;'>
			<img src='../../../images/vorschau/thumbs/$FileNameV' style='margin:2px; height:145px; border-radius:8px;' title='Hier klicken, um das Objekt ".$pic_id." aus der Kollektion ".$coll_id." zu entfernen' onclick='sicher(\"$coll_id\", \"$pic_id\", \"$uid\");' />
				<span id='tt' style='text-align:center; margin:0px;'>

					<span style='float:left'>
						<img src='../../../images/vorschau/hq-preview/$FileNameHQ' style='height:334px; margin-right:0px; margin-bottom:0px; margin-top:0px; border-radius:10px;' />
					</span>

					<span class='ttinfo'>
						<b><u>Informationen zum Objekt</u></b></br></br>
						".$infotext."
					</span>

				</span>
			</p>
		</div>
	</td>";
}
echo "
</tr>
</table>";

//letzte Aenderung in Tabelle collections speichern:
$update_date_time = date('Y-m-d H:i:s', time());	//echo $update_date_time;
$result6 = mysqli_query($conn, "UPDATE $table24 SET last_modification = '$update_date_time' WHERE coll_id = '$coll_id'");

//Log-Datei schreiben:
$fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
flock($fh, LOCK_EX);
fwrite($fh,date('d.m.Y H:i:s').": Objekt ".$pic_id." wurde aus Kollektion ".$coll_id." entfernt. (Benutzer ".$uid."; Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
flock($fh, LOCK_UN);
fclose($fh);

if(mysqli_error($conn) !== "")
{
	echo "Konnte die Dateizuordnung nicht l&ouml;schen!<br />";
}
?>