<?php
$error_code = 0;

include 'read_session_prefs.php';
include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/functions/main_functions.php';

if (array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}

if (array_key_exists('filetype',$_GET))
{
    $filetype = $_GET['filetype'];
}

$fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
flock($fh, LOCK_EX);
fwrite($fh,date('d.m.Y H:i:s').": > DB-Wartung: Diese Pic-ID ".$pic_id." wurde an restore_missing_files.php übergeben.\n");
flock($fh, LOCK_UN);
fclose($fh);

$exiftool = buildExiftoolCommand($sr);
// Feststellung, ob es sich um ein image oder video handelt:
// fehlt das Original-Video, wird der Datensatz gelöscht (siehe weiter unten)
$result311 = mysqli_query($conn, "SELECT FileNameOri, FileName, FileNameHQ, FileNameV, MediaType FROM $table2 WHERE pic_id = '$pic_id'");
$row311 = mysqli_fetch_assoc($result311);
$FileNameOri = $row311['FileNameOri'];
$FileName = $row311['FileName'];
$FileNameHQ = $row311['FileNameHQ'];
$FileNameV = $row311['FileNameV'];
$MediaType = $row311['MediaType'];
$mime_type = substr(shell_exec($exiftool." -MimeType -s3 ".$pic_path."/".$FileNameOri),0,1);

switch($filetype)
{
    case 'ori':
        if ($mime_type == 'i')
        {
            // ###############################################################################################################
            // Wenn selbst das Original fehlt, wird versucht, aus jeweils dem Objekt mit hoechster verfuegbarer Qualitaet das 
            // fehlende Objekt Original-Ersatzbild zu erzeugen
            // In dem Caption-Abstract wird ein entsprechender Hinweis hinterlegt
            // In der pictures-Tabelle werden die Angaben fuer Bildbreite, -hoehe, Dateigroesse und md5sum neu geschrieben:
            // ExifImageWidth, - Height, ImageWidth, -Height, FileSize 
            // Das Ergebnis wird in die Log-Datei geschrieben.
            // ################################################################################################################

            $FILE_HQ = $pic_hq_path."/".$FileNameHQ;
            $FILE_V = $pic_thumbs_path."/".$FileNameV;
            @$fh_hq = fopen($FILE_HQ, 'r');	//existiert eine hq-Vorschau?
            @$fh_v = fopen($FILE_V, 'r');	//existiert eine Thumbs-Vorschau?
            if ($fh_hq)
            {
                $datei = $FILE_HQ;
                $target = $pic_path."/".$FileName;
                if (@copy($datei,$target))
                {				
                    @$params=getimagesize($target);
                    $breite = $params[0];
                    $hoehe = $params[1];
                    clearstatcache();
                    $FileSize = filesize($target);	//Dateigroesse in Byte
    
                    $md5 = buildMd5sumCommand($sr);
                    $command = $md5." $target";
                    $sum = explode(' ',shell_exec($command));
    
                    $ca_text = "Original-Objekt wurde durch HQ-Vorschau ersetzt.";
                    $result312 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = '$ca_text', FileSize = '$FileSize', ExifImageWidth = '$breite', ExifImageHeight = '$hoehe', ImageWidth = '$breite', ImageHeight = '$hoehe', md5sum = '$sum[0]' WHERE pic_id = '$pic_id'");
                    //Log-Datei schreiben:
                    $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                    flock($fh, LOCK_EX);
                    fwrite($fh,date('d.m.Y H:i:s').": > DB-Wartung: Das Original von Objekt ".$pic_id." wurde durch die HQ-Vorschau ersetzt! (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
                    flock($fh, LOCK_UN);
                    fclose($fh);
                    $error_code = 0;
                }
                else
                {
                    $error_code = "Fehler bei Objekt ".$pic_id.", konnte Original nicht durch HQ-Vorschau ersetzen.";
                    //Log-Datei schreiben:
                    $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                    flock($fh, LOCK_EX);
                    fwrite($fh,date('d.m.Y H:i:s').": F E H L E R: Das Original von Objekt ".$pic_id." konnte nicht durch die HQ-Vorschau ersetzt werden! (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
                    flock($fh, LOCK_UN);
                    fclose($fh);
                }
            }
            elseif($fh_v)
            {
                $datei = $FILE_V;
                $target = $pic_path."/".$FileName;
                if (@copy($datei,$target))
                {
                    @$params=getimagesize($target);
                    $breite = $params[0];
                    $hoehe = $params[1];
                    clearstatcache();
                    $FileSize = filesize($target);	//Dateigroesse in Byte
    
                    $md5 = buildMd5sumCommand($sr);
                    $command = $md5." $target";
                    $sum = explode(' ',shell_exec($command));
    
                    $ca_text = "Original-Objekt wurde durch Thumbs-Vorschau ersetzt.";
                    $result313 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = '$ca_text', FileSize = '$FileSize', ExifImageWidth = '$breite', ExifImageHeight = '$hoehe', ImageWidth = '$breite', ImageHeight = '$hoehe', md5sum = '$sum[0]' WHERE pic_id = '$pic_id'");
                    //Log-Datei schreiben:
                    $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                    flock($fh, LOCK_EX);
                    fwrite($fh,date('d.m.Y H:i:s').": > DB-Wartung: Das Original von Objekt ".$pic_id." wurde durch die Thumbs-Vorschau ersetzt! (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
                    flock($fh, LOCK_UN);
                    fclose($fh);
                    $error_code = 0;
                }
                else
                {
                    $error_code = "Fehler bei Objekt ".$pic_id.", konnte Original nicht durch Thumbs-Vorschau ersetzen.";
                    //Log-Datei schreiben:
                    $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                    flock($fh, LOCK_EX);
                    fwrite($fh,date('d.m.Y H:i:s').": F E H L E R: Das Original von Objekt ".$pic_id." konnte nicht durch die Thumb-Vorschau ersetzt werden! (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
                    flock($fh, LOCK_UN);
                    fclose($fh);
                }
            }
        }
        else
        {
            // wenn weder Original noch eines der Vorschaubilder existiert, oder es sich um ein Video handelt, bei dem das Original fehlt, 
            // wird der betreffende Datensatz komplett geloescht

            $result314 = mysqli_query($conn, "SELECT * FROM $table2 WHERE pic_id = '$pic_id'");
            @$num314 = mysqli_num_rows($result314);
            if ($num314 == '1')
            {
                $row314 = mysqli_fetch_array($result314);
                //$pic_id = $row314['pic_id'];
                $FileName = $row314['FileName'];
                $FileNameOri = $row314['FileNameOri'];
                //Angaben fuer die Log-Datei:
                $CaptionAbstract = $row314['Caption_Abstract'];
                $Keywords = $row314['Keywords'];

                $datei_mono = $monochrome_path."/".$pic_id."_mono.jpg";
                $datei_hist = $hist_path."/".$pic_id."_hist.gif";
                $datei_hist_r = $hist_path."/".$pic_id."_hist_0.gif";
                $datei_hist_g = $hist_path."/".$pic_id."_hist_1.gif";
                $datei_hist_b = $hist_path."/".$pic_id."_hist_2.gif";
                $datei_tmp = $pic_path."/tmp/".$pic_id.".jpg";

                $datei_ori = $pic_path."/".$FileName;
                $datei_rotated = $pic_rot_path."/".$FileName;
                $datei_hq = $pic_hq_path."/".str_replace('.','_hq.',$FileName);
                $datei_thumbs = $pic_thumbs_path."/".str_replace('.','_v.',$FileName);
            }

            $result315 = mysqli_query($conn, "DELETE FROM $table10 WHERE pic_id = '$pic_id'");
            $result316 = mysqli_query($conn, "DELETE FROM $table2 WHERE pic_id = '$pic_id' AND FileName = '$FileName'");
            @$l1 = unlink($datei_ori);
            @$l2 = unlink($datei_rotated);
            @$l3 = unlink($datei_hq);
            @$l4 = unlink($datei_thumbs);
            @$l5 = unlink($datei_mono);
            @$l6 = unlink($datei_hist);
            @$l7 = unlink($datei_hist_r);
            @$l8 = unlink($datei_hist_g);
            @$l9 = unlink($datei_hist_b);

            if (@fopen($datei_tmp,'r'))
            {
                @$l10 = unlink($datei_tmp);
            }

            $file_info = pathinfo($datei_ori);
            $ext = ".".$file_info['extension'];				//Dateiendung mit Punkt
            $base_name = str_replace($ext,'',$file_info['basename']);	//Dateiname ohne Punkt und Rumpf 
            //echo $base_name;
            $base_name1 = $base_name.".";
            $base_name2 = $base_name."_";
            //Damit werden alle Dateien mit beliebiger Endung erfasst (12345.jpg; 12345.nef usw.) aber auch alle Scene-Objekte (12345_1.jpg, 12345_2.jpg usw)
            $result317 = mysqli_query($conn, "SELECT * FROM $table2 WHERE (FileName LIKE '$base_name1%' OR FileName LIKE '$base_name2%')");
            $num317 = mysqli_num_rows($result317);	//es gibt in der DB insges. $num317 Dateien mit dem Stammnamen.
            //echo $num317." Dateien mit Stammnamen in DB<br />";
            $k = '0';
            for ($i317='0'; $i317<$num317; $i317++)
            {
                $row317 = mysqli_fetch_assoc($result317);
                $file_name = $row317['FileName'];
                if (file_exists($pic_path."/".$file_name))
                {
                    $k++;
                }
            }
            //es befinden sich nun noch weitere $k Dateien im Originale-Ordner.
            //echo "davon ".$k." noch im Originale-Ordner.";
            if ($k == '0')
            {
            //wenn keine Stamm-Datei mehr im Originale-Ordner mehr ist wird eine evtl. vorh. Nicht-JPG-Datei geloescht:
                foreach($supported_filetypes AS $sft)
                {
                    if (file_exists($pic_path."/".$base_name.".".$sft))
                    {
                        //echo "Es gibt eine Nicht-JPG-Datei";
                        unlink($pic_path."/".$base_name.".".$sft);
                    }
                }
            }
            $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
            flock($fh, LOCK_EX);
            fwrite($fh,date('d.m.Y H:i:s').": > DB-Wartung: Der Datensatz zum Objekt ".$pic_id." (Beschreibung: ".$CaptionAbstract.", Kategorie: ".$Keywords.") wurde entfernt, da keine Objekt-Dateien gefunden wurden. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
            flock($fh, LOCK_UN);
            fclose($fh);
            $error_code = 99;
        }
    break;

    case 'hq':
        // es wird versucht, ein fehlendes HQ-Vorschaubild aus dem Original neu zu erzeugen:

        $FILE = $pic_path."/".$FileName;
        @$file_handle = fopen($FILE, 'r');
        if($file_handle)
        {
            fclose($file_handle);
            $dest_path = $pic_hq_path;
            $max_len = 800;
            $FileNameHQ = resizeOriginalPicture($FILE, $dest_path, $max_len, $sr);
            $fileHQ = $pic_hq_path."/".$FileNameHQ;	//echo $fileHQ;
            clearstatcache();  
            @chmod ($fileHQ, 0700);
            clearstatcache();
            @$fh = fopen($fileHQ, 'r');
            if(!$fh)
            {
                //$error_code = "No Original for ".$pic_id;
                $error_code = 1;
                $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                flock($fh, LOCK_EX);
                fwrite($fh,date('d.m.Y H:i:s').": F E H L E R: HQ-Vorschau zum Objekt ".$pic_id." konnte nicht aus dem Original erzeugt werden.\nrestore_missing_files.php, Z. 230 (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
                flock($fh, LOCK_UN);
                fclose($fh);
            }
            else
            {
                fclose($fh);
                $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                flock($fh, LOCK_EX);
                fwrite($fh,date('d.m.Y H:i:s').": > DB-Wartung: HQ-Vorschau zum Objekt ".$pic_id." wurde neu erzeugt. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
                flock($fh, LOCK_UN);
                fclose($fh);
            }
        }
    break;		

    case 'v':
        // es wird versucht, ein fehlendes Thumb-Vorschaubild aus dem HQ-Vorschaubild neu zu erzeugen:
        $FILE = $pic_hq_path."/".$FileNameHQ;
        $dest_path = $pic_thumbs_path;
        $max_len = 160;
        $FileNameV = createPreviewPicture($FILE, $dest_path, $max_len, $sr);
        $fileV = $pic_thumbs_path."/".$FileNameV;
        clearstatcache();  
        @chmod ($fileV, 0700);
        clearstatcache();
        @$fh = fopen($fileV, 'r');
        if(!$fh)
        {
            $error_code = 1;
            $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
                fwrite($fh,date('d.m.Y H:i:s').": F E H L E R: Thumbs-Vorschau zum Objekt ".$pic_id." konnte nicht aus der HQ-Vorschau erzeugt werden.\nrestore_missing_files.php, Z. 275 (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
                fclose($fh);
        }
        else
        {
            fclose($fh);
            $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
            fwrite($fh,date('d.m.Y H:i:s').": > DB-Wartung: Thumb-Vorschau zum Objekt ".$pic_id." wurde neu erzeugt. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
            fclose($fh);
        }	
    break;

    case 'hist_mono':
        $pic_id = substr($pic_id, 0, -4);  // die letzten 4 Zeichen (von z.Bsp.: 123.jpg) werden entfernt.
        generateHistogram($pic_id,$FileNameHQ,$sr);

        //Log-Datei schreiben:
        $fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
        flock($fh, LOCK_EX);
        fwrite($fh,date('d.m.Y H:i:s').": > DB-Wartung: Histogramme / Monochrome-Vorschau zum Objekt ".$pic_id." wurden neu erzeugt. (Zugriff von ".$_SERVER['REMOTE_ADDR'].")\n");
        flock($fh, LOCK_UN);
        fclose($fh);
    break;
}
$obj1 = new stdClass();
$obj1->errorCode = $error_code;
$obj1->pic_id = $pic_id;
$obj1->Userid = $uid;
$obj1->filetype = $filetype;
$output = json_encode($obj1);
echo $output;
?>