<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// wird bei der recherche2.php bei der Bearbeitung der Beschreibung
// oder Änderung des Aufnahmedatums verwendet
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/main_functions.php';

$result0 = mysqli_query($conn, "SELECT * FROM $table1 WHERE id = '$uid' AND aktiv = '1'");
$row0 = mysqli_fetch_assoc($result0);
$username = $row0['username'];

$exiftool = buildExiftoolCommand($sr);

//var_dump($_GET);
if (array_key_exists('pic_id',$_GET) )
{
	$pic_id = $_GET['pic_id'];
}
if (array_key_exists('description',$_GET) )
{
	$description = $_GET['description'];
}
if (array_key_exists('aufn_dat',$_GET) )
{
	$aufn_dat = $_GET['aufn_dat'];
}

$result1 = mysqli_query($conn, "SELECT FileName, Caption_Abstract FROM $table2 WHERE pic_id = '$pic_id'");
// $fn ist der interne Dateiname
$row1 = mysqli_fetch_assoc($result1);
$fn = $row1['FileName'];
$fn = $pic_path."/".$fn;
//$FN ist der Original-Dateiname
$FN = $pic_path."/".restoreOriFilename($pic_id, $sr);
$description_old = $row1['Caption_Abstract'];

//Aufbereitung der neuen Parameter
$description = strip_tags($description);				//eventuelle Tags entfernen
$description = str_replace('"', "'",$description);		//Anfuehrungszeichen korrigieren
$description = substr($description,'0','1990'); 		//Kuerzung auf max. 2000 Zeichen
if($aufn_dat == '0')
{
	//wenn nur der Beschreibungstext geaendert wurde:
	$result2 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = \"$description\" WHERE pic_id = '$pic_id'");
	//Aenderungen in Original-Datei und jpg-Datei speichern:
	shell_exec($exiftool." -IPTC:Caption-Abstract=\"$description\" ".$FN." -overwrite_original -execute -IPTC:Caption-Abstract=\"$description\" ".$fn." -overwrite_original");
}
else
{
	//wenn Datum und Beschreibungstext geaendert wurde:
	//zuerst eventuelle Leerzeichen aus dem Datum entfernen:
	$aufn_dat = trim(str_replace(' ','',$aufn_dat));
	//Damit hat das Datum das Format DD.MM.YYYY, sofern es aus dem Kalender entnommen wurde
	$year = substr($aufn_dat,6,4);
	$month = substr($aufn_dat,3,2);
	$day = substr($aufn_dat,0,2);
	//es wird kontrolliert, ob auch eine Zeitangabe mitgegeben wurde:
	//echo strlen($aufn_dat);
	if (strlen($aufn_dat) == 10)
	{
	    $aufn_dat = $aufn_dat."-00:00:00";
	}
	elseif(strlen($aufn_dat) == 19)
	{
	    $hour = substr($aufn_dat,11,2);
	    $minute = substr($aufn_dat,14,2);
	    $sec = substr($aufn_dat,17,2);;
	}
	elseif(strlen($aufn_dat) !== 10 OR strlen($aufn_dat) !== 19)
	{
	    die("<p style='color:red';>Das eingegebene Datum hat ein falsches Format: ".$aufn_dat."<br />Es mu&szlig;<br />a) aus dem Kalender als 10-stelliges Datum ausgew&auml;hlt werden oder<br />b) manuell 19-stellig in der Form DD.MM.JJJJ-HH:MM:SS eingegeben werden.</p>");
	}
	
	if(checkdate($month,$day,$year) AND ($hour > -1 AND $hour < 24) AND ($minute > -1 AND $minute < 60) AND ($sec > -1 AND $sec < 60))
	{
		$aufndat = $year."-".$month."-".$day." ".$hour.":".$minute.":".$sec;
		$dto = $year.":".$month.":".$day." ".$hour.":".$minute.":".$sec;
		$result2 = mysqli_query($conn, "UPDATE $table2 SET Caption_Abstract = \"$description\", CreateDate = '$aufndat' WHERE pic_id = '$pic_id'");
		//Aenderungen in Original-Datei und jpg-Datei speichern:
		shell_exec($exiftool." -IPTC:Caption-Abstract=\"$description\" ".$FN." -overwrite_original -execute -EXIF:CreateDate='$dto' ".$FN." -overwrite_original -execute -IPTC:Caption-Abstract=\"$description\" ".$fn." -overwrite_original -execute -EXIF:CreateDate='$dto' ".$fn." -overwrite_original");
	}
	else
	{
		echo "Das Datum hat ein falsches Format!<br />Bitte pr&uuml;fen Sie die Eingabe: ".$aufndat;
	}
}

//Log-Datei schreiben:
$fh = fopen($p2b_path.'/pic2base/log/p2b.log','a');
flock($fh, LOCK_EX);
fwrite($fh,date('d.m.Y H:i:s').": Beschreibung von Objekt ".$pic_id." wurde von ".$username." modifiziert. (Zugriff von ".$_SERVER['REMOTE_ADDR']."\nalt:\n".mb_convert_encoding($description_old, "UTF-8").",\n\nneu:\n".mb_convert_encoding($description, "UTF-8")."\n");
flock($fh, LOCK_UN);
fclose($fh);

echo "<legend style='color:green; font-weight:bold;'>Die &Auml;nderungen wurden &uuml;bernommen.</legend>
<textarea name='description' wordwrap class='kattextarea' style='overflow-y:scroll;'>".$description."</textarea>";
?>