<?php

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Skript findet Verwendung bei der Suche nach Geo-Daten
// und hier bei der Suche nach Auswahl in einer Karte
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

// beliebige Vorgabe für den Fall, daß noch keine 
// Such-Koordinaten gewählt wurden; hier: Blankenburg
// 51.7913712,10.9529259 (Körner-Kreuzung)
$lat = 51.7913712;
$lon = 10.9529259;
$radius = 1;
$zoom = 12;

//echo "eingestellte Bewertung: ".$bewertung."<br />";
include 'global_config.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';

$ol_css = "../../share/ol_5.3.0/ol.css";
$ol_js = "../../share/ol_5.3.0/ol.js";

echo "<link rel=stylesheet type='text/css' href='../../css/format1.css'>
    <link rel=stylesheet type='text/css' href='../../css/main.css'>
    <meta http-equiv='content-type' content='text/html; charset=UTF-8'/>
    <link rel='stylesheet' href='$ol_css' type='text/css'></link>
    <script type='text/javascript' src='../../ajax/inc/prototype.js'></script>
    <!--<script type='text/javascript' src='../../share/functions/spec_functions.js'></script>-->
    <script src='$ol_js'></script>

    <!-- VERY VERY DIRTY!!! -->
    <script>try{ol.proj.proj4.register(proj4);}catch(e){}</script>
    <fieldset class='normal' style=' height: 95%;overflow: hidden;'>
    <legend class='normal'>Standort und Umkreis der Suche festlegen</legend>
        <div id='map' class='map' style='width:99%; height:90%; margin-left: 5px;'>
        </div>

        <div id='loc' style='float:none; margin-top:5px; width:99%; margin-left: 5px; background-color:grey;'>
            <span style='color:lightgrey; margin-left:10px;'>Zentrum: </span>
            <input type='text' class='button' name = 'location' id='location' disabled value='' style='width:140px; margin-right:10px; margin-top:10px;  margin-bottom:20px; height:16px;' title='geogr. Breite / L&auml;nge'>
            <span style='color:lightgrey;'>Umkreis:</span>
            <input type='range' min='1' max='50' class='slider' name='radius' id='radius' value='' onMouseOver=this.focus()>
            <span style='color:lightgrey;' name = 'radiusval' id = 'radiusval'></span>
            <span style='color:lightgrey;'>km</span>
            
            <input type='hidden' name='lon' id='lon' value=''></input>
            <input type='hidden' name='lat' id='lat' value=''></input>
            <input type='hidden' name='alt' id='alt' value='0'></input>
            <input type='hidden' name='einheit' id='einheit' value='1000'></input>
            <input type='hidden' name='mod' id='mod' value='geo'></input>
            <input type='hidden' name='modus' id='modus' value='recherche'></input>
            <input type='hidden' name='base_file' id='base_file' value='recherche2'></input>
            <input type='hidden' name='bewertung' id='bewertung' value='$bewertung'></input>
            <input type='button' class='button' name = 'send' value='Objekte suchen' style='margin-left:10px;' onClick='getGeoPreview1(document.getElementById(\"lon\").value, document.getElementById(\"lat\").value, document.getElementById(\"alt\").value, document.getElementById(\"radius\").value, document.getElementById(\"einheit\").value, document.getElementById(\"mod\").value, document.getElementById(\"modus\").value, document.getElementById(\"base_file\").value, \"geo_rech3\", document.getElementById(\"bewertung\").value, 0, 0, window.innerWidth)'>
        </div> 

        <div class='overlay-container'>
            <span class='overlay-text' id='feature-pic_id'></span><br />
            <span class='overlay-text' id='feature-obj_uri'></span><br />
            <span class='overlay-text' id='feature-add-obj'></span><br />
        </div>
     
     </fieldset>";

?>

<script>
	<?php
	include __DIR__ . "/select_geo_param_polygon.js";
	?>

	jQuery(function() {
			jQuery("#spalte2F").on("detailLoaded", function(event, pic_id)
			{
				setActivePicId(pic_id);
			});
    	});

	function setActivePicId(pic_id)
	{
		var foundObjectsLayer = foundObjects;

		for (var i = 0; i < foundObjectsLayer.getSource().getFeatures().length; ++i)
		{
			if (foundObjectsLayer.getSource().getFeatures()[i].getProperties().pic_id == pic_id)
			{
				foundObjectsLayer.getSource().getFeatures()[i].setStyle(new ol.style.Style({
	                image: activeRecordPoint
	        	}));
			}
			else
			{
				foundObjectsLayer.getSource().getFeatures()[i].setStyle(null);
			}
		}
	}
</script>

    

