<?php
// (C) 2021

//################################################################################################
//
// wird verwendet bei Objektsuche nach Aufnahmedatum                                             #
//
//################################################################################################

//var_dump($_REQUEST);

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include_once $sr.'/bin/share/functions/main_functions.php';
//include $sr.'/bin/css/initial_layout_settings.php';

if(array_key_exists('show_mod',$_GET))
{
    $show_mod = $_GET['show_mod'];
    if($show_mod !== 'J')
    {
        $_SESSION['show_mod'] = $show_mod;
    }
}
elseif (!isset($_GET['show_mod']))
{
    $show_mod = $_SESSION['show_mod'];
}

if(array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}
else
{
    $pic_id = 0;
}

if(array_key_exists('mod',$_GET))
{
    $mod = $_GET['mod'];
}

if(array_key_exists('s_m',$_GET))
{
    $s_m = $_GET['s_m'];
}

//echo "time_treeview, Z. 71; show_mode: ".$show_mod.", s_m: ".$s_m.", mod: ".$mod.", pic_id. ".$pic_id."<br>";
$start1 = microtime();
	
//echo $bewertung;
$stat = createStatement($bewertung);
//echo $stat;
$base_file = 'recherche2';
$modus = 'recherche';

list($start1msec,$start1sec) = explode(" ",$start1);
// Zeit-Baum wird nur dargestellt, wenn Objekte in der DB sind
$result1 = mysqli_query($conn, "SELECT count(*) as anzahl FROM $table2"); echo mysqli_error($conn);
$row1 = mysqli_fetch_assoc($result1);
$anzahl = $row1['anzahl'];  //Anzahl der Objekte in der DB

//Ermittlung des Anfangs (min.) und Enddatums (max):
if ($anzahl > 0)
{
    $result2 = mysqli_query($conn, "SELECT MAX(YEAR(CreateDate)) AS MAX_DTO, MIN(YEAR(CreateDate)) AS MIN_DTO 
    FROM $table2 
    WHERE YEAR(CreateDate) <> '0000'");
    $row2 = mysqli_fetch_assoc($result2);
    $Min_DT = $row2['MIN_DTO'];
    $Max_DT = $row2['MAX_DTO'];
    //echo "Fr&uuml;hestes Jahr: ".$Min_DT.", sp&auml;testes Jahr: ".$Max_DT."<br />";
    //########################################################################################################
    echo "	<table class='ttv'>
                <tr class='kat'>
                    <td class='ttv1'><span class='ttv'>Jahr / Monat / Tag</span></td>
                    <td class='ttv2'><span class='ttv'>Info</span></td>
                    <td class='ttv2'><span class='ttv'>Anz.</span></td>
                </tr>";
    
    $runtime_sum = 0;
    
    //Bestimmung der Jahrgaenge, in denen Objekte entstanden sind:
    
    $result1 = mysqli_query($conn, "SELECT DISTINCT YEAR(CreateDate) AS DTO, COUNT(*)
    FROM $table2
    WHERE YEAR(CreateDate) <> '0000'
    AND aktiv = '1'
    AND $stat 
    GROUP BY YEAR(CreateDate)
    ORDER BY YEAR(CreateDate) DESC");
    $num1 = mysqli_num_rows($result1);
    
    //echo "Es gibt ".$num1." Jahrg&auml;nge.<br />";
    
    for ($i1 = '0'; $i1<$num1; $i1++)
    {
    	$row1 = mysqli_fetch_assoc($result1);
        $D = $row1['DTO'];
    	//Die einzelnen "Jahrgaenge" werden ermittelt:
    	//Zur Laufzeitoptimierung wird kontrolliert, ob in dem betreffenden Jahr ueberhaupt Objekte vorhanden sind:
    	
    	//$num3 = mysqli_result($result1,$i1,COUNT('*'));
    	$num3 = $row1['COUNT(*)']; //echo "Anz. der Objekte im Jahrgang: ".$num3;
    
    	if ($num3 > 0)
    	{
            $jahr = $D;
            $modus='recherche';
            if (substr($show_mod,0,4) == $jahr)
            {
                $s_m = 'J';			//Anzeige-Modus (show-modus)
                $info_nr = '7';
                $tree_img = "<img src='$inst_path/pic2base/bin/share/images/minus.svg' class='icon2'>";
            }
            else
            {
                $s_m = $jahr;		//Anzeige-Modus: Jahresuebersicht
                $info_nr = '1';
                $tree_img = "<img src='$inst_path/pic2base/bin/share/images/plus.svg' class='icon2'>";
            }
            //echo $s_m;
            $img_plus = "<img src='$inst_path/pic2base/bin/share/images/plus.svg' class='icon2'>";
            $img_minus = "<img src='$inst_path/pic2base/bin/share/images/minus.svg' class='icon2'>";
            echo "
            <tr class='kat'>
                <td class='ttv1'>
                <span class='link2' onClick='getTimeTreeview(\"$pic_id\",\"$mod\",\"$s_m\",\"$bewertung\")'  title='Monatsansicht f&uuml;r $jahr &ouml;ffnen / schlie&szlig;en'>".$tree_img."</SPAN>
                <span class='link2' onClick='getTimePreview(\"$jahr\",0,0,0,\"$mod\",\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,window.innerWidth)' title='alle Objekte des Jahres $jahr anzeigen'>".$jahr."</SPAN>
                </td>

                <td class='ttv2'>
                </td>
                <td class='ttv2'><span class='ttv'>".$num3."</span></td>
            </tr>";

            if (substr($show_mod,0,4) == $jahr)
            {				
                $result9 = mysqli_query($conn, "SELECT DATE_FORMAT(CreateDate,'%Y-%m'), COUNT(*), pic_id, note, CreateDate, aktiv
                FROM $table2
                WHERE DATE_FORMAT(CreateDate,'%Y') = '$jahr'
                AND CreateDate <> '0000-00-00 00:00:00'
                AND aktiv = '1'
                AND $stat
                GROUP BY DATE_FORMAT(CreateDate,'%Y-%m')
                ORDER BY DATE_FORMAT(CreateDate,'%Y-%m') DESC");
                echo mysqli_error($conn);

                $num9 = mysqli_num_rows($result9); // Anzahl der Monate in denen Objekte angefertigt wurden

                if ($num9 > 0)
                {

                    //Wenn in dem Monat Objekte gemacht wurden - Ermittlung der Anzahl:
                    for($i9='0'; $i9<$num9; $i9++)
                    {

                        //$anz = mysqli_result($result9, $i9, COUNT('*'));
                        $row9 = mysqli_fetch_assoc($result9);
                        $anz = $row9['COUNT(*)'];
                        $month_number = date('m', strtotime($row9['CreateDate']));
                        echo "<tr class='kat'>
                        <td class='ttv1'>&#160;&#160;";
                        $modus = 'recherche';
                        $zeit = getMonthName($month_number)." ".$jahr;
                        //echo $zeit;
                        if (substr($show_mod,0,4) == $jahr AND substr($show_mod,5,2) !== $month_number)
                        {
                            //echo "normale Monats-Darstellung: ";
                            $s_m = $jahr."_".$month_number;	//$show_mod: Anzeige-Modus fuer Tages-Anzeige
                            echo "
                            <span class='link2' onClick='getTimeTreeview(\"$pic_id\",\"$mod\",\"$s_m\",\"$bewertung\")'  title='Tagesauswahl f&uuml;r ".getMonthName($month_number)." &ouml;ffnen'>".$img_plus."</span>
                            <span class='link2' onClick='getTimePreview(\"$jahr\",\"$month_number\",0,0,\"$mod\",\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,window.innerWidth)' title='alle Objekte vom ".getMonthName($month_number)." / ".$jahr." anzeigen'>".getMonthName($month_number)."</span>
                            <!--<span class='link2' onClick='getTimePreview(\"$jahr\",\"$month_number\",0,0,\"$mod\",\"$modus\",\"$base_file\",\"$bewertung\",0,0,0)' title='alle Objekte vom ".getMonthName($month_number)." / ".$jahr." anzeigen'>".getMonthName($month_number)."</span>-->
                            </td>

                            <td class='ttv2'></td>
                            <td class='ttv2'>
                            <span class='ttv'>".$anz."</span>
                            </td>
                            </tr>";
                        }
                        elseif (substr($show_mod,0,4) == $jahr AND substr($show_mod,5,2) == $month_number)
                        {
                            //echo "Monats- mit Tagesdarstellung: ";
                            $y = substr($show_mod,0,4);	//Jahr
                            $m = substr($show_mod,5,2);	//Monat
                            //echo "Jahr: ".$y.", Monat: ".$m;
                            if ($jahr == $y AND $month_number == $m)
                            {
                                $s_m = $jahr;
                                echo "
                                <span class='link2' onClick='getTimeTreeview(\"$pic_id\",\"$mod\",\"$s_m\",\"$bewertung\")' title='Tagesansicht schlie&szlig;en'>".$img_minus." ".getMonthName($month_number)."</span>
                                </td>
                                <td class='ttv2' colspan='2'></td>
                                </tr>";

                                $result12 = mysqli_query($conn, "SELECT DATE_FORMAT(CreateDate,'%Y-%m-%d'), COUNT(*), pic_id, note, CreateDate, aktiv 
                                FROM $table2 
                                WHERE CreateDate LIKE '%".$y."-".$m."%' 
                                AND CreateDate <> '0000-00-00 00:00:00'
                                AND aktiv = '1' 
                                AND $stat
                                GROUP BY DATE_FORMAT(CreateDate,'%Y-%m-%d')
                                ORDER BY DATE_FORMAT(CreateDate,'%Y-%m-%d')");
                                $num12 = mysqli_num_rows($result12);
                                //echo "Es wurden ".$num12." Tage gefunden.<br />";

                                for ($i12='0'; $i12<$num12; $i12++)
                                {
                                    $row12 = mysqli_fetch_assoc($result12);
                                    $datum = substr($row12['CreateDate'],0,10);
                                    $T = date('d',strtotime($datum));
                                    $aufn_dat = date('d.m.Y', strtotime($datum));
                                    $aufn_DAT = date('Y-m-d', strtotime($datum));

                                    //Ermittlung der Tagebuch-Eintraege:
                                    $result13 = mysqli_query($conn, "SELECT * FROM $table3 WHERE datum = '$aufn_DAT' AND info <> ''");
                                    $num13 = mysqli_num_rows($result13);

                                    IF($num13 !== 0)
                                    {
                                        $book = "<img src='$inst_path/pic2base/bin/share/images/book_green.svg' width='15' height='15' title='Tagebuch-Eintrag lesen / bearbeiten' />";
                                    }
                                    ELSE
                                    {
                                        $book = "<img src='$inst_path/pic2base/bin/share/images/book_grey.svg' width='15' height='15' title='Tagebuch-Eintrag hinzuf&uuml;gen' />";
                                    }

                                    //Ermittlung der an diesem Tag gemachten Objekte:
                                    //$anz12 = mysqli_result($result12, $i12, COUNT('*'));
                                    $anz12 = $row12['COUNT(*)'];

                                    echo "<tr class='kat'>
                                        <td class='ttv1'> &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
                                            <span class='link2' onClick='getTimePreview(\"$jahr\",\"$month_number\",\"$T\",0,\"$mod\",\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,window.innerWidth)' title='alle Objekte vom $aufn_dat anzeigen'>".$aufn_dat."</span>
                                        </td>

                                        <td class='ttv2'>
                                            <span class='link2' onClick=\"showDiary('$aufn_DAT')\" />".$book."</span>
                                        </td>

                                        <td class='ttv2'>
                                            <span class='ttv'>".$anz12."</span>
                                        </td>
                                    </tr>";
                                }
                            }
                            else
                            {
                                $s_m = $jahr."_".$month_number;
                                echo "<span class='link2' style='cursor:pointer;' onClick='location.href=\"recherche2.php?pic_id=$pic_id&mod=$mod&show_mod=$s_m\"'>".getMonthName($month_number)."</span>
                                </td>
                                <td class='ttv2'>
                                    <span class='link2' onClick='getTimePreview(\"$jahr\",\"$month_number\",0,0,\"$mod\",\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,window.innerWidth)'>
                                        <img src='../../share/images/ok.svg' width='15' height='15' title='Objekte anzeigen' />
                                    </span>
                                </td>

                                <td class='ttv2'>
                                    <span class='ttv'>".$num5."</span>
                                </td>
                                </tr>";
                            }
                        }
                    }	
                }
            }
    	}
    }
    //Ermittlung der Objekte, welche noch keinem Datum zugeordnet wurden:
    
    $result7 = mysqli_query($conn, "SELECT CreateDate, pic_id, note, aktiv 
    FROM $table2 
    WHERE CreateDate = '0000-00-00 00:00:00'
    AND aktiv = '1' 
    AND $stat");
    
    $num7 = mysqli_num_rows($result7);
    echo "<tr class='kat'>
            <td class='ttv1'>
                <span class='ttv'>Sonstige Objekte</span>
            </td>

            <td class='ttv2'></td>
            <td class='ttv2'></td>
        </tr>
        <tr class='kat'>
            <td class='ttv1'>
                <span class='link2' onClick='getTimePreview(0000,0,0,0,\"$mod\",\"$modus\",\"$base_file\",\"$bewertung\",0,0,0,window.innerWidth)' title='Objekte anzeigen'>Objekte ohne Datumsangabe</span>
            </td>

            <td class='ttv2'></td>
            <td class='ttv2'>
                <span class='ttv'>".$num7."</span>
            </td>
        </tr>
    </TABLE>";
}
else
{
    echo "<p style='margin-top:100px; color:red;'>Es befinden sich noch keine Objekte in der Datenbank.</p>";
}
                     
$end99 = microtime();
?>