<?php

/*#####################################################################
wird verwendet, wenn Bilddaten bearbeit werden sollen und die Auswahl
ueber das Aufnahmedatum erfolgen soll
z.Bsp: in edit_dto.php
#######################################################################*/

include 'global_config.php';
include $sr.'/bin/share/db_connect1.php';
include $sr.'/bin/share/read_session_prefs.php';
include $sr.'/bin/share/functions/ajax_functions.php';
include_once $sr.'/bin/share/functions/permissions.php';
include_once $sr.'/bin/share/functions/main_functions.php';

$sel_one = "<img src='$inst_path/pic2base/bin/share/images/one.svg' class='select_icon'  title='einzelne Objekte dieses Datums ausw&auml;hlen'>";
$sel_all = "<img src='$inst_path/pic2base/bin/share/images/all.svg' class='select_icon'  title='alle Objekte dieses Datums ausw&auml;hlen'>";

//echo "Ermittlung des Anfangs (min.) und Enddatums (max)";

if(array_key_exists('show_mod',$_GET))
{
    $show_mod = $_GET['show_mod']; //echo $show_mod;
    if($show_mod !== 'J')
    {
        $_SESSION['show_mod'] = $show_mod;
    }
}
else
{
    $show_mod = $_SESSION['show_mod'];
}

if(array_key_exists('pic_id',$_GET))
{
    $pic_id = $_GET['pic_id'];
}
else
{
    $pic_id = 0;
}
if(array_key_exists('mod',$_GET))
{
    $mod = $_GET['mod'];
}
if(array_key_exists('s_m',$_GET))
{
    $s_m = $_GET['s_m'];
}
if(array_key_exists('bewertung',$_GET))
{
    $bewertung = $_GET['bewertung'];
}
else
{
    $bewertung = '';
}

if(array_key_exists('base_file',$_GET))
{
    $base_file = $_GET['base_file'];
}

$stat = createStatement($bewertung);
$start1 = microtime();
list($start1msec,$start1sec) = explode(" ",$start1);

$result2 = mysqli_query($conn, "SELECT MAX(YEAR(CreateDate)) AS MAX_DTO, MIN(YEAR(CreateDate)) AS MIN_DTO 
FROM $table2 
WHERE YEAR(CreateDate) <> '0000'");
$row2 = mysqli_fetch_assoc($result2);
$Min_DT = $row2['MIN_DTO'];
$Max_DT = $row2['MAX_DTO'];
//echo "Fr&uuml;hestes Jahr: ".$Min_DT.", sp&auml;testes Jahr: ".$Max_DT."<br />";

echo "<table class='kat'>
        <tr class='kat'>
        <td class='kat1'>Jahr / Monat / Tag</td>
        <td class='kat2'></td>
        <td class='kat2'></td>
        <td class='kat2'>Anz.</td>
        </tr>";
$runtime_sum = 0;

// Welche Berechtigung hat der angemeldete User? (darf er alle oder nur seine Objekte bearbeiten?)
if (hasPermission($uid, 'editallpics', $sr))
{
    $restriction = "";
    //$hint = $uid.', alle';
}
elseif (!hasPermission($uid, 'editallpics', $sr) AND hasPermission($uid, 'editmypics', $sr))
{
    $restriction = "AND Owner = $uid";
    //$hint = $uid.', meine';
}
elseif (!hasPermission($uid, 'editallpics', $sr) AND !hasPermission($uid, 'editmypics', $sr))
{
    //$restriction = "AND Owner = $uid";
    $hint = 'Benutzer '.$uid.' hat KEINE Berechtigung , Objekte zu bearbeiten!';
}

echo isset($hint);
//Bestimmung der Jahrgaenge, in denen Objekte entstanden sind:
$result1 = mysqli_query($conn, "SELECT DISTINCT YEAR(CreateDate) AS DTO, COUNT(*)
FROM $table2
WHERE YEAR(CreateDate) <> '0000'
AND aktiv = '1'
$restriction
GROUP BY YEAR(CreateDate)
ORDER BY YEAR(CreateDate) DESC");
echo mysqli_error($conn);
$num1 = mysqli_num_rows($result1);

for ($i1 = '0'; $i1<$num1; $i1++)
{
    $row1 = mysqli_fetch_assoc($result1);
    $D = $row1['DTO'];
    //Die einzelnen "Jahrgaenge" werden ermittelt:
    //Zur Laufzeitoptimierung wird kontrolliert, ob in dem betreffenden Jahr ueberhaupt Objekte vorhanden sind:
    //$num3 = mysqli_result($result1,$i1,COUNT('*'));	//Anzahl der Objekte im Jahr
    //print_r($row1);
    $num3 = $row1['COUNT(*)'];
    if ($num3 > 0)
    {
        $jahr = $D;
        $modus='zeit';
        IF(substr($show_mod,0,4) == $jahr)
        {
            $s_m = 'J';		//Anzeige-Modus (show-modus)
            $info_nr = '7';
            $tree_img = "<img src='$inst_path/pic2base/bin/share/images/minus.svg' class='icon2'>";
        }
        else
        {
            $s_m = $jahr;		//Anzeige-Modus: Jahresuebersicht
            $info_nr = '1';
            $tree_img = "<img src='$inst_path/pic2base/bin/share/images/plus.svg' class='icon2'>";
        }
        //echo $s_m;
        $img_plus = "<img src='$inst_path/pic2base/bin/share/images/plus.svg' class='icon2'>";
        $img_minus = "<img src='$inst_path/pic2base/bin/share/images/minus.svg' class='icon2'>";
        echo "
        <tr class='kat'>
            <td class='kat1'>
                <span style='cursor:pointer;' onClick='getTimeTreeview2(\"$pic_id\",\"$mod\",\"$s_m\",\"$base_file\")'  title='Monatsansicht f&uuml;r $jahr &ouml;ffnen / schlie&szlig;en'>".$tree_img."</span>
                <span style='margin-left:3px;'>".$jahr."</span>
            </td>
            
            <td class='kat2'>
                <span style='cursor:pointer;' onClick='getTimePreview2(\"$jahr\",0,0,0,\"$mod\",\"$modus\",\"$base_file\")'>".$sel_one."</span>
            </td>

            <td class='kat2'>
                <span style='cursor:pointer;' onClick='getTimePreview2(\"$jahr\",0,0,1,\"$mod\",\"$modus\",\"$base_file\")'>".$sel_all."</span>
            </td>

            <td class='kat2' style='color: var(--color1);'>".$num3."</td>
        </tr>";
        if(substr($show_mod,0,4) == $jahr)
        {

            //Die einzelnen Monate im gewaehlten Jahr werden ermittelt:
            $result9 = mysqli_query($conn, "SELECT DATE_FORMAT(CreateDate,'%Y-%m'), COUNT(*), pic_id, note, CreateDate, aktiv
            FROM $table2
            WHERE DATE_FORMAT(CreateDate,'%Y') = '$jahr'
            AND CreateDate <> '0000-00-00 00:00:00'
            AND aktiv = '1'
            $restriction
            GROUP BY DATE_FORMAT(CreateDate,'%Y-%m')
            ORDER BY DATE_FORMAT(CreateDate,'%Y-%m') DESC");
            echo mysqli_error($conn);

            $num9 = mysqli_num_rows($result9); // Anzahl der Monate in denen Objekte angefertigt wurden

            //Wenn in dem Monat Objekte gemacht wurden - Ermittlung der Anzahl:
            if($num9 > '0')
            {					
                for($i9='0'; $i9<$num9; $i9++)
                {
                    $row9 = mysqli_fetch_assoc($result9);
                    $anz = $row9['COUNT(*)'];
                    $month_number = date('m', strtotime($row9['CreateDate']));
                    echo "<tr class='kat'>
                    <td class='kat1'>&#160;&#160;";
                    $modus = 'zeit';
                    $zeit = getMonthName($month_number)." ".$jahr;

                    if(substr($show_mod,0,4) == $jahr AND substr($show_mod,5,2) !== $month_number)
                    {
                        //echo "normale Monats-Darstellung: ";
                        $s_m = $jahr."_".$month_number;	//$show_mod: Anzeige-Modus fuer Tages-Anzeige
                        echo "
                            <span style='cursor:pointer;' onClick='getTimeTreeview2(\"$pic_id\",\"$mod\",\"$s_m\",\"$base_file\")'  title='Tagesauswahl f&uuml;r ".getMonthName($month_number)." &ouml;ffnen'>".$img_plus."</span>
                            <span style='margin-left:3px;'>".getMonthName($month_number)."</span>
                        </td>

                        <td class='kat2'>
                            <span style='cursor:pointer;' onClick='getTimePreview2(\"$jahr\",\"$month_number\",0,0,\"$mod\",\"$modus\",\"$base_file\")'>".$sel_one."</span>
                        </td>

                        <td class='kat2'>
                         <span style='cursor:pointer;' onClick='getTimePreview2(\"$jahr\",\"$month_number\",0,1,\"$mod\",\"$modus\",\"$base_file\")'>".$sel_all."</span>
                        </td>

                        <td class='kat2' style='color: var(--color1);'>".$anz."</td>
                        </tr>";
                    }
                    elseif(substr($show_mod,0,4) == $jahr AND substr($show_mod,5,2) == $month_number)
                    {
                        //echo "Monats- mit Tagesdarstellung: ";
                        $y = substr($show_mod,0,4);	//Jahr
                        $m = substr($show_mod,5,2);	//Monat
                        //echo "Jahr: ".$y.", Monat: ".$m;
                        if($jahr == $y AND $month_number == $m)
                        {
                            $s_m = $jahr;
                            echo "
                            <span style='cursor:pointer;' onClick='getTimeTreeview2(\"$pic_id\",\"$mod\",\"$s_m\",\"$base_file\")' title='Tagesansicht schlie&szlig;en'>".$img_minus."</span>".getMonthName($month_number)."</span>
                            </td>
                            <td class='kat2' colspan='2'></td>
                            </tr>";

                            //Ermittlung der Tage, an welchen in diesem Monat/Jahr Aufnahmen gemacht wurden:
                            $result12 = mysqli_query($conn, "SELECT DATE_FORMAT(CreateDate,'%Y-%m-%d'), COUNT(*), pic_id, note, CreateDate, aktiv 
                            FROM $table2 
                            WHERE CreateDate LIKE '%".$y."-".$m."%' 
                            AND CreateDate <> '0000-00-00 00:00:00'
                            AND aktiv = '1'
                            $restriction 
                            AND $stat
                            GROUP BY DATE_FORMAT(CreateDate,'%Y-%m-%d')
                            ORDER BY DATE_FORMAT(CreateDate,'%Y-%m-%d')");
                            $num12 = mysqli_num_rows($result12);
                            //echo "Es wurden ".$num12." Tage gefunden.<br />";

                            for($i12='0'; $i12<$num12; $i12++)
                            {
                                $row12 = mysqli_fetch_assoc($result12);
                                $datum = substr($row12['CreateDate'],0,10);
                                $T = date('d',strtotime($datum));
                                $aufn_dat = date('d.m.Y', strtotime($datum));
                                $aufn_DAT = date('Y-m-d', strtotime($datum));

                                //Ermittlung der an diesem Tag gemachten Objekte:
                                $anz12 = $row12['COUNT(*)'];

                                echo "<tr class='kat'>
                                <td class='kat1'> &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;<span style='margin-left:2px;'>".$aufn_dat."</span>
                                </td>
                                
                                <td class='kat2'>
                                    <span style='cursor:pointer;' onClick='getTimePreview2(\"$jahr\",\"$month_number\",\"$T\",0,\"$mod\",\"$modus\",\"$base_file\",\"$sr\")'>".$sel_one."</span>
                                </td>

                                <td class='kat2'>
                                    <span style='cursor:pointer;' onClick='getTimePreview2(\"$jahr\",\"$month_number\",\"$T\",1,\"$mod\",\"$modus\",\"$base_file\",\"$sr\")'>".$sel_all."</span>
                                </td>

                                <td class='kat2' style='color: var(--color1);'>".$anz12."</td>
                                </tr>";
                            }
                        }
                        else
                        {
                            $s_m = $jahr."_".$month_number;
                            echo "<span style='cursor:pointer;' onClick='location.href=\"getTimeTreeview2.php?pic_id=$pic_id&mod=$mod&show_mod=$s_m&base_file=$base_file\"'>".getMonthName($month_number)."</span>
                            </td>

                            <td class='kat2'>
                            <span style='cursor:pointer;' onClick='getTimePreview2(\"$jahr\",\"$month_number\",0,0,\"$mod\",\"$modus\",\"$base_file\")'>
                                <img src='../../share/images/ok.svg' width='15' height='15' title='Objekte anzeigen' />
                            </span>
                            </td>

                            <td class='kat2' style='color: var(--color1);'>".$num5."</td></tr>";
                        }
                    }
                }	
            }
        }
    }
}
//Ermittlung der Objekte, welche noch keinem Datum zugeordnet wurden:
$modus = 'zeit';
$result7 = mysqli_query($conn, "SELECT CreateDate, note, pic_id, aktiv 
FROM $table2 
WHERE CreateDate = '0000-00-00 00:00:00'
AND aktiv = '1'
$restriction 
AND $stat");

@$num7 = mysqli_num_rows($result7);
IF($num7 == '')
{
	$num7 = 0;
}
echo "
    <tr class='kat'>
            <td class='kat1'>Sonstige Objekte</td>
            <td class='kat2'></td>
            <td class='kat2'></td>
    </tr>
	
    <tr class='kat'>
        <td class='kat1'>
            <span style='margin-left:22px'>Objekte ohne Datumsangabe</span>
        </td>

        <td class='kat2'>
            <span style='cursor:pointer;' onClick='getTimePreview2(0000,0,0,0,\"$mod\",\"$modus\",\"$base_file\")' title='Objekte anzeigen'>".$sel_one."</span>
        </td>

        <td class='kat2'>
            <span style='cursor:pointer;' onClick='getTimePreview2(0000,0,0,1,\"$mod\",\"$modus\",\"$base_file\")' title='Objekte anzeigen'>".$sel_all."</span>
        </td>

        <td class='kat2' style='color: var(--color1);'>".$num7."</td>
    </tr>
</table>
<input type='hidden' name='show_mod' value='$show_mod'>";
$end99 = microtime();
list($end99msec,$end99sec) = explode(" ",$end99);
$runtime99 = number_format((($end99msec + $end99sec) - ($start1msec + $start1sec)),2,'.',',');
//echo "<font color='lightgrey'>Skript-Laufzeit: ".$runtime99." Sek.</font>";
?>